package com.cclotus.cms.mapper

import com.baomidou.mybatisplus.core.mapper.BaseMapper
import com.cclotus.cms.domain.CmsPostMeta
import org.apache.ibatis.annotations.Param

interface CmsPostMetaMapper : BaseMapper<CmsPostMeta> {

    /**
     * 根据元数据过滤条件查询内容元数据列表
     *
     * @param meta 元数据过滤条件
     * @return 符合条件的内容元数据列表
     */
    fun selectPostMetaList(@Param("meta") meta: Map<String, String>, @Param("size") size: Int = meta.size): List<Int>
}
