package com.cclotus.register.mapper

import com.baomidou.mybatisplus.core.mapper.BaseMapper
import com.cclotus.register.domain.WXUser

interface WXUserMapper : BaseMapper<WXUser> {

    /**
     * 查询微信用户管理
     *
     * @param userId 微信用户管理主键
     * @return 微信用户管理
     */
    fun selectWXUserByUserId(userId: String): WXUser?

    /**
     * 查询微信用户管理列表
     *
     * @param wxUser 微信用户管理
     * @return 微信用户管理集合
     */
    fun selectWXUserList(wxUser: WXUser): List<WXUser>

}
