-- MySQL dump 10.13  Distrib 8.0.29, for Linux (x86_64)
--
-- Host: localhost    Database: ry-admin
-- ------------------------------------------------------
-- Server version	8.0.29-0ubuntu0.20.04.3

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `ry-admin`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ry-admin` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;

USE `ry-admin`;

--
-- Table structure for table `cms_menu`
--

DROP TABLE IF EXISTS `cms_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cms_menu` (
  `menu_id` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cms_menu`
--

LOCK TABLES `cms_menu` WRITE;
/*!40000 ALTER TABLE `cms_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `cms_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cms_page`
--

DROP TABLE IF EXISTS `cms_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cms_page` (
  `page_id` int NOT NULL AUTO_INCREMENT COMMENT '页面ID',
  `page_title` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '页面标题',
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci COMMENT '页面内容',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '修改人',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`page_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cms_page`
--

LOCK TABLES `cms_page` WRITE;
/*!40000 ALTER TABLE `cms_page` DISABLE KEYS */;
/*!40000 ALTER TABLE `cms_page` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gen_table`
--

DROP TABLE IF EXISTS `gen_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gen_table` (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='代码生成业务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gen_table`
--

LOCK TABLES `gen_table` WRITE;
/*!40000 ALTER TABLE `gen_table` DISABLE KEYS */;
/*!40000 ALTER TABLE `gen_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gen_table_column`
--

DROP TABLE IF EXISTS `gen_table_column`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gen_table_column` (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) DEFAULT '' COMMENT '字典类型',
  `sort` int DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='代码生成业务表字段';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gen_table_column`
--

LOCK TABLES `gen_table_column` WRITE;
/*!40000 ALTER TABLE `gen_table_column` DISABLE KEYS */;
/*!40000 ALTER TABLE `gen_table_column` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_blob_triggers`
--

DROP TABLE IF EXISTS `qrtz_blob_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_blob_triggers` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`),
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='Blob类型的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_blob_triggers`
--

LOCK TABLES `qrtz_blob_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_blob_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_blob_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_calendars`
--

DROP TABLE IF EXISTS `qrtz_calendars`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_calendars` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`,`calendar_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='日历信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_calendars`
--

LOCK TABLES `qrtz_calendars` WRITE;
/*!40000 ALTER TABLE `qrtz_calendars` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_calendars` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_cron_triggers`
--

DROP TABLE IF EXISTS `qrtz_cron_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_cron_triggers` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`),
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='Cron类型的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_cron_triggers`
--

LOCK TABLES `qrtz_cron_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_cron_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_cron_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_fired_triggers`
--

DROP TABLE IF EXISTS `qrtz_fired_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_fired_triggers` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) NOT NULL COMMENT '状态',
  `job_name` varchar(200) DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`,`entry_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='已触发的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_fired_triggers`
--

LOCK TABLES `qrtz_fired_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_fired_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_fired_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_job_details`
--

DROP TABLE IF EXISTS `qrtz_job_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_job_details` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) NOT NULL COMMENT '任务组名',
  `description` varchar(250) DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`job_name`,`job_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='任务详细信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_job_details`
--

LOCK TABLES `qrtz_job_details` WRITE;
/*!40000 ALTER TABLE `qrtz_job_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_job_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_locks`
--

DROP TABLE IF EXISTS `qrtz_locks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_locks` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`,`lock_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='存储的悲观锁信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_locks`
--

LOCK TABLES `qrtz_locks` WRITE;
/*!40000 ALTER TABLE `qrtz_locks` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_locks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_paused_trigger_grps`
--

DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_paused_trigger_grps` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`,`trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='暂停的触发器表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_paused_trigger_grps`
--

LOCK TABLES `qrtz_paused_trigger_grps` WRITE;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_paused_trigger_grps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_scheduler_state`
--

DROP TABLE IF EXISTS `qrtz_scheduler_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_scheduler_state` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`,`instance_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='调度器状态表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_scheduler_state`
--

LOCK TABLES `qrtz_scheduler_state` WRITE;
/*!40000 ALTER TABLE `qrtz_scheduler_state` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_scheduler_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_simple_triggers`
--

DROP TABLE IF EXISTS `qrtz_simple_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_simple_triggers` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`),
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='简单触发器的信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_simple_triggers`
--

LOCK TABLES `qrtz_simple_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_simple_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simple_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_simprop_triggers`
--

DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_simprop_triggers` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`),
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='同步机制的行锁表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_simprop_triggers`
--

LOCK TABLES `qrtz_simprop_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_simprop_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qrtz_triggers`
--

DROP TABLE IF EXISTS `qrtz_triggers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qrtz_triggers` (
  `sched_name` varchar(120) NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`),
  KEY `sched_name` (`sched_name`,`job_name`,`job_group`),
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='触发器详细信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qrtz_triggers`
--

LOCK TABLES `qrtz_triggers` WRITE;
/*!40000 ALTER TABLE `qrtz_triggers` DISABLE KEYS */;
/*!40000 ALTER TABLE `qrtz_triggers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_info`
--

DROP TABLE IF EXISTS `report_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_info` (
  `report_id` varchar(64) NOT NULL COMMENT '事件上报ID',
  `user_id` varchar(64) DEFAULT NULL COMMENT '用户ID',
  `name` varchar(200) DEFAULT NULL COMMENT '姓名',
  `phone` varchar(200) DEFAULT NULL COMMENT '电话',
  `type` varchar(64) DEFAULT NULL COMMENT '上报类型',
  `title` varchar(64) DEFAULT NULL COMMENT '事件标题',
  `description` longtext COMMENT '事件描述',
  `address_desc` varchar(200) DEFAULT NULL COMMENT '详细地址',
  `latitude` decimal(10,6) DEFAULT NULL COMMENT '纬度',
  `longitude` decimal(10,6) DEFAULT NULL COMMENT '经度',
  `create_time` datetime DEFAULT NULL COMMENT '上报事件',
  `status` varchar(64) DEFAULT NULL COMMENT '状态',
  `type_id` varchar(64) DEFAULT NULL COMMENT '上报事件类型ID',
  `openid` varchar(200) DEFAULT NULL COMMENT '微信用户openid',
  `data_version` double DEFAULT NULL COMMENT '数据版本',
  PRIMARY KEY (`report_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_info`
--

LOCK TABLES `report_info` WRITE;
/*!40000 ALTER TABLE `report_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_info_res`
--

DROP TABLE IF EXISTS `report_info_res`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_info_res` (
  `res_id` varchar(64) NOT NULL COMMENT '资源ID',
  `file_name` varchar(1000) DEFAULT NULL COMMENT '文件名称',
  `report_id` varchar(64) DEFAULT NULL COMMENT '上报ID',
  `type` varchar(64) DEFAULT NULL COMMENT '文件类型',
  `url` varchar(1000) DEFAULT NULL COMMENT '文件url',
  PRIMARY KEY (`res_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_info_res`
--

LOCK TABLES `report_info_res` WRITE;
/*!40000 ALTER TABLE `report_info_res` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_info_res` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_config`
--

DROP TABLE IF EXISTS `sys_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_config` (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='参数配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_config`
--

LOCK TABLES `sys_config` WRITE;
/*!40000 ALTER TABLE `sys_config` DISABLE KEYS */;
INSERT INTO `sys_config` VALUES (1,'主框架页-默认皮肤样式名称','sys.index.skinName','skin-blue','Y','admin','2022-12-15 15:01:52','',NULL,'蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow'),(2,'用户管理-账号初始密码','sys.user.initPassword','123456','Y','admin','2022-12-15 15:01:52','',NULL,'初始化密码 123456'),(3,'主框架页-侧边栏主题','sys.index.sideTheme','theme-dark','Y','admin','2022-12-15 15:01:52','',NULL,'深色主题theme-dark，浅色主题theme-light'),(4,'账号自助-验证码开关','sys.account.captchaEnabled','false','Y','admin','2022-12-15 15:01:52','',NULL,'是否开启验证码功能（true开启，false关闭）'),(5,'账号自助-是否开启用户注册功能','sys.account.registerUser','false','Y','admin','2022-12-15 15:01:52','',NULL,'是否开启注册用户功能（true开启，false关闭）');
/*!40000 ALTER TABLE `sys_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_dept`
--

DROP TABLE IF EXISTS `sys_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_dept` (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint DEFAULT '0' COMMENT '父部门id',
  `ancestors` varchar(50) DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) DEFAULT '' COMMENT '部门名称',
  `order_num` int DEFAULT '0' COMMENT '显示顺序',
  `leader` varchar(20) DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) DEFAULT NULL COMMENT '邮箱',
  `status` char(1) DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`)
) ENGINE=InnoDB AUTO_INCREMENT=200 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='部门表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_dept`
--

LOCK TABLES `sys_dept` WRITE;
/*!40000 ALTER TABLE `sys_dept` DISABLE KEYS */;
INSERT INTO `sys_dept` VALUES (100,0,'0','若依科技',0,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(101,100,'0,100','深圳总公司',1,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(102,100,'0,100','长沙分公司',2,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(103,101,'0,100,101','研发部门',1,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(104,101,'0,100,101','市场部门',2,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(105,101,'0,100,101','测试部门',3,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(106,101,'0,100,101','财务部门',4,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(107,101,'0,100,101','运维部门',5,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(108,102,'0,100,102','市场部门',1,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL),(109,102,'0,100,102','财务部门',2,'若依','15888888888','ry@qq.com','0','0','admin','2022-12-15 15:01:51','',NULL);
/*!40000 ALTER TABLE `sys_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_dict_data`
--

DROP TABLE IF EXISTS `sys_dict_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_dict_data` (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int DEFAULT '0' COMMENT '字典排序',
  `dict_label` varchar(100) DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`)
) ENGINE=InnoDB AUTO_INCREMENT=108 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='字典数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_dict_data`
--

LOCK TABLES `sys_dict_data` WRITE;
/*!40000 ALTER TABLE `sys_dict_data` DISABLE KEYS */;
INSERT INTO `sys_dict_data` VALUES (1,1,'男','0','sys_user_sex','','','Y','0','admin','2022-12-15 15:01:51','',NULL,'性别男'),(2,2,'女','1','sys_user_sex','','','N','0','admin','2022-12-15 15:01:51','',NULL,'性别女'),(3,3,'未知','2','sys_user_sex','','','N','0','admin','2022-12-15 15:01:51','',NULL,'性别未知'),(4,1,'显示','0','sys_show_hide','','primary','Y','0','admin','2022-12-15 15:01:51','',NULL,'显示菜单'),(5,2,'隐藏','1','sys_show_hide','','danger','N','0','admin','2022-12-15 15:01:51','',NULL,'隐藏菜单'),(6,1,'正常','0','sys_normal_disable','','primary','Y','0','admin','2022-12-15 15:01:51','',NULL,'正常状态'),(7,2,'停用','1','sys_normal_disable','','danger','N','0','admin','2022-12-15 15:01:51','',NULL,'停用状态'),(8,1,'正常','0','sys_job_status','','primary','Y','0','admin','2022-12-15 15:01:51','',NULL,'正常状态'),(9,2,'暂停','1','sys_job_status','','danger','N','0','admin','2022-12-15 15:01:51','',NULL,'停用状态'),(10,1,'默认','DEFAULT','sys_job_group','','','Y','0','admin','2022-12-15 15:01:51','',NULL,'默认分组'),(11,2,'系统','SYSTEM','sys_job_group','','','N','0','admin','2022-12-15 15:01:51','',NULL,'系统分组'),(12,1,'是','Y','sys_yes_no','','primary','Y','0','admin','2022-12-15 15:01:52','',NULL,'系统默认是'),(13,2,'否','N','sys_yes_no','','danger','N','0','admin','2022-12-15 15:01:52','',NULL,'系统默认否'),(14,1,'通知','1','sys_notice_type','','warning','Y','0','admin','2022-12-15 15:01:52','',NULL,'通知'),(15,2,'公告','2','sys_notice_type','','success','N','0','admin','2022-12-15 15:01:52','',NULL,'公告'),(16,1,'正常','0','sys_notice_status','','primary','Y','0','admin','2022-12-15 15:01:52','',NULL,'正常状态'),(17,2,'关闭','1','sys_notice_status','','danger','N','0','admin','2022-12-15 15:01:52','',NULL,'关闭状态'),(18,99,'其他','0','sys_oper_type','','info','N','0','admin','2022-12-15 15:01:52','',NULL,'其他操作'),(19,1,'新增','1','sys_oper_type','','info','N','0','admin','2022-12-15 15:01:52','',NULL,'新增操作'),(20,2,'修改','2','sys_oper_type','','info','N','0','admin','2022-12-15 15:01:52','',NULL,'修改操作'),(21,3,'删除','3','sys_oper_type','','danger','N','0','admin','2022-12-15 15:01:52','',NULL,'删除操作'),(22,4,'授权','4','sys_oper_type','','primary','N','0','admin','2022-12-15 15:01:52','',NULL,'授权操作'),(23,5,'导出','5','sys_oper_type','','warning','N','0','admin','2022-12-15 15:01:52','',NULL,'导出操作'),(24,6,'导入','6','sys_oper_type','','warning','N','0','admin','2022-12-15 15:01:52','',NULL,'导入操作'),(25,7,'强退','7','sys_oper_type','','danger','N','0','admin','2022-12-15 15:01:52','',NULL,'强退操作'),(26,8,'生成代码','8','sys_oper_type','','warning','N','0','admin','2022-12-15 15:01:52','',NULL,'生成操作'),(27,9,'清空数据','9','sys_oper_type','','danger','N','0','admin','2022-12-15 15:01:52','',NULL,'清空操作'),(28,1,'成功','0','sys_common_status','','primary','N','0','admin','2022-12-15 15:01:52','',NULL,'正常状态'),(29,2,'失败','1','sys_common_status','','danger','N','0','admin','2022-12-15 15:01:52','',NULL,'停用状态'),(100,0,'涉黑涉恶','shse','track_report_type',NULL,'default','N','0','admin','2023-03-07 03:04:39','',NULL,NULL),(101,0,'养老诈骗','ylzp','track_report_type',NULL,'default','N','0','admin','2023-03-07 03:04:53','',NULL,NULL),(102,0,'家暴性侵','jbxq','track_report_type',NULL,'default','N','0','admin','2023-03-07 03:05:03','',NULL,NULL),(103,0,'社会稳定','shwd','event_report_type',NULL,'default','N','0','admin','2023-03-07 03:05:51','',NULL,NULL),(104,0,'劳动保障','ldbz','event_report_type',NULL,'default','N','0','admin','2023-03-07 03:06:00','',NULL,NULL),(105,0,'国土资源','gtzy','event_report_type',NULL,'default','N','0','admin','2023-03-07 03:08:33','',NULL,NULL),(106,0,'城建管理','cjgl','event_report_type',NULL,'default','N','0','admin','2023-03-07 03:08:48','',NULL,NULL),(107,0,'其他','qt','event_report_type',NULL,'default','N','0','admin','2023-03-07 03:09:01','',NULL,NULL);
/*!40000 ALTER TABLE `sys_dict_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_dict_type`
--

DROP TABLE IF EXISTS `sys_dict_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_dict_type` (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) DEFAULT '' COMMENT '字典类型',
  `status` char(1) DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`),
  UNIQUE KEY `dict_type` (`dict_type`)
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='字典类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_dict_type`
--

LOCK TABLES `sys_dict_type` WRITE;
/*!40000 ALTER TABLE `sys_dict_type` DISABLE KEYS */;
INSERT INTO `sys_dict_type` VALUES (1,'用户性别','sys_user_sex','0','admin','2022-12-15 15:01:51','',NULL,'用户性别列表'),(2,'菜单状态','sys_show_hide','0','admin','2022-12-15 15:01:51','',NULL,'菜单状态列表'),(3,'系统开关','sys_normal_disable','0','admin','2022-12-15 15:01:51','',NULL,'系统开关列表'),(4,'任务状态','sys_job_status','0','admin','2022-12-15 15:01:51','',NULL,'任务状态列表'),(5,'任务分组','sys_job_group','0','admin','2022-12-15 15:01:51','',NULL,'任务分组列表'),(6,'系统是否','sys_yes_no','0','admin','2022-12-15 15:01:51','',NULL,'系统是否列表'),(7,'通知类型','sys_notice_type','0','admin','2022-12-15 15:01:51','',NULL,'通知类型列表'),(8,'通知状态','sys_notice_status','0','admin','2022-12-15 15:01:51','',NULL,'通知状态列表'),(9,'操作类型','sys_oper_type','0','admin','2022-12-15 15:01:51','',NULL,'操作类型列表'),(10,'系统状态','sys_common_status','0','admin','2022-12-15 15:01:51','',NULL,'登录状态列表'),(100,'事件上报类型','event_report_type','0','admin','2023-03-07 02:58:18','admin','2023-03-07 03:03:54',NULL),(101,'线索举报类型','track_report_type','0','admin','2023-03-07 03:03:44','',NULL,NULL);
/*!40000 ALTER TABLE `sys_dict_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_job`
--

DROP TABLE IF EXISTS `sys_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_job` (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`,`job_name`,`job_group`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='定时任务调度表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_job`
--

LOCK TABLES `sys_job` WRITE;
/*!40000 ALTER TABLE `sys_job` DISABLE KEYS */;
INSERT INTO `sys_job` VALUES (1,'系统默认（无参）','DEFAULT','ryTask.ryNoParams','0/10 * * * * ?','3','1','1','admin','2022-12-15 15:01:52','',NULL,''),(2,'系统默认（有参）','DEFAULT','ryTask.ryParams(\'ry\')','0/15 * * * * ?','3','1','1','admin','2022-12-15 15:01:52','',NULL,''),(3,'系统默认（多参）','DEFAULT','ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)','0/20 * * * * ?','3','1','1','admin','2022-12-15 15:01:52','',NULL,'');
/*!40000 ALTER TABLE `sys_job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_job_log`
--

DROP TABLE IF EXISTS `sys_job_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_job_log` (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) DEFAULT NULL COMMENT '日志信息',
  `status` char(1) DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) DEFAULT '' COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='定时任务调度日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_job_log`
--

LOCK TABLES `sys_job_log` WRITE;
/*!40000 ALTER TABLE `sys_job_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `sys_job_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_logininfor`
--

DROP TABLE IF EXISTS `sys_logininfor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_logininfor` (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) DEFAULT '' COMMENT '操作系统',
  `status` char(1) DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) DEFAULT '' COMMENT '提示消息',
  `login_time` datetime DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`)
) ENGINE=InnoDB AUTO_INCREMENT=184 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='系统访问记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_logininfor`
--

LOCK TABLES `sys_logininfor` WRITE;
/*!40000 ALTER TABLE `sys_logininfor` DISABLE KEYS */;
INSERT INTO `sys_logininfor` VALUES (100,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2022-12-15 15:04:32'),(101,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2022-12-16 14:24:52'),(102,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','1','验证码错误','2023-01-16 15:40:01'),(103,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','1','密码输入错误1次','2023-01-16 15:40:05'),(104,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','1','用户不存在/密码错误','2023-01-16 15:40:05'),(105,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-16 15:40:14'),(106,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','退出成功','2023-01-16 15:41:54'),(107,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-16 15:49:02'),(108,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','退出成功','2023-01-16 15:51:47'),(109,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-16 15:51:52'),(110,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 11:04:38'),(111,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','退出成功','2023-01-30 11:27:07'),(112,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 11:27:19'),(113,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 13:46:29'),(114,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 15:03:53'),(115,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 16:28:27'),(116,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','退出成功','2023-01-30 16:35:25'),(117,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 16:35:37'),(118,'15711111111','127.0.0.1','内网IP','Chrome 10','Windows 10','0','退出成功','2023-01-30 16:35:43'),(119,'admin','127.0.0.1','内网IP','Chrome 10','Windows 10','0','登录成功','2023-01-30 16:35:50'),(120,NULL,'127.0.0.1','内网IP','Unknown','Unknown','1','验证码已失效','2023-02-24 10:42:03'),(121,'admin','127.0.0.1','内网IP','Unknown','Unknown','1','验证码已失效','2023-02-24 10:44:17'),(122,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:46:31'),(123,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:46:40'),(124,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:47:14'),(125,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:50:28'),(126,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:56:14'),(127,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:56:41'),(128,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 10:57:10'),(129,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 11:13:00'),(130,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 11:16:53'),(131,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 15:30:52'),(132,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 15:31:43'),(133,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 15:35:12'),(134,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 15:39:22'),(135,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 15:56:28'),(136,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 17:04:11'),(137,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 17:04:14'),(138,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-24 17:27:49'),(139,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-27 09:50:19'),(140,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-27 09:50:43'),(141,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-27 09:51:30'),(142,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-27 09:51:48'),(143,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:40:34'),(144,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:41:49'),(145,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:43:19'),(146,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:43:24'),(147,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:53:48'),(148,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:53:49'),(149,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 09:56:10'),(150,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:46:50'),(151,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:50:37'),(152,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:51:10'),(153,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:04'),(154,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:06'),(155,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:12'),(156,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:18'),(157,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:20'),(158,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:22'),(159,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:24'),(160,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:52:38'),(161,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 10:59:41'),(162,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 11:00:21'),(163,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-02-28 11:00:33'),(164,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-03 14:15:08'),(165,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-03 15:12:10'),(166,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-03 16:20:19'),(167,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-03 16:22:14'),(168,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-03 16:40:28'),(169,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-03 17:10:36'),(170,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-03-06 10:38:22'),(171,'admin','127.0.0.1','内网IP','Unknown','Unknown','0','登录成功','2023-03-06 10:38:40'),(172,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-06 14:44:46'),(173,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','1','密码输入错误1次','2023-03-07 02:56:55'),(174,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','1','用户不存在/密码错误','2023-03-07 02:56:55'),(175,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 02:56:57'),(176,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 06:10:51'),(177,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 06:42:29'),(178,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 07:50:49'),(179,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 08:33:34'),(180,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 08:56:27'),(181,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 09:19:04'),(182,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','退出成功','2023-03-07 09:21:20'),(183,'admin','127.0.0.1','内网IP','Chrome 11','Windows 10','0','登录成功','2023-03-07 09:21:23');
/*!40000 ALTER TABLE `sys_logininfor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_menu`
--

DROP TABLE IF EXISTS `sys_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_menu` (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) NOT NULL COMMENT '菜单名称',
  `parent_id` bigint DEFAULT '0' COMMENT '父菜单ID',
  `order_num` int DEFAULT '0' COMMENT '显示顺序',
  `path` varchar(200) DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) DEFAULT NULL COMMENT '路由参数',
  `is_frame` int DEFAULT '1' COMMENT '是否为外链（0是 1否）',
  `is_cache` int DEFAULT '0' COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2015 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='菜单权限表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_menu`
--

LOCK TABLES `sys_menu` WRITE;
/*!40000 ALTER TABLE `sys_menu` DISABLE KEYS */;
INSERT INTO `sys_menu` VALUES (1,'系统管理',0,1,'system',NULL,'',1,0,'M','0','0','','system','admin','2022-12-15 15:01:51','admin','2023-01-30 13:48:27','系统管理目录'),(2,'系统监控',0,2,'monitor',NULL,'',1,0,'M','0','0','','monitor','admin','2022-12-15 15:01:51','',NULL,'系统监控目录'),(3,'系统工具',0,3,'tool',NULL,'',1,0,'M','0','0','','tool','admin','2022-12-15 15:01:51','',NULL,'系统工具目录'),(100,'用户管理',1,1,'user','system/user/index','',1,0,'C','0','0','system:user:list','user','admin','2022-12-15 15:01:51','',NULL,'用户管理菜单'),(101,'角色管理',1,2,'role','system/role/index','',1,0,'C','0','0','system:role:list','peoples','admin','2022-12-15 15:01:51','',NULL,'角色管理菜单'),(102,'菜单管理',1,3,'menu','system/menu/index','',1,0,'C','0','0','system:menu:list','tree-table','admin','2022-12-15 15:01:51','',NULL,'菜单管理菜单'),(103,'部门管理',1,4,'dept','system/dept/index','',1,0,'C','0','0','system:dept:list','tree','admin','2022-12-15 15:01:51','',NULL,'部门管理菜单'),(104,'岗位管理',1,5,'post','system/post/index','',1,0,'C','0','0','system:post:list','post','admin','2022-12-15 15:01:51','',NULL,'岗位管理菜单'),(105,'字典管理',1,6,'dict','system/dict/index','',1,0,'C','0','0','system:dict:list','dict','admin','2022-12-15 15:01:51','',NULL,'字典管理菜单'),(106,'参数设置',1,7,'config','system/config/index','',1,0,'C','0','0','system:config:list','edit','admin','2022-12-15 15:01:51','',NULL,'参数设置菜单'),(107,'通知公告',1,8,'notice','system/notice/index','',1,0,'C','0','0','system:notice:list','message','admin','2022-12-15 15:01:51','',NULL,'通知公告菜单'),(108,'日志管理',1,9,'log','','',1,0,'M','0','0','','log','admin','2022-12-15 15:01:51','',NULL,'日志管理菜单'),(109,'在线用户',2,1,'online','monitor/online/index','',1,0,'C','0','0','monitor:online:list','online','admin','2022-12-15 15:01:51','',NULL,'在线用户菜单'),(110,'定时任务',2,2,'job','monitor/job/index','',1,0,'C','0','0','monitor:job:list','job','admin','2022-12-15 15:01:51','',NULL,'定时任务菜单'),(111,'数据监控',2,3,'druid','monitor/druid/index','',1,0,'C','0','0','monitor:druid:list','druid','admin','2022-12-15 15:01:51','',NULL,'数据监控菜单'),(112,'服务监控',2,4,'server','monitor/server/index','',1,0,'C','0','0','monitor:server:list','server','admin','2022-12-15 15:01:51','',NULL,'服务监控菜单'),(113,'缓存监控',2,5,'cache','monitor/cache/index','',1,0,'C','0','0','monitor:cache:list','redis','admin','2022-12-15 15:01:51','',NULL,'缓存监控菜单'),(114,'缓存列表',2,6,'cacheList','monitor/cache/list','',1,0,'C','0','0','monitor:cache:list','redis-list','admin','2022-12-15 15:01:51','',NULL,'缓存列表菜单'),(115,'表单构建',3,1,'build','tool/build/index','',1,0,'C','0','0','tool:build:list','build','admin','2022-12-15 15:01:51','',NULL,'表单构建菜单'),(116,'代码生成',3,2,'gen','tool/gen/index','',1,0,'C','0','0','tool:gen:list','code','admin','2022-12-15 15:01:51','',NULL,'代码生成菜单'),(117,'系统接口',3,3,'swagger','tool/swagger/index','',1,0,'C','0','0','tool:swagger:list','swagger','admin','2022-12-15 15:01:51','',NULL,'系统接口菜单'),(500,'操作日志',108,1,'operlog','monitor/operlog/index','',1,0,'C','0','0','monitor:operlog:list','form','admin','2022-12-15 15:01:51','',NULL,'操作日志菜单'),(501,'登录日志',108,2,'logininfor','monitor/logininfor/index','',1,0,'C','0','0','monitor:logininfor:list','logininfor','admin','2022-12-15 15:01:51','',NULL,'登录日志菜单'),(1000,'用户查询',100,1,'','','',1,0,'F','0','0','system:user:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1001,'用户新增',100,2,'','','',1,0,'F','0','0','system:user:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1002,'用户修改',100,3,'','','',1,0,'F','0','0','system:user:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1003,'用户删除',100,4,'','','',1,0,'F','0','0','system:user:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1004,'用户导出',100,5,'','','',1,0,'F','0','0','system:user:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1005,'用户导入',100,6,'','','',1,0,'F','0','0','system:user:import','#','admin','2022-12-15 15:01:51','',NULL,''),(1006,'重置密码',100,7,'','','',1,0,'F','0','0','system:user:resetPwd','#','admin','2022-12-15 15:01:51','',NULL,''),(1007,'角色查询',101,1,'','','',1,0,'F','0','0','system:role:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1008,'角色新增',101,2,'','','',1,0,'F','0','0','system:role:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1009,'角色修改',101,3,'','','',1,0,'F','0','0','system:role:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1010,'角色删除',101,4,'','','',1,0,'F','0','0','system:role:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1011,'角色导出',101,5,'','','',1,0,'F','0','0','system:role:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1012,'菜单查询',102,1,'','','',1,0,'F','0','0','system:menu:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1013,'菜单新增',102,2,'','','',1,0,'F','0','0','system:menu:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1014,'菜单修改',102,3,'','','',1,0,'F','0','0','system:menu:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1015,'菜单删除',102,4,'','','',1,0,'F','0','0','system:menu:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1016,'部门查询',103,1,'','','',1,0,'F','0','0','system:dept:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1017,'部门新增',103,2,'','','',1,0,'F','0','0','system:dept:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1018,'部门修改',103,3,'','','',1,0,'F','0','0','system:dept:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1019,'部门删除',103,4,'','','',1,0,'F','0','0','system:dept:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1020,'岗位查询',104,1,'','','',1,0,'F','0','0','system:post:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1021,'岗位新增',104,2,'','','',1,0,'F','0','0','system:post:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1022,'岗位修改',104,3,'','','',1,0,'F','0','0','system:post:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1023,'岗位删除',104,4,'','','',1,0,'F','0','0','system:post:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1024,'岗位导出',104,5,'','','',1,0,'F','0','0','system:post:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1025,'字典查询',105,1,'#','','',1,0,'F','0','0','system:dict:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1026,'字典新增',105,2,'#','','',1,0,'F','0','0','system:dict:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1027,'字典修改',105,3,'#','','',1,0,'F','0','0','system:dict:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1028,'字典删除',105,4,'#','','',1,0,'F','0','0','system:dict:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1029,'字典导出',105,5,'#','','',1,0,'F','0','0','system:dict:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1030,'参数查询',106,1,'#','','',1,0,'F','0','0','system:config:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1031,'参数新增',106,2,'#','','',1,0,'F','0','0','system:config:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1032,'参数修改',106,3,'#','','',1,0,'F','0','0','system:config:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1033,'参数删除',106,4,'#','','',1,0,'F','0','0','system:config:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1034,'参数导出',106,5,'#','','',1,0,'F','0','0','system:config:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1035,'公告查询',107,1,'#','','',1,0,'F','0','0','system:notice:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1036,'公告新增',107,2,'#','','',1,0,'F','0','0','system:notice:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1037,'公告修改',107,3,'#','','',1,0,'F','0','0','system:notice:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1038,'公告删除',107,4,'#','','',1,0,'F','0','0','system:notice:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1039,'操作查询',500,1,'#','','',1,0,'F','0','0','monitor:operlog:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1040,'操作删除',500,2,'#','','',1,0,'F','0','0','monitor:operlog:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1041,'日志导出',500,3,'#','','',1,0,'F','0','0','monitor:operlog:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1042,'登录查询',501,1,'#','','',1,0,'F','0','0','monitor:logininfor:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1043,'登录删除',501,2,'#','','',1,0,'F','0','0','monitor:logininfor:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1044,'日志导出',501,3,'#','','',1,0,'F','0','0','monitor:logininfor:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1045,'账户解锁',501,4,'#','','',1,0,'F','0','0','monitor:logininfor:unlock','#','admin','2022-12-15 15:01:51','',NULL,''),(1046,'在线查询',109,1,'#','','',1,0,'F','0','0','monitor:online:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1047,'批量强退',109,2,'#','','',1,0,'F','0','0','monitor:online:batchLogout','#','admin','2022-12-15 15:01:51','',NULL,''),(1048,'单条强退',109,3,'#','','',1,0,'F','0','0','monitor:online:forceLogout','#','admin','2022-12-15 15:01:51','',NULL,''),(1049,'任务查询',110,1,'#','','',1,0,'F','0','0','monitor:job:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1050,'任务新增',110,2,'#','','',1,0,'F','0','0','monitor:job:add','#','admin','2022-12-15 15:01:51','',NULL,''),(1051,'任务修改',110,3,'#','','',1,0,'F','0','0','monitor:job:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1052,'任务删除',110,4,'#','','',1,0,'F','0','0','monitor:job:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1053,'状态修改',110,5,'#','','',1,0,'F','0','0','monitor:job:changeStatus','#','admin','2022-12-15 15:01:51','',NULL,''),(1054,'任务导出',110,6,'#','','',1,0,'F','0','0','monitor:job:export','#','admin','2022-12-15 15:01:51','',NULL,''),(1055,'生成查询',116,1,'#','','',1,0,'F','0','0','tool:gen:query','#','admin','2022-12-15 15:01:51','',NULL,''),(1056,'生成修改',116,2,'#','','',1,0,'F','0','0','tool:gen:edit','#','admin','2022-12-15 15:01:51','',NULL,''),(1057,'生成删除',116,3,'#','','',1,0,'F','0','0','tool:gen:remove','#','admin','2022-12-15 15:01:51','',NULL,''),(1058,'导入代码',116,4,'#','','',1,0,'F','0','0','tool:gen:import','#','admin','2022-12-15 15:01:51','',NULL,''),(1059,'预览代码',116,5,'#','','',1,0,'F','0','0','tool:gen:preview','#','admin','2022-12-15 15:01:51','',NULL,''),(1060,'生成代码',116,6,'#','','',1,0,'F','0','0','tool:gen:code','#','admin','2022-12-15 15:01:51','',NULL,''),(2001,'测试菜单MySQL',3,99,'user',NULL,NULL,1,0,'C','0','0',NULL,'404','admin','2023-01-30 17:03:26','',NULL,''),(2002,'注册用户管理',0,0,'register/user','register/user/index',NULL,1,0,'C','0','0','register:user:list','user','admin','2023-03-03 15:23:03','admin','2023-03-03 15:31:46','注册用户管理菜单'),(2003,'注册用户管理查询',2002,1,'#','',NULL,1,0,'F','0','0','register:user:query','#','admin','2023-03-03 15:23:03','admin','2023-03-03 15:25:43',''),(2004,'注册用户管理删除',2002,4,'#','',NULL,1,0,'F','0','0','register:user:remove','#','admin','2023-03-03 15:23:03','admin','2023-03-03 15:25:46',''),(2005,'注册用户管理导出',2002,5,'#','',NULL,1,0,'F','0','0','register:user:export','#','admin','2023-03-03 15:23:03','admin','2023-03-03 15:25:51',''),(2010,'地址管理',0,4,'seat',NULL,NULL,1,0,'M','0','0',NULL,'table','admin','2023-03-03 16:53:26','',NULL,''),(2011,'街道/社区/网格',2010,1,'address','seat/address/index',NULL,1,0,'C','0','0','','build','admin','2023-03-03 16:54:30','admin','2023-03-03 16:58:51',''),(2012,'小区管理',2010,2,'estate','seat/estate/index',NULL,1,0,'C','0','0','','chart','admin','2023-03-03 16:55:24','admin','2023-03-03 16:58:55',''),(2013,'网格员管理',2010,3,'gridman','seat/gridman/index',NULL,1,0,'C','0','0','','people','admin','2023-03-03 16:55:55','admin','2023-03-03 16:58:59',''),(2014,'事件上报',0,5,'report','report/index',NULL,1,0,'C','0','0',NULL,'documentation','admin','2023-03-07 09:37:04','',NULL,'');
/*!40000 ALTER TABLE `sys_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_notice`
--

DROP TABLE IF EXISTS `sys_notice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_notice` (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(500) NOT NULL COMMENT '公告标题',
  `notice_type` char(1) NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob COMMENT '公告内容',
  `status` char(1) DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='通知公告表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_notice`
--

LOCK TABLES `sys_notice` WRITE;
/*!40000 ALTER TABLE `sys_notice` DISABLE KEYS */;
INSERT INTO `sys_notice` VALUES (1,'温馨提醒：2018-07-01 若依新版本发布啦','2',_binary '新版本内容','0','admin','2022-12-15 15:01:52','',NULL,'管理员'),(2,'维护通知：2018-07-01 若依系统凌晨维护','1',_binary '维护内容','0','admin','2022-12-15 15:01:52','',NULL,'管理员');
/*!40000 ALTER TABLE `sys_notice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_oper_log`
--

DROP TABLE IF EXISTS `sys_oper_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_oper_log` (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) DEFAULT '' COMMENT '模块标题',
  `business_type` int DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) DEFAULT '' COMMENT '请求方式',
  `operator_type` int DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) DEFAULT '' COMMENT '返回参数',
  `status` int DEFAULT '0' COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`)
) ENGINE=InnoDB AUTO_INCREMENT=234 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='操作日志记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_oper_log`
--

LOCK TABLES `sys_oper_log` WRITE;
/*!40000 ALTER TABLE `sys_oper_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `sys_oper_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_post`
--

DROP TABLE IF EXISTS `sys_post`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_post` (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='岗位信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_post`
--

LOCK TABLES `sys_post` WRITE;
/*!40000 ALTER TABLE `sys_post` DISABLE KEYS */;
INSERT INTO `sys_post` VALUES (1,'ceo','董事长',1,'0','admin','2022-12-15 15:01:51','',NULL,''),(2,'se','项目经理',2,'0','admin','2022-12-15 15:01:51','',NULL,''),(3,'hr','人力资源',3,'0','admin','2022-12-15 15:01:51','',NULL,''),(4,'user','普通员工',4,'0','admin','2022-12-15 15:01:51','',NULL,'');
/*!40000 ALTER TABLE `sys_post` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role`
--

DROP TABLE IF EXISTS `sys_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_role` (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) DEFAULT '1' COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) DEFAULT '1' COMMENT '部门树选择项是否关联显示',
  `status` char(1) NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='角色信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role`
--

LOCK TABLES `sys_role` WRITE;
/*!40000 ALTER TABLE `sys_role` DISABLE KEYS */;
INSERT INTO `sys_role` VALUES (1,'超级管理员','admin',1,'1',1,1,'0','0','admin','2022-12-15 15:01:51','',NULL,'超级管理员'),(2,'普通角色','common',2,'2',1,1,'0','0','admin','2022-12-15 15:01:51','admin','2023-03-03 16:30:01','普通角色');
/*!40000 ALTER TABLE `sys_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role_dept`
--

DROP TABLE IF EXISTS `sys_role_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_role_dept` (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`,`dept_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='角色和部门关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role_dept`
--

LOCK TABLES `sys_role_dept` WRITE;
/*!40000 ALTER TABLE `sys_role_dept` DISABLE KEYS */;
INSERT INTO `sys_role_dept` VALUES (2,100),(2,101),(2,105);
/*!40000 ALTER TABLE `sys_role_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_role_menu`
--

DROP TABLE IF EXISTS `sys_role_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_role_menu` (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`,`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='角色和菜单关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_role_menu`
--

LOCK TABLES `sys_role_menu` WRITE;
/*!40000 ALTER TABLE `sys_role_menu` DISABLE KEYS */;
INSERT INTO `sys_role_menu` VALUES (2,1),(2,2),(2,3),(2,100),(2,101),(2,102),(2,103),(2,104),(2,105),(2,106),(2,107),(2,108),(2,109),(2,110),(2,111),(2,112),(2,115),(2,116),(2,117),(2,500),(2,501),(2,1000),(2,1001),(2,1002),(2,1003),(2,1004),(2,1005),(2,1006),(2,1007),(2,1008),(2,1009),(2,1010),(2,1011),(2,1012),(2,1013),(2,1014),(2,1015),(2,1016),(2,1017),(2,1018),(2,1019),(2,1020),(2,1021),(2,1022),(2,1023),(2,1024),(2,1025),(2,1026),(2,1027),(2,1028),(2,1029),(2,1030),(2,1031),(2,1032),(2,1033),(2,1034),(2,1035),(2,1036),(2,1037),(2,1038),(2,1039),(2,1040),(2,1041),(2,1042),(2,1043),(2,1044),(2,1045),(2,1046),(2,1047),(2,1048),(2,1049),(2,1050),(2,1051),(2,1052),(2,1053),(2,1054),(2,1055),(2,1056),(2,1057),(2,1058),(2,1059);
/*!40000 ALTER TABLE `sys_role_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user`
--

DROP TABLE IF EXISTS `sys_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_user` (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) DEFAULT '' COMMENT '手机号码',
  `sex` char(1) DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) DEFAULT '' COMMENT '密码',
  `status` char(1) DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user`
--

LOCK TABLES `sys_user` WRITE;
/*!40000 ALTER TABLE `sys_user` DISABLE KEYS */;
INSERT INTO `sys_user` VALUES (1,103,'admin','系统管理员','00','ry@163.com','15888888888','1','','$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2','0','0','127.0.0.1','2023-03-07 17:21:27','admin','2022-12-15 15:01:51','','2023-03-07 09:21:23','管理员'),(2,105,'ry','若依','00','ry@qq.com','15666666666','1','','$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2','0','0','127.0.0.1','2022-12-15 15:01:51','admin','2022-12-15 15:01:51','',NULL,'测试员'),(100,104,'15711111111','测试账号','00','1@qq.com','15711111111','0','','$2a$10$J1tkNhvsbyY3EJg7HRfcm.HwHua3HvNc6E43oGTb3gxSnc6Hq1C4y','0','0','127.0.0.1','2023-01-30 16:35:37','admin','2023-01-16 15:41:50','','2023-01-30 16:35:37',NULL);
/*!40000 ALTER TABLE `sys_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user_post`
--

DROP TABLE IF EXISTS `sys_user_post`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_user_post` (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`,`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户与岗位关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user_post`
--

LOCK TABLES `sys_user_post` WRITE;
/*!40000 ALTER TABLE `sys_user_post` DISABLE KEYS */;
INSERT INTO `sys_user_post` VALUES (1,1),(2,2);
/*!40000 ALTER TABLE `sys_user_post` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_user_role`
--

DROP TABLE IF EXISTS `sys_user_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_user_role` (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`,`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='用户和角色关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_user_role`
--

LOCK TABLES `sys_user_role` WRITE;
/*!40000 ALTER TABLE `sys_user_role` DISABLE KEYS */;
INSERT INTO `sys_user_role` VALUES (1,1),(2,2),(100,2);
/*!40000 ALTER TABLE `sys_user_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wx_address`
--

DROP TABLE IF EXISTS `wx_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wx_address` (
  `address_id` varchar(64) NOT NULL COMMENT '地址ID',
  `parent_id` varchar(64) DEFAULT NULL COMMENT '上级地址ID',
  `name` varchar(200) DEFAULT NULL COMMENT '地址名称',
  `code` varchar(200) DEFAULT NULL COMMENT '地址编码',
  `level` tinyint DEFAULT NULL COMMENT '地址层级',
  PRIMARY KEY (`address_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wx_address`
--

LOCK TABLES `wx_address` WRITE;
/*!40000 ALTER TABLE `wx_address` DISABLE KEYS */;
INSERT INTO `wx_address` VALUES ('220302001000','','仁兴街道','220302001000',0),('220302001001','220302001000','园北社区','220302001001',1),('220302001002','220302001000','迎春社区','220302001002',1),('220302001003','220302001000','电业社区','220302001003',1),('220302001004','220302001000','益民社区','220302001004',1),('220302001005','220302001000','天桥社区','220302001005',1),('220302001006','220302001000','仁兴社区','220302001006',1),('220302001007','220302001000','北体社区','220302001007',1),('220302001008','220302001000','红宇社区','220302001008',1),('220302002000','','英雄街道','220302002000',0),('220302002001','220302002000','拥军社区','220302002001',1),('220302002002','220302002000','师大社区','220302002002',1),('220302002003','220302002000','文苑社区','220302002003',1),('220302002004','220302002000','阳光社区','220302002004',1),('220302002005','220302002000','英雄社区','220302002005',1),('220302002006','220302002000','丰茂社区','220302002006',1),('220302002007','220302002000','南湖社区','220302002007',1),('220302003000','','站前街道','220302003000',0),('220302003001','220302003000','站前社区','220302003001',1),('220302003002','220302003000','中兴社区','220302003002',1),('220302003003','220302003000','新铁社区','220302003003',1),('220302003004','220302003000','新立社区','220302003004',1),('220302003005','220302003000','海丰园社区','220302003005',1),('220302003006','220302003000','柏林社区','220302003006',1),('220302003007','220302003000','东煤社区','220302003007',1),('220302004000','','北沟街道','220302004000',0),('220302004001','220302004000','北河社区','220302004001',1),('220302004002','220302004000','北郊社区','220302004002',1),('220302004003','220302004000','前锋社区','220302004003',1),('220302004004','220302004000','滨河社区','220302004004',1),('220302004005','220302004000','一道口社区','220302004005',1),('220302004006','220302004000','北沟社区','220302004006',1),('220302004007','220302004000','北铁社区','220302004007',1),('220302005000','','地直街道','220302005000',0),('220302005001','220302005000','迎宾社区','220302005001',1),('220302005002','220302005000','二里社区','220302005002',1),('220302005003','220302005000','桥西社区','220302005003',1),('220302005004','220302005000','南河社区','220302005004',1),('220302005005','220302005000','西园社区','220302005005',1),('220302005006','220302005000','地直社区','220302005006',1),('220302005007','220302005000','利群社区','220302005007',1),('220302005008','220302005000','长征社区','220302005008',1),('220302005009','220302005000','爱民社区','220302005009',1),('220302200000','','平西乡','220302200000',0),('220302200200','220302200000','致富村','220302200200',1),('220302200201','220302200000','红嘴村','220302200201',1),('220302200202','220302200000','条子河村','220302200202',1),('220302200203','220302200000','泉沟村','220302200203',1),('220302200204','220302200000','新发村','220302200204',1),('220302200205','220302200000','太平沟村','220302200205',1),('220302200206','220302200000','三合村','220302200206',1),('220302200207','220302200000','海丰村','220302200207',1),('220302200208','220302200000','勤业村','220302200208',1),('220302200209','220302200000','三道林村','220302200209',1),('220302200210','220302200000','巨丰村','220302200210',1),('220302200211','220302200000','九间房村','220302200211',1),('220302200212','220302200000','团山子村','220302200212',1),('220302200213','220302200000','任家村','220302200213',1),('220302200214','220302200000','东八大村','220302200214',1),('220302200215','220302200000','西八大村','220302200215',1),('220302200216','220302200000','孤榆树村','220302200216',1),('220302200217','220302200000','西条子河村','220302200217',1),('220302200218','220302200000','海青村','220302200218',1),('220302200219','220302200000','獾子洞村','220302200219',1),('220302400000','','红嘴高新技术开发区','220302400000',0),('220303001000','','平东街道','220303001000',0),('220303001001','220303001000','宏大社区','220303001001',1),('220303001002','220303001000','国测社区','220303001002',1),('220303001003','220303001000','烟厂社区','220303001003',1),('220303001004','220303001000','辉煌社区','220303001004',1),('220303001005','220303001000','城东社区','220303001005',1),('220303002000','','北市场街道','220303002000',0),('220303002001','220303002000','金桥社区','220303002001',1),('220303002002','220303002000','马车房社区','220303002002',1),('220303002003','220303002000','金龙社区','220303002003',1),('220303002004','220303002000','广兴茂社区','220303002004',1),('220303003000','','七马路街道','220303003000',0),('220303003001','220303003000','鑫荣社区','220303003001',1),('220303003002','220303003000','为民社区','220303003002',1),('220303003003','220303003000','玉泉社区','220303003003',1),('220303003004','220303003000','福民社区','220303003004',1),('220303003005','220303003000','富强社区','220303003005',1),('220303004000','','四马路街道','220303004000',0),('220303004001','220303004000','木兰社区','220303004001',1),('220303004002','220303004000','东星社区','220303004002',1),('220303004003','220303004000','曙光社区','220303004003',1),('220303004004','220303004000','四热社区','220303004004',1),('220303004005','220303004000','东方社区','220303004005',1),('220303006000','','北门街道','220303006000',0),('220303006001','220303006000','西关社区','220303006001',1),('220303006002','220303006000','八三社区','220303006002',1),('220303006003','220303006000','新春社区','220303006003',1),('220303006004','220303006000','泰安社区二','220303006004',1),('220303006005','220303006000','泰安社区','220303006005',1),('220303006006','220303006000','喜庆社区','220303006006',1),('220303006007','220303006000','桃源社区','220303006007',1),('220303007000','','黄土坑街道','220303007000',0),('220303007001','220303007000','振兴社区','220303007001',1),('220303007002','220303007000','万盛社区','220303007002',1),('220303007003','220303007000','南桥社区','220303007003',1),('220303007004','220303007000','双汇社区','220303007004',1),('220303008000','','平南街道','220303008000',0),('220303008001','220303008000','平东社区','220303008001',1),('220303008002','220303008000','恒吉社区','220303008002',1),('220303008003','220303008000','风光社区','220303008003',1),('220303008004','220303008000','兴工社区','220303008004',1),('220303100000','','山门镇','220303100000',0),('220303100200','220303100000','山门村','220303100200',1),('220303100201','220303100000','头道村','220303100201',1),('220303100202','220303100000','大洼村','220303100202',1),('220303100203','220303100000','英城村','220303100203',1),('220303100204','220303100000','上二台村','220303100204',1),('220303100205','220303100000','解放村','220303100205',1),('220303100206','220303100000','新兴村','220303100206',1),('220303100207','220303100000','靠山村','220303100207',1),('220303100208','220303100000','靠道村','220303100208',1),('220303100209','220303100000','龙王村','220303100209',1),('220303100210','220303100000','古洞村','220303100210',1),('220303100211','220303100000','老城村','220303100211',1),('220303100212','220303100000','塔山村','220303100212',1),('220303101000','','石岭镇','220303101000',0),('220303101001','220303101000','哈福社区','220303101001',1),('220303101002','220303101000','二龙社区','220303101002',1),('220303101003','220303101000','河东社区','220303101003',1),('220303101004','220303101000','河西社区','220303101004',1),('220303101200','220303101000','石河村','220303101200',1),('220303101201','220303101000','塔子沟村','220303101201',1),('220303101202','220303101000','哈福村','220303101202',1),('220303101203','220303101000','莫盘沟村','220303101203',1),('220303101204','220303101000','郭家村','220303101204',1),('220303101205','220303101000','梨树沟村','220303101205',1),('220303101206','220303101000','耿老村','220303101206',1),('220303101207','220303101000','云盘沟村','220303101207',1),('220303101208','220303101000','石岭村','220303101208',1),('220303101209','220303101000','十里堡村','220303101209',1),('220303101210','220303101000','姜家洼子村','220303101210',1),('220303101211','220303101000','小孤家子村','220303101211',1),('220303101212','220303101000','佘家村','220303101212',1),('220303101213','220303101000','赵家沟村','220303101213',1),('220303101214','220303101000','二龙村','220303101214',1),('220303101215','220303101000','大孤家村','220303101215',1),('220303101216','220303101000','王家沟村','220303101216',1),('220303102000','','叶赫满族镇','220303102000',0),('220303102001','220303102000','叶赫那拉社区','220303102001',1),('220303102200','220303102000','白木匠村','220303102200',1),('220303102201','220303102000','板仓子村','220303102201',1),('220303102202','220303102000','东升村','220303102202',1),('220303102203','220303102000','双合村','220303102203',1),('220303102204','220303102000','新立村','220303102204',1),('220303102205','220303102000','兴隆村','220303102205',1),('220303102206','220303102000','杨木林子村','220303102206',1),('220303102207','220303102000','叶赫村','220303102207',1),('220303102208','220303102000','英额堡村','220303102208',1),('220303102209','220303102000','营盘村','220303102209',1),('220303102210','220303102000','永合村','220303102210',1),('220303102211','220303102000','张家村','220303102211',1),('220303102212','220303102000','砬子沟村','220303102212',1),('220303200000','','城东乡','220303200000',0),('220303200200','220303200000','一面城村','220303200200',1),('220303200203','220303200000','房身村','220303200203',1),('220303200204','220303200000','平东村','220303200204',1),('220303200205','220303200000','合力村','220303200205',1),('220303200209','220303200000','永乐村','220303200209',1),('220303200211','220303200000','下三台村','220303200211',1),('220322100000','','梨树镇','220322100000',0),('220322100201','220322100000','南杏山村','220322100201',1),('220322100202','220322100000','大烟筒村','220322100202',1),('220322100205','220322100000','西平安村','220322100205',1),('220322100206','220322100000','东平安村','220322100206',1),('220322100208','220322100000','西中安村','220322100208',1),('220322100209','220322100000','中安堡村','220322100209',1),('220322100210','220322100000','双城子村','220322100210',1),('220322100211','220322100000','马地方村','220322100211',1),('220322100212','220322100000','北老壕村','220322100212',1),('220322100213','220322100000','泉眼沟村','220322100213',1),('220322100214','220322100000','夏家堡村','220322100207',1),('220322100215','220322100000','北夏家村','220322100204',1),('220322100217','220322100000','后房身村','220322100203',1),('220322100218','220322100000','前房身村','220322100218',1),('220322100219','220322100000','胡家村','220322100219',1),('220322100220','220322100000','苗圃村','220322100220',1),('220322100221','220322100000','高家村','220322100221',1),('220322100222','220322100000','杨家村','220322100222',1),('220322100223','220322100000','后加巴村','220322100215',1),('220322100224','220322100000','郝家村','220322100214',1),('220322101000','','郭家店镇','220322101000',0),('220322101001','220322101000','站北社区','220322101001',1),('220322101002','220322101000','站南社区','220322101002',1),('220322101003','220322101000','建材社区','220322101003',1),('220322101004','220322101000','河南社区','220322101004',1),('220322101005','220322101000','曙光社区','220322101005',1),('220322101006','220322101000','晨晖社区','220322101006',1),('220322101007','220322101000','大顶山社区','220322101007',1),('220322101200','220322101000','石槽沟村','220322101200',1),('220322101201','220322101000','化石山村','220322101201',1),('220322101202','220322101000','孙家屯村','220322101202',1),('220322101203','220322101000','柴火沟村','220322101203',1),('220322101204','220322101000','八家子村','220322101204',1),('220322101205','220322101000','八里城村','220322101205',1),('220322101206','220322101000','新胜村','220322101206',1),('220322101207','220322101000','青堆子村','220322101207',1),('220322101208','220322101000','小泉眼村','220322101208',1),('220322101209','220322101000','双马架村','220322101209',1),('220322101210','220322101000','东青石岭村','220322101210',1),('220322101211','220322101000','西青石岭村','220322101211',1),('220322101212','220322101000','花城子村','220322101212',1),('220322101213','220322101000','四大家村','220322101213',1),('220322101214','220322101000','东黑咀子村','220322101214',1),('220322101215','220322101000','镇郊村','220322101215',1),('220322101216','220322101000','蔬菜村','220322101216',1),('220322102000','','榆树台镇','220322102000',0),('220322102001','220322102000','光明社区','220322102001',1),('220322102002','220322102000','银河社区','220322102002',1),('220322102200','220322102000','路明村','220322102200',1),('220322102201','220322102000','新合村','220322102201',1),('220322102202','220322102000','三合村','220322102202',1),('220322102203','220322102000','团结村','220322102203',1),('220322102204','220322102000','六合村','220322102204',1),('220322102205','220322102000','新兴村','220322102205',1),('220322102206','220322102000','徐家油坊村','220322102206',1),('220322102207','220322102000','东胜村','220322102207',1),('220322102208','220322102000','房身村','220322102208',1),('220322102209','220322102000','闫家村','220322102209',1),('220322102210','220322102000','厢房李村','220322102210',1),('220322102211','220322102000','新江村','220322102211',1),('220322102212','220322102000','双龙村','220322102212',1),('220322102213','220322102000','董家窝堡村','220322102213',1),('220322102214','220322102000','袁家岭村','220322102214',1),('220322102215','220322102000','周家油坊村','220322102215',1),('220322102216','220322102000','兴发堡村','220322102216',1),('220322102217','220322102000','大榆树村','220322102217',1),('220322102219','220322102000','张家油坊村','220322102219',1),('220322102220','220322102000','潘家村','220322102220',1),('220322103000','','孤家子镇（四平辽河农垦管理区）','220322103000',0),('220322103001','220322103000','05沈洋社区','220322103001',1),('220322103002','220322103000','07兴隆社区','220322103002',1),('220322103003','220322103000','电塔社区','220322103003',1),('220322103004','220322103000','09文明社区','220322103004',1),('220322103005','220322103000','10韩道良社区','220322103005',1),('220322103200','220322103000','12孤家子村','220322103200',1),('220322103201','220322103000','13大林子村','220322103201',1),('220322103202','220322103000','14两家子村','220322103202',1),('220322103203','220322103000','15马家窑村','220322103203',1),('220322103204','220322103000','16张家街村','220322103204',1),('220322103205','220322103000','17团山子村','220322103205',1),('220322103206','220322103000','18七里介村','220322103206',1),('220322103207','220322103000','19红旗村','220322103207',1),('220322104000','','小城子镇','220322104000',0),('220322104001','220322104000','新城社区','220322104001',1),('220322104200','220322104000','爱德村','220322104200',1),('220322104201','220322104000','长山村','220322104201',1),('220322104202','220322104000','船口村','220322104202',1),('220322104203','220322104000','大桥村','220322104203',1),('220322104204','220322104000','东河山村','220322104204',1),('220322104205','220322104000','六屋村','220322104205',1),('220322104206','220322104000','平庄村','220322104206',1),('220322104207','220322104000','亲仁村','220322104207',1),('220322104208','220322104000','土龙村','220322104208',1),('220322104209','220322104000','围子村','220322104209',1),('220322104210','220322104000','西道村','220322104210',1),('220322104211','220322104000','西河山村','220322104211',1),('220322104212','220322104000','新家村','220322104212',1),('220322104213','220322104000','新农村村','220322104213',1),('220322104214','220322104000','友贤村','220322104214',1),('220322104215','220322104000','中央堡村','220322104215',1),('220322104216','220322104000','大房身村','220322104216',1),('220322104217','220322104000','二里界村','220322104217',1),('220322104218','220322104000','张家窝堡村','220322104218',1),('220322104219','220322104000','庆东村','220322104219',1),('220322104220','220322104000','同庆村','220322104220',1),('220322104221','220322104000','江东道村','220322104221',1),('220322104222','220322104000','高山村','220322104222',1),('220322105000','','喇嘛甸镇','220322105000',0),('220322105001','220322105000','昌平社区','220322105001',1),('220322105200','220322105000','高家窝堡村','220322105200',1),('220322105201','220322105000','喇嘛甸村','220322105201',1),('220322105202','220322105000','老程窝堡村','220322105202',1),('220322105203','220322105000','梨树贝村','220322105203',1),('220322105204','220322105000','柳树营村','220322105204',1),('220322105205','220322105000','六家子村','220322105205',1),('220322105206','220322105000','牛家窝堡村','220322105206',1),('220322105207','220322105000','彭家窝堡村','220322105207',1),('220322105208','220322105000','平岭村','220322105208',1),('220322105209','220322105000','前加巴村','220322105209',1),('220322105210','220322105000','申染房村','220322105210',1),('220322105211','220322105000','王家园子村','220322105211',1),('220322105212','220322105000','一棵树村','220322105212',1),('220322105213','220322105000','前胡家村','220322105213',1),('220322106000','','蔡家镇','220322106000',0),('220322106001','220322106000','蔡家小站社区','220322106001',1),('220322106200','220322106000','爱国村','220322106200',1),('220322106201','220322106000','蔡家村','220322106201',1),('220322106202','220322106000','横道子村','220322106202',1),('220322106203','220322106000','敬友村','220322106203',1),('220322106204','220322106000','拉腰子村','220322106204',1),('220322106205','220322106000','马家村','220322106205',1),('220322106206','220322106000','孟家村','220322106206',1),('220322106207','220322106000','娘娘庙村','220322106207',1),('220322106208','220322106000','下坎子村','220322106208',1),('220322106209','220322106000','新村村','220322106209',1),('220322106210','220322106000','姚家村','220322106210',1),('220322107000','','刘家馆子镇','220322107000',0),('220322107001','220322107000','长安社区','220322107001',1),('220322107200','220322107000','北六家子村','220322107200',1),('220322107201','220322107000','大力虎村','220322107201',1),('220322107202','220322107000','东卡篓村','220322107202',1),('220322107203','220322107000','东五家村','220322107203',1),('220322107204','220322107000','韩家村','220322107204',1),('220322107205','220322107000','纪家村','220322107205',1),('220322107206','220322107000','刘家馆子村','220322107206',1),('220322107207','220322107000','龙山村','220322107207',1),('220322107208','220322107000','南六家子村','220322107208',1),('220322107209','220322107000','三家窝堡村','220322107209',1),('220322107210','220322107000','炭窑村','220322107210',1),('220322107211','220322107000','王河村','220322107211',1),('220322107212','220322107000','苇田村','220322107212',1),('220322107213','220322107000','吴家坨子村','220322107213',1),('220322107214','220322107000','乌兰村','220322107214',1),('220322107215','220322107000','西卡篓村','220322107215',1),('220322107216','220322107000','西五家村','220322107216',1),('220322108000','','十家堡镇','220322108000',0),('220322108001','220322108000','十家堡社区','220322108001',1),('220322108200','220322108000','八棵树村','220322108200',1),('220322108201','220322108000','八盘碾子村','220322108201',1),('220322108202','220322108000','何家村','220322108202',1),('220322108203','220322108000','靠山屯村','220322108203',1),('220322108204','220322108000','龙湾村','220322108204',1),('220322108205','220322108000','龙王庙村','220322108205',1),('220322108206','220322108000','三家子村','220322108206',1),('220322108207','220322108000','上三台村','220322108207',1),('220322108208','220322108000','十家堡村','220322108208',1),('220322108209','220322108000','太阳沟村','220322108209',1),('220322108210','220322108000','铁岭窝堡村','220322108210',1),('220322108211','220322108000','王相村','220322108211',1),('220322108212','220322108000','西黑嘴子村','220322108212',1),('220322108213','220322108000','小桥子村','220322108213',1),('220322108214','220322108000','营城子村','220322108214',1),('220322109000','','孟家岭镇','220322109000',0),('220322109001','220322109000','青山路社区','220322109001',1),('220322109200','220322109000','孟家岭村','220322109200',1),('220322109201','220322109000','马家油坊村','220322109201',1),('220322109202','220322109000','苏家村','220322109202',1),('220322109203','220322109000','下安村','220322109203',1),('220322109204','220322109000','大河沿村','220322109204',1),('220322109205','220322109000','赫尔苏门村','220322109205',1),('220322109206','220322109000','二道沟村','220322109206',1),('220322109207','220322109000','潘家沟村','220322109207',1),('220322109208','220322109000','四台子村','220322109208',1),('220322110000','','万发镇','220322110000',0),('220322110001','220322110000','永发社区','220322110001',1),('220322110200','220322110000','长胜村','220322110200',1),('220322110201','220322110000','东万发村','220322110201',1),('220322110202','220322110000','关家岗子村','220322110202',1),('220322110203','220322110000','贾杂铺村','220322110203',1),('220322110204','220322110000','李家店村','220322110204',1),('220322110205','220322110000','刘家岗子村','220322110205',1),('220322110206','220322110000','吕家岗子村','220322110206',1),('220322110207','220322110000','孙家店村','220322110207',1),('220322110208','220322110000','西万发村','220322110208',1),('220322110209','220322110000','幸福村','220322110209',1),('220322110210','220322110000','朱家村','220322110210',1),('220322110211','220322110000','闫家堡子村','220322110211',1),('220322110212','220322110000','北太平村','220322110212',1),('220322110213','220322110000','毕家堡子村','220322110213',1),('220322110214','220322110000','李家村','220322110214',1),('220322110215','220322110000','龙母庙村','220322110215',1),('220322110216','220322110000','牟家村','220322110216',1),('220322110217','220322110000','南太平村','220322110217',1),('220322110218','220322110000','前梁家村','220322110218',1),('220322110219','220322110000','青松村','220322110219',1),('220322110220','220322110000','宋家围子村','220322110220',1),('220322110221','220322110000','田家洼子村','220322110221',1),('220322110222','220322110000','榆树村','220322110222',1),('220322110223','220322110000','张家屯村','220322110223',1),('220322111000','','东河镇','220322111000',0),('220322111001','220322111000','赵家店社区','220322111001',1),('220322111200','220322111000','东河村','220322111200',1),('220322111201','220322111000','梁家岗子村','220322111201',1),('220322111202','220322111000','胜利村','220322111202',1),('220322111203','220322111000','双城子村','220322111203',1),('220322111204','220322111000','双树子村','220322111204',1),('220322111205','220322111000','松树村','220322111205',1),('220322111206','220322111000','王平房村','220322111206',1),('220322111207','220322111000','五业村','220322111207',1),('220322111208','220322111000','新发村','220322111208',1),('220322111209','220322111000','业家屯村','220322111209',1),('220322111210','220322111000','赵家店村','220322111210',1),('220322111211','220322111000','周家岗子村','220322111211',1),('220322112000','','沈洋镇','220322112000',0),('220322112001','220322112000','沈新社区','220322112001',1),('220322112200','220322112000','后太平村','220322112200',1),('220322112201','220322112000','兴无村','220322112201',1),('220322112202','220322112000','辽河村','220322112202',1),('220322112203','220322112000','丰收村','220322112203',1),('220322112204','220322112000','翻身村','220322112204',1),('220322112205','220322112000','工农村','220322112205',1),('220322112206','220322112000','前太平村','220322112206',1),('220322112207','220322112000','白沙坨村','220322112207',1),('220322112208','220322112000','张家堡子村','220322112208',1),('220322112209','220322112000','大孤山村','220322112209',1),('220322112210','220322112000','闫达村','220322112210',1),('220322112211','220322112000','李家街村','220322112211',1),('220322112212','220322112000','沈洋村','220322112212',1),('220322113000','','林海镇','220322113000',0),('220322113001','220322113000','爱欣社区','220322113001',1),('220322113200','220322113000','双山村','220322113200',1),('220322113201','220322113000','五家子村','220322113201',1),('220322113202','220322113000','绿海村','220322113202',1),('220322113203','220322113000','李家围子村','220322113203',1),('220322113204','220322113000','大门丁村','220322113204',1),('220322113205','220322113000','夏窑村','220322113205',1),('220322113206','220322113000','揣家洼子村','220322113206',1),('220322113207','220322113000','头道岗村','220322113207',1),('220322113208','220322113000','长丰村','220322113208',1),('220322113209','220322113000','顺山村','220322113209',1),('220322113210','220322113000','老奤村','220322113210',1),('220322113211','220322113000','夏甸子村','220322113211',1),('220322113212','220322113000','兴开城村','220322113212',1),('220322113213','220322113000','王家局子村','220322113213',1),('220322113214','220322113000','靠山李村','220322113214',1),('220322114000','','小宽镇','220322114000',0),('220322114001','220322114000','宽城社区','220322114001',1),('220322114200','220322114000','小宽村','220322114200',1),('220322114201','220322114000','西河村','220322114201',1),('220322114202','220322114000','长发村','220322114202',1),('220322114203','220322114000','五家户村','220322114203',1),('220322114204','220322114000','新风村','220322114204',1),('220322114205','220322114000','宏伟村','220322114205',1),('220322114206','220322114000','长兴村','220322114206',1),('220322114207','220322114000','大宽村','220322114207',1),('220322114208','220322114000','陈家村','220322114208',1),('220322200000','','白山乡','220322200000',0),('220322200200','220322200000','裴家村','220322200200',1),('220322200201','220322200000','鲍家村','220322200201',1),('220322200202','220322200000','老山头村','220322200202',1),('220322200203','220322200000','刘家窝堡村','220322200203',1),('220322200204','220322200000','大泉眼村','220322200204',1),('220322200205','220322200000','四合村','220322200205',1),('220322200206','220322200000','西白山村','220322200206',1),('220322200208','220322200000','隋家村','220322200208',1),('220322200209','220322200000','郑家村','220322200209',1),('220322200210','220322200000','东风村','220322200210',1),('220322200212','220322200000','平山村','220322200212',1),('220322200213','220322200000','友谊村','220322200211',1),('220322200214','220322200000','石家堡村','220322200207',1),('220322201000','','泉眼岭乡','220322201000',0),('220322201200','220322201000','西泉村','220322201200',1),('220322201201','220322201000','东泉村','220322201201',1),('220322201202','220322201000','蒋机房村','220322201202',1),('220322201203','220322201000','新发堡村','220322201203',1),('220322201204','220322201000','玻璃城子村','220322201204',1),('220322201205','220322201000','南泉村','220322201205',1),('220322201206','220322201000','小房身村','220322201206',1),('220322201207','220322201000','东洼子村','220322201207',1),('220322201208','220322201000','常青村','220322201208',1),('220322202000','','胜利乡','220322202000',0),('220322202200','220322202000','关家屯村','220322202200',1),('220322202201','220322202000','顺城堡村','220322202201',1),('220322202202','220322202000','十家子村','220322202202',1),('220322202203','220322202000','九家子村','220322202203',1),('220322202204','220322202000','长发堡村','220322202204',1),('220322202205','220322202000','郭家窝堡村','220322202205',1),('220322202206','220322202000','四家子村','220322202206',1),('220322202207','220322202000','代家堡村','220322202207',1),('220322202208','220322202000','小城子村','220322202208',1),('220322202209','220322202000','羊尾岭村','220322202209',1),('220322202210','220322202000','南老奤村','220322202210',1),('220322202211','220322202000','石庙子村','220322202211',1),('220322203000','','四棵树乡','220322203000',0),('220322203200','220322203000','四棵树村','220322203200',1),('220322203201','220322203000','七家子村','220322203201',1),('220322203202','220322203000','小郑屯村','220322203202',1),('220322203203','220322203000','三棵树村','220322203203',1),('220322203204','220322203000','王家桥村','220322203204',1),('220322203205','220322203000','李家桥村','220322203205',1),('220322203206','220322203000','十二马架村','220322203206',1),('220322203207','220322203000','长山堡村','220322203207',1),('220322203208','220322203000','后韩家村','220322203208',1),('220322203209','220322203000','安家屯村','220322203209',1),('220322203210','220322203000','傅家街村','220322203210',1),('220322203211','220322203000','田家庙村','220322203211',1),('220322204000','','双河乡','220322204000',0),('220322204200','220322204000','于大壕村','220322204200',1),('220322204201','220322204000','三合堡村','220322204201',1),('220322204202','220322204000','范家屯村','220322204202',1),('220322204203','220322204000','杨船口村','220322204203',1),('220322204204','220322204000','陈大窝堡村','220322204204',1),('220322204205','220322204000','刘家炉村','220322204205',1),('220322204206','220322204000','腰窝堡村','220322204206',1),('220322204207','220322204000','柳家屯村','220322204207',1),('220322204208','220322204000','三道岗子村','220322204208',1),('220322204209','220322204000','平安村','220322204209',1),('220322204210','220322204000','王木铺村','220322204210',1),('220322204211','220322204000','双顶子村','220322204211',1),('220322204212','220322204000','刘家屯村','220322204212',1),('220322205000','','金山乡','220322205000',0),('220322205200','220322205000','金山村','220322205200',1),('220322205201','220322205000','平安堡村','220322205201',1),('220322205202','220322205000','大城子村','220322205202',1),('220322205203','220322205000','长岭子村','220322205203',1),('220322205204','220322205000','旱河村','220322205204',1),('220322205205','220322205000','南岗子村','220322205205',1),('220322205206','220322205000','朝阳村','220322205206',1),('220322205207','220322205000','沿河村','220322205207',1),('220322205208','220322205000','三合屯村','220322205208',1),('220322205209','220322205000','崔家岗子村','220322205209',1),('220322405000','','良种场生产区','220322405000',0),('220322405598','220322405000','良种场生产区虚拟生活区','22032240500100',1),('220323100000','','伊通镇','220323100000',0),('220323100200','220323100000','东新村','220323100219',1),('220323100203','220323100000','新德村','220323100208',1),('220323100206','220323100000','五四村','220323100222',1),('220323100207','220323100000','头道村','220323100220',1),('220323100208','220323100000','永新村','220323100209',1),('220323100209','220323100000','新立村','220323100223',1),('220323100210','220323100000','东尖村','220323100217',1),('220323100211','220323100000','建国村','220323100203',1),('220323100212','220323100000','长安村','220323100204',1),('220323100213','220323100000','星光村','220323100207',1),('220323100214','220323100000','前桥村','220323100205',1),('220323100215','220323100000','利民村','220323100218',1),('220323100216','220323100000','前范村','220323100214',1),('220323100217','220323100000','任家村','220323100216',1),('220323100218','220323100000','后范村','220323100215',1),('220323100219','220323100000','二道村','220323100210',1),('220323100220','220323100000','兴隆村','220323100200',1),('220323100223','220323100000','关家村','220323100202',1),('220323100224','220323100000','北岭村','220323100201',1),('220323100226','220323100000','西宋村','220323100211',1),('220323100227','220323100000','跃进村','220323100212',1),('220323100228','220323100000','新四村','220323100206',1),('220323101000','','二道镇','220323101000',0),('220323101200','220323101000','宏明村','220323101001',1),('220323101201','220323101000','黑顶村','220323101201',1),('220323101202','220323101000','石场村','220323101202',1),('220323101203','220323101000','福安村','22032310120300000',1),('220323101204','220323101000','万德村','220323101204',1),('220323101205','220323101000','石门村','220323101205',1),('220323101206','220323101000','二道村','220323101206',1),('220323101207','220323101000','中心村','220323101207',1),('220323101208','220323101000','黄家村','220323101208',1),('220323101209','220323101000','后山村','220323101209',1),('220323102000','','伊丹镇','220323102000',0),('220323102001','220323102000','伊丹居','220323102001',1),('220323102200','220323102000','伊丹村','220323102200',1),('220323102201','220323102000','大岭村','220323102201',1),('220323102202','220323102000','东升村','220323102202',1),('220323102203','220323102000','毯子村','220323102203',1),('220323102204','220323102000','车家村','220323102204',1),('220323102205','220323102000','新民村','220323102205',1),('220323102206','220323102000','西岭村','220323102206',1),('220323102207','220323102000','曹家村','220323102207',1),('220323102208','220323102000','六家村','220323102208',1),('220323102209','220323102000','心合村','220323102209',1),('220323102210','220323102000','火红村','220323102210',1),('220323102211','220323102000','马场村','220323102211',1),('220323103000','','马鞍镇','220323103000',0),('220323103001','220323103000','马安居','220323103001',1),('220323103200','220323103000','东风村','220323103200',1),('220323103201','220323103000','北岗子村','220323103201',1),('220323103202','220323103000','友联村','220323103202',1),('220323103203','220323103000','马安山村','220323103203',1),('220323103204','220323103000','街里村','220323103204',1),('220323103205','220323103000','前进村','220323103205',1),('220323103206','220323103000','新农村','220323103206',1),('220323103207','220323103000','铁炉村','220323103207',1),('220323103208','220323103000','幸福村','220323103208',1),('220323103209','220323103000','岗阳村','220323103209',1),('220323103210','220323103000','富强村','220323103210',1),('220323103211','220323103000','新发村','220323103211',1),('220323103212','220323103000','新风村','220323103212',1),('220323104000','','景台镇','220323104000',0),('220323104200','220323104000','赵家村','220323104200',1),('220323104201','220323104000','锦山村','220323104201',1),('220323104202','220323104000','五台子村','220323104202',1),('220323104203','220323104000','倡盛村','220323104203',1),('220323104204','220323104000','秀山村','220323104204',1),('220323104205','220323104000','富山村','220323104205',1),('220323104206','220323104000','景台村','220323104206',1),('220323104207','220323104000','大榆树村','220323104207',1),('220323104208','220323104000','范家村','220323104208',1),('220323104209','220323104000','石灰村','220323104209',1),('220323104210','220323104000','东方红村','220323104210',1),('220323104211','220323104000','立新村','220323104211',1),('220323104212','220323104000','绿化村','220323104212',1),('220323104213','220323104000','姚家村','220323104213',1),('220323104214','220323104000','永久村','220323104214',1),('220323104215','220323104000','核桃背村','220323104215',1),('220323104216','220323104000','房身村','220323104216',1),('220323105000','','靠山镇','220323105000',0),('220323105200','220323105000','靠山村','220323105200',1),('220323105201','220323105000','太平村','220323105201',1),('220323105203','220323105000','河沿村','220323105203',1),('220323105205','220323105000','庄家村','220323105205',1),('220323105206','220323105000','下沟村','220323105206',1),('220323105208','220323105000','护山村','220323105208',1),('220323106000','','大孤山镇','220323106000',0),('220323106200','220323106000','大孤山村','220323106200',1),('220323106201','220323106000','大榆树村','220323106201',1),('220323106202','220323106000','升礼村','220323106202',1),('220323106203','220323106000','河南村','220323106203',1),('220323106204','220323106000','欢欣岭村','220323106204',1),('220323106205','220323106000','柴家村','220323106205',1),('220323106206','220323106000','杨树村','220323106206',1),('220323106207','220323106000','何家村','220323106207',1),('220323106208','220323106000','山西村','220323106208',1),('220323106209','220323106000','新建村','220323106209',1),('220323106210','220323106000','万福德村','220323106210',1),('220323106211','220323106000','大桥村','220323106211',1),('220323106212','220323106000','聂家村','220323106212',1),('220323106213','220323106000','孟家村','220323106213',1),('220323106214','220323106000','陈家村','220323106214',1),('220323106215','220323106000','刘家村','220323106215',1),('220323106216','220323106000','杏木村','220323106216',1),('220323107000','','小孤山镇','220323107000',0),('220323107001','220323107000','小孤山镇街道','220323107001',1),('220323107200','220323107000','街东村','220323107200',1),('220323107201','220323107000','街西村','220323107201',1),('220323107202','220323107000','张家岗村','220323107202',1),('220323107203','220323107000','宏大村','220323107203',1),('220323107204','220323107000','唐家村','220323107204',1),('220323107205','220323107000','新华村','220323107205',1),('220323107206','220323107000','二龙村','220323107206',1),('220323107207','220323107000','山河村','220323107207',1),('220323107208','220323107000','拉腰村','220323107208',1),('220323107209','220323107000','西大有村','220323107209',1),('220323107210','220323107000','东大有村','220323107210',1),('220323107211','220323107000','路家村','220323107211',1),('220323107212','220323107000','先锋村','220323107212',1),('220323108000','','营城子镇','220323108000',0),('220323108001','220323108000','营城子居','220323108001',1),('220323108200','220323108000','营城子村','220323108200',1),('220323108201','220323108000','红塔村','220323108201',1),('220323108202','220323108000','杂木村','220323108202',1),('220323108203','220323108000','四间村','220323108203',1),('220323108204','220323108000','小桥子村','220323108204',1),('220323108205','220323108000','平安村','220323108205',1),('220323108206','220323108000','太平村','220323108206',1),('220323108207','220323108000','横河村','220323108207',1),('220323108208','220323108000','向前村','220323108208',1),('220323108209','220323108000','新宏村','220323108209',1),('220323108210','220323108000','新家村','220323108210',1),('220323108211','220323108000','打草村','220323108211',1),('220323108212','220323108000','后柳村','220323108212',1),('220323108213','220323108000','砂古村','2203231082131',1),('220323109000','','西苇镇','220323109000',0),('220323109001','220323109000','西苇居','220323108213',1),('220323109200','220323109000','西苇村','220323109001',1),('220323109201','220323109000','长泡子村','220323109200',1),('220323109202','220323109000','蛤蚂塘村','220323109201',1),('220323109203','220323109000','椽子沟村','220323109202',1),('220323109204','220323109000','孤山河村','220323109204',1),('220323109205','220323109000','碱场村','220323109205',1),('220323109206','220323109000','红光村','220323109206',1),('220323109207','220323109000','腰苇村','220323109207',1),('220323110000','','河源镇','220323110000',0),('220323110200','220323110000','板石村','220323110200',1),('220323110201','220323110000','大湾村','220323110201',1),('220323110202','220323110000','榆树村','220323110202',1),('220323110203','220323110000','大酱村','220323110203',1),('220323110204','220323110000','吉祥村','220323110204',1),('220323110205','220323110000','保南村','220323110205',1),('220323110206','220323110000','联合村','220323110206',1),('220323110207','220323110000','地局子村','220323110207',1),('220323110209','220323110000','流沙村','220323110209',1),('220323110210','220323110000','大桥村','220323110210',1),('220323110211','220323110000','红星村','220323110211',1),('220323111000','','黄岭子镇','220323111000',0),('220323111200','220323111000','黄岭子村','220323111200',1),('220323111201','220323111000','迎风村','220323111201',1),('220323111202','220323111000','蟒丈村','220323111202',1),('220323111203','220323111000','烧锅村','220323111203',1),('220323111204','220323111000','和平村','220323111204',1),('220323111205','220323111000','杨家村','220323111205',1),('220323111206','220323111000','保家村','220323111206',1),('220323200000','','新兴乡','220323200000',0),('220323200200','220323200000','巩固村','220323200200',1),('220323200201','220323200000','闫家村','220323200201',1),('220323200202','220323200000','灯塔村','220323200202',1),('220323200203','220323200000','朝阳村','220323200203',1),('220323200204','220323200000','前城子村','220323200204',1),('220323200205','220323200000','永胜村','220323200205',1),('220323200206','220323200000','远大村','220323200206',1),('220323200207','220323200000','新兴村','220323200207',1),('220323201000','','莫里青乡','220323201000',0),('220323201200','220323201000','刘家村','220323201200',1),('220323201201','220323201000','莫里村','220323201201',1),('220323201202','220323201000','劳动村','220323201202',1),('220323201203','220323201000','兴宏村','220323201203',1),('220323201204','220323201000','八家村','220323201204',1),('220323201205','220323201000','施家村','220323201205',1),('220323201206','220323201000','老虎沟村','220323201206',1),('220323202000','','三道乡','220323202000',0),('220323202200','220323202000','三道村','220323202200',1),('220323202201','220323202000','西李村','220323202201',1),('220323202202','220323202000','东李村','220323202202',1),('220323202203','220323202000','城子村','220323202203',1),('220323202204','220323202000','曹家村','220323202204',1),('220323202205','220323202000','胜利村','220323202205',1),('220323202206','220323202000','七一村','220323202206',1),('220323202207','220323202000','瓦盆村','220323202207',1),('220323202208','220323202000','后瓦村','220323202208',1),('220323202209','220323202000','前瓦村','220323202209',1),('220323202210','220323202000','太安村','220323202210',1),('220382001000','','郑家屯街道','220382001000',0),('220382001001','220382001000','东华社区','220382001001',1),('220382001004','220382001000','新兴社区','220382001004',1),('220382001005','220382001000','迎新社区','220382001005',1),('220382001200','220382001000','工农村','220382001200',1),('220382002000','','辽西街道','220382002000',0),('220382002001','220382002000','西环社区','220382002001',1),('220382002005','220382002000','电厂社区','220382002005',1),('220382002200','220382002000','吉兴村','220382002200',1),('220382002201','220382002000','巨丰村','2203820022001',1),('220382003000','','辽南街道','220382003000',0),('220382003001','220382003000','南康社区','220382003001',1),('220382003005','220382003000','团结社区','220382003005',1),('220382003006','220382003000','中兴社区','220382003006',1),('220382003200','220382003000','工商村','220382003200',1),('220382003201','220382003000','张家村','220382003201',1),('220382003202','220382003000','城乡村','220382003202',1),('220382004000','','辽北街道','220382004000',0),('220382004001','220382004000','西化社区','220382004001',1),('220382004003','220382004000','北宁社区','220382004003',1),('220382004200','220382004000','东风村','220382004200',1),('220382004201','220382004000','城镇村','220382004201',1),('220382005000','','辽东街道','220382005000',0),('220382005001','220382005000','东郊社区','220382005001',1),('220382005200','220382005000','山场村','220382005200',1),('220382005201','220382005000','丰巨村','220382005201',1),('220382005203','220382005000','金良村','220382005203',1),('220382006000','','红旗街道','220382006000',0),('220382006200','220382006000','义顺村','220382006200',1),('220382006201','220382006000','敖卜村','220382006201',1),('220382006202','220382006000','白菜村','220382006202',1),('220382006203','220382006000','郝家村','220382006203',1),('220382006204','220382006000','官井村','220382006204',1),('220382006205','220382006000','桑树村','220382006205',1),('220382100000','','茂林镇','220382100000',0),('220382100001','220382100000','兴茂社区','220382100001',1),('220382100002','220382100000','南平社区','220382100002',1),('220382100003','220382100000','北安社区','220382100003',1),('220382100200','220382100000','美丽村','220382100200',1),('220382100201','220382100000','日新村','220382100201',1),('220382100202','220382100000','二龙卜村','220382100203',1),('220382100203','220382100000','喜善村','220382100202',1),('220382100204','220382100000','靠山村','220382100204',1),('220382100205','220382100000','新风村','220382100205',1),('220382100206','220382100000','二龙山村','220382100206',1),('220382100207','220382100000','振兴村','220382100207',1),('220382100208','220382100000','农林村','220382100208',1),('220382100209','220382100000','育林村','220382100209',1),('220382100210','220382100000','丁家村','220382100210',1),('220382100211','220382100000','孟益村','220382100211',1),('220382100212','220382100000','三林村','220382100212',1),('220382100213','220382100000','永兴村','220382100213',1),('220382100214','220382100000','东升村','220382100214',1),('220382100215','220382100000','宏光村','220382100215',1),('220382100216','220382100000','新发村','220382100216',1),('220382100217','220382100000','宏盛村','220382100217',1),('220382100218','220382100000','先进村','220382100218',1),('220382100219','220382100000','三好村','220382100219',1),('220382100220','220382100000','大桂花村','220382100220',1),('220382100221','220382100000','乔家村','220382100221',1),('220382100222','220382100000','韩家村','220382100222',1),('220382100223','220382100000','大兴村','220382100223',1),('220382100224','220382100000','新兴村','220382100224',1),('220382100225','220382100000','红岗村','220382100225',1),('220382100226','220382100000','巨宝村','220382100226',1),('220382101000','','双山镇','220382101000',0),('220382101001','220382101000','富贵社区','220382101001',1),('220382101002','220382101000','荣华社区','220382101002',1),('220382101200','220382101000','三合村','220382101200',1),('220382101201','220382101000','山玻璃村','220382101201',1),('220382101202','220382101000','元吉村','220382101202',1),('220382101203','220382101000','合亲村','220382101203',1),('220382101204','220382101000','余粮村','220382101204',1),('220382101205','220382101000','长发村','220382101205',1),('220382101206','220382101000','玉尺村','220382101206',1),('220382101207','220382101000','石头村','220382101207',1),('220382101208','220382101000','祥云村','220382101208',1),('220382101209','220382101000','幸福村','220382101209',1),('220382101210','220382101000','川头村','220382101210',1),('220382101212','220382101000','杜力村','220382101212',1),('220382101213','220382101000','绿化村','220382101213',1),('220382101214','220382101000','乔木村','220382101214',1),('220382101215','220382101000','仲德村','220382101215',1),('220382101216','220382101000','多甲村','220382101216',1),('220382101217','220382101000','百录村','220382101217',1),('220382101218','220382101000','慈惠村','220382101218',1),('220382101219','220382101000','班达村','220382101219',1),('220382101220','220382101000','五棵村','220382101220',1),('220382102000','','卧虎镇','220382102000',0),('220382102001','220382102000','西安社区','220382102001',1),('220382102002','220382102000','东安社区','220382102002',1),('220382102200','220382102000','卧虎村','220382102200',1),('220382102201','220382102000','五星村','220382102201',1),('220382102202','220382102000','同乐村','220382102202',1),('220382102203','220382102000','孤店村','220382102203',1),('220382102204','220382102000','白山村','220382102204',1),('220382102205','220382102000','九家子村','220382102205',1),('220382102206','220382102000','六家子村','220382102206',1),('220382102207','220382102000','前六家子村','220382102207',1),('220382102208','220382102000','报马村','220382102208',1),('220382102209','220382102000','贺家村','220382102209',1),('220382102210','220382102000','佐岭村','220382102210',1),('220382102211','220382102000','大富村','220382102211',1),('220382102212','220382102000','五家子村','220382102212',1),('220382102213','220382102000','浩然村','220382102213',1),('220382102214','220382102000','协力村','220382102214',1),('220382102215','220382102000','东兴村','220382102215',1),('220382102216','220382102000','东方红村','220382102216',1),('220382102217','220382102000','土山村','220382102217',1),('220382102218','220382102000','四合屯村','220382102218',1),('220382103000','','服先镇','220382103000',0),('220382103200','220382103000','服先村','220382103200',1),('220382103201','220382103000','五一村','220382103201',1),('220382103202','220382103000','双喜村','220382103202',1),('220382103203','220382103000','勤俭村','220382103203',1),('220382103204','220382103000','太和村','220382103204',1),('220382103205','220382103000','安乐村','220382103205',1),('220382103206','220382103000','胜利村','220382103206',1),('220382103207','220382103000','天兴村','220382103207',1),('220382103208','220382103000','向阳村','220382103208',1),('220382103209','220382103000','新甸村','220382103209',1),('220382103210','220382103000','姜家村','220382103210',1),('220382103211','220382103000','合作村','220382103211',1),('220382103212','220382103000','立新村','220382103212',1),('220382103213','220382103000','四合村','220382103213',1),('220382103214','220382103000','农科村','220382103214',1),('220382104000','','王奔镇','220382104000',0),('220382104200','220382104000','王奔村','220382104200',1),('220382104201','220382104000','东岗村','220382104201',1),('220382104202','220382104000','高产村','220382104202',1),('220382104203','220382104000','长江村','220382104203',1),('220382104204','220382104000','团结村','220382104204',1),('220382104205','220382104000','三江村','220382104205',1),('220382104206','220382104000','捌家村','220382104206',1),('220382104207','220382104000','宏伟村','220382104207',1),('220382104208','220382104000','红星村','220382104208',1),('220382104209','220382104000','巨兴村','220382104209',1),('220382104210','220382104000','留久村','220382104210',1),('220382104211','220382104000','呈祥村','220382104211',1),('220382104212','220382104000','仕家村','220382104212',1),('220382104213','220382104000','光明村','220382104213',1),('220382104214','220382104000','宝山村','220382104214',1),('220382105000','','玻璃山镇','220382105000',0),('220382105200','220382105000','玻璃山村','220382105200',1),('220382105201','220382105000','聚宝村','220382105201',1),('220382105202','220382105000','永安村','220382105202',1),('220382105203','220382105000','合心村','220382105203',1),('220382105204','220382105000','长岭村','220382105204',1),('220382106000','','兴隆镇','220382106000',0),('220382106200','220382106000','耕耘村','220382106200',1),('220382106201','220382106000','常熟村','220382106201',1),('220382106202','220382106000','乐利村','220382106202',1),('220382106203','220382106000','大有村','220382106203',1),('220382106204','220382106000','连庆村','220382106204',1),('220382106205','220382106000','连珠村','220382106205',1),('220382106206','220382106000','连丰村','220382106206',1),('220382106207','220382106000','兴隆村','220382106207',1),('220382106208','220382106000','义勇村','220382106208',1),('220382106209','220382106000','庆丰村','220382106209',1),('220382107000','','东明镇','220382107000',0),('220382107200','220382107000','庆祥村','220382107200',1),('220382107201','220382107000','吴家村','220382107201',1),('220382107202','220382107000','和平村','220382107202',1),('220382107203','220382107000','公安村','220382107203',1),('220382107204','220382107000','东明村','220382107204',1),('220382107205','220382107000','七棵村','220382107205',1),('220382107206','220382107000','盘山村','220382107206',1),('220382107207','220382107000','王家村','220382107207',1),('220382107208','220382107000','后太平村','220382107208',1),('220382107209','220382107000','前太平村','220382107209',1),('220382107210','220382107000','东胜村','220382107210',1),('220382107211','220382107000','德胜村','220382107211',1),('220382107212','220382107000','铁洛村','220382107212',1),('220382200000','','那木乡','220382200000',0),('220382200200','220382200000','金宝村','220382200200',1),('220382200201','220382200000','建设村','220382200201',1),('220382200202','220382200000','双城村','220382200202',1),('220382200203','220382200000','跃进村','220382200203',1),('220382200204','220382200000','前进村','220382200204',1),('220382200205','220382200000','合力村','220382200205',1),('220382200206','220382200000','白市村','220382200206',1),('220382200207','220382200000','那木村','220382200207',1),('220382200208','220382200000','勿兰村','220382200208',1),('220382200209','220382200000','井岗村','220382200209',1),('220382201000','','柳条乡','220382201000',0),('220382201200','220382201000','清沟村','220382201200',1),('220382201201','220382201000','万斤村','220382201201',1),('220382201202','220382201000','王合村','220382201202',1),('220382201203','220382201000','丰宝村','220382201203',1),('220382201204','220382201000','小凌村','220382201204',1),('220382201205','220382201000','汤头村','220382201205',1),('220382201206','220382201000','红石村','220382201206',1),('220382201207','220382201000','通德村','220382201207',1),('220382201208','220382201000','白牛村','220382201208',1),('220382201209','220382201000','农阁村','220382201209',1),('220382201210','220382201000','柳条村','220382201210',1),('220382201211','220382201000','小白村','220382201211',1),('220382201212','220382201000','大白村','220382201212',1),('220382201213','220382201000','后俗村','220382201213',1),('220382201214','220382201000','吉兴村','220382201214',1),('220382202000','','新立乡','220382202000',0),('220382202200','220382202000','荷花村','220382202200',1),('220382202201','220382202000','刘家村','220382202201',1),('220382202202','220382202000','新立村','220382202202',1),('220382202203','220382202000','新胜村','220382202203',1),('220382202204','220382202000','孙家村','220382202204',1),('220382202205','220382202000','马家村','220382202205',1),('220382202206','220382202000','长泡村','220382202206',1),('220382202207','220382202000','双龙村','220382202207',1),('220382202208','220382202000','丰产村','220382202208',1),('220382202209','220382202000','丰收村','220382202209',1),('220382202210','220382202000','山丁村','220382202210',1),('220382202211','220382202000','公平村','220382202211',1),('220382203000','','永加乡','220382203000',0),('220382203200','220382203000','安边村','220382203200',1),('220382203201','220382203000','真固村','220382203201',1),('220382203202','220382203000','永加村','220382203202',1),('220382203203','220382203000','望杏村','220382203203',1),('220382203204','220382203000','忠信村','220382203204',1),('220382203205','220382203000','安仁村','220382203205',1),('220382203206','220382203000','洪源村','220382203206',1),('220382203207','220382203000','荣光村','220382203207',1),('220382203208','220382203000','集凤村','220382203208',1),('220382203209','220382203000','新凤村','220382203209',1),('4','1','1街道1社区','11',1),('4455233416538005504','220302001001','基础网格一','220302001001001',2),('4455233416538012326','220302001001','基础网格二','220302001001002',2),('4455233485257489152','220303001001','基础网格1 兴旺小区1#、2#、3#','220303001001001',2),('4455233485257490087','220303004000','紫微社区','220303004006000',1),('4455233622696436734','','永盛街道','220323001000',0),('4455233622696436766','','永宁街道','220323002000',0),('4455233622696436798','4455233622696436734','福宁社区','220323001001',1),('4455233622696436830','220322103000','02新鲜社区','220322103010',1),('4455233622696436905','4455233622696436734','正阳社区','220323001002',1),('4455233622696436937','4455233622696436734','福安社区','220323001003',1),('4455233622696436969','4455233622696436734','庆德村','220323001200',1),('4455233622696437001','4455233622696436734','沈家村','220323001201',1),('4455233622696437033','4455233622696436734','东宋村','220323001202',1),('4455233622696437065','4455233622696436766','庆阳社区','220323002003',1),('4455233622696437097','4455233622696436766','河北村','220323002200',1),('4455233622696437204','220323100000','营城子村','220323100213',1),('4455233622696438592','220382001000','铁路社区','220382001201000',1),('4455233622696438658','220322109001','青山路社区第二居民小组','220322109001002',2),('4455233622696438782','220322109201','马家油坊村三组','220322109201003',2),('4455233622696438813','220322109201','马家油坊村五组','220322109201005',2),('4455233622696438844','220322109201','马家油坊村六组','220322109201006',2),('4455233622696438875','220322109201','马家油坊村七组','220322109201007',2),('4455233622696438906','220322109201','马家油坊村八组','220322109201008',2),('4455233622696438937','220322109201','马家油坊村九组','220322109201009',2),('4455233622696438968','220322109202','苏家村六组','220322109202006',2),('4455233622696438999','220322109203','下安村二组','220322109203002',2),('4455233622696439030','220322109203','下安村七组','220322109203007',2),('4455233622696439061','220322109204','大河沿村二组','220322109204002',2),('4455233622696439092','220322109204','大河沿村三组','220322109204003',2),('4455233622696439123','220322109204','大河沿村六组','220322109204006',2),('4455233622696439154','220322109204','大河沿村七组','220322109204007',2),('4455233622696439185','220322109205','赫尔苏门村二组','220322109205002',2),('4455233622696439216','220322109206','二道沟村二组','220322109206002',2),('4455233622696439247','220322109206','二道沟村五组','220322109206005',2),('4455233622696439278','220322109207','潘家沟村一组','220322109207001',2),('4455233622696439309','220322109207','潘家沟村二组','220322109207002',2),('4455233622696439340','220322109207','潘家沟村四组','220322109207004',2),('4455233622696439371','220322109207','潘家沟村五组','220322109207005',2),('4455233622696439402','220322109207','潘家沟村七组','220322109207007',2),('4455233622696439433','220322109208','四台子村三组','220322109208003',2),('4455233622696439464','220322109208','四台子村四组','220322109208004',2),('4455233622696439495','220322109208','四台子村六组','220322109208006',2),('4455233622696439526','220322109208','四台子村七组','220322109208007',2),('4455233622696443586','4455233622696437204','小营城子屯','220323100213002',2),('4455233622696443619','220323202200','三道村西大榆树屯','220323202200001',2),('4455233622696443652','220323108211','打草屯','220323108211001',2),('4455233622696443718','220323201200','夏家店屯','220323201200001',2),('4455233622696443751','220323107205','张环屯','220323107205001',2),('4455233657056175865','220382002001','基础网格7','220382002001001',2),('4455233657056179876','220382001005','迎新社区第六网格陈晨','2203820010050006',2),('4455233657056181583','220382001005','迎新社区第三网格马晓玲（旧）','2203820010050030',2),('4455233657056181648','220382001005','迎新社区第一网格王彩云','220382001005001',2),('4455233657056181681','220382001005','迎新社区第八网格李佳帅','220382001005008',2),('4455233657056181714','220382001005','迎新社区第四网格刘航','220382001005004',2),('4455233657056181747','220382001005','迎新社区第十一网格刘萌萌平房','220382001005011',2),('4455233725775653416','220323109200','二道沟屯','220323109001004',2),('4455233725775653449','220323109200','头道沟屯','220323109001005',2),('4455233725775653482','220323109200','白家沟屯','220323109001007',2),('4455233725775653515','220323109200','小王家沟屯','220323109001008',2),('4455233725775653548','220323109201','小蛤蟆屯','220323109200001',2),('4455233725775653581','220323109201','刘家大院','220323109200002',2),('4455233725775658665','220323109201','大长林屯','220323109200003',2),('4455233725775658737','220323109201','小长林屯','220323109200004',2),('4455233725775658848','220323109201','长泡屯','220323109200005',2),('4455233760135389451','220382001200','工农村网格','220382001200001',2),('4455233760135391055','220382100206','基础网格一（二龙山屯）','220382100206001',2),('4455233760135391088','220382100206','基础网格二（张家屯）','220382100206002',2),('4455233760135391121','220382100206','基础网格三（徐家屯）','220382100206003',2),('4455233760135391536','220382100201','基础网格一（赵窑屯）','220382100201001',2),('4455233760135391569','220382100201','基础网格二(边家窑）','220382100201002',2),('4455233760135394470','220382002201','巨丰村基础网格','220382002200001',2),('4455233760135394525','220303004001','基础网格七（科技城小区）','220303004001007',2),('4455233760135394557','220382002201','巨丰三屯','220382002200003',2),('4455233760135394597','220382003006','基础网格1','220382003006001',2),('4455233760135394630','4455233622696438592','铁路社区第二网格铁中区二（东华划入）','22038200120100202',2),('4455233760135394663','4455233622696438592','铁路社区第三网格铁中区三（东华划入）','22038200120100302',2),('4455233760135394769','4455233622696438592','铁路社区第四网格铁中区四（东华划入）','22038200120100402',2),('4455233760135394802','4455233622696438592','铁路社区第五网格东华区一（东华划入）','22038200120100502',2),('4455233760135394835','220322205208','三合屯村一社','220322205208001',2),('4455233760135394866','220322101001','站北社区一组','220322101001001',2),('4455233794495130280','','富强街道','220322001000',0),('4455233794495130310','4455233794495130280','春阳社区','220322001004',1),('4455233794495130340','4455233794495130280','树文社区','220322001001',1),('4455233794495130370','4455233794495130280','北杏山村','220322001200',1),('4455233794495130405','4459060472917004305','霍家店村','220322003201',1),('4455233794495130435','4459060472917004305','园艺村','220322003200',1),('4455233794495130465','4459060472917004305','东白山村','220322003202',1),('4455233794495130495','4459060472917004485','奉和社区','220322002002',1),('4455233794495130525','4459060472917004485','康平社区','220322002001',1),('4455233794495130555','4459060472917004485','八里庙村','220322002201',1),('4455233794495132267','220382106201','东常熟','220382106201002',2),('4455233794495132300','220382100208','基础网格一（王家屯）','220382100208001',2),('4455233794495132333','220382106204','后福庆','220382106204002',2),('4455233794495132366','220382106208','义勇村网格4','220382106208002',2),('4455233794495132399','220382106209','庆丰村网格1','220382106209001',2),('4455233794495132432','220382203208','小集凤网格','220382203208002',2),('4455233794495132464','220382100212','基础网格一（大三林）','220382100212001',2),('4455233794495132497','220323100200','索家屯','220323100219003',2),('4455233794495132530','220323100200','马家屯','220323100219005',2),('4455233794495132563','220323100200','料二屯','220323100219007',2),('4455233794495132596','220323100203','小黑顶子屯','220323100208002',2),('4455233794495132629','220323100203','东南沟屯','220323100208003',2),('4455233794495132662','220323100203','西南沟屯','220323100208004',2),('4455233794495132695','220382103205','水泉','220382103205001',2),('4455233794495132728','220382103205','大柳树','220382103205002',2),('4455233794495132765','220323100206','尖山屯','220323100222005',2),('4455233794495132798','220323100206','山西屯','220323100222007',2),('4455233794495132831','220323100206','小桥屯','220323100222009',2),('4455233794495132864','220323100207','张家沟屯','220323100220004',2),('4455233794495132897','220323100207','高家屯','220323100220005',2),('4455233794495132941','220323100208','塔老屯','220323100209003',2),('4455233794495132974','220323100208','由家岭屯','220323100209004',2),('4455233794495133007','220382100212','基础网格二（小三林）','220382100212002',2),('4455233794495133040','220382103206','马家','220382103206001',2),('4455233794495133073','220382103206','王家','220382103206003',2),('4455233794495133111','220382103206','洪河','220382103206004',2),('4455233794495133144','220323100209','何家屯','220323100223002',2),('4455233794495133179','220323100209','前发达沟屯','220323100223008',2),('4455233794495133300','220323100210','四门张家屯','220323100217004',2),('4455233794495133338','220323100210','前大屯','220323100217006',2),('4455233794495133371','220323100210','三家子屯','220323100217007',2),('4455233794495133404','220382103203','后界吐花','220382103203003',2),('4455233794495133437','220382103202','前延喜','220382103202004',2),('4455233794495133470','220382103202','白沙','220382103202002',2),('4455233794495133503','220382103201','小五一','220382103201002',2),('4455233794495133536','220382103201','畜牧场','220382103201004',2),('4455233794495133624','220323100211','郜家屯','220323100203002',2),('4455233794495133657','220323100211','前刘屯','220323100203006',2),('4455233794495133690','220323100211','大壕屯','220323100203008',2),('4455233794495133723','220323100212','前王屯','220323100204005',2),('4455233794495133756','220323100212','后王屯','220323100204006',2),('4455233794495133789','220323100213','三组','220323100207003',2),('4455233794495133822','220323100214','大桥屯','220323100205006',2),('4455233794495133855','220323100215','后山屯','220323100218002',2),('4455233794495133888','220323100215','徐营子屯','220323100218004',2),('4455233794495133921','220323100215','付家店','220323100218005',2),('4455233794495133954','220323100216','沟北屯','220323100214003',2),('4455233794495133987','220323100216','贡家屯','220323100214004',2),('4455233794495134020','220323100217','任家屯','220323100216004',2),('4455233794495134053','220323100217','田家屯','220323100216005',2),('4455233794495134086','220382103209','新甸','220382103209001',2),('4455233794495134119','220382103209','后新甸','220382103209002',2),('4455233794495134152','220382103209','小东屯','220382103209003',2),('4455233794495134185','220323100218','崔家屯','220323100215005',2),('4455233794495134218','220323100219','靳家屯','220323100210003',2),('4455233794495134251','220323100219','王家屯','220323100210004',2),('4455233794495134284','220323100219','塔老屯','220323100210005',2),('4455233794495134317','220323100220','兴隆屯','220323100200002',2),('4455233794495134355','220323100220','盖王屯','220323100200006',2),('4455233794495134388','220323100223','任家屯','220323100202003',2),('4455233794495134421','220323100223','徐家屯','220323100202004',2),('4455233794495134454','220323100224','北岭屯','220323100201002',2),('4455233794495134487','220323100224','西洼屯','220323100201004',2),('4455233794495134520','220323100224','连家店屯','220323100201006',2),('4455233794495134553','220323100224','东王屯','220323100201010',2),('4455233794495134586','220323100226','西宋家洼子屯','220323100211001',2),('4455233794495134619','220323100226','后宋家洼屯','220323100211003',2),('4455233794495134657','220323100226','臧家学坊屯','220323100211004',2),('4455233794495134690','220323100226','小虫王庙屯','220323100211005',2),('4455233794495134723','220323100226','大虫庙屯','220323100211006',2),('4455233794495134756','220323100227','西宋洼子屯','220323100212001',2),('4455233794495134789','220323100227','腰宋洼子屯','220323100212002',2),('4455233794495134822','220323100227','榆树林子屯','220323100212003',2),('4455233794495134855','220323100228','黑达屯','220323100206001',2),('4455233794495134888','220323100228','董家屯','220323100206002',2),('4455233794495134926','220382103213','久公屯','220382103213001',2),('4455233794495135043','220382103210','山林','220382103210002',2),('4455233794495135077','220382103208','向阳','220382103208001',2),('4455233794495135110','220382103208','东向阳','220382103208003',2),('4455233794495135143','220382103208','西向阳','220382103208004',2),('4455233828854866710','220382100219','基础网格三（大张家屯）','220382100219003',2),('4455233828854866743','220382100219','基础网格四（小张家屯）','220382100219004',2),('4455233828854868305','220382003006','基础网格5','220382003006005',2),('4455233828854868343','220382003006','基础网格6','220382003006006',2),('4455233828854868465','220382003006','基础网格9','220382003006009',2),('4459060232398831616','220303001000','丰翼社区','220303001006000',1),('4459060232398831647','220303003000','金水社区','220303003006',1),('4459060232398831789','220382004001','西化社区第一网格','220382004001001',2),('4459060301118312616','220322103000','03福宁社区','220322103009',1),('4459060301118312647','220322103000','04小宽社区','220322103007',1),('4459060301118312678','220322103000','06三塔社区','220322103006',1),('4459060301118312709','220322103000','01茅山社区','220322103008',1),('4459060301118312740','4455233622696436734','庆德社区','220323001004',1),('4459060301118312772','4455233622696436766','康泰社区','220323002001',1),('4459060301118312804','4455233622696436766','福康社区','220323002002',1),('4459060301118312836','4455233622696436766','永宁社区','220323002004',1),('4459060301118312868','4455233622696436766','福庆社区','220323002005',1),('4459060301118312900','4455233622696436766','永青社区','220323002006',1),('4459060301118312964','4455233622696436766','邵家村','220323002202',1),('4459060301118314463','220382103200','服先村','220382103200001',2),('4459060301118314740','220322109201','马家油坊村一组','220322109201001',2),('4459060301118314771','220322109201','马家油坊村二组','220322109201002',2),('4459060301118314802','220322109201','马家油坊村四组','220322109201004',2),('4459060301118314833','220322109201','马家油坊村十组','220322109201010',2),('4459060301118314864','220322109202','苏家村一组','220322109202001',2),('4459060301118314895','220322109202','苏家村二组','220322109202002',2),('4459060301118314926','220322109202','苏家村三组','220322109202003',2),('4459060301118314957','220322109202','苏家村四组','220322109202004',2),('4459060301118314988','220322109202','苏家村五组','220322109202005',2),('4459060301118315019','220322109203','下安村一组','220322109203001',2),('4459060301118315081','220322109203','下安村四组','220322109203004',2),('4459060301118315112','220322109203','下安村五组','220322109203005',2),('4459060301118315143','220322109203','下安村六组','220322109203006',2),('4459060301118315174','220322109203','下安村八组','220322109203008',2),('4459060301118315205','220322109203','下安村三组','220322109203003',2),('4459060301118315236','220322109204','大河沿村一组','220322109204001',2),('4459060301118315267','220322109204','大河沿村四组','220322109204004',2),('4459060301118315298','220322109204','大河沿村五组','220322109204005',2),('4459060301118315329','220322109205','赫尔苏门村一组','220322109205001',2),('4459060301118315360','220322109206','二道沟村一组','220322109206001',2),('4459060301118315391','220322109206','二道沟村三组','220322109206003',2),('4459060301118315422','220322109206','二道沟村四组','220322109206004',2),('4459060301118315453','220322109207','潘家沟村三组','220322109207003',2),('4459060301118315484','220322109207','潘家沟村六组','220322109207006',2),('4459060301118315515','220322109207','潘家沟村八组','220322109207008',2),('4459060301118315546','220322109208','四台子村一组','220322109208001',2),('4459060301118315577','220322109208','四台子村二组','220322109208002',2),('4459060301118315608','220322109208','四台子村五组','220322109208005',2),('4459060301118315661','220382100208','基础网格四（西六合屯）','220382100208004',2),('4459060301118316041','220323200200','前甘屯','220323200200001',2),('4459060404197531062','220382100208','基础网格三（东六合屯）','220382100208003',2),('4459060404197531203','220382001005','迎新社区第五网格王显亭','220382001005005',2),('4459060404197531241','220382001005','迎新社区第七网格翟俊姝','220382001005007',2),('4459060404197531274','220382001005','迎新社区第二网格周大城','220382001005002',2),('4459060404197531307','220382001005','迎新社区第三网格马晓玲','220382001005003',2),('4459060438557262842','220323109001','西苇居一','2203231082130011',2),('4459060438557262918','220323109200','新立屯','220323109001001',2),('4459060438557262951','220323109200','四条腿沟屯','220323109001002',2),('4459060438557262984','220323109200','刘小铺屯','220323109001003',2),('4459060438557263026','220323109200','六马驾屯','220323109001006',2),('4459060438557263921','220323109201','龙山屯','220323109200006',2),('4459060438557264071','220323109201','八方地屯','220323109200007',2),('4459060438557264229','4455233622696437204','北干沟子屯','220323100213003',2),('4459060438557264385','220382001001','东华社区第一网格林业家园A区孙喆','220382001001001',2),('4459060438557267512','4455233622696437204','东白家店屯','220323100213004',2),('4459060438557267545','4455233622696437204','西白家店屯','220323100213005',2),('4459060438557268150','220382002005','基础网格一','220382002005011',2),('4459060438557268463','220382002201','巨丰二屯','220382002200002',2),('4459060438557268528','220382003001','网格编号1','220382003001001',2),('4459060438557269992','220382001001','东华社区第二网格林业家园A区张晓妹','220382001001002',2),('4459060472917000201','4455233622696438592','铁路社区第一网格铁中区一（东华划入）','22038200120100102',2),('4459060472917000263','4455233622696438592','铁路社区第六网格东华区二（东华划入）','22038200120100602',2),('4459060472917000296','4455233622696438592','铁路社区第七网格东华区三（东华划入）','22038200120100702',2),('4459060472917001826','220322101001','站北社区二组','220322101001002',2),('4459060472917001875','220322101001','站北社区三组','220322101001003',2),('4459060472917004245','4455233794495130280','朝阳社区','22032240600201',1),('4459060472917004275','4455233794495130280','树勤社区','220322001002',1),('4459060472917004305','','霍家店街道','220322003000',0),('4459060472917004335','4459060472917004305','兴旺社区','220322003004',1),('4459060472917004365','4459060472917004305','树俭社区','220322003003001',1),('4459060472917004395','4459060472917004305','奉化社区','220322003001',1),('4459060472917004425','4459060472917004305','天阳社区','220322003002',1),('4459060472917004455','4459060472917004305','岫岩村','220322003203',1),('4459060472917004485','','康平街道','220322002000',0),('4459060472917004687','220382106201','西常熟','220382106201004',2),('4459060472917004720','220382100208','基础网格二（周家屯）','220382100208002',2),('4459060472917004753','220382106203','大有村网格3','220382106203002',2),('4459060472917004786','220382106203','大有村网格1','220382106203003',2),('4459060472917004819','220382106204','陈家','220382106204001',2),('4459060472917004852','220382106206','连丰村网格1','220382106206001',2),('4459060472917004885','220382106208','义勇村网格3','220382106208001',2),('4459060472917004918','220382106201','嫁禾','220382106201003',2),('4459060472917004951','220382203208','宝善网格','220382203208003',2),('4459060472917005041','220323100200','吴家屯','220323100219004',2),('4459060472917005074','220323100200','料三屯','220323100219008',2),('4459060472917005261','220382103205','保安里','2203821032050011',2),('4459060472917005312','220323100206','山后屯','220323100222006',2),('4459060472917005345','220323100206','宁五台屯','220323100222010',2),('4459060472917005378','220382103204','太和','220382103204001',2),('4459060472917005411','220382103204','前界吐花','220382103204002',2),('4459060472917005454','220323100208','后亮屯','220323100209005',2),('4459060472917005487','220323100208','小窑屯','220323100209006',2),('4459060472917005636','220323100209','小河沿子屯','220323100223001',2),('4459060472917005691','220382103206','转山子','220382103206002',2),('4459060472917005724','220323100209','李家屯','220323100223004',2),('4459060472917005762','220323100209','老草沟屯','220323100223005',2),('4459060472917005795','220323100209','大榆树屯','220323100223006',2),('4459060472917005828','220323100209','南围子屯','220323100223007',2),('4459060472917005866','220323100210','后大屯','220323100217005',2),('4459060472917005899','220382103203','腰界吐花','220382103203001',2),('4459060472917005932','220323100210','前下甸屯','220323100217008',2),('4459060472917005965','220382103207','天兴','220382103207001',2),('4459060472917006031','220382103207','倪家','220382103207002',2),('4459060472917006064','220382103202','西北地','220382103202003',2),('4459060472917006097','220382103202','后延喜','220382103202001',2),('4459060472917006130','220382103201','大五一','220382103201001',2),('4459060472917006163','220382103201','镇边堡','220382103201003',2),('4459060472917006247','220323100211','管家屯','220323100203003',2),('4459060472917006285','220323100212','前刘屯','220323100204002',2),('4459060472917006318','220323100212','腰刘屯','220323100204003',2),('4459060472917006351','220323100212','东王屯','220323100204004',2),('4459060472917006384','220323100213','一组','220323100207001',2),('4459060472917006417','220323100213','二组','220323100207002',2),('4459060472917006450','220323100214','常家屯','220323100205003',2),('4459060472917006488','220323100214','赵西屯','220323100205005',2),('4459060472917006521','220323100215','付家屯','220323100218006',2),('4459060472917006554','220323100215','粉房屯','220323100218007',2),('4459060472917006587','220323100216','黄家屯','220323100214006',2),('4459060472917006620','220323100218','地方屯','220323100215001',2),('4459060472917006653','220323100219','南岗子屯','220323100210001',2),('4459060472917006686','220323100219','二道岭子屯','220323100210002',2),('4459060472917006719','220382103212','双龙','220382103212001',2),('4459060472917006752','220382103212','祝福','220382103212002',2),('4459060472917006785','220382103212','沈家','220382103212003',2),('4459060472917006818','220323100220','干沟屯','220323100200004',2),('4459060472917006851','220323100220','西北岭屯','220323100200005',2),('4459060472917006884','220323100220','西岭屯','220323100200007',2),('4459060472917006917','220323100223','关家屯','220323100202002',2),('4459060472917006950','220323100223','腰小桥子屯','220323100202005',2),('4459060472917006983','220323100223','后小桥子屯','220323100202006',2),('4459060472917007016','220323100224','东洼屯','220323100201003',2),('4459060472917007049','220323100224','张奉朝屯','220323100201005',2),('4459060472917007082','220323100224','马家屯','220323100201007',2),('4459060472917007115','220323100224','孙家屯','220323100201008',2),('4459060472917007148','220323100224','西王屯','220323100201009',2),('4459060472917007181','220382103211','合作','220382103211001',2),('4459060472917007214','220382103211','赵家','220382103211002',2),('4459060472917007247','220382103211','王家','220382103211003',2),('4459060472917007285','220323100228','前亮子屯','220323100206003',2),('4459060472917007318','220382103213','四合','220382103213002',2),('4459060472917007409','220382103210','姜家','220382103210001',2),('4459060472917007485','220382103208','后向阳','220382103208002',2),('4459060541636477036','220382100219','基础网格一（韦家屯）','220382100219001',2),('4459060541636477069','220382100219','基础网格二（田家屯）','220382100219002',2),('4459060541636477102','220382100219','基础网格五（刀力营屯）','220382100219005',2),('4471092772257218616','220382106201','梦鱼','220382106201001',2),('4471092772257218649','220382106203','大有村网格2','220382106203001',2),('4471092772257218682','220382106206','连丰村网格2','220382106206002',2),('4471092772257218715','220382106206','连丰村网格3','220382106206003',2),('4471092772257218748','220382106207','兴隆村网格1','220382106207001',2),('4471092772257218781','220382106207','兴隆村网格2','220382106207002',2),('4471092772257218814','220382106208','义勇村网格1','220382106208003',2),('4471092772257218880','220382203208','集凤网格','220382203208001',2),('4471092772257218912','220382203208','焦家驼子网格','220382203208004',2),('4471092772257218944','220323100200','郭西屯','220323100219001',2),('4471092772257218977','220323100200','郭东屯','220323100219002',2),('4471092772257219010','220323100200','料一屯','220323100219006',2),('4471092772257219110','220323100203','西青咀子屯','220323100208001',2),('4471092772257219176','220382103205','安乐','220382103205003',2),('4471092772257219235','220323100206','刘崴屯','220323100222002',2),('4471092772257219268','220323100206','菜园屯','220323100222003',2),('4471092772257219301','220323100206','山东屯','220323100222004',2),('4471092772257219337','220323100206','孟家店屯','220323100222008',2),('4471092772257219428','220323100207','头道屯','220323100220002',2),('4471092772257219514','220323100208','石场屯','220323100209002',2),('4471092772257219597','220323100209','后发达沟屯','220323100223003',2),('4471092772257219660','220323100209','腰发达沟屯','220323100223009',2),('4471092772257219726','220323100210','后下甸屯','220323100217002',2),('4471092772257219759','220382103203','李家屯','220382103203002',2),('4471092772257219792','220382103207','六和','220382103207003',2),('4471092772257219825','220382103207','永丰里','220382103207004',2),('4471092772257220052','220323100211','三棵树屯','220323100203004',2),('4471092772257220085','220323100211','聂家屯','220323100203005',2),('4471092772257220118','220323100211','后刘屯','220323100203007',2),('4471092772257220162','220323100212','胡家屯','220323100204007',2),('4471092772257220200','220323100212','新立屯','220323100204008',2),('4471092772257220233','220323100214','魏家屯','220323100205001',2),('4471092772257220266','220323100214','赵东屯','220323100205004',2),('4471092772257220299','220323100215','赵营子屯','220323100218003',2),('4471092772257220332','220323100216','沟南屯','220323100214002',2),('4471092772257220365','220323100216','大窝堡屯','220323100214005',2),('4471092772257220398','220323100217','大曲班屯','220323100216001',2),('4471092772257220431','220323100217','小曲班屯','220323100216003',2),('4471092772257220464','220323100218','孙家屯','220323100215004',2),('4471092772257220497','220323100218','马家屯','220323100215006',2),('4473857013208977791','220382003006','基础网格4','220382003006004',2),('4473857013208977875','220382003006','基础网格8','220382003006008',2),('4473857013208977953','220382003006','基础网格12','220382003006012',2),('4473857013208978044','220382003006','基础网格13','220382003006013',2),('4473857013208978077','220382003006','北丰小区','220382003006014',2),('4473857013208978110','220382100223','基础网格（大兴村居民区)','220382100223001',2),('4473857013208978259','220382003006','华南小区','220382003006015',2),('4473857047568713728','220382100225','基础网格二（八付屯）','220382100225002',2),('4474224043934271236','220382003006','基础网格2','220382003006002',2),('4474224043934271269','220382003006','基础网格7','220382003006007',2),('4474224043934271369','220382003006','基础网格10','220382003006010',2),('4474224043934271402','220382003006','基础网格11','220382003006011',2),('4474224043934277455','220382100225','基础网格一（乌兰屯）','220382100225001',2),('4476990724427424229','220323109202','九道沟门','220323109201003',2),('4476990724427424262','220323109202','郭家大院','220323109201004',2),('4476990724427424338','220323109202','上阶楼','220323109201005',2),('4476990724427424371','220323109202','庞家屯','220323109201006',2),('4476990724427424441','220323109202','柴禾栏子屯','220323109201008',2),('4476990724427424517','220323109202','小街屯','220323109201011',2),('4476990724427424550','220382003006','广播局小区','220382003006019',2),('4476990724427424583','220382003006','吉利花园','220382003006020',2),('4476990724427424616','220382003006','紫金花园','220382003006021',2),('4476990724427424685','220382100201','基础网格三（吉祥屯）','220382100201003',2),('4476990724427424718','220382003006','中医院小区','220382003006022',2),('4476990724427424751','220382003006','辽南街小区','220382003006023',2),('4476990724427424784','220382003006','工会小区','220382003006024',2),('4476990724427424817','220323109203','椽子屯','220323109202001',2),('4476990724427424850','220382003006','房产北楼','220382003006025',2),('4476990724427424926','220382100003','北安社区基础网格（一）1-3道街','220382100003001',2),('4476990724427424992','220382003006','农行楼','220382003006027',2),('4476990724427425025','220382003006','政府小区','220382003006028',2),('4476990724427425058','220382003006','福东大厦','220382003006029',2),('4476990724427425091','220322106201','蔡家村一社','220322106201001',2),('4476990724427425122','220323109203','小椽子沟屯','220323109202002',2),('4476990724427425160','220323109203','大椽子沟屯','220323109202003',2),('4476990724427425349','220323109203','山湾屯','220323109202005',2),('4476990724427425425','220323109203','小二道沟屯','220323109202007',2),('4476990724427425462','220323109204','李大房子屯','220323109204006',2),('4476990724427425586','220323109204','红山嘴子屯','220323109204008',2),('4476990724427425619','220323109205','西山屯','220323109205001',2),('4476990724427425652','220322200210','东风村三社','220322200210003',2),('4476990724427425716','220323109205','大碱厂屯','220323109205006',2),('4476990724427425749','220323109205','蛇山头屯','220323109205007',2),('4476990724427425782','220322200210','东风村四社','220322200210004',2),('4476990724427425813','220382100204','基础网格一（靠山屯）','220382100204001',2),('4476990724427425846','220322200210','东风村五社','220322200210005',2),('4476990724427425935','220322200210','东风村六社','220322200210006',2),('4476990724427425977','220322106201','蔡家村二社','220322106201002',2),('4476990724427426008','220323109206','杏木沟屯','220323109206004',2),('4476990724427426319','220322200210','东风村八社','220322200210008',2),('4476990724427426386','220323109206','营房西沟屯','220323109206007',2),('4476990724427426419','220322200210','东风村九社','220322200210009',2),('4476990724427426450','220323109206','高家大院屯','220323109206008',2),('4476990724427426483','220323109206','甸心子河西屯','220323109206010',2),('4476990724427426521','220323109207','狼头山屯','220323109207003',2),('4476990724427426655','220323109205','八家子屯','220323109205005',2),('4476990724427426779','220322106201','蔡家村三社','220322106201003',2),('4476990724427426853','220322106201','蔡家村四社','220322106201004',2),('4476990724427426928','220382003006','小北丰小区','220382003006031',2),('4476990724427428272','220322106201','蔡家村六社','220322106201006',2),('4476990724427428514','220303004001','基础网格三（新市场小区）','220303004001003',2),('4476990724427428661','220303004001','基础网格二（客车厂小区）','220303004001002',2),('4476990724427428794','220302005000','华宇社区','220302005010',1),('4476990724427429540','220382100203','基础网格一（太平屯）','220382100202001',2),('4476990724427429616','220382100203','基础网格三（西三段屯）','220382100202003',2),('4476990724427429781','220382100203','基础网格四（西艾力屯）','220382100202004',2),('4476990724427430054','220322106202','横道子村一社','220322106202001',2),('4476990724427430318','220322106202','横道子村二社','220322106202002',2),('4476990724427430407','','解放街道','220303005000',0),('4476990724427430555','4476990724427430407','朝阳社区','220303005004',1),('4476990724427430760','220322106202','横道子村五社','220322106202005',2),('4476990724427430849','4476990724427430407','解放社区','220303005003',1),('4476990724427430938','4476990724427430407','北大桥社区','220303005001',1),('4476990724427431070','4476990724427430407','胜利社区','220303005002',1),('4476990724427431260','220322106202','横道子村九社','220322106202009',2),('4476990724427431613','220303200000','河夹信子村','220303200217000',1),('4476990758787162175','220382100226','基础网格一（巨宝屯）','220382100226001',2),('4476990758787162429','220322102001','光明社区一组','220322102001001',2),('4476990758787162552','220382100001','基础网格一（中心路北）','220382100001001',2),('4476990758787163696','220322106200','爱国村三社','220322106200003',2),('4476990758787163806','220322106200','爱国村四社','220322106200004',2),('4476990758787163953','220322106200','爱国村五社','220322106200005',2),('4476990758787163984','220322106200','爱国村六社','220322106200006',2),('4476990758787164058','220322106200','爱国村七社','220322106200007',2),('4476990758787164135','220322106200','爱国村十社','220322106200010',2),('4476990758787164361','220322102001','光明社区二组','220322102001002',2),('4476990758787164392','220322102001','光明社区三组','220322102001003',2),('4476990758787164423','220322102001','光明社区四组','220322102001004',2),('4476990758787164494','220323108200','河南屯','220323108200001',2),('4476990758787164527','220323108200','西城山屯','220323108200002',2),('4476990758787164560','220323108200','东城山屯','220323108200003',2),('4476990758787164593','220323108200','王炉屯','220323108200004',2),('4476990758787164626','220323108200','寿山屯','220323108200005',2),('4476990758787164659','220323108213','焦落屯','220323108213002',2),('4476990758787164692','220323108211','仁里屯','220323108211002',2),('4476990758787164725','220323108211','缸窑屯','220323108211003',2),('4476990758787164758','220323108211','二道岭子屯','220323108211004',2),('4476990758787164791','220323108211','前柳屯','220323108211005',2),('4476990758787167113','220323108202','长岭子屯','220323108202002',2),('4476990758787167146','220323108202','小杂木屯','220323108202004',2),('4476990758787167179','220323108202','永安屯','220323108202007',2),('4476990758787169534','220322106203','敬友村一社','220322106203001',2),('4476990758787169565','220322106203','敬友村二社','220322106203002',2),('4476990758787169596','220322106203','敬友村三社','220322106203003',2),('4476990758787169627','220322106203','敬友村四社','220322106203004',2),('4476990758787169658','220322106203','敬友村五社','220322106203005',2),('4476990758787169689','220322106203','敬友村六社','220322106203006',2),('4476990758787169720','220322106203','敬友村十一社','220322106203011',2),('4476990758787169751','220322106203','敬友村十三社','220322106203013',2),('4476990758787169782','220322106204','拉腰子村一社','220322106204001',2),('4476990758787169813','220322106204','拉腰子村二社','220322106204002',2),('4476990793146903837','220322106204','拉腰子村五社','220322106204005',2),('4476990793146903926','220322106204','拉腰子村六社','220322106204006',2),('4476990793146903957','220322106204','拉腰子村七社','220322106204007',2),('4476990793146903988','220382002001','基础网格9','220382002001006',2),('4476990793146904079','220322106204','拉腰子村九社','220322106204009',2),('4476990793146904168','220322106204','拉腰子村十社','220322106204010',2),('4476990793146904315','220382002005','基础网格二','220382002005016',2),('4476990793146908001','220322106205','马家村二社','220322106205002',2),('4476990827506643409','220322106205','马家村五社','220322106205005',2),('4476990827506643440','220322106205','马家村六社','220322106205006',2),('4476990827506646372','220322106206','孟家村三社','220322106206002',2),('4476990861866385335','220322106206','孟家村四社','220322106206004',2),('4476990896226115644','220322106206','孟家村五社','220322106206005',2),('4476990896226123283','220322106206','孟家村八社','220322106206008',2),('4476990896226123314','220322106206','孟家村九社','220322106206009',2),('4476990896226123345','220322106206','孟家村十社','220322106206010',2),('4476990930585856741','220322106207','娘娘庙村二社','220322106207002',2),('4476990930585859455','220322106207','娘娘庙村五社','220322106207005',2),('4476990930585859486','220322106207','娘娘庙村六社','220322106207006',2),('4476990930585859517','220322106208','下坎子村四社','220322106208004',2),('4476990930585859548','220322106208','下坎子村五社','220322106208005',2),('4476990930585859579','220322106208','下坎子村七社','220322106208007',2),('4476990930585859610','220322106208','下坎子村八社','220322106208008',2),('4476990930585859641','220322106208','下坎子村十社','220322106208010',2),('4476990930585859705','220322106208','下坎子村十一社','220322106208011',2),('4476990930585859736','220322106209','新村村一社','220322106209001',2),('4476990930585859800','220322106209','新村村三社','220322106209003',2),('4476990930585859836','220322106209','新村村五社','220322106209005',2),('4476990930585859900','220322106209','新村村六社','220322106209006',2),('4476990930585859931','220303001001','基础网格2 八马路小区1#、2#','220303001001002',2),('4476990930585859963','220322106209','新村村九社','220322106209009',2),('4476990930585860054','220322106210','姚家村三社','220322106210003',2),('4476990930585860090','220322106210','姚家村五社','220322106210005',2),('4476990930585860121','220322106210','姚家村六社','220322106210006',2),('4476990930585860152','220322106210','姚家村七社','220322106210007',2),('4476990930585860183','220303004005','基础网格一（东盛小区网格1）','220303004005001',2),('4476990930585860237','220303004004','基础网格二（热电小区2）','220303004004002',2),('4476990930585860302','220382002005','基础网格八','220382002005018',2),('4476990930585860426','220303004004','基础网格一（热电小区1）','220303004004001',2),('4476990930585860694','220303001001','基础网格5 中华新城6#、7#','220303001001005',2),('4476990930585861727','220323106200','大营城子屯','220323106200001',2),('4476990930585861812','220303001001','基础网格6 中华新城15#、16#','220303001001006',2),('4476990964945596201','220303001001','基础网格8 中华新城18#、20#','220303001001008',2),('4476990964945596233','220303001001','基础网格9 中华新城19#、21#','220303001001009',2),('4476990964945596265','220303004001','专属网格三（口腔医院）','220303004001010',2),('4476990964945598587','220303001001','基础网格10 中华新城22#','220303001001010',2),('4476990964945598641','220303001001','基础网格11 中华新城23#、25#','220303001001011',2),('4476991033665071953','220322109200','孟家岭村一组','220322109200001',2),('4476991033665072037','220322109200','孟家岭村二组','220322109200002',2),('4476991033665072111','220322109200','孟家岭村五组','220322109200005',2),('4476991033665072142','220322109200','孟家岭村六组','220322109200006',2),('4476991033665072216','220322109200','孟家岭村七组','220322109200007',2),('4476991033665072290','220322109200','孟家岭村九组','220322109200009',2),('4476991033665072321','220322109200','孟家岭村十组','220322109200010',2),('4476991033665072411','220322109200','孟家岭村十一组','220322109200011',2),('4476991033665073636','220322109202','苏家村八组','220322109202008',2),('4476991033665073726','4476990724427431070','基础网格五','220303005002005',2),('4476991033665073961','220322109203','下安村九组','220322109203009',2),('4476991033665074194','4476990724427431070','专属网格二','220303005002007',2),('4476991033665074226','220322109205','赫尔苏门村六组','220322109205006',2),('4476991033665074310','220322109206','二道沟村七组','220322109206007',2),('4476991033665074633','220322109208','四台子村八组','220322109208008',2),('4476991033665074927','220322109001','青山路社区第一居民小组','220322109001001',2),('4476991033665076561','4476990724427431070','基础网格一','220303005002001',2),('4476991033665076722','220382100209','基础网格三（前路军屯）','220382100209003',2),('4476991033665076799','220382100209','基础网格四（大五段屯）','220382100209004',2),('4476991033665077063','220323108201','街后屯','220323108201001',2),('4476991033665077096','220323108201','西岗屯','220323108201003',2),('4476991033665077172','220323108201','徐面铺屯','220323108201004',2),('4476991068024807475','220323108203','四间房屯','220323108203002',2),('4476991068024807508','220323108203','偏脸子屯','220323108203003',2),('4476991068024807541','220323108203','苏家油坊屯','220323108203004',2),('4476991068024807617','220323108203','望远楼屯','220323108203006',2),('4476991068024807708','220323108203','八里岗屯','220323108203007',2),('4476991068024807784','220323108203','福安屯','220323108203005',2),('4476991068024807817','220323108203','福财屯','220323108203009',2),('4476991068024807850','220323108204','小桥子屯','220323108204002',2),('4476991068024808013','220323108205','新立屯','220323108205004',2),('4476991068024808046','220323108205','石头顶子屯','220323108205005',2),('4476991068024808079','220323108205','乐善屯','220323108205006',2),('4476991068024808203','220323108206','太平桥屯','220323108206001',2),('4476991068024808236','220323108206','大兴龙泉屯','220323108206002',2),('4476991068024808269','220323108206','袁家岭屯','220323108206004',2),('4476991068024808303','220323108206','保山屯','220323108206007',2),('4476991068024808336','220323108207','龙头山屯','220323108207001',2),('4476991068024808412','220323108207','新兴屯','220323108207003',2),('4476991068024808445','220323108207','小荒沟上沟','220323108207006',2),('4476991068024808478','220323108207','腰水上屯','220323108207007',2),('4476991068024808511','220323108207','腰水屯','220323108207008',2),('4476991068024808587','220323108207','横河屯','220323108207009',2),('4476991068024808664','220323108208','青锥子屯','220323108208001',2),('4476991068024808697','220323108208','关家屯','220323108208002',2),('4476991068024808734','220323108208','马家屯','220323108208004',2),('4476991068024808767','220323108209','后腰新屯','220323108209001',2),('4476991068024808804','220323108209','前新立屯','220323108209003',2),('4476991068024808880','220323108209','西转心湖屯','220323108209006',2),('4476991068024808914','220323108210','前新西屯','220323108210002',2),('4476991068024808990','220323108210','腰新屯道下屯','220323108210003',2),('4476991068024809066','220323108210','后偏脸子屯','220323108210004',2),('4476991068024809142','220323108210','小西沟屯','220323108210007',2),('4476991068024809266','220323108210','西新屯','220323108210008',2),('4476991068024809299','220323108212','耿家屯','220323108212003',2),('4476991068024809332','220323108212','新安屯','220323108212004',2),('4476991068024810219','220382001004','新兴社区第一网格南源一','220382001004001',2),('4476991068024810252','220382001004','新兴社区第二网格南源二','220382001004002',2),('4476991068024810285','220382001004','新兴社区第三网格南源三','220382001004003',2),('4476991068024810318','220382001004','新兴社区第四网格南源四','220382001004004',2),('4476991068024810351','220382001004','新兴社区第七网格北勤一','220382001004007',2),('4476991068024810394','220382001004','新兴社区第十二网格北兴四','220382001004012',2),('4476991068024810427','220382001004','新兴社区第十三网格新兴一','220382001004013',2),('4476991068024810523','220382001001','东华社区第四网格林业家园B区刘畅','220382001001004',2),('4476991068024810571','220382001001','东华社区第六网格南春荆博宇','220382001001006',2),('4476991068024810604','220382001001','东华社区第七网格南春赵志国','220382001001007',2),('4476991068024810637','220382001001','东华社区第十一网格吉运二期李晶','220382001001011',2),('4476991068024810682','220382001001','东华社区第十二网格南广李想','220382001001012',2),('4476991068024810745','220382001005','迎新社区第九网格赵琳','220382001005009',2),('4476991068024810825','4455233622696438592','铁路社区第八网格四百户区一（东华划入）','22038200120100802',2),('4476991068024810858','4455233622696438592','铁路社区第九网格四百户区二（东华划入）','22038200120100902',2),('4476991068024810891','4455233622696438592','铁路社区第十二网格铁道南平房（东华划入）','22038200120101201',2),('4476991068024811821','220322200210','东风村七社','220322200210007',2),('4476991068024811852','220322200210','东风村十一社','220322200210011',2),('4476991068024812015','220322200200','裴家村一组','220322200200001',2),('4476991068024812464','220382100213','前赵家','220382100213001',2),('4476991068024812659','220322200200','裴家村五组','220322200200005',2),('4476991068024812690','220322200200','裴家村六组','220322200200006',2),('4476991068024812834','220303004003','基础网格四（长发小区网格）','220303004003004',2),('4476991136744286700','220322200200','裴家村九组','220322200200009',2),('4476991136744289181','220322200200','裴家村十组','220322200200010',2),('4476991136744289255','220322101200','石槽沟村一社','220322101200001',2),('4476991136744289286','220322200200','裴家村十二组','220322200200012',2),('4476991411622193063','4476990724427430555','专属网格一','220303005004014',2),('4476991411622193140','220382100002','南平社区基础网格一（1至5）','220382100002001',2),('4476991411622196504','220322101200','石槽沟村六社','220322101200006',2),('4476991411622197865','220322101200','石槽沟村十社','220322101200010',2),('4476991445981929821','4476990724427430555','基础网格一','220303005004001',2),('4476991445981930689','220322101001','站北社区五组','220322101001005',2),('4476991445981932517','220322101001','站北社区六组','220322101001006',2),('4476991445981934456','220322101002','站南社区三组','220322101002003',2),('4476991480341668044','220322200200','裴家村十三组','220322200200013',2),('4476991480341670503','220322101003','建材社区二组','220322101003002',2),('4476991480341672340','220322101003','建材社区三组','220322101003003',2),('4476991480341672383','220322200201','鲍家村三组','220322200201003',2),('4476991755219576750','220322200201','鲍家村六组','220322200201006',2),('4476991755219577410','220322101004','河南社区一组','220322101004001',2),('4476991755219577441','220322101004','河南社区二组','220322101004002',2),('4476991755219581360','220322101005','曙光社区一组','220322101005001',2),('4476991789579314817','220322101006','晨晖社区二组','220322101006002',2),('4476991789579314853','220322101006','晨晖社区三组','220322101006003',2),('4476991789579316483','220322101007','大顶山社区三组','220322101007003',2),('4476991789579316652','220303004002','基础网格三（东兴小区003）','220303004002003',2),('4476991789579316684','220322101201','化石山村一社','220322101201001',2),('4476991789579316715','220303004002','基础网格四(东兴小区004)','220303004002004',2),('4476991789579316748','220322101201','化石山村二社','220322101201002',2),('4476991789579317699','220322101201','化石山村三社','220322101201003',2),('4476991789579317880','220322101201','化石山村九社','220322101201009',2),('4476991789579318055','220322101201','化石山村十一社','220322101201011',2),('4476991789579318120','220322101201','化石山村十二社','220322101201012',2),('4476991789579318209','220322101202','孙家屯村二社','220322101202002',2),('4476991789579318240','220303004002','基础网格七（体育小区007）','220303004002007',2),('4476991789579318272','220303004003','专属网格一（第二中学）','220303004003012',2),('4476991789579318347','220322101202','孙家屯村四社','220322101202004',2),('4476991789579318378','220303004002','基础网格八（体育小区008）','220303004002008',2),('4476991789579319225','220303004002','基础网格九（万兴小区009）','220303004002009',2),('4476991789579319257','220303004003','基础网格十（文化园小区网格1）','220303004003010',2),('4476991789579319289','220303004002','基础网格十（万兴小区010）','220303004002010',2),('4476991789579319349','220322101202','孙家屯村九社','220322101202009',2),('4476991789579319380','220322101202','孙家屯村十社','220322101202010',2),('4476991789579319411','220303004002','基础网格十五（东升嘉园（A）015）','220303004002015',2),('4476991789579319455','220303004003','基础网格十一（文化园小区网格2）','220303004003011',2),('4476991789579319566','220322101203','柴火沟村四社','220322101203004',2),('4476991789579319601','220322101203','柴火沟村五社','220322101203005',2),('4476991789579319632','220322101203','柴火沟村七社','220322101203007',2),('4476991789579319663','4476990724427430555','基础网格四','220303005004004',2),('4476991789579319695','220322101203','柴火沟村八社','220322101203008',2),('4476991823939051632','220322108200','一社','220322108200001',2),('4476991823939051663','4476990724427430555','基础网格五','220303005004005',2),('4476991823939051700','220322104220','同庆村七社','220322104220007',2),('4476991823939051731','220322101204','八家子村四社','220322101204004',2),('4476991823939051762','220322108200','二社','220322108200002',2),('4476991823939051847','220322101204','八家子村五社','220322101204005',2),('4476991823939051878','220382100202','基础网格四（ 曲家屯）','220382100203004',2),('4476991823939052869','220303004003','基础网格一（自来水小区网格）','220303004003001',2),('4476991823939052901','220322101204','八家子村六社','220322101204006',2),('4476991823939053016','220322108200','五社','220322108200005',2),('4476991823939053047','220322108200','六社','220322108200006',2),('4476991823939053130','220322108200','八社','220322108200008',2),('4476991823939054894','220322108201','一社','220322108201001',2),('4476991823939056569','220382003001','网格编号2','220382003001004',2),('4476991858298795647','220322108201','四社','220322108201004',2),('4476991927018267025','220322108201','五社','220322108201005',2),('4476991927018267099','220322108201','六社','220322108201006',2),('4476991927018269155','220322108201','七社','220322108201007',2),('4476991927018271617','220322108201','九社','220322108201009',2),('4476991927018271691','220322108201','十社','220322108201010',2),('4476991927018271811','220322108201','十二社','220322108201012',2),('4476991927018271932','220322108202','三社','220322108202003',2),('4476991927018272094','220322108202','六社','220322108202006',2),('4476991927018272184','220322108202','八社','220322108202008',2),('4476991927018274512','220322108202','十社','220322108202010',2),('4476991927018274543','220322101204','八家子村八社','220322101204008',2),('4476991927018274574','220322108202','十一社','220322108202011',2),('4476991927018274649','220322101204','八家子村九社','220322101204009',2),('4476991927018274680','4476990724427430555','基础网格九','220303005004009',2),('4476991961378009286','220322101204','八家子村十一社','220322101204011',2),('4476991961378009470','220322101204','八家子村十三社','220322101204013',2),('4476991961378013092','220322101207','青堆子村一社','220322101207001',2),('4476991995737747346','220322101207','青堆子村三社','220322101207003',2),('4476992030097486500','220322101207','青堆子村五社','220322101207005',2),('4476992270615650943','220322108203','二社','220322108203002',2),('4476992270615650974','220322108203','三社','220322108203003',2),('4476992270615653433','4476990724427430555','基础网格十','220303005004010',2),('4476992270615656552','220322108203','十社','220322108203010',2),('4476992270615657840','220322108203','十一社','220322108203011',2),('4476992304975389320','220322108204','一社','220322108204001',2),('4476992304975389351','220322108204','二社','220322108204002',2),('4476992304975389487','220322108204','六社','220322108204006',2),('4476992304975389518','220382106000','西庆丰村','220382106210000',1),('4476992304975389576','220382106000','兴盛社区','220382106211000',1),('4476992304975389696','4476990724427430555','基础网格十三','220303005004013',2),('4476992304975389901','4476990724427430555','专属网格三','220303005004016',2),('4476992304975390203','220303004003','专属网格二（铁东政务大厅）','220303004003013',2),('4476992304975392024','220322104220','同庆村一社','220322104220001',2),('4476992304975392055','4459060472917004395','奉化社区一组','220322003001001',2),('4476992304975392129','220382100207','基础网格一（后哈拉嘎屯）','220382100207001',2),('4476992304975392257','220382100207','基础网格三（呈祥屯）','220382100207003',2),('4476992304975392333','220382100207','基础网格四（民主屯）','220382100207004',2),('4476992304975394151','220382005203','网格二（东贤良）原一屯','220382005203001',2),('4476992304975394433','4459060472917004395','奉化社区二组','220322003001002',2),('4476992304975395573','4476992304975389576','兴隆林场','22038210621100206',2),('4476992339335129104','4476992304975389576','兴隆中心校','22038210621100404',2),('4476992339335129137','4476992304975389576','兴隆中学','22038210621100504',2),('4476992339335129473','4476992304975389576','兴隆农电所','22038210621100806',2),('4476992339335131626','220322104220','同庆村二社','220322104220002',2),('4476992339335131657','220322104220','同庆村三社','220322104220003',2),('4476992339335131688','220322104220','同庆村五社','220322104220005',2),('4476992339335131719','220322104220','同庆村六社','220322104220006',2),('4476992339335131755','220322104220','同庆村八社','220322104220008',2),('4476992339335131863','4459060472917004395','奉化社区四组','220322003001004',2),('4476992373694869202','4459060472917004395','奉化社区六组','220322003001006',2),('4476992373694871079','4455233622696436830','0201一社','220322103010001',2),('4476992373694871110','4455233622696436830','0202二社','220322103010002',2),('4476992373694871243','4455233622696436830','0204四社','220322103010004',2),('4476992442414347797','4459060472917004395','奉化社区七组','220322003001007',2),('4476992511133821804','4455233622696436830','0205五社','220322103010005',2),('4476992545493564615','220382003005','理想城邦网格四','220382003005004',2),('4476992614213039296','220382003005','理想城邦网格五','220382003005005',2),('4476992614213039378','220382003005','西善小区网格','220382003005006',2),('4476992614213039523','220382003005','三鑫小区网格','220382003005008',2),('4476992614213039556','220382003005','福耀小区网格','220382003005009',2),('4476992614213039719','220382003005','福耀三期网格一','220382003005012',2),('4476992614213039941','220382003005','福耀三期网格三','220382003005014',2),('4476992614213039974','220382003005','嘉宇馨苑网格一','220382003005015',2),('4476992648572777778','220322110001','良种场','220322110001001',2),('4476992682932512121','220322110001','农牧场','220322110001002',2),('4476992682932516717','4455233622696436830','0210十社','220322103010010',2),('4476992682932516834','220382100211','基础网格二（西孟益）','220382100211002',2),('4476992682932518160','220382100211','基础网格三（三家子）','220382100211003',2),('4476992682932518193','4455233622696436830','0211十一社','220322103010011',2),('4476992682932518351','220382100211','基础网格四（东四海）','220382100211004',2),('4476992682932518411','4455233622696436830','0213十三社','220322103010013',2),('4476992682932518555','220322110220','宋家围子村二组','220322110220002',2),('4476992682932518780','220322110220','宋家围子村三组','220322110220003',2),('4476992682932518865','220322110220','宋家围子村四组','220322110220004',2),('4476992682932518896','4455233622696436830','0215十五社','220322103010015',2),('4476992717292249103','220322110220','宋家围子村五组','220322110220005',2),('4476992717292249177','220322110220','宋家围子村六组','220322110220006',2),('4476992717292250970','220322110205','刘家岗子村四组','220322110205004',2),('4476992717292251140','220322110205','刘家岗子村五组','220322110205005',2),('4476992717292251224','220322110205','刘家岗子村六组','220322110205006',2),('4476992717292251456','220322110205','刘家岗子村八组','220322110205008',2),('4476992717292251540','220322110205','刘家岗子村十组','220322110205010',2),('4476992717292255502','220382203203','前望杏网格','220382203203001',2),('4476992786011726380','220382203203','山头里网格','220382203203003',2),('4476992786011729801','220322112200','后太平村二社','220322112200002',2),('4476992786011729869','220322112200','后太平村三社','220322112200003',2),('4476992786011729943','220322112200','后太平村四社','220322112200004',2),('4476992820371467226','220382002005','基础网格三','220382002005022',2),('4476992854731204065','220322112200','后太平村九社','220322112200009',2),('4476992889090940956','220322112201','兴无村二社','220322112201002',2),('4476992889090945063','220322112201','兴无村四社','220322112201004',2),('4476993370127281047','220382001001','大市场专属网格','220382001001014',2),('4476993370127281114','220322112202','辽河村一社','220322112202001',2),('4476993370127285725','220322112202','辽河村五社','220322112202005',2),('4476993404487017525','220322112203','丰收村一社','220322112203001',2),('4476993404487021456','220322112203','丰收村四社','220322112203004',2),('4476993404487021573','220322112203','丰收村五社','220322112203005',2),('4476993404487022513','220322112203','丰收村六社','220322112203006',2),('4476993404487023582','220322112203','丰收村七社','220322112203007',2),('4476993404487024523','220322112203','丰收村八社','220322112203008',2),('4476993404487024583','220322112203','丰收村九社','220322112203009',2),('4476993438846759007','220322112204','翻身村一社','220322112204001',2),('4476993438846762472','4459060301118312616','0304四社','220322103009004',2),('4476993473206494023','220382203207','前荣光网格','220382203207001',2),('4476993473206495631','4459060301118312616','0308八社','220322103009008',2),('4476993576285710970','220382203205','后安仁网格','220382203205002',2),('4476993576285714777','220382203205','翔鹭里','220382203205003',2),('4476993645005187964','220322112204','翻身村四社','220322112204004',2),('4476993748084402410','220322112205','工农村八社','220322112205008',2),('4476993748084402441','220322112205','工农村六社','220322112205006',2),('4476993748084402530','220322112205','工农村七社','220322112205007',2),('4476993748084402561','4455233794495130495','奉和社区网格1','220322002002001',2),('4476993748084402636','220322112205','工农村五社','220322112205005',2),('4476993748084404246','220322112206','前太平村一社','220322112206001',2),('4476993748084405792','220382203205','前安仁网格','220382203205001',2),('4476993748084407322','220382002001','基础网格11','220382002001007',2),('4476993748084407398','220322112206','前太平村三社','220322112206003',2),('4476993782444139359','220382002001','基础网格2','220382002001008',2),('4476993782444139502','220322112207','白沙坨村一社','220322112207001',2),('4476993782444139629','220382100224','基础网格三（三合屯）','220382100224003',2),('4476993782444139667','220382100224','基础网格六（新立屯）','220382100224006',2),('4476993782444139786','220382100224','基础网格四（前五户屯）','220382100224004',2),('4476993782444139862','220382002001','基础网格1','220382002001009',2),('4476993782444139943','4455233794495130495','奉和社区网格7','220322002002007',2),('4476993782444140060','220322112207','白沙坨村五社','220322112207005',2),('4476993782444140091','4455233794495130495','奉和社区网格9','220322002002009',2),('4476993782444140341','220322112208','张家堡子村一社','220322112208001',2),('4476993782444140375','220322112208','张家堡子村三社','220322112208003',2),('4476993782444140449','4455233794495130495','奉和社区网格10','220322002002010',2),('4476993782444140480','220322112208','张家堡子村五社','220322112208005',2),('4476993782444140597','4455233794495130495','奉和社区网格12','220322002002012',2),('4476993782444140729','4455233794495130495','奉和社区网格15','220322002002015',2),('4476993782444140760','220322112209','大孤山村六社','220322112209006',2),('4476993782444140791','4455233794495130495','奉和社区网格17','220322002002017',2),('4476993782444140822','220322112209','大孤山村五社','220322112209005',2),('4476993782444140853','220322112209','大孤山村三社','220322112209003',2),('4476993782444140892','220322112210','闫达村一社','220322112210001',2),('4476993782444140933','220382203204','忠信网格','220382203204001',2),('4476993782444140965','220322112210','闫达村三社','220322112210003',2),('4476993782444140996','220382203204','小五家子网格','220382203204002',2),('4476993782444141081','220322112211','李家街村一社','220322112211001',2),('4476993782444141112','220322112211','李家街村二社','220322112211002',2),('4476993782444141931','220322112211','李家街村五社','220322112211005',2),('4476993782444141975','220322112212','沈洋村一社','220322112212001',2),('4476993782444142006','220322106208','下坎子村十二社','220322106208012',2),('4476993782444142658','220322112212','沈洋村五社','220322112212005',2),('4476993782444144800','220382101000','八里社区','220382101006',1),('4476993782444144833','220382101000','鹿场社区','220382101007',1),('4476993816803877955','220322112202','辽河村六社','220322112202006',2),('4476993816803878006','220322200201','鲍家村九组','220322200201009',2),('4476993816803878093','220322200202','老山头村一组','220322200202001',2),('4476993816803878149','220322200202','老山头村二组','220322200202002',2),('4476993816803878568','220322101208','小泉眼村二社','220322101208002',2),('4476993816803878642','220322200202','老山头村三社','220322200202003',2),('4476993816803879750','220322200202','老山头村四社','220322200202004',2),('4476993816803879824','220322200202','老山头村五社','220322200202005',2),('4476993816803879855','220322101208','小泉眼村六社','220322101208006',2),('4476993816803879887','220322200202','老山头村六社','220322200202006',2),('4476993816803880005','220322101208','小泉眼村八社','220322101208008',2),('4476993816803880083','220322200203','刘家村一社','220322200203001',2),('4476993816803880191','220322200204','大泉眼村一社','220322200204001',2),('4476993816803880265','220322200204','大泉眼村二社','220322200204002',2),('4476993816803880354','4459060301118312709','0103三社','220322103008003',2),('4476993816803880443','4459060301118312709','0105五社','220322103008005',2),('4476993816803880532','4459060301118312709','0106六社','220322103008006',2),('4476993816803880563','4459060301118312709','0108八社','220322103008008',2),('4476993816803880594','4459060301118312709','0109九社','220322103008009',2),('4476993816803880683','220382100216','基础网格二（孤店屯）','220382100216002',2),('4476993816803880716','220322101211','西青石岭村四社','220322101211004',2),('4476993816803880747','220322200204','大泉眼村六社','220322200204006',2),('4476993816803880778','4459060301118312647','0402二社','220322103007002',2),('4476993816803880809','4459060301118312647','0403三社','220322103007003',2),('4476993816803880840','4459060301118312647','0404四社','220322103007004',2),('4476993816803880872','220322200204','大泉眼村八社','220322200204008',2),('4476993816803880903','4459060301118312647','0408八社','220322103007008',2),('4476993816803880956','4459060301118312647','0409九社','220322103007009',2),('4476993816803880987','4459060301118312647','0410十社','220322103007010',2),('4476993816803881018','220322101211','西青石岭村八社','220322101211008',2),('4476993816803881050','220322200204','大泉眼村十社','220322200204010',2),('4476993816803881081','4459060301118312647','0415十五社','220322103007015',2),('4476993816803881155','220322101205','八里城村一社','220322101205001',2),('4476993816803881186','220322200205','四合村二社','220322200205002',2),('4476993816803881218','220322200205','四合村三社','220322200205003',2),('4476993816803881249','220322101205','八里城村四社','220322101205004',2),('4476993816803881291','220322101205','八里城村五社','220322101205005',2),('4476993816803882784','4455233794495130310','第二居民小组','220322001004002',2),('4476993816803882815','220322101205','八里城村六社','220322101205006',2),('4476993816803882890','4455233794495130310','第三居民小组','220322001004003',2),('4476993816803882948','220322200205','四合村七社','220322200205007',2),('4476993816803883037','220322200205','四合村八社','220322200205008',2),('4476993816803883115','220322200206','西白山村一社','220322200206001',2),('4476993816803883278','220322103200','1201一社','220322103200001',2),('4476993816803883352','220322103200','1202二社','220322103200002',2),('4476993816803883426','220322101206','新胜村三社','220322101206003',2),('4476993816803883457','220322101206','新胜村四社','220322101206004',2),('4476993816803883645','220322103200','1206六社','220322103200006',2),('4476993851163616290','220322101206','新胜村七社','220322101206007',2),('4476993851163616321','220322103201','1301一社','220322103201001',2),('4476993851163616352','220322108205','一社','220322108205001',2),('4476993851163616383','220322103201','1302二社','220322103201002',2),('4476993851163616414','220322108205','二社','220322108205002',2),('4476993851163617363','220322108205','三社','220322108205003',2),('4476993851163617438','220322103201','1304四社','220322103201004',2),('4476993851163617512','220322108205','六社','220322108205006',2),('4476993851163617543','220322103201','1306六社','220322103201006',2),('4476993851163617676','220322108205','八社','220322108205008',2),('4476993851163617707','220322101209','双马架村二社','220322101209002',2),('4476993851163617738','220322108205','九社','220322108205009',2),('4476993851163617855','220322108205','十社','220322108205010',2),('4476993851163617886','220322101209','双马架村三社','220322101209003',2),('4476993851163618055','220322108206','一社','220322108206001',2),('4476993851163618086','220322101209','双马架村五社','220322101209005',2),('4476993851163618261','220322101209','双马架村六社','220322101209006',2),('4476993851163618350','220322108206','三社','220322108206003',2),('4476993851163618381','220322200208','隋家村二社','220322200208002',2),('4476993851163618455','220322108206','四社','220322108206004',2),('4476993851163618841','220322108206','五社','220322108206005',2),('4476993851163618872','220322200208','隋家村三社','220322200208003',2),('4476993851163619524','220322101209','双马架村九社','220322101209009',2),('4476993851163619555','220322108206','六社','220322108206006',2),('4476993851163619588','220322108206','七社','220322108206007',2),('4476993851163619974','220322101209','双马架村十社','220322101209010',2),('4476993851163620048','220322108206','八社','220322108206008',2),('4476993851163620829','220322108207','一社','220322108207001',2),('4476993851163620903','220322101210','东青石岭村一社','220322101210001',2),('4476993851163621845','220322200208','隋家村四社','220322200208004',2),('4476993851163621876','220322108207','二社','220322108207002',2),('4476993851163621983','220322200208','隋家村五社','220322200208005',2),('4476993851163622098','220322108207','五社','220322108207005',2),('4476993988602568749','220322101210','东青石岭村三社','220322101210003',2),('4476993988602568986','220322101210','东青石岭村四社','220322101210004',2),('4476993988602569017','220322200208','隋家村七社','220322200208007',2),('4476993988602570517','220322200208','隋家村八社','220322200208008',2),('4476993988602570591','220322101210','东青石岭村六社','220322101210006',2),('4476993988602570665','220322108208','四社','220322108208004',2),('4476993988602570696','220322101210','东青石岭村七社','220322101210007',2),('4476993988602570727','220322108208','五社','220322108208005',2),('4476993988602570758','220322200209','郑家村一社','220322200209001',2),('4476993988602570948','220322101210','东青石岭村九社','220322101210009',2),('4476993988602570979','220322103201','1308八社','220322103201008',2),('4476993988602572502','220322108208','九社','220322108208009',2),('4476993988602572533','220322103201','1310十社','220322103201010',2),('4476993988602572607','220322200209','郑家村三社','220322200209003',2),('4476993988602572681','220322101210','东青石岭村十一社','220322101210011',2),('4476993988602572753','220322200209','郑家村四社','220322200209004',2),('4476993988602572784','220322101210','东青石岭村十二社','220322101210012',2),('4476993988602572917','220322200209','郑家村五社','220322200209005',2),('4476993988602573032','220322103202','1403三社','220322103202003',2),('4476993988602573266','220322103202','1404四社','220322103202004',2),('4476993988602573320','220322101212','花城子村一社','220322101212001',2),('4476993988602573437','220322103202','1407七社','220322103202007',2),('4476993988602573468','220322108212','一社','220322108212001',2),('4476993988602573557','220322103202','1408八社','220322103202008',2),('4476993988602573588','220382100200','基础网格一（前赵家屯）','220382100200001',2),('4476993988602573621','220322108212','二社','220322108212002',2),('4476993988602573695','220322108212','三社','220322108212003',2),('4476993988602573726','220382100200','基础网格二（鲍石吐屯）','220382100200002',2),('4476993988602573817','220322200209','郑家村九社','220322200209009',2),('4476993988602573848','220322103202','1410十社','220322103202010',2),('4476993988602573880','220322108212','四社','220322108212004',2),('4476993988602573912','220382100200','基础网格三（前五间房屯）','220382100200003',2),('4476993988602574003','220382100200','基础网格四（后五间房屯）','220382100200004',2),('4476993988602574036','220322101212','花城子村五社','220322101212005',2),('4476994022962309020','220322108212','七社','220322108212007',2),('4476994022962311789','220322108212','八社','220322108212008',2),('4476994022962311820','220322101212','花城子村七社','220322101212007',2),('4476994022962311909','220322103203','1503三社','220322103203003',2),('4476994057322047305','220322103203','1505五社','220322103203005',2),('4476994057322047394','220322103203','1506六社','220322103203006',2),('4476994057322047670','220322101212','花城子村十社','220322101212010',2),('4476994057322047893','220322101213','四大家村一社','220322101213001',2),('4476994057322048069','220322101213','四大家村二社','220322101213002',2),('4476994057322048103','220322101213','四大家村三社','220322101213003',2),('4476994057322048177','4476990724427430849','基础网格三','220303005003003',2),('4476994057322048310','220322101213','四大家村四社','220322101213004',2),('4476994057322048427','220322103204','1603三社','220322103204003',2),('4476994057322048458','220322101213','四大家村五社','220322101213005',2),('4476994057322048594','220322101213','四大家村六社','220322101213006',2),('4476994057322048625','220322103204','1606六社','220322103204006',2),('4476994057322048744','220322101213','四大家村八社','220322101213008',2),('4476994057322048861','220322103204','1608八社','220322103204008',2),('4476994057322050183','220322101213','四大家村十社','220322101213010',2),('4476994091681785752','220322101213','四大家村十一社','220322101213011',2),('4476994091681785842','220322103204','1614十四社','220322103204014',2),('4476994091681785873','220322200212','平山村二社','220322200212002',2),('4476994091681787116','220322103205','1701一社','220322103205001',2),('4476994091681787205','220322103205','1702二社','220322103205002',2),('4476994091681788532','220322103205','1704四社','220322103205004',2),('4476994160401260720','220322103205','1706六社','220322103205006',2),('4476994160401260899','220322200212','平山村五社','220322200212005',2),('4476994160401262574','220322200212','平山村六社','220322200212006',2),('4476994160401262605','220322103206','1801一社','220322103206001',2),('4476994160401262636','220322103206','1802二社','220322103206002',2),('4476994160401262667','220322101214','东黑咀子村四社','220322101214004',2),('4476994160401262698','220322103206','1803三社','220322103206003',2),('4476994160401262808','220322103206','1804四社','220322103206004',2),('4476994160401262842','220322200212','平山村七社','220322200212007',2),('4476994160401262916','220322103206','1805五社','220322103206005',2),('4476994160401263033','220322103206','1808八社','220322103206008',2),('4476994160401263165','220322101214','东黑咀子村六社','220322101214006',2),('4476994160401263197','220322200212','平山村八社','220322200212008',2),('4476994160401263230','220322103206','1810十社','220322103206010',2),('4476994160401263319','220322101214','东黑咀子村七社','220322101214007',2),('4476994160401263377','220322200212','平山村九社','220322200212009',2),('4476994160401263409','220322101214','东黑咀子村八社','220322101214008',2),('4476994160401263440','220322103207','1901一社','220322103207001',2),('4476994160401267149','4476990724427430849','基础网格六','220303005003006',2),('4476994160401267185','220322103207','1902二社','220322103207002',2),('4476994160401267260','220322103207','1903三社','220322103207003',2),('4476994160401267596','220322103207','1905五社','220322103207005',2),('4476994160401267671','220322103207','1906六社','220322103207006',2),('4476994160401267702','220322103207','1907七社','220322103207007',2),('4476994160401267795','220322103207','1908八社','220322103207008',2),('4476994160401267913','220382100215','宏光村一屯','220382100215001',2),('4476994160401267989','220322103207','1909九社','220322103207009',2),('4476994194761000255','220322103000','11于家街村','220322103208',1),('4476994194761000373','220322200213','友谊村三社','220322200211003',2),('4476994194761000404','4476994194761000255','1101一社','220322103208001',2),('4476994194761000536','4476994194761000255','1103三社','220322103208003',2),('4476994194761001877','4476994194761000255','1104四社','220322103208004',2),('4476994194761002056','4476994194761000255','1106六社','220322103208006',2),('4476994194761006063','4476994194761000255','1107七社','220322103208007',2),('4476994194761006226','220322200213','友谊村六社','220322200211006',2),('4476994194761006588','220322200213','友谊村八社','220322200211008',2),('4476994194761006836','220322200213','友谊村十社','220322200211010',2),('4476994229120737940','220322200213','友谊村十二社','220322200211012',2),('4476994229120737971','220322108213','一社','220322108213001',2),('4476994229120738147','220322108213','三社','220322108213003',2),('4476994229120738868','220322108213','四社','220322108213004',2),('4476994229120739815','4476990724427430849','基础网格七','220303005003007',2),('4476994229120741643','220322108213','六社','220322108213006',2),('4476994229120741703','220322108213','七社','220322108213007',2),('4476994229120741792','220382106200','耕耘村网格1','220382106200001',2),('4476994229120741825','220322108213','九社','220322108213009',2),('4476994229120743819','220322101216','蔬菜村六社','220322101216006',2),('4476994229120743850','220322108209','二社','220322108209002',2),('4476994229120744885','220322108209','三社','220322108209003',2),('4476994229120745017','220322101216','蔬菜村七社','220322101216007',2),('4476994229120745212','220322101216','蔬菜村八社','220322101216008',2),('4476994229120745334','220322108209','六社','220322108209006',2),('4476994229120745408','220322200214','十家堡村五社','220322200207005',2),('4476994229120745439','220322108209','七社','220322108209007',2),('4476994263480476605','220322108210','一社','220322108210001',2),('4476994263480476722','220322108210','二社','220322108210002',2),('4476994263480476848','220322106210','姚家村十一社','220322106210011',2),('4476994263480477714','220322108210','四社','220322108210004',2),('4476994263480479076','220322108210','六社','220322108210006',2),('4476994263480480285','220322108210','九社','220322108210009',2),('4476994263480480433','220322108211','三社','220322108211003',2),('4476994263480480464','220322108211','四社','220322108211004',2),('4476994263480481446','220322108211','六社','220322108211006',2),('4476994263480481508','220322108211','七社','220322108211007',2),('4476994263480481582','220322108211','九社','220322108211009',2),('4476994263480482337','220322108214','二社','220322108214002',2),('4476994263480482464','220322108214','三社','220322108214003',2),('4476994263480482500','220322108214','四社','220322108214004',2),('4476994263480482753','220322108214','五社','220322108214005',2),('4476994263480483450','220322108214','六社','220322108214006',2),('4476994263480483524','220322108214','八社','220322108214008',2),('4476994263480483555','220322108214','九社','220322108214009',2),('4476994332199952603','220382100205','基础网格三（西龙凤屯）','220382100205003',2),('4476994332199952641','220323200200','西卜屯','220323200200008',2),('4476994332199952803','220323200200','徐家屯','220323200200009',2),('4476994332199957334','220323200201','东于屯','220323200201001',2),('4476994332199957543','220382100218','基础网格三（刘家屯）','220382100218003',2),('4476994332199957639','220382100218','基础网格四（李家屯）','220382100218004',2),('4476994332199957694','4476990724427430849','基础网格一','220303005003001',2),('4476994332199957736','220382100218','基础网格六（小王家屯）','220382100218006',2),('4476994332199959031','220323200201','西于屯','220323200201002',2),('4476994332199959151','220323200201','东宁屯','220323200201004',2),('4476994332199959185','220323200201','东闫屯','220323200201005',2),('4476994332199959218','220323200201','西闫屯','220323200201006',2),('4476994332199959294','220323200201','桦树屯','220323200201007',2),('4476994332199959594','4476990724427430849','专属网格一','220303005003009',2),('4476994332199960091','220323200202','老房子屯','220323200202001',2),('4476994366559693784','220303006006','网格一','220303006006001',2),('4476994366559693860','220323200202','向阳屯','220323200202002',2),('4476994366559697686','220323200203','后烧锅屯','220323200203002',2),('4476994400919429849','220323200203','后城子屯','220323200203003',2),('4476994400919431434','220323200203','霍家店屯','220323200203005',2),('4476994400919431762','220382107205','小七棵村','220382107205001',2),('4476994435279172269','220382100210','基础网格一（大丁家屯）','220382100210001',2),('4476994538358389834','220382100210','基础网格二（后丁家屯）','220382100210002',2),('4476994538358389958','220382100210','基础网格四（小王家屯）','220382100210004',2),('4476994538358390150','220322101001','站北社区四组','220322101001004',2),('4476994572718122343','220382107205','大七棵','220382107205002',2),('4476994572718122377','220322101003','建材社区四组','220322101003004',2),('4476994607077862317','220323200204','前城子屯','220323200204001',2),('4476994607077863121','220323200204','水田屯','220323200204003',2),('4476994607077863154','220323200204','前贡屯','220323200204004',2),('4476994607077863313','220323200204','前段屯','220323200204005',2),('4476994607077863346','220323200204','小前段','220323200204006',2),('4476994607077863450','220323200205','前永安屯','220323200205001',2),('4476994607077863526','220323200205','后永安屯','220323200205002',2),('4476994641437600457','220322108001','阳光花园','220322108001006',2),('4476994641437601158','220303003005','富强社区基础网格1','220303003005001',2),('4476994641437601226','4459060301118312678','0601一社','220322103006001',2),('4476994641437601257','4459060301118312678','0602二社','220322103006002',2),('4476994641437601331','4459060301118312678','0603三社','220322103006003',2),('4476994641437601363','4459060301118312678','0605五社','220322103006005',2),('4476994641437601394','4459060301118312678','0606六社','220322103006006',2),('4476994641437601468','4459060301118312678','0607七社','220322103006007',2),('4476994641437601542','4459060301118312678','0608八社','220322103006008',2),('4476994641437601677','4459060301118312678','0611十一社','220322103006011',2),('4476994641437601924','220303003005','富强社区基础网格3','220303003005003',2),('4476994641437602246','4455233794495130525','康平社区网格2','220322002001002',2),('4476994641437602277','4455233794495130525','康平社区网格3','220322002001003',2),('4476994641437602510','4455233794495130525','康平社区网格5','220322002001005',2),('4476994641437602771','4455233794495130525','康平社区网格7','220322002001007',2),('4476994641437604747','220382002005','基础网格十一','220382002005021',2),('4476994710157076584','220322104216','大房身村一社','220322104216001',2),('4476994710157076827','220322104216','大房身村二社','220322104216002',2),('4476994710157077429','220303003005','富强社区基础网格4','220303003005004',2),('4476994710157077711','220382107204','南楼屯','220382107204001',2),('4476994710157078360','220382107204','杨舒铺','220382107204002',2),('4476994710157078758','220382107204','八家子屯','220382107204003',2),('4476994710157079817','4476990724427431070','专属网格四','220303005002009',2),('4476994710157082387','4476990724427431070','专属网格五','220303005002010',2),('4476994744516813085','220303003005','富强社区基础网格7','220303003005007',2),('4476994744516814457','220303003005','富强社区基础网格8','220303003005008',2),('4476994744516814489','220303003005','富强社区基础网格9','220303003005009',2),('4476994744516816414','220322104216','大房身村三社','220322104216003',2),('4476994744516816580','4455233485257490087','基础网格二（紫微公馆2）','22030300400600702',2),('4476994744516816670','220303003005','富强社区基础网格13','220303003005013',2),('4476994744516816745','220322104216','大房身村四社','220322104216004',2),('4476994744516816862','220303003005','富强社区基础网格14','220303003005014',2),('4476994744516817300','220322104216','大房身村五社','220322104216005',2),('4476994744516817787','220322104216','大房身村六社','220322104216006',2),('4476994744516819495','4455233485257490087','基础网格三（紫微公馆3）','22030300400600802',2),('4476994778876554567','4455233485257490087','基础网格四（紫微公馆4）','22030300400600902',2),('4476994813236291892','4455233794495130555','八里庙村十队','220322002201010',2),('4476994813236292112','4455233794495130555','八里庙村十一队','220322002201011',2),('4476994813236292431','4455233794495130555','八里庙村十三队','220322002201013',2),('4476994813236292728','4455233794495130555','八里庙村十四队','220322002201014',2),('4476994813236292767','4455233794495130555','八里庙村十五队','220322002201015',2),('4476994813236294048','220303003005','富强社区专属网格1（南一纬小学）','220303003005015',2),('4476994813236294080','220322103206','1806六社','220322103206006',2),('4476995053754461692','220322103206','1807七社','220322103206007',2),('4476995259912893159','220303006006','网格四','220303006006004',2),('4476995259912895199','4455233485257490087','专属网格一（铁东区政府）','22030300400601307',2),('4476995294272627012','4455233485257490087','专属网格二（交警支队）','22030300400601407',2),('4476995294272628495','220303006007','基础网格二（平房）','220303006007002',2),('4476995294272628888','220303006007','基础网格四','220303006007004',2),('4476995294272629138','220303006007','基础网格五','220303006007005',2),('4476995294272629420','220303006007','基础网格六','220303006007006',2),('4476995294272630476','220303006007','基础网格九','220303006007009',2),('4476995294272631230','220303006007','基础网格十一','220303006007011',2),('4476995294272631324','220303006007','基础网格十二','220303006007012',2),('4476995294272632522','220382100220','基础网格一（大桂花屯）','220382100220001',2),('4476995569150538961','4476990724427430938','专属网格一','220303005001022',2),('4476995603510277249','220322104001','新城社区5委','220322104001005',2),('4476995603510278240','220303004005','基础网格二（东盛小区网格2）','220303004005002',2),('4476995672229748804','220303008003','基础网格1','220303008003001',2),('4476995672229755570','220303004005','基础网格三（华亿嘉苑南区网格1）','220303004005003',2),('4476995706589488121','220303004005','基础网格五（成龙国际网格1）','220303004005005',2),('4476995706589488432','220303004005','基础网格六（成龙国际网格2）','220303004005006',2),('4476995706589488524','220303008003','基础网格3','220303008003003',2),('4476995706589490895','220303004005','基础网格八（线路小区网格）','220303004005008',2),('4476995706589491172','220303004005','基础网格九（老东方花园）','220303004005009',2),('4476995706589492915','220382100221','基础网格一（前木头屯）','220382100221001',2),('4476995706589493191','220382100221','基础网格二（后木头屯）','220382100221002',2),('4476995706589493407','220382100221','基础网格三（乔家屯）','220382100221003',2),('4476995706589493629','220303008003','基础网格8(沥青站，沥青站六建）','220303008003008',2),('4476995706589493775','220303008003','基础网格14（华亿a35.36）','220303008003014',2),('4476995706589493850','220382100221','基础网格四（王老屯）','220382100221004',2),('4476995706589493927','220303008003','基础网格15（华亿B1.2.3.4）','220303008003015',2),('4476995706589494031','220303008003','基础网格16（华亿B5.6.9）','220303008003016',2),('4476995706589494164','220303008003','基础网格18(华亿B11.14）','220303008003018',2),('4476995740949227752','220303008003','基础网格20(华亿B13.15)','220303008003020',2),('4476995740949227784','220303008003','基础网格21（华亿B16.21）','220303008003021',2),('4476995947107662135','220303008003','基础网格22（华亿B19.20）','220303008003022',2),('4476995981467400649','220303008003','基础网格6','220303008003006',2),('4476995981467401177','220323103212','陈刘屯','220323103212001',2),('4476996015827135043','220303008002','基础网格1（恒大）','220303008002001',2),('4476996015827138004','220303008002','基础网格2（东吉）','220303008002002',2),('4476996050186874881','220303006007','专属网格一（社会精神病院）','220303006007014',2),('4476996050186877577','220303006007','专属网格二（社会福利院）','220303006007015',2),('4476996050186877884','220303006007','专属网格三（儿童福利院）','220303006007016',2),('4476996050186877916','220303002004','基础网格1-同心委机电楼、土炕楼、中医院楼、轧钢1号楼','220303002004001',2),('4476996187625828435','220303006007','专属网格四（人造革厂）','220303006007017',2),('4476996187625829655','220303002004','基础网格6-广兴茂1、5号楼','220303002004006',2),('4476996221985568398','220303008002','基础网格3(美好晟苑D10小区)','220303008002003',2),('4476996221985569971','220303008002','基础网格5（车站、老城7）','220303008002005',2),('4476996393784258609','220323101200','大庙前屯','220323101001001',2),('4476996393784259001','220323101200','鲍家屯','220323101001002',2),('4476996393784259099','220323101200','彭家屯','220323101001003',2),('4476996428143993922','220323101201','裴家上沟屯','220323101201003',2),('4476996428143994204','220323101201','茶馆屯','220323101201004',2),('4476996428143994493','220323101201','鹿角沟屯','220323101201005',2),('4476996428143996550','220323101202','任立屯','220323101202001',2),('4476996428143997291','220323101202','庙驮腰子屯','220323101202004',2),('4476996428143997738','220323101202','三合屯','220323101202007',2),('4476996428143998984','220303008001','基础网格2（滨河园B1245）','220303008001002',2),('4476996428144000219','220323101203','东升屯','220323101203002',2),('4476996428144000388','220323101203','福安屯','220323101203003',2),('4476996496863471775','220303008001','基础网格6（滨河园二期F123567）','220303008001006',2),('4476996496863471873','220303008001','基础网格7(滨河园F910G123）','220303008001007',2),('4476996496863474211','220322104204','东河山村5社','220322104204005',2),('4476996496863474597','220322104204','东河山村4社','220322104204004',2),('4476996496863475706','220323101204','袁家屯','220323101204001',2),('4476996496863476087','220323101204','前福兴屯','220323101204002',2),('4476996496863476237','220323101204','吉兴屯','220323101204004',2),('4476996496863476386','220323101204','万德屯','220323101204005',2),('4476996496863476598','220323101204','大院、短嘴子屯','220323101204006',2),('4476996599942689503','220382203206','洪源村','220382203206001',2),('4476996599942689737','220303003003','玉泉社区基础网格1','220303003003001',2),('4476996599942690831','220323101206','前乌拉草沟腰屯','220323101206004',2),('4476996634302423266','220323101208','黄家西队','220323101208001',2),('4476996634302423966','220303003003','玉泉社区基础网格3','220303003003003',2),('4476996634302424158','220323101208','三门杨家屯','220323101208003',2),('4476996634302424613','220323101208','长山屯','220323101208004',2),('4476996634302424855','220323101208','范家屯','220323101208005',2),('4476996634302425484','220323101209','北山屯','220323101209003',2),('4476996668662165572','4459060472917004425','天阳社区网格一组','220322003002001',2),('4476996668662165936','220303003003','玉泉社区基础网格7','220303003003007',2),('4476996668662166665','220303008001','专属网格3（粮库）','220303008001022',2),('4476996668662166917','220303008001','专属网格4（铁东教师进修学校）','220303008001023',2),('4476996668662167222','4459060472917004425','天阳社区网格二组','220322003002002',2),('4476996668662167506','4459060472917004425','天阳社区网格三组','220322003002003',2),('4476996668662168167','4459060472917004425','天阳社区网格七组','220322003002007',2),('4476996668662168458','4459060472917004425','天阳社区网格八组','220322003002008',2),('4476997012259553014','220382107207','田家窝棚','220382107207001',2),('4476997115338767049','220302001005','基础网格一','220302001005001',2),('4476997115338768273','220382203209','东腰屯网格','220382203209001',2),('4476997149698501036','220302001005','专属网格一','220302001005006',2),('4476997184058238513','220303008004','基础网格3（沥青站小区3.5.11）','220303008004003',2),('4476997184058238596','220382107207','梁家窝棚','220382107207003',2),('4476997184058238630','220303008004','基础网格4（沥青站小区6）','220303008004004',2),('4476997184058239939','220303001003','基础网格三、平房+黄金3','220303001003003',2),('4476997184058240615','4455233485257490087','基础网格十六（凯虹十五峰）','22030300400601602',2),('4476997184058241594','220303006004','网格四','220303006004004',2),('4476997218417983290','220382103214','农科村一屯','220382103214002',2),('4476997355856929232','220303008001','基础网格10（银矿客车）','220303008001010',2),('4476997355856929268','220303001003','专属网格-供热站','220303001003004',2),('4476997355856930216','220303008001','基础网格12（七千米）','220303008001012',2),('4476997355856930451','220303008001','基础网格13（监狱 ）','220303008001013',2),('4476997355856930484','220303008004','专属网格1（加油站）','220303008004013',2),('4476997355856930703','220303001003','专属网格-第一粮库','220303001003007',2),('4476997355856930781','220303003004','福民社区基础网格2','220303003004002',2),('4476997390216668492','220323104206','景台村一组','220323104206001',2),('4476997390216668797','220323104206','景台村二组','220323104206002',2),('4476997390216669024','220323104206','景台村三组','220323104206003',2),('4476997390216669486','220323104206','景台村六组','220323104206006',2),('4476997390216669754','220323104206','景台村七组','220323104206007',2),('4476997390216669816','220382002200','吉兴村第一网格','2203820022000011',2),('4476997390216670123','220323104206','伊通八中','220323104206010',2),('4476997424576406779','220322107201','大力虎村李家街','220322107201001',2),('4476997424576407057','220323104206','景台中心校','220323104206011',2),('4476997424576407250','220323104206','景台医院','220323104206012',2),('4476997424576407598','220303008004','基础网格6（沥青站小区.4）','220303008004006',2),('4476997424576407898','220323104206','景台粮库','220323104206013',2),('4476997424576408046','220323104206','景台供电所','220323104206014',2),('4476997424576408773','220323104200','赵家村二组','220323104200002',2),('4476997424576408871','220323104200','赵家村三组','220323104200003',2),('4476997424576409078','220382005201','网格一（一四六屯）','220382005201001',2),('4476997424576409288','220323104200','赵家村四组','220323104200004',2),('4476997424576409389','220323104200','赵家村五组','220323104200005',2),('4476997424576409569','220323104200','赵家村六组','220323104200006',2),('4476997424576411340','220303003004','福民社区专属网格2（四平市第一人民医院）','220303003004012',2),('4476997424576411735','220303008004','基础网格7（粮谷。植物油。液压件。收割机。旭川）','220303008004007',2),('4476997458936144389','220323104207','大榆树村沙贝子屯','220323104207002',2),('4476997458936144940','220382002200','吉兴村第二网格','220382002200005',2),('4476997458936145019','220323104207','大榆树村王学坊屯','220323104207003',2),('4476997458936147576','220323104207','大榆树村杨树园子屯','220323104207004',2),('4476997458936147963','220323200206','永安屯','220323200206002',2),('4476997458936148053','220323200206','城合店屯','220323200206003',2),('4476997458936148087','220303003004','福民社区基础网格8','220303003004008',2),('4476997458936148178','220323200206','大岗子屯','220323200206004',2),('4476997458936148255','220323200206','小岗子屯','220323200206005',2),('4476997527655622103','220323200206','杨烧锅屯','220323200206006',2),('4476997527655622184','220303003004','福民社区基础网格9','220303003004009',2),('4476997527655622467','220323104207','大榆树村腰屯','220323104207005',2),('4476998043051699882','220323200207','前胡屯','220323200207001',2),('4476998043051700093','220323200207','宁东屯','220323200207005',2),('4476998043051700280','220323200207','小西屯','220323200207007',2),('4476998043051701630','220323200207','刘屯','220323200207010',2),('4476998043051702545','220303008001','专属网格6（铁东执法局）','220303008001025',2),('4476998043051703032','220303008001','基础网格14','220303008001014',2),('4476998043051703496','220303008001','基础网格17','220303008001017',2),('4476998043051703572','220303008001','基础网格18','220303008001018',2),('4476998043051703605','220303008001','基础网格19','220303008001019',2),('4476998146130915441','220322107200','北六家村老房身','220322107200001',2),('4476998146130915516','220322107200','北六家村小碱锅','220322107200002',2),('4476998146130915592','220322107200','北六家村腰六家子','220322107200003',2),('4476998146130915624','220322107200','北六家村前六家子','220322107200004',2),('4476998352289343330','4476990724427430938','基础网格三','220303005001003',2),('4476998352289343572','4459060232398831647','金水社区基础网格1','22030300300600101',2),('4476998352289343728','220382002001','双辽吉银村镇银行网格','220382002001013',2),('4476998352289343762','220323104214','永久村二组','220323104214002',2),('4476998352289344313','220382002001','双辽市人民法院网格','220382002001014',2),('4476998352289344433','4476990724427430938','基础网格五','220303005001005',2),('4476998352289344580','220382002001','双辽市古城信用社网格','220382002001015',2),('4476998352289344657','220323104214','永久村三组','220323104214003',2),('4476998352289345119','220382002001','双辽市公安局网格','220382002001017',2),('4476998352289345153','4476990724427430938','基础网格七','220303005001007',2),('4476998386649080344','4476990724427430938','基础网格八','220303005001008',2),('4476998386649080507','220382002001','辽西街道网格','220382002001019',2),('4476998386649082521','4476990724427430938','基础网格十二','220303005001012',2),('4476998386649083224','4476990724427430938','基础网格十四','220303005001014',2),('4476998386649083346','4476990724427430938','基础网格十五','220303005001015',2),('4476998386649083956','4476990724427430938','基础网格十七','220303005001017',2),('4476998386649085245','220382107206','前盘山村','220382107206001',2),('4476998386649085514','4476990724427430938','基础网格十八','220303005001018',2),('4476998386649085934','220382002001','伊幻家园宾馆网格','220382002001022',2),('4476998386649087549','4455233622696437204','三姓店','220323100213006',2),('4476998489728295577','220323104214','永久村四组','220323104214004',2),('4476998489728295654','220323104214','永久村五组','220323104214005',2),('4476998489728295774','220323104214','永久村六组','220323104214006',2),('4476998489728296097','220323104214','发展卫生院','220323104214010',2),('4476998489728296326','220303003004','福民社区基础网格7','220303003004007',2),('4476998730246471601','220322108001','祥和A区','220322108001007',2),('4476998764606204445','220382002005','基础网格六','220382002005024',2),('4476998867685419115','220322107202','东卡篓村孙家营子','220322107202001',2),('4476998867685419149','220322107202','东卡篓村后陈家','220322107202002',2),('4476998867685419225','220322107202','东卡篓村杜家街','220322107202004',2),('4476998867685419374','220322107203','东五家村东五家窝堡','220322107203002',2),('4476998867685419482','220322107203','东五家村东北屯','220322107203003',2),('4476998867685420012','220322107204','韩家村小乌兰','220322107204001',2),('4476998867685420133','220322107204','韩家村毕家铺子','220322107204004',2),('4476998867685420165','220322107204','韩家村后杨家甸','220322107204005',2),('4476998867685420669','220322107205','纪家村三合屯','220322107205003',2),('4476998867685421027','220322107206','刘家馆子村西蘑菇山','220322107206001',2),('4476998867685421118','220322107206','刘家馆子村山弯屯','220322107206002',2),('4476998867685421527','220322107206','刘家馆子村杨家油坊','220322107206004',2),('4476998867685421667','220322107206','刘家馆子村沟子东','220322107206007',2),('4476998867685421832','220322107207','龙山村许家围子','220322107207001',2),('4476998867685421909','220322107207','龙山村二龙山屯','220322107207002',2),('4476998867685421947','220322107207','龙山村五间房','220322107207003',2),('4476998867685421979','220322107207','龙山村山东屯','220322107207004',2),('4476998867685422174','220322107208','南六家子村刘福恩屯','220322107208003',2),('4476998867685422206','220322107208','南六家子村西南街','220322107208004',2),('4476998867685422420','220322107208','南六家子村杨木集','220322107208006',2),('4476998902045161484','220322107209','三家窝堡村后杂铺屯','220322107209002',2),('4476998902045161516','220322107209','三家窝堡村前杂铺屯','220322107209003',2),('4476998902045161580','220322107210','炭窑村后炭窑','220322107210002',2),('4476998902045161644','220322107211','王河村东杨窝堡屯','220322107211001',2),('4476998902045161708','220322107212','苇田村新力屯','220322107212001',2),('4476998902045161740','220322107212','苇田村东新发堡','220322107212003',2),('4476998902045161836','220322107213','吴家坨子村后六家子','220322107213001',2),('4476998902045161868','220322107213','吴家坨子村郭家窝堡','220322107213004',2),('4476998902045161996','220322107214','乌兰村西山','220322107214001',2),('4476998902045162028','220322107214','乌兰村岳家街','220322107214004',2),('4476998902045162156','220322107215','西卡篓村程家街','220322107215002',2),('4476998902045162188','220322107215','西卡篓村树杖子','220322107215004',2),('4476998902045162252','220322107216','西五家村西五家屯','220322107216002',2),('4476999039484112915','220303200205','基础网格五（合力村六、七屯）','220303200205005',2),('4476999039484116899','220303200205','基础网格一（合力村一屯）','220303200205001',2),('4476999073843847939','220303200209','基础网格4','220303200209003',2),('4476999073843848260','220303200205','基础网格四（合力村五屯）','220303200205004',2),('4476999280002281896','4477021682551797138','网格一（孤家子）','220382005202001',2),('4476999829758097527','220382102209','贺家村基础网格','220382102209001',2),('4477000963629459075','220382102210','佐岭村基础网格','220382102210001',2),('4477000963629459253','220382102210','佐岭村小北屯基础网格','220382102210002',2),('4477019827125920137','220323109202','何家屯','220323109201001',2),('4477019827125920170','220323109202','刘家屯','220323109201002',2),('4477019827125920249','220323109202','白灰窑屯','220323109201009',2),('4477019827125920282','220323109202','蛤蚂塘沟','220323109201010',2),('4477019827125920315','220382003006','双营小区','220382003006016',2),('4477019827125920349','220382003006','农发行小区','220382003006017',2),('4477019827125920425','220382003006','华懿小区','220382003006018',2),('4477019827125920587','220382100201','基础网格四（马家屯）','220382100201004',2),('4477019827125920620','220382100201','基础网格五（曾家屯）','220382100201005',2),('4477019827125920723','220382003006','小白楼小区','220382003006026',2),('4477019827125921037','220323109202','汪家屯','220323109201007',2),('4477019827125921070','220323109203','大瓦房屯','220323109202004',2),('4477019827125921161','220323109203','楼沟屯','220323109202006',2),('4477019827125921194','220322200210','东风村一社','220322200210001',2),('4477019827125921225','220323109203','双庙子屯','220323109202008',2),('4477019827125921258','220323109204','龙王庙屯','220323109204001',2),('4477019827125921291','220323109204','道下屯','220323109204002',2),('4477019827125921324','220323109204','小碱厂前屯','220323109204003',2),('4477019827125921357','220323109204','小碱厂后屯','220323109204004',2),('4477019827125921390','220323109204','浪洞沟屯','220323109204005',2),('4477019827125921423','220322200210','东风村二社','220322200210002',2),('4477019827125921454','220323109204','张小开铺屯','220323109204007',2),('4477019827125921530','220323109205','小南沟屯','220323109205002',2),('4477019827125921563','220323109205','马尾山屯','220323109205003',2),('4477019827125921639','220323109205','山东屯','220323109205004',2),('4477019827125921674','220323109206','西野猪沟屯','220323109206001',2),('4477019827125921711','220323109206','野猪沟屯','220323109206002',2),('4477019827125921744','220382100204','基础网格二（泥家屯）','220382100204002',2),('4477019827125921777','220382100204','基础网格三（张才屯）','220382100204003',2),('4477019827125921897','220323109206','小河南屯','220323109206003',2),('4477019827125921930','220323109206','峰沟屯','220323109206005',2),('4477019827125921963','220323109206','营房屯','220323109206006',2),('4477019827125922266','220323109206','甸心子屯','220323109206009',2),('4477019827125922299','220323109207','东苇上头屯','220323109207001',2),('4477019827125922332','220322200210','东风村十社','220322200210010',2),('4477019827125922412','220323109207','前后赵家屯','220323109207002',2),('4477019827125922445','220323109207','屯基号屯','220323109207004',2),('4477019827125922478','220323109207','腰苇下头屯','220323109207005',2),('4477019827125922554','220323109207','东苇下头屯','220323109207006',2),('4477019827125922667','220382003006','双营北小区','220382003006030',2),('4477019827125922783','220322106201','蔡家村五社','220322106201005',2),('4477019827125925082','220303004001','基础网格六（科北小区）','220303004001006',2),('4477019861485659414','220303004001','基础网格一（中医院小区）','220303004001001',2),('4477019861485661124','220303004001','基础网格四（牙院小区1）','220303004001004',2),('4477019861485661215','220303004001','基础网格五（牙院小区2）','220303004001005',2),('4477019861485661489','220303004001','专属网格一（东方科技城）','220303004001008',2),('4477019861485661637','220382100003','北安社区基础网格（二）3-5道街','220382100003002',2),('4477019861485661702','220303004001','专属网格二（肿瘤医院）','220303004001009',2),('4477019861485662171','220382100203','基础网格二（东三段屯）','220382100202002',2),('4477019861485662744','220322106202','横道子村三社','220322106202003',2),('4477019861485662891','220322106202','横道子村四社','220322106202004',2),('4477019861485663139','220322106202','横道子村六社','220322106202006',2),('4477019861485663286','220322106202','横道子村七社','220322106202007',2),('4477019861485663317','220322106202','横道子村八社','220322106202008',2),('4477019861485663469','220303200000','立业村','220303200213000',1),('4477019861485663501','220303200000','小塔子村','220303200214000',1),('4477019861485663533','220303200000','城东村','220303200215000',1),('4477019861485663565','220303200000','长发村','220303200216000',1),('4477019861485663640','220382100222','基础网格一（韩家屯）','220382100222001',2),('4477019861485663673','220382100222','基础网格二（高家窝棚）','220382100222002',2),('4477019861485663706','220382100222','基础网格三（大连户屯）','220382100222003',2),('4477019861485665485','220382002000','阳光社区','220382002202000',1),('4477019895845396979','220322106200','爱国村一社','220322106200001',2),('4477019895845397086','4477019861485665485','双廉阳光新居1','22038200220200102',2),('4477019895845397162','220322106200','爱国村二社','220322106200002',2),('4477019895845397297','4477019861485665485','吉顺委平房','22038200220200202',2),('4477019895845397346','4477019861485665485','铁西委平房','22038200220200302',2),('4477019895845397379','220382100001','基础网格二（中心路南）','220382100001002',2),('4477019895845397425','220322106200','爱国村八社','220322106200008',2),('4477019895845397499','220322106200','爱国村九社','220322106200009',2),('4477019895845399497','220323108213','砂古屯','220323108213001',2),('4477019895845399530','220323108213','杨保屯','220323108213003',2),('4477019895845399640','220323108202','团山子西屯','220323108202001',2),('4477019895845399673','220323108202','吉家屯','220323108202005',2),('4477019895845399706','220323108202','大杂木屯','220323108202006',2),('4477019895845399774','220322106203','敬友村七社','220322106203007',2),('4477019895845399805','220322106203','敬友村八社','220322106203008',2),('4477019895845399836','220322106203','敬友村九社','220322106203009',2),('4477019895845399867','220322106203','敬友村十社','220322106203010',2),('4477019895845399898','220322106203','敬友村十二社','220322106203012',2),('4477019895845399929','220322106204','拉腰子村三社','220322106204003',2),('4477019964564874435','220322106204','拉腰子村四社','220322106204004',2),('4477019964564874698','220322106204','拉腰子村八社','220322106204008',2),('4477019964564877506','220322106205','马家村一社','220322106205001',2),('4477019998924612126','220322106205','马家村三社','220322106205003',2),('4477019998924612215','220322106205','马家村四社','220322106205004',2),('4477019998924612424','220322106205','马家村七社','220322106205007',2),('4477020033284353807','220322106206','孟家村一社','220322106206001',2),('4477020067644092770','220322106206','孟家村二社','220322106206003',2),('4477020067644095830','220322106206','孟家村六社','220322106206006',2),('4477020067644095872','220322106206','孟家村七社','220322106206007',2),('4477020136363569622','220322106207','娘娘庙村一社','220322106207001',2),('4477020136363569754','220322106207','娘娘庙村三社','220322106207003',2),('4477020136363569876','220322106207','娘娘庙村四社','220322106207004',2),('4477020136363569965','220322106207','娘娘庙村七社','220322106207007',2),('4477020136363569996','220322106208','下坎子村一社','220322106208001',2),('4477020136363570027','220322106208','下坎子村二社','220322106208002',2),('4477020136363570058','220322106208','下坎子村三社','220322106208003',2),('4477020136363570089','220322106208','下坎子村六社','220322106208006',2),('4477020136363570120','220322106208','下坎子村九社','220322106208009',2),('4477020136363572872','220322106209','新村村二社','220322106209002',2),('4477020136363572903','220322106209','新村村四社','220322106209004',2),('4477020136363573057','220322106209','新村村七社','220322106209007',2),('4477020136363573121','220322106209','新村村八社','220322106209008',2),('4477020136363573152','220322106209','新村村十社','220322106209010',2),('4477020136363573216','220322106210','姚家村一社','220322106210001',2),('4477020136363573247','220322106210','姚家村二社','220322106210002',2),('4477020170723303529','220322106210','姚家村四社','220322106210004',2),('4477020170723303560','220382002005','基础网格四','220382002005017',2),('4477020170723303627','220303001001','基础网格3 中华新城1#、2#','220303001001003',2),('4477020170723303659','220322106210','姚家村八社','220322106210008',2),('4477020170723303701','4476990724427431070','基础网格二','220303005002002',2),('4477020170723305312','220303001001','基础网格4 中华新城3#、4#、5#','220303001001004',2),('4477020170723305420','4476990724427431070','基础网格三','220303005002003',2),('4477020170723305550','4476990724427431070','基础网格四','220303005002004',2),('4477020170723305646','220382002001','基础网格4','220382002001003',2),('4477020170723305732','220323106200','前大甸子屯','220323106200002',2),('4477020170723305769','220323106200','后大甸子屯','220323106200003',2),('4477020170723309063','220303001001','基础网格7 中华新城17#','220303001001007',2),('4477020205083043912','220303004001','专属网格四（四马路派出所）','220303004001011',2),('4477020239442780496','220303001001','基础网格12 中华新城24#','220303001001012',2),('4477020239442780528','220303001001','基础网格13 中华新城26#','220303001001013',2),('4477020239442780560','220382107000','社区','220382107213000',1),('4477020239442780593','220303001001','基础网格14 中华新城27#、28#','220303001001014',2),('4477020239442782981','220303001001','专属网格-八马路小学','220303001001015',2),('4477020239442783035','220303001001','专属网格-铁东区法院','220303001001016',2),('4477020239442783067','220303001001','专属网格-公安铁东分局','220303001001017',2),('4477020239442783200','220322109200','孟家岭村三组','220322109200003',2),('4477020239442783274','220322109200','孟家岭村四组','220322109200004',2),('4477020239442783391','220322109200','孟家岭村八组','220322109200008',2),('4477020239442783564','220322109201','马家油坊村十一组','220322109201011',2),('4477020239442783644','220322109202','苏家村七组','220322109202007',2),('4477020239442783724','220303004002','基础网格一（东方小区001）','220303004002001',2),('4477020239442783817','220322109203','下安村十组','220322109203010',2),('4477020239442783848','4476990724427431070','专属网格一','220303005002006',2),('4477020239442784062','220322109204','大河沿村八组','220322109204008',2),('4477020239442784100','220382107200','后庆祥','220382107200001',2),('4477020239442784133','220322109205','赫尔苏门村三组','220322109205003',2),('4477020239442784164','220322109205','赫尔苏门村四组','220322109205004',2),('4477020239442784238','220322109205','赫尔苏门村五组','220322109205005',2),('4477020239442784312','220382107200','前庆祥','220382107200002',2),('4477020239442784449','220382107200','林家围子','220382107200003',2),('4477020239442784487','220382107200','哈海屯','220382107200004',2),('4477020239442784520','220322109206','二道沟村六组','220322109206006',2),('4477020239442784744','4476990724427431070','专属网格三','220303005002008',2),('4477020239442784909','220322109208','四台子村九组','220322109208009',2),('4477020239442784983','220322109208','四台子村十组','220322109208010',2),('4477020239442785566','220382003005','理想城邦网格一','220382003005001',2),('4477020239442785693','220382100209','基础网格一（立田屯）','220382100209001',2),('4477020239442785726','220382100209','基础网格二（后路军屯）','220382100209002',2),('4477020239442785759','220382100209','基础网格五（腰五段屯）','220382100209005',2),('4477020239442786058','220323108201','河夹信子屯','220323108201002',2),('4477020239442786091','220323108201','小平安屯','220323108201005',2),('4477020239442786124','220323108203','关地窨子屯','220323108203001',2),('4477020239442786158','220323108203','老道沟屯','220323108203008',2),('4477020239442786191','220323108204','营房屯','220323108204001',2),('4477020239442786224','220323108204','车家店屯','220323108204003',2),('4477020239442786258','220323108204','常家屯','220323108204005',2),('4477020239442786291','220323108204','大房子屯','220323108204004',2),('4477020239442786324','220323108204','小西沟屯','220323108204006',2),('4477020239442786694','220323108205','靠山屯','220323108205001',2),('4477020239442787445','220323108205','平安屯','220323108205002',2),('4477020239442787478','220323108205','保兴屯','220323108205003',2),('4477020239442787511','220323108205','于家沟屯','220323108205007',2),('4477020239442787544','220323108205','五棵树屯','220323108205008',2),('4477020239442787620','220323108206','小兴龙泉屯','220323108206003',2),('4477020239442787739','220323108206','七间房屯','220323108206005',2),('4477020239442787772','220323108206','小湾沟屯','220323108206006',2),('4477020239442787863','220323108207','杜家屯','220323108207002',2),('4477020239442787896','220323108207','新兴东屯','220323108207004',2),('4477020239442787929','220323108207','小荒沟','220323108207005',2),('4477020239442787962','220323108208','常家屯','220323108208003',2),('4477020239442787995','220323108209','赵家屯','220323108209002',2),('4477020239442788028','220323108209','后新立屯','220323108209004',2),('4477020239442788061','220323108209','东转心湖屯','220323108209005',2),('4477020239442788094','220323108210','前新屯','220323108210001',2),('4477020239442788128','220323108210','后偏脸子下沟屯','220323108210005',2),('4477020239442788204','220323108210','腰新屯','220323108210006',2),('4477020239442788339','220323108212','后柳屯','220323108212001',2),('4477020273802518548','220323108212','保安屯','220323108212002',2),('4477020273802518581','220323108212','邹家屯','220323108212005',2),('4477020342521995847','220382001004','新兴社区第五网格南通一','220382001004005',2),('4477020342521995880','220382001004','新兴社区第六网格南通二','220382001004006',2),('4477020342521995933','220382001004','新兴社区第八网格北勤二','220382001004008',2),('4477020342521995966','220382001004','新兴社区第九网格北兴一','220382001004009',2),('4477020342521995999','220382001004','新兴社区第十网格北兴二','220382001004010',2),('4477020342521996032','220382001004','新兴社区第十一网格北兴三','220382001004011',2),('4477020342521996065','220382001004','新兴社区第十四网格新兴二','220382001004014',2),('4477020342521996098','220382001004','新兴社区第十五网格新兴三','220382001004015',2),('4477020342521996149','220382001001','东华社区第三网格林业家园A区陈维','220382001001003',2),('4477020342521996182','220382001001','东华社区第五网格平房金立志','220382001001005',2),('4477020342521996254','220382001001','东华社区第八网格吉运三期陈嘉楠','220382001001008',2),('4477020342521996287','220382001001','东华社区第九网格吉运一期王宇航','220382001001009',2),('4477020342521996320','220382001001','东华社区第十网格吉运一期王磊','220382001001010',2),('4477020342521996405','220382001005','迎新社区第十网格齐翠玲','220382001005010',2),('4477020342521996465','4455233622696438592','铁路社区第十网格机务段区一（东华划入）','22038200120101002',2),('4477020342521996498','4455233622696438592','铁路社区第十一网格机务段区二（东华划入）','22038200120101102',2),('4477020342521996546','4455233622696438592','铁路社区第十三网格高艳平房（迎新划入）','22038200120101301',2),('4477020342521997484','220322200200','裴家村二组','220322200200002',2),('4477020342521997828','220322200200','裴家村三组','220322200200003',2),('4477020342521997859','220322200200','裴家村四组','220322200200004',2),('4477020342521997890','220382100213','后赵家','220382100213002',2),('4477020342521997966','220322200200','裴家村七组','220322200200007',2),('4477020342521998040','220322200200','裴家村八组','220322200200008',2),('4477020342521998246','220303004003','基础网格二（学苑小区网格）','220303004003002',2),('4477020342521998278','220382100213','后哈拉屯','220382100213003',2),('4477020342521998440','220303004003','基础网格三（北二小区网格）','220303004003003',2),('4477020376881739237','220303004003','基础网格五（万兴小区B区1）','220303004003005',2),('4477020376881741730','220382100213','前哈拉屯.','220382100213004',2),('4477020411241473148','220303004003','基础网格六（万兴小区B区2）','220303004003006',2),('4477020411241479030','220322200200','裴家村十一组','220322200200011',2),('4477020411241479147','220322101200','石槽沟村二社','220322101200002',2),('4477020445601211519','4476990724427430555','专属网格二','220303005004015',2),('4477020445601211637','220322101200','石槽沟村三社','220322101200003',2),('4477020445601211711','220322101200','石槽沟村四社','220322101200004',2),('4477020445601211808','220322101200','石槽沟村五社','220322101200005',2),('4477020445601213406','220382100002','南平社区基础网格二（5至8以外）','220382100002002',2),('4477020445601215267','220322101200','石槽沟村七社','220322101200007',2),('4477020445601217542','220322101200','石槽沟村八社','220322101200008',2),('4477020445601217637','220322101200','石槽沟村九社','220322101200009',2),('4477020445601218475','220322101200','石槽沟村十一社','220322101200011',2),('4477020445601218506','220322101200','石槽沟村十二社','220322101200012',2),('4477020445601218537','220322101200','石槽沟村十三社','220322101200013',2),('4477020583040168655','220322101002','站南社区一组','220322101002001',2),('4477020583040169639','220322101002','站南社区二组','220322101002002',2),('4477020583040170970','220322101002','站南社区四组','220322101002004',2),('4477020583040171045','220322101002','站南社区五组','220322101002005',2),('4477020617399902690','220322101002','站南社区六组','220322101002006',2),('4477020651759641016','220322101003','建材社区一组','220322101003001',2),('4477020651759641047','220322200201','鲍家村一组','220322200201001',2),('4477020651759643213','220322200201','鲍家村二组','220322200201002',2),('4477020651759644582','220322200201','鲍家村四组','220322200201004',2),('4477020651759647325','220322200201','鲍家村五组','220322200201005',2),('4477020651759647564','220322200201','鲍家村七组','220322200201007',2),('4477020651759647670','220322200201','鲍家村八组','220322200201008',2),('4477020686119378976','220322101004','河南社区三组','220322101004003',2),('4477020686119379130','220303004003','基础网格八（教师楼小区2）','220303004003008',2),('4477020686119381002','220322101005','曙光社区二组','220322101005002',2),('4477020686119382584','220322101005','曙光社区三组','220322101005003',2),('4477020686119382615','220303004002','基础网格二（东方小区002）','220303004002002',2),('4477020686119386038','220322101006','晨晖社区一组','220322101006001',2),('4477020754838855951','220322101007','大顶山社区一组','220322101007001',2),('4477020754838855983','220322101007','大顶山社区二组','220322101007002',2),('4477020754838856057','220303004003','基础网格九（平房区网格）','220303004003009',2),('4477020754838856290','220322101201','化石山村四社','220322101201004',2),('4477020754838856364','220303004002','基础网格五（爱华小区005）','220303004002005',2),('4477020754838856439','220322101201','化石山村五社','220322101201005',2),('4477020754838856545','220322101201','化石山村六社','220322101201006',2),('4477020754838856577','220322101201','化石山村七社','220322101201007',2),('4477020754838856655','220322101201','化石山村八社','220322101201008',2),('4477020754838856718','220322101201','化石山村十社','220322101201010',2),('4477020754838858073','220322101202','孙家屯村一社','220322101202001',2),('4477020754838858104','220322101202','孙家屯村三社','220322101202003',2),('4477020754838858229','220322101202','孙家屯村五社','220322101202005',2),('4477020754838858260','220322101202','孙家屯村六社','220322101202006',2),('4477020754838858377','220322101202','孙家屯村七社','220322101202007',2),('4477020754838858408','220322101202','孙家屯村八社','220322101202008',2),('4477020754838858441','220303004002','基础网格十一（东升嘉园（B）011）','220303004002011',2),('4477020754838858473','4476990724427430555','基础网格二','220303005004002',2),('4477020754838858505','220303004002','基础网格十二（东升嘉园（B）012）','220303004002012',2),('4477020754838858580','220303004002','基础网格十三（东升嘉园（A）013）','220303004002013',2),('4477020754838858612','220303004002','基础网格十四（东升嘉园（A）014）','220303004002014',2),('4477020754838858687','220322101203','柴火沟村一社','220322101203001',2),('4477020754838858756','220322101203','柴火沟村二社','220322101203002',2),('4477020754838858799','220322101203','柴火沟村三社','220322101203003',2),('4477020754838858836','4476990724427430555','基础网格三','220303005004003',2),('4477020754838858975','220322101203','柴火沟村六社','220322101203006',2),('4477020754838859119','220322101203','柴火沟村九社','220322101203009',2),('4477020754838860065','220322101204','八家子村一社','220322101204001',2),('4477020754838860096','220322101204','八家子村二社','220322101204002',2),('4477020754838860127','220322101204','八家子村三社','220322101204003',2),('4477020754838860201','220303004003','基础网格七（教师楼小区1）','220303004003007',2),('4477020754838860233','220382100202','基础网格一（二龙卜屯）','220382100203001',2),('4477020789198594052','220382100202','基础网格二（东红叶屯）','220382100203002',2),('4477020789198594085','220382100202','基础网格三（西红叶屯）','220382100203003',2),('4477020789198594140','220322108200','三社','220322108200003',2),('4477020789198596862','220322101204','八家子村七社','220322101204007',2),('4477020789198596936','220382003001','网络编号4','220382003001003',2),('4477020789198600068','220322108200','四社','220322108200004',2),('4477020789198600104','4476990724427430555','基础网格六','220303005004006',2),('4477020789198600223','220382003001','鑫淼小区','220382003001002',2),('4477020789198600256','220322108200','七社','220322108200007',2),('4477020789198601597','220322108201','二社','220322108201002',2),('4477020789198601732','220322108201','三社','220322108201003',2),('4477020789198601806','220382003001','网格编号3','220382003001005',2),('4477020823558334384','220382002005','基础网格十二','220382002005019',2),('4477020823558339852','220322108201','八社','220322108201008',2),('4477020857918071924','220322108201','十一社','220322108201011',2),('4477020857918071999','220322108202','一社','220322108202001',2),('4477020857918072088','220322108202','二社','220322108202002',2),('4477020857918072119','220322108202','四社','220322108202004',2),('4477020857918072284','220322108202','五社','220322108202005',2),('4477020857918072444','220322108202','七社','220322108202007',2),('4477020857918072475','220322108202','九社','220322108202009',2),('4477020857918077127','220322108202','十二社','220322108202012',2),('4477020926637547925','220322101204','八家子村十社','220322101204010',2),('4477020926637547956','220322108202','十三社','220322108202013',2),('4477020926637548030','220322108202','十四社','220322108202014',2),('4477020926637548061','220322108202','十五社','220322108202015',2),('4477020926637548092','220322101204','八家子村十二社','220322101204012',2),('4477020926637553596','220322108202','十六社','220322108202016',2),('4477020926637553627','4476990724427430555','基础网格八','220303005004008',2),('4477020960997291426','220322108202','十七社','220322108202017',2),('4477020995357024762','4476990724427430555','基础网格七','220303005004007',2),('4477020995357024981','220322101207','青堆子村二社','220322101207002',2),('4477020995357029858','220322101207','青堆子村四社','220322101207004',2),('4477021029716766847','220322108203','一社','220322108203001',2),('4477021029716766923','220322101207','青堆子村六社','220322101207006',2),('4477021029716766955','220322108203','四社','220322108203004',2),('4477021029716768489','220322108203','五社','220322108203005',2),('4477021029716768520','220322108203','六社','220322108203006',2),('4477021029716769467','220322108203','七社','220322108203007',2),('4477021029716769498','220322108203','八社','220322108203008',2),('4477021029716769572','220322108203','九社','220322108203009',2),('4477021029716769603','4476990724427430555','基础网格十一','220303005004011',2),('4477021029716769678','220322108203','十二社','220322108203012',2),('4477021098436243713','4476990724427430555','基础网格十二','220303005004012',2),('4477021098436243808','220322108204','三社','220322108204003',2),('4477021098436243839','220322108204','四社','220322108204004',2),('4477021098436243870','220322108204','五社','220322108204005',2),('4477021098436244017','220322108204','七社','220322108204007',2),('4477021098436244091','220322108204','八社','220322108204008',2),('4477021132795981638','220382100207','基础网格二（小呈祥屯）','220382100207002',2),('4477021132795982732','220382100207','基础网格五（团结屯）','220382100207005',2),('4477021132795983172','220382005203','网格一（西贤良）原二屯','220382005203002',2),('4477021167155722333','4476992304975389576','兴龙粮库','22038210621100106',2),('4477021167155722759','4476992304975389576','兴隆镇卫生院','22038210621100305',2),('4477021167155722846','4476992304975389576','兴隆邮局','22038210621100606',2),('4477021167155722879','4476992304975389576','兴隆信用社','22038210621100706',2),('4477021167155723099','4476992304975389576','兴隆镇人民政府','22038210621100907',2),('4477021201515454827','220322104220','同庆村四社','220322104220004',2),('4477021201515455153','4459060472917004395','奉化社区三组','220322003001003',2),('4477021201515455232','4459060472917004395','奉化社区五组','220322003001005',2),('4477021201515455539','220322110208','西万发村一组','220322110208001',2),('4477021270234935693','4455233622696436830','0203三社','220322103010003',2),('4477021338954410416','4459060472917004395','奉化社区八组','220322003001008',2),('4477021476393362058','4455233622696436830','0206六社','220322103010006',2),('4477021476393366613','4455233622696436830','0207七社','220322103010007',2),('4477021510753102999','220382003005','财政新区网格','220382003005007',2),('4477021510753103089','220382003005','中泰小区网格一','220382003005010',2),('4477021510753103122','220382003005','中泰小区网格二','220382003005011',2),('4477021510753103190','220382003005','福耀三区网格二','220382003005013',2),('4477021545112838855','4455233622696436830','0208八社','220322103010008',2),('4477021545112841161','4455233622696436830','0209九社','220322103010009',2),('4477021545112846189','220382203201','贞固网格','220382203201001',2),('4477021545112846314','220382203201','西庄网格','220382203201002',2),('4477021648192054590','220382100211','基础网格一（东孟益）','220382100211001',2),('4477021648192054704','4455233622696436830','0212十二社','220322103010012',2),('4477021648192055413','220382100211','基础网格五（西四海）','220382100211005',2),('4477021648192056949','220322110220','宋家围子村一组','220322110220001',2),('4477021648192057321','4455233622696436830','0214十四社','220322103010014',2),('4477021648192057452','220322110220','宋家围子村七组','220322110220007',2),('4477021648192057510','220322110220','宋家围子村八组','220322110220008',2),('4477021648192057647','220322110205','刘家岗子村一组','220322110205001',2),('4477021648192057790','4459060301118312616','0301一社','220322103009001',2),('4477021648192057821','220322110205','刘家岗子村二组','220322110205002',2),('4477021648192059651','220322110205','刘家岗子村三组','220322110205003',2),('4477021648192061401','220322110205','刘家岗子村七组','220322110205007',2),('4477021682551791807','220322110205','刘家岗子村九组','220322110205009',2),('4477021682551797138','220382005000','勃山村','220382005202',1),('4477021682551797266','220382203203','后望杏网格','220382203203002',2),('4477021716911532237','220322112200','后太平村一社','220322112200001',2),('4477021716911534247','220322112200','后太平村五社','220322112200005',2),('4477021716911536515','220322112200','后太平村六社','220322112200006',2),('4477021888710222872','220322112200','后太平村七社','220322112200007',2),('4477021957429703857','220322112200','后太平村八社','220322112200008',2),('4477021991789441968','220322112201','兴无村一社','220322112201001',2),('4477021991789444085','220382001001','实验小学专属网格','220382001001013',2),('4477021991789444204','220322112201','兴无村三社','220322112201003',2),('4477022060508914902','220382002001','基础网格8','220382002001002',2),('4477022060508915126','220322112201','兴无村五社','220322112201005',2),('4477022060508917489','220322112201','兴无村六社','220322112201006',2),('4477022060508917596','220322112201','兴无村七社','220322112201007',2),('4477022060508920906','220322112202','辽河村二社','220322112202002',2),('4477022060508920937','220322112202','辽河村三社','220322112202003',2),('4477022094868652650','220322112202','辽河村四社','220322112202004',2),('4477022094868655641','220322112202','辽河村七社','220322112202007',2),('4477022094868655854','4459060301118312616','0302二社','220322103009002',2),('4477022129228392089','220322112203','丰收村二社','220322112203002',2),('4477022129228392225','220322112203','丰收村三社','220322112203003',2),('4477022163588129723','4459060301118312616','0303三社','220322103009003',2),('4477022163588130517','220322112204','翻身村二社','220322112204002',2),('4477022163588131719','4459060301118312616','0305五社','220322103009005',2),('4477022163588133037','4459060301118312616','0306六社','220322103009006',2),('4477022163588133068','4459060301118312616','0307七社','220322103009007',2),('4477022163588133233','4459060301118312616','0309九社','220322103009009',2),('4477022163588133995','220382002001','基础网格5','220382002001004',2),('4477022163588134537','220382002001','基础网格3','220382002001005',2),('4477022301027082812','220382203207','后荣光网格','220382203207002',2),('4477022301027082902','220382100217','基础网格一（宏盛村）','220382100217001',2),('4477022301027087840','220382100214','基础网格（东升屯）','220382100214001',2),('4477022335386821731','220322112204','翻身村三社','220322112204003',2),('4477022335386822558','220322112204','翻身村五社','220322112204005',2),('4477022369746561494','220322112205','工农村二社','220322112205002',2),('4477022369746562720','220322112205','工农村一社','220322112205001',2),('4477022369746563664','220322112205','工农村四社','220322112205004',2),('4477022369746563781','220322112205','工农村三社','220322112205003',2),('4477022369746564203','4455233794495130495','奉和社区网格2','220322002002002',2),('4477022369746564245','220322112206','前太平村二社','220322112206002',2),('4477022369746564323','4455233794495130495','奉和社区网格3','220322002002003',2),('4477022369746564381','4455233794495130495','奉和社区网格4','220322002002004',2),('4477022816423158054','220322112206','前太平村四社','220322112206004',2),('4477022816423158447','220382100224','基础网格一（东五家户屯）','220382100224001',2),('4477022816423158485','220382100224','基础网格二（张塔苗屯）','220382100224002',2),('4477022816423158561','4455233794495130495','奉和社区网格5','220322002002005',2),('4477022816423158592','220322112207','白沙坨村二社','220322112207002',2),('4477022816423158623','220382100224','基础网格五（腰五家户屯）','220382100224005',2),('4477022816423158656','4455233794495130495','奉和社区网格6','220322002002006',2),('4477022816423158687','220322112207','白沙坨村三社','220322112207003',2),('4477022816423158765','220322112207','白沙坨村四社','220322112207004',2),('4477022816423158796','4455233794495130495','奉和社区网格8','220322002002008',2),('4477022816423159113','220322112208','张家堡子村二社','220322112208002',2),('4477022816423159195','220322112208','张家堡子村四社','220322112208004',2),('4477022816423159226','4455233794495130495','奉和社区网格11','220322002002011',2),('4477022816423159257','220322112208','张家堡子村六社','220322112208006',2),('4477022816423159288','220322112209','大孤山村一社','220322112209001',2),('4477022816423159319','4455233794495130495','奉和社区网格13','220322002002013',2),('4477022816423159350','220322112209','大孤山村二社','220322112209002',2),('4477022816423159424','4455233794495130495','奉和社区网格14','220322002002014',2),('4477022816423161592','4455233794495130495','奉和社区网格16','220322002002016',2),('4477022816423161666','220322112209','大孤山村四社','220322112209004',2),('4477022816423162029','220322112209','大孤山村七社','220322112209007',2),('4477022816423162118','220322112210','闫达村二社','220322112210002',2),('4477022816423162156','220322112210','闫达村四社','220322112210004',2),('4477022816423163690','220322112210','闫达村五社','220322112210005',2),('4477022816423163784','220322112211','李家街村三社','220322112211003',2),('4477022816423163820','220322112211','李家街村四社','220322112211004',2),('4477022816423165097','220322112212','沈洋村二社','220322112212002',2),('4477022816423165128','220322112212','沈洋村三社','220322112212003',2),('4477022816423165159','220322112212','沈洋村四社','220322112212004',2),('4477022850782896334','220322112212','沈洋村六社','220322112212006',2),('4477022885142640940','220382101000','博爱社区','220382101008',1),('4477022885142640977','220382101000','腰坨社区','220382101003',1),('4477022885142641010','220382101000','老场部社区','220382101004',1),('4477022885142641043','220382101000','衙门社区','220382101005',1),('4477022885142641119','220382101000','大理石社区','220382101009',1),('4477022919502375003','220322101208','小泉眼村一社','220322101208001',2),('4477022919502375143','220322101208','小泉眼村三社','220322101208003',2),('4477022919502375316','220322101208','小泉眼村四社','220322101208004',2),('4477022919502375348','220322101208','小泉眼村五社','220322101208005',2),('4477022919502375513','220322101208','小泉眼村七社','220322101208007',2),('4477022919502375602','220322200203','刘家村二社','220322200203002',2),('4477022919502378643','220322200203','刘家村三社','220322200203003',2),('4477022919502378803','220322200203','刘家村四社','220322200203004',2),('4477022919502378921','220322200203','刘家村五社','220322200203005',2),('4477022919502378952','220322200203','刘家村六社','220322200203006',2),('4477022919502378983','220322101211','西青石岭村一社','220322101211001',2),('4477022919502379014','4459060301118312709','0101一社','220322103008001',2),('4477022919502379046','220322101211','西青石岭村二社','220322101211002',2),('4477022919502379077','4459060301118312709','0102二社','220322103008002',2),('4477022919502379108','4459060301118312709','0104四社','220322103008004',2),('4477022919502379182','220322101211','西青石岭村三社','220322101211003',2),('4477022919502379213','220322200204','大泉眼村三社','220322200204003',2),('4477022919502379244','4459060301118312709','0107七社','220322103008007',2),('4477022919502379333','220322200204','大泉眼村四社','220322200204004',2),('4477022919502379368','220382100216','基础网格一（新发屯）','220382100216001',2),('4477022919502379401','220322200204','大泉眼村五社','220322200204005',2),('4477022919502379475','4459060301118312647','0401一社','220322103007001',2),('4477022919502379549','220322101211','西青石岭村五社','220322101211005',2),('4477022919502379580','220322200204','大泉眼村七社','220322200204007',2),('4477022919502379611','4459060301118312647','0405五社','220322103007005',2),('4477022919502379685','4459060301118312647','0406六社','220322103007006',2),('4477022919502379716','220322101211','西青石岭村六社','220322101211006',2),('4477022919502379747','4459060301118312647','0407七社','220322103007007',2),('4477022919502379907','220303006007','基础网格一(平房)','220303006007001',2),('4477022919502379961','220322101211','西青石岭村七社','220322101211007',2),('4477022919502379992','220322200204','大泉眼村九社','220322200204009',2),('4477022919502380066','4459060301118312647','0411十一社','220322103007011',2),('4477022919502380140','4459060301118312647','0412十二社','220322103007012',2),('4477022919502380214','4459060301118312647','0413十三社','220322103007013',2),('4477022919502380245','4459060301118312647','0414十四社','220322103007014',2),('4477022919502380368','220322200204','大泉眼村十一社','220322200204011',2),('4477022919502380399','220322200205','四合村一社','220322200205001',2),('4477022919502380517','220322101205','八里城村二社','220322101205002',2),('4477022919502380630','220322101205','八里城村三社','220322101205003',2),('4477022919502380663','220322200205','四合村四社','220322200205004',2),('4477022919502380694','4455233794495130310','第一居民小组','220322001004001',2),('4477022919502380725','220322200205','四合村五社','220322200205005',2),('4477022919502380799','220322200205','四合村六社','220322200205006',2),('4477022919502380873','220322101205','八里城村七社','220322101205007',2),('4477022919502380947','220322101205','八里城村八社','220322101205008',2),('4477022919502381009','220322101205','八里城村九社','220322101205009',2),('4477022988221849681','220322101205','八里城村十社','220322101205010',2),('4477022988221849713','220322101205','八里城村十一社','220322101205011',2),('4477022988221849874','220322101206','新胜村一社','220322101206001',2),('4477022988221849948','220322101206','新胜村二社','220322101206002',2),('4477022988221849979','220322200206','西白山村二社','220322200206002',2),('4477022988221851301','220322103200','1203三社','220322103200003',2),('4477022988221851375','220322200206','西白山村三社','220322200206003',2),('4477022988221851406','220322103200','1204四社','220322103200004',2),('4477022988221853865','220322200206','西白山村四社','220322200206004',2),('4477022988221853899','220322103200','1205五社','220322103200005',2),('4477022988221853930','220322101206','新胜村五社','220322101206005',2),('4477022988221855213','220322103200','1207七社','220322103200007',2),('4477022988221855244','220322101206','新胜村六社','220322101206006',2),('4477022988221855276','220322200206','西白山村五社','220322200206005',2),('4477022988221855818','220322200206','西白山村六社','220322200206006',2),('4477022988221855978','220322103201','1303三社','220322103201003',2),('4477022988221856009','220322108205','四社','220322108205004',2),('4477022988221856040','220322108205','五社','220322108205005',2),('4477022988221856570','220322103201','1305五社','220322103201005',2),('4477022988221856601','220322101209','双马架村一社','220322101209001',2),('4477022988221857311','220322108205','七社','220322108205007',2),('4477023022581589526','220322101209','双马架村四社','220322101209004',2),('4477023022581589600','220322108206','二社','220322108206002',2),('4477023022581589631','220322200208','隋家村一社','220322200208001',2),('4477023022581589763','220322101209','双马架村七社','220322101209007',2),('4477023022581591760','220322108207','三社','220322108207003',2),('4477023022581591849','220322108207','四社','220322108207004',2),('4477023022581592649','220322108207','六社','220322108207006',2),('4477023022581592683','220322101210','东青石岭村二社','220322101210002',2),('4477023022581592772','220322200208','隋家村六社','220322200208006',2),('4477023022581593079','220322108208','一社','220322108208001',2),('4477023022581595756','220322101210','东青石岭村五社','220322101210005',2),('4477023022581595787','220322108208','二社','220322108208002',2),('4477023022581595861','220322108208','三社','220322108208003',2),('4477023022581596067','220322103201','1307七社','220322103201007',2),('4477023022581596125','220322108208','六社','220322108208006',2),('4477023056941326440','220322101210','东青石岭村八社','220322101210008',2),('4477023056941326471','220322108208','七社','220322108208007',2),('4477023056941326503','220322200209','郑家村二社','220322200209002',2),('4477023056941326534','220322108208','八社','220322108208008',2),('4477023056941326608','220322101210','东青石岭村十社','220322101210010',2),('4477023056941326682','220322108208','十社','220322108208010',2),('4477023056941326713','220322103201','1309九社','220322103201009',2),('4477023056941326848','220322108208','十一社','220322108208011',2),('4477023056941326880','220322108208','十二社','220322108208012',2),('4477023056941327012','220322108208','十三社','220322108208013',2),('4477023056941327043','220322103202','1401一社','220322103202001',2),('4477023056941327118','220322103202','1402二社','220322103202002',2),('4477023056941327211','220322200209','郑家村六社','220322200209006',2),('4477023056941327242','220322103202','1405五社','220322103202005',2),('4477023056941327276','220322103202','1406六社','220322103202006',2),('4477023056941327307','220322200209','郑家村七社','220322200209007',2),('4477023056941327381','220322101212','花城子村二社','220322101212002',2),('4477023056941327530','220322101212','花城子村三社','220322101212003',2),('4477023056941327605','220322200209','郑家村八社','220322200209008',2),('4477023056941327636','220322103202','1409九社','220322103202009',2),('4477023056941327667','220322101212','花城子村四社','220322101212004',2),('4477023056941327944','220322108212','五社','220322108212005',2),('4477023056941328123','220322108212','六社','220322108212006',2),('4477023056941328197','220322200212','平山村一社','220322200212001',2),('4477023056941328228','220322101212','花城子村六社','220322101212006',2),('4477023056941328317','220322103203','1501一社','220322103203001',2),('4477023056941328354','220322103203','1502二社','220322103203002',2),('4477023056941328429','220322101212','花城子村八社','220322101212008',2),('4477023056941328561','220322103203','1504四社','220322103203004',2),('4477023056941330004','220322101212','花城子村九社','220322101212009',2),('4477023056941330036','220322103203','1507七社','220322103203007',2),('4477023056941330535','220322103204','1601一社','220322103204001',2),('4477023056941330571','220322103204','1602二社','220322103204002',2),('4477023056941330703','220322103204','1604四社','220322103204004',2),('4477023056941330734','220322103204','1605五社','220322103204005',2),('4477023056941330765','220322101213','四大家村七社','220322101213007',2),('4477023056941330796','220322103204','1607七社','220322103204007',2),('4477023056941330871','220322101213','四大家村九社','220322101213009',2),('4477023056941330961','220322103204','1609九社','220322103204009',2),('4477023056941332403','220322103204','1610十社','220322103204010',2),('4477023056941332492','220322103204','1611十一社','220322103204011',2),('4477023056941332609','220322103204','1612十二社','220322103204012',2),('4477023056941332743','220322103204','1613十三社','220322103204013',2),('4477023056941333983','4476990724427430849','基础网格四','220303005003004',2),('4477023091301065745','220322101214','东黑咀子村一社','220322101214001',2),('4477023091301065834','220322200212','平山村三社','220322200212003',2),('4477023091301065865','220322103205','1703三社','220322103205003',2),('4477023091301066012','220322101214','东黑咀子村二社','220322101214002',2),('4477023091301066043','220322103205','1705五社','220322103205005',2),('4477023091301066075','220322200212','平山村四社','220322200212004',2),('4477023091301066107','220322101214','东黑咀子村三社','220322101214003',2),('4477023091301067641','220322103205','1707七社','220322103205007',2),('4477023091301071197','220322103205','1708八社','220322103205008',2),('4477023091301071317','220322103205','1709九社','220322103205009',2),('4477023091301071696','220322101214','东黑咀子村五社','220322101214005',2),('4477023091301071836','220322103206','1809九社','220322103206009',2),('4477023091301071911','4476990724427430849','基础网格五','220303005003005',2),('4477023091301071943','220322103206','1811十一社','220322103206011',2),('4477023091301072145','220322103206','1812十二社','220322103206012',2),('4477023160020544606','220322200213','友谊村一社','220322200211001',2),('4477023160020546208','220322103207','1904四社','220322103207004',2),('4477023194380280571','220322200213','友谊村二社','220322200211002',2),('4477023194380285601','4476994194761000255','1102二社','220322103208002',2),('4477023194380285675','220322200213','友谊村四社','220322200211004',2),('4477023194380287005','4476994194761000255','1105五社','220322103208005',2),('4477023194380287036','220322200213','友谊村五社','220322200211005',2),('4477023194380287110','4476994194761000255','1108八社','220322103208008',2),('4477023194380287264','220322200213','友谊村七社','220322200211007',2),('4477023194380287529','220322200213','友谊村九社','220322200211009',2),('4477023194380287560','220382106205','连珠村网格1','220382106205001',2),('4477023194380287860','220322200213','友谊村十一社','220322200211011',2),('4477023228740018256','220322101216','蔬菜村一社','220322101216001',2),('4477023228740019554','220322108213','二社','220322108213002',2),('4477023228740019585','220322101216','蔬菜村二社','220322101216002',2),('4477023228740021708','220322200213','友谊村十三社','220322200211013',2),('4477023228740021845','220322101216','蔬菜村三社','220322101216003',2),('4477023228740021876','220322108213','五社','220322108213005',2),('4477023228740021907','220322200213','友谊村十四社','220322200211014',2),('4477023228740021996','4476992304975389518','西庆丰网格1','22038210621000101',2),('4477023228740022231','220322108213','八社','220322108213008',2),('4477023228740022262','220322200214','十家堡村一社','220322200207001',2),('4477023228740022293','220322101216','蔬菜村四社','220322101216004',2),('4477023228740023350','220322101216','蔬菜村五社','220322101216005',2),('4477023228740023439','220322200214','十家堡村二社','220322200207002',2),('4477023228740023513','220322108209','一社','220322108209001',2),('4477023228740023736','220322200214','十家堡村三社','220322200207003',2),('4477023228740024515','220382100215','宏光村二屯','220382100215002',2),('4477023228740024548','220322108209','四社','220322108209004',2),('4477023228740024620','220382106202','乐利村网格1','220382106202001',2),('4477023228740024653','220322200214','十家堡村四社','220322200207004',2),('4477023228740024684','220322108209','五社','220322108209005',2),('4477023228740024758','220382100215','宏光村三屯','220382100215003',2),('4477023228740024951','220322101216','蔬菜村九社','220322101216009',2),('4477023263099757659','220322108209','八社','220322108209008',2),('4477023263099757690','220322200214','十家堡村六社','220322200207006',2),('4477023263099757721','220322106210','姚家村九社','220322106210009',2),('4477023263099760099','220322106210','姚家村十社','220322106210010',2),('4477023263099763196','220323200200','杨家屯','220323200200003',2),('4477023263099763272','220322108210','三社','220322108210003',2),('4477023331819234425','220322108210','五社','220322108210005',2),('4477023331819235325','220322108210','七社','220322108210007',2),('4477023331819235409','220322108210','八社','220322108210008',2),('4477023331819235544','220323200200','西南屯','220323200200004',2),('4477023331819235621','220322108210','十社','220322108210010',2),('4477023331819235724','220323200200','勾家屯','220323200200005',2),('4477023331819235781','220322108211','一社','220322108211001',2),('4477023331819235860','220322108211','二社','220322108211002',2),('4477023331819235891','220323200200','东上屯','220323200200006',2),('4477023331819235967','220323200200','西上屯','220323200200007',2),('4477023331819236087','220322108211','五社','220322108211005',2),('4477023331819236118','4476990724427430849','基础网格八','220303005003008',2),('4477023331819237108','220322108211','八社','220322108211008',2),('4477023331819237987','220322108214','一社','220322108214001',2),('4477023331819238088','220322108214','七社','220322108214007',2),('4477023331819238263','220322108214','十社','220322108214010',2),('4477023331819238352','220382100205','基础网格一（东龙凤）','220382100205001',2),('4477023331819238400','220382100205','基础网格二（腰龙凤屯）','220382100205002',2),('4477023331819240664','220322104200','爱德村一社','220322104200001',2),('4477023366178974780','220382100218','基础网格一（孔家屯）','220382100218001',2),('4477023366178974984','220382100218','基础网格二（周家屯）','220382100218002',2),('4477023366178975216','220382100218','基础网格五（五棵树屯）','220382100218005',2),('4477023366178978673','4476990724427430849','基础网格二','220303005003002',2),('4477023366178979117','220323200201','前于屯','220323200201003',2),('4477023366178979361','220322101209','双马架村八社','220322101209008',2),('4477023812855570566','220323200202','吴家屯','220323200202003',2),('4477023812855572145','220303006006','网格二','220303006006002',2),('4477023812855573871','220323200203','前烧锅屯','220323200203001',2),('4477023812855574165','220323200203','后贡屯','220323200203004',2),('4477023812855575426','220303006006','网格七','220303006006007',2),('4477023812855576903','220303006006','网格三','220303006006003',2),('4477023847215315412','220382100210','基础网格三（北丁家屯）','220382100210003',2),('4477024019014006651','220323200204','南沟屯','220323200204002',2),('4477024019014006855','220323200204','腰段屯','220323200204007',2),('4477024019014006974','220323200204','小后屯','220323200204008',2),('4477024019014007104','220323200205','后徐屯','220323200205003',2),('4477024053373742397','220322108001','祥和B区','220322108001002',2),('4477024053373742486','220322108001','学府人家','220322108001005',2),('4477024053373743608','4459060301118312678','0604四社','220322103006004',2),('4477024053373743682','4459060301118312678','0609九社','220322103006009',2),('4477024053373743756','4459060301118312678','0610十社','220322103006010',2),('4477024053373743837','220303003005','富强社区基础网格2','220303003005002',2),('4477024053373744201','4455233794495130525','康平社区网格1','220322002001001',2),('4477024053373744450','4455233794495130525','康平社区网格4','220322002001004',2),('4477024053373744555','4455233794495130525','康平社区网格6','220322002001006',2),('4477024053373744673','4455233794495130525','康平社区网格8','220322002001008',2),('4477024053373745821','220303006006','网格六','220303006006006',2),('4477024087733482086','220303003005','富强社区基础网格5','220303003005005',2),('4477024087733483320','220382107204','大壕甲子','220382107204004',2),('4477024156452962256','4455233485257490087','基础网格一（紫微公馆1）','22030300400600602',2),('4477024190812692564','220303003005','富强社区基础网格6','220303003005006',2),('4477024190812693145','220382102204','白山村基础网格','220382102204001',2),('4477024190812693506','220303003005','富强社区基础网格10','220303003005010',2),('4477024190812693624','220303003005','富强社区基础网格11','220303003005011',2),('4477024190812693753','220303003005','富强社区基础网格12','220303003005012',2),('4477024190812697580','220322104216','大房身村七社','220322104216007',2),('4477024190812697978','220322104216','大房身村八社','220322104216008',2),('4477024190812699093','220382001004','新兴社区第十六网格南通三','220382001004016',2),('4477024225172434791','4455233485257490087','基础网格五（紫微公馆5）','22030300400601002',2),('4477024225172436263','4476990724427431070','专属网格六','220303005002011',2),('4477024259532169681','4455233794495130555','八里庙村一队','220322002201001',2),('4477024259532169857','4455233794495130555','八里庙村二队','220322002201002',2),('4477024259532170172','4455233794495130555','八里庙村三队','220322002201003',2),('4477024259532170203','4455233794495130555','八里庙村四队','220322002201004',2),('4477024259532170459','4455233794495130555','八里庙村五队','220322002201005',2),('4477024259532170578','4455233794495130555','八里庙村六队','220322002201006',2),('4477024259532170654','4455233794495130555','八里庙村七队','220322002201007',2),('4477024259532170800','4455233794495130555','八里庙村八队','220322002201008',2),('4477024259532170831','4455233794495130555','八里庙村九队','220322002201009',2),('4477024259532171283','4455233794495130555','八里庙村十二队','220322002201012',2),('4477024603129558741','220303006006','网格五','220303006006005',2),('4477024671849030116','4455233485257490087','基础网格十四（凯虹十五峰）','22030300400601202',2),('4477024671849033961','220303006007','基础网格三','220303006007003',2),('4477024671849034887','220303006007','基础网格七','220303006007007',2),('4477024671849035115','220303006007','基础网格八','220303006007008',2),('4477024671849035539','220303006007','基础网格十','220303006007010',2),('4477024671849036020','220303006007','基础网格十三','220303006007013',2),('4477024671849036985','220382100220','基础网格二（小桂花）','220382100220002',2),('4477024878007464509','4476990724427430938','专属网格二','220303005001023',2),('4477024912367201907','220382003006','双辽市第一小学','220382003006032',2),('4477024912367205658','220382003200','一屯','220382003200001',2),('4477024912367205734','220382003006','双辽市人民政府','220382003006033',2),('4477024946726940961','220382003006','基础网格3','220382003006003',2),('4477025015446413550','220303004005','基础网格四（华亿嘉苑南区网格2）','220303004005004',2),('4477025015446413642','220322104001','新城社区1委','220322104001001',2),('4477025015446413851','220322104001','新城社区2委','220322104001002',2),('4477025015446415192','220303008003','基础网格2','220303008003002',2),('4477025015446415393','220322104001','新城社区3委','220322104001003',2),('4477025015446415510','220303004005','基础网格七（成龙国际网格3）','220303004005007',2),('4477025015446415610','220322104001','新城社区4委','220322104001004',2),('4477025015446416856','4476990724427430938','专属网格三','220303005001024',2),('4477025015446420391','4476990724427430938','专属网格四','220303005001025',2),('4477025015446420597','220303008003','基础网格4','220303008003004',2),('4477025015446421093','220303008003','基础网格5','220303008003005',2),('4477025049806152985','220303008003','基础网格17（华亿B7.8）','220303008003017',2),('4477025049806153080','220382100221','基础网格五（东场屯）','220382100221005',2),('4477025049806154148','220303008003','基础网格19（华亿b10.12）','220303008003019',2),('4477025221604849440','220303002004','基础网格2-同心委油漆楼、链条楼、烟草楼、轧钢2号楼','220303002004002',2),('4477025221604851315','220303002004','基础网格3-圆梦1、4、5号楼','220303002004003',2),('4477025221604851417','220303008003','基础网格7','220303008003007',2),('4477025221604851608','220303002004','基础网格4-圆梦2、3、6、7号楼','220303002004004',2),('4477025255964583308','220303002004','基础网格5-广兴茂2、3、4号楼','220303002004005',2),('4477025255964583590','220303002004','专属网格1-商业城区域','220303002004009',2),('4477025255964583900','220303002004','基础网格7-南三东里4、5、6、10、11、12号楼','220303002004007',2),('4477025255964584068','220303002004','基础网格8-南三东里1、2、3、7、8、9号楼','220303002004008',2),('4477025255964585082','220303006007','专属网格五（艾斯克）','220303006007018',2),('4477025255964585402','220303006007','专属网格六（殡仪馆）','220303006007019',2),('4477025255964585515','220303006007','专属网格七（烈士陵园）','220303006007020',2),('4477025255964585750','220303006007','专属网格八（东升爆竹）','220303006007021',2),('4477025255964588582','220303008002','基础网格4(美好晟苑D13小区）','220303008002004',2),('4477025496482758238','220323101201','黑顶屯','220323101201001',2),('4477025496482758411','220323101201','裴家屯','220323101201002',2),('4477025530842493695','220323101202','大湾沟屯','220323101202002',2),('4477025530842496461','220323101202','梨树沟屯','220323101202003',2),('4477025599561965655','220323101202','陆家屯','220323101202005',2),('4477025599561965880','220323101202','石场屯','220323101202006',2),('4477025599561967378','220323101202','吉炮沟屯','220323101202008',2),('4477025599561967631','220323101202','五间房前队','220323101202009',2),('4477025599561967708','220303008001','基础网格1（滨河园 A1234）','220303008001001',2),('4477025599561968672','220323101203','新立屯','220323101203001',2),('4477025599561971686','220323101203','杨木屯','220323101203004',2),('4477025633921708348','220303008001','基础网格3（滨河园C123456）','220303008001003',2),('4477025633921708438','220303008001','基础网格4（滨河园D13456）','220303008001004',2),('4477025633921709439','220303008001','基础网格8（滨河园二期G569）','220303008001008',2),('4477025633921710587','220322104204','东河山村6社','220322104204006',2),('4477025633921711318','220322104204','东河山村3社','220322104204003',2),('4477025633921711486','220322104204','东河山村2社','220322104204002',2),('4477025668281445775','220303006007','专属网格九（北山部队）','220303006007022',2),('4477025668281445954','220323101204','后福兴屯','220323101204003',2),('4477025668281448096','220323101205','马家店屯','220323101205001',2),('4477025668281448392','220323101205','胡家窝棚屯','220323101205002',2),('4477025668281449715','220382203206','小徐屯','220382203206002',2),('4477025668281449747','220323101205','小伍队屯','220323101205003',2),('4477025702641182761','220323101205','马家油坊东屯','220323101205004',2),('4477025702641182953','220323101205','腰村屯','220323101205005',2),('4477025702641183132','220323101205','马家庙屯','220323101205006',2),('4477025702641183324','220323101205','滕家屯','220323101205007',2),('4477025702641183776','220323101206','老母猪山、潘家屯','220323101206003',2),('4477025702641184344','220323101206','前乌拉草沟屯','220323101206005',2),('4477025702641184622','220323101206','贡家店2组','220323101206002',2),('4477025702641188832','220323101207','三道岗屯','220323101207001',2),('4477025737000919041','220323101207','中心屯','220323101207002',2),('4477025771360657603','220323101207','小河西屯','220323101207003',2),('4477025771360657727','220323101207','偏脸屯','220323101207004',2),('4477025771360658258','220303003003','玉泉社区基础网格2','220303003003002',2),('4477025771360658470','220323101208','大榆树屯','220323101208002',2),('4477025771360660105','220323101209','赵家前屯','220323101209001',2),('4477025771360660224','220323101209','郭家屯','220323101209002',2),('4477025771360665153','220303003003','玉泉社区基础网格4','220303003003004',2),('4477025805720396145','220382101000','畜牧场村','220382101229000',1),('4477025805720396353','220303003003','玉泉社区基础网格5','220303003003005',2),('4477025805720396386','220303003003','玉泉社区基础网格6','220303003003006',2),('4477025805720396736','220303008001','专属网格1（平东第二小学）','220303008001020',2),('4477025805720396777','220303008001','专属网格2（英城监狱）','220303008001021',2),('4477025805720397777','4459060472917004425','天阳社区网格四组','220322003002004',2),('4477025805720398025','4459060472917004425','天阳社区网格五组','220322003002005',2),('4477025805720398222','4459060472917004425','天阳社区网格六组','220322003002006',2),('4477026011878827922','220322106204','拉腰子村十一社','220322106204011',2),('4477026046238570929','220303001003','基础网格一、烟厂小区','220303001003001',2),('4477026114958042579','220303001003','基础网格二、黄金小区','220303001003002',2),('4477026149317782899','220303101200','基础网格一','220303101200001',2),('4477026149317783135','220303101200','基础网格二','220303101200002',2),('4477026149317783712','220303006004','网格一','220303006004001',2),('4477026149317785620','220382203209','西腰屯网格','220382203209002',2),('4477026149317785922','220303006004','网格二','220303006004002',2),('4477026149317786751','220382107207','前王家窝棚','220382107207002',2),('4477026149317787340','220303008004','基础网格1(沥青站小区1.10）','220303008004001',2),('4477026149317787533','220303008004','基础网格2（沥青站小区2.7.12）','220303008004002',2),('4477026183677518146','220303008004','基础网格5（沥青站小区8.9.13）','220303008004005',2),('4477026183677518333','4455233485257490087','基础网格十五（凯虹十五峰）','22030300400601502',2),('4477026183677518900','220303006004','网格三','220303006004003',2),('4477026183677519410','220303008001','基础网格5（滨河园E235D789）','220303008001005',2),('4477026183677521383','220303008001','专属网格5（平东社区）','220303008001024',2),('4477026183677523436','220303006004','网格五','220303006004005',2),('4477026218037256921','220303003004','福民社区基础网格1','220303003004001',2),('4477026321116476940','220303008001','基础网格9（滨河园二期G71011）','220303008001009',2),('4477026321116477659','220303008001','基础网格11（二中家属楼四千米）','220303008001011',2),('4477026355476214370','220303001003','专属网格-黄金厂','220303001003005',2),('4477026355476214675','220303006004','网格六','220303006004006',2),('4477026355476214785','220303001003','专属网格-第二汽车公司','220303001003006',2),('4477026389835951341','220303006004','专属网格一（消防队）','220303006004007',2),('4477026389835951608','220303001003','专属网格-碧桂园小区工地','220303001003008',2),('4477026458555426471','220303003004','福民社区专属网格1（四平市第一高级中学）','220303003004011',2),('4477026458555426696','220303006004','专属网格二（昊华化工有限公司）','220303006004008',2),('4477026458555427791','220323104206','景台村四组','220323104206004',2),('4477026458555428169','220323104206','景台村五组','220323104206005',2),('4477026458555430977','220323104206','景台村八组','220323104206008',2),('4477026492915169076','220323104200','赵家村一组','220323104200001',2),('4477026527274904683','220382005001','第一网格','220382005001006',2),('4477026527274905230','220323104200','赵家村小学','220323104200007',2),('4477026527274907755','220382005201','网格二（二三五屯）','220382005201002',2),('4477026527274909397','220323104207','大榆树村大榆树屯','220323104207001',2),('4477026561634645126','220303003004','福民社区基础网格10','220303003004010',2),('4477026561634645509','220303008004','专属网格2（兴工社区）','220303008004014',2),('4477026561634645754','220323200205','腰徐屯','220323200205004',2),('4477026561634646019','220323200205','前徐东屯','220323200205005',2),('4477026561634646098','220323200205','前徐西屯','220323200205006',2),('4477026630354117269','220323200205','霍家屯','220323200205007',2),('4477026630354117375','220323200206','丛屯','220323200206001',2),('4477026630354118441','220323200207','后胡屯','220323200207002',2),('4477026630354118591','220323200207','前秦屯','220323200207003',2),('4477026630354118702','220323200207','后秦屯','220323200207004',2),('4477026630354118867','220323200207','宁西屯','220323200207006',2),('4477026630354119002','220323200207','大房李屯','220323200207008',2),('4477026630354119095','220323200207','榆树底下屯','220323200207009',2),('4477026630354119230','220323200207','鞠店屯','220323200207011',2),('4477026630354122843','220303008001','基础网格15（南河委）','220303008001015',2),('4477026630354123168','220303008001','基础网格16','220303008001016',2),('4477026664713856105','220322107201','大力虎村王家围子','220322107201002',2),('4477026664713856181','220322107201','大力虎村陈坨子','220322107201003',2),('4477026733433334267','4476990724427430938','基础网格一','220303005001001',2),('4477026733433334301','220382002001','中国移动通信自助营业厅网格','220382002001010',2),('4477026733433334432','220382002001','双辽市公安局交通管理大队网格','220382002001011',2),('4477026733433334466','4476990724427430938','基础网格二','220303005001002',2),('4477026733433335858','220382002001','国商城市广场网格','220382002001012',2),('4477026733433336091','220323104214','永久村一组','220323104214001',2),('4477026733433338920','4476990724427430938','基础网格四','220303005001004',2),('4477026733433339261','220382002001','国家税务总局 双辽市税务局网格','220382002001016',2),('4477026733433339381','4476990724427430938','基础网格六','220303005001006',2),('4477026733433339771','220382002001','双辽市审计局网格','220382002001018',2),('4477026802152808790','220382002001','双辽市妇幼保健院网格','220382002001020',2),('4477026802152808927','220382002001','双辽市郑家屯法庭网格','220382002001021',2),('4477026802152809004','4455233485257490087','基础网格十一（东方花园）','22030300400601802',2),('4477026802152809037','4476990724427430938','基础网格九','220303005001009',2),('4477026802152810514','4476990724427430938','基础网格十','220303005001010',2),('4477026802152810741','4476990724427430938','基础网格十一','220303005001011',2),('4477026802152811591','4476990724427430938','基础网格十三','220303005001013',2),('4477026802152812981','4476990724427430938','基础网格十六','220303005001016',2),('4477026802152813107','4455233485257490087','基础网格十二（东方花园）','22030300400601902',2),('4477026802152814056','220382107206','后盘山村','220382107206002',2),('4477026802152815652','4476990724427430938','基础网格十九','220303005001019',2),('4477026802152816313','4476990724427430938','基础网格二十','220303005001020',2),('4477026836512548291','4476990724427430938','基础网格二十一','220303005001021',2),('4477026836512548623','220303003004','福民社区基础网格6','220303003004006',2),('4477026836512548915','220323104214','永久村七组','220323104214007',2),('4477026836512548950','220323104214','永久村八组','220323104214008',2),('4477026836512549070','220323104214','永久村小学','220323104214009',2),('4477026836512551815','220323104207','大榆树村小学','220323104207006',2),('4477026836512554472','220303003004','福民社区基础网格3','220303003004003',2),('4477026870872287105','220303003004','福民社区基础网格5','220303003004005',2),('4477026870872288849','220303003004','福民社区基础网格4','220303003004004',2),('4477027145750196547','220322107202','东卡篓村宋家街','220322107202003',2),('4477027145750196680','220322107202','东卡篓村后张家','220322107202005',2),('4477027145750196755','220322107203','东五家村孟家窝堡','220322107203001',2),('4477027145750197216','220322107204','韩家村韩家铺子','220322107204002',2),('4477027145750197377','220322107204','韩家村新房子','220322107204003',2),('4477027145750197499','220322107204','韩家村前杨家甸','220322107204006',2),('4477027145750197576','220322107205','纪家村西纪家营子','220322107205001',2),('4477027145750197709','220322107205','纪家村东纪家营子','220322107205002',2),('4477027145750197741','220322107205','纪家村四合屯','220322107205004',2),('4477027180109932321','220322107206','刘家馆子村大蘑菇山','220322107206003',2),('4477027214469668871','220322107206','刘家馆子村范家街','220322107206005',2),('4477027214469668906','220322107206','刘家馆子村陈马架','220322107206006',2),('4477027214469669067','220322107206','刘家馆子村刘家馆屯','220322107206008',2),('4477027214469669440','220322107208','南六家子村前肖家屯','220322107208001',2),('4477027214469669472','220322107208','南六家子村道东里屯','220322107208002',2),('4477027214469669750','220322107208','南六家子村于江窝堡','220322107208005',2),('4477027248829411216','220322107209','三家窝堡村三家窝堡屯','220322107209001',2),('4477027248829411248','220322107209','三家窝堡村前老边岗','220322107209004',2),('4477027248829411280','220322107210','炭窑村张油坊','220322107210001',2),('4477027248829411312','220322107210','炭窑村前马家','220322107210003',2),('4477027248829411376','220322107211','王河村王河屯','220322107211002',2),('4477027248829411408','220322107211','王河村贾傻窝堡','220322107211003',2),('4477027248829411440','220322107212','苇田村西新发堡','220322107212002',2),('4477027248829411536','220322107213','吴家坨子村牛驼子','220322107213002',2),('4477027248829411568','220322107213','吴家坨子村西六合屯','220322107213003',2),('4477027248829411600','220322107213','吴家坨子村吴家坨子屯','220322107213005',2),('4477027248829411696','220322107214','乌兰村大乌兰屯','220322107214002',2),('4477027248829411728','220322107214','乌兰村张俊窝堡','220322107214003',2),('4477027248829411760','220322107214','乌兰村东六合屯','220322107214005',2),('4477027248829411856','220322107216','西五家村后边岗屯','220322107216001',2),('4477027248829411888','220322107215','西卡篓村兴开河','220322107215001',2),('4477027248829411920','220322107215','西卡篓村孟家街','220322107215003',2),('4477027386268364956','220303200205','基础网格二（合力村二屯）','220303200205002',2),('4477027386268367279','220303200205','基础网格三（合力村三、四屯）','220303200205003',2),('4477027592426795152','4477021682551797138','网格二(勃山村主屯)','220382005202002',2),('4477027764225483107','220382005200','56789屯','220382005200008',2),('4477027764225483141','220382005200','1234屯','220382005200009',2),('4477027867304701966','220382102201','五星村基础网格','220382102201001',2),('4477027867304705846','220382102208','报马村基础网格','220382102208001',2),('4477028107822871074','220382102001','西安社区基础网格','220382102001001',2),('4477028107822872403','220382102002','东安社区基础网格','220382102002001',2),('4477028451420252724','220382102217','土山村基础网格','220382102217001',2),('4497713185716611675','220303001002','基础网格2 （建兴1、2，国测6、9）','220303001002002',2),('4497713185716613326','220322104206','平庄村三社','220322104206003',2),('4497713185716613466','220322104206','平庄村六社','220322104206006',2),('4497713185716614338','4455233485257490087','基础网格七（紫微公馆6-2）','22030300400602101',2),('4497713220076353676','220303003002','为民社区基础网格1','220303003002001',2),('4497713220076353823','220303003002','为民社区基础网格2','220303003002002',2),('4497713220076353901','220303003002','为民社区基础网格4','220303003002004',2),('4497713220076353977','220303003002','为民社区基础网格5','220303003002005',2),('4497713220076354055','220303003002','为民社区基础网格7','220303003002007',2),('4497713220076354115','220303003002','为民社区基础网格8','220303003002008',2),('4497713220076354238','220303003002','为民社区基础网格10','220303003002010',2),('4497713254436090830','220322106205','马家村八社','220322106205008',2),('4497713254436091525','220302002001','基础网格一','220302002001001',2),('4497713254436092857','220302002001','基础网格二','220302002001002',2),('4497713288795825442','220303100200','基础网格1','220303100200001',2),('4497713288795825827','220382102216','东方红村基础网格1','220382102216001',2),('4497713288795828704','4459060232398831616','基础网格2龙腾8.17.18','22030300100600202',2),('4497713323155565265','220322108001','天意小区','220322108001009',2),('4497713323155565427','220322108001','万迎小区','220322108001010',2),('4497713323155568919','220302002007','基础网格1','220302002007001',2),('4497713357515307258','220302001005','基础网格二','220302001005002',2),('4497713357515307421','220302001005','基础网格四','220302001005004',2),('4497713357515307541','220302001005','基础网格五','220302001005005',2),('4497713357515307986','4455233485257490087','基础网格十七（凯虹十五峰）','22030300400602502',2),('4497713357515309008','220303200209','基础网格3','220303200209002',2),('4497713391875040217','220302001006','基础网格一','220302001006001',2),('4497713391875040334','220302001007','基础网格一','220302001007001',2),('4497713391875040368','220302001006','基础网格三','220302001006003',2),('4497713391875040488','220302001007','基础网格二','220302001007002',2),('4497713391875040527','220302001007','基础网格三','220302001007003',2),('4497713391875040624','220302001007','基础网格五','220302001007005',2),('4497713391875040716','220302001006','基础网格八','220302001006008',2),('4497713391875041477','220302200209','三道林子村五组','220302200209005',2),('4497713391875043910','220302200205','基础网格一','220302200205001',2),('4497713391875043944','220302200205','基础网格二','220302200205002',2),('4497713391875044122','220302200205','基础网格四','220302200205004',2),('4497713391875044156','220302200205','基础网格六','220302200205006',2),('4497713391875044296','220302200205','基础网格十','220302200205010',2),('4497713391875044957','220302200206','基础网格4','220302200206005',2),('4497713391875045110','220322104207','亲仁村二社','220322104207002',2),('4497713391875045142','220322104207','亲仁村三社','220322104207003',2),('4497713391875045174','220322104207','亲仁村四社','220322104207004',2),('4497713391875045264','220322104207','亲仁村五社','220322104207005',2),('4497713391875046647','220302200201','基础网格二','220302200201002',2),('4497713391875046681','220302200201','基础网格五','220302200201005',2),('4497713426234777666','220302200209','三道林子村四组','220302200209004',2),('4497713426234777700','220302200201','专属网格一（养殖）','220302200201006',2),('4497713426234777777','220302200201','专属网格二（砖厂）','220302200201007',2),('4497713426234778672','220302200215','基础网格一','220302200215001',2),('4497713426234778706','220302200201','专属网格三','220302200201008',2),('4497713426234778740','220302200215','基础网格二','220302200215002',2),('4497713426234778774','220302200200','专属网格2','220302200200003',2),('4497713426234778928','220302200201','专属网格四（集团）','220302200201009',2),('4497713529314000309','220302200204','基础网格二','220302200204002',2),('4497713563673732259','220302200204','基础网格四','220302200204004',2),('4497713563673732380','220302200204','基础网格七','220302200204007',2),('4497713563673732601','220302200204','专属网格一','220302200204009',2),('4497713769832164531','220303003002','为民社区专属网格1（清真寺）','220303003002011',2),('4497713769832164567','220303003002','为民社区专属网格2（净业莲寺）','220303003002012',2),('4497713769832166223','220302200202','基础网格1','220302200202001',2),('4497713769832166549','220302200202','基础网格5','220302200202005',2),('4497713769832167080','220302200208','基础网格一','220302200208001',2),('4497713769832167157','220302200208','基础网格二','220302200208002',2),('4497713769832167247','220302200208','基础网格四','220302200208004',2),('4497713804191899948','220303200200','基础网格一','220303200200001',2),('4497713804191904528','220382003202','城乡村一屯','220382003202001',2),('4497713838551640868','220382003202','城乡村三屯','220382003202002',2),('4497713907271117118','220302200215','专属网格一（企业）','220302200215008',2),('4497713941630861207','220302200216','孤榆树村一组','220302200216001',2),('4497713941630861310','220302200216','孤榆树村二组','220302200216002',2),('4497713975990591611','220302200216','孤榆树村三组','220302200216003',2),('4497713975990591792','220302002002','基础网格一','220302002002001',2),('4497713975990591826','220302200215','基础网格四','220302200215004',2),('4497713975990591946','220302200216','孤榆树村五组','220302200216005',2),('4497713975990591980','220303200200','专属网格一（农大）','220303200200006',2),('4497713975990592013','220302200215','基础网格五','220302200215005',2),('4497713975990592094','220302200216','孤榆树村七组','220302200216007',2),('4497713975990592171','220302200216','孤榆树村八组','220302200216008',2),('4497713975990592518','220302200216','专属网格 诊所','220302200216010',2),('4497714147789284420','220302002002','基础网格二','220302002002002',2),('4497714147789284467','220302200213','基础网格一','220302200213001',2),('4497714147789284544','220302002002','基础网格三','220302002002003',2),('4497714147789284664','220302200213','基础网格二','220302200213002',2),('4497714147789285766','220302002002','基础网格四','220302002002004',2),('4497714147789285978','220302002002','基础网格五','220302002002005',2),('4497714147789286153','220302002002','基础网格六','220302002002006',2),('4497714147789287619','220302200219','基础网格五（丛泉湖北岸）','220302200219006',2),('4497714147789287653','220302002002','基础网格七','220302002002007',2),('4497714147789287788','220302002002','基础网格八','220302002002008',2),('4497714147789291240','220302200216','孤榆树村九组','220302200216009',2),('4497714182149025884','220302200210','巨丰村一组','220302200210001',2),('4497714182149026237','220302200210','巨丰村二组','220302200210002',2),('4497714182149026362','220302200210','巨丰村三组','220302200210003',2),('4497714182149027733','220302200203','专属网格1','220302200203009',2),('4497714182149027832','220302200203','基础网格1','220302200203001',2),('4497714182149027989','220302200203','基础网格2','220302200203002',2),('4497714216508762811','220302200203','基础网格3','220302200203003',2),('4497714216508762937','220302200210','巨丰村九组','220302200210009',2),('4497714216508765469','220302200203','基础网格5','220302200203005',2),('4497714216508765591','220302002004','九州四期二网格','220302002004012',2),('4497714216508765684','220302200219','基础网格四','220302200219004',2),('4497714216508765795','220302200212','基础网格二','220302200212002',2),('4497714216508767047','220302200203','基础网格7','220302200203007',2),('4497714216508767092','220302200212','基础网格三','220302200212003',2),('4497714250868503593','220302002004','九州四期四网格','2203020020040221',2),('4497714319587979501','220302200218','基础网格1','220302200218001',2),('4497714319587980263','220302200218','基础网格5','220302200218005',2),('4497714319587982753','220302200218','基础网格6','220302200218006',2),('4497714353947716188','220302200203','基础网格6','220302200203006',2),('4497714353947716530','220302200211','基础网格一','220302200211001',2),('4497714353947716611','220302200211','基础网格三','220302200211003',2),('4497714353947716862','220302200210','北山粮库','220302200210010',2),('4497714353947716940','220302200211','专属网格一','220302200211004',2),('4497714353947717065','220302200214','基础网格一','220302200214001',2),('4497714353947717285','220302200211','专属网格二（厂子）','220302200211005',2),('4497714353947717331','220302200217','基础网格1','220302200217001',2),('4497714353947717538','220302200217','基础网格2','220302200217002',2),('4497714353947717766','220382102212','五家子村基础网格','220382102212001',2),('4497714353947719877','220302002004','四平市政府','220302002004038',2),('4497714353947719922','220302002004','四平市财政局','220302002004040',2),('4497714388307453790','220302002004','宏泰广场','2203020020040081',2),('4497714422667196786','4455233622696437097','三组','220323002200003',2),('4497714422667197155','4455233622696437097','四组','220323002200004',2),('4497733664120728238','220303001002','基础网格1 （美好景苑F2、F3、F4）','220303001002001',2),('4497733664120728938','220322107215','西卡篓村后孙家','220322107215005',2),('4497733664120729557','220322104206','平庄村一社','220322104206001',2),('4497733664120729823','220322104206','平庄村二社','220322104206002',2),('4497733664120730122','220322104206','平庄村四社','220322104206004',2),('4497733664120730256','220322104206','平庄村五社','220322104206005',2),('4497733732840203953','220322104206','平庄村七社','220322104206007',2),('4497733767199942687','4455233485257490087','基础网格六（紫微公馆6）','22030300400602001',2),('4497733835919421125','220303003002','为民社区基础网格3','220303003002003',2),('4497733835919421615','220303003002','为民社区基础网格6','220303003002006',2),('4497733835919421737','220303003002','为民社区基础网格9','220303003002009',2),('4497733904638898512','4459060232398831616','基础网格1龙腾9.10.11','22030300100600107',2),('4497733904638902000','220382102216','东方红村基础网格2','220382102216002',2),('4497733904638902121','220382102216','东方红村基础网格3','220382102216003',2),('4497733973358375360','4455233485257490087','基础网格十三（东方花园）','22030300400602402',2),('4497733973358376384','220322108001','新家园小区','220322108001008',2),('4497733973358378313','220303100200','基础网格2','220303100200002',2),('4497734007718110469','220382102206','六家子村基础网格','220382102206001',2),('4497734076437588016','220302001005','基础网格三','220302001005003',2),('4497734076437589769','4455233485257490087','基础网格八（欧屹金城）','22030300400602602',2),('4497734076437590244','4455233485257490087','基础网格九（欧屹金城）','22030300400602702',2),('4497734076437590956','220302001006','基础网格二','220302001006002',2),('4497734179516803626','220302001006','基础网格四','220302001006004',2),('4497734179516803660','220302001006','基础网格五','220302001006005',2),('4497734179516803739','220302001007','基础网格四','220302001007004',2),('4497734179516803860','220302001006','基础网格六','220302001006006',2),('4497734179516803895','220302001006','基础网格七','220302001006007',2),('4497734179516803929','220302001007','基础网格六','220302001007006',2),('4497734179516803998','220302001006','基础网格九','220302001006009',2),('4497734179516805574','220302001006','专属网格一','220302001006010',2),('4497734179516807600','220302200206','基础网格1','220302200206001',2),('4497734179516807959','220302200209','三道林子村一组','220302200209001',2),('4497734179516807993','220302200209','三道林子村二组','220302200209002',2),('4497734179516808128','220302200209','三道林子村三组','220302200209003',2),('4497734213876544150','220302200205','基础网格三','220302200205003',2),('4497734213876544184','220302200205','基础网格五','220302200205005',2),('4497734213876544304','220302200205','基础网格七','220302200205007',2),('4497734213876544338','220302200205','基础网格八','220302200205008',2),('4497734213876544385','220302200205','基础网格九','220302200205009',2),('4497734213876544663','220302200205','专属网格一','220302200205011',2),('4497734213876545170','220302200206','基础网格2','220302200206003',2),('4497734213876545204','220302200206','基础网格3','220302200206004',2),('4497734213876545528','220322104207','亲仁村一社','220322104207001',2),('4497734213876546060','220302200201','基础网格一','220302200201001',2),('4497734213876546095','220302200201','基础网格三','220302200201003',2),('4497734213876546172','220302200201','基础网格四','220302200201004',2),('4497734213876546274','220302200200','基础网格1','220302200200001',2),('4497734213876546569','220302200200','专属网格1','220302200200002',2),('4497734488754446927','220302200204','基础网格一','220302200204001',2),('4497734488754449650','220302200204','基础网格三','220302200204003',2),('4497734488754451089','220302200204','基础网格五','220302200204005',2),('4497734488754451123','220302200204','基础网格六','220302200204006',2),('4497734523114190178','220302200207','基础网格1','220302200207001',2),('4497734557473927415','220302200207','基础网格2','220302200207002',2),('4497734660553138764','220303200203','基础网格1','220303200203001',2),('4497734729272619370','220302200204','基础网格八','220302200204008',2),('4497734729272619491','220302200207','专属网格1','220302200207003',2),('4497734729272619975','220302200206','专属网格1','220302200206002',2),('4497734729272621396','220302200202','基础网格2','220302200202002',2),('4497734729272621531','220302200202','基础网格3','220302200202003',2),('4497734729272621633','220302200202','基础网格4','220302200202004',2),('4497734729272622343','220302200208','基础网格三','220302200208003',2),('4497734729272622420','220302200208','基础网格五','220302200208005',2),('4497734763632356547','220302200204','专属网格二（厂子）','220302200204010',2),('4497734763632360454','220303200200','基础网格二','220303200200002',2),('4497734763632360801','220382003202','城乡村二屯','220382003202004',2),('4497734763632360900','220303006001','网格一','220303006001001',2),('4497734763632361333','220302001002','基础网格一','220302001002001',2),('4497734832351830072','220382003202','城乡村四屯','220382003202003',2),('4497734832351830149','220302200215','专属网格二（西八大小学）','220302200215006',2),('4497734832351830254','220302001002','基础网格二','220302001002002',2),('4497734901071308476','220302200215','基础网格三','220302200215003',2),('4497734901071308510','220303200200','基础网格三','220303200200003',2),('4497734901071308543','220302200216','孤榆树村四组','220302200216004',2),('4497734901071308588','220302200216','孤榆树村六组','220302200216006',2),('4497734901071311880','220382102211','大富村1屯','220382102211001',2),('4497734901071312003','220382102211','大富村2屯','220382102211002',2),('4497734901071312135','220382102211','大富村3屯','220382102211003',2),('4497734901071314832','220303006001','专属网格一（西关社区）','220303006001007',2),('4497734935431045350','220302002004','九州四期基础网格1','2203020020040111',2),('4497735004150526183','220302200213','基础网格三','220302200213003',2),('4497735004150527961','220302200219','专属网格一（学校）','220302200219005',2),('4497735038510260474','220302200219','基础网格一','220302200219001',2),('4497735038510260681','220302200219','基础网格二','220302200219002',2),('4497735038510260715','220302200219','基础网格三','220302200219003',2),('4497735038510261578','220302200214','基础网格（丛泉湖南岸）','220302200214003',2),('4497735038510261857','220302200214','基础网格二','220302200214002',2),('4497735038510262491','220302200210','巨丰村四组','220302200210004',2),('4497735038510262719','220302200210','巨丰村五组','220302200210005',2),('4497735038510262858','220302200210','巨丰村六组','220302200210006',2),('4497735038510262978','220302200210','巨丰村七组','220302200210007',2),('4497735038510263254','220302200210','巨丰村八组','220302200210008',2),('4497735038510264798','220302200203','基础网格4','220302200203004',2),('4497735038510264922','220302200212','基础网格一','220302200212001',2),('4497735072870003754','220302200203','基础网格8','220302200203008',2),('4497735072870005315','220302002004','九州四期基础网格2','220302002004030',2),('4497735072870005658','220302002004','鲁班逸苑一网格','220302002004013',2),('4497735072870005692','220302002004','鲁班逸苑基础网格1','220302002004014',2),('4497735072870006032','220302002004','鲁班逸苑基础网格2','220302002004056',2),('4497735072870006299','220302002004','鲁班逸苑四网格','2203020020040421',2),('4497735107229738608','220302200218','基础网格2','220302200218002',2),('4497735107229738642','220302200218','基础网格3','220302200218003',2),('4497735107229738731','220302200218','基础网格4','220302200218004',2),('4497735210308960000','220302200211','基础网格二','220302200211002',2),('4497735244668696514','220302200210','梨树铁塔','220302200210011',2),('4497735244668696635','220302200210','一次变','220302200210012',2),('4497735279028436956','220302200210','君汇集团','220302200210014',2),('4497735382107650966','220302002004','四平市住房和城乡建设局','220302002004059',2),('4497735382107651086','220302200210','原巨丰陶瓷厂','220302200210013',2),('4497735416467383397','220302002004','四平市国税局','220302002004039',2),('4497735416467383819','220302002004','南条子河','220302002004037',2),('4497735450827124682','4455233622696437097','一组','220323002200001',2),('4497735450827125456','4455233622696437097','二组','220323002200002',2),('4497735450827126250','4455233622696437097','五组','220323002200005',2),('4500533948438022940','220303003001','鑫荣社区基础网格1','220303003001001',2),('4500533982797761482','220303006005','网格3','220303006005003',2),('4500533982797761784','220303006005','网格4','220303006005004',2),('4500534017157500269','220322104201','长山村二社','220322104201002',2),('4500534017157500845','220382002005','基础网格五','220382002005015',2),('4500534017157500969','220322104201','长山村四社','220322104201004',2),('4500534017157501132','220322104201','长山村六社','220322104201006',2),('4500534017157501453','220322104201','长山村七社','220322104201007',2),('4500534017157501587','220303102203','基础网格一','220303102203001',2),('4500534017157501966','220322104201','长山村八社','220322104201008',2),('4500534017157502766','220303102203','基础网格三','220303102203003',2),('4500534017157502948','220302004001','基础网格五','220302004001005',2),('4500534017157503154','220303102203','基础网格五','220303102203005',2),('4500534017157503316','220303102204','专属网格1-山','220303102204010',2),('4500534051517235444','220303102210','基础网格三','220303102210003',2),('4500534051517235531','220303006001','网格二','220303006001002',2),('4500534051517236109','220303006001','网格三','220303006001003',2),('4500534051517241268','220303102211','基础网格4','220303102211004',2),('4500534051517242239','220303102210','基础网格六','220303102210006',2),('4500534085876974672','220303102209','基础网格三','220303102209004',2),('4500534085876974752','220303102209','基础网格四','220303102209005',2),('4500534085876974873','220303102209','基础网格五','220303102209006',2),('4500534085876977559','220302004001','基础网格八','220302004001008',2),('4500534085876978050','220303102202','基础网格三','220303102202003',2),('4500534085876978084','220303102205','基础网格2','220303102205002',2),('4500534085876978162','220303102205','基础网格3','220303102205003',2),('4500534085876980902','220322104200','爱德村二社','220322104200002',2),('4500534120236716148','220322104200','爱德村四社','220322104200004',2),('4500534120236716224','220322104200','爱德村六社','220322104200006',2),('4500534120236716461','220322104200','爱德村七社','220322104200007',2),('4500534120236716609','220322104200','爱德村八社','220322104200008',2),('4500534120236716642','220303102207','基础网格一','220303102207001',2),('4500534120236716723','220322104200','爱德村九社','220322104200009',2),('4500534120236716942','220322104200','爱德村十社','220322104200010',2),('4500534120236717134','220303102207','基础网格二','220303102207002',2),('4500534120236717170','220303102212','专属网格六（山2）','220303102212012',2),('4500534120236719913','220303102204','基础网格4','220303102204004',2),('4500534154596450778','220323201200','赵家屯','220323201200004',2),('4500534154596450875','220302004007','基础网格二','220302004007002',2),('4500534154596451350','220302004007','基础网格三','220302004007003',2),('4500534154596451637','220302004007','基础网格四','220302004007004',2),('4500534154596452789','220323201201','西南沟屯','220323201201002',2),('4500534154596452936','220323201201','后莫里屯','220323201201005',2),('4500534154596453314','220302004007','基础网格五','220302004007006',2),('4500534154596453611','220323201202','两姓屯','220323201202003',2),('4500534154596453689','220323201202','林家窝棚屯','220323201202004',2),('4500534154596455507','220303102206','基础网格1','220303102206001',2),('4500534154596455964','220303008003','基础网格9','220303008003009',2),('4500534154596456095','220303008003','基础网格10(华亿a26.27.28)','220303008003010',2),('4500534154596456133','220303008003','基础网格11（华亿A29.30）','220303008003011',2),('4500534154596456755','220302004002','基础网格一','220302004002001',2),('4500534154596456929','220323201202','柳树屯','220323201202005',2),('4500534154596457013','220303102202','基础网格四','220303102202004',2),('4500534154596458274','220323201203','西杨屯','220323201203001',2),('4500534188956190724','220323201203','西南窝棚屯','220323201203002',2),('4500534188956190962','220303102202','基础网格二','220303102202002',2),('4500534188956191823','220323201204','下洼子屯','220323201204005',2),('4500534188956191916','220323201204','天增号屯','220323201204006',2),('4500534188956192147','220323201206','老虎沟屯','220323201206001',2),('4500534188956192326','220303003001','鑫荣社区基础网格5','220303003001005',2),('4500534188956192446','220323201206','北新里屯','220323201206005',2),('4500534188956193165','220303102208','专属网格二（果园）','220303102208007',2),('4500534257675672092','220303102208','基础网格二','220303102208002',2),('4500534257675672169','220303102208','基础网格三','220303102208003',2),('4500534257675672203','220303102208','基础网格四','220303102208004',2),('4500534257675672783','220303002002','基础网格2（金属楼小区）','220303002002002',2),('4500534292035403981','4476990724427431613','基础网格1','220303200217001',2),('4500534292035404015','4476990724427431613','基础网格2','220303200217002',2),('4500534292035404963','220303102201','基础网格3','220303102201003',2),('4500534292035405083','220303102201','基础网格2','220303102201004',2),('4500534292035405529','220303102201','专属网格1','220303102201005',2),('4500534326395146074','220303101205','基础网格二','220303101205002',2),('4500534360754881628','220303101206','基础网格二','220303101206002',2),('4500534360754882794','220302004003','前锋社区网格1','220302004003001',2),('4500534360754883032','220303101209','基础网格一','220303101209001',2),('4500534360754883186','220303101209','基础网格三','220303101209003',2),('4500534360754883366','220302004006','基础网格一','220302004006001',2),('4500534360754885046','220303002002','基础网格3（和平家园小区）','220303002002003',2),('4500534360754885297','220303002002','基础网格4（五塑小区）','220303002002004',2),('4500534429474358731','4477019861485663501','基础网格3（四屯、五屯、九屯）','220303200214003',2),('4500534429474359995','4477019861485663501','专属网格1（金士百啤酒厂）','220303200214005',2),('4500534429474362065','220303008003','专属网格2','220303008003025',2),('4500534429474362157','220302004002','基础网格十','220302004002004',2),('4500534429474363762','220303002002','基础网格7（旧货小区）','220303002002007',2),('4500534463834102913','220303006005','专属网格1（育文学校）','220303006005006',2),('4500534498193835625','220302004004','基础网格一','220302004004001',2),('4500534498193840492','4459060232398831647','金水社区基础网格3','220303003006003',2),('4500534498193840569','4459060232398831647','金水社区基础网格4','220303003006004',2),('4500534532553578617','220302004002','基础网格七','2203020040020031',2),('4500534601273050149','220303101004','河西社区二组','220303101004002',2),('4500534601273050186','220303006005','专属网格3（君汇）','220303006005008',2),('4500534635632787822','220323111203','老粉房屯','220323111203002',2),('4500534635632787988','220303006005','专属网格5（拆迁区）','220303006005010',2),('4500534635632790163','220302004004','基础网格七','220302004004007',2),('4500534635632793481','220323111203','小西河埃屯','220323111203006',2),('4500534635632794008','220322104213','新农村一社','220322104213001',2),('4500534635632794614','220322104213','新农村三社','220322104213003',2),('4500534635632794689','220302004004','基础网格八','220302004004012',2),('4500534669992527512','220302001008','基础网格五','220302001008005',2),('4500534669992530407','220302004005','基础网格四','220302004005004',2),('4500534669992530648','220303200204','基础网格1','220303200204001',2),('4500534669992530913','220302004005','基础网格五','220302004005005',2),('4500534669992532897','220302004005','基础网格六','220302004005006',2),('4500534669992533107','220303001004','基础网格1不夜城','220303001004001',2),('4500534669992533270','220302004005','基础网格七','220302004005007',2),('4500534669992533625','4459060232398831647','金水社区专属网格3(住建局)','220303003006010',2),('4500534704352267061','220302004006','基础网格三','220302004006003',2),('4500534704352268306','220303101210','基础网格二','220303101210002',2),('4500534704352268437','220302004005','基础网格九','220302004005009',2),('4500534704352268473','220303101210','基础网格一','220303101210001',2),('4500534704352268550','220302004006','基础网格四','220302004006004',2),('4500534704352268920','220302004004','基础网格十','220302004004015',2),('4500534704352269014','220382107201','后吴家','220382107201002',2),('4500534704352269161','220382107201','八家子','220382107201003',2),('4500534704352270914','220303200204','基础网格2','220303200204002',2),('4500534704352271049','220302004005','基础网格十二','220302004005012',2),('4500534773071741675','220302004005','基础网格十三','220302004005013',2),('4500534773071741992','220302004003','前锋社区网格3','220302004003003',2),('4500534773071742856','220303003003','玉泉社区专属网格1（银矿）','220303003003008',2),('4500534773071743068','220302001002','基础网格四','220302001002004',2),('4500534773071743113','220302004006','基础网格五','220302004006005',2),('4500534773071743247','220303101213','基础网格二','220303101213002',2),('4500534773071743535','220303001004','基础网格2，三中、学府','220303001004002',2),('4500534773071743612','220303007001','基础网格一','220303007001001',2),('4500534773071746781','220302002006','基础网格1','220302002006001',2),('4500534773071746905','220302004006','基础网格七','220302004006007',2),('4500534773071747080','220302002006','基础网格6','220302002006006',2),('4500534773071747255','220302002006','基础网格7','220302002006007',2),('4500534773071748508','220302002004','吉平宾馆','220302002004042',2),('4500534841791223803','220303001001','专属网格宏大社区办公楼','220303001001018',2),('4500534841791223923','220302002004','国税小区一网格','2203020020040112',2),('4500534876150962224','220303003003','玉泉社区专属网格3（市场监督七马路办公区）','220303003003010',2),('4500535013589912160','220302001002','基础网格五','220302001002005',2),('4500535013589913994','220302002004','国税小区二网格','2203020020040121',2),('4500535116669128593','220303001004','基础网格5a12.13.14.15','220303001004005',2),('4500535116669128680','220302004002','基础网格十一','220302004002005',2),('4500535116669128845','220303001004','基础网格6c01.02.03','220303001004006',2),('4500535116669129711','220303002003','基础网格1（教师楼小区）','220303002003001',2),('4500535116669129839','220302002004','蓝山英郡二网格','2203020020040222',2),('4500535116669130691','220302002004','蓝山英郡三网格','220302002004032',2),('4500535116669130778','220303001004','基础网格12-d3.6.9','220303001004012',2),('4500535219748344382','220303002003','基础网格2（汽车城小区1.2.3.9.10）','220303002003002',2),('4500535219748344552','220302004006','基础网格十三','220302004006013',2),('4500535219748344594','220303002003','基础网格3（汽车城小区4.5.6.8）','220303002003003',2),('4500535219748346577','220303001004','专属网格4-辉煌社区','220303001004018',2),('4500535219748346928','220303001004','专属网格5-吉盛阳光超市-药店','220303001004019',2),('4500535219748347178','220303001004','专属网格7-富强社区','220303001004021',2),('4500535219748347308','220302002003','基础网格5','220302002003005',2),('4500535219748347836','220303008003','基础网格23（华亿B22.23.25.25a）','220303008003023',2),('4500535288467818258','220302002003','基础网格10','220302002003010',2),('4500535288467819140','220302004006','沈铁专属网格2','220302004006018',2),('4500535288467820211','220303101002','基础网格一','220303101002001',2),('4500535288467823495','220302005004','基础网格一','220302005004001',2),('4500535288467824132','220302004006','苹果社区专属网格2','220302004006019',2),('4500535288467824442','220302001004','第一基础网格东达小区，公路处小区','220302001004001',2),('4500535322827554985','220302004006','苹果社区专属网格3','220302004006020',2),('4500535322827555064','220302002006','诺雅口腔','220302002006014',2),('4500535322827555457','220302002006','第四中学','220302002006015',2),('4500535322827555628','220302002004','宏泰第一城四网格','2203020020040251',2),('4500535322827556281','220302002006','专属网格1','220302002006016',2),('4500535425906771599','220302002006','群众艺术馆','220302002006017',2),('4500535425906771831','220302002004','宏泰第一城六网格','220302002004034',2),('4500535425906771866','220302002006','八一礼堂','220302002006018',2),('4500535425906772541','220302005009','基础网格三','220302005009003',2),('4500535425906773407','220302005009','基础网格四','220302005009004',2),('4500535425906773443','4459060232398831647','金水社区基础网格8','220303003006013',2),('4500535425906774791','220302005009','基础网格五','220302005009005',2),('4500535425906775071','220302005009','基础网格六','220302005009006',2),('4500535425906775566','220302005009','基础网格七','220302005009007',2),('4500535425906775603','4459060232398831647','金水社区专属网格5(华信游泳馆)','220303003006014',2),('4500535425906775975','220303101201','基础网格三','220303101201003',2),('4500535425906776230','220303101212','基础网格一','220303101212001',2),('4500535425906776264','220303002003','基础网格6（综合楼小区）','220303002003006',2),('4500535425906776344','220302002004','宏泰第一城八网格','2203020020040601',2),('4500535425906776608','220303002003','基础网格7（凯盛小区）','220303002003007',2),('4500535425906776686','220303101212','基础网格三','220303101212003',2),('4500535425906776763','220303002003','基础网格8（兴红家园小区1.2.3.4.5）','220303002003008',2),('4500535460266510782','220303002001','基础网格2（金桥委小区）','220303002001002',2),('4500535460266512191','220302002004','阳光新城一网格','220302002004001',2),('4500535460266512380','220302002004','阳光新城三网格','220302002004003',2),('4500535597705467948','220302002004','阳光新城六网格','220302002004006',2),('4500535597705467983','220302002004','阳光新城七网格','2203020020040071',2),('4500535597705469219','220302002004','阳光新城八网格','2203020020040082',2),('4500535597705469297','220302002004','阳光新城九网格','220302002004009',2),('4500535597705469463','220302002003','四平市残疾人康复中心','220302002003013',2),('4500535632065200147','220302002003','春江医院','220302002003016',2),('4500535666424940840','220302002004','碧水明珠一网格','220302002004002',2),('4500535666424940918','220302002004','碧水明珠二网格','2203020020040031',2),('4500535666424941688','220302002004','金碧湖畔一网格','220302002004005',2),('4500535666424941858','220302002004','大白楼，城建','220302002004007',2),('4500535666424941893','220302002004','巨展名仕基础网格','2203020020040083',2),('4500535700784678233','220302002004','社保小区、大学城九号楼','220302002004035',2),('4500535803863892590','220303006003','网格五','220303006003005',2),('4500535803863892668','220303006003','网格六','220303006003006',2),('4500535803863892745','220303006003','拆迁区网格','220303006003012',2),('4500535906943112248','220302002004','四平市日报社','220302002004063',2),('4500535906943112283','220302002004','中西医结合医院','220302002004065',2),('4500536078741804600','220302002007','基础网格5','220302002007005',2),('4500536078741804826','220302002007','基础网格9','220302002007009',2),('4500536078741804862','220302002007','基础网格10','220302002007010',2),('4500536078741804941','220302002007','基础网格11','220302002007011',2),('4500536216180754312','220302005004','基础网格二','220302005004002',2),('4500536216180757151','220302005006','第一基础网格','220302005006001',2),('4500536216180757282','220302005007','第二基础网格','220302005007002',2),('4500536216180757426','220382203202','东洼子网格','220382203202003',2),('4500536216180757517','4459060232398831647','金水社区专属网格6(四通公司)','220303003006015',2),('4500536216180758237','220302002005','英雄社区','220302002005004',2),('4500536216180758431','220302005007','第四基础网格','220302005007004',2),('4500536216180758599','220302005007','第七基础网格','220302005007007',2),('4500536216180758681','220303003005','富强社区专属网格3（四马路卫生服务中心）','220303003005017',2),('4500536216180758817','4459060472917004365','树俭社区3组','220322003003004',2),('4500536216180758849','220302002005','华生热力','220302002005006',2),('4500536216180759269','4459060232398831647','金水社区基础网格10','220303003006017',2),('4500536216180759307','220322104202','船口村3社','220322104202003',2),('4500536216180759361','220303001002','基础网格7 （富豪1、2、馨凯、三职南北）','220303001002007',2),('4500536216180759524','220302002005','四平市疾病防控中心','220302002005008',2),('4500536216180759561','220322104202','船口村5社','220322104202005',2),('4500536216180760098','220322104202','船口村8社','220322104202008',2),('4500536216180760378','220322104202','船口村9社','220322104202009',2),('4500536250540491116','220302002005','青年街浴池','220302002005009',2),('4500536250540491442','4459060472917004365','树俭社区6组','220322003003007',2),('4500536250540494115','220302002005','四平市妇婴医院','220302002005012',2),('4500536250540494728','220302005002','基础网格2','220302005002002',2),('4500536250540496963','220302005002','基础网格8','220302005002008',2),('4500536284900230755','220303001002','基础网格8 （银座2、3、4、6、7、8）','220303001002008',2),('4500536284900230904','220302005002','基础网格11','220302005002011',2),('4500536284900231050','220302005007','基础网格八','220302005007008',2),('4500536284900231186','220302005002','专属网格1','220302005002013',2),('4500536284900231221','220302005007','第一专属网格','220302005007009',2),('4500536284900231405','220302005007','第二专属网格','220302005007010',2),('4500536284900232093','220303001002','基础网格11 （海银9号4、5、6）','220303001002011',2),('4500536284900232573','220303001002','基础网格12 （海银9号7、8、11、12、13、14、15、16、17、18）','220303001002012',2),('4500536284900232645','220302001004','平西花园小区、空三院','220302001004004',2),('4500536284900234315','220302001004','第三基础网格益民小区1/4/5/14','220302001004005',2),('4500536284900234393','4455233622696437033','后宋洼子屯','220323001202001',2),('4500536284900235338','4455233622696437033','220KV变电站','220323001202010',2),('4500536284900235502','220302001004','第八基础网格盲校家属楼+幼师家属楼+蓝天11/12','220302001004007',2),('4500536284900235681','220303008004','专属网格5（北方换热器）','220303008004017',2),('4500536284900235715','220303001002','基础网格15 （海银9号31、36、37、38、39）','220303001002015',2),('4500536319259968320','4455233622696437033','广盛源米业加工','220323001202008',2),('4500536319259968529','220303008004','专属网格6(吉运）','220303008004018',2),('4500536319259972945','220302005004','基础网格四','220302005004004',2),('4500536319259973375','220382107202','西狼洞','220382107202002',2),('4500536319259973511','220302005001','第八基础网格','220302005001008',2),('4500536319259974371','220302005006','第二基础网格','220302005006002',2),('4500536319259974406','220382107202','东狼洞','220382107202003',2),('4500537281332644247','220382107202','东廊屯','220382107202004',2),('4500537281332644425','220302005006','第四基础网格','220302005006004',2),('4500537281332644461','220302002001','基础网格三','220302002001003',2),('4500537281332644539','220302005001','第九基础网格','220302005001009',2),('4500537281332644719','220302002001','基础网格五','220302002001005',2),('4500537281332644861','220302005006','第六基础网格','220302005006006',2),('4500537281332646904','220302005006','第八基础网格','220302005006008',2),('4500537281332647956','220302002001','基础网格六','220302002001006',2),('4500537281332648002','220302002001','基础网格七','220302002001007',2),('4500537281332648976','220302002001','基础网格十','220302002001010',2),('4500537281332649833','220302005006','第二专属网格','220302005006012',2),('4500537315692387068','220303007002','基础网格四','220303007002004',2),('4500537315692387400','220303007001','基础网格五','220303007001005',2),('4500537315692387435','220303001002','专属网格2 （广和市场）','220303001002017',2),('4500537315692387760','220382102202','同乐村基础网格2','220382102202002',2),('4500537350052121304','220303001002','专属网格4 （平东街国测社区）','220303001002019',2),('4500537350052121542','220302005004','基础网格五','220302005004005',2),('4500537350052121578','4459060301118312868','永宁1委','220323002005001',2),('4500537384411861624','4459060301118312836','永宁社区6委','220323002004002',2),('4500537384411861662','220303001002','专属网格5 （海银9号售楼处）','220303001002020',2),('4500537384411863504','4459060301118312836','永宁社区7委','220323002004003',2),('4500537521850811286','4459060301118312868','永宁4委','220323002005004',2),('4500537521850812426','220322104205','六屋村1社','220322104205001',2),('4500537521850812699','220382002005','基础网格十','220382002005026',2),('4500537521850813036','220322104205','六屋村4社','220322104205004',2),('4500537521850813249','220303001002','专属网格8 （四平职教中心）','220303001002023',2),('4500537521850813330','220322104205','六屋村6社','220322104205006',2),('4500537521850813536','220322104205','六屋村7社','220322104205007',2),('4500537521850816147','220303001002','专属网格10 （金粮商贸）','220303001002025',2),('4500537521850816259','220303008004','基础网格9','220303008004009',2),('4500537521850817160','220303008004','基础网格12','220303008004012',2),('4500537521850817488','220302002001','幼儿园','220302002001015',2),('4500537521850817534','220302005004','专属网格二','220302005004008',2),('4500537556210553580','220303002003','专属网格2','220303002003011',2),('4500537590570294357','220303006001','网格四','220303006001004',2),('4500537693649508076','220302002001','原市公安局','220302002001019',2),('4500537728009242510','220303002003','专属网格3','220303002003012',2),('4500537762368981194','220303007003','基础网格一','220303007003001',2),('4500537762368981276','220303007003','基础网格二','220303007003002',2),('4500537762368985947','220302005009','专属网格四','220302005009011',2),('4500537796728718391','4476990724427428794','第一基础网格','220302005010001',2),('4500537796728724757','220303002001','基础网格4（工行小区）','220303002001004',2),('4500537796728724961','220302005005','第八基础网格','220302005005008',2),('4500537796728725086','4476990724427428794','第三基础网格','220302005010003',2),('4500537796728725122','220302005005','第九基础网格','220302005005009',2),('4500537796728725200','220303002001','基础网格5（压铸小区）','220303002001005',2),('4500537796728725234','220302005001','第十二基础网格','2203020050010121',2),('4500537899807933568','4476990724427428794','第六基础网格','220302005010006',2),('4500537899807933849','4476990724427428794','第七基础网格','220302005010007',2),('4500537899807934247','220302005004','专属网格四','220302005004010',2),('4500537899807934561','220303002001','专属网格1    无人','220303002001013',2),('4500537899807934701','4476990724427428794','第十一基础网格','220302005010011',2),('4500537899807936192','4476990724427428794','第十二基础网格','220302005010012',2),('4500537899807937763','220303002001','基础网格8（金水公寓）','220303002001008',2),('4500537899807937883','220302005001','第一专属网格','2203020050010122',2),('4500537899807938172','220302005004','专属网格六','220302005004012',2),('4500537899807939875','220303002001','专属网格2     无人','220303002001014',2),('4500537899807940210','220323111201','前范家烧锅','220323111201002',2),('4500537899807940293','220303002001','基础网格10（宏泰幸福城）','220303002001010',2),('4500537934167671847','220302005004','专属网格七','220302005004013',2),('4500537934167671896','220302005001','第三专属网格','220302005001014',2),('4500537934167671977','220303002001','专属网格3','220303002001015',2),('4500537934167672016','220323111201','小刘屯','220323111201006',2),('4500537934167673229','220303200211','基础网格3','220303200211003',2),('4500537934167673332','220303200211','基础网格4','220303200211004',2),('4500537934167673427','220303200211','基础网格5','220303200211005',2),('4500537934167674037','220303007004','基础网格三','220303007004003',2),('4500537934167674834','220303002001','专属网格4','220303002001016',2),('4500537934167675118','220303007004','基础网格四','220303007004004',2),('4500537934167676552','4459060301118312900','二十二委','220323002006002',2),('4500538002887148446','220303007004','基础网格六','220303007004006',2),('4500538002887148721','220303007004','基础网格七','220303007004007',2),('4500538002887149983','220303200211','专属网格1','220303200211006',2),('4500538002887150420','220303007004','专属网格二','220303007004011',2),('4500538002887150584','4459060301118312772','十四委','220323002001004',2),('4500538002887150775','220303002004','专属网格2-欧亚商贸','220303002004010',2),('4500538002887150809','4455233622696437065','二十三委','220323002003003',2),('4500538002887150894','220303007004','基础网格九','220303007004009',2),('4500538002887151295','220303006001','专属网格八（四平兴平换热设备制造有限公司）','220303006001014',2),('4500538002887151591','220303006001','专属网格十一（四平恒锐工具有限公司）','220303006001017',2),('4500538002887151683','220303006001','专属网格十二（四平恒远塑胶科技有限公司）','220303006001018',2),('4500538002887151769','220303006001','专属网格十三（金隅水泥有限公司）','220303006001019',2),('4500538002887151846','220303006001','专属网格十四（昊华化工有限公司）','220303006001020',2),('4500538174685839371','220303006002','网格一','220303006002001',2),('4500538174685840506','4459060232398831647','金水社区基础网格21','220303003006030',2),('4500538174685840543','4459060232398831647','金水社区基础网格23','220303003006032',2),('4500538174685840677','220302005008','第四基础网格','220302005008004',2),('4500538174685844543','4459060232398831647','金水社区专属网格10(众达建安有限公司)','220303003006034',2),('4500538243405323085','220302005003','第三基础网格','220302005003003',2),('4500538277765058275','220302005003','第八基础网格','220302005003008',2),('4500538277765058454','220302005003','第九基础网格','220302005003009',2),('4500538277765058495','220302005003','第十基础网格','220302005003012',2),('4500538277765058531','220302005003','第十一基础网格','220302005003013',2),('4500538277765058572','220302005003','第十二基础网格','220302005003014',2),('4500538415204012824','220302005008','第一专属网格','220302005008007',2),('4500538415204013014','220302005008','第二专属网格','220302005008008',2),('4500538415204013194','220302001001','基础网格三','220302001001003',2),('4500538415204013319','220302005008','第三专属网格','220302005008009',2),('4500538415204013457','220302005008','第四专属网格','220302005008010',2),('4500538483923490829','220322104219','庆东村1社','220322104219001',2),('4500538483923491424','220322104219','庆东村2社','220322104219002',2),('4500538518283225976','220322104219','庆东村4社','220322104219004',2),('4500538587002707085','4455233794495130340','网格一','220322001001001',2),('4500538621362439573','4455233794495130340','网格三','220322001001003',2),('4500538655722184108','220303002001','专属网格9    无人','220303002001021',2),('4500538690081920361','220303002001','专属网格10','220303002001022',2),('4500538964959826607','220303002001','专属网格12','220303002001024',2),('4500539171118255811','220303200203','基础网格2','220303200203002',2),('4500539171118259847','220302001001','基础网格五','220302001001005',2),('4500539171118260046','220382107209','太平庄','220382107209001',2),('4500539205477992044','220303200203','基础网格9','220303200203009',2),('4500539205477996242','220382107209','王权屯','220382107209002',2),('4500539239837729511','220382107209','陈染坊','220382107209003',2),('4500539239837729689','220302001001','基础网格七','220302001001007',2),('4500539308557211544','220303200203','基础网格4','220303200203004',2),('4500539342916950353','4455233794495130405','霍家店村二组','220322003201002',2),('4500539342916950529','220303200203','基础网格5','220303200203005',2),('4500539480355900583','4455233794495130405','霍家店村十一组','220322003201011',2),('4500539480355901751','4455233794495130405','霍家店村十二组','220322003201012',2),('4500539480355901915','220303200203','基础网格8','220303200203008',2),('4500539480355902295','4455233794495130405','霍家店村十四组','220322003201014',2),('4500539549075375739','220302001001','基础网格十','220302001001010',2),('4500539549075380382','220303100203','基础网格1','220303100203001',2),('4500539549075380444','220303100203','基础网格2','220303100203002',2),('4500539549075380523','220303100204','基础网格2','220303100204002',2),('4500539549075380558','220303100205','基础网格1','220303100205001',2),('4500539549075380592','220303100205','基础网格2','220303100205002',2),('4500539549075380756','220303100206','基础网格1','220303100206001',2),('4500539549075380833','220302005003','第四专属网格','220302005003018',2),('4500539549075381824','220303100209','基础网格1','220303100209001',2),('4500539583435114790','220303100210','基础网格2','220303100210002',2),('4500539583435114972','220303100212','基础网格1','220303100212001',2),('4500539583435119801','220302005005','第十二基础网格','220302005005012',2),('4500539583435120591','4476990724427428794','第十六基础网格','220302005010016',2),('4500539652154590949','4476990724427428794','第十七基础网格','220302005010017',2),('4500539652154591031','4476990724427428794','第十八基础网格','220302005010018',2),('4500539652154591079','4476990724427428794','第十九基础网格','220302005010019',2),('4500539652154593267','4476990724427428794','第二十基础网格','220302005010020',2),('4500539652154594312','4476990724427428794','第五专属网格','220302005010025',2),('4500539686514330504','220302005005','第四基础网格A区','220302005005016',2),('4500539720874066768','220303001005','基础网格5华亿c5','220303001005005',2),('4500539720874066804','220303001005','基础网格6华亿c6','220303001005006',2),('4500539720874066887','220303001005','基础网格8华亿c8','220303001005008',2),('4500539720874068762','220303001005','基础网格10华亿c10','220303001005010',2),('4500539720874068809','220303001005','基础网格13蔚蓝之都2','220303001005013',2),('4500539720874068843','220303001005','基础网格15蔚蓝之都4','220303001005015',2),('4500539720874068964','220303001005','基础网格18万达a2','220303001005018',2),('4500539720874068998','220303001005','基础网格19万达a3','220303001005019',2),('4500539720874069075','220303001005','基础网格21万达a5','220303001005021',2),('4500539720874069196','220303001005','基础网格23万达b1、2、3','220303001005023',2),('4500539755233807691','220303001005','基础网格25万达c1、3、5','220303001005025',2),('4500539755233807725','220303001005','基础网格26万达c2、4','220303001005026',2),('4500539755233807759','220303001005','专属网格1万达商圈','220303001005029',2),('4500539755233807793','220303001005','专属网格3城东乡政府','220303001005031',2),('4500539755233807871','220303001005','专属网格4城东乡派出所','220303001005032',2),('4500539755233807964','220303001005','专属网格9晨阳+华亿物业','220303001005037',2),('4500539755233808946','4459060232398831616','基础网格4龙腾1.2.3.7','220303001006004',2),('4500539961392236788','4459060232398831616','基础网格6龙腾13.16.19','220303001006006',2),('4500539961392238934','4459060232398831616','基础网格8丰翼东郡1.2.3.4.5.6.7','220303001006008',2),('4500539961392239011','4459060232398831616','基础网格9丰翼东郡8.9.10.11','220303001006009',2),('4500539961392239134','4459060232398831616','基础网格12丰翼东郡18.19.20','220303001006012',2),('4500539961392239721','4459060232398831616','基础网格14上东一号a3.4.5.6.26.29','220303001006014',2),('4500539961392239755','4459060232398831616','基础网格15上东一号a7.23.24.25.15.16','220303001006015',2),('4500539961392239789','4459060232398831616','基础网格16上东一号a12.13.14.21.22','220303001006016',2),('4500539961392239825','4459060232398831616','基础网格17上东一号a8.9.10.11.18.19.20','220303001006017',2),('4500539961392239859','4459060232398831616','基础网格18上东一号b2.3.5.6.17.18.19','220303001006018',2),('4500539961392239894','4459060232398831616','基础网格19上东一号b13.15.16.23.26.25.10.11','220303001006019',2),('4500539961392239986','4459060232398831616','基础网格20上东一号b1.7.8.9.12.20.21.22','220303001006020',2),('4500539995751975827','220302001003','基础网格三','220302001003010',2),('4500539995751976824','220302001003','基础网格八','220302001003005',2),('4500539995751977083','220302001003','基础网格九','220302001003006',2),('4500539995751978092','220382006200','义顺村网格-1','220382006200001',2),('4500539995751980876','220322200202','老山头村八社','220322200202008',2),('4500540030111714887','220302003004','基础网格三','220302003004003',2),('4500540030111715083','220302003004','基础网格四富民小区11、12号楼','220302003004004',2),('4500540030111715603','220302003004','专属网格一','220302003004013',2),('4500540064471453982','220302003007','基础网格1','220302003007001',2),('4500540064471454059','220302003004','专属网格二','220302003004014',2),('4500540339349363789','220302004005','专属网格一','220302004005014',2),('4500540339349363868','220302002003','金宇和园售楼处','220302002003023',2),('4500540511148049681','220302003004','专属网格五（南湖公园）','220302003004011',2),('4500540511148055908','220302003002','基础网格二(英城小区1.2.3.4.5号楼)','220302003002002',2),('4500540545507787942','220302003002','基础网格五(宏泰综合楼)','220302003002016',2),('4500540545507788220','220302003002','基础网格六(站前小学综合楼)','220302003002015',2),('4500540545507788619','220302003002','基础网格七（新月1.2号楼铁招1.2号楼）','220302003002014',2),('4500540545507788885','220302003002','专属网格九（站前小学）','2203020030020143',2),('4500540545507789830','220302003002','专属网格四','220302003002011',2),('4500540545507789968','220302003002','专属网格五','220302003002012',2),('4500540545507790239','220302003002','专属网格六','220302003002013',2),('4500540545507794741','220302003002','专属网格八（14中学）','2203020030020142',2),('4500540682946740740','220302003002','基础网格四(水批1.2号楼)','220302003002007',2),('4500540682946741744','220382107210','双岗子','220382107210001',2),('4500540682946742102','220382107210','卧牛泡子','220382107210002',2),('4500540682946742562','220382107210','东牛吐','220382107210003',2),('4500540682946742683','220302003006','基础网格1','220302003006001',2),('4500540682946743896','220382107210','西牛吐','220382107210004',2),('4500540717306479106','220302003006','基础网格4','220302003006004',2),('4500540717306486364','220302003006','基础网格6','220302003006006',2),('4500540751666217410','220302003006','基础网格9','220302003006009',2),('4500540751666221267','220302003006','专属网格1','2203020030060221',2),('4500540889105172997','220302003006','专属网格4','2203020030060251',2),('4500540889105173931','220382107211','新立屯','220382107211001',2),('4500540889105176024','220382107211','张丙窝棚','220382107211002',2),('4500540923464910446','220302003006','专属网格6','2203020030060261',2),('4500540923464910622','220382107211','下口门子','220382107211005',2),('4500540923464910730','220302003006','专属网格7（五郡工地）','2203020030060222',2),('4500540923464910808','220382107211','杨三东子','220382107211006',2),('4500540923464912778','220302003006','专属网格9','2203020030060241',2),('4500540957824649650','220302003006','专属网格11','2203020030060262',2),('4500540957824652845','4459060232398831616','专属网格16上东b东侧门市','220303001006036',2),('4500540957824652882','4459060232398831616','专属网格17上东b西侧门市','220303001006037',2),('4500540957824652922','4459060232398831616','专属网格18丰翼1期东侧门市','220303001006038',2),('4500540957824654102','220302003006','专属网格13（大禹售楼处）','220302003006028',2),('4500540992184390980','220302002003','待建1','220302002003024',2),('4500540992184391064','4459060232398831616','专属网格21丰翼2期东侧门市','220303001006041',2),('4500540992184391256','4459060232398831616','专属网格22丰翼2期西侧门市','220303001006042',2),('4500541060903863980','220302002003','待建3','220302002003026',2),('4500541267062299652','220302003005','专属网格2（艾乐幼儿园）','220302003005013',2),('4500541301422035798','220302003005','专属网格3（七星公馆）','2203020030050131',2),('4500541335781769534','220302003003','基础网格2','220302003003013',2),('4500541438860990021','220302003005','专属网格5（九州物业楼）','220302003005021',2),('4500541473220727377','220302003005','基础网格6（九洲二期）','220302003005006',2),('4500541507580463185','220302003003','基础网格四','220302003003001',2),('4500541507580466980','220302003003','基础网格七','220302003003004',2),('4500541507580467058','4455233622696436969','腰岭屯','220323001200002',2),('4500541507580467092','220302003003','基础网格八','220302003003005',2),('4500541507580467127','220302003005','基础网格7（九洲二期）','2203020030050132',2),('4500541576299938974','4455233622696436969','英力屯','220323001200003',2),('4500541576299939008','220302003003','基础网格九','220302003003006',2),('4500541576299941381','220302003003','基础网格十','220302003003007',2),('4500541576299941417','220302003003','基础网格十一','220302003003008',2),('4500541576299941533','4455233622696436969','七星泉康养中心','220323001200007',2),('4500541610659678867','220302003003','基础网格十三','220302003003010',2),('4500541610659680087','220302003005','专属网格7（三期幼儿园）','220302003005008',2),('4500541610659682970','220302003005','专属网格8（中国石油）','220302003005023',2),('4500541645019421274','220302003007','基础网格8','220302003007008',2),('4500541679379156729','220302003007','基础网格9','220302003007009',2),('4500541782458372967','220302003005','专属网格13（警官公寓物业）','220302003005015',2),('4500541885537585334','220302003007','基础网格12','220302003007012',2),('4500541885537588338','220302003007','专属网格1区政府','220302003007013',2),('4500541885537588459','220302003005','专属网格15（海丰加油站）','220302003005025',2),('4500542022976539404','220322104221','江东道村5社','220322104221005',2),('4500542229134973428','4455233794495130465','东白山村一组','220322003202001',2),('4500542366573921820','4455233794495130465','东白山村二组','220322003202002',2),('4500542366573922994','4455233794495130465','东白山村五组','220322003202005',2),('4500542366573923422','4455233794495130465','东白山村六组','220322003202006',2),('4500542366573923610','4455233794495130465','东白山村七组','220322003202007',2),('4500542538372612252','4455233622696438592','双辽市第二小学（铁路小学）专属网格','220382001201016',2),('4500542744531049601','220382202204','孙家','220382202204001',2),('4500542744531049709','220382202205','马家一屯','220382202205006',2),('4500543294286863770','220303102200','基础网格4','220303102200004',2),('4500544118920578005','220382201204','小陵村一屯四屯','220382201204001',2),('4500544290719271416','4455233622696436905','正阳社区3组','220323001002001',2),('4500544290719271773','4455233622696436905','正阳社区4组','220323001002002',2),('4500544565597177718','4455233794495130370','北杏山村四组','220322001200004',2),('4500544565597177993','4455233794495130370','北杏山村六组','220322001200006',2),('4500544565597183566','4455233622696436905','太阳寺','220323001002009',2),('4500544565597183608','4455233622696436905','清真寺','220323001002011',2),('4500544771755609707','220382006204','官井村主街基础网格','220382006204001',2),('4500544806115346577','220382006205','桑树村主街基础网格','220382006205001',2),('4500545733828287867','220382201214','吉兴村二屯','220382201214002',2),('4500546111785405324','220323103204','河北屯','220323103204001',2),('4500546146145147187','220323103204','刘窑屯','220323103204003',2),('4500546283584102171','220323103200','上营子','220323103200003',2),('4500546317943835570','220323103201','申家屯','220323103201002',2),('4500546317943835748','220323103201','未西屯','220323103201003',2),('4500546455382788292','220323103203','姬家油坊','220323103203002',2),('4500546455382788526','220323103203','山西屯','220323103203003',2),('4500546455382789085','220323103203','东程屯','220323103203005',2),('4500546489742525498','220323111202','小黄沟屯','220323111202006',2),('4500546558462008475','220302003006','专属网格14','220302003006010',2),('4500546558462008510','220323103205','玉丰园屯','220323103205001',2),('4500546661541220461','220323103205','郭家沟子屯','220323103205002',2),('4500546661541220764','220302003006','专属网格15','220302003006011',2),('4500547211297034480','220382201206','红石村乌兰屯','220382201206002',2),('4500548310808660082','220323103208','大郭屯','220323103208003',2),('4500548310808660251','220323103208','赵家屯','220323103208004',2),('4500548310808660662','220323103208','马林子屯','220323103208006',2),('4500548551326829749','220382004001','西化社区第五网格','220382004001005',2),('4500548551326829826','220382004001','西化社区第七网格','220382004001007',2),('4500549925716368002','220382102203','孤店村基础网格二','220382102203002',2),('4500550063155315695','220382201204','小陵村三屯','220382201204003',2),('4500550338033226879','220382201203','丰宝村二屯','220382201203002',2),('4500550406752704412','220382201203','丰宝村四屯五屯','220382201203004',2),('4500550406752705422','220382201203','丰宝村五屯','220382201203005',2),('4500550681630608767','220382201202','王合村四屯五屯','220382201202004',2),('4500550887789038932','220382201202','王合村一屯二屯三屯','220382201202001',2),('4500551162666949663','220382102200','卧虎村基础网格1','220382102200001',2),('4500551643703284494','220323103209','前岗阳屯','220323103209003',2),('4500551781142239745','220382201202','王合村三屯  西北方向开始001','220382201202003',2),('4500551849861710590','220323104202','五台子村尹家沟','220323104202003',2),('4500551884221449230','220382202208','梁家炉1','220382202208001',2),('4500551987300664459','220382202208','梁家炉2','220382202208003',2),('4500552056020142842','4455233622696436798','福宁5委2网格','220323001001008',2),('4500552056020145749','220382202209','山东屯','220382202209001',2),('4500552090379881713','220322104217','二里界村1社','220322104217001',2),('4500552090379882105','220322104217','二里界村3社','220322104217003',2),('4500552090379882698','220322104217','二里界村5社','220322104217005',2),('4500552708855172461','220302003006','基础网格15','220302003006024',2),('4500552743214907736','220322104208','土龙村1社','220322104208001',2),('4500552743214908348','220322104208','土龙村5社','220322104208005',2),('4500552743214908393','220322104208','土龙村6社','220322104208006',2),('4500553224251249359','220382102002','卧虎镇中心小学','220382102002002',2),('4500553292970722279','220382102002','双辽市职业中专','220382102002003',2),('4500553292970722730','220382202203','新胜村四屯','220382202203003',2),('4500553327330464724','4459060301118312964','邵家村一组','220323002202005',2),('4500553396049939076','220322104209','围子村4社','220322104209004',2),('4500553396049944495','220382105203','合心村四屯（赵家屯）','220382105203002',2),('4500553430409676987','220382105000','羊一队社区','220382105002',1),('4500553430409677319','220382105000','腰二龙社区','220382105004',1),('4500553464769416684','220382202211','东长坨.','220382202211005',2),('4500553464769418108','220322104212','新家村8社','220322104212008',2),('4500553464769419343','4455233622696436798','福宁2委3网格','220323001001012',2),('4500553567848629961','4455233622696436798','统计局','220323001001016',2),('4500553567848631090','4455233622696436798','华生商场','220323001001019',2),('4500553567848634269','4455233622696436798','天馨商城','220323001001021',2),('4500553602208369803','4455233622696436798','农业技术推广站','220323001001023',2),('4500553602208372269','220382200208','乌兰村一屯','220382200208001',2),('4500553602208372435','4455233622696436798','满族幼儿园','220323001001028',2),('4500553602208372616','4455233622696436798','国税局','220323001001029',2),('4500553636568108871','4455233622696436798','福宁社区居民委员会','220323001001031',2),('4500553670927846109','220382004003','北宁社区第二网格','220382004003002',2),('4500553670927847792','4455233622696436798','运管所','220323001001035',2),('4500553670927847913','220382004003','北宁社区第四网格','220382004003004',2),('4500553670927851165','220382202202','基础网格（新立一屯西001）','220382202202001',2),('4500553670927851199','220382004003','北宁社区第五网格','220382004003005',2),('4500553774007061093','4455233622696436905','正阳社区1组1网格','220323001002007',2),('4500553808366798844','4455233622696436905','水文站','220323001002013',2),('4500553808366798921','4455233622696436905','海威环保有限公司','220323001002014',2),('4500553808366803804','4455233622696436905','工商行','220323001002016',2),('4500553808366804171','4455233622696436905','华正眼科医院','220323001002017',2),('4500553842726535481','4455233622696436905','社会救助站','220323001002021',2),('4500553945805750491','4459060472917004455','岫岩4组','220322003203004',2),('4500553945805750581','4459060472917004455','岫岩7组','220322003203007',2),('4500553945805750672','4459060472917004455','岫岩9组','220322003203009',2),('4500554220683661306','220382202201','前头段','220382202201003',2),('4500554289403134709','4477022885142640940','博爱社区','220382101008001',2),('4500554323762880308','220382202207','双龙泡','220382202207001',2),('4500554358122612284','220382202207','二发坨','220382202207003',2),('4500554495561565603','4455233622696436905','正阳社区5组1网格','220323001002022',2),('4500554495561565782','4455233622696436905','正阳社区5组2网格','220323001002023',2),('4500554495561566637','4455233622696436905','正阳社区5组4网格','220323001002025',2),('4500554495561569423','220382202201','后头段','220382202201004',2),('4500554495561571510','220322104210','西道村3社','220322104210003',2),('4500554495561571860','220322104210','西道村5社','220322104210005',2),('4500554907878427141','220323106201','大榆树屯','220323106201001',2),('4500554907878430139','220323106201','南大榆树屯','220323106201004',2),('4500554907878430756','220323106201','陆家店','220323106201005',2),('4500554942238170474','220382102200','卧虎村基础网格3','220382102200003',2),('4500554942238170508','220323106202','二道河子屯','220323106202004',2),('4500554942238170593','220382102200','卧虎村基础网格4','220382102200004',2),('4500554976597902017','220323106202','炮手沟屯','220323106202006',2),('4500554976597902578','220323106203','河南一屯','220323106203001',2),('4500555045317381297','220323106204','二道沟','220323106204002',2),('4500555045317382895','220323106204','陈家屯','220323106204006',2),('4500555045317385461','220382200209','井岗村一屯','220382200209001',2),('4500555079677116740','220323106208','双庙子屯','220323106208003',2),('4500555079677117360','220323106208','山湾子屯','220323106208006',2),('4500555148396596796','220322104214','友贤村1社','220322104214001',2),('4500555148396597067','220322104214','友贤村2社','220322104214002',2),('4500555148396597889','220322104214','友贤村3社','220322104214003',2),('4500555217116070843','4455233622696436905','变电站','220323001002030',2),('4500555423274501465','4455233622696436905','海诺药业','220323001002031',2),('4500555457634241348','220382105200','玻璃山村五、六、七、八屯混居','220382105200002',2),('4500555457634241708','220323106205','王豆腐沟屯','220323106205004',2),('4500555698152414227','220382202200','荷花村二屯','220382202200003',2),('4500555835591362051','220323103212','康家屯','220323103212003',2),('4500555835591365527','220382200203','前包家8屯','220382200203008',2),('4500555835591366417','220382200203','四冷屯5屯','220382200203005',2),('4500555835591367400','220382200203','三孔桥4屯','220382200203004',2),('4500555904310842924','220323103207','魏洼子屯','220323103207002',2),('4500555904310843188','220323103207','小郭屯','220323103207003',2),('4500555904310845079','220323103207','前铁炉屯','220323103207005',2),('4500556144829010693','220382201202','王合村五屯 西北方向开始001','220382201202005',2),('4500556488426389778','220382200200','岳家店','220382200200002',2),('4500556488426390020','220382200200','永发屯','220382200200001',2),('4500556488426393339','220382200200','纪家街','220382200200005',2),('4500556488426395544','220382202210','后山丁树','220382202210001',2),('4500556522786129706','220382202210','杨家街','220382202210002',2),('4500556522786130569','220382101000','秀水村','220382101211',1),('4500556522786131115','220382202210','东陈家','220382202210004',2),('4500556591505606469','4500556522786130569','集福屯三屯','220382101211003',2),('4500556591505610146','4455233622696436905','正阳社区2组4网格','220323001002006',2),('4500556763304298646','220382002005','吉发、西勇、西桥','220382002005027',2),('4500556969462731011','220382202205','马家四屯','220382202205003',2),('4500557003822469792','4500592531791975473','义和永社区二屯','220382105001002',2),('4500557038182204726','4500553430409676987','羊一队社区三屯（禽场屯、羊一队屯）','220382105002003',2),('4500557038182204803','4500553430409676987','羊一队社区四屯（实验屯）','220382105002004',2),('4500557519218548698','220382202202','三马架','220382202202005',2),('4500557691017232947','220382200204','前进村一屯','220382200204001',2),('4500557897175663239','220382200207','那木村4屯','220382200207004',2),('4500557897175663360','220382200207','那木村5屯','220382200207005',2),('4500557897175668314','220382200206','张家街','220382200206002',2),('4500557897175668350','220382200206','白市','220382200206003',2),('4500557965895146561','220382002005','双辽发电厂','220382002005014',2),('4500558103334096049','4477022885142641043','衙门社区东衙门屯','220382101005002',2),('4500558172053574972','220323111204','任家沟屯','220323111204005',2),('4500558172053575269','220323111204','王家屯','220323111204009',2),('4500558172053575303','220323111204','赵家屯','220323111204010',2),('4500558172053575395','220323111204','红喜堂屯','220323111204011',2),('4500558172053575617','220323111200','陈家屯','220323111200001',2),('4500558172053575884','220323111200','小西沟屯','220323111200004',2),('4500558172053576092','220323111200','孙家大院','220323111200005',2),('4500558172053576185','220323111200','柴九局子屯','220323111200006',2),('4500558172053576320','220323111200','南西沟屯','220323111200007',2),('4500558172053576455','220323111200','老虎背屯','220323111200009',2),('4500558172053576996','220323111205','范家大院屯','220323111205006',2),('4500558172053577268','220323111206','小腰沟屯','220323111206005',2),('4500558309492524103','220382104203','桂家街','220382104203003',2),('4500558309492524412','220382104203','梁家街','220382104203005',2),('4500558309492524688','220382002005','双辽市水政水资源','220382002005009',2),('4500558309492525441','220382002005','双辽市第五小学','220382002005008',2),('4500558446931484511','220382104202','罗家街','220382104202003',2),('4500558481291215196','220382104202','唐家围子','220382104202005',2),('4500558515650960591','220382104200','王奔村三屯','220382104200003',2),('4500558687449645114','220382104209','西小站','220382104209001',2),('4500559305924936581','220382104211','白庙子','220382104211001',2),('4500559305924936701','220382104211','西呈祥','220382104211002',2),('4500559305924936782','220382104211','永祥','220382104211005',2),('4500559305924938995','220382001005','郑家屯街道专属网格','220382001005017',2),('4500559305924939160','220382001005','国家电网专属网格','220382001005020',2),('4500559305924939279','220382001005','双辽货运站专属网格','220382001005021',2),('4500559305924939460','220382001004','交通局专属网格','220382001004020',2),('4500559305924939639','220382001004','司法局专属网格','220382001004021',2),('4500566624549226230','220303002002','基础网格1 （马车房小区，药厂小区）','220303002002001',2),('4500566624549227037','220302004001','基础网格一','220302004001001',2),('4500566658908962966','220322104201','长山村一社','220322104201001',2),('4500566658908964927','220322104201','长山村五社','220322104201005',2),('4500566658908964959','220302004001','基础网格三','220302004001003',2),('4500566658908965909','220322104201','长山村九社','220322104201009',2),('4500566658908966597','220303102203','基础网格二','220303102203002',2),('4500566658908966828','220302001002','基础网格三','220302001002003',2),('4500566658908966863','220382002005','基础网格九','220382002005025',2),('4500566658908968208','220303102210','基础网格四','220303102210004',2),('4500566658908968300','220303102210','基础网格五','220303102210005',2),('4500566658908968698','220303102211','基础网格1','220303102211001',2),('4500566658908969264','220303102211','基础网格3','220303102211003',2),('4500566693268701750','220303006001','网格五','220303006001005',2),('4500566693268702779','220303102209','基础网格一','220303102209002',2),('4500566693268702872','220303102209','基础网格二','220303102209003',2),('4500566727628441040','220303102205','基础网格1','220303102205001',2),('4500566727628441330','220302001003','专属网格（二十中学）','220302001003007',2),('4500566727628441642','220302004001','基础网格九','220302004001009',2),('4500566727628442157','220303003001','鑫荣社区基础网格2','220303003001002',2),('4500566727628442525','220322104200','爱德村三社','220322104200003',2),('4500566727628447282','220303102212','基础网格一','220303102212001',2),('4500566727628447493','220303102212','基础网格四','220303102212004',2),('4500566761988181359','220303102212','专属网格五（山1）','220303102212011',2),('4500566761988181481','220303102212','基础网格六','220303102212006',2),('4500566761988181839','4459060472917004365','树俭社区2组','220322003003003',2),('4500566761988182420','220302004007','基础网格一','220302004007001',2),('4500566761988182677','220303102204','基础网格3','220303102204003',2),('4500566761988182875','220303102207','基础网格三','220303102207003',2),('4500566761988183011','220303102204','基础网格5','220303102204005',2),('4500566761988183088','220323201200','刘家屯','220323201200003',2),('4500566761988183158','220303102204','基础网格6','220303102204006',2),('4500566761988183710','220303102204','基础网格8','220303102204008',2),('4500566796347917177','220323201201','杨木屯','220323201201001',2),('4500566796347917443','220323201201','前莫里屯','220323201201004',2),('4500566796347917563','220302004007','专属网格一','220302004007005',2),('4500566796347918068','220323201202','西高屯','220323201202001',2),('4500566796347918195','220303102212','专属网格四（滑雪场）','220303102212010',2),('4500566796347918315','220302004007','基础网格七','220302004007008',2),('4500566796347918480','220303102206','基础网格2','220303102206002',2),('4500566796347918565','220303102206','基础网格4','220303102206004',2),('4500566796347918685','220303102206','基础网格5','220303102206005',2),('4500566796347918935','220303102206','基础网格8','220303102206008',2),('4500566796347919156','220303102206','专属网格1-山','220303102206009',2),('4500566796347922708','220302004007','专属网格二','220302004007009',2),('4500566796347924063','220303102202','基础网格一','220303102202001',2),('4500566865067395315','220323201203','新立屯','220323201203003',2),('4500566865067396316','220323201203','郭杂铺屯','220323201203004',2),('4500566865067396573','220323201204','景家屯','220323201204004',2),('4500566865067396695','220323201204','东杨屯','220323201204007',2),('4500566865067396965','220303003001','鑫荣社区基础网格3','220303003001003',2),('4500566865067397072','220323201206','贾岭屯','220323201206006',2),('4500566865067397366','220303102208','专属网格一（学校）','220303102208006',2),('4500566865067399159','220303102208','基础网格一','220303102208001',2),('4500566865067399236','220303102208','基础网格五','220303102208005',2),('4500566899427132291','4476990724427431613','基础网格3','220303200217003',2),('4500566899427132325','4476990724427431613','基础网格4','220303200217004',2),('4500566899427132680','4476990724427431613','专属网格1（4S店）','220303200217005',2),('4500566899427132714','4476990724427431613','专属网格2（变电所）','220303200217006',2),('4500566899427134095','220303102201','基础网格1','220303102201002',2),('4500567139945308064','220303101203','基础网格一','220303101203001',2),('4500567139945308141','220303101203','基础网格二','220303101203002',2),('4500567174305042658','220303101202','基础网格一','220303101202001',2),('4500567208664778218','220303101207','基础网格二','220303101207002',2),('4500567208664778310','220303101207','基础网格三','220303101207003',2),('4500567208664778933','4477019861485663533','基础网格1','220303200215001',2),('4500567208664778967','4477019861485663533','基础网格2','220303200215002',2),('4500567277384256318','220303101209','基础网格二','220303101209002',2),('4500567277384259369','220303101216','基础网格二','220303101216002',2),('4500567277384259403','220303101216','基础网格三','220303101216003',2),('4500567277384259581','220303101216','基础网格四','220303101216004',2),('4500567277384259659','220302004006','基础网格二','220302004006002',2),('4500567277384260013','220303002002','基础网格5（牡丹御景花园小区）','220303002002005',2),('4500567311743995351','4477019861485663501','基础网格4（三 屯，十一屯，十二屯）','220303200214004',2),('4500567346103735388','220303101215','基础网格一','220303101215001',2),('4500567346103735581','220303101215','基础网格二','220303101215002',2),('4500567346103735716','220303101215','基础网格三','220303101215003',2),('4500567346103735980','220303101003','河东社区二组','220303101003002',2),('4500567346103737062','220302004005','基础网格一','220302004005001',2),('4500567380463470748','220303006005','网格5','220303006005005',2),('4500567380463470912','220303002002','基础网格8（铁路小区）','220303002002008',2),('4500567380463471037','220302004002','基础网格四','220302004002006',2),('4500567380463473557','220303101003','河东社区四组','220303101003004',2),('4500567620981640985','4459060232398831647','金水社区专属网格7(励志幼儿园)','220303003006007',2),('4500567620981641121','220302004002','基础网格六','220302004002008',2),('4500567689701115109','220302004004','基础网格五','220302004004005',2),('4500567689701115806','220323111203','老烧锅屯','220323111203003',2),('4500567689701119315','4459060232398831647','金水社区专属网格1（第五中学）','220303003006008',2),('4500567689701119349','220302004004','废弃烂尾楼','220302004004010',2),('4500567689701119443','220302001008','基础网格三','220302001008003',2),('4500567689701120657','220323111203','恒山屯','220323111203004',2),('4500567724060857621','220323111203','大西河埃屯','220323111203005',2),('4500567724060858184','220322104213','新农村二社','220322104213002',2),('4500567792780332427','220302004005','基础网格三','220302004005003',2),('4500567792780332463','220302004004','基础网格九','220302004004009',2),('4500567792780332731','220302001008','基础网格七','220302001008007',2),('4500567827140067631','4459060232398831647','金水社区专属网格2(开发区公安分局)','220303003006009',2),('4500567827140067751','4459060232398831647','金水社区专属网格4(平东街道)','220303003006011',2),('4500567827140067877','220303101208','基础网格一','220303101208001',2),('4500567827140071974','220302004005','基础网格十','220302004005010',2),('4500567895859549482','220302004005','基础网格十一','220302004005011',2),('4500567998938759270','220302002004','生殖保健院、农发行','220302002004043',2),('4500567998938759766','220303101208','基础网格二','220303101208002',2),('4500567998938762394','220303003003','玉泉社区专属网格2（国家电网）','220303003003009',2),('4500568033298498556','220302004003','前锋社区网格4','220302004003004',2),('4500568033298501444','4459060472917004365','树俭社区1组','220322003003002',2),('4500568067658238486','220302002006','基础网格3','220302002006003',2),('4500568067658238572','220302002006','基础网格4','220302002006004',2),('4500568067658239339','220302004006','基础网格八','220302004006008',2),('4500568067658239692','220303008003','专属网格6','220303008003029',2),('4500568067658241593','4477019861485663469','基础网格1','220303200213001',2),('4500568067658242507','220302004006','基础网格十','220302004006010',2),('4500568067658243163','220303001004','基础网格4-a2.4.6.8','220303001004004',2),('4500568205097192723','220302002004','财政小区','220302002004033',2),('4500568205097193143','220303001004','基础网格8-c7.8.9','220303001004008',2),('4500568205097193802','220302002004','蓝山英郡一网格','220302002004026',2),('4500568205097193982','220303001004','基础网格11-d04.05.07.08','220303001004011',2),('4500568205097194878','220302004002','基础网格十二','2203020040020121',2),('4500568205097195087','220303001004','专属网格1-不夜城商圈','220303001004016',2),('4500568239456928020','220303001004','专属网格2-幼儿园','220303001004015',2),('4500568239456928055','220303001004','专属网格3-三中','220303001004017',2),('4500568239456930432','220303001004','专属网格6-七马路派出所','220303001004020',2),('4500568239456931554','220302002003','基础网格1','220302002003001',2),('4500568239456931749','220302002003','基础网格3','220302002003003',2),('4500568239456931888','220302002003','基础网格4','220302002003004',2),('4500568273816670825','220302002003','基础网格8','220302002003008',2),('4500568273816670905','220302004006','沈铁专属网格1','220302004006016',2),('4500568273816670941','220302004002','基础网格十四','2203020040020122',2),('4500568273816670977','220302002003','基础网格11','220302002003011',2),('4500568273816672611','220302002004','宏泰第一城二网格','220302002004054',2),('4500568273816672778','220302004006','沈铁专属网格3','220302004006017',2),('4500568273816673141','220302004006','苹果社区专属网格1','220302004006015',2),('4500568273816674061','220302002004','宏泰第一城三网格','220302002004031',2),('4500568342536144099','220303001004','基础网格13-a01.10.11','220303001004013',2),('4500568342536144134','220302001004','重复的第一网格公路处小区','220302001004002',2),('4500568342536144657','220303200209','基础网格5','220303200209004',2),('4500568342536144950','220303200209','基础网格7','220303200209006',2),('4500568342536145232','220302005009','基础网格二','220302005009002',2),('4500568342536146431','220302002004','宏泰第一城七网格','220302002004025',2),('4500568342536146855','220303008003','专属网格8','220303008003031',2),('4500568342536146987','220303101212','基础网格二','220303101212002',2),('4500568342536149571','220302002004','宏泰第一城九网格','2203020020040341',2),('4500568342536149608','220303002001','基础网格1（天桥委小区）','220303002001001',2),('4500568376895883122','220303101001','基础网格一','220303101001001',2),('4500568376895886779','220322107001','机关南纬','220322107001001',2),('4500568376895886811','220322107001','机关北纬','220322107001002',2),('4500568376895887856','220302002004','阳光新城五网格','2203020020040051',2),('4500568411255621351','220302002003','阳光实验小学','220302002003012',2),('4500568411255621442','220302002004','阳光新城十网格','2203020020040101',2),('4500568411255621800','220302002003','阳光供热所','220302002003015',2),('4500568411255622018','220302002004','阳光派出所','220302002004046',2),('4500568411255622267','220302002003','四平市卫校','220302002003018',2),('4500568411255622709','220302002003','润丰加油站','220302002003020',2),('4500568411255622941','220302002003','昊兴民生大市场','220302002003021',2),('4500568411255623634','220302002004','华大中医','220302002004047',2),('4500568411255623941','220302002004','大学城一网格','2203020020040422',2),('4500568411255623976','220302002004','大学城二网格','220302002004010',2),('4500568411255624107','220302002004','星海花园小区','220302002004057',2),('4500568411255624334','220302002004','凯宏市场','220302002004062',2),('4500568617414055749','220302002007','基础网格3','220302002007003',2),('4500568617414055784','220302002007','基础网格4','220302002007004',2),('4500568617414055863','220302002007','基础网格6','220302002007006',2),('4500568617414055898','220302002007','基础网格7','220302002007007',2),('4500568617414056034','220302002007','基础网格8','220302002007008',2),('4500568686133532412','220303003005','富强社区专属网格2（铁东检察院）','220303003005016',2),('4500568686133532538','220382203202','锦秋里网格','220382203202001',2),('4500568686133532700','220302005007','第三基础网格','220302005007003',2),('4500568686133533374','220303001002','基础网格3 （国测1、2、3、5、11）','220303001002003',2),('4500568686133533561','220302002005','盛世1928','220302002005005',2),('4500568686133533601','220302005007','第六基础网格','220302005007006',2),('4500568686133533776','220303001002','基础网格4 （国测4、7、8、10、老5）','220303001002004',2),('4500568686133534149','220303001002','基础网格5 （平，海银7、8、9、10）','220303001002005',2),('4500568686133534227','220322104202','船口村1社','220322104202001',2),('4500568686133534323','220303001002','基础网格6 （海银11、12、13、14）','220303001002006',2),('4500568686133534357','220322104202','船口村2社','220322104202002',2),('4500568686133534411','220302002005','人寿保险公司','220302002005007',2),('4500568720493265425','4459060232398831647','金水社区基础网格14','220303003006021',2),('4500568720493265513','4459060232398831647','金水社区基础网格15','220303003006022',2),('4500568720493265633','4459060232398831647','金水社区基础网格17','220303003006024',2),('4500568720493265668','220322104202','船口村7社','220322104202007',2),('4500568720493266066','220302005001','第一基础网格','220302005001001',2),('4500568720493266700','220302002005','铁通大楼','220302002005010',2),('4500568720493267603','220303008004','专属网格3（纳爱斯）','220303008004015',2),('4500568720493267661','220302005001','第二基础网格','220302005001002',2),('4500568754853004354','220302005002','基础网格3','220302005002003',2),('4500568754853004389','220302001002','基础网格九','220302001002006',2),('4500568754853006371','220302005002','基础网格4','220302005002004',2),('4500568754853006739','220302002005','春铁小区商用楼','220302002005013',2),('4500568754853009214','220302005002','基础网格6','220302005002006',2),('4500568754853009467','220302005002','基础网格7','220302005002007',2),('4500568754853009942','220302005002','基础网格12','220302005002012',2),('4500568789212743771','220303001002','基础网格9 （银座1、9、11、12、13）','220303001002009',2),('4500568789212749443','220302001004','第二基础网格老国税小区，空军三院，平西花园','220302001004003',2),('4500568857932219522','220303001002','基础网格13 （海银9号9、10、19、20、21、22、23、24、30）','220303001002013',2),('4500568857932219787','220302005001','第四基础网格','220302005001004',2),('4500568857932219982','220303001002','基础网格14 （海银9号25、26、27、28、29、32、33、34、35）','220303001002014',2),('4500568857932220383','4455233622696437033','华通加油站','220323001202011',2),('4500568857932220460','220303008004','专属网格4（四平市粮库）','220303008004016',2),('4500568857932220559','220302005001','第五基础网格','220302005001005',2),('4500568857932220594','4455233622696437033','金源能源有限公司','220323001202004',2),('4500568857932220693','220302001004','第六基础网格蓝天华府1-5','220302001004008',2),('4500568857932220873','220303008004','专属网格7（东医生大药房）','220303008004019',2),('4500568857932221146','220303008004','专属网格8（育祥医药）','220303008004020',2),('4500568857932225764','220302005001','第七基础网格','220302005001007',2),('4500568857932226107','220382107202','张公坨','220382107202001',2),('4500568892291956749','4455233622696437033','桃花源山庄','220323001202009',2),('4500568892291957189','220302005006','第五基础网格','220302005006005',2),('4500568892291957428','220302005001','第十基础网格','220302005001010',2),('4500568892291957506','220302002001','基础网格四','220302002001004',2),('4500568892291957865','220302005006','第十基础网格','220302005006010',2),('4500568892291957947','220302005001','第十五基础网格','220302005001011',2),('4500568892291963522','220303007002','基础网格三','220303007002003',2),('4500568892291963786','220302005006','第一专属网格','220302005006011',2),('4500568892291964466','220302005006','第三专属网格','220302005006013',2),('4500568926651698684','220303007001','基础网格二','220303007001002',2),('4500568926651698718','220303001002','专属网格1 （平东派出所）','220303001002016',2),('4500568926651700580','220302005004','基础网格六','220302005004006',2),('4500568926651700620','4459060301118312836','永宁社区5委','220323002004001',2),('4500568961011437591','220322104205','六屋村3社','220322104205003',2),('4500568961011441136','220303001002','专属网格7 （丰蕾幼儿园）','220303001002022',2),('4500568961011441438','220322104205','六屋村5社','220322104205005',2),('4500569029730913084','220322104205','六屋村8社','220322104205008',2),('4500569029730913432','220302002001','基础网格十一','220302002001011',2),('4500569029730913660','220303001002','专属网格9 （宏鑫毛发厂）','220303001002024',2),('4500569029730913694','4459060472917004275','一组','220322001002001',2),('4500569029730914214','220302002001','英雄广场','220302002001012',2),('4500569029730914249','220303007002','基础网格八','220303007002008',2),('4500569029730914385','220303007002','基础网格九','220303007002009',2),('4500569029730917284','220303002003','专属网格1','220303002003010',2),('4500569029730917318','220302002001','谷子地小广场','220302002001014',2),('4500569064090649915','220303001002','专属网格11（宏大液压件）','220303001002026',2),('4500569064090654207','220302005009','专属网格一','220302005009008',2),('4500569064090656646','220302002001','迎宾小学','220302002001016',2),('4500569098450390577','220303008004','基础网格8','220303008004008',2),('4500569132810126519','220302002001','铁西法院','220302002001018',2),('4500569132810132334','220302002001','原市检察院','220302002001020',2),('4500569132810132684','220303001002','专属网格12 （盛达铝塑门窗厂）','220303001002027',2),('4500569201529602540','4459060472917004275','四组','220322001002004',2),('4500569201529604552','220303007003','基础网格三','220303007003003',2),('4500569201529605147','220302005005','第二基础网格','220302005005002',2),('4500569201529605226','220302005005','第三基础网格','220302005005003',2),('4500569201529607408','220302005005','第六基础网格','220302005005006',2),('4500569201529607490','220302005005','第七基础网格','220302005005007',2),('4500569201529608268','220303002001','基础网格6（鑫达小区）','220303002001006',2),('4500569201529608435','220302001002','基础网格六','220302001002009',2),('4500569201529608557','220302005004','专属网格三','220302005004009',2),('4500569201529608813','4476990724427428794','第八基础网格','220302005010008',2),('4500569201529609018','4476990724427428794','第九基础网格','220302005010009',2),('4500569235889348063','4476990724427428794','第十基础网格','220302005010010',2),('4500569235889348403','220303006001','网格六','220303006001006',2),('4500569270249081423','220303007004','基础网格一','220303007004001',2),('4500569270249081506','220303002001','基础网格9（烟厂小区）','220303002001009',2),('4500569270249086094','220302001004','专属网格一120急救中心、润龙公馆、逸家居老年公寓','220302001004011',2),('4500569373328297108','4459060301118312900','二十一委','220323002006001',2),('4500569373328297502','220323111201','新发屯','220323111201005',2),('4500569373328297747','220323111201','北大榆树','220323111201007',2),('4500569373328297849','220323111201','南大榆树','220323111201008',2),('4500569373328298021','220303002001','基础网格12（鑫达A区）','220303002001012',2),('4500569373328298202','220382107203','后谢船口','220382107203003',2),('4500569373328298279','220323111201','毛家屯','220323111201011',2),('4500569373328298318','220303200211','基础网格2','220303200211002',2),('4500569373328299757','220302005003','第一基础网格','220302005003001',2),('4500569407688033454','220322108000','上三台水库','220322400219',1),('4500569407688034272','220303007004','基础网格五','220303007004005',2),('4500569407688037005','4459060301118312772','十二委','220323002001002',2),('4500569407688037440','220302005001','第七专属网格','220302005001018',2),('4500569407688037567','220303006001','专属网格六（北门街道））','220303006001012',2),('4500569407688038088','4476990724427428794','第十五基础网格','220302005010015',2),('4500569407688038173','220303002004','专属网格3-中医医院','220303002004011',2),('4500569407688038207','4455233622696437065','二十委','220323002003002',2),('4500569407688038772','220303007004','专属网格三','220303007004012',2),('4500569407688038945','220303006001','专属网格九（平房区拆迁区二）','220303006001015',2),('4500569442047771290','220303006001','专属网格十（北桥机动车检测有限公司）','220303006001016',2),('4500569579486727447','220302005008','第三基础网格','220302005008003',2),('4500569579486727547','4459060232398831647','金水社区基础网格20','220303003006029',2),('4500569579486727582','220303006002','专属网格二（亿达商砼）','220303006002003',2),('4500569579486727645','4459060232398831647','金水社区基础网格22','220303003006031',2),('4500569579486727679','4459060232398831647','金水社区基础网格24','220303003006033',2),('4500569579486729677','220302005008','第五基础网格','220302005008005',2),('4500569648206201821','220303002002','专属网格2','220303002002012',2),('4500569648206202663','4455233485257490087','基础网格十（欧亿青年城）','220303004006028',2),('4500569648206202697','4459060301118312772','十五委','220323002001005',2),('4500569648206202760','4459060301118312772','十六委','220323002001006',2),('4500569648206202939','4459060301118312772','十七委','220323002001007',2),('4500569648206208461','4455233485257490087','专属网格三（欧屹方舟大酒店）','220303004006029',2),('4500569716925678381','4459060232398831647','金水社区专属网格11(智汇通幼儿园)','220303003006035',2),('4500569716925678645','220303004002','专属网格一（智源幼儿园）','220303004002016',2),('4500569716925682442','220303004002','专属网格二（四平热力铁东分公司）','220303004002017',2),('4500569751285417383','220302005003','第五基础网格','220302005003005',2),('4500569751285420219','220303002002','专属网格3','220303002002013',2),('4500569785645157502','220302002003','待开发空地','220302002003022',2),('4500569785645158503','220303004002','基础网格六（爱华小区006）','220303004002006',2),('4500569820004895795','220302005008','第五专属网格','220302005008011',2),('4500569820004898143','220302005003','第一专属网格','220302005003015',2),('4500569888724377504','220302001001','基础网格四','220302001001004',2),('4500569957443851525','4459060472917004335','兴旺二组','220322003004002',2),('4500569957443852262','4459060472917004335','兴旺三组','220322003004003',2),('4500569957443852345','4459060472917004335','兴旺四组','220322003004004',2),('4500569991803586406','220322104219','庆东村3社','220322104219003',2),('4500569991803586797','220322104219','庆东村5社','220322104219005',2),('4500569991803586979','220322104219','庆东村6社','220322104219006',2),('4500569991803587104','220322104219','庆东村7社','220322104219007',2),('4500569991803589711','220303002001','专属网格8    无人','220303002001020',2),('4500570369760707191','220382107208','后太平屯','220382107208002',2),('4500570713358091199','220382202000','中心社区','220382202001',1),('4500570713358091440','220302001001','基础网格六','220302001001006',2),('4500570713358094052','220382004200','东风村砂矿屯','220382004200005',2),('4500570747717832522','4459060301118312804','永宁8委','220323002002001',2),('4500570747717832707','220382202000','稻谷社区','220382202002',1),('4500570919516521849','4455233794495130405','霍家店村一组','220322003201001',2),('4500570919516527348','220303200203','基础网格7','220303200203007',2),('4500570988235997414','4455233794495130405','霍家店村四组','220322003201004',2),('4500570988236000435','4455233794495130405','霍家店村五组','220322003201005',2),('4500570988236005163','4455233794495130405','霍家店村六组','220322003201006',2),('4500571022595741875','4455233794495130405','霍家店村九组','220322003201009',2),('4500571022595741981','4455233794495130405','霍家店村十组','220322003201010',2),('4500571091315218632','4455233794495130405','霍家店村十三组','220322003201013',2),('4500571091315219054','220302005003','第二专属网格','220302005003016',2),('4500571194394430018','4459060472917004245','二网格','2203224060020102',2),('4500571194394430151','220302001001','基础网格九','220302001001009',2),('4500571194394431571','220302001001','基础网格十一','220302001001011',2),('4500571194394431637','220303100201','基础网格2','220303100201002',2),('4500571263113905735','220303100206','基础网格2','220303100206002',2),('4500571263113905813','220303100207','基础网格1','220303100207001',2),('4500571263113907638','4459060472917004245','三网格','2203224060020103',2),('4500571263113907714','220303100208','基础网格1','220303100208001',2),('4500571263113907896','220303100210','基础网格1','220303100210001',2),('4500571263113908023','220303100211','基础网格2','220303100211002',2),('4500571263113908085','220303100212','基础网格2','220303100212002',2),('4500571263113908166','220303100209','基础网格2','220303100209002',2),('4500571263113908278','220302005005','第十一基础网格','220302005005011',2),('4500571400552860941','4476990724427428794','第一专属网格','220302005010021',2),('4500571400552861205','4476990724427428794','第四专属网格','220302005010024',2),('4500571434912597737','220303001005','基础网格3华亿c3','220303001005003',2),('4500571434912597771','220303001005','基础网格4华亿c4','220303001005004',2),('4500571434912597875','220303001005','基础网格7华亿c7','220303001005007',2),('4500571434912598184','220303001005','基础网格16蔚蓝之都5','220303001005016',2),('4500571434912598709','220303001005','基础网格28安装1、2','220303001005028',2),('4500571434912598747','220303001005','专属网格2万达2层','220303001005030',2),('4500571434912598824','220303001005','专属网格5华亿C区商店1','220303001005033',2),('4500571434912598858','220303001005','专属网格6华亿C区商店2','220303001005034',2),('4500571537991816048','4459060232398831616','基础网格3龙腾20.21.22','220303001006003',2),('4500571537991816759','4459060232398831616','基础网格5龙腾5.6.12.15','220303001006005',2),('4500571572351554420','4459060232398831616','基础网格10丰翼东郡12.13.14','220303001006010',2),('4500571572351554457','4459060232398831616','基础网格11丰翼东郡15.16.17','220303001006011',2),('4500571572351554606','4459060232398831616','基础网格13上东一号a1.2.31.30.17.27','220303001006013',2),('4500571606711291113','220302001003','基础网格四','220302001003001',2),('4500571606711291413','220302001003','基础网格六','220302001003003',2),('4500571606711292297','220302001003','专属网格（道路运输管理局）','220302001003012',2),('4500571675430769826','220302003004','基础网格一（富民小区1、2号楼）','220302003004001',2),('4500571675430770730','220302003004','基础网格二富民小区3、4、5号楼','220302003004002',2),('4500571675430770941','220302003001','基础网格1','220302003001001',2),('4500571675430772114','220302003004','基础网格富民小区7','220302003004007',2),('4500571675430772183','220302003004','基础网格八富民10、13','220302003004008',2),('4500571709790503371','220382102218','四合屯村基础网格','220382102218001',2),('4500571709790509648','220302003004','专属网格三','220302003004009',2),('4500571950308671667','220302003003','专属网格1','220302003003011',2),('4500572122107365179','220303004003','专属网格三（曙光社区老工业区）','220303004003014',2),('4500572122107368312','220302003002','基础网格三(铁路108户)','220302003002003',2),('4500572122107370223','220302003002','专属网格三','220302003002010',2),('4500572328265794798','220302003006','基础网格2','220302003006002',2),('4500572396985273133','220302003006','专属网格3','2203020030060242',2),('4500572396985276584','4459060232398831616','专属网格1红星美凯龙','220303001006021',2),('4500572396985276727','220302003006','专属网格5','2203020030060201',2),('4500572396985277457','4459060232398831616','专属网格2红星酒店（未启用）','220303001006022',2),('4500572534424224735','220382107211','刘花骡子','220382107211004',2),('4500572534424226655','4459060232398831616','专属网格3龙腾西侧门市','220303001006023',2),('4500572534424227390','4459060232398831616','专属网格5幼儿园+物业','220303001006025',2),('4500572534424227533','4459060232398831616','专属网格6龙腾农贸市场（未启用）','220303001006026',2),('4500572534424227654','220302003006','专属网格8','220302003006023',2),('4500572534424227867','4459060232398831616','专属网格7龙腾2期东侧门市','220303001006027',2),('4500572534424228501','4459060232398831616','专属网格9上东a商店2','220303001006029',2),('4500572534424228579','4459060232398831616','专属网格10上东a商店3','220303001006030',2),('4500572534424229832','4459060232398831616','专属网格12上东a商店5','220303001006032',2),('4500572568783967070','4459060232398831616','专属网格14上东幼儿园','220303001006034',2),('4500572568783969172','220302003006','专属网格12（五郡售楼营销中心）','220302003006027',2),('4500572603143706216','4459060232398831616','专属网格19丰翼1期西侧门市','220303001006039',2),('4500572637503442852','220302002003','待建2','220302002003025',2),('4500572809302150299','220303006005','网格1','220303006005001',2),('4500572809302150483','220303006005','网格2','220303006005002',2),('4500572843661890171','220302004001','基础网格二','220302004001002',2),('4500572878021624607','220322104201','长山村三社','220322104201003',2),('4500572878021625556','220382002005','基础网格七','220382002005023',2),('4500572878021625631','220302004001','基础网格四','220302004001004',2),('4500572878021630651','220303102203','基础网格四','220303102203004',2),('4500572912381362973','220303102210','基础网格一','220303102210001',2),('4500572912381363051','220303102210','基础网格二','220303102210002',2),('4500572912381363215','220302004001','基础网格六','220302004001006',2),('4500572912381363311','220303102204','基础网格1','220303102204001',2),('4500572912381363432','220303102204','基础网格2','220303102204002',2),('4500572912381364145','220303102211','基础网格2','220303102211002',2),('4500572912381367389','220302004001','基础网格七','220302004001007',2),('4500572946741103621','220303102207','专属网格一（叶赫河/南河）','220303102207005',2),('4500572946741104307','4477019861485663565','基础网格一','220303200216001',2),('4500572946741104384','4477019861485663565','基础网格二','220303200216002',2),('4500572946741104647','4477019861485663565','基础网格三','220303200216003',2),('4500572946741104802','220302001003','基础网格一','220302001003008',2),('4500572946741105441','220303102205','基础网格4','220303102205004',2),('4500572946741105534','220303102205','基础网格5','220303102205005',2),('4500572946741105636','220302004001','基础网格十','220302004001010',2),('4500572946741105672','220303102205','基础网格6','220303102205006',2),('4500572946741105764','220322104200','爱德村五社','220322104200005',2),('4500572946741107710','220303102212','基础网格二','220303102212002',2),('4500572946741108020','220322104200','爱德村十一社','220322104200011',2),('4500572981100842878','220323201200','董家屯','220323201200002',2),('4500572981100843218','220303102204','基础网格7','220303102204007',2),('4500572981100843396','220303102204','基础网格9','220303102204009',2),('4500572981100844674','220323201201','山西屯','220323201201003',2),('4500572981100844855','220323201201','小五队屯','220323201201006',2),('4500573015460577398','220323201202','周岗子屯','220323201202002',2),('4500573015460577578','220302004007','基础网格六','220302004007007',2),('4500573015460578057','220303102206','基础网格3','220303102206003',2),('4500573015460578134','220303102212','专属网格三(叶赫那拉城)','220303102212009',2),('4500573015460578223','220303102206','基础网格6','220303102206006',2),('4500573015460578366','220303102206','基础网格7','220303102206007',2),('4500573015460578579','220303102212','专属网格二（转山湖水库）','220303102212008',2),('4500573015460578656','220303008003','基础网格12（华亿A31.32）','220303008003012',2),('4500573015460578733','220303008003','基础网格13（华亿A33.34）','220303008003013',2),('4500573015460579214','220303102207','基础网格四','220303102207004',2),('4500573015460583490','220302004002','基础网格二','220302004002002',2),('4500573084180059075','220323201202','鸭子沟屯','220323201202006',2),('4500573084180060076','220303100201','基础网格1','220303100201001',2),('4500573118539793300','220323201204','东刘屯','220323201204001',2),('4500573118539793335','220323201204','前八家子屯','220323201204002',2),('4500573118539793369','220323201204','后八家子屯','220323201204003',2),('4500573118539793631','220323201205','半道子屯','220323201205001',2),('4500573118539793708','220323201205','施家油坊屯','220323201205002',2),('4500573118539793743','220323201205','许小店屯','220323201205003',2),('4500573118539793950','220323201206','煤窑沟屯','220323201206002',2),('4500573118539793984','220323201206','丁家屯','220323201206003',2),('4500573118539794061','220303003001','鑫荣社区基础网格4','220303003001004',2),('4500573118539794151','220323201206','庙岭屯','220323201206004',2),('4500573118539794372','220303003001','鑫荣社区专属网格1（中央东路小学）','220303003001006',2),('4500573118539794670','220302001008','基础网格一','220302001008001',2),('4500573118539794895','220303102208','专属网格三（果园）','220303102208008',2),('4500573118539796937','220303101214','基础网格一','220303101214001',2),('4500573118539796971','220303101214','基础网格二','220303101214002',2),('4500573118539798057','220303102201','基础网格4','220303102201001',2),('4500573324698228759','220303101204','基础网格一','220303101204001',2),('4500573324698228793','220303101204','基础网格二','220303101204002',2),('4500573530856654695','220382102207','前六家子村基础网格','220382102207001',2),('4500573565216375008','220382004201','城镇村三屯','220382004201002',2),('4500573565216375046','220382004201','城镇村四屯','220382004201003',2),('4500573565216375827','220302003003','基础网格1','220302003003012',2),('4500573565216379121','220302003005','基础网格1（九洲一期）','220302003005018',2),('4500573771374805786','220302003007','基础网格2','220302003007002',2),('4500573771374811970','220302003005','基础网格4（海丰人家）','220302003005016',2),('4500573805734545144','220302003005','专属网格4（铁路下行公寓）','220302003005001',2),('4500573805734548818','220302003001','基础网格2','220302003001006',2),('4500573805734550408','220382107212','刘棚铺','220382107212001',2),('4500573840094283558','220302003003','基础网格六','220302003003003',2),('4500573840094283596','220382107212','铁老爷窝棚','220382107212002',2),('4500573840094286375','220382107212','吉顺屯','220382107212003',2),('4500573840094286410','4455233622696436969','天馨商砼有限公司','220323001200006',2),('4500573840094286560','220302003003','基础网格十二','220302003003009',2),('4500573840094286835','4455233622696436969','亿灵公交公司','220323001200009',2),('4500573840094289789','4455233622696436969','社会福利院','220323001200011',2),('4500573840094289823','220302003005','基础网格9（九洲三期）','220302003005011',2),('4500573977533237106','220302003005','专属网格10（少年宫）','220302003005024',2),('4500573977533256337','220303101207','基础网格一','220303101207001',2),('4500573977533256812','220303101206','基础网格一','220303101206001',2),('4500574011892978874','220302003005','专属网格11（秦氏眼科，悦涮坊，海丰园社区）','220302003005007',2),('4500574011892979949','220303101205','基础网格三','220303101205003',2),('4500574046252716453','220302003007','基础网格10','220302003007010',2),('4500574080612472026','220303101202','哈福县鹿场','220303101202003',2),('4500574080612472201','220303101216','基础网格一','220303101216001',2),('4500574149331943705','220303002002','专属网格1','220303002002011',2),('4500574149331944609','4477019861485663501','基础网格1（一屯，八屯，十屯）','220303200214001',2),('4500574149331944644','4477019861485663501','基础网格2（二屯，六屯，七屯）','220303200214002',2),('4500574183691683442','220303008003','专属网格1','220303008003024',2),('4500574183691683534','220303101215','基础网格四','220303101215004',2),('4500574183691683853','220303008003','专属网格3','220303008003026',2),('4500574183691683890','220303008003','专属网格4','220303008003027',2),('4500574183691684111','220303008003','专属网格5','220303008003028',2),('4500574183691684351','220303002002','基础网格6（华翼小区）','220303002002006',2),('4500574183691684681','220303101003','河东社区一组','220303101003001',2),('4500574183691686815','220303002002','基础网格9（百顺、一建1号2号）','220303002002009',2),('4500574183691686871','220302004002','基础网格三','2203020040020032',2),('4500574183691687137','220303002002','基础网格10（一建3号、洞北委平房）','220303002002010',2),('4500574183691687272','220302004005','基础网格二','220302004005002',2),('4500574218051405995','220303101211','基础网格二','220303101211002',2),('4500574218051409223','220302003007','专属网格2（203勘探队）','220302003007014',2),('4500574218051424565','220302001008','基础网格二','220302001008002',2),('4500574218051426242','220303006005','专属网格2（铁东实验小学）','220303006005007',2),('4500574252411158619','220303101003','河东社区三组','220303101003003',2),('4500574252411160817','220302004004','基础网格二','220302004004002',2),('4500574252411163392','220302004002','基础网格五','2203020040020033',2),('4500574252411163546','4459060232398831647','金水社区基础网格2','220303003006002',2),('4500574252411164717','4459060232398831647','金水社区基础网格5','220303003006005',2),('4500574252411164751','4459060232398831647','金水社区基础网格6','220303003006006',2),('4500574321130625789','220322104221','江东道村4社','220322104221004',2),('4500574321130639876','220303101004','河西社区一组','220303101004001',2),('4500574321130640764','220302004004','基础网格三','220302004004003',2),('4500574355490360781','220322104221','江东道村6社','220322104221006',2),('4500574355490360900','220322104221','江东道村7社','220322104221007',2),('4500574355490374192','220302004004','基础网格四','220302004004004',2),('4500574355490374314','220302004002','基础网格八','220302004002010',2),('4500574355490374533','220302004003','前锋社区网格2','220302004003002',2),('4500574355490374703','220303101004','河西社区三组','220303101004003',2),('4500574355490374737','220323111203','马家沟屯','220323111203001',2),('4500574355490374901','220303006005','专属网格4（顺达地产）','220303006005009',2),('4500574355490375107','220302004004','基础网格六','220302004004006',2),('4500574355490376621','220303101004','河西社区四组','220303101004004',2),('4500574355490376871','220302004002','基础网格九','220302004002003',2),('4500574389850115438','220303006005','专属网格6（腾达）','220303006005011',2),('4500574389850115791','220302004004','荒地','220302004004014',2),('4500574424209855029','220302001008','基础网格四','220302001008004',2),('4500574492929327922','220322104213','新农村四社','220322104213004',2),('4500574492929328045','220322104213','新农村五·社','220322104213005',2),('4500574492929328924','220302001008','基础网格六','220302001008006',2),('4500574492929329021','220322104213','新农村六社','220322104213006',2),('4500574492929333778','220302001008','基础网格八','220302001008008',2),('4500574492929334131','220302004005','基础网格八','220302004005008',2),('4500574527289071628','220382107201','前吴家','220382107201001',2),('4500574527289072635','220302004004','基础网格十一','220302004004011',2),('4500574561648804579','220303007002','基础网格一','220303007002001',2),('4500574596008547552','220303101213','基础网格一','220303101213001',2),('4500574699087760395','220302004006','基础网格六','220302004006006',2),('4500574733447496638','220302002006','基础网格2','220302002006002',2),('4500574733447497707','220302002006','基础网格5','220302002006005',2),('4500574733447497959','220302004003','前锋社区网格5','220302004003005',2),('4500574733447498082','220302002006','基础网格8','220302002006008',2),('4500574733447498334','220302002007','基础网格2','220302002007002',2),('4500574733447500145','220302004006','基础网格九','220302004006009',2),('4500574733447501256','4477019861485663469','基础网格2','220303200213002',2),('4500574733447502565','4477019861485663469','基础网格3','220303200213003',2),('4500574767807237993','220303001004','基础网格3 A3、5、7、9','220303001004003',2),('4500574767807240031','220303101211','基础网格一','220303101211001',2),('4500574767807241678','220302004006','基础网格十一','220302004006011',2),('4500574802166975238','220302004006','基础网格十二','220302004006012',2),('4500574802166975360','220303001004','基础网格7-c04.05.06','220303001004007',2),('4500574802166978097','220303001004','基础网格9-c10.11.12.13.14','220303001004009',2),('4500574802166978218','220303001004','基础网格10-c15.16.d01.02','220303001004010',2),('4500574802166979978','220303002003','基础网格4（南三西里小区1.2.3.4）','220303002003004',2),('4500574802166980288','220303002003','基础网格5（南三西里小区5.6.7.8）','220303002003005',2),('4500574802166980322','220302004006','基础网格十四','220302004006014',2),('4500574802166980507','220302002003','基础网格2','220302002003002',2),('4500574870886449155','220303001004','专属网格8-双语幼儿园','220303001004022',2),('4500574870886449512','220302002003','基础网格6','220302002003006',2),('4500574870886449633','220302002003','基础网格7','220302002003007',2),('4500574870886449754','220302004002','基础网格十三','220302004002007',2),('4500574870886450120','220302002003','基础网格9','220302002003009',2),('4500574870886450444','220302002004','宏泰第一城一网格','220302002004029',2),('4500574870886450623','220302002006','基础网格9','220302002006009',2),('4500574870886450842','220302002006','基础网格10','220302002006010',2),('4500574870886450967','220302002006','基础网格11','220302002006011',2),('4500574870886451008','220302002006','基础网格12','220302002006012',2),('4500574905246195195','220303200209','基础网格2','220303200209001',2),('4500574905246195477','220303200209','基础网格6','220303200209005',2),('4500574905246195510','220302002004','宏泰第一城五网格','220302002004060',2),('4500574905246195547','220302005009','基础网格一','220302005009001',2),('4500574939605926493','220303008003','专属网格7','220303008003030',2),('4500574939605926527','4459060232398831647','金水社区基础网格7','220303003006012',2),('4500575042685143313','220303101201','基础网格一','220303101201001',2),('4500575042685144599','220303101201','基础网格二','220303101201002',2),('4500575077044885220','220303002003','基础网格9（兴红家园小区6.7.8.9.10）','220303002003009',2),('4500575111404625314','220302002004','巨展名仕、伊圣雅歌','2203020020040252',2),('4500575111404625852','220303101001','专属网格（吉春制药）','220303101001002',2),('4500575145764356450','220303002001','基础网格3（小乐园小区）','220303002001003',2),('4500575145764356484','220302002004','广电大厦、社保中心','2203020020040602',2),('4500575145764359546','220302002004','阳光新城二网格','2203020020040021',2),('4500575145764359698','220302002004','阳光新城四网格','220302002004004',2),('4500575214483833889','220302002003','教育学院','220302002003014',2),('4500575248843577477','220302002004','铁西法院执行庭','220302002004044',2),('4500575248843577512','220302002003','吉奥脑科医院','220302002003017',2),('4500575248843577750','220302002003','南山粮库','220302002003019',2),('4500575248843578050','220302002004','东堪小区、百草园','2203020020040041',2),('4500575248843578651','220302002004','金碧湖畔二网格','2203020020040061',2),('4500575248843579322','220302002004','邮局，周边商网','2203020020040603',2),('4500575283203309682','220302002005','基础网格1','220302002005001',2),('4500575283203309717','220302002005','基础网格2','220302002005002',2),('4500575283203309795','220302002005','基础网格3','220302002005003',2),('4500575283203311919','220302002004','薄板，土肥楼','220302002004036',2),('4500575283203314828','220303006003','网格二','220303006003002',2),('4500575283203314963','220303006003','网格三','220303006003003',2),('4500575283203315084','220303006003','网格四','220303006003004',2),('4500575283203315209','220303006003','企业网格一','220303006003013',2),('4500575317563052858','220302002004','日报社家属楼，安全局家属楼','220302002004058',2),('4500575317563052894','220302002004','四平市邮政管理局','220302002004045',2),('4500575317563053275','220302002004','天宇驾校','220302002004061',2),('4500575455002007986','220302005007','第一基础网格','220302005007001',2),('4500575489361745625','220302002007','基础网格12','220302002007012',2),('4500575489361745761','220302002007','基础网格13','220302002007013',2),('4500575489361745796','220302002006','基础网格13','220302002006013',2),('4500575558081219430','220382203202','永家堡网格','220382203202002',2),('4500575558081221477','220302005007','第五基础网格','220302005007005',2),('4500575558081221858','4459060232398831647','金水社区基础网格9','220303003006016',2),('4500575558081222160','4459060232398831647','金水社区基础网格11','220303003006018',2),('4500575558081222210','220322104202','船口村4社','220322104202004',2),('4500575558081222334','4459060232398831647','金水社区基础网格12','220303003006019',2),('4500575558081222430','4459060232398831647','金水社区基础网格13','220303003006020',2),('4500575592440955593','220322104202','船口村6社','220322104202006',2),('4500575592440955679','4459060232398831647','金水社区基础网格16','220303003006023',2),('4500575592440955782','220302005004','基础网格三','220302005004003',2),('4500575592440956683','220303006003','网格一','220303006003001',2),('4500575592440956819','4459060472917004365','树俭社区4组','220322003003005',2),('4500575592440956937','4459060472917004365','树俭社区5组','220322003003006',2),('4500575592440957198','220302002005','第四人民医院','220302002005011',2),('4500575592440960998','220302005002','基础网格1','220302005002001',2),('4500575592440961664','220382004001','西化社区第二网格','220382004001002',2),('4500575592440962255','220302005002','基础网格5','220302005002005',2),('4500575592440962539','4459060232398831647','金水社区专属网格8(星缘小广场)','220303003006025',2),('4500575592440962704','4459060232398831647','金水社区基础网格18','220303003006026',2),('4500575592440962825','220302005002','基础网格9','220302005002009',2),('4500575592440962989','220302005002','基础网格10','220302005002010',2),('4500575626800694259','220303001002','基础网格10 （海银9号1、2、3）','220303001002010',2),('4500575626800695240','220302005001','第三基础网格','220302005001003',2),('4500575626800698534','220302001004','第九基础网格牡丹小区+机械化团+小四层+众达','220302001004006',2),('4500575661160435174','4455233622696437033','西岭石油液化气有限公司','220323001202005',2),('4500575661160435340','220302001004','第五基础网格空军一、二院','220302001004009',2),('4500575661160435528','220382004201','城镇村二屯','220382004201001',2),('4500575661160435562','4455233622696437033','永盛粮贸有限公司','220323001202006',2),('4500575661160435682','220302005001','第六基础网格','220302005001006',2),('4500575661160435784','4455233622696437033','温家岭苯板厂','220323001202007',2),('4500575661160435845','220302001004','专属网格二幼儿师范、盲童学校、聋哑学校、空军幼儿园、粪肥管理所','220302001004010',2),('4500575729879909662','220303007002','基础网格二','220303007002002',2),('4500575729879909915','220302005006','第三基础网格','220302005006003',2),('4500575729879910822','220382107202','巨兴','220382107202005',2),('4500575729879911171','220302005006','第七基础网格','220302005006007',2),('4500575729879911294','220302005006','第九基础网格','220302005006009',2),('4500575729879911639','220302002001','基础网格八','220302002001008',2),('4500575729879911910','220302002001','基础网格九','220302002001009',2),('4500575764239648232','220303007001','基础网格三','220303007001003',2),('4500575764239651850','220303007001','基础网格四','220303007001004',2),('4500575764239651929','220382102202','同乐村基础网格1','220382102202001',2),('4500575798599385902','220303001002','专属网格3 （吉林省基础测绘院）','220303001002018',2),('4500575798599386335','220302005001','第十三基础网格','220302005001013',2),('4500575798599391820','4459060301118312868','永宁2委','220323002005002',2),('4500575798599392043','4459060301118312868','永宁3委','220323002005003',2),('4500575798599392077','220303006001','专属网格二（平房拆迁区一）','220303006001008',2),('4500575832959112727','220302003001','专属网格3（四平站）','220302003001007',2),('4500575901678585141','4455233622696438592','铁路医院（双辽市第一人民医院）专属网格','220382001201014',2),('4500575936038323427','220382001001','火车站专属网格','220382001001015',2),('4500575936038324287','220382001001','烟草公司专属网格','220382001001016',2),('4500575936038338937','220303001002','专属网格6 （庆丰委动迁区）','220303001002021',2),('4500575936038339276','220322104205','六屋村2社','220322104205002',2),('4500575936038341866','220303007002','基础网格五','220303007002005',2),('4500575936038342523','220303007002','基础网格六','220303007002006',2),('4500575936038342854','220303007002','基础网格七','220303007002007',2),('4500575970398077810','220302002001','部队','220302002001013',2),('4500575970398081482','220303008004','基础网格10','220303008004010',2),('4500575970398081561','220303008004','基础网格11','220303008004011',2),('4500576004757818679','220302005004','专属网格一','220302005004007',2),('4500576004757818970','220302005009','专属网格二','220302005009009',2),('4500576004757819053','220302005009','专属网格三','220302005009010',2),('4500576004757821650','220302002001','水利局','220302002001017',2),('4500576039117543090','220382202201','刘家街','220382202201001',2),('4500576039117543703','220382202206','张家船口','220382202206005',2),('4500576039117556332','4459060472917004275','二组','220322001002002',2),('4500576039117559199','220302001002','基础网格八','220302001002007',2),('4500576107837030860','4459060472917004275','三组','220322001002003',2),('4500576142196769884','220302005005','第一基础网格','220302005005001',2),('4500576142196771449','4459060472917004275','五组','220322001002005',2),('4500576142196773983','220302005005','第四基础网格','220302005005004',2),('4500576142196774018','4459060472917004275','六组','220322001002006',2),('4500576142196774055','220302005005','第五基础网格','220302005005005',2),('4500576142196774090','220302001002','基础网格七','220302001002008',2),('4500576142196774377','4476990724427428794','第二基础网格','220302005010002',2),('4500576142196774848','4476990724427428794','第四基础网格','220302005010004',2),('4500576142196775346','220302005005','第十基础网格','220302005005010',2),('4500576142196775469','4476990724427428794','第五基础网格','220302005010005',2),('4500576176556511822','220302005001','第十一基础网格','2203020050010123',2),('4500576210916253432','220302005004','专属网格五','220302005004011',2),('4500576210916253468','220303002001','专属网格11   无人','220303002001023',2),('4500576245275971137','4455233794495130370','北杏山村一组','220322001200001',2),('4500576279635706665','220303102200','基础网格1','220303102200001',2),('4500576279635706831','220303102200','基础网格2','220303102200002',2),('4500576279635722895','220303002001','基础网格7（线路小区）','220303002001007',2),('4500576279635726791','220302005002','专属网格2','220302005002014',2),('4500576279635727475','4459060232398831647','金水社区专属网格9(金汇大酒店)','220303003006027',2),('4500576313995461009','220323111201','东范家烧锅','220323111201001',2),('4500576313995462129','220323111201','西范家烧锅','220323111201010',2),('4500576313995462207','220382107203','公安八屯','220382107203001',2),('4500576313995463103','220323111201','葫芦头沟屯','220323111201003',2),('4500576313995463276','220303007004','基础网格二','220303007004002',2),('4500576313995463353','220303002001','基础网格11（宏泰幸福城2）','220303002001011',2),('4500576313995463394','220302005001','第二专属网格','220302005001012',2),('4500576313995464313','220323111201','小门楼屯','220323111201004',2),('4500576313995465262','220303006001','专属网格三（铁东区实验幼儿园）','220303006001009',2),('4500576313995467217','220382107203','前谢船口','220382107203002',2),('4500576313995467555','220323111201','迎风咀子','220323111201009',2),('4500576313995467589','220303200211','基础网格1','220303200211001',2),('4500576348355188078','4500570713358091199','基础网格一','220382202001001',2),('4500576348355204624','4476990724427428794','第十三基础网格','220302005010013',2),('4500576348355204660','4476990724427428794','第十四基础网格','220302005010014',2),('4500576348355205128','220303002001','专属网格5','220303002001017',2),('4500576382714938574','220302005001','第四专属网格','220302005001015',2),('4500576382714938787','4459060301118312900','二十四委','220323002006003',2),('4500576382714938873','220302005001','第五专属网格','220302005001016',2),('4500576382714939039','220303007004','专属网格一','220303007004010',2),('4500576382714939351','220322108000','三家子林场','220322400217',1),('4500576382714940049','220322108000','十家堡卫生院','220322400218',1),('4500576382714940226','220302005001','第六专属网格','220302005001017',2),('4500576382714940261','220303006001','专属网格四（康隆药业有限公司）','220303006001010',2),('4500576382714943713','220303006001','专属网格五（北门派出所）','220303006001011',2),('4500576382714944596','220302005001','第八专属网格','220302005001019',2),('4500576382714944719','4459060301118312772','十三委','220323002001003',2),('4500576382714944797','4455233622696437065','十九委','220323002003001',2),('4500576382714944970','220303007004','基础网格八','220303007004008',2),('4500576451434414155','220303006001','专属网格七（变电所）','220303006001013',2),('4500576451434420017','220303006001','专属网格十五（水源地拆迁区）','220303006001021',2),('4500576451434420410','220303006001','专属网格十六（天信水泥有限责任公司）','220303006001022',2),('4500576657592846375','220302002002','吉林师范大学','220302002002009',2),('4500576657592846496','220302002002','吉林师范大学博达学院','220302002002010',2),('4500576657592848993','220302005008','第一基础网格','220302005008001',2),('4500576657592849080','220302005008','第二基础网格','220302005008002',2),('4500576657592851072','220302002002','吉林师范大学附属中学','220302002002011',2),('4500576657592851165','220303006002','专属网格一（久能公司）','220303006002002',2),('4500576657592851285','4459060232398831647','金水社区基础网格19','220303003006028',2),('4500576691952583323','220302005008','第六基础网格','220302005008006',2),('4500576760672048173','220382201210','柳条村一屯二屯','220382201210001',2),('4500576795031785219','4455233794495130370','北杏山村二组','220322001200002',2),('4500576795031797937','4459060301118312772','十一委','220323002001001',2),('4500576829391542334','220302005003','第二基础网格','220302005003002',2),('4500576829391542500','220302005003','第四基础网格','220302005003004',2),('4500576829391542627','220302005003','第六基础网格','220302005003006',2),('4500576863751276007','220302005003','第七基础网格','220302005003007',2),('4500576863751279173','220302005003','第十四基础网格','220302005003011',2),('4500576863751282148','220302005003','第十三基础网格','220302005003010',2),('4500577001190232154','4455233485257490087','专属网格四（大鹰广场）','220303004006030',2),('4500577035549972228','220303002001','专属网格6','220303002001018',2),('4500577035549972306','220302005008','第六专属网格','220302005008012',2),('4500577035549974348','4459060472917004335','兴旺一组','220322003004001',2),('4500577104269427502','4455233622696436905','正阳社区2组1网格','220323001002003',2),('4500577104269446766','4459060472917004335','兴旺六组','220322003004006',2),('4500577138629169105','4455233794495130370','北杏山村五组','220322001200005',2),('4500577138629169324','4455233794495130370','北杏山村七组','220322001200007',2),('4500577172988925134','220303006001','专属网格十七（小微企业区）','220303006001023',2),('4500577207348648226','4455233622696436905','伊通客运总站','220323001002010',2),('4500577241708401151','220382004200','东风村四屯五屯','220382004200004',2),('4500577241708401659','4455233794495130340','网格二','220322001001002',2),('4500577241708401885','220303002001','专属网格7','220303002001019',2),('4500577379147334480','220382006201','敖卜村主街基础网格','220382006201001',2),('4500577379147334886','220382006201','敖卜村后庙基础网格','220382006201003',2),('4500577379147335825','220382006204','官井村南厂子基础网格','220382006204002',2),('4500577379147336944','220382006205','夏家街基础网格','220382006205002',2),('4500577379147337429','220382006205','一马树基础网格','220382006205004',2),('4500577482226554356','220382201200','清沟一屯二屯三屯','220382201200001',2),('4500577482226570493','220382107208','昌盛','220382107208001',2),('4500577516586303740','220382107208','繁荣','220382107208003',2),('4500577722744719072','220382102214','协力村基础网格','220382102214001',2),('4500577860183689313','220303200203','基础网格3','220303200203003',2),('4500577928903168759','220382107209','黄贞','220382107209004',2),('4500577928903171359','220303200203','基础网格6','220303200203006',2),('4500577997622643960','220382107209','孤家屯','220382107209005',2),('4500578031982383818','4459060301118312804','永宁9委','220323002002002',2),('4500578031982383959','4459060301118312804','永宁10委','220323002002003',2),('4500578031982384096','4459060301118312804','永宁18委','220323002002004',2),('4500578100701860764','220302004004','专属网格十二','220302004004013',2),('4500578169421339664','4455233794495130405','霍家店村三组','220322003201003',2),('4500578203781058422','220323103204','四门张家','220323103204004',2),('4500578203781058642','220323103204','东窝棚','220323103204005',2),('4500578238140793226','220323103200','倪家店','220323103200001',2),('4500578238140798516','220323103200','三合屯','220323103200005',2),('4500578272500533964','220323103201','未腰屯','220323103201004',2),('4500578272500534256','220323103201','未东屯','220323103201005',2),('4500578272500555186','4455233794495130405','霍家店村八组','220322003201008',2),('4500578341220015634','220323103203','韩家屯','220323103203001',2),('4500578375579746723','220323103203','大陈油坊','220323103203004',2),('4500578375579747387','220323103203','西程屯','220323103203006',2),('4500578375579747755','220323103203','袁家岭','220323103203007',2),('4500578375579752750','220323111202','蟒丈沟屯','220323111202001',2),('4500578375579752998','220323111202','岳家屯','220323111202003',2),('4500578375579753188','220323111202','太阳岭屯','220323111202004',2),('4500578375579753347','220323111202','大黄沟屯','220323111202005',2),('4500578375579753703','220323111202','孔家沟屯','220323111202007',2),('4500578409939490334','220323103205','石头哨','220323103205003',2),('4500578409939492767','220302003006','专属网格16','220302003006012',2),('4500578409939503317','4455233794495130405','霍家店村十五组','220322003201015',2),('4500578409939503395','4455233794495130405','霍家店村十六组','220322003201016',2),('4500578409939509165','220302001001','基础网格八','220302001001008',2),('4500578444299242208','4459060472917004245','一网格','2203224060020101',2),('4500578478658982244','220302005003','第三专属网格','220302005003017',2),('4500578478658983013','220302001001','基础网格十二','220302001001012',2),('4500578478658983270','220303100202','基础网格1','220303100202001',2),('4500578478658983586','220303100202','基础网格2','220303100202002',2),('4500578478658984046','220303100204','基础网格1','220303100204001',2),('4500578478658984123','220302001001','专属网格（医院）','220302001001013',2),('4500578478658985240','220303100207','基础网格2','220303100207002',2),('4500578478658985317','220303100208','基础网格2','220303100208002',2),('4500578478658985510','220303100211','基础网格1','220303100211001',2),('4500578581738197175','4476990724427428794','第二专属网格','220302005010022',2),('4500578581738197254','4476990724427428794','第三专属网格','220302005010023',2),('4500578616097936698','220303001005','基础网格1华亿c1','220303001005001',2),('4500578616097937008','220303001005','基础网格2华亿c2','220303001005002',2),('4500578616097938181','220303001005','基础网格9华亿c9','220303001005009',2),('4500578616097938333','220303001005','基础网格11华亿c11','220303001005011',2),('4500578616097938425','220303001005','基础网格12蔚蓝之都1','220303001005012',2),('4500578616097938603','220303001005','基础网格14蔚蓝之都3','220303001005014',2),('4500578616097938639','220303001005','基础网格17万达a1','220303001005017',2),('4500578616097938673','220303001005','基础网格20万达a4','220303001005020',2),('4500578616097938707','220303001005','基础网格22万达a6','220303001005022',2),('4500578616097938741','220303001005','基础网格24万达b4','220303001005024',2),('4500578616097938991','220303001005','基础网格27万达c6','220303001005027',2),('4500578616097939156','220303001005','专属网格7华亿C区幼儿园','220303001005035',2),('4500578616097939190','220303001005','专属网格8华亿C区洗浴','220303001005036',2),('4500578616097939267','220303001005','专属网格10华亿商圈','220303001005038',2),('4500578650457674837','4459060232398831616','基础网格7龙腾23.24','220303001006007',2),('4500578684817411103','220302001003','基础网格二','220302001003009',2),('4500578684817412523','220302001003','基础网格五','220302001003002',2),('4500578684817412846','220302001003','基础网格七','220302001003004',2),('4500578684817413200','220302001003','专属网格（空军三师）','220302001003011',2),('4500578753536888722','220322200202','老山头村七社','220322200202007',2),('4500578753536891057','220302003004','基础网格五新月楼','220302003004005',2),('4500578753536891196','220302003004','基础网格六林平1、2、3、4','220302003004006',2),('4500578787896624218','220302003001','专属网格2','220302003001002',2),('4500578925335582813','220302003004','专属网格四','220302003004010',2),('4500579131494007378','220302003002','基础网格一(铁路南湖小区1.2.3号楼)','220302003002001',2),('4500579165853748471','220302003002','专属网格一','220302003002008',2),('4500579165853749460','220302003002','专属网格二','220302003002009',2),('4500579165853751193','220302003004','基础网格九(平房区)','220302003004012',2),('4500579165853753104','220302003002','专属网格七','2203020030020141',2),('4500579200213484247','220302003001','专属网格1','220302003001003',2),('4500579200213487591','220302003001','基础网格4','220302003001004',2),('4500579372012178305','220302003006','基础网格3','220302003006003',2),('4500579372012179993','220302003006','基础网格5','220302003006005',2),('4500579372012180139','220302003006','基础网格7','220302003006007',2),('4500579440731654936','220302003006','基础网格8','220302003006008',2),('4500579475091394207','220302003006','基础网格10','2203020030060101',2),('4500579475091394329','220302003006','基础网格11','2203020030060102',2),('4500579475091397616','220302003006','专属网格2','2203020030060142',2),('4500579509451132595','220382107211','焦家窝棚','220382107211003',2),('4500579509451133152','4459060232398831616','专属网格4龙腾东侧门市','220303001006024',2),('4500579543810870109','4459060232398831616','专属网格8上东a商店1','220303001006028',2),('4500579543810871743','220302003006','专属网格10','2203020030060252',2),('4500579543810871778','4459060232398831616','专属网格11上东a商店4','220303001006031',2),('4500579887408241188','220323103208','后学房','220323103208001',2),('4500579887408241766','220323103208','曹家屯','220323103208005',2),('4500579887408251644','4459060232398831616','专属网格13上东物业','220303001006033',2),('4500579887408251824','4459060232398831616','专属网格15上东a西侧门市','220303001006035',2),('4500579887408257439','4459060232398831616','专属网格20丰翼物业','220303001006040',2),('4500580265365363042','220382004001','西化社区第三网格','220382004001003',2),('4500580780761448826','220302003005','专属网格1（一期物业）','220302003005020',2),('4500580780761451967','220302003005','基础网格2（九洲一期）','220302003005003',2),('4500580780761452519','220302003001','基础网格3','220302003001005',2),('4500581845913324345','220382102203','孤店村基础网格一','220382102203001',2),('4500581948992538847','220382201204','小陵村四屯','220382201204004',2),('4500581948992538929','220382201204','小陵村五屯','220382201204005',2),('4500581948992543310','220382201208','白牛村一屯四屯','220382201208001',2),('4500582155150967034','220382201203','丰宝村一屯二屯','220382201203001',2),('4500582155150967943','220382201203','丰宝村三屯','220382201203003',2),('4500582945424966748','220302003005','基础网格5（海丰人家）','2203020030050133',2),('4500582979784704491','220302003007','基础网格3','220302003007003',2),('4500582979784710605','4459060472917004245','四网格','2203224060020104',2),('4500583014144446011','220302003007','基础网格4','220302003007004',2),('4500583014144447700','4455233622696436969','庆德新村','220323001200001',2),('4500583014144448442','4455233622696436969','看守所','220323001200005',2),('4500583048504185145','220302003007','基础网格5','220302003007005',2),('4500583185943123955','220382201203','丰宝村村','220382201203006',2),('4500583185943134973','220302003003','基础网格三','220302003003014',2),('4500583185943135137','220302003003','基础网格五','220302003003002',2),('4500583185943135172','220302003005','专属网格6（二期物业）','220302003005022',2),('4500583185943135382','220302003007','基础网格6','220302003007006',2),('4500583185943138312','4455233622696436969','三星村','220323001200004',2),('4500583185943138993','4455233622696436969','天宝粮库','220323001200008',2),('4500583185943139027','220302003007','基础网格7','220302003007007',2),('4500583185943139430','4455233622696436969','宝捷集团养老院','220323001200010',2),('4500583185943140187','220302003005','专属网格9（九州三期商业综合楼）','220302003005014',2),('4500583289022353218','220303001003','专属网格烟厂社区','220303001003010',2),('4500583289022353929','220302003005','专属网格12（电视台，园林处）','220302003005009',2),('4500583289022356915','220302003005','基础网格10（警官公寓）','220302003005004',2),('4500583735698938354','4455233622696436798','福宁3委1网格','220323001001001',2),('4500583804418414676','220323104202','五台子村五台子屯','220323104202001',2),('4500583873137893059','220323104202','五台子村小学','220323104202004',2),('4500583873137909653','220302003007','基础网格11','220302003007011',2),('4500583907497626867','220382202207','大金屯','220382202207002',2),('4500583907497630231','220382103214','农科村二屯','220382103214001',2),('4500583907497640046','220302003005','专属网格14（富民站）','220302003005017',2),('4500583907497646556','220302003005','基础网格11（警官公寓）','220302003005019',2),('4500583941857366198','4455233622696436798','福宁5委3网格','220323001001009',2),('4500583976217102146','220382202203','新胜村二三屯','220382202203002',2),('4500583976217103353','220322104217','二里界村2社','220322104217002',2),('4500583976217104994','220322104217','二里界村4社','220322104217004',2),('4500583976217105567','220322104217','二里界村7社','220322104217007',2),('4500583976217105736','220322104217','二里界村8社','220322104217008',2),('4500583976217121180','220302003005','专属网格16（气象局，工会）','220302003005026',2),('4500583976217122580','220302003005','基础网格13（华生龙庭）','220302003005012',2),('4500584044936580341','220302003006','基础网格14（大禹新建）','2203020030060202',2),('4500584079296321159','220382004003','北宁社区第一网格','220382004003001',2),('4500584079296322815','4455233622696436798','福宁2委2网格','220323001001011',2),('4500584148015792233','220322104208','土龙村2社','220322104208002',2),('4500584148015792371','220322104208','土龙村3社','220322104208003',2),('4500584148015793259','220322104208','土龙村7社','220322104208007',2),('4500584148015793477','220322104208','土龙村8社','220322104208008',2),('4500584148015796917','4455233622696436798','福宁1委2网格','220323001001014',2),('4500584148015797086','4455233622696436798','福宁1委3网格','220323001001015',2),('4500584182375547591','220302003005','专属网格17（南湖小广场）','220302003005002',2),('4500584182375554301','220302003003','专属网格二','220302003003015',2),('4500584182375554754','220322104221','江东道村1社','220322104221001',2),('4500584182375554973','220322104221','江东道村2社','220322104221002',2),('4500584216735285396','220322104221','江东道村3社','220322104221003',2),('4500584388533963083','220382202209','孟家船口','220382202209002',2),('4500584422893702861','220382202209','梁家炉','220382202209003',2),('4500584525972932612','4455233794495130465','东白山村三组','220322003202003',2),('4500584525972935856','4455233794495130465','东白山村四组','220322003202004',2),('4500584629052131484','220382102201','卧虎中学','220382102201002',2),('4500584663411870101','220322104209','围子村2社','220322104209002',2),('4500584663411870135','220322104209','围子村3社','220322104209003',2),('4500584697771611236','220382105000','东二龙社区','220382105005',1),('4500584697771611335','220382105000','前三家子社区','220382105006',1),('4500584697771611881','4459060301118312740','庆德社区2网格','220323001004002',2),('4500584766491086582','220322104212','新家村3社','220322104212003',2),('4500584766491086751','220382202211','金喇叭窝房','220382202211002',2),('4500584766491086936','220382202211','周家街','220382202211001',2),('4500584766491087044','220322104212','新家村5社','220322104212005',2),('4500584766491087279','220382202211','前山丁树','220382202211003',2),('4500584766491087819','220322104212','新家村7社','220322104212007',2),('4500584835210561007','4455233622696436798','科协','220323001001018',2),('4500584835210562797','4455233622696436798','融媒体中心','220323001001022',2),('4500584869570300216','4455233622696436798','青少年活动中心','220323001001027',2),('4500584869570300401','220382104200','王奔村一屯','220382104200001',2),('4500584903930053031','4455233622696438592','铁路俱乐部专属网格','220382001201015',2),('4500584938289774602','4455233622696436798','卫校','220323001001030',2),('4500584972649517372','4455233622696436798','规划勘测设计院','220323001001033',2),('4500585007009253385','4455233622696436798','交警大队','220323001001034',2),('4500585041368990082','220382004003','北宁社区第六网格','220382004003006',2),('4500585041368995139','4455233622696436905','伊通河看护中心','220323001002012',2),('4500585041368995805','4455233622696436905','鑫盛源购物中心','220323001002019',2),('4500585041368995897','4455233622696436905','县第一幼儿园','220323001002020',2),('4500585110088490318','220382202202','新立二屯','220382202202002',2),('4500585110088490731','220382202203','新胜村一屯','220382202203001',2),('4500585178807945787','4459060472917004455','岫岩3组','220322003203003',2),('4500585178807945979','4459060472917004455','岫岩8组','220322003203008',2),('4500585178807946284','4459060472917004455','岫岩10组','220322003203010',2),('4500585316246897863','220382006000','双辽市实验林场','220382006206000',1),('4500585316246898472','4500585316246897863','实验林场基础网格','220382006206001',2),('4500585453685873010','220303102200','基础网格3','220303102200003',2),('4500585659844284291','220382202207','傅家街','220382202207004',2),('4500585659844303695','4500570747717832707','基础网格一','220382202002001',2),('4500585694204026785','220382101216','多甲村','220382101216001',2),('4500585728563758904','220322104210','西道村4社','220322104210004',2),('4500585900362451870','220323106200','小河南屯','220323106200004',2),('4500585934722189884','220323106201','腰大榆树屯','220323106201003',2),('4500585969081931379','220323106202','山头子屯','220323106202001',2),('4500585969081931688','220323106202','嘎达屯','220323106202002',2),('4500585969081933251','220323106202','头道沟屯','220323106202005',2),('4500586037801403340','220323106203','河南三屯','220323106203003',2),('4500586037801404040','220323106203','白家沟','220323106203005',2),('4500586037801404586','220323106203','后吹手沟屯','220323106203007',2),('4500586037801404706','4455233622696436905','农广校','220323001002027',2),('4500586037801408904','220323106204','何家屯','220323106204001',2),('4500586072161143804','220323106208','山西屯','220323106208001',2),('4500586072161144098','220323106208','山嘴子屯','220323106208002',2),('4500586072161148126','220323106208','厢房屯','220323106208005',2),('4500586072161148732','220323106208','宋家屯','220323106208007',2),('4500586106520879192','220323106208','张家屯','220323106208008',2),('4500586140880618714','220382200209','井岗村五屯','220382200209003',2),('4500586209600099478','4455233622696436905','一家人老年公寓','220323001002028',2),('4500586209600100032','220322104214','友贤村4社','220322104214004',2),('4500586450118269607','220382105200','玻璃山村一、二、三、四屯混居','220382105200001',2),('4500586484478007100','220323106205','柴家岗子屯','220323106205002',2),('4500586484478007353','220323106205','侯家屯','220323106205003',2),('4500586484478007903','220323106205','祝家沟','220323106205005',2),('4500586553197497839','4455233794495130370','北杏山村三组','220322001200003',2),('4500586621916973281','220382006201','敖卜村前屯基础网格','220382006201002',2),('4500586621916973649','220382006202','白菜村基础网格','220382006202001',2),('4500586621916973915','220382006203','郝家村基础网格','220382006203001',2),('4500586621916974762','220382006204','官井村小七棵基础网格','220382006204003',2),('4500586621916975509','220382006205','郝家街基础网格','220382006205003',2),('4500586724996170331','4459060472917004335','兴旺五组','220322003004005',2),('4500586724996172298','220323103212','陈家岗子屯','220323103212002',2),('4500586724996175957','220382200203','后包家7屯','220382200203007',2),('4500586759355909814','220382200203','孟家窝棚6、9屯','220382200203006',2),('4500586793715652513','4459060301118312964','邵家村四组','220323002202003',2),('4500586828075385447','220323103207','程屯','220323103207001',2),('4500586828075386002','220323103207','前张店屯','220323103207004',2),('4500586931154623684','220382201214','吉兴村一二屯','220382201214001',2),('4500587274751986746','220382003006','建行楼','220382003006034',2),('4500587343471466876','220382200200','站东屯','220382200200006',2),('4500587377831199614','220382200200','王家油坊','220382200200003',2),('4500587446550683588','4500556522786130569','秀水村一屯','220382101211001',2),('4500587480910431670','220323103204','新开河','220323103204002',2),('4500587480910433420','220323103204','街里屯','220323103204006',2),('4500587515270174820','220323103200','新立屯','220323103200002',2),('4500587515270175099','220323103200','下营子','220323103200004',2),('4500587549629898286','220382202206','前汲水','220382202206002',2),('4500587549629898467','220382202206','后汲水','220382202206003',2),('4500587549629898633','220382202206','后道卡子','220382202206004',2),('4500587652709124559','220323103201','北岗子屯','220323103201001',2),('4500587755788339127','220302003006','基础网格12（五郡工地新建）','2203020030060103',2),('4500587755788339406','220323103202','前周家屯','220323103202001',2),('4500587755788339662','220323103202','前高家屯','220323103202003',2),('4500587755788339743','220323103202','侯家屯','220323103202005',2),('4500587755788339777','220323111202','范家窝棚屯','220323111202002',2),('4500587893227298800','220323103205','杜家炉屯','220323103205004',2),('4500587961946754136','220382202205','马家三屯','220382202205002',2),('4500587961946755195','220382200202','套拉干土','220382200202002',2),('4500587961946755530','220382200202','德家窝棚','220382200202003',2),('4500588030666231784','4500553430409676987','羊一队社区一屯（乌兰屯）','220382105002001',2),('4500588030666232259','4500553430409676987','羊一队社区二屯（白沙屯）','220382105002002',2),('4500588065025967986','220382202205','马家五屯','220382202205004',2),('4500588236824659113','220382200201','兴旺屯','220382200201006',2),('4500588305544141112','4476990724427430849','专属网格二','220303005003010',2),('4500588374263612537','220382200207','那木村1屯','220382200207001',2),('4500588374263612847','220382200207','那木村3屯','220382200207003',2),('4500588374263618236','4476990724427430555','专属网格四','220303005004017',2),('4500588477342848789','220382201206','红石村腰街屯','220382201206001',2),('4500588511702565430','220382002005','启蒙幼儿园','220382002005020',2),('4500588511702567246','220382002005','绿洲大厦','220382002005005',2),('4500588511702568134','4477022885142641043','衙门社区后衙门屯','220382101005001',2),('4500588546062309868','4477022885142641043','衙门社区西衙门屯','220382101005003',2),('4500588649141538507','220323103208','后张店','220323103208002',2),('4500588717861001070','220323111204','唐家屯','220323111204001',2),('4500588717861001148','220323111204','宋大院屯','220323111204003',2),('4500588717861001268','220323111204','后刘屯','220323111204004',2),('4500588717861001388','220323111204','边沿屯','220323111204006',2),('4500588717861001538','220323111204','孙家屯','220323111204008',2),('4500588717861001620','220323111204','柳树行子屯','220323111204012',2),('4500588717861001901','220323111200','张家大院','220323111200003',2),('4500588717861002090','220323111200','西蟒丈屯','220323111200008',2),('4500588717861002482','220323111205','高家屯','220323111205001',2),('4500588717861002521','220323111205','后杨家屯下沟','220323111205002',2),('4500588717861002656','220323111205','前杨家屯下沟','220323111205003',2),('4500588717861002691','220323111205','孙大窝棚屯','220323111205004',2),('4500588717861003000','220323111205','前杨家屯上沟','220323111205008',2),('4500588717861003124','220323111206','小前屋屯','220323111206002',2),('4500588752220733652','220323111206','围子里屯','220323111206007',2),('4500588786580477009','220382104213','西高力','220382104213002',2),('4500588786580477184','220382104213','东高力','220382104213003',2),('4500588786580494913','220382004001','西化社区第四网格','220382004001004',2),('4500588786580494947','220382004001','西化社区第六网格','220382004001006',2),('4500588924019431269','220382104203','吉庆屯','220382104203001',2),('4500588924019431536','220382104203','孟大骡子','220382104203004',2),('4500588924019431764','220382104203','边家街','220382104203006',2),('4500588924019433072','220382002005','双辽市文广新局','220382002005007',2),('4500588958379163976','220382002005','双辽市运输管理所','220382002005004',2),('4500589130177862355','220382104202','陈船口','220382104202001',2),('4500589130177863276','220382104202','程广庆','220382104202002',2),('4500589233257074579','220382104202','董家街','220382104202006',2),('4500589301976552988','220382104200','王奔村四屯','220382104200004',2),('4500589473775246087','220382104209','孙家店','220382104209002',2),('4500589473775246176','220382104209','三棵树','220382104209003',2),('4500589508134978740','220382104200','王奔村五屯','220382104200005',2),('4500589508134979058','220382104200','王奔村六屯','220382104200006',2),('4500589508134979581','220382104200','王奔村八屯','220382104200008',2),('4500589645573951347','220382102205','九家子村基础网格','220382102205001',2),('4500589645573954612','220382102215','东兴村基础网格1','220382102215001',2),('4500589645573954912','220382102215','东兴村基础网格2','220382102215002',2),('4500589886092100629','220382104211','呈祥','220382104211003',2),('4500589886092103058','220382001005','民政局专属网格','220382001005018',2),('4500589886092103093','220382001005','第四中学专属网格','220382001005019',2),('4500589886092103199','220382001004','第三小学专属网格','220382001004019',2),('4500589886092103524','220382001004','双辽农村信用社专属网格','220382001004026',2),('4500589886092116550','220382201204','小陵村二屯五屯','220382201204002',2),('4500590023531076326','220382102213','浩然村基础网格','220382102213001',2),('4500590057890799223','220382101215','仲德村-仲德村','220382101215001',2),('4500590126610272219','220382101215','仲德村-新立屯','220382101215002',2),('4500590126610272669','220382101209','东庄屯','220382101209001',2),('4500590126610272934','220382101209','孙家屯','220382101209002',2),('4500590160970012669','4477020239442780560','东明社区','220382107213001',2),('4500590160970012849','4477020239442780560','王家社区','220382107213002',2),('4500590160970014259','220322104211','西河山村8社','220322104211008',2),('4500590195329748052','220382104201','苗家屯','220382104201002',2),('4500590229689487951','220322104222','高山村1社','220322104222001',2),('4500590332768699130','220382104214','宝山村一屯','220382104214001',2),('4500590332768699461','220382104214','宝山村四屯','220382104214004',2),('4500590332768699928','4455233622696437033','温家岭屯','220323001202002',2),('4500590504567395378','4455233622696437001','稷秾种业','220323001201004',2),('4500590676366083847','220322104001','新城社区小城子镇第一小学','220322104001006',2),('4500590676366084566','220322104001','新城社区小城子镇第一中学','220322104001008',2),('4500590676366087542','4455233622696437001','长隆商贸有限公司','220323001201006',2),('4500590676366088249','4455233622696437001','海龙木材加工厂','220323001201007',2),('4500590745085565777','220323110200','板石屯','220323110200001',2),('4500591157402443477','220323103209','新立屯','220323103209001',2),('4500591157402443598','220323103209','后岗阳屯','220323103209002',2),('4500591191762173978','220323103209','刘瓦房屯','220323103209004',2),('4500591226121898105','4477022885142641010','老场部社区1','220382101004001',2),('4500591226121898516','4477022885142641010','老场部社区2','220382101004002',2),('4500591397920609769','4455233622696436798','福宁3委2网格','220323001001002',2),('4500591397920609938','4455233622696436798','福宁3委3网格','220323001001003',2),('4500591397920610159','4455233622696436798','福宁4委1网格','220323001001004',2),('4500591432280349511','220382202200','荷花村一屯','220382202200002',2),('4500591466640087469','4455233622696436798','福宁4委2网格','220323001001005',2),('4500591466640087633','4455233622696436798','福宁4委3网格','220323001001006',2),('4500591466640088765','220323104202','五台子村后山屯','220323104202002',2),('4500591500999820927','220382202208','前道卡子','220382202208002',2),('4500591569719301511','4455233622696436798','福宁5委1网格','220323001001007',2),('4500591569719303800','4455233622696436798','福宁2委1网格','220323001001010',2),('4500591569719304131','220302003006','基础网格13','220302003006022',2),('4500591672798515272','220322104217','二里界村6社','220322104217006',2),('4500591672798516093','220322104217','二里界村9社','220322104217009',2),('4500591913316670033','220382200201','5号建新','220382200201002',2),('4500591947676403597','220382101002','荣华社区2','220382101002002',2),('4500591947676403764','220382101002','荣华社区4','220382101002004',2),('4500591947676423515','4455233622696436798','福宁1委1网格','220323001001013',2),('4500591982036146789','220382200204','林家街六屯','220382200204006',2),('4500591982036147016','220382200204','前进七屯','220382200204007',2),('4500591982036163308','220322104208','土龙村4社','220322104208004',2),('4500591982036163958','220322104208','土龙村9社','220322104208009',2),('4500592153834839704','220382105201','聚宝村一屯（聚宝屯）','220382105201001',2),('4500592188194570959','220323106206','杨树屯','220323106206001',2),('4500592188194571527','220323106206','五合号屯','220323106206003',2),('4500592188194572220','220323106206','大榆树屯','220323106206005',2),('4500592188194578383','220323106207','何家屯三屯','220323106207003',2),('4500592325633548116','4459060301118312964','邵家村二组','220323002202001',2),('4500592463072495163','220322104209','围子村1社','220322104209001',2),('4500592463072499891','220322104209','围子村5社','220322104209005',2),('4500592463072500068','220322104209','围子村6社','220322104209006',2),('4500592531791975251','220382105000','堡石图社区','220382105007',1),('4500592531791975473','220382105000','义和永社区','220382105001',1),('4500592531791975832','220382105000','沈家社区','220382105003',1),('4500592531791977982','4459060301118312740','庆德社区1网格','220323001004001',2),('4500592531791978233','220382201202','王合村二屯  西北方向开始001','220382201202002',2),('4500592634871188717','220322104212','新家村1社','220322104212001',2),('4500592634871188952','220322104212','新家村2社','220322104212002',2),('4500592669230925999','220382202211','公平','220382202211004',2),('4500592669230926196','220322104212','新家村4社','220322104212004',2),('4500592669230928108','220322104212','新家村6社','220322104212006',2),('4500592703590664258','4455233622696436798','总工会','220323001001017',2),('4500592703590665302','4455233622696436798','人民银行','220323001001020',2),('4500592737950404520','4455233622696436798','农机监理站','220323001001024',2),('4500592737950404943','4455233622696436798','计量检测所','220323001001025',2),('4500592737950405782','4455233622696436798','第一人民医院','220323001001026',2),('4500592875389358294','220382004003','北宁社区第三网格','220382004003003',2),('4500592875389361095','4455233622696436798','中国人民财产保险有限公司','220323001001036',2),('4500592909749093258','4455233622696436905','正阳社区1组2网格','220323001002008',2),('4500592909749096026','220382004003','北宁社区第七网格','220382004003007',2),('4500592909749098679','4455233622696436905','疾控中心','220323001002015',2),('4500592909749099227','4455233622696436905','供电公司','220323001002018',2),('4500593012828315504','4459060472917004455','岫岩1组','220322003203001',2),('4500593012828315536','4459060472917004455','岫岩2组','220322003203002',2),('4500593012828315569','4459060472917004455','岫岩5组','220322003203005',2),('4500593012828315644','4459060472917004455','岫岩6组','220322003203006',2),('4500593047188046027','4459060472917004455','岫岩11组','220322003203011',2),('4500593390785429772','4455233622696436905','正阳社区5组3网格','220323001002024',2),('4500593390785431458','220322104210','西道村1社','220322104210001',2),('4500593390785431851','220322104210','西道村2社','220322104210002',2),('4500593390785433080','220322104210','西道村6社','220322104210006',2),('4500593390785433768','220322104210','西道村7社','220322104210007',2),('4500593459504908244','220382202201','赵家街','220382202201002',2),('4500593528224384830','220323106200','刘花狗屯','220323106200005',2),('4500593528224389229','220323106201','北大榆树屯','220323106201002',2),('4500593528224391051','220323106201','半道子屯','220323106201006',2),('4500593562584128424','220382102200','卧虎村基础网格2','220382102200002',2),('4500593562584128851','220323106202','马家屯','220323106202003',2),('4500593596943863227','220323106203','河南二屯','220323106203002',2),('4500593596943863502','4455233622696436905','粮食中心库','220323001002026',2),('4500593596943863833','220323106203','河南四屯','220323106203004',2),('4500593596943865484','220323106203','前吹手沟屯','220323106203006',2),('4500593631303599860','220323106204','小三道沟屯','220323106204003',2),('4500593631303602315','220323106204','大三道沟屯','220323106204004',2),('4500593631303602857','220323106204','佟家沟','220323106204005',2),('4500593700023077541','220323106208','榆树林子屯','220323106208004',2),('4500593700023077619','220382200209','井岗村主屯','220382200209002',2),('4500593734382818025','4455233622696436905','二小学','220323001002029',2),('4500593768742553987','220322104214','友贤村5社','220322104214005',2),('4500593768742554249','220322104214','友贤村6社','220322104214006',2),('4500593768742554820','220322104214','友贤村7社','220322104214007',2),('4500593974900982153','220323106205','王家窑屯','220323106205001',2),('4500594352858106234','220382202205','马家二屯','220382202205001',2),('4500594352858108156','220382104200','王奔村二屯','220382104200002',2),('4500594387217847393','220382200203','消尔沁1屯','220382200203001',2),('4500594387217847789','220382200203','永胜2屯','220382200203002',2),('4500594387217847912','220382200203','新发堡3屯','220382200203003',2),('4500594421577586631','4459060301118312964','邵家村三组','220323002202002',2),('4500594490297059830','220323103207','后铁炉屯','220323103207006',2),('4500594490297061630','220323103207','贾河子屯','220323103207007',2),('4500594902613903690','220323106207','前三合堡','220323106207007',2),('4500594902613906220','220323106207','后三合堡','220323106207008',2),('4500594902613909381','220323106209','孤家子屯','220323106209001',2),('4500594971333378282','220323106209','王太屯','220323106209003',2),('4500594971333378633','220323106209','孙家窝棚屯','220323106209004',2),('4500594971333379041','220323106209','张平房屯','220323106209005',2),('4500595005693116605','220323106210','前羊草沟屯','220323106210002',2),('4500595005693117199','220323106210','穴湾子屯','220323106210004',2),('4500595005693118381','220323106211','后大桥屯','220323106211002',2),('4500595005693118620','220323106211','虫王庙屯','220323106211003',2),('4500595005693118887','220323106211','腰窝棚屯','220323106211004',2),('4500595005693119271','220323106211','东孟屯','220323106211005',2),('4500595005693120551','220323106212','前姜家屯','220323106212001',2),('4500595040052855762','220323106212','腰姜家屯','220323106212002',2),('4500595040052856190','220323106212','后姜家屯','220323106212003',2),('4500595040052860960','220323106212','前纸房屯','220323106212004',2),('4500595040052861329','220323106212','后纸房屯','220323106212005',2),('4500595040052873991','220382200200','白沙坨','220382200200004',2),('4500595040052877331','220382202200','边家店','220382202200001',2),('4500595040052877740','220382202210','王家围子','220382202210003',2),('4500595074412595604','220382101219','班达村五屯','220382101219004',2),('4500595074412599381','220323106213','庞家屯','220323106213002',2),('4500595074412612718','4500556522786130569','山界屯二屯','220382101211002',2),('4500595074412616104','4455233622696436905','正阳社区2组2网格','220323001002004',2),('4500595074412616431','4455233622696436905','正阳社区2组3网格','220323001002005',2),('4500595108772349229','220382202200','荷花村三屯','220382202200004',2),('4500595143132070480','220323106213','西孟家屯','220323106213003',2),('4500595143132071916','220323106213','东干沟子屯','220323106213004',2),('4500595143132073231','220382101219','班达村二屯','220382101219002',2),('4500595177491809119','220382200205','合力9屯','220382200205009',2),('4500595177491809784','4500592531791975251','堡石图社区一委','220382105007001',2),('4500595177491813598','4500592531791975251','堡石图社区二委','220382105007002',2),('4500595177491813997','220323106215','后刘家屯','220323106215002',2),('4500595177491814555','4500592531791975251','堡石图社区三委','220382105007003',2),('4500595211851566333','220382202206','西长泡','220382202206001',2),('4500595314930763812','220323106216','新立屯','220323106216003',2),('4500595314930764297','220323106216','大杏木沟','220323106216004',2),('4500595314930766417','220323104203','倡盛村四组','220323104203004',2),('4500595314930766553','220323104203','倡盛村五组','220323104203005',2),('4500595314930766937','220323104203','倡盛村六组','220323104203006',2),('4500595314930767659','4455233622696436937','福安社区13委3网格','220323001003018',2),('4500595349290501278','4455233622696436937','环保局','2203230010030051111',2),('4500595349290502222','4455233622696436937','第一高级中学','220323001003006445',2),('4500595486729473040','220382200202','昔艾力','220382200202001',2),('4500595521089193342','220323104205','富山村五组','220323104205005',2),('4500595521089197364','220323104205','富山村六组','220323104205006',2),('4500595555448931853','220323104205','富山村小学','220323104205010',2),('4500595555448935868','220323104208','范家村二组','220323104208002',2),('4500595555448937622','220323104208','范家村六组','220323104208006',2),('4500595555448938489','220323104208','范家村八组','220323104208008',2),('4500595589808685839','4500592531791975473','义和永社区一屯','220382105001001',2),('4500595589808686041','4500592531791975473','义和永社区三屯','220382105001003',2),('4500595727247624565','220382104206','杨文屯','220382104206002',2),('4500595727247625145','4455233622696436937','福安社区12委1网格','220323001003001',2),('4500595761607362150','220382104205','丁家堡','220382104205003',2),('4500595761607378748','220382202202','五段','220382202202004',2),('4500595830326839373','220323104208','范家村九组','220323104208009',2),('4500595933406053630','220323104208','范家村十二组','220323104208012',2),('4500595933406053924','220323104208','范家村小学','220323104208013',2),('4500596002125551060','220382200207','那木村2屯','220382200207002',2),('4500596036485284560','4476990724427431070','专属网格七','220303005002012',2),('4500596036485284973','220382200206','王家街','220382200206001',2),('4500596036485285918','220382200206','河夹芯子','220382200206004',2),('4500596036485286586','4476990724427430938','专属网格五','220303005001026',2),('4500596105204766469','220382002005','第四集中办公区','220382002005001',2),('4500596105204767023','220382002005','电厂社区','220382002005002',2),('4500596139564500920','220382002005','农业农村局','220382002005012',2),('4500596173924226323','220382202202','新立乡中学','220382202202003',2),('4500596208283960983','4455233622696436937','福安社区12委7网格','220323001003007',2),('4500596208283962380','4455233622696436937','人寿保险公司','22032300100300999999',2),('4500596208283982235','220323111204','前刘屯','220323111204002',2),('4500596208283982448','220323111204','梨树沟子','220323111204007',2),('4500596208283982903','220323111204','上屯','220323111204013',2),('4500596208283983062','220323111200','魏大院屯','220323111200002',2),('4500596208283983618','220323111200','新立屯','220323111200010',2),('4500596242643699047','4455233622696436937','宝捷集团','2203230010030999',2),('4500596311363190818','220323111205','朱家沟屯','220323111205005',2),('4500596311363191127','220323111205','后杨家屯上沟','220323111205007',2),('4500596311363191595','220323111206','李家屯','220323111206001',2),('4500596311363191773','220323111206','大前屋屯','220323111206003',2),('4500596311363191865','220323111206','河西屯','220323111206004',2),('4500596311363192061','220323111206','河南屯','220323111206006',2),('4500596345722932826','220382104213','生辉屯','220382104213001',2),('4500596345722936491','220382002005','双辽市辽西卫生服务中心','220382002005010',2),('4500596345722936569','220382104203','孙镇屯','220382104203002',2),('4500596414442406194','220382002005','双辽市路政管理所','220382002005003',2),('4500596414442406507','220382002005','双辽市检察院','220382002005006',2),('4500596483161871144','4500584697771611236','东二龙社区三屯（二站屯）','220382105005003',2),('4500596517521610284','4455233622696436937','福安社区12委8网格','220323001003008',2),('4500596723680054050','220382104202','毕家街','220382104202007',2),('4500596723680058795','220382104202','刘大晃','220382104202004',2),('4500596929838468887','4455233622696436937','福安社区11委1网格','220323001003009999',2),('4500596929838482901','220382104200','王奔村七屯','220382104200007',2),('4500598063709833053','220382200208','乌兰村三屯','220382200208003',2),('4500598166789067550','220382101200','三合村','220382101200001',2),('4500598269868284397','220382104211','前呈祥','220382104211004',2),('4500598372947484184','220382104212','永丰屯','220382104212002',2),('4500598407307218564','220382104212','永富屯','220382104212005',2),('4500598407307231857','220382001004','新兴社区专属网格','220382001004017',2),('4500598407307231892','220382001004','社会保险局专属网格','220382001004018',2),('4500598407307232175','220382001004','双辽市中医院专属网格','220382001004022',2),('4500598407307232210','220382001004','东春路加油站专属网格','220382001004023',2),('4500598407307232288','220382001004','迎春街中国人民银行专属网格','220382001004024',2),('4500598407307232323','220382001004','双辽剧场专属网格','220382001004025',2),('4500598407307232590','220382001004','商业街商圈专属网格','220382001004032',2),('4500598441666954580','220382101208','祥云村','220382101208001',2),('4500598579105928605','220382101217','百禄村','220382101217001',2),('4500598579105929145','220382101209','马家屯','220382101209003',2),('4500598613465669327','220322104211','西河山村1社','220322104211001',2),('4500598613465669491','220322104211','西河山村7社','220322104211007',2),('4500598647825400624','220322104211','西河山村10社','220322104211010',2),('4500598647825400667','220382104212','四爷窝棚','220382104212001',2),('4500598647825403176','220382104208','刘家铺','220382104208002',2),('4500598716544862210','220322104218','张家窝堡1社','220322104218001',2),('4500598716544863409','220323106200','大孤山街道','220323106200006',2),('4500598716544864308','220322104218','张家窝堡10社','220322104218010',2),('4500598853983833643','220322104222','高山村2社','220322104222002',2),('4500598853983834078','220322104222','高山村3社','220322104222003',2),('4500598853983834573','220382104201','葛家街','220382104201004',2),('4500598853983834753','220322104222','高山村4社','220322104222004',2),('4500598853983835791','220322104222','高山村6社','220322104222006',2),('4500598922703292590','220382104207','谢家窝棚','220382104207003',2),('4500598922703295572','220382104207','小坨子','220382104207006',2),('4500598957063048667','220382104214','宝山村三屯','220382104214003',2),('4500598957063049529','4455233622696437033','前宋洼子屯','220323001202003',2),('4500598991422768109','220382104207','卢家屯','220382104207007',2),('4500599025782507038','220322104215','中央堡村2社','220322104215002',2),('4500599025782507695','220322104215','中央堡村3社','220322104215003',2),('4500599025782507996','220322104215','中央堡村4社','220322104215004',2),('4500599128861722426','4500584697771611335','前三家子屯','220382105006001',2),('4500599128861723837','4500584697771611335','新建屯','220382105006003',2),('4500599300660434297','220322104001','新城社区小城子镇卫生院','220322104001007',2),('4500599300660434341','4455233622696437001','生鑫木材加工厂','220323001201005',2),('4500599300660435846','220323105200','西朝阳屯','220323105200001',2),('4500599335020175110','4477022885142641119','大理石社区','220382101009001',2),('4500599403739650032','220382201211','小白村1','220382201211001',2),('4500599506818860854','220322104001','新城社区小城子镇鸿福粮食收储公司','220322104001009',2),('4500599816056494438','220323105000','第一鹿场社区','220323105002',1),('4500599884775970557','220382101205','长发村小长发屯','220382101205002',2),('4500599884775972045','4500553430409677319','南羊站','220382105004004',2),('4500599884775972379','4500553430409677319','前二龙村','220382105004005',2),('4500599987855181121','4500599816056494438','果园','220323105002001',2),('4500600056574664158','4500599816056494438','农业队','220323105002003',2),('4500600056574664353','220323105208','西团结屯','220323105208006',2),('4500600159653876081','220323105208','东护山','220323105208004',2),('4500600159653879347','4476993782444144800','八里社区二十九号屯','220382101006001',2),('4500600640690214752','220382201201','万斤一屯二屯','220382201201001',2),('4500600675049948402','4455233622696436937','福安社区14委2网格','220323001003021',2),('4500600709409693634','4455233622696436937','司法局','220323001003040',2),('4500600846848639653','4527502632205282631','岳家烧锅','220323105202004',2),('4500600881208381350','4500592531791975832','沈家社区五屯（后二龙）','220382105003005',2),('4500600915568119228','4455233622696436937','福安社区14委5网格','220323001003024',2),('4500600915568121343','4455233622696436937','福安社区14委6网格','220323001003025',2),('4500601018647334038','4455233622696436937','实验小学','220323001003053',2),('4500601053007077338','220382004003','北宁社区十一网格','220382004003011',2),('4500601190446027072','220382104210','留久村四屯','220382104210004',2),('4500601499683673469','220323105205','后庄家屯','220323105205002',2),('4500601499683674989','220323105206','下沟屯','220323105206001',2),('4500601740201838055','220323105205','小孤家子','220323105205005',2),('4500601740201840427','220323105205','郑家窝堡','220323105205006',2),('4500601980720006855','220382004003','北宁社区第九网格','220382004003009',2),('4500602049439484956','220323105203','西河沿子','220323105203005',2),('4500602152518699590','220323105203','东河沿子','220323105203006',2),('4500602152518699783','220323105203','杨树庙子','220323105203007',2),('4500602152518703445','4477025805720396145','畜牧场','220382101229001',2),('4500602461756344874','220323105205','原种场','220323105205008',2),('4500602564835557600','220323104209','石灰村九组','220323104209005',2),('4500602564835557829','220323104209','石灰村七组','220323104209007',2),('4500602633555036086','4527507098971270261','陈杂铺屯','220323105207001',2),('4500602633555036658','4527507098971270261','姜家村','220323105207002',2),('4500602805353726569','220323105201','大岭','220323105201005',2),('4500602805353727518','220323105201','赵家屯','220323105201009',2),('4500603011512156929','4527507098971270261','小高屯','220323105207005',2),('4500603011512157279','4527507098971270261','卧龙泉','220323105207007',2),('4500604798218553785','4476993782444144833','鹿场社区西街','220382101007004',2),('4500604798218553882','4476993782444144833','鹿场社区东街','220382101007002',2),('4500606447486009766','220382201200','清沟四屯五屯','220382201200003',2),('4500606447486012513','220382200201','哈拉火烧','220382200201003',2),('4500606447486014094','220382200201','3号庆新','220382200201005',2),('4500606516205491187','220382101002','荣华社区1','220382101002001',2),('4500606550565225129','220382101207','石头村','220382101207001',2),('4500606584924966901','220382200204','三门王家三屯','220382200204003',2),('4500606619284708215','220382105201','聚宝村二屯（头段屯）','220382105201002',2),('4500606653644423781','220382003006','物华商厦','220382003006037',2),('4500606722363918042','220323106206','韩家屯','220323106206002',2),('4500606722363924048','220323106207','后马家窝棚','220323106207002',2),('4500606928522333904','220382001004','双辽农行办公楼专属网格','220382001004028',2),('4500606928522336641','220382001004','市场监督管理局专属网格','220382001004031',2),('4500606997241809821','220382001005','郑家屯街派出所专属网格','220382001005022',2),('4500607065961307394','220323106207','贾家屯','220323106207005',2),('4500607478278162591','220323106207','柴家岭','220323106207009',2),('4500607684436594849','220323106210','万福德屯','220323106210001',2),('4500607684436597768','220323106210','后羊草沟屯','220323106210003',2),('4500607718796313324','220323105200','山嘴子屯','220323105200005',2),('4500607718796313804','220323105200','马棚铺屯','220323105200006',2),('4500607718796314392','220323105200','白土沟屯','220323105200008',2),('4500607718796314994','220323105200','八屯','220323105200012',2),('4500607718796315115','220323105200','一屯','220323105200013',2),('4500607718796315387','220323105200','街北屯','220323105200014',2),('4500607718796315599','220382101001','富贵社区1','220382101001001',2),('4500607718796315684','220323105200','水田队','220323105200015',2),('4500607718796315877','220323105200','西护山屯','220323105200017',2),('4500607718796316140','220382101001','富贵社区4','220382101001004',2),('4500607718796336900','220323106211','孟家沟屯','220323106211006',2),('4500607787515789716','220323102206','曹家园子屯','220323102206003',2),('4500607787515790243','220382201213','后俗村三屯四屯','220382201213002',2),('4500607787515790692','220322101215','镇郊村二社','220322101215002',2),('4500607787515797129','220322101215','镇郊村四社','220322101215004',2),('4500607787515797450','220322101215','镇郊村五社','220322101215005',2),('4500607821875528707','220322101215','镇郊村七社','220322101215007',2),('4500607821875535493','220323102206','瓦房屯','220323102206006',2),('4500607821875551001','220323106212','姜酒局子屯','220323106212008',2),('4500607821875551593','220323106212','宋家林子屯','220323106212009',2),('4500607856235282945','220323106212','富家屯','220323106212011',2),('4500607890595010018','220382101203','合亲村一屯','220382101203001',2),('4500607890595021907','220382101219','班达村六屯','220382101219005',2),('4500607890595022029','220323106213','胡家烧锅屯','220323106213005',2),('4500607993674224642','220323102200','东沟屯','220323102200005',2),('4500608028033974696','220323106214','干沟子屯','220323106214003',2),('4500608028033977660','220382200205','合力8屯','220382200205008',2),('4500608028033979615','220323106214','前陈家屯','220323106214005',2),('4500608028033980466','220382200205','合力1屯','220382200205001',2),('4500608028033980544','220323106215','大米屯','220323106215001',2),('4500608028033980686','220382200205','合力2屯','220382200205002',2),('4500608028033980850','220382200205','合力3屯','220382200205003',2),('4500608062393698360','220323102200','前碾子屯','220323102200007',2),('4500608062393713766','220382200205','合力4屯','220382200205004',2),('4500608062393714146','4500592531791975251','堡石图社区四委','220382105007004',2),('4500608062393714384','220323106215','前刘家屯','220323106215004',2),('4500608062393714890','220323106215','西马家沟屯','220323106215005',2),('4500608062393715246','220323106215','东马家沟屯','220323106215006',2),('4500608062393719473','220323106215','黄家沟屯','220323106215007',2),('4500608096753441623','220323102200','伊丹二队','220323102200010',2),('4500608096753454778','220323106216','石灰窑屯','220323106216002',2),('4500608096753459183','220323106216','上沟屯','220323106216005',2),('4500608131113189508','4455233622696436937','福安社区13委1网格','220323001003016',2),('4500608131113190333','4455233622696436937','福安社区13委2网格','220323001003017',2),('4500608131113190497','220323104203','倡盛村七组','220323104203007',2),('4500608199832668320','220323104205','富山村一组','220323104205001',2),('4500608199832671400','220323104205','富山村四组','220323104205004',2),('4500608268552145878','220323104208','范家村五组','220323104208005',2),('4500608509070315762','220382104206','八家子屯','220382104206001',2),('4500608543430055493','220382104206','徐家屯','220382104206003',2),('4500608612149527133','220382104205','张洪恩','220382104205001',2),('4500608852667698586','220382101213','双山镇绿化村后平安屯','220382101213001',2),('4500608852667699591','220382104204','乐民屯','220382104204001',2),('4500608852667700902','220382104204','李福春屯','220382104204002',2),('4500608852667701458','4455233622696436937','福安社区12委3网格','220323001003003',2),('4500608887027433518','4455233622696436937','福安社区12委5网格','220323001003005',2),('4500608990106639832','220323108202','团山子东屯','220323108202003',2),('4500609024466395073','4500584697771611236','东二龙屯','220382105005001',2),('4500609058826127612','220382003201','张家村一屯','220382003201001',2),('4500609058826128124','220382003201','张家村二屯','220382003201002',2),('4500609058826129582','220382003201','张家村四屯','220382003201004',2),('4500609093185847356','220323102204','车家屯','220323102204001',2),('4500609093185847509','220323104210','东方红村二组','220323104210002',2),('4500609093185847736','220323104210','东方红村三组','220323104210003',2),('4500609093185847863','220323104210','东方红村四组','220323104210004',2),('4500609093185848007','220323104210','东方红村五组','220323104210005',2),('4500609093185850435','220323104210','东方红村十组','220323104210010',2),('4500609127545589608','220323104211','立新村四组','220323104211004',2),('4500609127545590708','220323104212','绿化村一组','220323104212001',2),('4500609161905327213','220323104212','绿化村二组','220323104212002',2),('4500609161905327494','220323104212','绿化村四组','220323104212004',2),('4500609161905327948','220323104212','绿化村六组','220323104212006',2),('4500609161905329067','220323104212','绿化村十组','220323104212010',2),('4500609161905329755','220323104212','景台镇九年一贯制学校','220323104212011',2),('4500609196265063848','220323102204','朴家屯','220323102204005',2),('4500609196265068449','220323102204','后刘家屯','220323102204006',2),('4500609196265082778','220382101213','双山镇绿化村前平安屯','220382101213002',2),('4500609264984542851','220323104216','房身村石人背屯','220323104216002',2),('4500609368063761296','220323102209','腰曹家洼子','220323102209003',2),('4500609368063761867','220322101207','青堆子村七社','220322101207007',2),('4500609436783234818','220323102209','依家沟屯','220323102209005',2),('4500609471142989335','4455233622696436937','农机校','220323001003097',2),('4500609539862453702','220323102210','小上沟屯','220323102210006',2),('4500610501935144902','220382101201','山玻璃村','220382101201001',2),('4500610570654604153','220303006003','网格七','220303006003007',2),('4500610776813027746','220323104201','锦山村小学','220323104201008',2),('4500610776813029236','220323104204','秀山村五组','220323104204004',2),('4500610845532507428','220323104215','孙家台屯','220323104215002',2),('4500610845532507752','220323104215','新中屯','220323104215003',2),('4500610845532508685','220323104215','夹皮山屯','220323104215006',2),('4500610948611741367','220322104218','张家窝堡2社','220322104218002',2),('4500610948611741632','220322104218','张家窝堡3社','220322104218003',2),('4500610948611742289','220322104218','张家窝堡5社','220322104218005',2),('4500610948611742693','220322104218','张家窝堡6社','220322104218006',2),('4500610948611742955','220322104218','张家窝堡7社','220322104218007',2),('4500610948611743148','220322104218','张家窝堡9社','220322104218009',2),('4500611120410430939','220322104218','张家窝堡村小学','220322104218011',2),('4500611154770168214','220382104207','大平房','220382104207002',2),('4500611154770170073','220382104207','苑家窝棚','220382104207005',2),('4500611223489647114','220322104215','中央堡村5社','220322104215005',2),('4500611223489647396','220322104215','中央堡村1社','220322104215001',2),('4500611257849367393','220323102208','六家屯','220323102208001',2),('4500611257849369161','220323102208','向阳屯','220323102208003',2),('4500611326568861216','4500584697771611335','幸福屯','220382105006004',2),('4500611498367556973','220323200200','后甘屯','220323200200002',2),('4500611532727292030','220322104220','同庆村小学','220322104220009',2),('4500611635806505494','220322101211','西青石岭村九社','220322101211009',2),('4500611704525985296','220382101205','长发村大长发屯','220382101205001',2),('4500611738885722205','4500553430409677319','腰二龙社区','220382105004001',2),('4500611738885723341','220382101205','长发村温德屯','220382101205003',2),('4500611738885723652','4500553430409677319','西二龙村','220382105004002',2),('4500611738885724083','4500553430409677319','奉天村','220382105004003',2),('4500611841964937350','220323105208','冯家沟','220323105208002',2),('4500612013763609354','220323102211','后火勺屯','220323102211004',2),('4500612048123367733','220323105208','黄家洼子','220323105208009',2),('4500612151202579912','220323105000','周户村','220323105204',1),('4500612151202580395','4476993782444144800','八里社区八里屯','220382101006002',2),('4500612151202583301','4477022885142640977','腰坨社区二屯','220382101003002',2),('4500612219922060220','220323105203','西榆树底下','220323105203002',2),('4500612254281783179','220323103211','周家屯','220323103211001',2),('4500612288641523490','220323102202','冀家河东屯','220323102202003',2),('4500612357360992493','220323102202','冀家屯','220323102202004',2),('4500612357360999731','220323102203','于家店屯','220323102203001',2),('4500612357361000373','220323102203','后三姓屯','220323102203003',2),('4500612391720731121','220323102203','腰三姓屯','220323102203004',2),('4500612391720732527','220323102203','杨家馆子屯','220323102203007',2),('4500612391720733366','220323102203','大河沟子屯','220323102203009',2),('4500612597879166626','220382202000','大金山林场','220382202218000',1),('4500612804037595736','220323103206','石菜园子屯','220323103206004',2),('4500612804037595992','220323103206','野家屯','220323103206007',2),('4500612838397334914','220323103210','曹家岭','220323103210001',2),('4500612838397335267','220323103210','东沟屯','220323103210005',2),('4500612838397335391','220323103210','孙家塘坊','220323103210007',2),('4500612838397335515','220323103210','陡山头子','220323103210008',2),('4500613113275255663','4500612151202579912','西沟子','220323105204001',2),('4500613113275258660','4455233622696436937','福安社区14委1网格','220323001003020',2),('4500613113275259788','4455233622696436937','福安社区14委4网格','220323001003004023',2),('4500613216354472592','4455233622696436937','公安局','220323001003098',2),('4500613216354473034','4527502632205282631','董家屯','220323105202001',2),('4500613216354473478','4455233622696436937','工业和信息化局','220323001003042',2),('4500613250714213365','4527502632205282631','大刘屯','220323105202005',2),('4500613285073946521','4500592531791975832','沈家社区二屯（沈家）','220382105003002',2),('4500613319433687924','4500592531791975832','沈家社区四屯（小马场）','220382105003004',2),('4500613388153166689','4455233622696436937','福安社区14委10网格','220323001003029',2),('4500613388153166960','4455233622696436937','福安社区12委10网格','220323001003010',2),('4500613456872639641','4500612151202579912','周户一屯','220323105204003',2),('4500613491232362846','220303100205','基础网格8','220303100205008',2),('4500613697390812935','220382004003','北宁社区第十网格','220382004003010',2),('4500613766110286592','4500612151202579912','韩家岗子','220323105204005',2),('4500613766110287788','220382104210','留久村二屯','220382104210002',2),('4500613766110288062','220382104210','留久村三屯','220382104210003',2),('4500613766110289179','220382104210','留久村五屯','220382104210005',2),('4500613766110289264','4500612151202579912','肖家岗子','220323105204007',2),('4500613800470026605','220323105205','小河沿子','220323105205001',2),('4500614281506361516','220323105206','程家屯','220323105206002',2),('4500614315866096889','220323105206','东韩家屯','220323105206004',2),('4500614899981654735','220323105205','新立屯','220323105205007',2),('4500615209219281388','220303102212','基础网格三','220303102212003',2),('4500615346658246732','220323105203','西南屯6、7屯','220323105203003',2),('4500615415377723713','220382201201','万斤村三四五六七屯','220382201201003',2),('4500615690255636142','220323105201','刘屯','220323105201001',2),('4500615758975111682','220323104209','石灰村一组','220323104209001',2),('4500615758975111874','220323104209','石灰村二组','220323104209002',2),('4500615758975112120','220323104209','石灰村四五组','220323104209004',2),('4500615758975112266','220323104209','石灰村六组','220323104209006',2),('4500616102572495064','220382101220','五棵村','220382101220001',2),('4500616205651710388','220323105201','太平沟屯','220323105201002',2),('4500616205651710639','220323105201','黄家糖坊','220323105201004',2),('4500616205651711024','220323105201','张家店','220323105201007',2),('4500616205651711441','220323105201','张家油坊','220323105201008',2),('4500616961565957324','220382101210','川头村二屯','220382101210002',2),('4500618267236014000','4476993782444144833','鹿场社区靠山林队','220382101007003',2),('4500618335955490297','220322101004','河南社区四组','220322101004004',2),('4500618335955490490','220322101004','河南社区五组','220322101004005',2),('4500620157021621240','220382003006','广电中心','220382003006035',2),('4500620500619005432','220382001004','自来水公司专属网格','220382001004029',2),('4500620500619005515','220382001004','消防大队专属网格','220382001004030',2),('4500621222173507861','220382105203','合心村一、二、三屯（混居）','220382105203001',2),('4500621359612468377','220323105200','河沿屯','220323105200003',2),('4500621359612469072','220323105200','赵家磨坊屯','220323105200007',2),('4500621393972200403','220323105200','杨家油坊','220323105200010',2),('4500621393972200611','220323105200','小北沟屯','220323105200011',2),('4500621393972201368','220382101001','富贵社区2','220382101001002',2),('4500621393972201405','220323105200','吴家沟屯','220323105200016',2),('4500621393972202081','220382101001','富贵社区3','220382101001003',2),('4500621428331938330','220323103212','小王屯','220323103212004',2),('4500621428331938589','220323103212','福安屯','220323103212005',2),('4500621428331942931','220322101215','镇郊村一社','220322101215001',2),('4500621600130636670','220323102206','张家沟子屯','220323102206005',2),('4500621703209847855','220323102205','前何家屯','220323102205001',2),('4500621703209851897','220323102205','邸家油坊屯','220323102205003',2),('4500621771929325786','220323102205','前刘家屯','220323102205004',2),('4500621771929326244','220323102205','腰刘家屯','220323102205005',2),('4500621875008542659','220323102200','王宝山子屯','220323102200009',2),('4500622218605922052','220323102200','伊丹四队','220323102200011',2),('4500622596563047227','220382101204','余粮村','220382101204001',2),('4500622802721477188','220323104210','东方红村一组','220323104210001',2),('4500622802721479217','220323104210','东方红村六组','220323104210006',2),('4500622802721479631','220323104210','东方红村八组','220323104210008',2),('4500622802721479709','220323102204','贡窝棚屯','220323102204002',2),('4500622802721480200','220323104210','东方红村十一组','220323104210011',2),('4500622802721480235','220323102204','鲍家窝堡屯','220323102204003',2),('4500622837081212648','220323104211','立新村二组','220323104211002',2),('4500622837081213420','220323104211','立新村六组','220323104211005',2),('4500622905800695056','220323104211','立新村小学','220323104211007',2),('4500622940160426036','220323104212','绿化村三组','220323104212003',2),('4500622940160426432','220323104212','绿化村五组','220323104212005',2),('4500622940160427163','220323104212','绿化村八组','220323104212008',2),('4500622940160429617','220323102204','王家屯','220323102204004',2),('4500622974520168353','220323104213','姚家村二组','220323104213002',2),('4500622974520168527','220323104213','姚家村三组','220323104213003',2),('4500622974520171689','220323104213','姚家村四组','220323104213004',2),('4500623111959121944','220323102207','雷家窝堡屯','220323102207001',2),('4500623146318856846','220323102207','曹家洼子','220323102207003',2),('4500623146318859477','220323102207','闫家腊铺屯','220323102207004',2),('4500623146318859863','220323102207','北曹家洼子屯','220323102207005',2),('4500623146318864042','220323102207','温家沟屯','220323102207006',2),('4500623180678600657','220323102209','均匀铺屯','220323102209001',2),('4500623352477288069','220323102209','南曹家屯','220323102209004',2),('4500623386837032664','220323102210','鲁家崴子屯','220323102210001',2),('4500623421196763501','220323102210','何家窝堡屯','220323102210002',2),('4500623421196763837','220323102210','徐家屯','220323102210003',2),('4500623489916241546','220323102210','大车沟屯','220323102210005',2),('4500623764794150937','4527514142717635602','边家店饲养场一','220382202217001',2),('4500624280190223464','220323104201','锦山村南围子','220323104201001',2),('4500624280190223839','220323104201','锦山村四组','220323104201003',2),('4500624280190224019','220323104201','锦山村五组','220323104201004',2),('4500624280190224783','220323104201','锦山村八组','220323104201005',2),('4500624280190225256','220323104201','锦山村九组','220323104201006',2),('4500624280190226611','220323104204','秀山村一组','220323104204001',2),('4500624280190226866','220323104204','秀山村二组王大院','220323104204002',2),('4500624280190227068','220323104204','秀山村四组','220323104204005',2),('4500624348909701200','220323104215','核桃背屯','220323104215001',2),('4500624348909702299','220323104215','下大门屯5','220323104215005',2),('4500624348909706278','220323104210','东方红小学','220323104210013',2),('4500624795586302010','220323102208','前鲍家屯','220323102208002',2),('4500624898665513547','220323102208','后鲍家屯','220323102208005',2),('4500625104823946387','220323103211','大王屯','220323103211004',2),('4500625139183683746','220323102202','孔家沟','220323102202005',2),('4500625276622635473','220323102203','前三姓屯','220323102203008',2),('4500625310982378037','4500612597879166626','大金山林场一','220382202218001',2),('4500625448421334072','220323103206','冯家岗子屯','220323103206002',2),('4500625448421334115','220323103206','许家窝棚屯','220323103206003',2),('4500625448421334280','220323103206','小窝堡屯','220323103206006',2),('4500625482781071857','220323103210','韩家沟屯','220323103210003',2),('4500625482781071894','220323103210','天德合屯','220323103210004',2),('4500625482781072148','220323103210','张家屯','220323103210009',2),('4500625482781072185','220303100200','基础网格3','220303100200003',2),('4500625482781072499','220303100200','基础网格7','220303100200007',2),('4500625860738188988','220302004006','苹果社区专属网格4','220302004006021',2),('4500625929457669593','220303100205','基础网格3','220303100205003',2),('4500625929457670023','220303100205','基础网格6','220303100205006',2),('4527497134647143406','220382202205','马家六屯','220382202205005',2),('4527497237726363106','220382101209','石泉屯','220382101209004',2),('4527497272086100706','220382104201','杜八匠','220382104201001',2),('4527497306445833381','220322104211','西河山村9社','220322104211009',2),('4527497306445834934','220382104208','万太福','220382104208001',2),('4527497306445835114','220382104212','毛家窝棚','220382104212003',2),('4527497375165309343','220382104201','张宏焗','220382104201003',2),('4527497375165312744','220322104222','高山村5社','220322104222005',2),('4527497443884789985','220382104214','宝山村二屯','220382104214002',2),('4527497512604263615','4455233622696437001','前沈屯','220323001201001',2),('4527497512604263878','4455233622696437001','后沈屯','220323001201002',2),('4527497512604264168','4455233622696437001','高家洼子','220323001201003',2),('4527497684402956161','220323105200','东朝阳屯','220323105200002',2),('4527498852634058788','220382200201','治宏屯','220382200201001',2),('4527498852634059234','220382200201','4号创新','220382200201007',2),('4527498852634059402','220382200201','2号迎新','220382200201004',2),('4527498852634062949','220382101002','荣华社区3','220382101002003',2),('4527498955713279425','220382200204','四门杨二屯','220382200204002',2),('4527498955713281091','220382200204','全胜四屯','220382200204004',2),('4527498955713281373','220382200204','致富五屯','220382200204005',2),('4527498955713282013','220382200204','前进八屯','220382200204008',2),('4527499024432754771','220382105201','聚宝村三屯（先进屯）','220382105201003',2),('4527499024432756411','220323106206','颜家沟屯','220323106206004',2),('4527499058792492342','220323106207','前马家窝棚','220323106207001',2),('4527499058792493694','220323106207','何家屯四屯','220323106207004',2),('4527499058792494430','220323106207','小河东屯','220323106207006',2),('4527499161871706389','220323106209','李家烧锅屯','220323106209002',2),('4527499196231447453','220323106211','前大桥屯','220323106211001',2),('4527499299310659569','220323106212','东聂家屯','220323106212006',2),('4527499299310660039','220323106212','西聂家屯','220323106212007',2),('4527499333670397172','220323106212','西南屯','220323106212010',2),('4527499333670397483','220302002003','吉平驾校','220302002003027',2),('4527499333670400031','220323106213','楚家岗子','220323106213001',2),('4527499333670400695','220382101219','班达村三屯','220382101219003',2),('4527499368030140074','220323106214','小米屯','220323106214001',2),('4527499368030140582','220323106214','李家屯','220323106214002',2),('4527499402389873345','220382200205','合力7屯','220382200205007',2),('4527499402389873787','220382200205','合力6屯','220382200205006',2),('4527499402389876083','220323106214','后陈家屯','220323106214004',2),('4527499471109353293','220382101219','班达村一屯','220382101219001',2),('4527499471109356857','220382101202','元吉村  一 元吉屯','220382101202001',2),('4527499505469087792','220323106215','腰刘家屯','220323106215003',2),('4527499505469087934','220382200205','合力5屯','220382200205005',2),('4527499505469088012','220382101202','元吉村- 吉祥屯','2203821012020022',2),('4527499539828827631','220323106216','小杏木沟','220323106216001',2),('4527499539828827871','220323104203','倡盛村一组','220323104203001',2),('4527499539828828663','220323104203','倡盛村二组','220323104203002',2),('4527499539828830509','220323104203','倡盛村三组','220323104203003',2),('4527499539828831247','220323106216','下沟屯','220323106216006',2),('4527499539828831532','220323106216','廖家屯','220323106216007',2),('4527499574188567789','220323104203','倡盛村八组','220323104203008',2),('4527499574188568205','220323106216','黑瞎背屯','220323106216008',2),('4527499574188569906','4455233622696436937','福安社区13委4网格','220323001003019',2),('4527499574188570174','220323104203','倡盛村小学','220323104203009',2),('4527499677267780308','220323104205','富山村二组','220323104205002',2),('4527499677267786231','220323104205','富山村三组','220323104205003',2),('4527499677267787597','220323104205','富山村七组','220323104205007',2),('4527499711627517996','220323104205','富山村八组','220323104205008',2),('4527499711627519152','220323104205','富山村九组','220323104205009',2),('4527499711627524581','220323104208','范家村一组','220323104208001',2),('4527499745987258852','220323104208','范家村三组','220323104208003',2),('4527499745987259132','220323104208','范家村四组','220323104208004',2),('4527499745987260185','220323104208','范家村七组','220323104208007',2),('4527499883426213413','220382104205','谢家窝棚','220382104205002',2),('4527500020865169177','220323104208','范家村十组','220323104208010',2),('4527500055224909762','220323104208','范家村十一组','220323104208011',2),('4527500227023599046','4455233622696436937','福安社区12委2网格','220323001003002',2),('4527500227023599547','4455233622696436937','福安社区12委4网格','220323001003004',2),('4527500227023600287','220382104204','于家窝铺','220382104204003',2),('4527500227023600561','4455233622696436937','福安社区12委6网格','220323001003006',2),('4527500261383332161','4455233622696436937','宝捷城市广场','220323001003090000',2),('4527500295743078185','220302003006','专属网格17（五郡物业）','220302003006029',2),('4527500398822286094','4500584697771611236','东二龙社区二屯（北羊站屯）','220382105005002',2),('4527500398822291303','220382003201','张家村三屯','220382003201003',2),('4527500433182031534','220382101213','双山镇绿化村逢集屯','220382101213003',2),('4527500501901501707','4455233622696436937','福安社区11委2网格','2203230010030099',2),('4527500501901502073','4455233622696436937','福安社区11委3网格','2203230010030091',2),('4527500501901502239','4455233622696436937','福安社区11委4网格','220323001003092',2),('4527500570620978081','4455233622696436937','城乡建设局','22032300100302095',2),('4527500570620979078','4455233622696436937','实验中学','220323001003096',2),('4527500845498888535','220382101214','乔木村','220382101214001',2),('4527501086017054536','4477022885142640977','腰坨社区一屯','220382101003001',2),('4527501567053397289','220382200208','乌兰村二屯','220382200208002',2),('4527502357327378731','220382104212','刘丰屯','220382104212004',2),('4527502460406589416','220322104218','张家窝堡4社','220322104218004',2),('4527502563485803242','220322104218','张家窝堡8社','220322104218008',2),('4527502632205282631','220323105000','九龙村','220323105202',1),('4527502666565021876','220382104207','宋家店屯','220382104207001',2),('4527502666565024052','220382104207','新立屯','220382104207004',2),('4527502838363715904','220322104215','中央堡村六社','220322104215006',2),('4527502872723452772','4500584697771611335','后三家子屯','220382105006002',2),('4527502907083186773','4500584697771611335','东羊站','220382105006005',2),('4527502907083187026','4500584697771611335','东南羊站','220382105006006',2),('4527503766076650656','220323105208','唐家沟','220323105208001',2),('4527503800436383745','220323105208','石家屯','220323105208003',2),('4527503800436387242','4500599816056494438','老牛家西沟','220323105002002',2),('4527503834796125988','220323105208','东团结屯','220323105208007',2),('4527503834796126069','220323105208','候家屯','220323105208008',2),('4527503834796129658','220323105208','张家屯','220323105208005',2),('4527503972235082761','4476993782444144800','八里社区三家子屯','220382101006003',2),('4527504006594820971','4500599816056494438','家属区','220323105002004',2),('4527504006594821872','4477022885142640977','腰坨社区三屯','220382101003003',2),('4527504006594821994','4477022885142640977','腰坨社区四屯','220382101003004',2),('4527504006594822035','4477022885142640977','腰坨社区五屯','220382101003005',2),('4527504075314298273','220323105203','东榆树底下','220323105203001',2),('4527504625070104774','220382201201','万斤村二三四屯','220382201201002',2),('4527504625070107016','4455233622696436937','福安社区14委3网格','220323001003022',2),('4527504659429848309','4455233622696436937','检察院','220323001003099',2),('4527504659429848438','220382201205','汤头村一二屯','220382201205001',2),('4527504659429848725','4455233622696436937','粮食商务局','220323001003041',2),('4527504659429849512','4455233622696436937','农经总站','220323001003043',2),('4527504728149326909','4527502632205282631','杜家屯','220323105202003',2),('4527504762509059407','4527502632205282631','孙家沟','220323105202006',2),('4527504796868800426','4527502632205282631','小东沟','220323105202007',2),('4527504796868800461','4500592531791975832','沈家社区一屯（大力屯）','220382105003001',2),('4527504796868800954','4527502632205282631','九龙河西屯','220323105202008',2),('4527504796868802187','4500592531791975832','沈家社区三屯（架树台）','220382105003003',2),('4527505312264877141','220382004003','北宁社区第八网格','220382004003008',2),('4527505312264878766','4455233622696436937','福安社区14委7网格','220323001003026',2),('4527505312264879061','4455233622696436937','福安社区14委8网格','220323001003027',2),('4527505312264879257','4455233622696436937','福安社区14委9网格','220323001003028',2),('4527505346624611691','4455233622696436937','福安社区12委9网格','220323001003009',2),('4527505346624614618','4455233622696436937','欧亚商超','220323001003054',2),('4527505346624617715','4500612151202579912','周户二屯','220323105204002',2),('4527505415344090326','4500612151202579912','段家屯','220323105204004',2),('4527505587142784788','220382104210','留久村一屯','220382104210001',2),('4527505587142785897','4500612151202579912','前韩家岗子','220323105204006',2),('4527505655862258203','220382104210','留久村六屯','220382104210006',2),('4527505758941477980','220323105205','前庄家屯','220323105205003',2),('4527505965099907020','220323105206','西韩家屯','220323105206003',2),('4527505999459642040','220323105205','丁家岗子','220323105205004',2),('4527506652294674595','220323105203','河北屯','220323105203004',2),('4527506652294675943','220323105203','水田屯','220323105203008',2),('4527506686654412669','220382201201','万斤村四屯孟家屯','220382201201004',2),('4527507098971270261','220323105000','姜家村','220323105207',1),('4527507098971272388','220323104209','石灰村三组','220323104209003',2),('4527507098971273026','220323104209','石灰村八组','220323104209008',2),('4527507098971273785','220323104209','石灰村小学','220323104209009',2),('4527507167690750851','4527507098971270261','翟家屯','220323105207003',2),('4527507373849178855','220323105201','山头子屯','220323105201003',2),('4527507373849179253','220323105201','义和屯','220323105201006',2),('4527507373849179909','220323105201','怀家沟','220323105201010',2),('4527507442568654439','4527507098971270261','东任家屯','220323105207004',2),('4527507442568654479','4527507098971270261','富家屯','220323105207006',2),('4527508164123159964','220382101210','川头村一屯','220382101210001',2),('4527509023116622953','220382101218','慈惠村','220382101218001',2),('4527509229275049480','4476993782444144833','鹿场社区北洼子腰街','220382101007001',2),('4527510706743797417','220382003006','福康医院','220382003006036',2),('4527511119060661846','220382001004','林业局专属网格','220382001004027',2),('4527512356011243201','220323105200','马吹屯','220323105200004',2),('4527512424730717451','220323105200','河西屯','220323105200009',2),('4527512424730719591','220323102206','河西屯','220323102206001',2),('4527512459090458908','220323102206','岭西屯','220323102206002',2),('4527512562169671780','220382201213','后俗村一屯二屯','220382201213001',2),('4527512562169672495','220322101215','镇郊村三社','220322101215003',2),('4527512596529406106','220322101215','镇郊村六社','220322101215006',2),('4527512596529406195','220323102206','毛家烧锅屯','220323102206004',2),('4527512596529408914','220323102206','瓮圈屯','220323102206007',2),('4527512596529409348','4527502632205282631','闫家屯','220323105202002',2),('4527512596529411305','220323101206','贡家店1组','220323101206001',2),('4527512596529413505','220323102205','后何家屯','220323102205002',2),('4527512699608627334','220382201209','农阁村一屯二屯','220382201209001',2),('4527512733968360371','220323102200','冯家岭屯','220323102200001',2),('4527512733968363364','220323102200','罗家沟屯','220323102200002',2),('4527512733968365918','220323102200','冀家窝堡屯','220323102200003',2),('4527513111925483555','220323102200','闫家屯','220323102200004',2),('4527513111925484892','220323102200','电道屯','220323102200006',2),('4527513111925488586','220323102200','后碾子沟屯','220323102200008',2),('4527513215004698343','220323102200','伊丹五队','220323102200014',2),('4527513558602081907','220323104210','东方红村七组','220323104210007',2),('4527513558602082301','220323104210','东方红村九组','220323104210009',2),('4527513558602082703','220323104210','孙家小学','220323104210012',2),('4527513558602083860','220323104211','立新村一、五组','220323104211001',2),('4527513558602084666','220323104211','立新村三、八组','220323104211003',2),('4527513558602085344','220323104211','立新村七组','220323104211006',2),('4527513558602087509','220323104212','绿化村七组','220323104212007',2),('4527513592961824376','220323104212','绿化村九组','220323104212009',2),('4527513627321557167','220323104213','姚家村一组','220323104213001',2),('4527513627321563323','220323104213','姚家村五组','220323104213005',2),('4527513627321564715','220323104213','景台镇九年一贯制东风小学','220323104213006',2),('4527513661681297731','220323104216','房身村房身沟屯','220323104216001',2),('4527513661681298701','220323104216','房身村新立屯','220323104216003',2),('4527513661681300751','220323104216','房身村小学','220323104216004',2),('4527513730400774012','220323102207','小东沟屯','220323102207002',2),('4527513764760516880','220323102209','赁器铺屯','220323102209002',2),('4527513902199470515','220323102210','张博士户屯','220323102210004',2),('4527514108357901256','220382101206','玉尺村','220382101206001',2),('4527514142717635602','220382202000','边家店饲养场','220382202217000',1),('4527514348876068520','220303006003','网格八','220303006003008',2),('4527514486315017545','220323104201','锦山村三组','220323104201002',2),('4527514486315018797','220323104201','锦山村丘家窑','220323104201007',2),('4527514486315020248','220323104204','秀山村三组','220323104204003',2),('4527514486315020543','220323104204','秀山村小学','220323104204006',2),('4527514589394234595','220323104215','上大门屯','220323104215004',2),('4527514589394235341','220323104215','小五队','220323104215007',2),('4527515242229266626','220382105204','长岭村长岭屯（主屯）','220382105204001',2),('4527515276589005576','220323102208','腰鲍家屯','220323102208004',2),('4527515448387696333','220323102211','双庙子屯','220323102211001',2),('4527515448387697048','220323102211','马场屯','220323102211002',2),('4527515448387697828','220323102211','乌拉草沟屯','220323102211003',2),('4527515517107167492','220382105204','长岭村胜利堡屯','220382105204002',2),('4527515517107168324','220323102211','前火勺屯','220323102211005',2),('4527515723265599426','220323103211','吴油坊','220323103211002',2),('4527515723265599761','220323103211','刘油坊','220323103211003',2),('4527515723265600422','220323102202','羊草沟屯','220323102202001',2),('4527515723265602885','220323102202','何家窝堡屯','220323102202002',2),('4527515757625338930','220323102203','丛家店屯','220323102203002',2),('4527515757625339934','220323102203','后毯子屯','220323102203005',2),('4527515757625340514','220323102203','土门子屯','220323102203006',2),('4527515757625342614','220323102203','孙木匠沟屯','220323102203010',2),('4527515895064293852','220323103206','平安屯','220323103206001',2),('4527515895064294039','220323103206','三棵树屯','220323103206005',2),('4527515963783774014','220323103210','大兴号屯','220323103210002',2),('4527516032503242768','220323103210','王家油坊','220323103210006',2),('4527516032503243232','220303100200','基础网格4','220303100200004',2),('4527516032503243267','220303100200','基础网格5','220303100200005',2),('4527516032503243303','220303100200','基础网格6','220303100200006',2),('4527518059727810389','220303100205','基础网格4','220303100205004',2),('4527518059727810620','220303100205','基础网格5','220303100205005',2),('4527518059727810980','220303100205','基础网格7','220303100205007',2),('4527519640275773916','220382101212','杜力村','220382101212001',2),('4545342208365966859','220322112001','沈新社区二组','220322112001002',2),('4545342242725703155','220303100209','基础网格8','220303100209008',2),('4545342242725704133','220303100204','基础网格7','220303100204007',2),('4545342242725704278','220303100204','基础网格9','220303100204009',2),('4545342311445180779','220323102201','大岭屯','220323102201003',2),('4545342551963350345','220323101209','赵家后屯','220323101209004',2),('4545342758121781499','220323101202','五间房后队','220323101202010',2),('4545342792481515975','220382001200','林草处管辖郑家屯公园专属网格','220382001200002',2),('4545343032999684146','220323101200','大庙东屯','220323101001004',2),('4545343101719160428','220322104203','大桥村1社','220322104203001',2),('4545343101719161716','220322104203','大桥村6社','220322104203006',2),('4545343101719163369','220322112000','国有林场','220322115213',1),('4545346572052737721','4527502632205282631','张家油坊','220323105202009',2),('4545346812570904347','220323104215','农林小学','220323104215009',2),('4545347156168288687','220303100211','基础网格4','220303100211004',2),('4545347156168288889','220303100211','基础网格5','220303100211005',2),('4545347568485147121','220382003006','乐水汇','220382003006040',2),('4545347602844892292','220382003006','三星酒店','220382003006041',2),('4545347637204626439','220382003006','温州商城','220382003006042',2),('4545347637204630042','220382003006','红都洗浴','220382003006044',2),('4545347740283840825','220323110204','兴隆屯','220323110204004',2),('4545347740283841114','220323110204','苇塘沟屯','220323110204006',2),('4545347740283846155','220323110200','拉拉屯','220323110200004',2),('4545347774643577050','220323110201','大湾屯2','220323110201002',2),('4545347774643577764','220323110202','榆树屯2','220323110202002',2),('4545347774643577888','220323110202','杨木岗屯','220323110202003',2),('4545347774643578512','220323110203','石碑岭屯','220323110203004',2),('4545347774643580108','220323110205','大花楼屯','220323110205008',2),('4545347774643580362','220323110205','小瓦房屯','220323110205010',2),('4545348461838358060','220303100209','基础网格4','220303100209004',2),('4545348461838358197','220303100209','基础网格6','220303100209006',2),('4545348461838358245','220303100209','基础网格7','220303100209007',2),('4545348461838358739','220303100204','基础网格3','220303100204003',2),('4545348461838358876','220303100204','基础网格4','220303100204004',2),('4545348461838358992','220303100204','基础网格6','220303100204006',2),('4545348461838359474','220303100204','基础网格11','220303100204011',2),('4545348530557831819','220323102201','二道岭子屯','220323102201001',2),('4545348633637046456','220303102212','基础网格五','220303102212005',2),('4545348633637051693','220323102201','孔家店屯','220323102201004',2),('4545348702356524996','220323102201','后杨家屯','220323102201005',2),('4545348977234428247','220303100202','基础网格3','220303100202003',2),('4545349114673383912','220322104203','大桥村2社','220322104203002',2),('4545349114673384283','220322104203','大桥村3社','220322104203003',2),('4545349114673384524','220322104203','大桥村4社','220322104203004',2),('4545349114673385249','220322104203','大桥村7社','220322104203007',2),('4545350214185012619','220382104213','田虎屯','220382104213004',2),('4545351451135592694','220382003006','双辽市邮政局','220382003006039',2),('4545351622934289930','220323110204','龙王岗','220323110204003',2),('4545351622934290428','220323110204','三合屯','220323110204005',2),('4545351657294023380','220323110200','吕家沟','220323110200002',2),('4545351657294023561','220323110200','大碱厂','220323110200003',2),('4545351657294023842','220323110200','王面铺屯','220323110200005',2),('4545351657294024051','220323110200','小碱厂屯','220323110200006',2),('4545351657294024217','220323110200','双凤堆屯','220323110200007',2),('4545351657294024534','220323110201','杨大房子屯','220323110201003',2),('4545351657294024605','220323110201','庙顶子屯','220323110201004',2),('4545351657294025377','220323110202','榆树屯1','220323110202001',2),('4545351657294025701','220323110202','小草皮沟屯','220323110202004',2),('4545351657294026188','220323110203','黑石屯','220323110203003',2),('4545351657294027705','220323110205','致富河南屯','220323110205004',2),('4545351657294027789','220323110205','杏树屯','220323110205006',2),('4545351657294027836','220323110205','石头泉眼屯','220323110205007',2),('4545351657294028420','220323110205','大瓦房屯','220323110205011',2),('4545352000891419709','220322112001','沈新社区一组','220322112001001',2),('4545352035251152241','220303100209','基础网格3','220303100209003',2),('4545352035251152531','220303100209','基础网格5','220303100209005',2),('4545352035251154808','220303100204','基础网格5','220303100204005',2),('4545352035251155131','220303100204','基础网格8','220303100204008',2),('4545352035251155284','220303100204','基础网格10','220303100204010',2),('4545352172690111124','220323102201','石灰窑子屯','220323102201002',2),('4545352207049850234','220303102212','专属网格一大棚','220303102212007',2),('4545352585006971278','220382001200','河长制辖区专属网格','220382001200003',2),('4545352722445921926','220323101200','大庙后屯','220323101001005',2),('4545352756805662948','220323101208','黄家东队','220323101208006',2),('4545352756805663703','220322104203','大桥村5社','220322104203005',2),('4545353134762779260','220382203200','安边网格','220382203200001',2),('4545353169122517575','220382104000','高家炉社区','220382104215000',1),('4545353512719901189','220323104215','核桃背小学','220323104215008',2),('4545353615799120348','220303100211','基础网格3','220303100211003',2),('4545353615799120789','220303100211','基础网格6','220303100211006',2),('4545353993756244549','220382003006','双辽市联通公司','220382003006038',2),('4545357154852168155','220382003006','商业大世界','220382003006043',2),('4545357154852172793','220382003006','老水利局','220382003006045',2),('4545357223571645834','220323110204','小吉祥','220323110204001',2),('4545357223571646307','220323110204','大吉祥','220323110204002',2),('4545357223571652004','220323110201','大湾屯1','220323110201001',2),('4545357257931383125','220323110202','锅腔屯','220323110202005',2),('4545357257931383290','220323110203','大酱屯','220323110203001',2),('4545357257931383417','220323110203','小北沟屯','220323110203002',2),('4545357257931386097','220323110203','青顶子屯','220323110203005',2),('4545357257931386184','220323110205','保南屯','220323110205001',2),('4545357257931386323','220323110205','小苕条屯','220323110205002',2),('4545357257931386505','220323110205','大苕条屯','220323110205003',2),('4545357257931386607','220323110205','致富河北屯','220323110205005',2),('4545357257931387159','220323110205','小花楼屯','220323110205009',2),('4548237153762443518','220323110211','曹家屯','220323110211001',2),('4548237153762444205','220323110211','四间南沟屯','220323110211003',2),('4548237153762448917','220323110210','小苇塘沟屯','220323110210004',2),('4548237153762449773','220323110209','钓鱼台屯','220323110209002',2),('4548237153762449951','220323110209','流沙屯','220323110209003',2),('4548237153762450354','220323110209','西流沙屯','220323110209004',2),('4548237944036433784','220303100212','基础网格4','220303100212004',2),('4548237944036433849','220303100212','基础网格6','220303100212006',2),('4548238287633812467','220323103202','后高家屯','220323103202004',2),('4548238390713031252','220323110207','新开岭屯','220323110207002',2),('4548238631231193843','220323110207','新张屯','220323110207004',2),('4548238631231194098','220323110207','东西里屯','220323110207005',2),('4548238665590933748','220323110206','前三星泉屯','220323110206006',2),('4548238665590934166','220323110206','信发城屯','220323110206007',2),('4548238699950676716','4548277766973221134','后板凳沟','220323110208004',2),('4548239868181776805','220322105200','高家窝堡一社','220322105200001',2),('4548239868181776970','220322105200','高家窝堡二社','220322105200002',2),('4548239936901257570','4545353169122517575','高家炉','220382104215001',2),('4548240177419423289','220382004200','东风村三屯','220382004200003',2),('4548241139492098218','220322105200','高家窝堡四社','220322105200004',2),('4548241139492098652','220322105200','高家窝堡六社','220322105200006',2),('4548241139492099396','220322105201','喇嘛甸一社','220322105201001',2),('4548241139492100498','220322105201','喇嘛甸五社','220322105201005',2),('4548241139492101075','220322105201','喇嘛甸六社','220322105201006',2),('4548241139492101326','220322105201','喇嘛甸七社','220322105201007',2),('4548241139492102126','220322105202','老程窝堡一社','220322105202001',2),('4548241173851835696','220322105202','老程窝堡四社','220322105202004',2),('4548241173851837484','220322105202','老程窝堡六社','220322105202006',2),('4548241208211570724','220322105203','梨树贝三社','220322105203003',2),('4548241208211571022','220322105203','梨树贝四社','220322105203004',2),('4548241208211574650','220322105204','柳树营五社','220322105204005',2),('4548241242571309568','220322105204','柳树营八社','220322105204008',2),('4548241345650527341','220322105205','六家子一社','220322105205001',2),('4548241345650528760','220322105205','六家子三社','220322105205003',2),('4548241345650529609','220322105205','六家子五社','220322105205005',2),('4548241345650529862','220322105205','六家子七社','220322105205007',2),('4548241345650530783','220322105206','牛家窝堡二社','220322105206002',2),('4548241345650531001','220322105206','牛家窝堡三社','220322105206003',2),('4548241345650531350','220322105206','牛家窝堡五社','220322105206005',2),('4548241380010263878','220322105206','牛家窝堡十社','220322105206010',2),('4548241414370005312','220322105208','平岭一社','220322105208001',2),('4548241689247915971','220322105207','彭家窝堡一社','220322105207001',2),('4548241723607646365','220322105207','彭家窝堡二社','220322105207002',2),('4548241723607646521','220322105207','彭家窝堡三社','220322105207003',2),('4548241723607649667','220322105207','彭家窝堡四社','220322105207004',2),('4548241723607650041','220322105207','彭家窝堡六社','220322105207006',2),('4548241723607651026','220322105208','平岭六社','220322105208006',2),('4548241723607652700','220322105209','前加巴四社','220322105209004',2),('4548241723607653638','220322105209','前加巴八社','220322105209008',2),('4548241757967384579','220322105209','前加巴十一社','220322105209011',2),('4548241757967385256','220322105210','申染房三社','220322105210003',2),('4548241757967385376','220322105210','申染房四社','220322105210004',2),('4548241757967389398','220322105211','王家园子一社','220322105211001',2),('4548241757967390096','220322105211','王家园子三社','220322105211003',2),('4548241792327124520','220322105211','王家园子七社','220322105211007',2),('4548241792327127710','220322105212','一棵树六社','220322105212006',2),('4548241792327128174','220322105212','一棵树八社','220322105212008',2),('4548241792327128368','220322105212','一棵树九社','220322105212009',2),('4548241792327128854','220322105212','一棵树十二社','220322105212012',2),('4548241792327129373','220322105213','前胡家二社','220322105213002',2),('4548241792327129950','220322105213','前胡家六社','220322105213006',2),('4548241964125816543','220382003005','理想城邦网格三','220382003005003',2),('4548243372875091072','4545353169122517575','王奔镇邮局','220382104215002',2),('4548243372875091164','4545353169122517575','王奔镇卫生院','220382104215003',2),('4548243407234827863','220303100207','基础网格3','220303100207003',2),('4548247977080030656','220302005004','基础网格七','220302005004015',2),('4548247977080032226','220302005004','基础网格十','220302005004017',2),('4548251516133081835','220322111001','赵家店社区居','220322111001001',2),('4548251550492821276','220303100203','基础网格3','220303100203003',2),('4548251550492823355','220303100203','基础网格10','220303100203010',2),('4548251859730471635','220322111200','东河村2社','220322111200002',2),('4548252031529160872','220322111200','东河村4社','220322111200004',2),('4548252065888895531','220322111200','东河村6社','220322111200006',2),('4548252993601834404','220322111202','胜利村7社','220322111202007',2),('4548252993601835207','220322111202','胜利村8社','220322111202008',2),('4548252993601835438','220322111202','胜利村9社','220322111202009',2),('4548252993601836345','220303100206','基础网格4','220303100206004',2),('4548252993601836438','220303100206','基础网格5','220303100206005',2),('4548254814667969846','220322111201','梁家岗子村6社','220322111201006',2),('4548254814667970270','220322111201','梁家岗子村9社','220322111201009',2),('4548255055186135985','220322111203','双城子村6社','220322111203006',2),('4548255055186138440','220322111203','双城子村8社','220322111203008',2),('4548255055186139849','220322111203','双城子村10社','220322111203010',2),('4548255192625090205','220322111204','双树子村3社','220322111204003',2),('4548255192625090499','220322111204','双树子村5社','220322111204005',2),('4548255192625090582','220322111204','双树子村7社','220322111204007',2),('4548255192625090802','220322111204','双树子村9社','220322111204009',2),('4548255226984825602','220322111205','松树村3社','220322111205003',2),('4548255261344569002','220322111205','松树村8社','220322111205008',2),('4548255295704302108','220322111206','王平房村4社','220322111206004',2),('4548255467502999454','220322111206','王平房村6社','220322111206006',2),('4548255467502999864','220322111206','王平房村7社','220322111206007',2),('4548255467503000000','220322111206','王平房村8社','220322111206008',2),('4548255467503000322','220322111206','王平房村10社','220322111206010',2),('4548255879819857570','4476992304975389576','商业街','220382106211010',2),('4548257185489914667','220382105202','永安村一屯','220382105202001',2),('4548257185489915735','220382105202','永安村二屯','220382105202002',2),('4548257185489916214','220382105202','永安村三屯','220382105202003',2),('4548257185489916677','220322111207','五业村3社','220322111207003',2),('4548257219849650656','220322111207','五业村4社','220322111207004',2),('4548257219849653342','220322111207','五业村5社','220322111207005',2),('4548257219849653649','220322111207','五业村6社','220322111207006',2),('4548257219849653731','220382105202','永安村五屯','220382105202005',2),('4548257219849655142','220322111207','五业村8社','220322111207008',2),('4548257254209392367','220382105202','永安村八屯','220382105202008',2),('4548257254209394568','220322111208','新发村1社','220322111208001',2),('4548257254209394888','220322111208','新发村2社','220322111208002',2),('4548257426008082797','220322111209','业家屯村1社','220322111209001',2),('4548257426008085073','220322111209','业家屯村3社','220322111209003',2),('4548257460367821788','220322111210','赵家店村4社','220322111210004',2),('4548257460367822037','220322111210','赵家店村5社','220322111210005',2),('4548257460367822334','220322111210','赵家店村6社','220322111210006',2),('4548257460367823713','220322111210','赵家店村8社','220322111210008',2),('4548257632166513441','220322111211','周家岗子村2社','220322111211002',2),('4548257666526254613','220322111211','周家岗子村7社','220322111211007',2),('4548277457735574452','4527507098971270261','西任家屯','220323105207008',2),('4548277663894008506','220323101205','马家油坊西屯','220323101205008',2),('4548277698253746035','220323110211','茨牙顶子屯','220323110211004',2),('4548277698253746394','220323110210','大桥屯','220323110210001',2),('4548277766973221134','220323110000','德胜村','220323110208',1),('4548278213649817756','220382201212','大白村一屯二屯','220382201212001',2),('4548278591606946048','220323103202','后周家屯','220323103202002',2),('4548278866484850347','220323110207','小东沟屯','220323110207003',2),('4548278866484852376','220323110206','一步岭屯','220323110206001',2),('4548278866484852764','220323110206','新发屯','220323110206002',2),('4548278866484853866','220323110206','凤山屯','220323110206005',2),('4548278935204326320','4548277766973221134','前板凳沟屯','220323110208003',2),('4548279003923808081','220382201200','清沟村二屯','220382201200002',2),('4548279072643284872','220382002001','文化广场、文化长廊','220382002001024',2),('4548279244441973619','220382002001','双辽市融媒体中心','220382002001025',2),('4548279794197783613','4548277766973221134','尹家炉','220323110208005',2),('4548281477824967590','220382004200','东风村二屯','220382004200002',2),('4548282027580784312','220322105200','高家窝堡五社','220322105200005',2),('4548282061940516997','220322105201','喇嘛甸二社','220322105201002',2),('4548282061940517357','220322105201','喇嘛甸三社','220322105201003',2),('4548282061940517584','220322105201','喇嘛甸四社','220322105201004',2),('4548282061940522113','220322105202','老程窝堡三社','220322105202003',2),('4548282096300254911','220322105202','老程窝堡七社','220322105202007',2),('4548282096300257207','220322105203','梨树贝一社','220322105203001',2),('4548282096300259874','220322105203','梨树贝五社','220322105203005',2),('4548282714775549187','220322105203','梨树贝六社','220322105203006',2),('4548282714775549404','220322105203','梨树贝七社','220322105203007',2),('4548282749135283348','220322105204','柳树营二社','220322105204002',2),('4548282749135289041','220322105204','柳树营六社','220322105204006',2),('4548282783495026496','220322105204','柳树营九社','220322105204009',2),('4548282783495026667','220322105204','柳树营十社','220322105204010',2),('4548282783495027522','220322105204','柳树营十二社','220322105204012',2),('4548282783495028336','220322105205','六家子四社','220322105205004',2),('4548282817854759002','220322105205','六家子六社','220322105205006',2),('4548282817854759733','220322105205','六家子八社','220322105205008',2),('4548282817854759876','220322105205','六家子九社','220322105205009',2),('4548282817854760294','220322105206','牛家窝堡一社','220322105206001',2),('4548282817854765914','220322105206','牛家窝堡四社','220322105206004',2),('4548282817854766328','220322105206','牛家窝堡六社','220322105206006',2),('4548282817854766838','220322105206','牛家窝堡八社','220322105206008',2),('4548282886574236211','220322105206','牛家窝堡七社','220322105206007',2),('4548282886574239048','220322105208','平岭二社','220322105208002',2),('4548282955293713472','220322105208','平岭五社','220322105208005',2),('4548282955293716613','220322105209','前加巴七社','220322105209007',2),('4548282955293717119','220322105209','前加巴十社','220322105209010',2),('4548282955293718432','220322105210','申染房一社','220322105210001',2),('4548282955293718616','220322105210','申染房二社','220322105210002',2),('4548282955293719123','220322105210','申染房五社','220322105210005',2),('4548282955293719246','220322105210','申染房六社','220322105210006',2),('4548282955293719328','220322105210','申染房七社','220322105210007',2),('4548282955293719471','220322105210','申染房八社','220322105210008',2),('4548282955293719654','220322105210','申染房九社','220322105210009',2),('4548282955293720092','220322105210','申染房十一社','220322105210011',2),('4548282989653451461','220322105211','王家园子四社','220322105211004',2),('4548282989653451730','220322105211','王家园子六社','220322105211006',2),('4548282989653452874','220322105211','王家园子九社','220322105211009',2),('4548282989653453754','220322105212','一棵树二社','220322105212002',2),('4548282989653454033','220322105212','一棵树三社','220322105212003',2),('4548282989653455499','220322105212','一棵树七社','220322105212007',2),('4548282989653456043','220322105212','一棵树十社','220322105212010',2),('4548282989653456189','220322105212','一棵树十一社','220322105212011',2),('4548283711207962584','4455233622696436905','吉视传媒','220323001002032',2),('4548284364042993096','4545353169122517575','加油站','220382104215004',2),('4548284501481961712','220382201207','通德村一屯','220382201207001',2),('4548284810719608721','220303101002','基础网格二','220303101002002',2),('4548284948158558044','220323110211','四间屯','220323110211002',2),('4548284948158558834','220323110211','倒木沟屯','220323110211005',2),('4548284948158560948','220323110210','大苇塘沟屯','220323110210002',2),('4548284948158561192','220323110210','苇塘南沟屯','220323110210003',2),('4548284948158561673','220323110209','夹槽子屯','220323110209001',2),('4548285566633849675','220303100212','基础网格3','220303100212003',2),('4548285566633850086','220303100212','基础网格5','220303100212005',2),('4548286150749397843','220323110207','地局子屯','220323110207001',2),('4548286150749398902','220323110207','西新里屯','220323110207006',2),('4548286150749399280','220323110207','后三星泉屯','220323110207007',2),('4548286219468879253','220323110206','王家屯','220323110206003',2),('4548286219468881643','220323110206','黄粉房屯','220323110206004',2),('4548286253828597379','220302005004','基础网格八','220302005004014',2),('4548286253828600438','220302005004','基础网格十一','220302005004018',2),('4548286253828616394','4548277766973221134','大兴屯','220323110208001',2),('4548286253828616685','4548277766973221134','韩家屯','220323110208002',2),('4548286391267568966','220382002001','双辽市幼儿园','220382002001023',2),('4548286425627295694','220302005004','基础网格十二','220302005004019',2),('4548287353340240140','220322105001','昌平社区一社','220322105001001',2),('4548287353340241116','220322105200','高家窝堡三社','220322105200003',2),('4548287696937629487','220382004200','东风村一屯','220382004200001',2),('4548288212333706807','220322105200','高家窝堡七社','220322105200007',2),('4548288281053177616','220322105201','喇嘛甸八社','220322105201008',2),('4548288281053178030','220322105201','喇嘛甸九社','220322105201009',2),('4548288281053178678','220322105202','老程窝堡二社','220322105202002',2),('4548288315412915087','220322105202','老程窝堡五社','220322105202005',2),('4548288315412915594','220322105202','老程窝堡八社','220322105202008',2),('4548288315412917634','220322105203','梨树贝二社','220322105203002',2),('4548288315412919583','220322105203','梨树贝八社','220322105203008',2),('4548288349772653926','220322105204','柳树营一社','220322105204001',2),('4548288349772655472','220322105204','柳树营三社','220322105204003',2),('4548288349772659826','220322105204','柳树营四社','220322105204004',2),('4548288349772660454','220322105204','柳树营七社','220322105204007',2),('4548288384132391965','220322105204','柳树营十一社','220322105204011',2),('4548288384132396322','220322105205','六家子二社','220322105205002',2),('4548288452851871923','220322105206','牛家窝堡九社','220322105206009',2),('4548288487211606423','220322105206','牛家窝堡十一社','220322105206011',2),('4548288487211611112','220322105207','彭家窝堡五社','220322105207005',2),('4548288487211612437','220322105208','平岭三社','220322105208003',2),('4548288487211613048','220322105208','平岭四社','220322105208004',2),('4548288487211613954','220322105209','前加巴一社','220322105209001',2),('4548288521571344491','220322105209','前加巴二社','220322105209002',2),('4548288521571347468','220322105209','前加巴三社','220322105209003',2),('4548288521571348090','220322105209','前加巴五社','220322105209005',2),('4548288521571348286','220322105209','前加巴六社','220322105209006',2),('4548288521571348980','220322105209','前加巴九社','220322105209009',2),('4548288521571351823','220322105210','申染房十社','220322105210010',2),('4548288555931083720','220322105211','王家园子二社','220322105211002',2),('4548288555931084350','220322105211','王家园子五社','220322105211005',2),('4548288555931084930','220322105211','王家园子八社','220322105211008',2),('4548288555931088021','220322105212','一棵树一社','220322105212001',2),('4548288555931088863','220322105212','一棵树四社','220322105212004',2),('4548288555931089177','220322105212','一棵树五社','220322105212005',2),('4548288624650560068','220322105213','前胡家一社','220322105213001',2),('4548288624650560471','220322105213','前胡家三社','220322105213003',2),('4548288624650560623','220322105213','前胡家四社','220322105213004',2),('4548288624650560809','220322105213','前胡家五社','220322105213005',2),('4548288693370040130','220382003005','理想城邦网格二','220382003005002',2),('4548289140046640609','220303100207','基础网格4','220303100207004',2),('4548289140046640644','220303100207','基础网格5','220303100207005',2),('4548290239558267000','220302005004','基础网格九','220302005004016',2),('4548290308277728937','220303100203','基础网格4','220303100203004',2),('4548290308277729169','220303100203','基础网格8','220303100203008',2),('4548290411356961929','220303101202','基础网格二','220303101202002',2),('4548290445716699033','220302005004','基础网格十三','220302005004020',2),('4548290514436154917','220322111200','东河村1社','220322111200001',2),('4548290548795896875','220322111200','东河村7社','220322111200007',2),('4548290720594585422','220322111202','胜利村3社','220322111202003',2),('4548290720594587039','220322111202','胜利村4社','220322111202004',2),('4548290720594588109','220322111202','胜利村6社','220322111202006',2),('4548291545228309945','220322111201','梁家岗子村1社','220322111201001',2),('4548291545228311560','220322111201','梁家岗子村3社','220322111201003',2),('4548291579588043323','220322111201','梁家岗子村4社','220322111201004',2),('4548291579588043546','220322111201','梁家岗子村7社','220322111201007',2),('4548291579588043888','220322111201','梁家岗子村10社','220322111201010',2),('4548291579588044331','220322111203','双城子村1社','220322111203001',2),('4548291579588044422','220322111203','双城子村2社','220322111203002',2),('4548291579588046661','220322111203','双城子村7社','220322111203007',2),('4548291579588047821','220322111203','双城子村9社','220322111203009',2),('4548291579588048316','220322111204','双树子村1社','220322111204001',2),('4548291613947783103','220322111205','松树村1社','220322111205001',2),('4548291613947786847','220322111205','松树村4社','220322111205004',2),('4548291613947788791','220322111205','松树村5社','220322111205005',2),('4548291751386738009','220322111206','王平房村2社','220322111206002',2),('4548291957545169299','220322111206','王平房村9社','220322111206009',2),('4548291957545171267','220322111206','王平房村11社','220322111206011',2),('4548294019129484074','220303100203','基础网格5','220303100203005',2),('4548294019129484120','220303100203','基础网格6','220303100203006',2),('4548294019129484860','220303100203','基础网格7','220303100203007',2),('4548294019129484964','220303100203','基础网格9','220303100203009',2),('4548294122208704804','220322111200','东河村3社','220322111200003',2),('4548294122208705458','220322111200','东河村5社','220322111200005',2),('4548294294007392141','220322111202','胜利村1社','220322111202001',2),('4548294362726869829','220322111202','胜利村2社','220322111202002',2),('4548294362726872639','220322111202','胜利村5社','220322111202005',2),('4548294362726873822','220322111202','胜利村10社','220322111202010',2),('4548294397086611567','220303100206','基础网格3','220303100206003',2),('4548294397086611763','220382201200','清沟村五屯','220382201200004',2),('4548294534525544503','220322111207','五业村2社','220322111207002',2),('4548294534525549202','220382105202','永安村四屯','220382105202004',2),('4548294568885282563','220382105202','永安村六屯','220382105202006',2),('4548294603245024383','220322111208','新发村3社','220322111208003',2),('4548294706324235013','220322111208','新发村8社','220322111208008',2),('4548294775043715067','220322111210','赵家店村3社','220322111210003',2),('4548294775043717282','220322111210','赵家店村9社','220322111210009',2),('4548294809403450160','220322111211','周家岗子村1社','220322111211001',2),('4548294912482664946','220322111211','周家岗子村8社','220322111211008',2),('4548294912482665127','220322111211','周家岗子村9社','220322111211009',2),('4548294912482671504','220302002004','阳光社区','220302002004066',2),('4548295324799544401','220322111201','梁家岗子村2社','220322111201002',2),('4548295324799544619','220322111201','梁家岗子村5社','220322111201005',2),('4548295324799546911','220322111201','梁家岗子村8社','220322111201008',2),('4548295359159280727','220322111203','双城子村3社','220322111203003',2),('4548295359159280803','220322111203','双城子村4社','220322111203004',2),('4548295359159280959','220322111203','双城子村5社','220322111203005',2),('4548295359159286613','220322111204','双树子村2社','220322111204002',2),('4548295393519023513','220322111204','双树子村4社','220322111204004',2),('4548295393519023692','220322111204','双树子村6社','220322111204006',2),('4548295393519025667','220322111204','双树子村8社','220322111204008',2),('4548295393519025947','220322111204','双树子村10社','220322111204010',2),('4548295496598236210','220322111205','松树村2社','220322111205002',2),('4548295496598238259','220322111205','松树村6社','220322111205006',2),('4548295496598238508','220322111205','松树村7社','220322111205007',2),('4548295496598239637','220322111206','王平房村1社','220322111206001',2),('4548295496598241115','220322111206','王平房村3社','220322111206003',2),('4548295530957974904','220322111206','王平房村5社','220322111206005',2),('4548295634037194141','220303002002','专属网格4','220303002002014',2),('4548296355591699522','220322111207','五业村1社','220322111207001',2),('4548296389951438174','220322111207','五业村7社','220322111207007',2),('4548296424311171264','220382105202','永安村七屯','220382105202007',2),('4548296630469601921','220322111208','新发村4社','220322111208004',2),('4548296630469602128','220322111208','新发村5社','220322111208005',2),('4548296630469604504','220322111208','新发村6社','220322111208006',2),('4548296630469604704','220322111208','新发村7社','220322111208007',2),('4548296630469606360','220322111208','新发村9社','220322111208009',2),('4548297833060447500','220322111209','业家屯村2社','220322111209002',2),('4548297833060449103','220322111209','业家屯村4社','220322111209004',2),('4548297833060449355','220322111209','业家屯村5社','220322111209005',2),('4548297867420180609','220322111210','赵家店村1社','220322111210001',2),('4548297867420180826','220322111210','赵家店村2社','220322111210002',2),('4548297867420188266','220322111210','赵家店村7社','220322111210007',2),('4548298039218879291','220322111211','周家岗子村3社','220322111211003',2),('4548298039218879552','220322111211','周家岗子村4社','220322111211004',2),('4548298039218879718','220322111211','周家岗子村5社','220322111211005',2),('4548298073578612712','220322111211','周家岗子村6社','220322111211006',2),('4548298073578615162','220322111211','周家岗子村10社','220322111211010',2),('4562944633612594010','220322114200','小宽村七组','220322114200007',2),('4562944667972337165','220322114201','西河村二组','220322114201002',2),('4562944702332068403','220322114201','西河村三组','220322114201003',2),('4562944702332068953','220322114201','西河村四组','220322114201004',2),('4562944702332073106','220322114201','西河村九组','220322114201009',2),('4562944736691808858','220322114202','长发村五组','220322114202005',2),('4562944736691811320','220322114203','五家户村五组','220322114203005',2),('4562944805411291044','220322114204','新风村二组','220322114204002',2),('4562944839771021740','220322114204','新风村三组','220322114204003',2),('4562944839771024660','220322114204','新风村六祖','220322114204006',2),('4562944839771025946','220322114205','宏伟村一组','220322114205001',2),('4562944839771026621','220322114205','宏伟村三组','220322114205003',2),('4562944839771026988','220322114205','宏伟村四组','220322114205004',2),('4562944874130762481','220322114206','长兴村三组','220322114206003',2),('4562944908490501790','220322114206','长兴村七组','220322114206007',2),('4562944908490503360','220322114207','大宽村二组','220322114207002',2),('4562945080289192813','220322114208','陈家村一组','220322114208001',2),('4562945080289192962','220322114208','陈家村二组','220322114208002',2),('4562945080289194596','220322114208','陈家村四组','220322114208004',2),('4562945355167101285','220303001005','专属网格12万达嘉华酒店写字楼','220303001005040',2),('4562945973642390670','220303001005','专属网格16待开发住宅区','220303001005044',2),('4562954116900395001','220303100208','基础网格4','220303100208004',2),('4562954426138040153','220322114001','宽城社区一组','220322114001001',2),('4562954597936730568','220322114200','小宽村一组','220322114200001',2),('4562954597936734023','220322114200','小宽村二组','220322114200002',2),('4562954701015947442','220322114200','小宽村四组','220322114200004',2),('4562954701015948235','220322114200','小宽村六组','220322114200006',2),('4562954769735422746','220322114201','西河村七组','220322114201007',2),('4562954804095157814','220322114202','长发村三组','220322114202003',2),('4562954804095160902','220322114203','五家户村一组','220322114203001',2),('4562954804095163283','220322114203','五家户村三组','220322114203003',2),('4562954804095163590','220322114203','五家户村四组','220322114203004',2),('4562954872814633257','220322114203','五家户村六组','220322114203006',2),('4562955044613332792','220322114204','新风村四组','220322114204004',2),('4562955078973056403','220302004002','专属网格一','220302004002009',2),('4562955388210706476','4455233622696437204','小营城子村小学','220323100213001',2),('4562955663088617052','220322114205','宏伟村二组','220322114205002',2),('4562955697448354208','220322114206','长兴村一组','220322114206001',2),('4562955697448361597','220322114206','长兴村五组','220322114206005',2),('4562955731808092330','220322114206','长兴村六祖','220322114206006',2),('4562955766167832682','220322114206','长兴村八组','220322114206008',2),('4562955869247045685','220322114207','大宽村四组','220322114207004',2),('4562955937966530208','220303001005','专属网格11万达嘉华酒店','220303001005039',2),('4562955972326262117','220303001005','专属网格14万达丽枫酒店','220303001005042',2),('4562956041045743544','220303001005','专属网格15万达金街+abc区商网裙房','220303001005043',2),('4562956281563904624','220323100218','后范村小学校','220323100215002',2),('4562956522082089007','220303100208','基础网格3','220303100208003',2),('4562956590801543190','220322101206','盛祥牧业','220322101206008',2),('4562956900039193584','4527507098971270261','天成天然气站有限公司','220323105207010',2),('4562957140557381224','220322114200','小宽村三组','220322114200003',2),('4562957174917116096','220322114200','小宽村五组','220322114200005',2),('4562957209276852991','220322114200','小宽村八组','220322114200008',2),('4562957312356069735','220322114201','西河村一组','220322114201001',2),('4562957346715807195','220322114201','西河村五组','220322114201005',2),('4562957346715809112','220322114201','西河村六祖','220322114201006',2),('4562957381075542289','220322114201','西河村八组','220322114201008',2),('4562957381075545109','220322114202','长发村一组','220322114202001',2),('4562957381075545679','220322114202','长发村二组','220322114202002',2),('4562957381075546298','220322114202','长发村四组','220322114202004',2),('4562957415435280597','220322114203','五家户村二组','220322114203002',2),('4562957415435287619','220322114204','新风村一组','220322114204001',2),('4562957655953449644','220322114204','新风村五组','220322114204005',2),('4562957793392407633','220322114205','宏伟村五组','220322114205005',2),('4562957827752145959','220322114206','长兴村二组','220322114206002',2),('4562957965191096032','220322114206','长兴村四组','220322114206004',2),('4562957999550839763','220322114207','大宽村一组','220322114207001',2),('4562958068270309379','220322114207','大宽村三组','220322114207003',2),('4562958102630049421','220322114208','陈家村三组','220322114208003',2),('4562958274428744218','220303001005','专属网格13万达写字楼','220303001005041',2),('4562958446227426902','220382101000','双山机械林场','220382101231000',1),('4562959236501403228','220303100201','基础网格3','220303100201003',2),('4562959477019581337','220323105208','双伊油气处理站','220323105208010',2),('4562959786257232512','220382101000','八一水库','220382101232000',1),('4562959854976689537','220323105200','靠山供电所','220323105200021',2),('4562959854976691651','220323105200','靠山人民政府','220323105200024',2),('4562959854976691877','220323105200','靠山移动大厅','220323105200025',2),('4562959854976711151','220382105200','玻璃山村九、十、十一屯','220382105200003',2),('4562960061135120846','220323105200','靠山北加油站','220323105200027',2),('4562960061135123818','220323105200','靠山中心校','220323105200031',2),('4562960061135124220','220323105200','靠山法院','220323105200033',2),('4562960061135124519','220323105200','靠山国土所','220323105200034',2),('4562960061135124732','220323105200','靠山五中','220323105200035',2),('4562960061135125949','220323105200','靠山交通队','220323105200036',2),('4562960610890945599','220323100223','关家村小学校','220323100202001',2),('4562960610890946084','220323100211','建国村小学校','220323100203001',2),('4562960610890946620','220323100216','前范村小学校','220323100214001',2),('4562960610890946747','220323100214','前桥村小学校','220323100205002',2),('4562960610890947278','220323100226','西宋村小学校','220323100211002',2),('4562960610890947694','220323100212','长安村小学校','220323100204001',2),('4562960679610421501','4500612151202579912','周户小学','220323105204008',2),('4562960679610424689','4527507098971270261','姜家村小学校','220323105207009',2),('4562961263725983671','220302004002','专属网格二','2203020040020123',2),('4562961572963623951','220323100206','西尖小学校','220323100222001',2),('4562962019640220835','220323105200','靠山卫生院','220323105200019',2),('4562962053999956226','220303100201','基础网格4','220303100201004',2),('4562962260158375670','220322204200','于大壕村一组','220322204200001',2),('4562962260158378694','220322204200','于大壕村三组','220322204200003',2),('4562962260158379724','220322204200','于大壕村四组','220322204200004',2),('4562962294518114830','220322204200','于大壕村七组','220322204200007',2),('4562962328877856997','220322204201','三合堡三组','220322204201003',2),('4562962328877857448','220322204201','三合堡四组','220322204201004',2),('4562962569396041662','220323100224','连家小学校','220323100201001',2),('4562962569396042293','220323100215','利民村小学校','220323100218001',2),('4562962706834992233','220323100217','任家村小学校','220323100216002',2),('4562962741194712446','220322204201','三合堡十一组','220322204201011',2),('4562962741194723900','220323105200','靠山南加油站','220323105200023',2),('4562962741194726904','220323105200','靠山信用社农业银行','220323105200026',2),('4562962775554450543','220322204202','范家屯一组','220322204202001',2),('4562963050432364734','220323105200','靠山联通大厅','220323105200030',2),('4562963565828452673','220323105205','庄家小学','220323105205009',2),('4562963600188193016','220323105208','护山村小学','220323105208011',2),('4562963943785572906','220382002200','辽西经济开发区','220382002200008',2),('4562964012505037917','220322204202','范家屯四组','220322204202004',2),('4562964253023214117','220322105207','彭家窝堡七社','220322105207007',2),('4562964253023218318','220323105200','靠山镇街道','220323105200018',2),('4562964287382945507','220322204203','杨船口村一组','220322204203001',2),('4562964321742676191','220322204203','杨船口村二组','220322204203002',2),('4562964321742678842','220322204203','杨船口村五组','220322204203005',2),('4562964321742682204','220322204203','杨船口村七组','220322204203007',2),('4562964321742683941','220322204204','陈大窝堡四组','220322204204004',2),('4562964356102419827','220322204204','陈大窝堡九组','220322204204009',2),('4562964459181639993','220322204200','于大壕村二组','220322204200002',2),('4562964493541388099','220323105206','下沟村小学','220323105206005',2),('4562964596620591145','220322204201','三合堡二组','220322204201002',2),('4562964596620595738','220322204201','三合堡八组','220322204201008',2),('4562964596620596712','220322204201','三合堡十组','220322204201010',2),('4562964630980322108','220322204205','刘家炉村二组','220322204205002',2),('4562964630980322754','220322204205','刘家炉村四组','220322204205004',2),('4562964630980326426','220322204206','腰窝堡四组','220322204206004',2),('4562964630980326691','220322204206','腰窝堡五组','220322204206005',2),('4562964630980327753','220322204207','柳家屯一组','220322204207001',2),('4562964665340064380','220322204207','柳家屯五组','220322204207005',2),('4562964665340066667','220322204208','三道岗子村三组','220322204208003',2),('4562964665340067321','220322204208','三道岗子村五组','220322204208005',2),('4562964665340067662','220322204208','三道岗子村六组','220322204208006',2),('4562964665340070646','220322204201','三合堡十二组','220322204201012',2),('4562964734059536931','220322204210','王木铺村五组','220322204210005',2),('4562964734059537825','220322204210','王木铺村七组','220322204210007',2),('4562964734059538175','220322204210','王木铺村八组','220322204210008',2),('4562964734059540439','220322204211','双顶子村三组','220322204211003',2),('4562964734059540752','220322204211','双顶子村四组','220322204211004',2),('4562964734059541138','220322204211','双顶子村五组','220322204211005',2),('4562964734059542901','220322204211','双顶子村九组','220322204211009',2),('4562964734059543407','220322204211','双顶子村十一组','220322204211011',2),('4562964734059543441','4459060301118312740','庆德村民委员会','220323001004004',2),('4562964734059544346','220322204212','刘家屯村一组','220322204212001',2),('4562964734059556593','220382002005','双辽市烈士陵园','220382002005013',2),('4562964837138752387','220322204212','刘家屯四组','220322204212004',2),('4562964837138752776','220322204212','刘家屯村五组','220322204212005',2),('4562964837138753286','220322204212','刘家屯村六祖','220322204212006',2),('4562964837138753380','220322113001','爱欣社区','220322113001001',2),('4562964940217979087','4527502632205282631','九龙村小学校','220323105202010',2),('4562965043297197105','220322204202','范家屯七组','220322204202007',2),('4562965112016672351','220322204203','杨船口村三组','220322204203003',2),('4562965215095883594','220322204203','杨船口村八组','220322204203008',2),('4562965215095884784','220322204203','杨船口村九组','220322204203009',2),('4562965215095885595','220322204204','陈大窝堡二组','220322204204002',2),('4562965215095886104','220322204204','陈大窝堡三组','220322204204003',2),('4562965249455630725','220323105200','靠山派出所','220323105200022',2),('4562965249455634599','220323105200','靠山社会保障大厅','220323105200028',2),('4562965283815358583','220322204204','陈大窝堡六组','220322204204006',2),('4562965283815358913','220322204204','陈大窝堡七组','220322204204007',2),('4562965283815361184','220322204205','刘家炉村一组','220322204205001',2),('4562965283815361792','220322204205','刘家炉村三组','220322204205003',2),('4562965283815362212','220322204205','刘家炉村五组','220322204205005',2),('4562965283815363099','220322204206','腰窝堡一组','220322204206001',2),('4562965283815363896','220322204206','腰窝堡三组','220322204206003',2),('4562965318175102074','220322204206','腰窝堡六组','220322204206006',2),('4562965318175102757','220322204207','柳家屯二组','220322204207002',2),('4562965318175108579','220323105200','靠山工商所','220323105200029',2),('4562965352534836595','220322204207','柳家屯八组','220322204207008',2),('4562965352534837784','220322204208','三道岗子村二组','220322204208002',2),('4562965352534838524','220322204208','三道岗子村四组','220322204208004',2),('4562965352534840136','220322204208','三道岗子村七组','220322204208007',2),('4562965352534840474','220322204208','三道岗子村八组','220322204208008',2),('4562965352534840734','220322204209','平安村一组','220322204209001',2),('4562965352534841287','220322204209','平安村三组','220322204209003',2),('4562965352534842080','220322204209','平安村六组','220322204209006',2),('4562965352534844824','220323105200','靠山邮局','220323105200032',2),('4562965455614050401','220322204210','王木铺村三组','220322204210003',2),('4562965455614051489','220322204210','王木铺村六组','220322204210006',2),('4562965489973793884','220322204211','双顶子村二组','220322204211002',2),('4562965489973795879','220322204211','双顶子村六组','220322204211006',2),('4562965489973796282','220322204211','双顶子村七组','220322204211007',2),('4562965524333531023','220322204211','双顶子村八组','220322204211008',2),('4562965558693267606','4459060301118312740','幸福湾公寓','220323001004005',2),('4562966761284107091','220322204000','焦小店水库','22032220720013',1),('4562967207960720582','220322204200','于大壕村五组','220322204200005',2),('4562967207960720766','220322204200','于大壕村六组','220322204200006',2),('4562967242320456953','220322204201','三合堡一组','220322204201001',2),('4562967242320460307','220322204201','三合堡五组','220322204201005',2),('4562967242320460852','220322204201','三合堡六组','220322204201006',2),('4562967242320461340','220322204201','三合堡七组','220322204201007',2),('4562967311039933406','220322204201','三合堡九组','220322204201009',2),('4562967379759411176','220322204202','范家屯二组','220322204202002',2),('4562967379759411603','220322204202','范家屯三组','220322204202003',2),('4562967379759412671','220322204202','范家屯五组','220322204202005',2),('4562967379759413172','220322204202','范家屯六组','220322204202006',2),('4562967414119153028','220323105201','太平村小学校','220323105201011',2),('4562968960307375173','220322204203','杨船口村四组','220322204203004',2),('4562968994667111930','220322204203','杨船口村六组','220322204203006',2),('4562968994667113259','220322204204','陈大窝堡一组','220322204204001',2),('4562968994667114527','220322204204','陈大窝堡五组','220322204204005',2),('4562968994667115319','220322204204','陈大窝堡八组','220322204204008',2),('4562969029026849590','220322204205','刘家炉村六组','220322204205006',2),('4562969029026851614','220322204206','腰窝堡二组','220322204206002',2),('4562969029026855065','220322204207','柳家屯三组','220322204207003',2),('4562969029026855297','220322204207','柳家屯四组','220322204207004',2),('4562969063386588052','220322204207','柳家屯六组','220322204207006',2),('4562969063386588404','220322204207','柳家屯七组','220322204207007',2),('4562969063386589553','220322204208','三道岗子村一组','220322204208001',2),('4562969269545017377','220322204209','平安村二组','220322204209002',2),('4562969269545019055','220322204209','平安村四组','220322204209004',2),('4562969269545019434','220322204209','平安村五组','220322204209005',2),('4562969269545022263','220322204210','王木铺村一组','220322204210001',2),('4562969269545022852','220322204210','王木铺村二组','220322204210002',2),('4562969269545024118','220322204210','王木铺村四组','220322204210004',2),('4562969303904756706','220322204211','双顶子村一组','220322204211001',2),('4562969303904762358','4459060301118312740','庆德社区居民委员会','220323001004003',2),('4562969303904763767','220322204211','双顶子村十组','220322204211010',2),('4562969338264494807','220322204212','刘家屯村二组','220322204212002',2),('4562969338264495046','220322204212','刘家屯村三组','220322204212003',2),('4562971296769579455','220382002200','结核病院','220382002200009',2),('4562973530152574312','220322100214','张篓铺1','220322100207001',2),('4562973564512305220','220322100214','郭家圩子','220322100207002',2),('4562973564512307116','220322100214','八家子','220322100207003',2),('4562973736310997440','220322100209','中安堡村三社','220322100209003',2),('4562974045548647757','220322202205','郭家窝堡村十组','220322202205010',2),('4562974423505769045','220322202206','四家子村二组','220322202206002',2),('4562974457865508866','220322202206','四家子村六组','220322202206006',2),('4562974595304469160','220382002200','看守所','220382002200010',2),('4562975179420011964','220322205201','平安堡村八社','220322205201008',2),('4562975282499225570','220322205201','平安堡村七社','220322205201007',2),('4562975351218706221','220322205208','三合屯村二社','220322205208002',2),('4562975385578441842','220322100223','段家屯','220322100215002',2),('4562975419938179984','220322100223','范家窝堡','220322100215005',2),('4562975419938181928','220322100223','吴家屯','220322100215006',2),('4562975797895301623','220322205202','大城子村二社','220322205202002',2),('4562975797895306246','220322205202','大城子村四社','220322205202004',2),('4562976004053731689','220323202202','东李村二屯','220323202202002',2),('4562976004053732129','220322205202','大城子村六社','220322205202006',2),('4562976210212157516','220322100214','解放屯','220322100207004',2),('4562976210212157682','220322100214','五里堡','220322100207005',2),('4562976210212158873','220322100214','迟家屯','220322100207007',2),('4562976210212159113','220322100214','张篓铺8','220322100207008',2),('4562976210212159435','220322202205','郭家窝堡村二组','220322202205002',2),('4562976244571896980','220322203200','四棵树村一组','220322203200001',2),('4562976347651104855','220322202205','郭家窝堡村四组','220322202205004',2),('4562976347651110048','220322100209','中安堡村四社','220322100209004',2),('4562976382010850093','220322100209','中安堡村五社','220322100209005',2),('4562976382010850551','220322100209','中安堡村六社','220322100209006',2),('4562976485090079693','220322202205','郭家窝堡村一组','220322202205001',2),('4562976485090081125','220322100214','夏家堡','220322100207006',2),('4562976519449802321','220322205201','平安堡村一社','220322205201001',2),('4562976553809541438','220322205201','平安堡村九社','220322205201009',2),('4562976588169294876','220322202205','郭家窝堡村三组','220322202205003',2),('4562976691248508638','220322202205','郭家窝堡村五组','220322202205005',2),('4562976691248512270','220322100209','中安堡村一社','220322100209001',2),('4562976759967985288','220322100209','中安堡村二社','220322100209002',2),('4562976759967988909','220322100209','中安堡村七社','220322100209007',2),('4562976794327720519','220323103001','街道','220323103001004',2),('4562976794327721208','220322202206','四家子村一组','220322202206001',2),('4562977034845884723','220323202206','七一村二屯','220323202206002',2),('4562977309723789733','220323200203','朝阳村卫生室','220323200203008',2),('4562977344083534476','220322202205','郭家窝堡村六组','220322202205006',2),('4562977378443274279','220322202205','郭家窝堡村七组','220322202205007',2),('4562977378443275032','220322202205','郭家窝堡村八组','220322202205008',2),('4562977550241960572','220323200201','闫家村卫生院','220323200201008',2),('4562977687680924138','220322202206','四家子村五组','220322202206005',2),('4562977722040651364','220323200207','伊通满族自治县新兴乡卫生院','220323200207015',2),('4562977722040657493','220322202206','四家子村九组','220322202206009',2),('4562977756400388344','220323202203','城子村二组','220323202203002',2),('4562977825119863446','220322100201','郭家堡子','220322100201001',2),('4562977825119863480','220323202203','城子村六组','220323202203006',2),('4562977825119870606','220322100201','瓦盆窑2','220322100201007',2),('4562977825119870733','220322100201','郭家堡子2','220322100201008',2),('4562977928199083471','220322100219','于家屯7','220322100219007',2),('4562977928199084358','220322100206','东平安村五社','220322100206005',2),('4562977928199084393','220322100206','东平安村六社','220322100206006',2),('4562977996918557683','220323202206','七一村四屯','220323202206004',2),('4562978374875686320','220322205201','平安堡村五，十二社','220322205201005',2),('4562978374875689826','220322205201','平安堡村三社','220322205201003',2),('4562978477954904154','220322100223','苗家屯','220322100215003',2),('4562978477954906314','220322100223','姜家屯','220322100215004',2),('4562978546674379106','220322100223','东范家窝堡','220322100215007',2),('4562978615393850051','220323107200','西队屯','220323107200002',2),('4562978684113334494','220323202202','东李村一屯','220323202202001',2),('4562978684113335949','220322205202','大城子村三社','220322205202003',2),('4562978684113337155','220322205202','大城子村五社','220322205202005',2),('4562978752832800598','220322100217','赵家屯','220322100203007',2),('4562978821552286017','220323202206','七一村一屯','220323202206001',2),('4562978855912020534','220323107208','富家屯','220323107208001',2),('4562978855912020614','220323107208','松树屯','220323107208002',2),('4562978855912020650','220323107208','道南屯','220323107208003',2),('4562978855912021043','220323107200','杜家屯','220323107200006',2),('4562978855912021079','220323107208','西队屯','220323107208007',2),('4562978855912021216','220323107200','史家屯','220323107200007',2),('4562978855912021404','220323107200','李大沟屯','220323107200008',2),('4562978855912021601','220323107201','前下洼子屯','220323107201004',2),('4562978890271752321','220323107201','陈油坊屯','220323107201010',2),('4562978924631490949','220323107202','怀屯','220323107202004',2),('4562978924631491377','220322100210','双城子村2社','220322100210002',2),('4562978924631491410','220323107203','刘岗子屯','220323107203002',2),('4562978924631491510','220322100210','双城子村3社','220322100210003',2),('4562978924631491543','220322100210','双城子村4社','220322100210004',2),('4562978924631491619','220322100210','双城子村6社','220322100210006',2),('4562978924631491652','220322100210','双城子村7社','220322100210007',2),('4562978924631491686','220323107203','小河西屯','220323107203004',2),('4562978924631491723','220323107203','前机房屯','220323107203005',2),('4562978958991230339','220323107209','后高家屯','220323107209004',2),('4562978958991230566','220323107209','安家屯','220323107209008',2),('4562978958991232796','220323107210','后岗屯','220323107210004',2),('4562979233869138072','220323107211','马家沟','220323107211001',2),('4562979233869138108','220323107211','尚家沟屯','220323107211002',2),('4562979233869138144','220323107211','桦树屯','220323107211003',2),('4562979233869138180','220323107211','团结屯','220323107211004',2),('4562979233869138278','220323107211','刘家屯','220323107211005',2),('4562979233869138325','220323107211','东榆树屯','220323107211006',2),('4562979233869138420','220323107211','西榆树屯','220323107211007',2),('4562979233869139516','220323107211','腰屯','220323107211009',2),('4562979405667822177','220322202205','郭家窝堡村九组','220322202205009',2),('4562979543106792337','220323101200','伊通满族自治县第二十中学','220323101001006',2),('4562979646186003444','220323202201','西李村北靛地屯','220323202201003',2),('4562979646186003998','220323202201','西李村头道沟屯','220323202201006',2),('4562979646186004281','220323202201','西李村东头道沟屯','220323202201007',2),('4562979783624950752','220322100218','赵家屯','220322100218002',2),('4562979783624952577','220322100218','朱家沟','220322100218004',2),('4562979817984688522','220322100213','泉眼沟村二社','220322100213002',2),('4562979852344428055','220322100213','泉眼沟村四社','220322100213004',2),('4562979852344428707','220322100213','泉眼沟村五社','220322100213005',2),('4562979852344429272','220322100213','泉眼沟村七社','220322100213007',2),('4562979886704180575','220323200203','伊通满族自治县龙华实验学校','220323200203006',2),('4562979921063919553','220323200203','朝阳村小学校','220323200203007',2),('4562980058502856672','220322202206','四家子村三组','220322202206003',2),('4562980092862587381','220322202206','四家子村四组','220322202206004',2),('4562980092862591041','220322202206','四家子村七组','220322202206007',2),('4562980092862591586','220322202206','四家子村八组','220322202206008',2),('4562980436459985811','220323202207','瓦盆村五屯','220323202207005',2),('4562980711337881919','220322205201','平安堡村六社','220322205201006',2),('4562980780057356314','220322205208','三合屯村三社','220322205208003',2),('4562980780057359192','220322205208','三合屯村四社','220322205208004',2),('4562980780057359636','220322205208','三合屯村五社','220322205208005',2),('4562980780057359959','220322205208','三合屯村八社','220322205208008',2),('4562980780057360102','220322205208','三合屯村七社','220322205208007',2),('4562980780057360341','220322205208','三合屯村九社','220322205208009',2),('4562980780057360421','220322100223','东后家巴','220322100215001',2),('4562980848776846559','220322100221','曲家街','220322100221003',2),('4562980883136583267','220322100221','高腰窝堡','220322100221007',2),('4562980917496311038','220382003006','辽南街中兴社区党群服务中心','220382003006046',2),('4562981020575530969','220322205202','大城子村一社','220322205202001',2),('4562981261093710805','220323200204','前城子村卫生室','220323200204009',2),('4562981261093710993','220323200204','前城子村小学','220323200204010',2),('4562981261093711133','220323200205','永胜村小学','220323200205008',2),('4562981261093711215','220323200205','永胜村卫生室','220323200205009',2),('4562981261093714241','220323200206','远大村小学','220323200206007',2),('4562981261093714321','220323200206','远大村卫生室','220323200206008',2),('4562981261093714868','220323200206','伊通满族自治县新兴乡社会福利中心','220323200206009',2),('4562981261093714949','220322100217','宋豆芽屯','220322100203005',2),('4562981295453446754','220323107200','东队屯','220323107200001',2),('4562981329813185300','220323202202','东李村三屯','220323202202003',2),('4562981364172926991','220323202203','城子村九组','220323202203009',2),('4562981535971618797','220322100201','瓦盆窑','220322100201005',2),('4562981535971619043','220322100219','胡家屯5','220322100219005',2),('4562981535971619139','220322100219','胡家屯2','220322100219002',2),('4562981535971621420','220322100206','东平安村一社','220322100206001',2),('4562981535971621454','220322100219','兴隆沟6','220322100219006',2),('4562981535971621843','220322100206','东平安村三社','220322100206003',2),('4562981535971621921','220322100206','东平安村四社','220322100206004',2),('4562981535971622447','220323202206','七一村三.六屯','220323202206003',2),('4562981535971622483','220322100206','东平安村八社','220322100206008',2),('4562981535971622721','220322100206','东平安村十社','220322100206010',2),('4562981570331355547','220323202206','七一村五屯','220323202206005',2),('4562981810849527946','220323107200','林家屯','220323107200003',2),('4562981810849528128','220322100217','娘娘庙','220322100203006',2),('4562981810849529076','220322100217','后大房身（8组）','220322100203008',2),('4562981845209260075','220322100217','后大房身（2组）','220322100203002',2),('4562981982648215468','220323107208','道北屯','220323107208004',2),('4562981982648215915','220323107208','东队屯','220323107208006',2),('4562981982648215951','220323107200','街东屯','220323107200005',2),('4562981982648216282','220323107201','后五队屯','220323107201002',2),('4562981982648216405','220323107201','隋家沟屯','220323107201003',2),('4562981982648216575','220323107201','后下洼子屯','220323107201005',2),('4562981982648216683','220323107201','于家沟屯','220323107201006',2),('4562981982648218778','220323107201','西吴家屯','220323107201008',2),('4562981982648218916','220323107201','东吴家屯','220323107201009',2),('4562981982648219007','220323107202','西队屯','220323107202002',2),('4562981982648219247','220323107202','聂屯','220323107202003',2),('4562981982648219385','220323107202','下洼子屯','220323107202005',2),('4562981982648219612','220323107202','前纸房屯','220323107202006',2),('4562981982648219648','220323107212','三道沟屯','220323107212003',2),('4562981982648219686','220322100210','双城子村1社','220322100210001',2),('4562981982648219764','220323107202','新立屯','220323107202008',2),('4562981982648219800','220323107212','上烧锅屯','220323107212004',2),('4562981982648219879','220323107202','吴家屯','220323107202009',2),('4562981982648220028','220323107212','小南沟屯','220323107212006',2),('4562981982648220069','220323107203','崔家沟屯','220323107203003',2),('4562981982648220255','220322100210','双城子村5社','220322100210005',2),('4562981982648220467','220323107203','后机房屯','220323107203006',2),('4562981982648220547','220323107203','后戈屯','220323107203008',2),('4562981982648220891','220323107209','小北屯','220323107209001',2),('4562981982648221018','220323107209','前高家屯','220323107209003',2),('4562981982648221142','220323107209','二道沟屯','220323107209006',2),('4562982051367680658','220323101200','二道镇中心小学校','220323101001007',2),('4562982051367694566','220323107210','孙棚铺屯','220323107210002',2),('4562982051367694704','220323107210','前岗屯','220323107210003',2),('4562982051367694786','220323107210','王家屯','220323107210006',2),('4562982051367697254','220323107211','拐棒沟屯','220323107211008',2),('4562983150879310299','220323202204','曹家村一、二屯','220323202204001',2),('4562983150879313771','220323202204','曹家村四、五、十一屯','220323202204003',2),('4562983150879314379','220323202204','曹家村九、十屯','220323202204007',2),('4562983528836447890','220323202201','西李村靛地屯','220323202201001',2),('4562983563196178738','220323202201','西李村西李屯','220323202201004',2),('4562983563196179789','220323202201','西李村后西李屯','220323202201005',2),('4562983769354613345','220322100218','王家店','220322100218005',2),('4562983803714351282','220322100218','太平山','220322100218007',2),('4562983803714351981','220322100213','泉眼沟村一社','220322100213001',2),('4562983872433807409','220323200200','巩固村卫生室','220323200200010',2),('4562983906793548590','220323200200','巩固村小学校','220323200200011',2),('4562983906793550503','220323200202','灯塔村卫生室','220323200202004',2),('4562983906793551937','220323200207','伊通满族自治县第二十一中学校','220323200207012',2),('4562983906793552017','220323200207','新兴乡中心小学校','220323200207013',2),('4562983906793552269','220323200207','新兴村卫生室','220323200207014',2),('4562983941153285246','220323202203','城子村一组','220323202203001',2),('4562983941153290127','220323202202','东李村四屯','220323202202004',2),('4562983941153300946','220322100213','泉眼沟村六社','220322100213006',2),('4562983975513023889','220323202203','城子村四组','220323202203004',2),('4562983975513025424','220322100201','康家屯','220322100201002',2),('4562983975513025458','220323202203','城子村五组','220323202203005',2),('4562983975513025610','220322100219','彭家屯1','220322100219001',2),('4562983975513025705','220322100201','荆家屯','220322100201003',2),('4562983975513025931','220322100219','彭家屯8','220322100219008',2),('4562983975513026168','220322100201','朱家屯','220322100201004',2),('4562983975513026400','220323202203','城子村七组','220323202203007',2),('4562983975513026956','220322100201','李家屯','220322100201006',2),('4562983975513027079','220323202203','城子村八组','220323202203008',2),('4562983975513027692','220322100219','胡家屯9','220322100219009',2),('4562983975513027769','220323202203','城子村三组','220323202203003',2),('4562983975513028021','220322100219','胡家屯4','220322100219004',2),('4562983975513028448','220322100219','胡家屯3','220322100219003',2),('4562983975513030337','220322100206','东平安村二社','220322100206002',2),('4562983975513046440','220323202210','太安村一屯','220323202210001',2),('4562984044232501065','220322100206','东平安村七社','220322100206007',2),('4562984044232501217','220322100206','东平安村九社','220322100206009',2),('4562984078592252328','220322100220','马家店','220322100220004',2),('4562984112951984983','220322100220','后王家庄','220322100220007',2),('4562984112951985315','220322100220','后新立堡','220322100220009',2),('4562984525268841598','220322100217','孔大院','220322100203001',2),('4562984525268842549','220323107200','左家屯','220323107200004',2),('4562984662707793356','220322100217','卢家屯','220322100203003',2),('4562984697067531957','220322100217','辛老窝堡','220322100203004',2),('4562984731427274716','220323107208','谢家屯','220323107208005',2),('4562984765787005422','220323107201','前五队屯','220323107201001',2),('4562984765787005856','220323107201','刘家沟屯','220323107201007',2),('4562984765787006994','220323107201','八家子屯','220323107201011',2),('4562984765787010105','220323107202','东队屯','220323107202001',2),('4562984765787010557','220323107212','头道沟屯','220323107212001',2),('4562984765787010598','220323107212','二道沟屯','220323107212002',2),('4562984765787010677','220323107202','后纸房屯','220323107202007',2),('4562984765787010758','220323107212','中心屯','220323107212005',2),('4562984765787010794','220323107203','邱屯','220323107203001',2),('4562984937585717880','220323202207','瓦盆村三屯','220323202207003',2),('4562984937585718329','220323202207','瓦盆村四屯','220323202207004',2),('4562984971945437970','220322100210','双城子村8社','220322100210008',2),('4562984971945438395','220323107203','前戈屯','220323107203007',2),('4562984971945438690','220323107209','学校屯','220323107209002',2),('4562984971945438769','220323107209','头道沟屯','220323107209005',2),('4562984971945438854','220323107209','三道沟屯','220323107209007',2),('4562984971945441768','220323107210','围子屯','220323107210001',2),('4562984971945442115','220323107210','小有屯','220323107210005',2),('4562985006305177006','220323107211','路烧屯','220323107211010',2),('4562985006305177085','220323107211','岗屯','220323107211011',2),('4562985006305177122','220323107211','前冯屯','220323107211012',2),('4562985006305177216','220323107211','后冯','220323107211013',2),('4562985968377864616','220322100221','马家窝堡','220322100221001',2),('4562985968377866152','220322100221','杨家窝堡屯','220322100221002',2),('4562986140176544777','220322100213','泉眼沟村三社','220322100213003',2),('4562986140176545992','220323202201','西李村东靛地屯','220323202201002',2),('4562986174536298837','220322100221','谷家油坊','220322100221005',2),('4562986174536299351','220322100221','五间房','220322100221006',2),('4562986311975235245','220322100218','刘家店','220322100218001',2),('4562986346334973160','220322100218','赵家屯2','220322100218003',2),('4562986346334974823','220322100218','李家店','220322100218006',2),('4562987033529739389','220323202207','瓦盆村一屯','220323202207001',2),('4562987033529739880','220323202207','瓦盆村二屯','220323202207002',2),('4562987033529741629','220323202207','瓦盆村六屯','220323202207006',2),('4562987239688167813','220322100221','高家油坊','220322100221004',2),('4562987308407653488','220323202209','前瓦村三组','220323202209003',2),('4562987308407655560','220323202209','前瓦村六组','220323202209006',2),('4562987308407655960','220323202209','前瓦村七组','220323202209007',2),('4562987480206349881','220323107204','李岗子','220323107204004',2),('4562987583285567025','220323107205','杜家沟','220323107205007',2),('4562987652005036790','220323107206','张家沟','220323107206001',2),('4562987652005038913','220323107206','东勾','220323107206002',2),('4562987686364782549','220323107207','冯屯','220323107207001',2),('4562987720724518070','220323107207','王家沟','220323107207005',2),('4562987720724518491','220323107207','瓦房沟','220323107207006',2),('4562987892523219297','220323202204','曹家村七屯','220323202204004',2),('4562987892523219464','220323202204','曹家村八屯','220323202204005',2),('4562988545358244412','220322100220','小平安堡2','220322100220003',2),('4562989954107518651','220322100220','前王家庄','220322100220008',2),('4562989988467260252','220323202209','前瓦村一组','220323202209001',2),('4562989988467260740','220323202209','前瓦村二组','220323202209002',2),('4562989988467261329','220323202209','前瓦村四组','220323202209004',2),('4562990057186729857','220322100205','西平安村四组','220322100205004',2),('4562990057186729934','220322100205','西平安村五组','220322100205005',2),('4562990297704903867','220323202209','前瓦村八组','220323202209008',2),('4562990400784118222','220323107204','唐屯','220323107204002',2),('4562990400784120737','220323107204','东戈','220323107204005',2),('4562990503863329397','220323107205','万印子','220323107205002',2),('4562990503863333707','220323107205','铁家岭','220323107205003',2),('4562990503863335360','220323107205','西小街','220323107205006',2),('4562990538223071005','220323107206','西勾','220323107206003',2),('4562990538223071529','220323107206','北岗屯','220323107206004',2),('4562990538223072361','220323107206','十间房','220323107206005',2),('4562990538223073564','220323107206','太阳屯','220323107206007',2),('4562990572582805702','220323107207','烧锅屯','220323107207002',2),('4562990572582806097','220323107207','新立屯','220323107207003',2),('4562990572582806630','220323107207','郑屯','220323107207004',2),('4562990675662006660','220323202204','曹家村三屯','220323202204002',2),('4562990675662007315','220323202204','曹家村六、十二屯','220323202204006',2),('4562991019259407864','220322100202','陈大烟筒','220322100202001',2),('4562991053619133305','220322100220','王小车子','220322100220001',2),('4562991843893120336','220323202200','三道村前二道岗子屯','220323202200002',2),('4562991843893120491','220323202200','三道村二道岗子河东屯','220323202200004',2),('4562991843893120570','220323202200','三道村二道岗子河西屯','220323202200005',2),('4562991843893120765','220323202200','三道村三道岗子屯','220323202200006',2),('4562991843893123729','220323202200','三道村南三道岗子河西屯','220323202200009',2),('4562991843893123866','220323202200','三道村南三道岗子河东屯','220323202200010',2),('4562991843893123989','220323202200','三道村山头子屯','220323202200011',2),('4562991843893124025','220323202200','三道村广成窝棚屯','220323202200012',2),('4562992084411301141','220322100205','西平安村二组','220322100205002',2),('4562992084411301338','220322100205','西平安村三组','220322100205003',2),('4562992118771029634','220322203203','三棵树村二组','220322203203002',2),('4562992187490505628','220322203203','三棵树村八组','220322203203008',2),('4562992187490505839','220322203203','三棵树村九组','220322203203009',2),('4562992187490508704','220323202208','后瓦村瓦盆窑屯','220323202208001',2),('4562992256209976903','220322100220','小平安堡1','220322100220002',2),('4562992256209977659','220323202208','后瓦村瓦房沟屯','220323202208002',2),('4562992256209978041','220323202208','后瓦村高家油坊屯','220323202208003',2),('4562992256209978630','220323202208','后瓦村张家屯','220323202208005',2),('4562992290569708795','220322100220','八里堡','220322100220005',2),('4562992290569709037','220322100220','辛家店','220322100220006',2),('4562992324929455426','220322100222','大杨家窝堡','220322100222001',2),('4562992359289200163','220322100222','西马窝堡','220322100222002',2),('4562992599807363261','220322100222','苗家街','220322100222004',2),('4562993218282655913','220322203200','四棵树村二组','220322203200002',2),('4562993252642391794','220323202205','胜利村一.六屯','220323202205001',2),('4562993252642397652','220322100222','七里界东','220322100222007',2),('4562993733678729498','220322203200','四棵树村四组','220322203200004',2),('4562993733678730488','220322203200','四棵树村五组','220322203200005',2),('4562993733678731957','220322203200','四棵树村六组','220322203200006',2),('4562993905477425977','220322203200','吉林省梨树县洪源牧业有限责任公司','220322203200009',2),('4562993939837158740','220322203200','四棵树乡中心小学','220322203200012',2),('4562993939837162589','220322203211','田家庙村二组','220322203211002',2),('4562993939837164086','220322203200','四棵树粮库','220322203200015',2),('4562993939837164943','220322203200','四棵树乡未来星幼儿园','220322203200016',2),('4562994042916373401','220322203201','七家子村一组','220322203201001',2),('4562994042916374324','220322203201','七家子村三组','220322203201003',2),('4562994042916374855','220322203201','七家子村四组','220322203201004',2),('4562994145995591616','220322203210','傅家街村一组','220322203210001',2),('4562994214715067311','220322203210','傅家街村四组','220322203210004',2),('4562994249074806212','220322203210','傅家街村六组','220322203210006',2),('4562994455233245796','220323202200','三道村老油房屯','220323202200003',2),('4562994455233246481','220323202200','三道村三道岗子河西屯','220323202200007',2),('4562994455233246661','220323202200','三道村西山屯','220323202200008',2),('4562994489592978352','220322203208','后韩家村三组','220322203208003',2),('4562994489592978386','220323202200','三道乡政府','220323202200014',2),('4562994627031935281','220322203203','三棵树村一组','220322203203001',2),('4562994661391674511','220322203203','三棵树村三组','220322203203003',2),('4562994661391674791','220322203203','三棵树村四组','220322203203004',2),('4562994661391675303','220322203203','三棵树村五组','220322203203005',2),('4562994661391675696','220322203203','三棵树村六组','220322203203006',2),('4562994661391676409','220322203203','三棵树村七组','220322203203007',2),('4562995039348797848','220323202210','太安村二屯','220323202210002',2),('4562995108068260772','220323202209','前瓦村五组','220323202209005',2),('4562995314226704752','220322100222','小杨家窝堡','220322100222005',2),('4562995348586426770','220323202209','前瓦村九组','220323202209009',2),('4562995382946177732','220322100222','七里界西','220322100222006',2),('4562995382946179110','220323202205','胜利村四.五屯','220323202205003',2),('4562995623464330656','220323202209','前瓦村十组','220323202209010',2),('4562995623464331515','220323107204','韩家沟','220323107204001',2),('4562995623464332751','220323107204','东小街','220323107204003',2),('4562995657824075522','220323107204','西戈','220323107204006',2),('4562995692183813815','220323107205','大榆树','220323107205004',2),('4562995692183814047','220323107205','牛家屯','220323107205005',2),('4562996001421452736','220323107206','杜老屯','220323107206006',2),('4562996001421453784','220323107206','武家店','220323107206008',2),('4562996138860422369','220322203200','四棵树乡邮局','220322203200010',2),('4562996207579899789','220322203200','四棵树乡农村信用社','220322203200011',2),('4562996207579902613','220322203200','四棵树乡卫生院','220322203200014',2),('4562996207579902972','220322203211','田家庙村一组','220322203211001',2),('4562996379378596699','220322203200','四棵树农电所','220322203200017',2),('4562996413738328185','220322203211','田家庙村三组','220322203211003',2),('4562996413738328978','220322203201','七家子村二组','220322203201002',2),('4562996413738329219','220322203211','田家庙村四组','220322203211004',2),('4562996413738334287','220322203201','七家子村五组','220322203201005',2),('4562996413738334712','220322203201','七家子村六组','220322203201006',2),('4562996413738335560','220322203201','七家子村八组','220322203201008',2),('4562996482457794828','220323107207','火烧沟','220323107207007',2),('4562996551177282270','220322203201','七家子村九组','220322203201009',2),('4562996551177283050','220322203201','七家子村十一组','220322203201011',2),('4562996551177283843','220322203201','七家子小学','220322203201012',2),('4562996757335712640','220322203210','傅家街村七组','220322203210007',2),('4562996757335715133','220322203210','傅家街小学','220322203210009',2),('4562996894774670631','220323202200','三道乡街道','220323202200013',2),('4562997066573364893','220323202200','伊通第二十五中学','220323202200016',2),('4562997100933087427','220323202200','三道乡派出所','220323202200018',2),('4562997100933096759','220323202200','三道乡卫生院','220323202200017',2),('4562997238372055561','220322203208','后韩家村四组','220322203208004',2),('4562997307091528423','220322203208','后韩家村小学','220322203208009',2),('4562997478890217503','220322203208','后韩家村粮库','220322203208011',2),('4562997616329169712','220322203208','后韩家村林场','220322203208010',2),('4562998406603158704','220303100206','基础网格6','220303100206006',2),('4562998784560261193','220322100205','西平安村一组','220322100205001',2),('4562998784560261576','220322100205','西平安村六组','220322100205006',2),('4562998784560261610','220322100205','西平安村七组','220322100205007',2),('4562998784560261846','220322100205','西平安村八组','220322100205008',2),('4562998956358963256','220323105200','靠山北面粮库','220323105200037',2),('4563004522636569453','220322203203','三棵树村十组','220322203203010',2),('4563004625715784657','220323202208','后瓦村段家屯','220323202208004',2),('4563005141111858508','220322100222','西北甸子','220322100222003',2),('4563005690867676562','220322203200','四棵树村三组','220322203200003',2),('4563005690867678228','220323202205','胜利村二.三屯','220323202205002',2),('4563005828306626037','220322203200','四棵树村七组','220322203200007',2),('4563005828306626357','220322203200','四棵树村八组','220322203200008',2),('4563005931385841507','220322203200','四棵树乡第一中学','220322203200013',2),('4563006171904011293','220322203201','七家子村七组','220322203201007',2),('4563006206263749453','220322203201','七家子村十组','220322203201010',2),('4563006309342965374','220322203210','傅家街村二组','220322203210002',2),('4563006309342966702','220322203210','傅家街村三组','220322203210003',2),('4563006309342968566','220322203210','傅家街村五组','220322203210005',2),('4563006309342969784','220322203210','傅家街村八组','220322203210008',2),('4563007511933810190','220322203208','后韩家村一组','220322203208001',2),('4563008508366230083','220322100202','双庙子','220322100202003',2),('4563008508366230277','220322100202','张下洼子','220322100202004',2),('4563008508366231068','220322100202','火神庙','220322100202008',2),('4563008920683089115','220322203205','李家桥村五组','220322203205005',2),('4563008920683089324','220322203205','李家桥村七组','220322203205007',2),('4563008920683089503','220322100211','西姜家店（三）','220322100211002',2),('4563009195560986646','220322203208','后韩家村二组','220322203208002',2),('4563009195560992724','220323202200','三道乡中心校','220323202200015',2),('4563009539158375493','220322203208','后韩家村五组','220322203208005',2),('4563010501231061009','220322100202','温家屯','220322100202002',2),('4563010501231062047','220322100202','三姓堡','220322100202006',2),('4563010501231062081','220322100202','王大院','220322100202007',2),('4563010776108966244','220322203205','李家桥村三组','220322203205003',2),('4563010776108966441','220322203205','李家桥村四组','220322203205004',2),('4563010776108966683','220322203205','李家桥村六组','220322203205006',2),('4563010776108972160','220322203205','李家桥村八组','220322203205008',2),('4563010776108972687','220322100211','北大泉眼','220322100211006',2),('4563010776108972824','220322100211','西姜家店（一）','220322100211007',2),('4563011566382952480','220323104206','景台镇街道','220323104206009',2),('4563011944340055483','220303100206','基础网格7','220303100206007',2),('4563012013059533917','220323202210','太安村三屯','220323202210003',2),('4563012013059534056','220323202210','太安村四屯','220323202210004',2),('4563012013059536669','220323202210','太安村五屯','220323202210005',2),('4563012013059536878','220323202210','太安村六屯','220323202210006',2),('4563012013059537874','220323202210','太安村七屯','220323202210007',2),('4563016170587881062','220323108001','营城子镇人民政府','220323108001001',2),('4563023798449796337','220322100202','张家床子','220322100202005',2),('4563024760522472250','220322203205','李家桥村一组','220322203205001',2),('4563024760522472431','220322203205','李家桥村二组','220322203205002',2),('4563024760522473166','220322100211','陆家屯','220322100211001',2),('4563024794882203773','220322100211','西姜家店（二）','220322100211003',2),('4563024794882203873','220322100211','赵家店','220322100211004',2),('4563024794882204113','220322100211','熊家洼子','220322100211005',2),('4563024829241943132','220322203205','李家桥村','220322203205009',2),('4580689961010940491','220323101200','二道镇卫生院','220323101001008',2),('4580690132809637079','220323101205','四平玉琨国学实验学校','220323101205009',2),('4580694874453524753','220323101203','福安村卫生室','220323101203005',2),('4580695080611958741','220323101201','黑顶村卫生室','220323101201006',2),('4580696901678089417','220323101205','马家小学','220323101205011',2),('4580697279635211286','220323101207','中心村小学','220323101207005',2),('4580697898110503944','220322110200','长胜村一组','220322110200001',2),('4580697898110506751','220322110200','长胜村二组','220322110200002',2),('4580697932470254100','220323101204','万德村卫生室','220323101204009',2),('4580697966829982120','220322110200','长胜村三组','220322110200003',2),('4580698172988422222','220323101205','石门村卫生院','220323101205010',2),('4580698172988423517','220322205202','大城子村八社','220322205202008',2),('4580698276067628837','220322110201','东万发村二组','220322110201002',2),('4580698344787102919','220322110201','东万发村七组','220322110201007',2),('4580698447866323063','220322205202','大城子村九社','220322205202009',2),('4580698482226064008','220323101206','二道村小学','220323101206007',2),('4580698516585805030','220323101208','黄家村卫生室','220323101208007',2),('4580698550945529868','220322110203','贾杂铺村六组','220322110203006',2),('4580698619665008156','220322110204','李家店村二组','220322110204002',2),('4580698722744225442','220322110206','吕家岗子村二组','220322110206002',2),('4580698722744228300','220322110206','吕家岗子村三组','220322110206003',2),('4580698722744228747','220322110206','吕家岗子村四组','220322110206004',2),('4580698791463708131','220303101205','基础网格一','220303101205001',2),('4580698894542919367','220322110206','吕家岗子村七组','220322110206007',2),('4580699444298733989','220322110207','孙家店村一组','220322110207001',2),('4580699478658465902','220322110207','孙家店村五组','220322110207005',2),('4580699478658468999','220322110207','孙家店村七组','220322110207007',2),('4580699616097432381','220322110200','长胜村八组','220322110200008',2),('4580699650457172776','220322110201','东万发村三组','220322110201003',2),('4580699684816905086','220322110201','东万发村五组','220322110201005',2),('4580699787896125344','220322110202','关家岗子村五组','220322110202005',2),('4580699925335079863','220322110202','关家岗子村八组','220322110202008',2),('4580700097133766586','220322110203','贾杂铺村三组','220322110203003',2),('4580700097133766855','220322110203','贾杂铺村四组','220322110203004',2),('4580700509450626856','220322110203','贾杂铺村八组','220322110203008',2),('4580700646889570925','220322205203','长岭子村八社','220322205203008',2),('4580700646889571046','220322205203','长岭子村二社','220322205203002',2),('4580700646889571168','220322205203','长岭子村三社','220322205203003',2),('4580700646889575576','220322205200','金山村三社','220322205200003',2),('4580700681249312401','220322205200','金山村七社','220322205200007',2),('4580700681249312634','220322205200','金山村九社','220322205200009',2),('4580700681249313206','220322205204','旱河村一社','220322205204001',2),('4580700681249313345','220322205204','旱河村二社','220322205204002',2),('4580700681249313467','220322205204','旱河村四社','220322205204004',2),('4580700681249313807','220322205204','旱河村七社','220322205204007',2),('4580700681249314392','220322205205','南岗子村三社','220322205205003',2),('4580700681249314470','220322205205','南岗子村四社','220322205205004',2),('4580700715609061035','220322110204','李家店村四组','220322110204004',2),('4580700715609063122','220322110204','李家店村五组','220322110204005',2),('4580700887407740094','220322203202','小郑屯村一组','220322203202001',2),('4580700887407740677','220322203202','小郑屯村三组','220322203202003',2),('4580700887407740968','220322203202','小郑屯村四组','220322203202004',2),('4580700887407744611','220322203202','小郑屯村八组','220322203202008',2),('4580701231005140866','220323101204','福安小学','220323101204007',2),('4580701265364877464','220323101204','吉兴小学','220323101204008',2),('4580701299724617392','220322205202','大城子村七社','220322205202007',2),('4580701540242786786','220323101202','石场村卫生室','220323101202011',2),('4580702055638855750','220322110206','吕家岗子村九组','220322110206009',2),('4580702055638856343','220323101209','后山村卫生室','220323101209005',2),('4580702055638857369','220322110207','孙家店村二组','220322110207002',2),('4580702055638858000','220322110207','孙家店村四组','220322110207004',2),('4580702089998602884','220323101206','二道村卫生室','220323101206006',2),('4580702124358342299','220323101207','中心村卫生室','220323101207006',2),('4580702158718070656','220322110207','孙家店村六组','220322110207006',2),('4580702261797291616','220323101208','黄家村小学','220323101208008',2),('4580702330516759245','220322205203','长岭子村四社','220322205203004',2),('4580702330516759555','220322205203','长岭子村六社','220322205203006',2),('4580702330516761414','220322205200','金山村六社','220322205200006',2),('4580702330516766174','220322205200','金山村八社','220322205200008',2),('4580702330516766605','220322205200','金山村十一社','220322205200011',2),('4580702330516772297','220322205202','大城子村十社','220322205202010',2),('4580702536675188910','220322205200','金山村十二社','220322205200012',2),('4580702536675189012','220322205204','旱河村三社','220322205204003',2),('4580702536675189320','220322205204','旱河村五社','220322205204005',2),('4580702536675189876','220322205205','南岗子村一社','220322205205001',2),('4580702536675189912','220322205205','南岗子村二社','220322205205002',2),('4580702536675193704','220322205205','南岗子村五社','220322205205005',2),('4580702536675193740','220322205205','南岗子村六社','220322205205006',2),('4580702742833624753','220322203202','小郑屯村二组','220322203202002',2),('4580702742833625482','220322203202','小郑屯村五组','220322203202005',2),('4580702742833626230','220322203202','小郑屯村七组','220322203202007',2),('4580702742833629987','220322110200','长胜村四组','220322110200004',2),('4580702742833633335','220322110200','长胜村五组','220322110200005',2),('4580702742833634367','220322110200','长胜村六组','220322110200006',2),('4580702777193358014','220322203202','小郑屯村九组','220322203202009',2),('4580702777193366246','220322110200','长胜村七组','220322110200007',2),('4580702811553111801','220322110201','东万发村一组','220322110201001',2),('4580702983351800927','220322110201','东万发村四组','220322110201004',2),('4580702983351803744','220322110201','东万发村六组','220322110201006',2),('4580703189510233467','220322110202','关家岗子村一组','220322110202001',2),('4580703223869964293','220322110202','关家岗子村二组','220322110202002',2),('4580703223869965680','220322110202','关家岗子村三组','220322110202003',2),('4580703223869967389','220322110202','关家岗子村六组','220322110202006',2),('4580703223869969623','220322110202','关家岗子村七组','220322110202007',2),('4580703258229707433','220322110202','关家岗子村九组','220322110202009',2),('4580703430028384528','220322203207','长山堡村六组','220322203207006',2),('4580703601827091287','220322110203','贾杂铺村一组','220322110203001',2),('4580703601827093834','220322110203','贾杂铺村二组','220322110203002',2),('4580703636186826946','220322110203','贾杂铺村五组','220322110203005',2),('4580703704906303644','220322110203','贾杂铺村七组','220322110203007',2),('4580703704906307837','220322110204','李家店村一组','220322110204001',2),('4580703773625781307','220322110204','李家店村三组','220322110204003',2),('4580703773625784108','220322110204','李家店村六组','220322110204006',2),('4580703876704994046','220322110206','吕家岗子村一组','220322110206001',2),('4580703876704998848','220322110206','吕家岗子村五组','220322110206005',2),('4580703876705000929','220322110206','吕家岗子村六组','220322110206006',2),('4580703945424471003','220322110206','吕家岗子村八组','220322110206008',2),('4580703945424473744','220322110206','吕家岗子村十组','220322110206010',2),('4580704014143950058','220322110207','孙家店村三组','220322110207003',2),('4580704014143952194','220322110207','孙家店村八组','220322110207008',2),('4580704117223164895','220322205203','长岭子村五社','220322205203005',2),('4580704117223165176','220322205203','长岭子村七社','220322205203007',2),('4580704117223167259','220322205203','长岭子村一社','220322205203001',2),('4580704117223167411','220322205203','长岭子村九社','220322205203009',2),('4580704117223167593','220322205200','金山村一社','220322205200001',2),('4580704117223167776','220322205200','金山村二社','220322205200002',2),('4580704117223167813','220322205200','金山村四社','220322205200004',2),('4580704117223167933','220322205200','金山村五社','220322205200005',2),('4580704117223168174','220322205200','金山村十社','220322205200010',2),('4580704117223168355','220322205200','金山村十三社','220322205200013',2),('4580704117223169381','220322205204','旱河村六社','220322205204006',2),('4580704151582900608','220322205205','南岗子村七社','220322205205007',2),('4580704323381598834','220322203202','小郑屯村六组','220322203202006',2),('4580705457252951130','220322203207','长山堡村四组','220322203207004',2),('4580705457252951950','220322203207','长山堡村五组','220322203207005',2),('4580707347038571500','4562959786257232512','八一水库','220382101232001',2),('4580708171672274603','220322110208','西万发村二组','220322110208002',2),('4580708206032017072','220322110208','西万发村三组','220322110208003',2),('4580708206032017816','220322110208','西万发村四组','220322110208004',2),('4580708240391764710','220322110209','幸福村四组','220322110209004',2),('4580708240391765359','220322110209','幸福村五组','220322110209005',2),('4580708240391765996','220322110209','幸福村六组','220322110209006',2),('4580708274751504588','220322203207','长山堡村一组','220322203207001',2),('4580708274751505991','220322203207','长山堡村二组','220322203207002',2),('4580708274751506922','220322203207','长山堡村三组','220322203207003',2),('4580708343470986343','220322203207','长山堡村七组','220322203207007',2),('4580708343470988056','220322203207','长山堡村八组','220322203207008',2),('4580708377830703467','220322110208','西万发村五组','220322110208005',2),('4580708377830707671','220322110209','幸福村一组','220322110209001',2),('4580708377830709328','220322110209','幸福村三组','220322110209003',2),('4580708377830712780','220322110210','朱家村三组','220322110210003',2),('4580708412190444506','220322110209','幸福村七组','220322110209007',2),('4580708412190446033','220322110210','朱家村一组','220322110210001',2),('4580708412190446554','220322110210','朱家村二组','220322110210002',2),('4580708412190452931','220322110210','朱家村五组','220322110210005',2),('4580708446550184561','220322110211','闫家铺子村二组','220322110211002',2),('4580708480909921147','220322110211','闫家铺子村四组','220322110211004',2),('4580708549629408603','220322110211','闫家铺子村三组','220322110211003',2),('4580708583989144345','220322110211','闫家铺子村五组','220322110211005',2),('4580708583989148076','220322110211','闫家铺子村七组','220322110211007',2),('4580708652708625641','220322110211','闫家铺子村十组','220322110211010',2),('4580708824507310757','220322110212','北太平村三组','220322110212003',2),('4580708824507311380','220322110212','北太平村四组','220322110212004',2),('4580708893226787022','220322110212','北太平村六组','220322110212006',2),('4580708961946265451','220322110213','毕家堡子村四组','220322110213004',2),('4580708961946268337','220322110213','毕家堡子村六组','220322110213006',2),('4580708996306008199','220322110213','毕家堡子村七组','220322110213007',2),('4580709065025479786','220322110214','李家村四组','220322110214004',2),('4580709065025480497','220322110215','龙母村一组','220322110215001',2),('4580709168104694624','220322110217','南太平村一组','220322110217001',2),('4580709168104698457','220322110217','南太平村六组','220322110217006',2),('4580709202464427208','220322110211','闫家铺子村九组','220322110211009',2),('4580709236824171959','220322100215','李大院','220322100204001',2),('4580709236824172968','220322100215','沈家屯','220322100204002',2),('4580709271183911495','220322110217','南太平村十组','220322110217010',2),('4580709305543642071','220322110212','北太平村二组','220322110212002',2),('4580709305543650613','220322110218','前梁家村三组','220322110218003',2),('4580709305543654331','220323108001','营城子镇街道','220323108001002',2),('4580709305543654475','220322110218','前梁家村七组','220322110218007',2),('4580709408622863739','220322110219','青松村一组','220322110219001',2),('4580709408622864240','220322110219','青松村二组','220322110219002',2),('4580709408622869303','220322110219','青松村三组','220322110219003',2),('4580709442982605225','220322110219','青松村六组','220322110219006',2),('4580709442982605933','220322110219','青松村七组','220322110219007',2),('4580709442982608125','220322110220','宋家围子村九组','220322110220009',2),('4580709477342337681','220322110213','毕家堡子村二组','220322110213002',2),('4580709511702069371','220322110213','毕家堡子村三组','220322110213003',2),('4580709511702078165','220322110221','田家洼子村六组','220322110221006',2),('4580709580421552311','220322110215','龙母村三组','220322110215003',2),('4580709580421558800','220322110222','榆树村一组','220322110222001',2),('4580709580421559220','220322110222','榆树村三组','220322110222003',2),('4580709580421559377','220322110222','榆树村四组','220322110222004',2),('4580709580421560644','220322110223','张家屯村一组','220322110223001',2),('4580709580421561941','220322110223','张家屯村五组','220322110223005',2),('4580709820939716539','220322110216','牟家村一组','220322110216001',2),('4580709820939716979','220322110216','牟家村二组','220322110216002',2),('4580709820939718564','220322110216','牟家村五组','220322110216005',2),('4580709855299455722','220322110217','南太平村三组','220322110217003',2),('4580709855299458206','220322110217','南太平村四组','220322110217004',2),('4580709889659194879','220322110217','南太平村七组','220322110217007',2),('4580709889659197449','220322110217','南太平村八组','220322110217008',2),('4580709889659197795','220322110217','南太平村九组','220322110217009',2),('4580709924018933941','220322110218','前梁家村一组','220322110218001',2),('4580709924018934735','220322110218','前梁家村二组','220322110218002',2),('4580709992738411769','220322100215','大泉眼','220322100204003',2),('4580709992738412399','220322110218','前梁家村四组','220322110218004',2),('4580710027098144885','220322110218','前梁家村六组','220322110218006',2),('4580710027098145136','220322100215','孔大院','220322100204004',2),('4580710027098145451','220322100215','项家屯','220322100204006',2),('4580710027098145824','220322100215','苏家屯','220322100204007',2),('4580710061457889554','220322110219','青松村四组','220322110219004',2),('4580710198896851652','220322100224','郝家屯1','220322100214004',2),('4580710198896852284','220322100224','郝家屯2','220322100214005',2),('4580710198896852803','220322100224','小南岭屯','220322100214006',2),('4580710198896853689','220322110208','西万发村六组','220322110208006',2),('4580710198896855612','220322110209','幸福村二组','220322110209002',2),('4580710233256583186','220322100224','郝家屯3','220322100214007',2),('4580710267616332875','220322110209','幸福村八组','220322110209008',2),('4580710370695545887','220322110210','朱家村四组','220322110210004',2),('4580710370695547114','220322110210','朱家村六组','220322110210006',2),('4580710370695552936','220322110211','闫家铺子村一组','220322110211001',2),('4580710405055291210','220322110211','闫家铺子村六组','220322110211006',2),('4580710439415029170','220322110211','闫家铺子村八组','220322110211008',2),('4580710473774761816','220322110211','闫家铺子村十一组','220322110211011',2),('4580710473774766833','220322110212','北太平村一组','220322110212001',2),('4580710576853977139','220322110212','北太平村五组','220322110212005',2),('4580710611213719383','220322110213','毕家堡子村一组','220322110213001',2),('4580710645573441333','220322110221','田家洼子村一组','220322110221001',2),('4580710679933176558','220322110221','田家洼子村七组','220322110221007',2),('4580710679933177022','220322110222','榆树村二组','220322110222002',2),('4580710714292929438','220322110213','毕家堡子村五组','220322110213005',2),('4580710748652669848','220322110214','李家村一组','220322110214001',2),('4580710748652670435','220322110214','李家村二组','220322110214002',2),('4580710783012405813','220322110215','龙母村四组','220322110215004',2),('4580710783012408102','220322110215','龙母村五组','220322110215005',2),('4580710817372147606','220322110216','牟家村三组','220322110216003',2),('4580710886091614194','220322203211','田家庙村五组','220322203211005',2),('4580711160969525811','220322205206','朝阳村三社','220322205206003',2),('4580711160969526479','220322205206','朝阳村八社','220322205206008',2),('4580711195329265026','220322205206','朝阳村十一社','220322205206011',2),('4580711229689001598','220322205201','平安堡十社','220322205201010',2),('4580711229689002021','220322205201','平安堡十一社','220322205201011',2),('4580711264048750252','220322110216','牟家村四组','220322110216004',2),('4580711298408476727','220322205207','沿河村一社','220322205207001',2),('4580711298408478956','220322205207','沿河村七社','220322205207007',2),('4580711298408480641','220322205209','崔家岗子村五社','220322205209005',2),('4580711298408487715','220322110217','南太平村二组','220322110217002',2),('4580711332768212523','220322205209','崔家岗子村七社','220322205209007',2),('4580711332768213019','220322205209','崔家岗子村八社','220322205209008',2),('4580711401487682672','220322110223','张家屯村二组','220322110223002',2),('4580711401487682979','220322110223','张家屯村三组','220322110223003',2),('4580711985603249071','220322110217','南太平村五组','220322110217005',2),('4580712054322732886','220322100215','邓家屯','220322100204005',2),('4580712088682463429','220322110218','前梁家村五组','220322110218005',2),('4580712123042195854','220322203206','十二马架村二组','220322203206002',2),('4580712123042196574','220322201200','西泉村一社','220322201200001',2),('4580712157401930172','220322100224','小城子屯','220322100214001',2),('4580712157401947426','220322110219','青松村五组','220322110219005',2),('4580712191761664885','220322100224','姜家屯','220322100214002',2),('4580712226121410562','220322203206','十二马架村三组','220322203206003',2),('4580712226121411383','220322203206','十二马架村七组','220322203206007',2),('4580712226121411600','220322203206','十二马架村五组','220322203206005',2),('4580712226121412156','220322203206','十二马架村八组','220322203206008',2),('4580712260481158646','220322110220','宋家围子村十组','220322110220010',2),('4580712397920109725','220322110221','田家洼子村二组','220322110221002',2),('4580712397920112114','220322110221','田家洼子村三组','220322110221003',2),('4580712397920112321','220322110221','田家洼子村四组','220322110221004',2),('4580712432279853989','220322110221','田家洼子村五组','220322110221005',2),('4580712466639588237','220322110221','田家洼子村八组','220322110221008',2),('4580712466639589072','220322110222','榆树村五组','220322110222005',2),('4580712500999326034','220322110222','榆树村六组','220322110222006',2),('4580712500999327282','220322110223','张家屯村四组','220322110223004',2),('4580712500999327745','220322110223','张家屯村六组','220322110223006',2),('4580712707157752463','220322203202','小郑屯小学','220322203202011',2),('4580712741517500364','220322100224','郝家村','220322100214008',2),('4580712775877234008','220322100224','喜禹屯','220322100214003',2),('4580713222553822881','220322203209','安家屯村二組','220322203209002',2),('4580713222553824536','220322203209','安家屯村四組','220322203209004',2),('4580713222553825674','220322203209','安家屯村六組','220322203209006',2),('4580713222553825989','220322203209','安家屯村七組','220322203209007',2),('4580713222553826607','220322203209','安家屯村八組','220322203209008',2),('4580713359992782633','220322201200','西泉村三社','220322201200003',2),('4580713394352520430','220322201200','西泉村六社','220322201200006',2),('4580713394352520741','220322201200','西泉村七社','220322201200007',2),('4580713566151199865','220322203211','田家庙村六.八组','220322203211006',2),('4580713566151200004','220322203211','田家庙村七组','220322203211007',2),('4580713703590151180','220322205206','朝阳村一社','220322205206001',2),('4580713703590151643','220322205206','朝阳村六社','220322205206006',2),('4580713944108319862','220322205207','沿河村二社','220322205207002',2),('4580713944108320026','220322205207','沿河村三社','220322205207003',2),('4580713944108320204','220322205207','沿河村四社','220322205207004',2),('4580713944108320471','220322205207','沿河村五社','220322205207005',2),('4580713944108320622','220322205207','沿河村六社','220322205207006',2),('4580713978468058600','220322205209','崔家岗子村一社','220322205209001',2),('4580713978468059104','220322205209','崔家岗子村三社','220322205209003',2),('4580713978468059829','220322205209','崔家岗子村四社','220322205209004',2),('4580714665662841330','220322205206','朝阳村二社','220322205206002',2),('4580714665662841543','220322205206','朝阳村四社','220322205206004',2),('4580714665662841778','220322205206','朝阳村五社','220322205206005',2),('4580714665662842087','220322205206','朝阳村七社','220322205206007',2),('4580714665662842345','220322205206','朝阳村九社','220322205206009',2),('4580714665662842430','220322205206','朝阳村十社','220322205206010',2),('4580714700022579450','220322205201','平安堡二社','220322205201002',2),('4580714700022580543','220322205201','平安堡四社','220322205201004',2),('4580714734382310472','220322102210','厢房村一社','220322102210001',2),('4580714734382310743','220322102210','厢房村二社','220322102210002',2),('4580714734382311360','220322102210','厢房村四社','220322102210004',2),('4580714734382311440','220322102210','厢房村五社','220322102210005',2),('4580714734382311715','220322102210','厢房村六社','220322102210006',2),('4580715112339436407','220322205209','北崔家岗子','220322205209010',2),('4580715181058921956','220322205209','崔家岗子村二社','220322205209002',2),('4580715181058924050','220322205209','崔家岗子村六社','220322205209006',2),('4580715215418655417','220322205209','崔家岗子村九社','220322205209009',2),('4580715455936817619','220322102216','兴发堡一社','220322102216001',2),('4580715593375774476','220322102207','东胜村一社','220322102207001',2),('4580715627735512867','220322102207','东胜村二社','220322102207002',2),('4580715662095259281','220322201200','西泉村二社','220322201200002',2),('4580715696454990762','220322102207','东胜村三社','220322102207003',2),('4580715868253679316','220322100212','小桥子','220322100212001',2),('4580716040052381915','220322203202','小郑屯村村','220322203202010',2),('4580716074412109474','220322100212','下柴家1','220322100212005',2),('4580716074412112396','220322100212','三泉眼','220322100212006',2),('4580716143131591587','220322203209','安家屯村一组','220322203209001',2),('4580716177491323983','220322100212','东南屯','220322100212011',2),('4580716280570527834','220322203206','十二马架村四组','220322203206004',2),('4580716280570528966','220322203206','十二马架村六组','220322203206006',2),('4580716280570529500','220322203206','十二马架村九组','220322203206009',2),('4580716486728966947','220322100208','西中安村4社','220322100208004',2),('4580716899045835623','220322201200','西泉村四社','220322201200004',2),('4580716899045836386','220322201200','西泉村五社','220322201200005',2),('4580716899045838209','220322201200','西泉村九社','220322201200009',2),('4580717895478236135','220322203206','十二马架村一组','220322203206001',2),('4580717895478236345','220322102211','新江村一社','220322102211001',2),('4580717895478237128','220322102211','新江村二社','220322102211002',2),('4580718720111960070','220322201204','玻璃城子村二社','220322201204002',2),('4580718720111961382','220322201204','玻璃城子村三社','220322201204003',2),('4580718720111963669','220322201204','玻璃城子村八社','220322201204008',2),('4580718720111965341','220322201204','玻璃城子村九社','220322201204009',2),('4580718720111966235','220322201204','玻璃城子村十社','220322201204010',2),('4580719063709344251','220322102216','兴发堡三社','220322102216003',2),('4580719063709348104','220322102216','兴发堡八社','220322102216008',2),('4580719063709350143','220322102216','兴发堡九社','220322102216009',2),('4580719098069084292','220322102216','兴发堡小学','220322102216010',2),('4580719510385937751','220322203209','安家屯村三組','220322203209003',2),('4580719750904104594','220322203209','安家屯村五組','220322203209005',2),('4580719750904106654','220322203209','安家屯村九組','220322203209009',2),('4580719853983324278','220322201200','西泉村八社','220322201200008',2),('4580719853983325375','220322201200','西泉村十社','220322201200010',2),('4580720300659931594','4455233794495130435','园艺三组','220322003200003',2),('4580720335019669504','4455233794495130435','园艺五组','220322003200005',2),('4580722156085797263','220322201206','小房身村一社','220322201206001',2),('4580722156085797624','220322201206','小房身村三社','220322201206003',2),('4580722156085799012','220322201206','小房身村十社','220322201206010',2),('4580722396603966122','220322102211','新江村三社','220322102211003',2),('4580722568402650986','220322102210','厢房村三社','220322102210003',2),('4580722602762405066','220322102216','兴发堡二社','220322102216002',2),('4580722740201349443','220322202202','十家子村一组','220322202202001',2),('4580722808920828459','220322102215','周家油坊村五社','220322102215005',2),('4580722843280570363','220322202202','十家子村二组','220322202202002',2),('4580722843280579553','220322102207','东胜村四社','220322102207004',2),('4580722912000054416','220322102207','东胜村五社','220322102207005',2),('4580723049439008853','220322100212','东南屯1','220322100212002',2),('4580723186877951753','220323100207','头道村卫生院','220323100220001',2),('4580723186877952215','220322201202','蒋机房村3社','220322201202003',2),('4580723186877954285','220323100210','伊通镇第五小学','220323100217003',2),('4580723221237689080','220322201202','蒋机房村2社','220322201202002',2),('4580723221237690194','220323100220','伊通县第十四中学','220323100200001',2),('4580723255597437959','220322100212','于家屯','220322100212004',2),('4580723324316905696','220322102217','大榆树村三社','220322102217003',2),('4580723358676644135','220322102217','大榆树村七社','220322102217007',2),('4580723461755855415','220322102213','董家窝堡村二社','220322102213002',2),('4580723530475338335','220322102213','董家窝堡村五社','220322102213005',2),('4580723530475339369','220322102213','董家窝堡村六社','220322102213006',2),('4580723564835074887','220322102205','新兴村一社','220322102205001',2),('4580723564835078911','220322100212','陆家屯','220322100212009',2),('4580723736633777483','220322100208','西中安村3社','220322100208003',2),('4580723770993501024','220322102205','新兴村二社','220322102205002',2),('4580723770993501385','220303102001','叶赫满族镇人民政府-专属网格八','220303102001010',2),('4580723770993504700','220303102001','叶赫满族镇卫生院-专属网格七','220303102001009',2),('4580723770993507684','220303102001','叶赫镇农村信用社-专属网格四','220303102001005',2),('4580723770993508765','220322100208','西中安村5社','220322100208005',2),('4580723770993509224','220322100208','西中安村6社','220322100208006',2),('4580723805353232931','220322100212','付家屯','220322100212003',2),('4580723805353243438','220322102205','新兴村四社','220322102205004',2),('4580723805353245226','220303102001','叶赫满族镇邮政储蓄银行-专属网格二','220303102001002',2),('4580723805353246333','220303102001','四平市国有林总场叶赫林场-专属网格五','220303102001006',2),('4580723839712984746','220322102205','新兴村七社','220322102205007',2),('4580723908432450764','220322100212','陈家屯','220322100212007',2),('4580723908432451436','220322100212','泉眼沟','220322100212008',2),('4580723942792189326','220322100212','下柴家2','220322100212010',2),('4580723977151933480','220322102205','新兴村八社','220322102205008',2),('4580724080231157444','220322102002','银河社区一组','220322102002001',2),('4580724080231159894','220322102002','银河社区四组','220322102002004',2),('4580724080231161196','220322102002','银河社区榆树台镇人民政府','220322102002005',2),('4580724114590900165','220322201204','玻璃城子村四社','220322201204004',2),('4580724389468788827','220322100208','西中安村1社','220322100208001',2),('4580724389468789512','220322100208','西中安村2社','220322100208002',2),('4580724423828529053','220322100208','西中安村7社','220322100208007',2),('4580724492548017499','220322102216','兴发堡五社','220322102216005',2),('4580725214102508896','220322201204','玻璃城子村一社','220322201204001',2),('4580725317181720378','220322102002','银河社区二组','220322102002002',2),('4580725317181737737','4455233794495130435','园艺八组','220322003200008',2),('4580725385901213261','4455233794495130435','园艺二组开发区','220322003200002',2),('4580725420260934699','220322201204','玻璃城子村五社','220322201204005',2),('4580725420260935327','220322201204','玻璃城子村六社','220322201204006',2),('4580725420260935520','220322201204','玻璃城子村七社','220322201204007',2),('4580725420260957522','4455233794495130435','园艺四组','220322003200004',2),('4580725695138844703','220322201204','玻璃城子村十一社','220322201204011',2),('4580725866937542446','220322102209','闫家村二社','220322102209002',2),('4580725866937546690','220322102209','闫家村四社','220322102209004',2),('4580725901297284849','220322102209','闫家村九社','220322102209009',2),('4580726141815444347','220322102216','兴发堡四社','220322102216004',2),('4580726141815445297','220322102216','兴发堡六社','220322102216006',2),('4580726141815445663','220322102216','兴发堡七社','220322102216007',2),('4580726382333627652','220303006003','网格九','220303006003009',2),('4580726622851787748','220323102206','宝德寺','220323102206008',2),('4580727928521858545','220322201206','小房身村二社','220322201206002',2),('4580727928521859043','220322201206','小房身村四社','220322201206004',2),('4580727962881589458','220322201206','小房身村五社','220322201206005',2),('4580727962881589499','220322201206','小房身村六社','220322201206006',2),('4580727962881590444','220322201206','小房身村八社','220322201206008',2),('4580728237759502311','220322102211','新江村五社','220322102211005',2),('4580728237759502672','220322102211','新江村六社','220322102211006',2),('4580728375198448493','220322202201','顺城堡村一组','220322202201001',2),('4580728375198448570','220322102203','团结村二社','220322102203002',2),('4580728375198449346','220322102203','团结村四社','220322102203004',2),('4580728443917919273','220322102203','团结村五社','220322102203005',2),('4580728443917926301','220322102203','团结村八社','220322102203008',2),('4580728478277669154','220322102215','周家油坊村三社','220322102215003',2),('4580728478277670097','220322102215','周家油坊村六社','220322102215006',2),('4580728478277671169','220322102215','周家油坊村七社','220322102215007',2),('4580728546997144454','220322102215','周家油坊村八社','220322102215008',2),('4580728546997145694','220322102215','周家油坊村十社','220322102215010',2),('4580728546997146042','220322102215','周家油坊村十一社','220322102215011',2),('4580728718795837843','220322202202','十家子村四组','220322202202004',2),('4580728718795838729','220322202202','十家子村五组','220322202202005',2),('4580728787515308632','220322202201','顺城堡村二组','220322202201002',2),('4580728821875049942','220322201202','蒋机房村4社','220322201202004',2),('4580728821875049976','220323100220','伊通县第三小学','220323100200003',2),('4580728821875052324','220322201202','蒋机房村5社','220322201202005',2),('4580728821875054002','220322201202','蒋机房村7社','220322201202007',2),('4580728924954266281','220322102217','大榆树村四社','220322102217004',2),('4580728924954271310','220322102217','大榆树村六社','220322102217006',2),('4580728959313997972','220322202201','顺城堡村六组','220322202201006',2),('4580728959314002807','220322102217','大榆树村九社','220322102217009',2),('4580728959314003592','220322102213','董家窝堡村一社','220322102213001',2),('4580728993673732316','220322205208','三合屯小学','220322205208010',2),('4580729062393223008','220322102213','董家窝堡村四社','220322102213004',2),('4580729131112695933','220303102001','基础网格一','220303102001007',2),('4580729131112701024','220322102213','董家窝堡村八社','220322102213008',2),('4580729474710072835','4580751980338697275','张家街村二社','220322102218002',2),('4580729646508761673','220323108200','营城子镇中心校','220323108200006',2),('4580729783947709313','4455233794495130435','园艺二组','220322003200001',2),('4580729783947710299','4455233794495130435','园艺七组','220322003200007',2),('4580729783947712518','4455233794495130435','园艺十组','220322003200010',2),('4580729818307449331','4455233794495130435','园艺六组','220322003200006',2),('4580729818307456158','220322202201','顺城堡村九组','220322202201009',2),('4580729818307458503','220322102214','袁家岭村二社','220322102214002',2),('4580729818307459239','220322102214','袁家岭村四社','220322102214004',2),('4580729818307460410','220322102214','袁家岭村六社','220322102214006',2),('4580729818307461115','220322102214','袁家岭村七社','220322102214007',2),('4580729852667192176','220322102214','袁家岭村八社','220322102214008',2),('4580730024465889000','220322102219','张家油坊村二社','220322102219002',2),('4580730093185361581','220322102219','张家油坊村四社','220322102219004',2),('4580730093185362601','220322102219','张家油坊村七社','220322102219007',2),('4580730608581434932','4455233794495130435','园艺九组','220322003200009',2),('4580730814739869502','220322102212','双龙村一社','220322102212001',2),('4580730849099606868','4580751980338697275','张家街村五社','220322102218005',2),('4580731089617786455','220322102213','董家窝堡村九社','220322102213009',2),('4580731089617787364','220303102001','叶赫满族镇中学-专属网格九','220303102001011',2),('4580731192697002825','220322102205','新兴村五社','220322102205005',2),('4580731639373591871','220322102220','潘家村六社','220322102220006',2),('4580731639373593127','220322102220','潘家村七社','220322102220007',2),('4580732189129413157','220322102205','新兴村六社','220322102205006',2),('4580732257848887800','220322102205','新兴村九社','220322102205009',2),('4580732773244967766','220322102204','六合村一社','220322102204001',2),('4580732807604700306','220322102204','六合村三社','220322102204003',2),('4580732807604700574','220322102204','六合村四社','220322102204004',2),('4580732841964442217','220322102209','闫家村一社','220322102209001',2),('4580732841964443141','220322102209','闫家村三社','220322102209003',2),('4580732841964443844','220322102209','闫家村五社','220322102209005',2),('4580732841964445085','220322102209','闫家村七社','220322102209007',2),('4580732876324176922','220322102209','闫家村八社','220322102209008',2),('4580733082482600845','220322205207','沿河村八社','220322205207008',2),('4580735384585075358','220322102201','新合村村部','220322102201007',2),('4580737240010949298','220322102203','团结村六社','220322102203006',2),('4580737240010952989','220322102203','团结村九社','220322102203009',2),('4580737755407020907','220322102200','路明村二社','220322102200002',2),('4580737824126497192','220322102200','路明村三社','220322102200003',2),('4580738270803097155','220322102208','房身村四社','220322102208004',2),('4580738511321265419','220322102206','徐家油坊村四社','220322102206004',2),('4580739061077074940','220322102206','徐家油坊村六社','220322102206006',2),('4580739473393949231','220322102203','团结村十社','220322102203010',2),('4580739507753681806','220322202201','顺城堡村三组','220322202201003',2),('4580739851351052919','220322201206','小房身村七社','220322201206007',2),('4580739851351053806','220322201206','小房身村九社','220322201206009',2),('4580739885710808325','220322205208','三合屯村村','220322205208011',2),('4580740229308171203','220322102211','新江村四社','220322102211004',2),('4580740744704247407','220322102215','周家油坊村一社','220322102215001',2),('4580740744704251412','220322102215','周家油坊村二社','220322102215002',2),('4580740779063986770','220322102215','周家油坊村四社','220322102215004',2),('4580740813423726609','220322102215','周家油坊村九社','220322102215009',2),('4580740847783466432','220322202202','十家子村三组','220322202202003',2),('4580741122661369564','220322201202','蒋机房村1社','220322201202001',2),('4580741122661371749','220323100208','伊通镇中心卫生院','220323100209001',2),('4580741122661374935','220322201202','蒋机房村6社','220322201202006',2),('4580741225740594370','220322203208','后韩家村七组','220322203208007',2),('4580741225740594491','220322203208','后韩家村八组','220322203208008',2),('4580741397539274752','220322102217','大榆树村一社','220322102217001',2),('4580741603697705924','220322102217','大榆树村二社','220322102217002',2),('4580741638057451405','220322102217','大榆树村五社','220322102217005',2),('4580741672417183816','220322102217','大榆树村八社','220322102217008',2),('4580741672417186988','220323100207','伊通镇九年一贯制学校','220323100220003',2),('4580742050374308996','220322102213','董家窝堡村三社','220322102213003',2),('4580742084734047562','220322102213','董家窝堡村七社','220322102213007',2),('4580742119093784038','220303102001','基础网格二','220303102001012',2),('4580742119093784576','220303102001','叶赫满族镇中心校 -专属网格一','220303102001001',2),('4580742119093786943','220322102205','新兴村三社','220322102205003',2),('4580742497050923195','220322202201','顺城堡村十一组','220322202201011',2),('4580742497050923578','220322102214','袁家岭村三社','220322102214003',2),('4580742497050923871','220322202201','顺城堡村','220322202201012',2),('4580742531410661554','220322202201','顺城堡村小学校','220322202201013',2),('4580742531410663751','220322102214','袁家岭村九社','220322102214009',2),('4580742565770388034','220322203204','王家桥村1组','220322203204001',2),('4580742600130140585','220323108208','新家中心校','220323108208005',2),('4580742668849604680','220322203204','王家桥村6组','220322203204006',2),('4580742668849605298','220322203204','王家桥村7组','220322203204007',2),('4580742668849605536','220322203204','王家桥村8组','220322203204008',2),('4580742840648289323','220303102001','叶赫满族镇农电-专属网格三','220303102001003',2),('4580742943727525250','220322102219','张家油坊村一社','220322102219001',2),('4580743046806735327','220322102219','张家油坊村三社','220322102219003',2),('4580743046806737356','220322102219','张家油坊村五社','220322102219005',2),('4580743046806739446','220303006003','网格十一','220303006003011',2),('4580743184245683059','220322201201','东泉村二社','220322201201002',2),('4580743184245683367','220322201201','东泉村四社','220322201201004',2),('4580743252965150994','220322102204','六合村二社','220322102204002',2),('4580743527843056059','220322102209','闫家村六社','220322102209006',2),('4580744386836532004','220322102212','双龙村二社','220322102212002',2),('4580744421196268999','220322102212','双龙村四社','220322102212004',2),('4580744421196270076','220322102212','双龙村五社','220322102212005',2),('4580744421196274752','4580751980338697275','张家街村六社','220322102218006',2),('4580744455556006141','4580751980338697275','张家街村七社','220322102218007',2),('4580744455556008050','4580751980338697275','张家街村八社','220322102218008',2),('4580744455556009586','4580751980338697275','张家街村九社','220322102218009',2),('4580746001744234056','220322102219','张家油坊村村部','220322102219008',2),('4580746036103972093','220322102220','潘家村一社','220322102220001',2),('4580746036103978060','220322102220','潘家村四社','220322102220004',2),('4580746036103978645','220322102220','潘家村五社','220322102220005',2),('4580746379701343385','220322110223','张家屯村七组','220322110223007',2),('4580746998176652710','220322102201','新合村一社','220322102201001',2),('4580747032536388161','220323110209','流沙村小学','220323110209005',2),('4580747032536388197','220322102201','新合村三社','220322102201003',2),('4580747032536390200','220322102201','新合村五社','220322102201005',2),('4580747273054552927','220322102201','新合村六社','220322102201006',2),('4580747273054554078','220323110209','流沙村荣威集团','220323110209006',2),('4580748097688256846','220322102203','团结村三社','220322102203003',2),('4580748097688257878','220322102203','团结村七社','220322102203007',2),('4580749540797288681','220322102200','路明村四社','220322102200004',2),('4580749781315455875','220322102208','房身村七社','220322102208007',2),('4580749781315455910','220322102208','房身村八社','220322102208008',2),('4580749815675197855','220322102206','徐家油坊村五社','220322102206005',2),('4580749953114148458','220322203208','后韩家村六组','220322203208006',2),('4580750605949174729','220322110214','李家村三组','220322110214003',2),('4580750605949177574','220322203204','王家桥村2组','220322203204002',2),('4580750605949177812','220322203204','王家桥村3组','220322203204003',2),('4580750605949177934','220322203204','王家桥村4组','220322203204004',2),('4580750915186824350','220322203204','王家桥村小学','220322203204009',2),('4580750915186824591','220322203204','王家桥村村','220322203204010',2),('4580751086985497061','220322102203','团结村一社','220322102203001',2),('4580751327503668063','220322202201','顺城堡村四组','220322202201004',2),('4580751361863406041','220322202201','顺城堡村五组','220322202201005',2),('4580751430582898213','220322201201','东泉村一社','220322201201001',2),('4580751945978960642','220322205208','三合屯河北地','220322205208012',2),('4580751980338697275','220322102000','张家街村','220322102218',1),('4580752117777649535','220322203207','长山堡小学','220322203207009',2),('4580752117777653200','4580751980338697275','张家街村一社','220322102218001',2),('4580753698325614343','220323108200','营城子镇卫生院','220323108200007',2),('4580754316800905986','220322202201','顺城堡村七组','220322202201007',2),('4580754351160639919','220323108200','营城子镇老年养护院','220323108200008',2),('4580754591678811587','220322202201','顺城堡村八组','220322202201008',2),('4580754591678813992','220322202201','顺城堡村十组','220322202201010',2),('4580754591678815877','220322102214','袁家岭村一社','220322102214001',2),('4580754626038548671','220322102214','袁家岭村五社','220322102214005',2),('4580754626038548997','220323108001','营城子镇四中','220323108001003',2),('4580754694758023538','220322102214','袁家岭村十社','220322102214010',2),('4580754797837240332','220323108208','十七中','220323108208006',2),('4580754797837245528','220323108208','新家卫生院','220323108208007',2),('4580754969635936738','220303006003','网格十','220303006003010',2),('4580754969635937517','220322102219','张家油坊村六社','220322102219006',2),('4580755347593053420','4580751980338697275','张家街村三社','220322102218003',2),('4580755381952792818','4580751980338697275','张家街村四社','220322102218004',2),('4580756000428086833','220322102212','双龙村三社','220322102212003',2),('4580756103507301765','4580751980338697275','张家街村十社','220322102218010',2),('4580756447104681136','220322102220','潘家村二社','220322102220002',2),('4580756447104687610','220322102220','潘家村三社','220322102220003',2),('4580757580976049156','220322205207','沿河村九社','220322205207009',2),('4580759986157736276','220322102201','新合村二社','220322102201002',2),('4580761291827790810','220322102201','新合村四社','220322102201004',2),('4580767476580699398','220322102200','路明村一社','220322102200001',2),('4580767476580700226','220322102200','路明村五社','220322102200005',2),('4580767545300179932','220322102208','房身村一社','220322102208001',2),('4580767545300180169','220322102208','房身村二社','220322102208002',2),('4580767545300180292','220322102208','房身村三社','220322102208003',2),('4580767545300180479','220322102208','房身村五社','220322102208005',2),('4580767545300180707','220322102208','房身村六社','220322102208006',2),('4580767579659913969','220322102206','徐家油坊村一社','220322102206001',2),('4580767579659914281','220322102206','徐家油坊村二社','220322102206002',2),('4580767579659916559','220322102206','徐家油坊村三社','220322102206003',2),('4580767579659917270','220322102206','徐家油坊村七社','220322102206007',2),('4580768266854679756','220322203204','王家桥村5组','220322203204005',2),('4580776891149013815','220322201201','东泉村三社','220322201201003',2),('4580776925508751571','220322201201','东泉村五社','220322201201005',2),('4580776925508751692','220322201201','东泉村六社','220322201201006',2),('4580776925508751871','220322201201','东泉村七社','220322201201007',2),('4580776925508752149','220322201201','东泉村八社','220322201201008',2),('4589882427974985014','220322203211','田家庙村小学','220322203211008',2),('4589882427974990287','220322201205','南泉村一社','220322201205001',2),('4589882634133416669','220322201205','南泉村三社','220322201205003',2),('4589882634133417847','220322201205','南泉村四社','220322201205004',2),('4589882634133418719','220322201205','南泉村七社','220322201205007',2),('4589882634133419461','220322201205','南泉村八社','220322201205008',2),('4589882634133420627','220322201208','常青村一组','220322201208001',2),('4589883699285305585','220322202207','代家堡村四组','220322202207004',2),('4589883768004781920','220322202210','南老奤村一组','220322202210001',2),('4589883768004787468','220322202210','南老奤村二组','220322202210002',2),('4589883974163215387','220322202200','关家屯村二组','220322202200002',2),('4589884558278767231','220322202210','南老奤村八组','220322202210008',2),('4589885485991704186','220322202207','代家堡村六组','220322202207006',2),('4589885520351439675','220322202207','代家堡村九组','220322202207009',2),('4589885520351442921','220322202207','代家堡村十组','220322202207010',2),('4589885520351443763','220322202207','代家堡村十一组','220322202207011',2),('4589886448064387696','220323110204','吉祥村村民委员会','220323110204007',2),('4589886619863079365','220322201205','南泉村二社','220322201205002',2),('4589886619863080795','220322201205','南泉村五社','220322201205005',2),('4589886791661757842','220322202203','九家子村三组','220322202203003',2),('4589886791661758926','220322202203','九家子村四组','220322202203004',2),('4589886860381239983','220322202203','九家子村六组','220322202203006',2),('4589887135259147302','220322202211','石庙子村五组','220322202211005',2),('4589887203978618035','220322202211','石庙子村七组','220322202211007',2),('4589887203978618540','220322202211','石庙子村八组','220322202211008',2),('4589887203978619010','220322202211','石庙子村九组','220322202211009',2),('4589887272698105353','220322202207','代家堡村二组','220322202207002',2),('4589887341417588479','220323110204','吉祥小学','220323110204008',2),('4589887444496801919','220322201205','南泉村六社','220322201205006',2),('4589887959892875928','220322202210','南老奤村四组','220322202210004',2),('4589888097331835453','220322202207','代家堡村三组','220322202207003',2),('4589888131691571853','220322202211','石庙子村二组','220322202211002',2),('4589888166051306164','220322202210','南老奤村七组','220322202210007',2),('4589888200411038866','220322202203','九家子村一组','220322202203001',2),('4589888200411040340','220322202210','南老奤村民兵水库','220322202210009',2),('4589888200411042906','220322202207','代家堡村五组','220322202207005',2),('4589888303490245915','220322202200','关家屯村六组','220322202200006',2),('4589888509648678583','220322202200','关家屯村一组','220322202200001',2),('4589888715807125987','220322202200','关家屯村三组','220322202200003',2),('4589888715807126246','220322202210','南老奤村三组','220322202210003',2),('4589888784526598414','220322202210','南老奤村五组','220322202210005',2),('4589888818886337187','220322202210','南老奤村六组','220322202210006',2),('4589888853246064770','220303001004','基础网格14-户在人不在','220303001004014',2),('4589888990685034268','220322202207','代家堡村七组','220322202207007',2),('4589889437361630540','220322202203','九家子村五组','220322202203005',2),('4589889506081104837','220322202211','石庙子村四组','220322202211004',2),('4589889643520059254','220322202211','石庙子村六组','220322202211006',2),('4589890261995341143','220322202207','代家堡村八组','220322202207008',2),('4589890261995344012','220322202203','九家子村二组','220322202203002',2),('4589890261995344552','220322202207','代家堡村村','220322202207012',2),('4589890330714824294','220322202211','石庙子村一组','220322202211001',2),('4589890365074556251','220322102002','银河社区三组','220322102002003',2),('4589890365074562865','220322202211','石庙子村三组','220322202211003',2),('4589890536873249518','220322102002','银河社区德利肥业化肥厂','220322102002006',2),('4589890674312213318','220322202200','关家屯村五组','220322202200005',2),('4589893285652316160','220322202200','关家屯村四组','220322202200004',2),('4589893732328920118','220322202200','关家屯村七组','220322202200007',2),('4589893732328922177','220322202200','关家屯村八组','220322202200008',2),('4589903456134873542','220322110207','孙家店学校村部','220322110207009',2),('4591346427707414207','220323100218','东尖卫生院','220323100215003',2),('4591346496426893122','220323100210','伊通县第十三中学','220323100217001',2),('4591347149261917943','220322202209','羊尾岭村一组','220322202209001',2),('4591347321060609783','220322202209','羊尾岭村二组','220322202209002',2),('4591347389780085629','220322202209','羊尾岭村三组','220322202209003',2),('4591347664657977683','220322110214','李家村五组','220322110214005',2),('4591350035479938378','220322110214','李家村六组','220322110214006',2),('4591353230935603260','220322201203','新发堡村二社','220322201203002',2),('4591354089929060240','220303102001','东街加油站-专属网格六','220303102001008',2),('4591358625414535465','220322201203','新发堡村三社','220322201203003',2),('4591358625414535784','220322201203','新发堡村四社','220322201203004',2),('4591358625414536287','220322201203','新发堡村五社','220322201203005',2),('4591358625414537098','220322201203','新发堡村七社','220322201203007',2),('4591358659774267575','220322201203','新发堡村八社','220322201203008',2),('4591360858797527613','220322201207','东洼子村一社','220322201207001',2),('4591360927516999790','220322201207','东洼子村二组','220322201207002',2),('4591360927517000380','220322201207','东洼子村四社','220322201207004',2),('4591360996236477166','220322201207','东洼子村5社','220322201207005',2),('4591360996236477933','220322201207','东洼子村8社','220322201207008',2),('4591500153176881037','220322201203','新发堡村一社','220322201203001',2),('4591500187536616547','220322201203','新发堡村六社','220322201203006',2),('4591502455279345729','220303102001','西街加油站-专属网格十','220303102001004',2),('4591502489639085792','220322201207','东洼子村三社','220322201207003',2),('4591502489639088128','220322201207','东洼子村6社','220322201207006',2),('4591502489639088361','220322201207','东洼子村7社','220322201207007',2),('4592763079720414503','220322202208','小城村四组','220322202208004',2),('4592764179232044941','4476990724427430849','专属网格三','220303005003011',2),('4592764247951517157','220322202206','四家子村小学和村部','220322202206010',2),('4592764488469691489','220303008002','基础网格6（车站委）','220303008002006',2),('4592764832067082708','220322202208','小城村一组','220322202208001',2),('4592764832067083047','220322202208','小城村二组','220322202208002',2),('4592764866426814579','220322202208','小城村六组','220322202208006',2),('4592766412615040249','220322201208','常青村二组','220322201208002',2),('4592772975325062656','220322405598','良种场三分厂','22032240500102',2),('4592773937397737159','220322113214','靠山李村一组','220322113214001',2),('4592774968189886483','220323102001','国家电网伊丹供电所','220323102001001',2),('4592775002549632004','220323102001','伊通满族自治县农村信用联社伊丹信用社','220323102001003',2),('4592775071269106156','220323102001','伊丹邮政储蓄银行','220323102001005',2),('4592775208708070781','220322202208','小城子村小学和村部','220322202208008',2),('4592775277427538102','220323102001','伊丹法庭','220323102001010',2),('4592775758463884619','220322202209','羊尾岭村四组','220322202209004',2),('4592775861543100060','220322202209','羊尾岭村五组','220322202209005',2),('4592777407731318310','220323102001','伊丹市场监督管理分局','220323102001011',2),('4592778026206609255','220323102203','毯子村小学','220323102203011',2),('4592778404163730401','220323102200','韩建河山管业','220323102200013',2),('4592778507242946504','220323102202','东升村小学','220323102202006',2),('4592778541602683764','220322113201','五家子村一组','220322113201001',2),('4592778541602684787','220323102202','养殖场','220323102202007',2),('4592778610322159586','220323102209','心合村小学','220323102209006',2),('4592779160077972381','220322113208','长丰村一组','220322113208001',2),('4592780259589603365','220323102001','伊丹卫生院','220323102001013',2),('4592780706266209486','220323102001','伊丹畜牧站','220323102001006',2),('4592780878064896374','220323102001','伊通农业银行伊丹支行','220323102001007',2),('4592781393460977418','220323102200','伊丹中心校','220323102200012',2),('4592781496540188561','220323102201','天宝粮贸','220323102201006',2),('4592782870929720236','220323102201','宜丰粮贸','220323102201007',2),('4592782905289458937','220323102201','兴粮贸聚','220323102201008',2),('4592783042728416124','220323102203','宏瀚鹿业','220323102203012',2),('4592783248886844347','220323102204','车家村小学','220323102204007',2),('4592783248886846300','220323102205','新民村小学','220323102205006',2),('4592783283246586382','220323102208','六家村小学','220323102208006',2),('4592783386325799694','220323102211','马场村小学','220323102211006',2),('4592783420685534517','220323102211','伊丹国有林保护中心','220323102211007',2),('4592788815164460627','220322106001','小站社区一组','220322106001001',2),('4592788815164460664','220322106001','小站社区二组','220322106001002',2),('4592788815164460714','220322106001','小站社区四组','220322106001004',2),('4592788815164460806','220322106001','小站社区五组','220322106001005',2),('4592788815164460841','220322106001','小站社区六组','220322106001006',2),('4592790670590322619','220322113214','靠山李村六组','220322113214006',2),('4592794209643376218','220322113214','靠山李村八组','220322113214008',2),('4592796236867940946','220322113213','王家局子村一组','220322113213001',2),('4592797027141924268','220322113206','揣家洼子村四组','220322113206004',2),('4592797679976957439','220322113206','揣家洼子村一组','220322113206001',2),('4592799535402827106','220322113206','揣家洼子村五组','220322113206005',2),('4592799775920995095','220322113213','王家局子村三组','220322113213003',2),('4592800016439162738','220322113213','王家局子村四组','220322113213004',2),('4592800325676816963','220322113214','靠山李村九组','220322113214009',2),('4592800394396288217','220322113206','揣家洼子村三组','220322113206003',2),('4592800669274196300','220322113214','靠山李村十组','220322113214010',2),('4592801322109215621','220322113203','李家围子村二组','220322113203002',2),('4592801596987200230','220322202208','小城村三组','220322202208003',2),('4592801596987201048','220322202208','小城村五组','220322202208005',2),('4592801837505365598','220322202207','代家堡村一组','220322202207001',2),('4592802043663726952','220322113203','李家围子村三组','220322113203003',2),('4592802043663727940','220322113203','李家围子村四组','220322113203004',2),('4592802146742936527','220322113213','王家局子村九组','220322113213009',2),('4592802249822154811','220322113203','李家围子村六组','220322113203006',2),('4592803108815610029','220322113212','兴开城村三组','220322113212003',2),('4592803418053257810','220322113212','兴开城村四组','220322113212004',2),('4592803761650646604','220322113200','双山村八组','220322113200008',2),('4592804002168811211','220322113200','双山村九组','220322113200009',2),('4592804380125942084','220322113213','王家局子村五组','220322113213005',2),('4592804517564884519','220322113202','绿海村一组','220322113202001',2),('4592804517564890355','220322113211','夏甸村一组','220322113211001',2),('4592804551924624537','220322113202','绿海村二组','220322113202002',2),('4592804586284361475','220322113202','绿海村三组','220322113202003',2),('4592804723723329289','220322113203','李家围子村一组','220322113203001',2),('4592804758083060021','220322113213','王家局子村六组','220322113213006',2),('4592804758083065085','220322113213','王家局子村七组','220322113213007',2),('4592804792442796808','220322113202','绿海村五组','220322113202005',2),('4592804895522009483','220322113211','夏甸村五组','220322113211005',2),('4592804895522080161','220322201208','常青村三组','220322201208003',2),('4592804964241487825','220322113211','夏甸村六组','220322113211006',2),('4592804964241488739','220322113204','大门丁村三组','220322113204003',2),('4592805067320699345','220322113211','夏甸村八组','220322113211008',2),('4592805273479138273','220322203207','长山堡村服务中心','220322203207010',2),('4592806029393383150','220322113213','王家局子村八组','220322113213008',2),('4592806098112861091','220322113203','李家围子村五组','220322113203005',2),('4592806132472601216','220322113212','兴开城村一组','220322113212001',2),('4592806269911550974','220322113203','李家围子村七组','220322113203007',2),('4592806510429721988','220322113200','双山村二组','220322113200002',2),('4592806647868674917','220322113200','双山村三组','220322113200003',2),('4592806682228413414','220322113212','兴开城村六组','220322113212006',2),('4592807025825795050','220322113212','兴开城村九组','220322113212009',2),('4592807094545269705','220322113200','双山村六组','220322113200006',2),('4592807094545272494','220322113200','双山村七组','220322113200007',2),('4592807197624481698','220322113210','老奤村一组','220322113210001',2),('4592807369423168124','220322113210','老奤村二组','220322113210002',2),('4592808159697160685','220322113202','绿海村六组','220322113202006',2),('4592808194056898771','220322113204','大门丁村一组','220322113204001',2),('4592808194056901248','220322113204','大门丁村二组','220322113204002',2),('4592808194056904242','220322113204','大门丁村四组','220322113204004',2),('4592808881251660627','220322201208','常青村六组','220322201208006',2),('4592808915611398965','220322201208','常青村八组','220322201208008',2),('4592810015123099406','220322405598','良种场一分厂','22032240500101',2),('4592810152562053002','220322405598','良种场二分厂','22032240500103',2),('4592810393080159721','220322113211','夏甸村九组','220322113211009',2),('4592811595671002763','220322201208','常青村五组','220322201208005',2),('4592811630030734354','220322201208','常青村七组','220322201208007',2),('4592811733109948491','220322201208','常青村九组','220322201208009',2),('4592811801829423415','220322113209','顺山村一组','220322113209001',2),('4592811870548898076','220322113209','顺山村二组','220322113209002',2),('4592811973628115990','220322113209','顺山村三组','220322113209003',2),('4592812007987852346','220322113209','顺山村四组','220322113209004',2),('4592812145426802621','220322113209','顺山村六组','220322113209006',2),('4592812214146290596','220322113210','老奤村三组','220322113210003',2),('4592812592103478475','220323102001','伊丹镇人民政府','220323102001008',2),('4592812763902165742','220323102001','伊丹派出所','220323102001009',2),('4592812901341120817','220322113207','头道岗村一组','220322113207001',2),('4592812935700858581','220323102001','伊丹国土所','220323102001012',2),('4592813519816335413','220322202204','长发堡村一组','220322202204001',2),('4592813519816338103','220322202204','长发堡村三组','220322202204003',2),('4592813554176078337','220322202204','长发堡村十组','220322202204010',2),('4592813554176078753','220322202204','长发堡村十一组','220322202204011',2),('4592813829054057676','220323102209','玉竹源食品','220323102209007',2),('4592813829054062121','220323102210','火红村小学','220323102210007',2),('4592814138291636090','220322113210','老奤村五组','220322113210005',2),('4592814207011117012','220322113210','老奤村六组','220322113210006',2),('4592814791126655211','220322113208','长丰村五组','220322113208005',2),('4592815959357766246','220322113207','头道岗村四组','220322113207004',2),('4592816199876007911','220322113214','靠山李村二组','220322113214002',2),('4592816406034439632','220322113214','靠山李村三组','220322113214003',2),('4592816440394176765','220322113214','靠山李村四组','220322113214004',2),('4592816474753846045','220322202204','长发堡村二组','220322202204002',2),('4592816543473326535','220322202204','长发堡村四组','220322202204004',2),('4592816543473327414','220322202204','长发堡村六组','220322202204006',2),('4592816577833058638','220322202204','长发堡村八组','220322202204008',2),('4592816577833059193','220322202204','长发堡村九组','220322202204009',2),('4592816577833061443','220322202204','长发堡村十二组','220322202204012',2),('4592817952222587463','220322113207','头道岗村八组','220322113207008',2),('4592818948655077422','220322106001','小站社区三组','220322106001003',2),('4592818948655077631','220322106001','小站社区七组','220322106001007',2),('4592818948655077794','220322106001','小站社区八组','220322106001008',2),('4592819842008208623','220322113207','头道岗村三组','220322113207003',2),('4592819979447223882','220322113214','靠山李村五组','220322113214005',2),('4592820460483501710','220322113207','头道岗村六组','220322113207006',2),('4592821147678268380','220322113207','头道岗村七组','220322113207007',2),('4592821697434076858','220322113207','头道岗村九组','220322113207009',2),('4592822041031463202','220322113204','大门丁村五组','220322113204005',2),('4592824480572877748','220322113204','大门丁村六组','220322113204006',2),('4592824755450786054','220322113204','大门丁村七组','220322113204007',2),('4592824824170261661','220322113204','大门丁村八组','220322113204008',2),('4592824961609213911','220322113204','大门丁村十组','220322113204010',2),('4592825717523457692','220322113205','夏窑村三组','220322113205003',2),('4592826439078042267','220322113214','靠山李村七组','220322113214007',2),('4592826817035160414','220322113206','揣家洼子村二组','220322113206002',2),('4592827572949328467','220322113205','夏窑村七组','220322113205007',2),('4592827572949331621','220322113205','夏窑村八组','220322113205008',2),('4592828741180509604','220322113213','王家局子村二组','220322113213002',2),('4592829359655730294','220322102202','三合村四社','220322102202004',2),('4592829978131027424','220322113201','五家子村二组','220322113201002',2),('4592830115570048217','220322113206','揣家洼子村六组','220322113206006',2),('4592830321728411203','220322113201','五家子村五组','220322113201005',2),('4592830424807625671','220322113205','夏窑村一组','220322113205001',2),('4592832829989312508','220323102000','三鹿场','22032310221200000',1),('4592833001788006035','220323102206','省林业厅林业害虫防治基地','220323102206009',2),('4592833276665978418','220322113212','兴开城村二组','220322113212002',2),('4592833379745122820','220322102202','三合村一社','220322102202001',2),('4592833379745123172','220322102202','三合村二社','220322102202002',2),('4592833414104926604','220322113203','李家围子村八组','220322113203008',2),('4592833414104930225','220322113203','李家围子村九组','220322113203009',2),('4592833448464602776','220322102202','三合村六社','220322102202006',2),('4592833448464603128','220322102202','三合村七社','220322102202007',2),('4592833448464604065','220322102202','三合村九社','220322102202009',2),('4592833448464665029','220322113200','双山村一组','220322113200001',2),('4592833482824405065','220322113212','兴开城村五组','220322113212005',2),('4592833551543880757','220322113212','兴开城村七组','220322113212007',2),('4592833551543882490','220322113200','双山村四组','220322113200004',2),('4592833585903624011','220322113212','兴开城村八组','220322113212008',2),('4592833620263354480','220322113200','双山村五组','220322113200005',2),('4592834754134727999','220322113200','双山村十组','220322113200010',2),('4592835269530799024','220322113211','夏甸村二组','220322113211002',2),('4592835303890542511','220322113202','绿海村四组','220322113202004',2),('4592835510048965737','220322113211','夏甸村三组','220322113211003',2),('4592835578768443300','220322113211','夏甸村四组','220322113211004',2),('4592835991085304463','220322113211','夏甸村七组','220322113211007',2),('4592839736296786433','220303102209','专属网格一','220303102209001',2),('4592839976814953824','220322201208','常青村四组','220322201208004',2),('4592840423491555205','220322113210','老奤村四组','220322113210004',2),('4592841213765467833','220322202204','长发堡村','220322202204013',2),('4592843515868004989','220322113210','老奤村七组','220322113210007',2),('4592843550227743403','220322113210','老奤村八组','220322113210008',2),('4592844134343301663','220322113209','顺山村五组','220322113209005',2),('4592844615379635898','220322113208','长丰村二组','220322113208002',2),('4592845130775636543','220303001001','专属网格铁东广场','220303001001019',2),('4592845130775641554','220303001004','专属网格9东方居休闲广场','220303001004023',2),('4592845199495189003','220322202204','长发堡村五组','220322202204005',2),('4592845268214590634','220303001005','专属网格17城市道路环岛交通','220303001005045',2),('4592845268214661145','220322202204','长发堡村七组','220322202204007',2),('4592845817970404101','4459060232398831616','专属网格23城市道路','220303001006043',2),('4592846676963937084','220322113208','长丰村三组','220322113208003',2),('4592846711323677205','220322113208','长丰村四组','220322113208004',2),('4592846917482107679','220322113208','长丰村六组','220322113208006',2),('4592848223152098546','220302200206','专属网格三','220302200206006',2),('4592848223152098948','220302200206','专属网格2','220302200206007',2),('4592849047785808321','220302200209','专属网格','220302200209006',2),('4592851521687044447','220322113207','头道岗村二组','220322113207002',2),('4592852105802603559','220322113207','头道岗村五组','220322113207005',2),('4592852552479126455','220302200208','基础网格六（机场公园）','220302200208006',2),('4592853480192057744','220322108001','十家堡幼儿园','220322108001004',2),('4592853686350567480','220322113207','头道岗村十组','220322113207010',2),('4592854545343958254','220322110215','龙母村六组','220322110215006',2),('4592854648423170953','220322110215','龙母村二组','220322110215002',2),('4592857878238572240','220323102001','伊丹街道','220323102001002',2),('4592859355707395842','220322113201','五家子村三组','220322113201003',2),('4592859355707396030','220322113204','大门丁村九组','220322113204009',2),('4592859355707396993','220322113201','五家子村四组','220322113201004',2),('4592859493146345607','220322113201','五家子村六组','220322113201006',2),('4592859493146350424','220322113201','五家子村七组','220322113201007',2),('4592859561865829942','220322113205','夏窑村二组','220322113205002',2),('4592859664945044411','220322113205','夏窑村四组','220322113205004',2),('4592859699304782094','220322113205','夏窑村五组','220322113205005',2),('4592859733664515749','220322113205','夏窑村六组','220322113205006',2),('4592861623450064798','220302200208','专属网格二（军事管制区）','220302200208007',2),('4592862138846140252','220322108001','十家堡中学','220322108001001',2),('4592863100918876833','4592832829989312508','三鹿厂屯','22032310221200101',2),('4592863238357832825','220322102202','三合村三社','220322102202003',2),('4592863238357833189','220322102202','三合村五社','220322102202005',2),('4592863238357834394','220322102202','三合村八社','220322102202008',2),('4592864234790177210','220322108206','三家子中小学','220322108206009',2),('4592864818905727375','220323102001','驿站家园小区','220323102001004',2),('4592888252247366692','220302200210','石油','220302200210015',2),('4592897632455934994','220322102203','团结村十一社','220322102203011',2),('4592905191598380013','220322108001','十家堡小学','220322108001003',2),('4592907356261898540','220322108206','三家子卫生院','220322108206010',2),('4592907528060591985','220322108206','三家子化肥厂','220322108206011',2),('4611575173916039390','220322202208','小城子村七组','220322202208007',2),('4611581221229993898','220322202210','南老奤村','220322202210010',2),('4611774426038876577','220322202210','南老奤村小学','220322202210011',2),('4611774872715475226','220322106001','小站社区十组','220322106001010',2),('4611965672342672399','4562958446227426902','林场','220382101231001',2),('4611967046732205196','220322106001','小站社区九组','220322106001009',2),('4611969967309970576','220322106001','十一组（政府）','220322106001011',2),('4613280619530121408','220323110203','大酱村小学校','220323110203006',2),('4613283196510498014','220322202201','顺城堡村王福全水库','220322202201014',2),('4613291339768490298','220323111200','黄岭子镇满族中心小学','220323111200011',2),('4613291339768494711','220323111200','黄岭子镇卫生院','220323111200012',2),('4613291511567186917','220323111203','伊通满族自治县二十三中学','220323111203007',2),('4613291580286658752','220323111203','烧锅村小学','220323111203008',2),('4613291683365872979','220323111202','蟒丈村小学','220323111202008',2),('4613291889524305300','220323110201','大湾小学','220323110201005',2),('4613293779309913566','220323111204','和平村小学','220323111204014',2),('4613293779309919950','220323111201','迎风村小学','220323111201012',2),('4613294260346250404','220323111200','黄岭子镇农村信用社','220323111200016',2),('4613295840894219886','220302005007','第三专属网格','220302005007012',2),('4613296562448720427','220323110200','伊通第十八中学','220323110200009',2),('4613301304092616138','220322103001','沈洋社区第一网格','220322103001002',2),('4613301304092616179','220322103001','沈洋社区第三网格','220322103001003',2),('4613301475891311617','220322103001','沈洋社区第四网格','220322103001004',2),('4613301475891311702','220322103002','兴隆社区第一网格','220322103002001',2),('4613301475891311736','220322103002','兴隆社区第二网格','220322103002002',2),('4613301475891311770','220322103002','兴隆社区第三网格','220322103002003',2),('4613301578970522565','220322103003','电塔社区第三网格','220322103003003',2),('4613301578970522608','220322103003','电塔社区第四网格','220322103003004',2),('4613301578970522691','220322103004','文明社区第二网格','220322103004002',2),('4613301578970524929','220322103005','韩道良社区第三网格','220322103005003',2),('4613301578970525009','220322103005','韩道良社区第四网格','220322103005004',2),('4613563571975688633','220323110210','大桥村小学','220323110210005',2),('4616936530052382825','220323111200','黄岭子镇人民政府','220323111200013',2),('4616936530052385217','220323111200','黄岭子镇世外桃源旅游有限公司','220323111200014',2),('4616936564412125299','220323111202','黄岭子镇百合园养老服务有限公司','220323111202009',2),('4616938179319825024','220323111206','保家村小学','220323111206008',2),('4616938248039301137','220323111204','柳杨小学','220323111204015',2),('4616938316758781341','220323111200','黄岭子镇邮局','220323111200015',2),('4616941649653402334','220323110200','河源镇中心小学校','220323110200008',2),('4616941718372884182','220323110200','河源镇第一卫生院','220323110200010',2),('4616945807181745146','220303004005','基础网格十（一面城线路小区）','220303004005010',2),('4616949414954273083','220322103002','兴隆社区第四网格','220322103002004',2),('4616949414954273297','220322103003','电塔社区第一网格','220322103003001',2),('4616949414954273331','220322103003','电塔社区第二网格','220322103003002',2),('4616949414954275261','220322103004','文明社区第四网格','220322103004004',2),('4628182747298225367','220323107001','小孤山镇街道','220323107001001',2),('4628183468852730746','220322103001','沈洋社区第二网格','220322103001001',2),('4628183503212466893','220322103004','文明社区第一网格','220322103004001',2),('4628183503212469872','220322103004','文明社区第三网格','220322103004003',2),('4628183571931939071','220322103005','韩道良社区第一网格','220322103005001',2),('4628183571931939516','220322103005','韩道良社区第二网格','220322103005002',2),('4635288994027950661','220303007003','专属网格一','220303007003004',2),('4635296072134053368','220302002006','鑫丽豪','220302002006019',2),('4635297755761230912','220322200000','白山乡政府小区','220322202215',1),('4635297755761233166','4643059380140441239','白山乡中学','220322202216001',2),('4635303115880422241','4476990724427428794','第六专属网格','220302005010026',2),('4643058349348288311','220302002006','肛肠医院','220302002006020',2),('4643058349348288523','220302002006','可勒小镇','220302002006021',2),('4643058349348288612','220302002006','博物馆','220302002006023',2),('4643059380140441239','220322200000','白山乡学校','220322202216',1),('4643059380140441360','4643059380140441239','白山乡小学','220322202216002',2),('4643059380140441395','4643059380140441239','白山乡粮库','220322202216003',2),('4643061338645530793','220302002006','四平热力有限公司','220302002006022',2),('4643070512695680897','220302001005','专属网格二','220302001005007',2),('4675724839809550585','220323110207','九年一贯制学校','220323110207008',2),('4675724839809555582','220323110207','地局子粮库','220323110207009',2),('4675726111119872805','220303102206','专属网格3-山','220303102206011',2),('4675726111119872855','220303102206','专属网格5-山','220303102206013',2),('4675726111119872905','220303102206','专属网格8-山','220303102206016',2),('4675726111119873061','220303102206','专属网格9-山','220303102206017',2),('4687429793922295263','220323110206','联合村小学','220323110206008',2),('4687429793922299178','220323110207','地局子卫生院','220323110207010',2),('4687431133952092112','220303001002','专属网格13施工中路段','220303001002028',2),('4687431133952095731','220303102204','专属网格3-山','220303102204012',2),('4687431133952095781','220303102204','专属网格4-山','220303102204013',2),('4687431271391047974','220303102206','专属网格7-山','220303102206015',2),('4687431305750782421','220302200201','专属网格五','220302200201010',2),('4687431477549474141','4635297755761230912','1区','220322202215001',2),('4687435566358349403','220323110206','联合村养殖场','220323110206009',2),('4687436940747888232','220303102204','专属网格5-山','220303102204014',2),('4687437146906316613','220303102206','专属网格4-山','220303102206012',2),('4687437146906316686','220303102206','专属网格6-山','220303102206014',2),('4687437421784220203','4635297755761230912','2区','220322202215002',2),('4695834632603730879','220303102204','专属网格2-山','220303102204011',2),('4695834701323207335','220303102206','专属网格2-山','220303102206010',2),('4800457252795881258','220303003001','鑫荣社区党群服务中心','220303003001007',2),('4800457252795881406','220303003002','党群服务中心','220303003002013',2),('4829158526370271244','220303003002','为民社区党群服务中心','220303003002014',2),('4957965592009738003','220302200202','专属网格（条子河村）','220302200202006',2),('4957965592009741434','220302200210','专属网格一（巨丰村）','220302200210016',2),('4957965592009742014','220302200214','专属网格（东八大村）','220302200214004',2),('4957966107405818340','220302005006','地直社区第四专属网格','220302005006014',2),('4957986070413812314','220302200208','专属网格一（勤业村党支部）','220302200208008',2),('4957986070413817213','220302200212','专属网格','220302200212004',2),('5','2','2街道1社区','21',1),('5080959711471971693','220382001001','东华社区第十三网格诚鑫邢思月','220382001001017',2),('5391043121743971465','220303008002','基础网格11','220303008002014',2),('5391043121743971614','220303008004','专属网格9','220303008004021',2),('5391043121743971763','220303008004','专属网格10','220303008004022',2),('5391043121743971912','220303008004','基础网格13','220303008004025',2),('5391143623978706182','220303008002','基础网格7','220303008002007',2),('5391143623978706331','220303008002','基础网格8','220303008002008',2),('5391143623978706480','220303008002','基础网格9','220303008002009',2),('5391143623978706629','220303008002','基础网格10','220303008002010',2),('5391143623978706778','220303008002','专属网格1','220303008002011',2),('5391143623978706927','220303008002','专属网格2','220303008002012',2),('5391143623978707079','220303008002','专属网格3','220303008002013',2),('5391143623978707228','220303008004','专属网格11','220303008004023',2),('5391143623978707377','220303008004','专属网格12','220303008004024',2),('5437064795832256255','4477019861485665485','双廉阳光新居2','220382002202004',2),('5437064795832256398','4477019861485665485','双廉阳光新居5','220382002202007',2),('5437064795832257774','220382004001','西化社区第十一网格','220382004001008',2),('5437064795832257930','220382004001','西化社区第八网格','220382004001009',2),('5437064795832258102','220382002001','基础网格6','220382002001026',2),('5437064795832258255','220382004001','西化社区第九网格','220382004001010',2),('5437064795832258470','220382002001','基础网格10','220382002001027',2),('5437064795832258792','220382004001','市委专属网格','220382004001016',2),('5437064795832259080','220382004001','工商银行专属网格','220382004001018',2),('5437064795832259234','220382004001','国土自然资源局专属网格','220382004001020',2),('5437064795832259400','220382004001','辽北街防保所专属网格','220382004001021',2),('5437064795832259544','220382004001','清真寺专属网格','220382004001022',2),('5437064830191998480','220382005001','第二网格','220382005001008',2),('5437065379947814492','220382004001','西化社区专属网格','220382004001023',2),('5437065414307557805','4477019861485665485','双廉阳光新居3','220382002202005',2),('5437065414307557948','4477019861485665485','双廉阳光新居4','220382002202006',2),('5437065414307558184','220382004001','西化社区第十网格','220382004001011',2),('5437065414307558365','220382004001','西化社区第十二网格','220382004001012',2),('5437065414307558509','220382004001','西化社区第十三网格','220382004001013',2),('5437065414307558653','220382004001','西化社区第十四网格','220382004001014',2),('5437065414307558836','220382002001','新公安局办公楼','220382002001028',2),('5437065414307559137','220382004003','北宁社区第十二网格','220382004003012',2),('5437065414307559281','220382004001','第三中学专属网格','220382004001015',2),('5437065414307559441','220382004001','欧亚购物中心专属网格','220382004001019',2),('5871529703082205635','220302005006','第十一基础网格','220302005006015',2),('5871538018138896224','220303006000','长发社区','220303006008',1),('5871544443409965409','220303006006','网格八','220303006006008',2),('5871544443409965620','220303006006','网格九','220303006006009',2),('5871545989598194739','220303006007','基础网格十四','220303006007023',2),('5871545989598194906','220303006007','专属网格十（久能）','220303006007024',2),('5871545989598195182','220303006007','专属网格十一（亿达）','220303006007025',2),('6','4','1街道1社区1网格','111',2),('6167293520590835308','4476992304975389518','西庆丰网格2','220382106210002',2),('6167293520590835527','4476992304975389518','西庆丰网格3','220382106210003',2),('6167293520590835746','220382106200','耕耘村网格2','220382106200002',2),('6167293520590835968','220382106200','耕耘村网格3','220382106200003',2),('6167293520590836220','220382106208','义勇村网格2','220382106208004',2),('6167293520590836447','220382106209','庆丰村网格3','220382106209003',2),('6167293520590836674','220382106205','连珠村网格3','220382106205003',2),('6167293520590836896','220382106205','连珠村网格4','220382106205004',2),('6167293520590837118','220382106205','连珠村网格5','220382106205005',2),('6167293520590837340','220382106202','乐利村网格2','220382106202002',2),('6167293520590837567','220382106207','兴隆村网格3','220382106207003',2),('6167293520590837789','4476992304975389576','兴盛社区网格1','220382106211011',2),('6167293898547959059','4459060472917004425','天阳社区网格九组','220322003002009',2),('6167293898547959367','4459060472917004425','天阳社区网格十组','220322003002010',2),('6167293898547959699','4459060472917004425','天阳社区网格十一组','220322003002011',2),('6167293898547960874','4459060472917004395','奉化社区九组','220322003001009',2),('6167293898547961767','4459060472917004275','七组','220322001002007',2),('6167293967267431200','4455233794495130310','第六居民小组','220322001004006',2),('6167293967267432039','4455233794495130340','网格四','220322001001004',2),('6167293967267432958','4459060472917004335','兴旺七组','220322003004007',2),('6167293967267433244','4459060472917004335','兴旺八组','220322003004008',2),('6167293967267433570','4459060472917004335','兴旺九组','220322003004009',2),('6167293967267433949','4459060472917004335','兴旺十二组','220322003004012',2),('6167293967267434252','4459060472917004245','五网格','2203224060020105',2),('6167293967267434510','4459060472917004335','兴旺十三组','220322003004013',2),('6167293967267434792','4459060472917004335','兴旺十五组','220322003004015',2),('6167293967267435079','4459060472917004335','兴旺十六组','220322003004016',2),('6167293967267435565','220382003001','网络编号6','220382003001007',2),('6167293967267435861','220382003001','网络编号7','220382003001008',2),('6167293967267436178','220382003001','双辽卫校','220382003001009',2),('6167293967267436403','220382003001','双辽市第五中学','220382003001010',2),('6167293967267436651','220382003001','双辽职业中专二校区','220382003001011',2),('6167293967267437508','4455233794495130340','网格五','220322001001005',2),('6167296200650438185','220382106206','连丰村网格4','220382106206004',2),('6167296200650438407','220382106206','连丰村网格5','220382106206005',2),('6167296200650438639','220382106203','大有村网格4','220382106203004',2),('6167296200650438861','220382106209','庆丰村网格2','220382106209002',2),('6167296200650439083','220382106205','连珠村网格2','220382106205002',2),('6167296200650439310','220382106202','乐利村网格3','220382106202003',2),('6167296200650439537','4476992304975389576','兴盛社区网格2','220382106211012',2),('6167296578607558781','4459060472917004275','八组','220322001002008',2),('6167296578607559100','4455233794495130310','第四居民小组','220322001004004',2),('6167296578607559364','4455233794495130310','第五居民小组','220322001004005',2),('6167296578607559853','4459060472917004395','奉化社区十组','220322003001010',2),('6167296578607560826','4455233794495130310','第七居民小组','220322001004007',2),('6167296578607561108','4455233794495130310','第八居民小组','220322001004008',2),('6167296578607561513','4459060472917004335','兴旺十组','220322003004010',2),('6167296578607561795','4459060472917004335','兴旺十一组','220322003004011',2),('6167296578607562081','4459060472917004335','兴旺十四组','220322003004014',2),('6167296578607562445','4459060472917004245','六网格','2203224060020106',2),('6167296578607562730','4459060472917004245','七网格','2203224060020107',2),('6167296647327031619','220382003001','网络编号5','220382003001006',2),('6167296647327031944','4459060472917004245','八网格','2203224060020108',2),('6167296647327032229','4459060472917004245','九网格','2203224060020109',2),('6167296647327032531','220382003001','综合体项工程','220382003001012',2),('6233231335987802234','4459060472917004245','十一网格','2203224060020111',2),('6233231335987802520','4459060472917004245','十二网格','2203224060020112',2),('6233231335987802794','4459060472917004245','十三网格','2203224060020113',2),('6233231335987803143','4459060472917004245','十五网格','2203224060020115',2),('6233231335987803468','4459060472917004245','十六网格','2203224060020116',2),('6233231335987803950','4459060472917004245','二十网格','2203224060020120',2),('6233231335987804266','4459060472917004245','二十一网格','2203224060020121',2),('6233231335987805897','4455233794495130340','网格十三','220322001001013',2),('6233231335987806156','4455233794495130340','网格十四','220322001001014',2),('6233231679585187365','4455233794495130435','园艺村十二组','220322003200012',2),('6233232779096817387','220322113204','大门丁村十一组','220322113204011',2),('6233232779096817645','220322113204','大门丁村十二组','220322113204012',2),('6233232813456548084','220322113213','王家局子村十组','220322113213010',2),('6233233157053933795','220382003005','嘉宇馨苑网格三','220382003005017',2),('6233233157053934255','220382003005','老旧小区网格二','220382003005019',2),('6233233157053936740','4455233485257490087','基础网格十八（文府小区','220303004006031',2),('6233233431931831124','4459060472917004245','十网格','2203224060020110',2),('6233233431931831502','4459060472917004245','十四网格','2203224060020114',2),('6233233431931831913','4459060472917004245','十七网格','2203224060020117',2),('6233233431931832253','4459060472917004245','十八网格','2203224060020118',2),('6233233431931832546','4459060472917004245','十九网格','2203224060020119',2),('6233233431931832943','4459060472917004245','二十二网格','2203224060020122',2),('6233233431931833222','4459060472917004245','二十三网格','2203224060020123',2),('6233233431931834746','4455233794495130340','网格六','220322001001006',2),('6233233431931835005','4455233794495130340','网格七','220322001001007',2),('6233233431931835264','4455233794495130340','网格八','220322001001008',2),('6233233431931835523','4455233794495130340','网格九','220322001001009',2),('6233233431931835782','4455233794495130340','网格十','220322001001010',2),('6233233431931836041','4455233794495130340','网格十一','220322001001011',2),('6233233431931836300','4455233794495130340','网格十二','220322001001012',2),('6233233638090262297','4455233794495130435','园艺村十一组','220322003200011',2),('6233234806321372158','220382003005','嘉宇馨苑网格二','220382003005016',2),('6233234806321372546','220382003005','老旧小区网格一','220382003005018',2),('6233234875040841728','220382003005','人大小区网格','220382003005020',2),('6233234875040842183','220382003005','专属网格','220382003005021',2),('6233234875040844402','4455233485257490087','基础网格十九（文府小区2）','220303004006032',2),('6233235287357706613','220382006200','义顺村网格-2','220382006200002',2),('6233235630955095900','220322113202','绿海村七组','220322113202007',2),('6233237658179650012','220322113214','靠山李村十一组','220322113214011',2),('6475877678038947735','220302003007','基础网格13','220302003007015',2),('6482244709357532085','220382201000','柳兴社区','220382201215000',1),('6482244709357532308','6482244709357532085','基础网格1','220382201215001',2),('6482245052954892952','220382201207','通德村二屯','220382201207002',2),('6482245121674392890','220382201205','汤头村三四屯','220382201205002',2),('6482245224753610085','220382201213','后俗村五屯六屯','220382201213003',2),('6482247217618403712','220382201208','白牛村二屯三屯','220382201208002',2),('6482247217618403938','220382201209','农阁村三屯四屯','220382201209002',2),('6482247217618407370','220382201210','柳条村三屯四屯','220382201210002',2),('6482249863318279540','6482244709357532085','基础网格2','220382201215002',2),('6482250035116969655','220382201205','汤头村五屯','220382201205003',2),('6482254811120613242','5871538018138896224','基础网格五','220303006008005',2),('6482254811120613487','5871538018138896224','基础网格六','220303006008006',2),('6482254914199825124','5871538018138896224','专属网格一（物业1商品）','220303006008010',2),('6482256941424379333','220382201212','大白村四屯','220382201212003',2),('6482258350173657217','5871538018138896224','基础网格四','220303006008004',2),('6482258384533395870','5871538018138896224','基础网格八','220303006008008',2),('6482258384533396114','5871538018138896224','基础网格九','220303006008009',2),('6482258384533396383','5871538018138896224','专属网格二（物业2回迁）','220303006008011',2),('6482267421144578356','220382201212','大白村三屯','220382201212002',2),('6482270066844428455','5871538018138896224','基础网格一','220303006008001',2),('6482270066844433099','5871538018138896224','基础网格二','220303006008002',2),('6482270066844434073','5871538018138896224','基础网格三','220303006008003',2),('6482270135563907818','5871538018138896224','基础网格七','220303006008007',2),('6482270341722340727','5871538018138896224','专属网格三（市纪律检查、监查委员会）','220303006008012',2),('6485177931502537178','5871538018138896224','专属网格四（东樾府小区门市房）','220303006008013',2),('6485255687590496850','220382201211','小白村3','220382201211002',2),('6485255687590497123','220382201211','小白村2','220382201211003',2),('6489523579412997745','4455233485257490087','基础网格二十(雍熙府小区)','220303004006033',2),('6578693594469409901','220303002003','专属网格5','220303002003014',2),('6578697477119855460','220382101201','山玻璃村村','220382101201002',2),('6578697477119855925','220382101201','翔泰养殖场','220382101201004',2),('6578697511479596274','220382201206','红石村','220382201206003',2),('6578697511479596627','220382201206','柳条乡邮政局','220382201206004',2),('6578697511479596886','220382201206','柳条乡中心小学校','220382201206005',2),('6578711427173649597','220303002003','专属网格4','220303002003013',2),('6578713179520310036','220382101201','山玻璃村小学校','220382101201003',2),('6586799022390770862','220302004001','普光学校专属网格','220302004001011',2),('6589162456994416698','220302003005','专属网格18（华生龙庭物业）','220302003005027',2),('6589162456994420119','220302003005','华生龙庭12号楼','220302003005028',2),('6589162525713891911','220302003005','专属网格（华生龙廷18号楼）','220302003005030',2),('6589162525713892793','220302003005','华生龙庭20号楼','220302003005031',2),('6589162525713893357','220302003005','专属网格（华生龙庭21号楼）','220302003005032',2),('6589172764915927470','220302004001','北河移动专属网格','220302004001012',2),('6589172764915927812','220302004001','国土资源局','220302004001013',2),('6589172764915928161','220302004001','原四平市公安局铁西分局','220302004001014',2),('6589172764915928607','220302004001','北河建校','220302004001015',2),('6589172764915929084','220302004001','东兴换热器','220302004001016',2),('6589172764915929588','220302004001','佳禾幼儿园','220302004001017',2),('6589172764915929931','220302004001','七道街加油站','220302004001018',2),('6589172764915930373','220302004001','原金石坊','220302004001019',2),('6589173074153571878','220302004001','原北沟派出所','220302004001020',2),('6604400588643773105','4477022885142641010','老场部社区二分校','220382101004003',2),('6604400588643774025','220382101210','川头村村','220382101210004',2),('6618423107109418817','4562958446227426902','双山机械林场场部','220382101231002',2),('6618423107109419345','220382101208','祥云村','220382101208002',2),('6618423278908112754','4477022885142640977','腰坨社区居民委员会','220382101003006',2),('6618424962535291847','4477022885142641010','老场部社区驾校','220382101004005',2),('6618427573875411346','4477022885142641010','老场部社区居民委员会','220382101004004',2),('6618427573875411794','220382101210','川头村小学','220382101210003',2),('6618427573875415212','220382101213','绿化村村','220382101213005',2),('6618428364149395432','4477022885142640940','博爱社区居民委员会','220382101008002',2),('6618428364149398390','220382101219','班达村 > 班达村二屯','220382101219006',2),('6618432487318007987','220382101216','多甲村小学校','220382101216002',2),('6618432487318008732','220382101214','乔木村村部','220382101214002',2),('6618432521677742965','220382101213','绿化村小学校','220382101213004',2),('6618433208872515127','4477022885142640940','双辽农场博爱分场','220382101008003',2),('6705590293015599864','220322202200','关家屯鸭场','220322202200009',2),('7','5','2街道1社区1网格','211',2),('7124028203383964173','220303006003','网格十二','220303006003014',2),('7124028409542397841','220303003005','新建网格1','220303003005018',2),('7124028409542398327','220303003005','新建网格2','220303003005019',2),('7124028409542398813','220303007001','基础网格八','220303007001008',2),('7124028409542399301','220303007001','基础网格十二','220303007001012',2),('7124028409542399794','220303007001','专属网格二','220303007001014',2),('7124028409542400282','220303003005','新建网格5','220303003005022',2),('7124028409542400768','220303007001','专属网格三','220303007001015',2),('7124028409542401256','220303007001','专属网格四','220303007001016',2),('7124028409542401744','220303003005','新建网格6','220303003005023',2),('7124028443902132406','220303007001','专属网格五','220303007001017',2),('7124028443902133382','220303007001','基础网格十三','220303007001020',2),('7124028443902133870','220303001002','基础网格十六','220303001002029',2),('7124028443902134358','220303001002','基础网格十七','220303001002030',2),('7124028443902135357','220303001000','龙腾社区','220303001007000',1),('7124028443902138476','220303001004','一中华城1.2.3.4.7.8.9','220303001004032',2),('7124028443902138969','220303001004','一中华城5.6.','220303001004033',2),('7124028443902139492','220303001004','香槟美域','220303001004034',2),('7124028443902140024','220303001004','专属网格-东检院','220303001004035',2),('7124028478261870775','4455233794495130280','幸福社区','220322001003',1),('7124028478261871260','7124028478261870775','网格三','220322001003003',2),('7124028478261871745','7124028478261870775','网格八','220322001003008',2),('7124028478261872230','7124028478261870775','网格十二','220322001003012',2),('7124028478261872826','7124028443902135357','龙腾花园8.1','220303001007006',2),('7124028478261873324','7124028443902135357','龙腾花园23.24','220303001007007',2),('7124028478261873848','7124028443902135357','专属网格-红星美凯龙','220303001007008',2),('7124028478261874333','7124028443902135357','专属网格-红星酒店（未启用）','220303001007009',2),('7124028478261875034','220303001003','华亿c区1号楼','220303001003011',2),('7124028478261875522','220303001003','华亿c区2号楼','220303001003012',2),('7124028478261876010','220303001003','华亿c区5号楼','220303001003015',2),('7124028478261876498','220303001003','华亿c区6号楼','220303001003016',2),('7124028478261876986','220303001003','华亿c区9号楼','220303001003019',2),('7124028478261877474','220303001003','华亿c区11号楼','220303001003021',2),('7124028478261877962','220303001003','安装楼','220303001003022',2),('7124028478261878450','220303001003','专属网格-晨阳.华亿物业','220303001003023',2),('7124028546981347601','220303001003','专属网格-城东乡政府','220303001003024',2),('7124028546981348089','220303001003','专属网格-幼儿园','220303001003026',2),('7124028546981348577','220303001003','专属网格-洗浴','220303001003027',2),('7124028546981349065','220303001003','专属网格-小区内商店1','220303001003028',2),('7124028546981351059','220322103002','兴隆社区第五网格','220322103002005',2),('7124032773229176508','5871538018138896224','基础网格十','220303006008014',2),('7124032945027873605','220303007001','基础网格六','220303007001006',2),('7124032945027874098','220303007001','基础网格七','220303007001007',2),('7124032945027874586','220303007001','基础网格九','220303007001009',2),('7124032979387605250','220303003005','新建网格3','220303003005020',2),('7124032979387605736','220303007001','基础网格十','220303007001010',2),('7124032979387606250','220303007001','基础网格十一','220303007001011',2),('7124032979387606738','220303003005','新建网格4','220303003005021',2),('7124032979387607224','220303007001','专属网格一','220303007001013',2),('7124032979387607716','220303003005','新建网格7','220303003005024',2),('7124032979387608202','220303007001','专属网格六','220303007001018',2),('7124032979387608690','220303007001','专属网格七','220303007001019',2),('7124032979387609178','220303007001','基础网格十四','220303007001021',2),('7124033013747343919','220303001004','平安委165.57.53.49','220303001004027',2),('7124033013747344407','220303001004','平安委45.43.南一纬小学综合楼','220303001004028',2),('7124033013747344895','220303001004','东检院小区','220303001004029',2),('7124033013747345383','220303001004','清华苑1.2.3.4.7.8.9','220303001004030',2),('7124033013747345871','220303001004','清华苑5.6.10.11.12','220303001004031',2),('7124033013747346391','220303001004','专属网格-四马路卫生服务中心','220303001004036',2),('7124033013747346879','220303001004','专属网格-南一纬小学','220303001004037',2),('7124033013747347458','7124028478261870775','网格一','220322001003001',2),('7124033013747347943','7124028478261870775','网格二','220322001003002',2),('7124033013747348428','7124028478261870775','网格四','220322001003004',2),('7124033013747348913','7124028478261870775','网格五','220322001003005',2),('7124033013747349398','7124028478261870775','网格六','220322001003006',2),('7124033013747349883','7124028478261870775','网格七','220322001003007',2),('7124033013747350368','7124028478261870775','网格九','220322001003009',2),('7124033013747350853','7124028478261870775','网格十','220322001003010',2),('7124033013747351338','7124028478261870775','网格十一','220322001003011',2),('7124033048107082110','7124028443902135357','龙腾花园2.3.5.6','220303001007001',2),('7124033048107082595','7124028443902135357','龙腾花园7.12.13.15.16','220303001007002',2),('7124033048107083080','7124028443902135357','龙腾花园19.20.21','220303001007003',2),('7124033048107083565','7124028443902135357','龙腾花园22.17.18','220303001007004',2),('7124033048107084050','7124028443902135357','龙腾花园11.10.9','220303001007005',2),('7124033048107084574','7124028443902135357','专属网格-幼儿园、物业','220303001007010',2),('7124033048107085059','7124028443902135357','专属网格-龙腾农贸市场（未启用）','220303001007011',2),('7124033048107085570','7124028443902135357','专属网格-城市道路','220303001007012',2),('7124033048107086349','7124028443902135357','专属网格-凤凰城在建小区','220303001007013',2),('7124033048107086834','220303001003','华亿c区3号楼','220303001003013',2),('7124033048107087322','220303001003','华亿c区4号楼','220303001003014',2),('7124033048107087810','220303001003','华亿c区7号楼','220303001003017',2),('7124033048107088298','220303001003','华亿c区8号楼','220303001003018',2),('7124033048107088786','220303001003','华亿c区10号楼','220303001003020',2),('7124033048107089274','220303001003','专属网格-城东乡派出所','220303001003025',2),('7124033048107089843','220303001003','专属网格-小区内商店2','220303001003029',2),('7124033116826558877','220303001003','专属网格-华亿商圈','220303001003030',2),('7124033116826561065','220322103002','兴隆社区第六网格','220322103002006',2),('7310092611917922984','220303001003','待开发住宅区','220303001003031',2),('7310092611917926646','220302001001','基础网格1','220302001001014',2),('7310092611917927107','220302001001','基础网格5','220302001001018',2),('7310092611917927573','220302001004','第四基础网格益民小区2/3/6','220302001004012',2),('7310092611917928039','220302003001','基础网格三','220302003001009',2),('7310092611917928503','220302005005','基础网格13','220302005005017',2),('7310092611917928970','220302003001','基础网格五','220302003001011',2),('7310092611917929434','220302005004','基础网格5','220302005004023',2),('7310092611917929901','220302005004','基础网格6','220302005004024',2),('7310092611917930368','220302005005','基础网格14','220302005005018',2),('7310092646277661011','220302005005','基础网格15','220302005005019',2),('7310092646277661478','220302005005','基础网格16','220302005005020',2),('7310092646277661945','220302005005','基础网格17','220302005005021',2),('7310092646277662412','220302005005','基础网格20','220302005005024',2),('7310092646277662879','220302005005','基础网格21','220302005005025',2),('7310092646277663346','220302005005','基础网格22','220302005005026',2),('7310092646277663813','220302005005','基础网格23','220302005005027',2),('7310092646277664280','220302005005','基础网格25','220302005005029',2),('7310092646277664747','220302005005','基础网格27','220302005005031',2),('7310092646277665214','220302005005','基础网格29','220302005005033',2),('7310092646277665681','220302005005','基础网格31','220302005005034',2),('7310093573990604948','220322103004','文明社区第五网格','220322103004005',2),('7310093573990607358','220302001001','基础网格2','220302001001015',2),('7310093573990607819','220302001001','基础网格3','220302001001016',2),('7310093573990608280','220302001001','基础网格4','220302001001017',2),('7310093573990608741','220302001001','基础网格6','220302001001019',2),('7310093573990609202','220302001004','第七网格蓝天华府10/13','220302001004013',2),('7310093573990609668','220302003001','基础网格二','220302003001008',2),('7310093573990610132','220302003001','基础网格四','220302003001010',2),('7310093573990610596','220302005004','基础网格3','220302005004021',2),('7310093573990611063','220302005004','基础网格4','220302005004022',2),('7310093573990611530','220302005004','基础网格7','220302005004025',2),('7310093573990611997','220302005005','基础网格18','220302005005022',2),('7310093573990612464','220302005005','基础网格19','220302005005023',2),('7310093573990612931','220302005005','基础网格24','220302005005028',2),('7310093608350343574','220302005005','基础网格26','220302005005030',2),('7310093608350344041','220302005005','基础网格28','220302005005032',2),('7310093608350344508','220302005005','基础网格30','220302005005035',2),('7322879691630829669','220302003005','基础网格3（九州一期）','220302003005033',2),('7322879691630830846','220302003005','基础网格14（华生龙廷）','220302003005036',2),('7322879691630831505','7322919514567616550','基础网格1 （美好景苑F2、F3、F4）','22030300700500001',2),('7322879691630831506','7322919514567616550','基础网格2 （建兴1、2,国测6、9）','22030300700500002',2),('7322879691630831507','7322919514567616550','基础网格3 （国测1、2、3、5、11）','22030300700500003',2),('7322879691630831508','7322919514567616550','基础网格4 （国测4、7、8、10、老5）','22030300700500004',2),('7322879691630831509','7322919514567616550','基础网格5 （平,海银7、8、9、10）','22030300700500005',2),('7322879691630831510','7322919514567616550','基础网格6 （海银11、12、13、14）','22030300700500006',2),('7322879691630831511','7322919514567616550','基础网格7 （富豪1、2、馨凯、三职南北）','22030300700500007',2),('7322879691630831512','7322919514567616550','基础网格8 （银座2、3、4、6、7、8）','22030300700500008',2),('7322879691630831513','7322919514567616550','基础网格9 （银座1、9、11、12、13）','22030300700500009',2),('7322879691630831514','7322919514567616550','基础网格10 （海银9号1、2、3）','22030300700500010',2),('7322879691630831515','7322919514567616550','基础网格11 （海银9号4、5、6）','22030300700500011',2),('7322879691630831516','7322919514567616550','基础网格12 （海银9号7、8、11、12、13、14、15、16、17、18）','22030300700500012',2),('7322879691630831517','7322919514567616550','基础网格13 （海银9号9、10、19、20、21、22、23、24、30）','22030300700500013',2),('7322879691630831518','7322919514567616550','基础网格14 （海银9号25、26、27、28、29、32、33、34、35）','22030300700500014',2),('7322879691630831519','7322919514567616550','基础网格15 （海银9号31、36、37、38、39）','22030300700500015',2),('7322879691630831520','7322919514567616550','基础网格十六','22030300700500016',2),('7322879691630831521','7322919514567616550','基础网格十七','22030300700500017',2),('7322879691630831522','7322919514567616550','专属网格1 （平东派出所）','22030300700500021',2),('7322879691630831523','7322919514567616550','专属网格2 （广和市场）','22030300700500022',2),('7322879691630831524','7322919514567616550','专属网格3 （吉林省基础测绘院）','22030300700500023',2),('7322879691630831525','7322919514567616550','专属网格4 （平东街国测社区）','22030300700500024',2),('7322879691630831526','7322919514567616550','专属网格5 （海银9号售楼处）','22030300700500025',2),('7322879691630831527','7322919514567616550','专属网格6 （庆丰委动迁区）','22030300700500026',2),('7322879691630831528','7322919514567616550','专属网格7 （丰蕾幼儿园）','22030300700500027',2),('7322879691630831529','7322919514567616550','专属网格8 （四平职教中心）','22030300700500028',2),('7322879691630831530','7322919514567616550','专属网格9 （宏鑫毛发厂）','22030300700500029',2),('7322879691630831531','7322919514567616550','专属网格10 （金粮商贸）','22030300700500030',2),('7322879691630831532','7322919514567616550','专属网格11（宏大液压件）','22030300700500031',2),('7322879691630831533','7322919514567616550','专属网格12 （盛达铝塑门窗厂）','22030300700500032',2),('7322879691630831534','7322919514567616550','专属网格13施工中路段','22030300700500033',2),('7322879725990575332','7322919514567617033','基础网格1 兴旺小区1#、2#、3#','22030300700600001',2),('7322879725990575333','7322919514567617033','基础网格2 八马路小区1#、2#','22030300700600002',2),('7322879725990575334','7322919514567617033','基础网格3 中华新城1#、2#','22030300700600003',2),('7322879725990575335','7322919514567617033','基础网格4 中华新城3#、4#、5#','22030300700600004',2),('7322879725990575336','7322919514567617033','基础网格5 中华新城6#、7#','22030300700600005',2),('7322879725990575337','7322919514567617033','基础网格6 中华新城15#、16#','22030300700600006',2),('7322879725990575338','7322919514567617033','基础网格7 中华新城17#','22030300700600007',2),('7322879725990575339','7322919514567617033','基础网格8 中华新城18#、20#','22030300700600008',2),('7322879725990575340','7322919514567617033','基础网格9 中华新城19#、21#','22030300700600009',2),('7322879725990575341','7322919514567617033','基础网格10 中华新城22#','22030300700600010',2),('7322879725990575342','7322919514567617033','基础网格11 中华新城23#、25#','22030300700600011',2),('7322879725990575343','7322919514567617033','基础网格12 中华新城24#','22030300700600012',2),('7322879725990575344','7322919514567617033','基础网格13 中华新城26#','22030300700600013',2),('7322879725990575345','7322919514567617033','基础网格14 中华新城27#、28#','22030300700600014',2),('7322879725990575346','7322919514567617033','专属网格-八马路小学','22030300700600021',2),('7322879725990575347','7322919514567617033','专属网格-铁东区法院','22030300700600022',2),('7322879725990575348','7322919514567617033','专属网格-公安铁东分局','22030300700600023',2),('7322879725990575349','7322919514567617033','专属网格宏大社区办公楼','22030300700600024',2),('7322879725990575350','7322919514567617033','专属网格铁东广场','22030300700600025',2),('7322879760350314154','220302005006','基础网格1','220302005006016',2),('7322879794710044802','220302005006','基础网格2','220302005006017',2),('7322879794710045278','220302005006','基础网格4','220302005006019',2),('7322879794710045745','220302002006','基础网格一','220302002006024',2),('7322879794710046214','220302002006','基础网格六','220302002006029',2),('7322879794710046688','220302004004','基础网格16','220302004004020',2),('7322879794710047148','220302004004','基础网格10','220302004004021',2),('7322879794710047608','220302004004','基础网格11','220302004004023',2),('7322879794710048068','220302004004','基础网格18','220302004004024',2),('7322879794710048553','220302002003','基础网格15','220302002003031',2),('7322879794710049022','220302002003','基础网格17','220302002003033',2),('7322879794710049491','220302004002','基础网格3','220302004002015',2),('7322879794710049958','220302004002','基础网格11','220302004002023',2),('7322879794710050418','220302004002','基础网格12','220302004002024',2),('7322879794710050878','220302004002','基础网格13','220302004002025',2),('7322879794710051338','220302004002','基础网格15','220302004002027',2),('7322879794710051798','220302004002','基础网格17','220302004002029',2),('7322879794710052260','220302004002','基础网格22','220302004002034',2),('7322879794710052720','220302004002','基础网格24','220302004002036',2),('7322879829069783356','220302004002','专属网格1','220302004002038',2),('7322879863429525163','4455233622696436937','福安社区12委13网格','220323001003013',2),('7322879863429525642','4455233622696436937','福安社区12委15网格','220323001003015',2),('7322880378825599030','4455233622696436798','福宁2委4网格','220323001001039',2),('7322919514567614690','220302003005','基础网格8（九州二期）','220302003005034',2),('7322919514567615640','220302003005','基础网格12（警南小区）','220302003005035',2),('7322919514567616550','220303007000','国测社区','220303007005000',1),('7322919514567617033','220303007000','宏大社区','220303007006000',1),('7322919514567617522','220302005006','基础网格3','220302005006018',2),('7322919514567617994','220302002006','基础网格二','220302002006025',2),('7322919514567618463','220302002006','基础网格三','220302002006026',2),('7322919514567618932','220302002006','基础网格四','220302002006027',2),('7322919514567619406','220302002006','基础网格五','220302002006028',2),('7322919514567619875','220302004004','基础网格3','220302004004016',2),('7322919514567620335','220302004004','基础网格15','220302004004017',2),('7322919514567620795','220302004004','基础网格6','220302004004018',2),('7322919514567621255','220302004004','基础网格7','220302004004019',2),('7322919514567621718','220302004004','基础网格17','220302004004022',2),('7322919514567622178','220302004004','基础网格19','220302004004025',2),('7322919514567622638','220302004002','基础网格1','220302004002013',2),('7322919548927353274','220302002003','基础网格12','220302002003028',2),('7322919548927353743','220302002003','基础网格13','220302002003029',2),('7322919548927354681','220302004002','基础网格2','220302004002014',2),('7322919548927355141','220302002003','基础网格14','220302002003030',2),('7322919548927355610','220302002003','基础网格16','220302002003032',2),('7322919548927356079','220302002003','基础网格18','220302002003034',2),('7322919548927356548','220302004002','基础网格4','220302004002016',2),('7322919548927357008','220302004002','基础网格5','220302004002017',2),('7322919548927357468','220302004002','基础网格6','220302004002018',2),('7322919548927357928','220302004002','基础网格7','220302004002019',2),('7322919548927358388','220302004002','基础网格8','220302004002020',2),('7322919548927358848','220302004002','基础网格9','220302004002021',2),('7322919548927359308','220302004002','基础网格10','220302004002022',2),('7322919548927359771','220302004002','基础网格14','220302004002026',2),('7322919548927360231','220302004002','基础网格16','220302004002028',2),('7322919548927360691','220302004002','基础网格18','220302004002030',2),('7322919583287091327','220302004002','基础网格19','220302004002031',2),('7322919583287091787','220302004002','基础网格20','220302004002032',2),('7322919583287092247','220302004002','基础网格21','220302004002033',2),('7322919583287092707','220302004002','基础网格23','220302004002035',2),('7322919583287093173','220302004002','基础网格25','220302004002037',2),('7322919583287096552','4455233622696436937','福安社区12委11网格','220323001003011',2),('7322919583287096994','4455233622696436937','福安社区12委12网格','220323001003012',2),('7322919583287097435','4455233622696436937','福安社区12委14网格','220323001003014',2),('7322920167402648102','4455233622696436798','福宁3委4网格','220323001001037',2),('7322920167402648531','4455233622696436798','福宁4委4网格','220323001001038',2),('7322920167402648982','4455233622696436798','福宁1委4网格','220323001001040',2),('7322920167402649437','4455233622696436798','福宁5委4网格','220323001001041',2),('8','1','1街道2社区','12',1),('9','8','1街道2社区1网格','121',2);
/*!40000 ALTER TABLE `wx_address` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wx_estate`
--

DROP TABLE IF EXISTS `wx_estate`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wx_estate` (
  `estate_id` varchar(64) NOT NULL COMMENT '小区ID',
  `name` varchar(200) DEFAULT NULL COMMENT '小区名称',
  `address_id` varchar(64) DEFAULT NULL COMMENT '所属网格ID',
  PRIMARY KEY (`estate_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wx_estate`
--

LOCK TABLES `wx_estate` WRITE;
/*!40000 ALTER TABLE `wx_estate` DISABLE KEYS */;
/*!40000 ALTER TABLE `wx_estate` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wx_gridman`
--

DROP TABLE IF EXISTS `wx_gridman`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wx_gridman` (
  `id` varchar(64) NOT NULL COMMENT '网格员ID',
  `name` varchar(200) DEFAULT NULL COMMENT '网格员姓名',
  `phone` varchar(200) DEFAULT NULL COMMENT '网格员电话',
  `photo` varchar(500) DEFAULT NULL COMMENT '网格员照片',
  `code` varchar(500) DEFAULT NULL COMMENT '网格员编码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wx_gridman`
--

LOCK TABLES `wx_gridman` WRITE;
/*!40000 ALTER TABLE `wx_gridman` DISABLE KEYS */;
INSERT INTO `wx_gridman` VALUES ('4500585110088484698','朝阳社区金磊','15834449009',NULL,'00001'),('4613298589673287906','兰海生','15844473457',NULL,'yt-ycz-yczcwh1-wgy'),('4613298589673287936','王明军','16643409883',NULL,'yt-ycz-yczcwh2-wgy'),('4613298589673287962','杨海山','13844490659',NULL,'yt-ycz-yczcwh3-wgy'),('4613298589673287988','韩志学','18243472889',NULL,'yt-ycz-yczcwh4-wgy'),('4613298589673288014','赵志中','13630959514',NULL,'yt-ycz-yczcwh5-wgy'),('4613298589673288040','赵龙启','15844784666',NULL,'yt-ycz-yczcwh6-wgy'),('4613298589673288066','马淑霞','15943489678',NULL,'yt-ycz-htacwh1-wgy'),('4613298589673288096','高海','15886056021',NULL,'yt-ycz-htacwh2-wgy'),('4613298589673288122','高东发','13944493746',NULL,'yt-ycz-htacwh3-wgy'),('4613298589673288148','韩才','13654347079',NULL,'yt-ycz-htacwh4-wgy'),('4613298589673288174','高中','13943476705',NULL,'yt-ycz-htacwh5-wgy'),('4613298589673288200','张忠国','15886064654',NULL,'yt-ycz-htacwh6-wgy'),('4613298589673288226','吴迪','13843484349',NULL,'yt-ycz-zmcwh1-wgy'),('4613298589673288258','于贤福','13843480356',NULL,'yt-ycz-zmcwh2-wgy'),('4613298589673288284','张启','13844491573',NULL,'yt-ycz-zmcwh3-wgy'),('4613298589673288310','苑志新','15044479493',NULL,'yt-ycz-zmcwh4-wgy'),('4613298589673288336','李青华','13804474087',NULL,'yt-ycz-zmcwh5-wgy'),('4613298589673288362','崔志友','18443422766',NULL,'yt-ycz-zmcwh6-wgy'),('4613298589673288388','张纪波','13514343707',NULL,'yt-ycz-zmcwh7-wgy'),('4613298589673288414','范富','13894490677',NULL,'yt-ycz-zmcwh8-wgy'),('4613298589673288440','潘仁','13504748337',NULL,'yt-ycz-zmcwh9-wgy'),('4613298589673288466','张艳军','15144465188',NULL,'yt-ycz-zmcwh10-wgy'),('4613298589673288492','袁海臣','13364552800',NULL,'yt-ycz-sjcwh1-wgy'),('4613298589673288526','赵贵','15943487390',NULL,'yt-ycz-sjcwh2-wgy'),('4613298589673288552','韩玉春','13630955972',NULL,'yt-ycz-sjcwh3-wgy'),('4613298589673288578','刘玉','15004448594',NULL,'yt-ycz-sjcwh4-wgy'),('4613298589673288604','于长庆','13844499001',NULL,'yt-ycz-sjcwh5-wgy'),('4613298589673288630','富国义','13894491780',NULL,'yt-ycz-sjcwh6-wgy'),('4613298589673288656','张志','15004427538',NULL,'yt-ycz-sjcwh7-wgy'),('4613298589673288682','李玉霞','13694408614',NULL,'yt-ycz-sjcwh8-wgy'),('4613298589673288708','王金宝','15981696654',NULL,'yt-ycz-sjcwh9-wgy'),('4613298589673288734','朱玉新','13944496597',NULL,'yt-ycz-sjcwh10-wgy'),('4613298589673288760','李福祥','15886057721',NULL,'yt-ycz-sjcwh11-wgy'),('4613298589673288786','王玉范','13844493481',NULL,'yt-ycz-xjzcwh1-wgy'),('4613298589673288817','杨术坤','18844479688',NULL,'yt-ycz-xjzcwh2-wgy'),('4613298589673288843','赵雪峰','15044462879',NULL,'yt-ycz-xjzcwh3-wgy'),('4613298589673288869','薛兴志','15590204401',NULL,'yt-ycz-xjzcwh4-wgy'),('4613298589673288895','杨贵','13843481500',NULL,'yt-ycz-xjzcwh5-wgy'),('4613298589673288921','王玉范','13844493481',NULL,'yt-ycz-xjzcwh6-wgy'),('4613298589673288947','刘才','17519373117',NULL,'yt-ycz-xjzcwh7-wgy'),('4613298589673288973','姚传友','15714349466',NULL,'yt-ycz-pancwh1-wgy'),('4613298589673289006','姜立国','15944473599',NULL,'yt-ycz-pancwh2-wgy'),('4613298589673289032','郑岩涛','13694404173',NULL,'yt-ycz-pancwh3-wgy'),('4613298589673289058','赵玉宝','13630743366',NULL,'yt-ycz-pancwh4-wgy'),('4613298589673289084','邹艳侠','13630747157',NULL,'yt-ycz-pancwh5-wgy'),('4613298589673289110','陈有新','15590270708',NULL,'yt-ycz-pancwh6-wgy'),('4613298589673289136','高春林','15943480573',NULL,'yt-ycz-pancwh7-wgy'),('4613298589673289162','李连忱','13894413524',NULL,'yt-ycz-pancwh8-wgy'),('4613298589673289188','高春林','15943480573',NULL,'yt-ycz-pancwh9-wgy'),('4613298589673289214','李连忱','13894413524',NULL,'yt-ycz-pancwh10-wgy'),('4613298589673289240','闫记宝','15981693945',NULL,'yt-ycz-tpcwh1-wgy'),('4613298589673289272','白玉堂','18843464495',NULL,'yt-ycz-tpcwh2-wgy'),('4613298589673289298','吴国庆','13630749030',NULL,'yt-ycz-tpcwh3-wgy'),('4613298589673289324','张文明','15500127089',NULL,'yt-ycz-tpcwh4-wgy'),('4613298589673289350','焦喜海','13843484367',NULL,'yt-ycz-tpcwh5-wgy'),('4613298589673289376','刘俊','18643488567',NULL,'yt-ycz-tpcwh6-wgy'),('4613298589673289402','岳喜金','15886058945',NULL,'yt-ycz-tpcwh7-wgy'),('4613298589673289428','周长顺','15204463455',NULL,'yt-ycz-tpcwh8-wgy'),('4613298589673289454','马明祥','15774404593',NULL,'yt-ycz-tpcwh9-wgy'),('4613298589673289480','马德富','13804474080',NULL,'yt-ycz-hhecwh1-wgy'),('4613298589673289514','赵金龙','15943498357',NULL,'yt-ycz-hhecwh2-wgy'),('4613298589673289540','赵海波','13694403498',NULL,'yt-ycz-hhecwh3-wgy'),('4613298589673289566','陈生','13843721938',NULL,'yt-ycz-hhecwh4-wgy'),('4613298589673289592','祁术芹','15944473778',NULL,'yt-ycz-hhecwh5-wgy'),('4613298589673289618','赵吉东','13894494110',NULL,'yt-ycz-hhecwh6-wgy'),('4613298589673289644','代长春','17088094566',NULL,'yt-ycz-hhecwh7-wgy'),('4613298589673289670','丁启昌','13514370792',NULL,'yt-ycz-hhecwh8-wgy'),('4613298589673289696','王好国','13504358296',NULL,'yt-ycz-hhecwh9-wgy'),('4613298589673289722','王立平','13694036294',NULL,'yt-ycz-hhecwh10-wgy'),('4613298589673289748','姜青章','18744462344',NULL,'yt-ycz-hhecwh11-wgy'),('4613298589673289774','陶玉林','15774401166',NULL,'yt-ycz-hhecwh12-wgy'),('4613298589673289800','刘通','15943485585',NULL,'yt-ycz-xqcwh1-wgy'),('4613298589673289829','万国江','15943488737',NULL,'yt-ycz-xqcwh2-wgy'),('4613298589673289855','王德林','15943488008',NULL,'yt-ycz-xqcwh3-wgy'),('4613298589673289881','高鸿霞','18844478886',NULL,'yt-ycz-xqcwh4-wgy'),('4613298589673289907','周文','15943497866',NULL,'yt-ycz-xqcwh5-wgy'),('4613298589673289933','徐立忠','13943499936',NULL,'yt-ycz-xqcwh6-wgy'),('4613298589673289959','邵德光','15844463165',NULL,'yt-ycz-xqcwh7-wgy'),('4613298589673289985','曹士中','13843484939',NULL,'yt-ycz-xqcwh8-wgy'),('4613298589673290011','刘凤山','15844468868',NULL,'yt-ycz-xqcwh9-wgy'),('4613298589673290037','李会军','13694349622',NULL,'yt-ycz-xqcwh10-wgy'),('4613298589673290063','徐兆海','13630958807',NULL,'yt-ycz-xqcwh11-wgy'),('4613298589673290090','商俊霞','15044469156',NULL,'yt-ycz-xqcwh12-wgy'),('4613298589673290116','王秋影','15981570077',NULL,'yt-ycz-xhcwh1-wgy'),('4613298589673290147','关志学','13630953833',NULL,'yt-ycz-xhcwh2-wgy'),('4613298589673290173','齐彦丰','13844495171',NULL,'yt-ycz-xhcwh3-wgy'),('4613298589673290199','常广荣','15004446163',NULL,'yt-ycz-xhcwh4-wgy'),('4613298589673290225','赵桂茹','13894495561',NULL,'yt-ycz-xhcwh5-wgy'),('4613298589673290251','郭景维','15886057359',NULL,'yt-ycz-xhcwh6-wgy'),('4613298589673290277','刘波','13894490559',NULL,'yt-ycz-xhcwh7-wgy'),('4613298589673290303','何继武','15004441298',NULL,'yt-ycz-xjcwh1-wgy'),('4613298589673290336','孙化岐','15886055301',NULL,'yt-ycz-xjcwh2-wgy'),('4613298589673290362','刘治国','15204462292',NULL,'yt-ycz-xjcwh3-wgy'),('4613298589673290388','陶子臣','15943492335',NULL,'yt-ycz-xjcwh4-wgy'),('4613298589673290414','孟庆云','15774471369',NULL,'yt-ycz-xjcwh5-wgy'),('4613298589673290440','任喜江','13689746096',NULL,'yt-ycz-xjcwh6-wgy'),('4613298589673290466','牟仁财','15844467379',NULL,'yt-ycz-xjcwh7-wgy'),('4613298589673290492','何继武','15004441298',NULL,'yt-ycz-xjcwh8-wgy'),('4613298589673290518','张国军','18243467914',NULL,'yt-ycz-xjcwh9-wgy'),('4613298589673290544','张东波','15844462188',NULL,'yt-ycz-daccwh1-wgy'),('4613298589673290574','张庆国','15886065175',NULL,'yt-ycz-daccwh2-wgy'),('4613298589673290600','李瑞新','15665915995',NULL,'yt-ycz-daccwh3-wgy'),('4613298589673290626','郎有林','15886065160',NULL,'yt-ycz-daccwh4-wgy'),('4613298589673290652','关忠臣','15844462188',NULL,'yt-ycz-daccwh5-wgy'),('4613298589673290678','张立波','13943499934',NULL,'yt-ycz-daccwh6-wgy'),('4613298589673290704','李大龙','17063784555',NULL,'yt-ycz-hlcwh1-wgy'),('4613298589673290734','何臣','15526594151',NULL,'yt-ycz-hlcwh2-wgy'),('4613298589673290760','吴立华','15144642986',NULL,'yt-ycz-hlcwh3-wgy'),('4613298589673290786','黄人才','15944475199',NULL,'yt-ycz-hlcwh4-wgy'),('4613298589673290812','李艳明','13630953173',NULL,'yt-ycz-hlcwh5-wgy'),('4613298589673290838','徐守杰','13614348628',NULL,'yt-ycz-hlcwh6-wgy'),('4613298589673290864','戴军','13689746291',NULL,'yt-ycz-hlcwh7-wgy'),('4613298589673290890','李国','13894491888',NULL,'yt-ycz-sgucwh1-wgy'),('4613298589673290918','杨彦龙','15981695839',NULL,'yt-ycz-sgucwh2-wgy'),('4613298589673290944','周相武','15943495659',NULL,'yt-ycz-sgucwh3-wgy'),('4613298589673290970','李义','15944477062',NULL,'yt-ycz-sgucwh4-wgy'),('4613298589673290996','冯卫刚','15844479919',NULL,'yt-ycz-sgucwh5-wgy'),('4613298589673291022','刘晓平','13614348628',NULL,'yt-ycz-sgucwh6-wgy'),('4613298589673291048','祁宝海','13943497772',NULL,'yt-ycz-yczjwh1-wgy'),('4613298830191455658','张绍华','16643409754',NULL,'yt-yn-ktsq1-wgy'),('4613298830191455690','孙境阳','13894415598',NULL,'yt-yn-ktsq2-wgy'),('4613298830191455716','李宛霏','15604348000',NULL,'yt-yn-ktsq3-wgy'),('4613298830191455743','王欣','17519386677',NULL,'yt-yn-ktsq4-wgy'),('4613298830191455770','李艳莉','16643409756',NULL,'yt-yn-ktsq5-wgy'),('4613298830191455796','左娜','16643409733',NULL,'yt-yn-fksq1-wgy'),('4613298830191455825','张丽丽','17519331885',NULL,'yt-yn-fksq2-wgy'),('4613298830191455851','夏春羽','16643409737',NULL,'yt-yn-fksq3-wgy'),('4613298830191455877','陈溪','15114644610',NULL,'yt-yn-fksq4-wgy'),('4613298830191455903','王新瑞','16643409732',NULL,'yt-yn-fksq5-wgy'),('4613298830191455929','冯东霞','15500442828',NULL,'yt-yn-qysq1-wgy'),('4613298830191455957','任圆','18744456565',NULL,'yt-yn-qysq2-wgy'),('4613298830191455983','白丹丹','15981696207',NULL,'yt-yn-qysq3-wgy'),('4613298830191456009','王智慧','13694405132',NULL,'yt-yn-qysq4-wgy'),('4613298830191456035','胡添浩','13844493153',NULL,'yt-yn-qysq5-wgy'),('4613298830191456061','刘玉玲','13694409263',NULL,'yt-yn-ynsq1-wgy'),('4613298830191456089','李淑梅','18043409666',NULL,'yt-yn-ynsq2-wgy'),('4613298830191456115','程铁艳','13630950128',NULL,'yt-yn-ynsq3-wgy'),('4613298830191456141','张贺','13514343140',NULL,'yt-yn-ynsq4-wgy'),('4613298830191456167','李申子','15886061116',NULL,'yt-yn-ynsq5-wgy'),('4613298830191456193','高岩','15943484348',NULL,'yt-yn-yqsq1-wgy'),('4613298830191456221','孙辉','13234343233',NULL,'yt-yn-yqsq2-wgy'),('4613298830191456247','段秋娣','13894494242',NULL,'yt-yn-yqsq3-wgy'),('4613298830191456273','晁素英','15844460819',NULL,'yt-yn-yqsq4-wgy'),('4613298830191456299','赵晓红','13278078698',NULL,'yt-yn-fuqsq1-wgy'),('4613298830191456328','邓艳艳','13689745100',NULL,'yt-yn-fuqsq2-wgy'),('4613298830191456354','李艳颖','13331558836',NULL,'yt-yn-fuqsq3-wgy'),('4613298830191456380','那吉','13943476566',NULL,'yt-yn-fuqsq4-wgy'),('4613298830191456406','关俊武','13844499000',NULL,'yt-yn-hebsq1-wgy'),('4613298830191456436','赵中贵','13630749297',NULL,'yt-yn-hebsq2-wgy'),('4613298830191456462','于云龙','13224404519',NULL,'yt-yn-hebsq3-wgy'),('4613298830191456488','孔凡河','13244442822',NULL,'yt-yn-hebsq4-wgy'),('4613298830191456514','马军','15844478228',NULL,'yt-yn-hebsq5-wgy'),('4613298830191456540','冯宝贵','13224405155',NULL,'yt-yn-hebsq6-wgy'),('4613298830191456566','葛有','13904358675',NULL,'yt-yn-sjcwh1-wgy'),('4613298830191456595','张玉德','15886052771',NULL,'yt-yn-sjcwh2-wgy'),('4613298830191456621','王贵山','15734418387',NULL,'yt-yn-sjcwh3-wgy'),('4613298830191456647','张立国','13894497042',NULL,'yt-yn-sjcwh4-wgy'),('4613298830191456673','徐守忠','15844460239',NULL,'yt-yn-sjcwh5-wgy'),('4613298864551194614','楚敏艳','13943499777',NULL,'220323001001001'),('4613298864551194640','郝昱莉','17649991835',NULL,'220323001001002'),('4613298864551194666','王为','13894416973',NULL,'220323001001003'),('4613298864551194692','邹海霞','15044473015',NULL,'220323001001006'),('4613298864551194718','韩晶元','15844466679',NULL,'220323001001004'),('4613298864551194744','张溢倏','13843150856',NULL,'220323001001038'),('4613298864551194770','陈书敏','13843489936',NULL,'220323001001007'),('4613298864551194796','朱芳卓','18543429588',NULL,'220323001001008'),('4613298864551194822','张晓丹','15943488108',NULL,'220323001001041'),('4613298864551194848','李惠','15500440105',NULL,'220323001001010'),('4613298864551194874','韩思乐','18629810202',NULL,'220323001001011'),('4613298864551194900','王帅','17643235420',NULL,'220323001001012'),('4613298864551194926','张明慧','15567067917',NULL,'220323001001013'),('4613298864551194952','马秀梅','15943493320',NULL,'220323001001014'),('4613298864551194978','杨军生','13694405016',NULL,'220323001001015'),('4613298864551195004','田媛媛','15943496369',NULL,'yt-ys-zysq1-wgy'),('4613298864551195030','迟洋','15044465571',NULL,'yt-ys-zysq2-wgy'),('4613298864551195056','刘丽春','13694346889',NULL,'yt-ys-zysq3-wgy'),('4613298864551195082','葛金','15944476103',NULL,'yt-ys-zysq4-wgy'),('4613298864551195108','王淑梅','13278077017',NULL,'yt-ys-zysq5-wgy'),('4613298864551195134','刘迎春','13694346282',NULL,'yt-ys-zysq6-wgy'),('4613298864551195160','王文妹','15886051118',NULL,'yt-ys-zysq7-wgy'),('4613298864551195186','王红娟','15943498096',NULL,'yt-ys-zysq8-wgy'),('4613298864551195212','寇英','13944493611',NULL,'yt-ys-zysq9-wgy'),('4613298864551195238','王好忠','13694408131',NULL,'yt-ys-zysq10-wgy'),('4613298864551195264','王术平','18743462696',NULL,'yt-ys-zysq11-wgy'),('4613298864551195290','杨立华','13843480557',NULL,'yt-ys-zysq12-wgy'),('4613298864551195316','孙桂香','13894497767',NULL,'yt-ys-fasq1-wgy'),('4613298864551195342','李龙','18243463266',NULL,'yt-ys-fasq2-wgy'),('4613298864551195368','董立红','15981690550',NULL,'yt-ys-fasq3-wgy'),('4613298864551195394','黄琼','15134441055',NULL,'yt-ys-fasq4-wgy'),('4613298864551195420','王玲','13894497844',NULL,'yt-ys-fasq5-wgy'),('4613298864551195446','崔铭申','15943498566',NULL,'yt-ys-fasq6-wgy'),('4613298864551195472','宋丽君','13630749199',NULL,'yt-ys-fasq7-wgy'),('4613298864551195498','杜维龙','18513027789',NULL,'yt-ys-fasq8-wgy'),('4613298864551195524','张丽杰','15844467255',NULL,'yt-ys-fasq9-wgy'),('4613298864551195550','赵烨','13943499799',NULL,'yt-ys-fasq10-wgy'),('4613298864551195576','王延国','13689726438',NULL,'yt-ys-fasq11-wgy'),('4613298864551195602','李鑫','13630953455',NULL,'yt-ys-fasq12-wgy'),('4613298864551195628','白明鹤','18243476563',NULL,'yt-ys-fasq13-wgy'),('4613298864551195654','徐金城','13624340264',NULL,'yt-ys-fasq14-wgy'),('4613298864551195680','黄炎辉','13321553993',NULL,'yt-ys-fasq15-wgy'),('4613298864551195706','李艳辉','13944496960',NULL,'yt-ys-fasq16-wgy'),('4613298864551195732','赵冬梅','13278078122',NULL,'yt-ys-fasq17-wgy'),('4613298864551195758','周围','15504427138',NULL,'yt-ys-fasq18-wgy'),('4613298864551195784','石月','15567210152',NULL,'yt-ys-fasq19-wgy'),('4613298864551195810','王朋','15774477726',NULL,'yt-ys-fasq20-wgy'),('4613298864551195836','佟双凤','15044479337',NULL,'yt-ys-fasq21-wgy'),('4613298864551195862','程旭','15143022838',NULL,'yt-ys-fasq22-wgy'),('4613298864551195888','王曼','13504480592',NULL,'yt-ys-fasq23-wgy'),('4613298864551195914','李国华','13234349800',NULL,'yt-ys-fasq24-wgy'),('4613298864551195940','陈红','13344492716',NULL,'yt-ys-fasq25-wgy'),('4613298864551195966','刘晓旭','15500120021',NULL,'yt-ys-fasq26-wgy'),('4613298864551196018','范秀丽','17138756999',NULL,'yt-ys-fasq28-wgy'),('4613298864551196044','李冬雪','15134448202',NULL,'yt-ys-fasq29-wgy'),('4613298864551196070','李永波','13069025082',NULL,'yt-ys-fasq30-wgy'),('4613298864551196096','崔美子','15981573227',NULL,'yt-ys-fasq31-wgy'),('4613298864551196122','刘春涛','15844476665',NULL,'yt-ys-fasq32-wgy'),('4613298864551196148','陈丽华','13278070807',NULL,'yt-ys-fasq33-wgy'),('4613298864551196174','武玉玲','15004466598',NULL,'yt-ys-fasq34-wgy'),('4613298864551196200','王雪','13844499674',NULL,'yt-ys-fasq35-wgy'),('4613298864551196226','尹晓东','15943488318',NULL,'yt-ys-fasq36-wgy'),('4613298864551196252','李莲影','13278530800',NULL,'yt-ys-fasq37-wgy'),('4613298864551196278','王加飞','18743460777',NULL,'yt-ys-fasq38-wgy'),('4613298864551196304','赵雪峰','15134441255',NULL,'yt-ys-fasq39-wgy'),('4613298864551196330','宋丽丽','15886069861',NULL,'yt-ys-fasq40-wgy'),('4613298864551196356','吴志会','15844465665',NULL,'yt-ys-fasq41-wgy'),('4613298864551196382','马莉','13694406566',NULL,'yt-ys-fasq42-wgy'),('4613298864551196408','马迎杰','15886068734',NULL,'yt-ys-fasq43-wgy'),('4613298864551196434','杨士安','15886056598',NULL,'yt-ys-fasq44-wgy'),('4613298864551196460','李艳龙','15981575516',NULL,'yt-ys-fasq45-wgy'),('4613298864551196486','刘影','17643416541',NULL,'yt-ys-fasq46-wgy'),('4613298864551196512','郑宏光','13843482469',NULL,'yt-ys-fasq47-wgy'),('4613298864551196538','孙书明','13694406084',NULL,'yt-ys-fasq48-wgy'),('4613298864551196564','崔晶','15943480172',NULL,'yt-ys-fasq49-wgy'),('4613298864551196590','牛学慧','13943497569',NULL,'yt-ys-fasq50-wgy'),('4613298864551196616','赵辞','13278531296',NULL,'yt-ys-fasq51-wgy'),('4613298864551196642','赵金英','13331558436',NULL,'yt-ys-fasq52-wgy'),('4613298864551196668','刘昌龙','13634343140',NULL,'yt-ys-fasq53-wgy'),('4613298864551196694','张晓东','15944471125',NULL,'yt-ys-fasq54-wgy'),('4613298864551196720','常立岩','16643409779',NULL,'yt-ys-fasq55-wgy'),('4613298864551196746','刘启超','13904358060',NULL,'yt-ys-fasq56-wgy'),('4613298864551196772','李淑文','15886065309',NULL,'yt-ys-fasq57-wgy'),('4613298864551196798','齐兵','15044475355',NULL,'yt-ys-fasq58-wgy'),('4613298864551196824','董福山','13894497098',NULL,'yt-ys-fasq59-wgy'),('4613298864551196850','祝亚晶','13169297835',NULL,'yt-ys-fasq60-wgy'),('4613298864551196876','赵晓丽','15134443890',NULL,'yt-ys-fasq61-wgy'),('4613298864551196902','于连柱','13694401688',NULL,'yt-ys-fasq62-wgy'),('4613298864551196928','李代丽','13234343395',NULL,'yt-ys-fasq63-wgy'),('4613298864551196954','张爽','18243470808',NULL,'yt-ys-fasq64-wgy'),('4613298864551196980','蔺鹏飞','15204461205',NULL,'yt-ys-fasq65-wgy'),('4613298864551197006','王大伟','13694402989',NULL,'yt-ys-fasq66-wgy'),('4613298864551197032','梁广志','15004495167',NULL,'yt-ys-fasq67-wgy'),('4613298864551197084','刘营','18743461113',NULL,'yt-ys-qdesq1-wgy'),('4613298864551197110','任帅','15981576788',NULL,'yt-ys-qdesq2-wgy'),('4613298864551197136','吴迪','15662219561',NULL,'yt-ys-qdesq3-wgy'),('4613298864551197162','刘晶','15144649237',NULL,'yt-ys-qdesq4-wgy'),('4613298864551197188','郑星','18629811818',NULL,'yt-ys-qdecwh1-wgy'),('4613298864551197214','崔世河','13694406248',NULL,'yt-ys-qdecwh2-wgy'),('4613298864551197240','尚策','13844491776',NULL,'yt-ys-qdecwh3-wgy'),('4613298864551197266','邓山','15134448658',NULL,'yt-ys-qdecwh4-wgy'),('4613298864551197292','王丽芹','13894496632',NULL,'yt-ys-sjcwh1-wgy'),('4613298864551197318','尤健','13894497959',NULL,'yt-ys-sjcwh2-wgy'),('4613298864551197344','尤艳海','13944492757',NULL,'yt-ys-sjcwh3-wgy'),('4613298864551197370','张红梅','15981572342',NULL,'yt-ys-dscwh1-wgy'),('4613298864551197396','刘英','15004449926',NULL,'yt-ys-dscwh2-wgy'),('4613298864551197422','刘金波','15500447500',NULL,'yt-ys-dscwh3-wgy'),('4613301888208170206','刘士新','18644848222',NULL,'yt-ksz-kshcwh1-wgy'),('4613301888208170248','王建国','13943499090',NULL,'yt-ksz-kshcwh2-wgy'),('4613301888208170274','陈丽云','13894412118',NULL,'yt-ksz-kshcwh3-wgy'),('4613301888208170300','高成','13944499792',NULL,'yt-ksz-kshcwh4-wgy'),('4613301888208170326','马学江','13804478479',NULL,'yt-ksz-kshcwh5-wgy'),('4613301888208170352','杨忠','15004445587',NULL,'yt-ksz-kshcwh6-wgy'),('4613301888208170378','马晓成','15134445323',NULL,'yt-ksz-kshcwh7-wgy'),('4613301888208170404','周丽杰','15144642668',NULL,'yt-ksz-kshcwh8-wgy'),('4613301888208170430','李清华','13894413424',NULL,'yt-ksz-kshcwh9-wgy'),('4613301888208170457','王有','15973693100',NULL,'yt-ksz-kshcwh10-wgy'),('4613301888208170483','黄德胜','15204467334',NULL,'yt-ksz-kshcwh11-wgy'),('4613301888208170509','高志福','13278448700',NULL,'yt-ksz-kshcwh12-wgy'),('4613301888208170535','姚凤需','15144465302',NULL,'yt-ksz-kshcwh13-wgy'),('4613301888208170561','冯雪杰','15001131405',NULL,'yt-ksz-kshcwh14-wgy'),('4613301888208170587','田宝贵','13630950551',NULL,'yt-ksz-kshcwh15-wgy'),('4613301888208170613','李景臣','15846068149',NULL,'yt-ksz-kshcwh16-wgy'),('4613301888208170639','刘青海','15973794708',NULL,'yt-ksz-kshcwh17-wgy'),('4613301888208170665','刘大军','13894494008',NULL,'yt-ksz-kshcwh18-wgy'),('4613301888208170691','池忠义','13843481828',NULL,'yt-ksz-tpcwh1-wgy'),('4613301888208170726','付金刚','13630749524',NULL,'yt-ksz-tpcwh2-wgy'),('4613301888208170752','冯印宝','15004412628',NULL,'yt-ksz-tpcwh3-wgy'),('4613301888208170778','刘宝军','15500449788',NULL,'yt-ksz-tpcwh4-wgy'),('4613301888208170804','高云生','15981690757',NULL,'yt-ksz-tpcwh5-wgy'),('4613301888208170830','高金','13894493828',NULL,'yt-ksz-tpcwh6-wgy'),('4613301888208170856','张丽荣','15004422991',NULL,'yt-ksz-tpcwh7-wgy'),('4613301888208170882','于文生','13943498909',NULL,'yt-ksz-tpcwh8-wgy'),('4613301888208170908','范玉胜','13844497878',NULL,'yt-ksz-tpcwh9-wgy'),('4613301888208170934','张立福','15665911177',NULL,'yt-ksz-tpcwh10-wgy'),('4613301888208170960','怀景明','15143471046',NULL,'yt-ksz-tpcwh11-wgy'),('4613301888208170986','付权','13694401777',NULL,'yt-ksz-jlcwh1-wgy'),('4613301888208171020','李广军','15044431971',NULL,'yt-ksz-jlcwh2-wgy'),('4613301888208171046','闫旭东','15858068354',NULL,'yt-ksz-jlcwh3-wgy'),('4613301888208171072','刘影','15981651936',NULL,'yt-ksz-jlcwh4-wgy'),('4613301888208171098','杨军广','15004420542',NULL,'yt-ksz-jlcwh5-wgy'),('4613301888208171124','金洪君','15568578599',NULL,'yt-ksz-jlcwh6-wgy'),('4613301888208171150','孙大未','15886055696',NULL,'yt-ksz-jlcwh7-wgy'),('4613301888208171176','刘洋','13694401127',NULL,'yt-ksz-jlcwh8-wgy'),('4613301888208171202','张立伟','13944463589',NULL,'yt-ksz-jlcwh9-wgy'),('4613301888208171228','高晓凤','13244071225',NULL,'yt-ksz-jlcwh10-wgy'),('4613301888208171254','杨晓东','13944498425',NULL,'yt-ksz-heycwh1-wgy'),('4613301888208171287','黄立达','15044474349',NULL,'yt-ksz-heycwh2-wgy'),('4613301888208171313','史万武','18744457576',NULL,'yt-ksz-heycwh3-wgy'),('4613301888208171339','刘军','13944497262',NULL,'yt-ksz-heycwh4-wgy'),('4613301888208171365','张凤东','17519364155',NULL,'yt-ksz-heycwh5-wgy'),('4613301888208171391','夏玉忠','15144643077',NULL,'yt-ksz-heycwh6-wgy'),('4613301888208171417','杨福生','13843425115',NULL,'yt-ksz-heycwh7-wgy'),('4613301888208171443','郭刚','15981699953',NULL,'yt-ksz-heycwh8-wgy'),('4613301888208171469','路金宝','19904315568',NULL,'yt-ksz-heycwh9-wgy'),('4613301888208171495','东玉龙','15004420979',NULL,'yt-ksz-zhcwh1-wgy'),('4613301888208171527','孙伟英','15981699418',NULL,'yt-ksz-zhcwh2-wgy'),('4613301888208171554','金凤','13630956095',NULL,'yt-ksz-zhcwh3-wgy'),('4613301888208171580','杨大为','13689746455',NULL,'yt-ksz-zhcwh4-wgy'),('4613301888208171606','韩向东','15004441996',NULL,'yt-ksz-zhcwh5-wgy'),('4613301888208171633','于文术','15004445538',NULL,'yt-ksz-zhcwh6-wgy'),('4613301888208171659','宋铁生','15004437111',NULL,'yt-ksz-zjcwh1-wgy'),('4613301888208171692','谷宝权','15943489300',NULL,'yt-ksz-zjcwh2-wgy'),('4613301888208171718','耿玉清','15844461770',NULL,'yt-ksz-zjcwh3-wgy'),('4613301888208171744','张云海','13630707611',NULL,'yt-ksz-zjcwh4-wgy'),('4613301888208171771','陈永生','13258738080',NULL,'yt-ksz-zjcwh5-wgy'),('4613301888208171797','孙海燕','18843466710',NULL,'yt-ksz-zjcwh6-wgy'),('4613301888208171823','贾景辉','15844471288',NULL,'yt-ksz-zjcwh7-wgy'),('4613301888208171849','王辉','15144468418',NULL,'yt-ksz-zjcwh8-wgy'),('4613301888208171875','陈志刚','18744462992',NULL,'yt-ksz-zjcwh9-wgy'),('4613301888208171901','刘凤伍','18744456665',NULL,'yt-ksz-xgcwh1-wgy'),('4613301888208171930','杨俊','15886068364',NULL,'yt-ksz-xgoucwh1-wgy'),('4613301888208171956','李超','15004445408',NULL,'yt-ksz-xgoucwh2-wgy'),('4613301888208171982','苏丹','13244063866',NULL,'yt-ksz-xgoucwh3-wgy'),('4613301888208172008','吴刚','13894413398',NULL,'yt-ksz-xgoucwh4-wgy'),('4613301888208172034','刘义','13843487891',NULL,'yt-ksz-jjcwh1-wgy'),('4613301888208172067','邵林','13504748196',NULL,'yt-ksz-jjcwh2-wgy'),('4613301888208172093','赵维','15134449045',NULL,'yt-ksz-jjcwh3-wgy'),('4613301888208172122','高秀芹','13630955152',NULL,'yt-ksz-jjcwh4-wgy'),('4613301888208172203','焦喜彬','13904354835',NULL,'yt-ksz-jjcwh5-wgy'),('4613301888208172229','刘耀芝','15943493452',NULL,'yt-ksz-jjcwh6-wgy'),('4613301888208172255','毕秀丽','15590232538',NULL,'yt-ksz-jjcwh7-wgy'),('4613301888208172281','张国江','15144460608',NULL,'yt-ksz-jjcwh8-wgy'),('4613301888208172307','李士忠','15949496333',NULL,'yt-ksz-hscwh1-wgy'),('4613301888208172341','唐玉民','13843486853',NULL,'yt-ksz-hscwh2-wgy'),('4613301888208172367','王国军','15665914568',NULL,'yt-ksz-hscwh3-wgy'),('4613301888208172393','徐升','15044474210',NULL,'yt-ksz-hscwh4-wgy'),('4613301888208172419','苏立刚','15943494838',NULL,'yt-ksz-hscwh5-wgy'),('4613301888208172445','侯淑芬','15004425595',NULL,'yt-ksz-hscwh6-wgy'),('4613301888208172471','曹友','13500848249',NULL,'yt-ksz-hscwh7-wgy'),('4613301888208172497','马林','13944496330',NULL,'yt-ksz-hscwh8-wgy'),('4613301888208172523','赵广','13500848871',NULL,'yt-ksz-hscwh9-wgy'),('4613301888208172549','李淑艳','13694406101',NULL,'yt-ksz-hscwh10-wgy'),('4613301888208172575','卢福希','15844470550',NULL,'yt-ksz-dylcsq1-wgy'),('4613301888208172604','赵秋波','14717379889',NULL,'yt-ksz-dylcsq2-wgy'),('4613301888208172630','杨春立','13694405116',NULL,'yt-ksz-dylcsq3-wgy'),('4613301888208172656','陶广宇','13614445069',NULL,'yt-ksz-dylcsq4-wgy'),('4613301888208172682','赵有忠','15886050720',NULL,'yt-ksz-dylcsq5-wgy'),('4616947250290754589','陈国峰','17543728123',NULL,'yt-xxx-ggucwh1-wgy'),('4616947250290754615','李淑杰','15981693283',NULL,'yt-xxx-ggucwh2-wgy'),('4616947250290754641','王俊武','14743171749',NULL,'yt-xxx-ggucwh3-wgy'),('4616947250290754667','闫井龙','13804391748',NULL,'yt-xxx-ggucwh4-wgy'),('4616947250290754693','李海成','18744116216',NULL,'yt-xxx-ggucwh5-wgy'),('4616947250290754719','赵仁山','13756376067',NULL,'yt-xxx-ggucwh6-wgy'),('4616947250290754745','黄秀英','13180990218',NULL,'yt-xxx-ggucwh7-wgy'),('4616947250290754771','刘金辉','13694406878',NULL,'yt-xxx-ggucwh8-wgy'),('4616947250290754797','杨忠亮','13943035517',NULL,'yt-xxx-ggucwh9-wgy'),('4616947250290754823','徐宝武','13630561217',NULL,'yt-xxx-ggucwh10-wgy'),('4616947250290754849','王金龙','13844070727',NULL,'yt-xxx-yanjcwh1-wgy'),('4616947250290754875','马娜','13610748793',NULL,'yt-xxx-yanjcwh2-wgy'),('4616947250290754901','陈贵敏','13244071213',NULL,'yt-xxx-yanjcwh3-wgy'),('4616947250290754927','董志良','15567211168',NULL,'yt-xxx-yanjcwh4-wgy'),('4616947250290754953','于福','15584385365',NULL,'yt-xxx-yanjcwh5-wgy'),('4616947250290754979','张琦','13756565516',NULL,'yt-xxx-yanjcwh6-wgy'),('4616947250290755005','杨井宇','13944088758',NULL,'yt-xxx-yanjcwh7-wgy'),('4616947250290755031','王振东','15886054232',NULL,'yt-xxx-dtacwh1-wgy'),('4616947250290755057','赵建国','15143127948',NULL,'yt-xxx-dtacwh2-wgy'),('4616947250290755083','杨国忠','15843045529',NULL,'yt-xxx-dtacwh3-wgy'),('4616947250290755109','陈桂杰','13630749975',NULL,'yt-xxx-dtacwh4-wgy'),('4616947250290755135','杨彦军','15944475903',NULL,'yt-xxx-chycwh1-wgy'),('4616947250290755161','赵立江','13694306640',NULL,'yt-xxx-chycwh2-wgy'),('4616947250290755187','王金艳','13624349652',NULL,'yt-xxx-chycwh3-wgy'),('4616947250290755213','岳克君','15144159128',NULL,'yt-xxx-chycwh4-wgy'),('4616947250290755239','李玉海','17045466699',NULL,'yt-xxx-chycwh5-wgy'),('4616947250290755265','陈凤学','13614443047',NULL,'yt-xxx-qchzcwh1-wgy'),('4616947250290755291','贡清财','15844463046',NULL,'yt-xxx-qchzcwh2-wgy'),('4616947250290755317','尹庆山','15844461373',NULL,'yt-xxx-qchzcwh3-wgy'),('4616947250290755343','陈晓华','15943487363',NULL,'yt-xxx-qchzcwh4-wgy'),('4616947250290755369','郭玉发','15004422455',NULL,'yt-xxx-qchzcwh5-wgy'),('4616947250290755395','徐保香','15590194481',NULL,'yt-xxx-qchzcwh6-wgy'),('4616947250290755421','张百军','18844479373',NULL,'yt-xxx-qchzcwh7-wgy'),('4616947250290755447','雷凤','15584701040',NULL,'yt-xxx-qchzcwh8-wgy'),('4616947250290755473','杜香美','18243471221',NULL,'yt-xxx-qchzcwh9-wgy'),('4616947250290755499','杜香菊','18749466566',NULL,'yt-xxx-qchzcwh10-wgy'),('4616947250290755525','王红艳','17684319456',NULL,'yt-xxx-yshcwh1-wgy'),('4616947250290755552','董万山','13630509280',NULL,'yt-xxx-yshcwh2-wgy'),('4616947250290755578','刘金密','15004423134',NULL,'yt-xxx-yshcwh3-wgy'),('4616947250290755604','张兴','15943487896',NULL,'yt-xxx-yshcwh4-wgy'),('4616947250290755630','付凤举','15944151868',NULL,'yt-xxx-yshcwh5-wgy'),('4616947250290755656','王忠华','15044472683',NULL,'yt-xxx-yshcwh6-wgy'),('4616947250290755682','王艳','15144466720',NULL,'yt-xxx-yshcwh7-wgy'),('4616947250290755708','孙大东','15734477977',NULL,'yt-xxx-ydacwh1-wgy'),('4616947250290755734','曲富荣','15044465013',NULL,'yt-xxx-ydacwh2-wgy'),('4616947250290755760','李长海','15944477449',NULL,'yt-xxx-ydacwh3-wgy'),('4616947250290755786','李臣','15943145926',NULL,'yt-xxx-ydacwh4-wgy'),('4616947250290755812','高密','13944960364',NULL,'yt-xxx-ydacwh5-wgy'),('4616947250290755838','尚国志','15981075383',NULL,'yt-xxx-ydacwh6-wgy'),('4616947250290755864','孟宪辉','14798165579',NULL,'yt-xxx-xxingcwh1-wgy'),('4616947250290755890','王春祥','13943198048',NULL,'yt-xxx-xxingcwh2-wgy'),('4616947250290755916','霍艳娇','13630749386',NULL,'yt-xxx-xxingcwh3-wgy'),('4616947250290755942','胡贵春','13894491966',NULL,'yt-xxx-xxingcwh4-wgy'),('4616947250290755968','陈洪伟','18343011224',NULL,'yt-xxx-xxingcwh5-wgy'),('4616947250290755995','刘世朋','15844479835',NULL,'yt-xxx-xxingcwh6-wgy'),('4616947250290756021','贾道君','15886056225',NULL,'yt-xxx-xxingcwh7-wgy'),('4616947250290756047','王宏','13944494333',NULL,'yt-xxx-xxingcwh8-wgy'),('4616947250290756073','刘力春','15143101955',NULL,'yt-xxx-xxingcwh9-wgy'),('4616947250290756099','鞠平','13578878314',NULL,'yt-xxx-xxingcwh10-wgy'),('4616949243155584700','夏洪财','15981571427',NULL,'yt-mlqx-liujcwh1-wgy'),('4616949243155584726','苏海和','15004446134',NULL,'yt-mlqx-liujcwh2-wgy'),('4616949243155584752','陈晓东','15844464715',NULL,'yt-mlqx-liujcwh3-wgy'),('4616949243155584778','李文亮','13689726351',NULL,'yt-mlqx-liujcwh4-wgy'),('4616949243155584804','许迎春','15981572644',NULL,'yt-mlqx-liujcwh5-wgy'),('4616949243155584830','王玉林','13894493248',NULL,'yt-mlqx-liujcwh6-wgy'),('4616949243155584856','李东辉','15044464590',NULL,'yt-mlqx-liujcwh7-wgy'),('4616949243155584882','候连启','13844492125',NULL,'yt-mlqx-mlqcwh1-wgy'),('4616949243155584908','曹力','18243464255',NULL,'yt-mlqx-mlqcwh2-wgy'),('4616949243155584934','赵守臣','15886051537',NULL,'yt-mlqx-mlqcwh3-wgy'),('4616949243155584960','韩福田','15944474320',NULL,'yt-mlqx-mlqcwh4-wgy'),('4616949243155584986','李洪喜','18774478187',NULL,'yt-mlqx-mlqcwh5-wgy'),('4616949243155585012','王振军','13844493386',NULL,'yt-mlqx-mlqcwh6-wgy'),('4616949243155585038','马晓飞','15143476222',NULL,'yt-mlqx-mlqcwh7-wgy'),('4616949243155585064','张文芳','15886064280',NULL,'yt-mlqx-mlqcwh8-wgy'),('4616949243155585090','张玉霞','15144642885',NULL,'yt-mlqx-mlqcwh9-wgy'),('4616949243155585116','刘福','15004426912',NULL,'yt-mlqx-mlqcwh10-wgy'),('4616949243155585142','翟志成','13630749022',NULL,'yt-mlqx-ldcwh1-wgy'),('4616949243155585168','张铁柱','13630956453',NULL,'yt-mlqx-ldcwh2-wgy'),('4616949243155585194','王臣','15944474607',NULL,'yt-mlqx-ldcwh3-wgy'),('4616949243155585220','姚佳伟','15844461907',NULL,'yt-mlqx-ldcwh4-wgy'),('4616949243155585246','范玉柱','17643405403',NULL,'yt-mlqx-ldcwh5-wgy'),('4616949243155585272','杨立民','13504358640',NULL,'yt-mlqx-ldcwh6-wgy'),('4616949243155585298','薛刚','15981575674',NULL,'yt-mlqx-ldcwh7-wgy'),('4616949243155585324','梁孝忠','18443440068',NULL,'yt-mlqx-xhcwh1-wgy'),('4616949243155585350','陈佰权','13944494761',NULL,'yt-mlqx-xhcwh2-wgy'),('4616949243155585376','刘福','13899493559',NULL,'yt-mlqx-xhcwh3-wgy'),('4616949243155585402','郭向昌','13694346030',NULL,'yt-mlqx-xhcwh4-wgy'),('4616949243155585428','刘术珍','15004421622',NULL,'yt-mlqx-bajcwh1-wgy'),('4616949243155585454','野广山','15943493989',NULL,'yt-mlqx-bajcwh2-wgy'),('4616949243155585480','孟凡喜','15004438270',NULL,'yt-mlqx-bajcwh3-wgy'),('4616949243155585506','魏东雨','15144643300',NULL,'yt-mlqx-bajcwh4-wgy'),('4616949243155585532','曹英','15844464730',NULL,'yt-mlqx-bajcwh5-wgy'),('4616949243155585558','安海清','18744452450',NULL,'yt-mlqx-bajcwh6-wgy'),('4616949243155585584','陈贵范','15004438253',NULL,'yt-mlqx-bajcwh7-wgy'),('4616949243155585610','庄海和','13844490633',NULL,'yt-mlqx-shjcwh1-wgy'),('4616949243155585636','曹国辉','15134443556',NULL,'yt-mlqx-shjcwh2-wgy'),('4616949243155585662','李秋先','15886055883',NULL,'yt-mlqx-shjcwh3-wgy'),('4616949243155585688','李金福','13844491492',NULL,'yt-mlqx-shjcwh4-wgy'),('4616949243155585714','范景祥','13500844431',NULL,'yt-mlqx-lhgcwh1-wgy'),('4616949243155585740','王连成','15886055619',NULL,'yt-mlqx-lhgcwh2-wgy'),('4616949243155585766','张春林','18744454199',NULL,'yt-mlqx-lhgcwh3-wgy'),('4616949243155585792','王亚范','15665911560',NULL,'yt-mlqx-lhgcwh4-wgy'),('4616949243155585818','张俊','15886050284',NULL,'yt-mlqx-lhgcwh5-wgy'),('4616949243155585844','牛万和','13894490608',NULL,'yt-mlqx-lhgcwh6-wgy'),('4616949243155585870','刘桂华','13630748483',NULL,'yt-mlqx-lhgcwh7-wgy'),('4616950205228260254','任宝先','13614444074',NULL,'yt-hlzz-hlzcwh1-wgy'),('4616950205228260280','任启先','13644448318',NULL,'yt-hlzz-hlzcwh2-wgy'),('4616950205228260306','李中国','15134410706',NULL,'yt-hlzz-hlzcwh3-wgy'),('4616950205228260332','刘全吉','15943414488',NULL,'yt-hlzz-hlzcwh4-wgy'),('4616950205228260358','李桂平','13689721007',NULL,'yt-hlzz-hlzcwh5-wgy'),('4616950205228260384','安金昌','15944476029',NULL,'yt-hlzz-hlzcwh6-wgy'),('4616950205228260410','王春林','15886069101',NULL,'yt-hlzz-hlzcwh7-wgy'),('4616950205228260436','陈启彦','15044425053',NULL,'yt-hlzz-hlzcwh8-wgy'),('4616950205228260462','王彦平','15944479380',NULL,'yt-hlzz-hlzcwh9-wgy'),('4616950205228260488','于洪刚','13894465504',NULL,'yt-hlzz-hlzcwh10-wgy'),('4616950205228260514','刘宏波','15886007909',NULL,'yt-hlzz-yfcwh1-wgy'),('4616950205228260540','赵长武','15044463698',NULL,'yt-hlzz-yfcwh2-wgy'),('4616950205228260566','张影','15943410453',NULL,'yt-hlzz-yfcwh3-wgy'),('4616950205228260592','张晓红','18844410866',NULL,'yt-hlzz-yfcwh4-wgy'),('4616950205228260618','张志臣','18743471342',NULL,'yt-hlzz-yfcwh5-wgy'),('4616950205228260644','王平','15981577726',NULL,'yt-hlzz-yfcwh6-wgy'),('4616950205228260670','杜景忠','15943414408',NULL,'yt-hlzz-yfcwh7-wgy'),('4616950205228260696','马俊财','15944486897',NULL,'yt-hlzz-yfcwh8-wgy'),('4616950205228260722','傅彦喜','15144687343',NULL,'yt-hlzz-yfcwh9-wgy'),('4616950205228260748','范玉秋','18743481652',NULL,'yt-hlzz-yfcwh10-wgy'),('4616950205228260774','赵志平','15004405001',NULL,'yt-hlzz-yfcwh11-wgy'),('4616950205228260800','曹军','15004440210',NULL,'yt-hlzz-mzcwh1-wgy'),('4616950205228260826','陈立军','15944477904',NULL,'yt-hlzz-mzcwh2-wgy'),('4616950205228260852','岳长申','15944479177',NULL,'yt-hlzz-mzcwh3-wgy'),('4616950205228260878','岳兴海','13843485500',NULL,'yt-hlzz-mzcwh4-wgy'),('4616950205228260904','李贵方','15004442077',NULL,'yt-hlzz-mzcwh5-wgy'),('4616950205228260930','王凤军','15886066995',NULL,'yt-hlzz-mzcwh6-wgy'),('4616950205228260956','徐艳','18843462006',NULL,'yt-hlzz-mzcwh7-wgy'),('4616950205228260982','王贵福','13944497155',NULL,'yt-hlzz-mzcwh8-wgy'),('4616950205228261008','刘长明','15044474881',NULL,'yt-hlzz-mzcwh9-wgy'),('4616950205228261034','李月娥','15886068346',NULL,'yt-hlzz-shgcwh1-wgy'),('4616950205228261060','温桂林','13944461571',NULL,'yt-hlzz-shgcwh2-wgy'),('4616950205228261086','陈广余','18743487516',NULL,'yt-hlzz-shgcwh3-wgy'),('4616950205228261112','马丽艳','15144446443',NULL,'yt-hlzz-shgcwh4-wgy'),('4616950205228261138','王泽杰','15844470856',NULL,'yt-hlzz-shgcwh5-wgy'),('4616950205228261164','张玉英','15004421287',NULL,'yt-hlzz-shgcwh6-wgy'),('4616950205228261190','聂长春','15204486571',NULL,'yt-hlzz-hepcwh1-wgy'),('4616950205228261216','徐贵君','13943489791',NULL,'yt-hlzz-hepcwh2-wgy'),('4616950205228261242','宋显财','13404625775',NULL,'yt-hlzz-hepcwh3-wgy'),('4616950205228261268','雷淑苹','15886065471',NULL,'yt-hlzz-hepcwh4-wgy'),('4616950205228261294','孔飞','15886063375',NULL,'yt-hlzz-hepcwh5-wgy'),('4616950205228261320','于海洋','15843444842',NULL,'yt-hlzz-hepcwh6-wgy'),('4616950205228261346','徐贵忠','15143441542',NULL,'yt-hlzz-hepcwh7-wgy'),('4616950205228261372','孙兴岐','13894442775',NULL,'yt-hlzz-hepcwh8-wgy'),('4616950239587991574','孙伟侠','15981696056',NULL,'yt-hlzz-hepcwh9-wgy'),('4616950239587991600','葛淑娟','15943488529',NULL,'yt-hlzz-hepcwh10-wgy'),('4616950239587991626','魏晓国','13943480240',NULL,'yt-hlzz-hepcwh11-wgy'),('4616950239587991652','王淑芳','18744487239',NULL,'yt-hlzz-hepcwh12-wgy'),('4616950239587991678','陈英华','15144648802',NULL,'yt-hlzz-hepcwh13-wgy'),('4616950239587991704','高凤春','15144469033',NULL,'yt-hlzz-yjcwh1-wgy'),('4616950239587991730','周发','15004343317',NULL,'yt-hlzz-yjcwh2-wgy'),('4616950239587991756','陈立超','15943416511',NULL,'yt-hlzz-yjcwh3-wgy'),('4616950239587991782','魏福成','13596682772',NULL,'yt-hlzz-yjcwh4-wgy'),('4616950239587991808','付颖','15981679990',NULL,'yt-hlzz-yjcwh5-wgy'),('4616950239587991834','魏景志','13614344282',NULL,'yt-hlzz-yjcwh6-wgy'),('4616950239587991860','范俊文','13843459035',NULL,'yt-hlzz-yjcwh7-wgy'),('4616950239587991886','齐向辉','13244057488',NULL,'yt-hlzz-yjcwh8-wgy'),('4616950239587991912','张跃洪','13943480506',NULL,'yt-hlzz-yjcwh9-wgy'),('4616950239587991938','李志兴','13894448318',NULL,'yt-hlzz-bjcwh1-wgy'),('4616950239587991964','刘立武','13944477759',NULL,'yt-hlzz-bjcwh2-wgy'),('4616950239587991990','成金锁','13944466569',NULL,'yt-hlzz-bjcwh3-wgy'),('4616950239587992016','于丽波','13630988464',NULL,'yt-hlzz-bjcwh4-wgy'),('4616950239587992043','张景泽','13844493644',NULL,'yt-hlzz-bjcwh5-wgy'),('4616950239587992069','刘友','15944420396',NULL,'yt-hlzz-bjcwh6-wgy'),('4616950239587992095','刘荣学','13624442932',NULL,'yt-hlzz-bjcwh7-wgy'),('4628182025743715668','于德胜','18744466408',NULL,'yt-ytz-yccwh1-wgy'),('4628182025743715694','邢占波','15981696766',NULL,'yt-ytz-yccwh2-wgy'),('4628182025743715720','孙香芹','15590444966',NULL,'yt-ytz-yccwh3-wgy'),('4628182025743715746','李伟','15886066950',NULL,'yt-ytz-yccwh4-wgy'),('4628182025743715772','王秀云','15943487343',NULL,'yt-ytz-yccwh5-wgy'),('4628182025743715798','陈苗苗','15844471125',NULL,'yt-ytz-dxincwh1-wgy'),('4628182025743715824','赵宏伟','15044462188',NULL,'yt-ytz-dxincwh2-wgy'),('4628182025743715850','牟玉春','15004440504',NULL,'yt-ytz-dxincwh3-wgy'),('4628182025743715876','刘秀英','15590418819',NULL,'yt-ytz-dxincwh4-wgy'),('4628182025743715902','田海峰','15943493328',NULL,'yt-ytz-dxincwh5-wgy'),('4628182025743715928','史春雨','13944493527',NULL,'yt-ytz-dxincwh6-wgy'),('4628182025743715954','岳朝军','13630743110',NULL,'yt-ytz-dxincwh7-wgy'),('4628182025743715980','梁玉柱','15943484240',NULL,'yt-ytz-dxincwh8-wgy'),('4628182025743716006','邵曼庭','13244344404',NULL,'yt-ytz-xindcwh1-wgy'),('4628182025743716032','李治发','15844470103',NULL,'yt-ytz-xindcwh2-wgy'),('4628182025743716058','刘立君','15144643566',NULL,'yt-ytz-xindcwh3-wgy'),('4628182025743716085','王洪臣','13278073393',NULL,'yt-ytz-wuscwh1-wgy'),('4628182025743716111','陈和','15944477178',NULL,'yt-ytz-wuscwh2-wgy'),('4628182025743716137','李福山','15886067426',NULL,'yt-ytz-wuscwh3-wgy'),('4628182025743716163','张伟','15886065335',NULL,'yt-ytz-wuscwh4-wgy'),('4628182025743716190','李清涛','13894412252',NULL,'yt-ytz-wuscwh5-wgy'),('4628182025743716216','孟继书','13689726356',NULL,'yt-ytz-wuscwh6-wgy'),('4628182025743716242','孟广祥','18744456516',NULL,'yt-ytz-wuscwh7-wgy'),('4628182025743716269','赵丹丹','13843480807',NULL,'yt-ytz-toudcwh1-wgy'),('4628182025743716295','赵平','15004445029',NULL,'yt-ytz-toudcwh2-wgy'),('4628182025743716321','霍曼','13143478824',NULL,'yt-ytz-toudcwh3-wgy'),('4628182025743716347','刘艳国','13694408497',NULL,'yt-ytz-yxincwh1-wgy'),('4628182025743716373','韩宝山','15943499080',NULL,'yt-ytz-yxincwh2-wgy'),('4628182025743716399','张淑文','15943487121',NULL,'yt-ytz-yxincwh3-wgy'),('4628182025743716425','徐立东','18243479088',NULL,'yt-ytz-yxincwh4-wgy'),('4628182025743716451','王刚','15944470055',NULL,'yt-ytz-yxincwh5-wgy'),('4628182025743716477','张春玲','15774475069',NULL,'yt-ytz-djcwh1-wgy'),('4628182025743716503','周丽平','13278449240',NULL,'yt-ytz-djcwh2-wgy'),('4628182025743716529','刘义','15500440272',NULL,'yt-ytz-djcwh3-wgy'),('4628182025743716555','李跃林','13278447747',NULL,'yt-ytz-djcwh4-wgy'),('4628182025743716581','赵海军','15590201362',NULL,'yt-ytz-djcwh5-wgy'),('4628182025743716607','刘立成','15943486238',NULL,'yt-ytz-djcwh6-wgy'),('4628182025743716633','鲍亚琴','15500411171',NULL,'yt-ytz-jgcwh1-wgy'),('4628182025743716659','李长贵','15844465997',NULL,'yt-ytz-jgcwh2-wgy'),('4628182025743716685','程立辉','18386006863',NULL,'yt-ytz-jgcwh3-wgy'),('4628182025743716711','张林','15134443803',NULL,'yt-ytz-jgcwh4-wgy'),('4628182025743716737','王东升','13694409800',NULL,'yt-ytz-jgcwh5-wgy'),('4628182025743716763','刘治民','13630747515',NULL,'yt-ytz-jgcwh6-wgy'),('4628182025743716789','姚广昌','15143473375',NULL,'yt-ytz-jgcwh7-wgy'),('4628182025743716815','吴静媛','18743460156',NULL,'yt-ytz-cancwh1-wgy'),('4628182025743716841','刘景河','13644448032',NULL,'yt-ytz-cancwh2-wgy'),('4628182025743716867','王永方','15886050504',NULL,'yt-ytz-cancwh3-wgy'),('4628182025743716893','王延华','13944493361',NULL,'yt-ytz-cancwh4-wgy'),('4628182025743716919','李宝霞','18844478897',NULL,'yt-ytz-cancwh5-wgy'),('4628182025743716945','何甲超','13644448774',NULL,'yt-ytz-cancwh6-wgy'),('4628182025743716971','刘宇','15044472229',NULL,'yt-ytz-cancwh7-wgy'),('4628182025743717040','权正玉','15004431787',NULL,'yt-ytz-xinggcwh1-wgy'),('4628182025743717066','白德奎','13630959821',NULL,'yt-ytz-xinggcwh2-wgy'),('4628182025743717092','郑成用','13694401586',NULL,'yt-ytz-xinggcwh3-wgy'),('4628182025743717118','吕  凯','13514343570',NULL,'yt-ytz-qqcwh1-wgy'),('4628182025743717144','赵广福','15144468378',NULL,'yt-ytz-qqcwh2-wgy'),('4628182025743717170','施连雨','13180639088',NULL,'yt-ytz-qqcwh3-wgy'),('4628182025743717197','张宪伟','18243469933',NULL,'yt-ytz-qqcwh4-wgy'),('4628182025743717223','武大伟','13504744629',NULL,'yt-ytz-qqcwh5-wgy'),('4628182025743717249','刘  刚','15144461288',NULL,'yt-ytz-xinlcwh1-wgy'),('4628182025743717275','李贵成','15944471322',NULL,'yt-ytz-xinlcwh2-wgy'),('4628182025743717301','胡  军','13694406575',NULL,'yt-ytz-xinlcwh3-wgy'),('4628182025743717327','苑成君','15500128118',NULL,'yt-ytz-xinlcwh4-wgy'),('4628182025743717353','于会泉','13843486320',NULL,'yt-ytz-xinlcwh5-wgy'),('4628182025743717379','李忠和','15144461461',NULL,'yt-ytz-xinlcwh6-wgy'),('4628182025743717405','吴清和','15944470252',NULL,'yt-ytz-xinlcwh7-wgy'),('4628182025743717431','王可意','15734476999',NULL,'yt-ytz-xinlcwh8-wgy'),('4628182025743717457','刘恩瑞','13644448111',NULL,'yt-ytz-xinlcwh9-wgy'),('4628182025743717483','王振权','15943499895',NULL,'yt-ytz-limcwh1-wgy'),('4628182025743717509','李江','15134448047',NULL,'yt-ytz-limcwh2-wgy'),('4628182025743717535','徐海军','13694346158',NULL,'yt-ytz-limcwh3-wgy'),('4628182025743717561','冀晓明','13244085388',NULL,'yt-ytz-limcwh4-wgy'),('4628182025743717587','宋井和','15944471380',NULL,'yt-ytz-limcwh5-wgy'),('4628182025743717613','王雅玲','18744459088',NULL,'yt-ytz-limcwh6-wgy'),('4628182025743717639','李少辉','18643486068',NULL,'yt-ytz-qfancwh1-wgy'),('4628182025743717665','邢喜贵','15943480761',NULL,'yt-ytz-qfancwh2-wgy'),('4628182025743717691','王艳艳','15143477497',NULL,'yt-ytz-qfancwh3-wgy'),('4628182025743717717','李立良','15886060122',NULL,'yt-ytz-qfancwh4-wgy'),('4628182025743717743','郭旭','13844497709',NULL,'yt-ytz-qfancwh5-wgy'),('4628182025743717769','杨喜刚','13844499050',NULL,'yt-ytz-renjcwh1-wgy'),('4628182025743717795','夏永江','15144460722',NULL,'yt-ytz-renjcwh2-wgy'),('4628182025743717821','王连俊','15143471608',NULL,'yt-ytz-renjcwh3-wgy'),('4628182025743717847','夏振环','15943480992',NULL,'yt-ytz-renjcwh4-wgy'),('4628182025743717873','韩成文','13894498756',NULL,'yt-ytz-hfancwh1-wgy'),('4628182025743717899','孙喜有','13894492049',NULL,'yt-ytz-hfancwh2-wgy'),('4628182025743717925','程淑君','17543422880',NULL,'yt-ytz-hfancwh3-wgy'),('4628182025743717951','杨玉和','13943473650',NULL,'yt-ytz-hfancwh4-wgy'),('4628182025743717977','王晓红','15844476308',NULL,'yt-ytz-erdcwh1-wgy'),('4628182025743718003','郭庆玲','15643449113',NULL,'yt-ytz-erdcwh2-wgy'),('4628182025743718029','刘金凤','15943489521',NULL,'yt-ytz-erdcwh3-wgy'),('4628182025743718055','孙晓东','18443476667',NULL,'yt-ytz-erdcwh4-wgy'),('4628182025743718081','刘志权','15568526627',NULL,'yt-ytz-erdcwh5-wgy'),('4628182025743718107','高立标','15844476663',NULL,'yt-ytz-xlongcwh1-wgy'),('4628182025743718133','唐凤伟','13278449009',NULL,'yt-ytz-xlongcwh2-wgy'),('4628182025743718159','张龙','15844468622',NULL,'yt-ytz-xlongcwh3-wgy'),('4628182025743718185','蒲大伟','13944495310',NULL,'yt-ytz-xlongcwh4-wgy'),('4628182025743718211','王贵祥','13844498948',NULL,'yt-ytz-xlongcwh5-wgy'),('4628182025743718237','那君杰','13894415976',NULL,'yt-ytz-guanjcwh1-wgy'),('4628182025743718263','孙立民','15144463534',NULL,'yt-ytz-guanjcwh2-wgy'),('4628182025743718289','郝桂杰','18843462419',NULL,'yt-ytz-guanjcwh3-wgy'),('4628182025743718315','贾纯林','15944478769',NULL,'yt-ytz-guanjcwh4-wgy'),('4628182025743718341','贾永财','15774475188',NULL,'yt-ytz-guanjcwh5-wgy'),('4628182025743718367','于东明','13894497360',NULL,'yt-ytz-belcwh1-wgy'),('4628182025743718393','刘艳军','15981576000',NULL,'yt-ytz-belcwh2-wgy'),('4628182025743718420','吴长江','13844498692',NULL,'yt-ytz-belcwh3-wgy'),('4628182025743718446','武娟','13644348958',NULL,'yt-ytz-belcwh4-wgy'),('4628182025743718472','王贵英','13614315805',NULL,'yt-ytz-belcwh5-wgy'),('4628182025743718499','冯立文','13278075411',NULL,'yt-ytz-belcwh6-wgy'),('4628182025743718526','范井军','15134444494',NULL,'yt-ytz-xiscwh1-wgy'),('4628182025743718552','陈凤英','13630959774',NULL,'yt-ytz-xiscwh2-wgy'),('4628182025743718578','武佳艳','15844467420',NULL,'yt-ytz-xiscwh3-wgy'),('4628182025743718604','张月秋','13843488679',NULL,'yt-ytz-xiscwh4-wgy'),('4628182025743718630','王桂玲','13644444622',NULL,'yt-ytz-xiscwh5-wgy'),('4628182025743718656','王明东','13894499726',NULL,'yt-ytz-yuejcwh1-wgy'),('4628182025743718682','许景林','15844463096',NULL,'yt-ytz-yuejcwh2-wgy'),('4628182025743718708','杨景辉','15004442208',NULL,'yt-ytz-yuejcwh3-wgy'),('4628182025743718734','关艳辉','18844474449',NULL,'yt-ytz-xinscwh1-wgy'),('4628182025743718760','雷立勇','13894497773',NULL,'yt-ytz-xinscwh2-wgy'),('4628182025743718786','董树清','13630950026',NULL,'yt-ytz-xinscwh3-wgy'),('4628182369341099778','王景龙','13944493028',NULL,'yt-ydz-ydsq1-wgy'),('4628182369341099804','王鹏','18243462622',NULL,'yt-ydz-ydsq2-wgy'),('4628182369341099830','李吉祥','15886051895',NULL,'yt-ydz-slc-wgy'),('4628182369341099856','李宝山','13944492278',NULL,'yt-ydz-ydcwh1-wgy'),('4628182369341099882','冯雪杰','15004427775',NULL,'yt-ydz-ydcwh2-wgy'),('4628182369341099908','王贵清','15943482250',NULL,'yt-ydz-ydcwh3-wgy'),('4628182369341099934','王国跃','15044469892',NULL,'yt-ydz-ydcwh4-wgy'),('4628182369341099960','孟庆江','18743462878',NULL,'yt-ydz-ydcwh5-wgy'),('4628182369341099986','闫明昌','15568590262',NULL,'yt-ydz-ydcwh6-wgy'),('4628182369341100012','杜玉和','13843480010',NULL,'yt-ydz-ydcwh7-wgy'),('4628182369341100038','陈海军','13894413050',NULL,'yt-ydz-ydcwh8-wgy'),('4628182369341100065','杜玉合','13843480010',NULL,'yt-ydz-ydcwh9-wgy'),('4628182369341100091','赵文新','15774488886',NULL,'yt-ydz-ydcwh10-wgy'),('4628182369341100117','邹占国','13384346060',NULL,'yt-ydz-ydcwh11-wgy'),('4628182369341100143','逯加满','15943494899',NULL,'yt-ydz-dalcwh1-wgy'),('4628182369341100169','宫平','18744462409',NULL,'yt-ydz-dalcwh2-wgy'),('4628182369341100195','张玉彬','13630952411',NULL,'yt-ydz-dalcwh3-wgy'),('4628182369341100221','徐德春','13944491244',NULL,'yt-ydz-dalcwh4-wgy'),('4628182369341100247','黄伟','13224342323',NULL,'yt-ydz-dalcwh5-wgy'),('4628182369341100273','韩东广','15134444070',NULL,'yt-ydz-dshcwh1-wgy'),('4628182369341100299','徐福银','13804474995',NULL,'yt-ydz-dshcwh2-wgy'),('4628182369341100326','苏连江','13689745428',NULL,'yt-ydz-dshcwh3-wgy'),('4628182369341100352','王秀秋','15943493042',NULL,'yt-ydz-dshcwh4-wgy'),('4628182369341100378','王祥彦','15943494922',NULL,'yt-ydz-tanzcwh1-wgy'),('4628182369341100404','张湖','13630748265',NULL,'yt-ydz-tanzcwh2-wgy'),('4628182369341100430','李丽娟','13894493665',NULL,'yt-ydz-tanzcwh3-wgy'),('4628182369341100456','韩玉田','13844494419',NULL,'yt-ydz-tanzcwh4-wgy'),('4628182369341100482','于铁刚','13689727589',NULL,'yt-ydz-tanzcwh5-wgy'),('4628182369341100508','王凤明','15981577761',NULL,'yt-ydz-tanzcwh6-wgy'),('4628182369341100534','程国有','15144465391',NULL,'yt-ydz-tanzcwh7-wgy'),('4628182369341100560','刘岩','15981577789',NULL,'yt-ydz-tanzcwh8-wgy'),('4628182369341100586','姚万春','13844498988',NULL,'yt-ydz-tanzcwh9-wgy'),('4628182369341100612','于波','15134442831',NULL,'yt-ydz-tanzcwh10-wgy'),('4628182369341100638','毕克成','15844473219',NULL,'yt-ydz-chjcwh1-wgy'),('4628182369341100664','赵志刚','13944497982',NULL,'yt-ydz-chjcwh2-wgy'),('4628182369341100690','朴彦君','18844479800',NULL,'yt-ydz-chjcwh3-wgy'),('4628182369341100717','邢艳君','15886058916',NULL,'yt-ydz-chjcwh4-wgy'),('4628182369341100743','孟凡勇','15044469080',NULL,'yt-ydz-xmincwh1-wgy'),('4628182369341100769','王瑞','13843481883',NULL,'yt-ydz-xmincwh2-wgy'),('4628182369341100795','刘玉','15134449881',NULL,'yt-ydz-xmincwh3-wgy'),('4628182369341100821','吕广军','15584777377',NULL,'yt-ydz-xmincwh4-wgy'),('4628182369341100847','赵洪伟','13689746615',NULL,'yt-ydz-xmincwh5-wgy'),('4628182369341100873','于春涛','13944490096',NULL,'yt-ydz-xilcwh1-wgy'),('4628182369341100899','杨秀','13504744244',NULL,'yt-ydz-xilcwh2-wgy'),('4628182369341100925','刘英','13224402325',NULL,'yt-ydz-xilcwh3-wgy'),('4628182369341100951','刘亮','15886056678',NULL,'yt-ydz-xilcwh4-wgy'),('4628182369341100978','肖阳','18744458795',NULL,'yt-ydz-xilcwh5-wgy'),('4628182369341101004','陈红','13944492716',NULL,'yt-ydz-xilcwh6-wgy'),('4628182369341101030','孙正和','18744461361',NULL,'yt-ydz-caojcwh1-wgy'),('4628182369341101056','邢军','15144469313',NULL,'yt-ydz-caojcwh2-wgy'),('4628182369341101082','崔宝章','15004437478',NULL,'yt-ydz-caojcwh3-wgy'),('4628182369341101108','王慧英','13694401968',NULL,'yt-ydz-caojcwh4-wgy'),('4628182369341101134','张和','15844467537',NULL,'yt-ydz-caojcwh5-wgy'),('4628182369341101160','孙洪伟','15143493881',NULL,'yt-ydz-caojcwh6-wgy'),('4628182369341101186','邹志安','13500844690',NULL,'yt-ydz-liujcwh1-wgy'),('4628182369341101212','马永财','15844477068',NULL,'yt-ydz-liujcwh2-wgy'),('4628182369341101238','赵伟','15134444676',NULL,'yt-ydz-liujcwh3-wgy'),('4628182369341101264','王学成','15144465530',NULL,'yt-ydz-liujcwh4-wgy'),('4628182369341101290','吴兵','15144469161',NULL,'yt-ydz-liujcwh5-wgy'),('4628182369341101316','张会军','13844497466',NULL,'yt-ydz-xhecwh1-wgy'),('4628182369341101342','杨立新','13894494010',NULL,'yt-ydz-xhecwh2-wgy'),('4628182369341101368','于何成','15044460275',NULL,'yt-ydz-xhecwh3-wgy'),('4628182369341101394','王贺','15943494808',NULL,'yt-ydz-xhecwh4-wgy'),('4628182369341101420','王中良','13894491885',NULL,'yt-ydz-xhecwh5-wgy'),('4628182369341101446','金洪君','15134447270',NULL,'yt-ydz-fredcwh1-wgy'),('4628182369341101472','张振阳','15774472335',NULL,'yt-ydz-fredcwh2-wgy'),('4628182369341101498','管中生','15134443835',NULL,'yt-ydz-fredcwh3-wgy'),('4628182369341101524','刘忠玲','15944477760',NULL,'yt-ydz-fredcwh4-wgy'),('4628182369341101550','张凤玲','13894490220',NULL,'yt-ydz-fredcwh5-wgy'),('4628182369341101576','崔成','13894415045',NULL,'yt-ydz-fredcwh6-wgy'),('4628182369341101602','鲁艳泽','15944479001',NULL,'yt-ydz-maccwh1-wgy'),('4628182369341101628','毛学友','13694403162',NULL,'yt-ydz-maccwh2-wgy'),('4628182369341101654','杨海涛','18727775444',NULL,'yt-ydz-maccwh3-wgy'),('4628182369341101680','王成立','18843463260',NULL,'yt-ydz-maccwh4-wgy'),('4628182369341101706','张春辉','15584708581',NULL,'yt-ydz-maccwh5-wgy'),('4628182919096911152','叶复山','15004438215',NULL,'yt-xgsz-jdcwh1-wgy'),('4628182919096911178','叶明珠','15981695426',NULL,'yt-xgsz-jdcwh2-wgy'),('4628182919096911204','朱艳洪','13843489626',NULL,'yt-xgsz-jdcwh3-wgy'),('4628182919096911230','杜和','15004437738',NULL,'yt-xgsz-jdcwh4-wgy'),('4628182919096911256','李祥','15044472382',NULL,'yt-xgsz-jdcwh5-wgy'),('4628182919096911282','武景珍','15004440605',NULL,'yt-xgsz-jdcwh6-wgy'),('4628182919096911308','杨玉霞','13894415192',NULL,'yt-xgsz-jdcwh7-wgy'),('4628182919096911334','周明岐','18643482418',NULL,'yt-xgsz-jdcwh8-wgy'),('4628182919096911360','杨宏伟','13894494275',NULL,'yt-xgsz-jxicwh1-wgy'),('4628182919096911386','谢宝平','13844490115',NULL,'yt-xgsz-jxicwh2-wgy'),('4628182919096911412','张立英','15944477496',NULL,'yt-xgsz-jxicwh3-wgy'),('4628182919096911438','邢玉海','13654347647',NULL,'yt-xgsz-jxicwh4-wgy'),('4628182919096911464','杨金龙','13844497571',NULL,'yt-xgsz-jxicwh5-wgy'),('4628182919096911490','尹福平','15134440015',NULL,'yt-xgsz-jxicwh6-wgy'),('4628182919096911516','李长海','15943499672',NULL,'yt-xgsz-jxicwh7-wgy'),('4628182919096911542','李志文','13504744628',NULL,'yt-xgsz-jxicwh8-wgy'),('4628182919096911568','韩长海','13630748607',NULL,'yt-xgsz-jxicwh9-wgy'),('4628182919096911594','王春喜','15844470143',NULL,'yt-xgsz-jxicwh10-wgy'),('4628182919096911620','杜发林','15981576916',NULL,'yt-xgsz-jxicwh11-wgy'),('4628182919096911646','董相臣','15044463206',NULL,'yt-xgsz-zjgcwh1-wgy'),('4628182919096911672','苗孔才','15886066963',NULL,'yt-xgsz-zjgcwh2-wgy'),('4628182919096911698','刘景义','15844467956',NULL,'yt-xgsz-zjgcwh3-wgy'),('4628182919096911724','张显忠','13843481020',NULL,'yt-xgsz-zjgcwh4-wgy'),('4628182919096911750','孙有','15643483716',NULL,'yt-xgsz-zjgcwh5-wgy'),('4628182919096911776','蔡连春','15943486217',NULL,'yt-xgsz-zjgcwh6-wgy'),('4628182919096911802','李江','15981578965',NULL,'yt-xgsz-zjgcwh7-wgy'),('4628182919096911828','李宝山','15886068236',NULL,'yt-xgsz-zjgcwh8-wgy'),('4628182919096911854','孟宪海','13630747434',NULL,'yt-xgsz-zjgcwh9-wgy'),('4628182919096911880','高洪成','15944476818',NULL,'yt-xgsz-hdacwh1-wgy'),('4628182919096911906','杜学海','13630956731',NULL,'yt-xgsz-hdacwh2-wgy'),('4628182919096911932','刘臣','13694404912',NULL,'yt-xgsz-hdacwh3-wgy'),('4628182919096911958','王国福','13894497689',NULL,'yt-xgsz-hdacwh4-wgy'),('4628182919096911984','尹志成','13944495954',NULL,'yt-xgsz-hdacwh5-wgy'),('4628182919096912010','刘安','13844497467',NULL,'yt-xgsz-hdacwh6-wgy'),('4628182919096912036','万福全','15044478536',NULL,'yt-xgsz-hdacwh7-wgy'),('4628182919096912062','李伟','15886051911',NULL,'yt-xgsz-hdacwh8-wgy'),('4628182919096912088','刘福','15981695239',NULL,'yt-xgsz-tjcwh1-wgy'),('4628182919096912114','牛宪君','18243461083',NULL,'yt-xgsz-tjcwh2-wgy'),('4628182919096912140','牛国成','18243473371',NULL,'yt-xgsz-tjcwh3-wgy'),('4628182919096912166','牛井华','13694347743',NULL,'yt-xgsz-tjcwh4-wgy'),('4628182919096912192','张连财','15886064559',NULL,'yt-xgsz-tjcwh5-wgy'),('4628182919096912218','王敬学','18844473980',NULL,'yt-xgsz-tjcwh6-wgy'),('4628182919096912244','杨玉波','18243461086',NULL,'yt-xgsz-xhcwh1-wgy'),('4628182919096912270','张敬营','13944495705',NULL,'yt-xgsz-xhcwh2-wgy'),('4628182919096912296','李辉','18629813313',NULL,'yt-xgsz-xhcwh3-wgy'),('4628182919096912322','赵朋','15144461622',NULL,'yt-xgsz-xhcwh4-wgy'),('4628182919096912348','李军','15143474524',NULL,'yt-xgsz-xhcwh5-wgy'),('4628182919096912374','王福君','13630951240',NULL,'yt-xgsz-xhcwh6-wgy'),('4628182919096912400','陈有海','13654446145',NULL,'yt-xgsz-xhcwh7-wgy'),('4628182919096912426','冯新国','15584706961',NULL,'yt-xgsz-erlcwh1-wgy'),('4628182919096912452','张铭良','13630959997',NULL,'yt-xgsz-erlcwh2-wgy'),('4628182919096912479','孙国有','18843460393',NULL,'yt-xgsz-erlcwh3-wgy'),('4628182919096912505','黄大江','15943490992',NULL,'yt-xgsz-erlcwh4-wgy'),('4628182919096912531','王江萍','15500123212',NULL,'yt-xgsz-erlcwh5-wgy'),('4628182919096912557','高明仁','13894414987',NULL,'yt-xgsz-erlcwh6-wgy'),('4628182919096912583','苏庆文','13634343983',NULL,'yt-xgsz-erlcwh7-wgy'),('4628182919096912609','李大田','13614443897',NULL,'yt-xgsz-shhcwh1-wgy'),('4628182919096912635','刘春达','18243479056',NULL,'yt-xgsz-shhcwh2-wgy'),('4628182919096912661','孙宪江','13944491415',NULL,'yt-xgsz-shhcwh3-wgy'),('4628182919096912687','张生','15004437704',NULL,'yt-xgsz-shhcwh4-wgy'),('4628182919096912713','姜辉','13689727703',NULL,'yt-xgsz-shhcwh5-wgy'),('4628182919096912739','薄大龙','15886060604',NULL,'yt-xgsz-shhcwh6-wgy'),('4628182919096912765','刘俊洋','13894495063',NULL,'yt-xgsz-shhcwh7-wgy'),('4628182919096912791','王春雨','15981696950',NULL,'yt-xgsz-laycwh1-wgy'),('4628182919096912817','齐贵忠','15699552618',NULL,'yt-xgsz-laycwh2-wgy'),('4628182919096912843','藏文天','15044473152',NULL,'yt-xgsz-laycwh3-wgy'),('4628182919096912869','张万地','13244344375',NULL,'yt-xgsz-laycwh4-wgy'),('4628182919096912895','郑生','15981578318',NULL,'yt-xgsz-laycwh5-wgy'),('4628182919096912921','王明刚','16643409810',NULL,'yt-xgsz-laycwh6-wgy'),('4628182919096912948','李洪斌','15004424979',NULL,'yt-xgsz-xfcwh1-wgy'),('4628182919096912974','张纯','15774403899',NULL,'yt-xgsz-xfcwh2-wgy'),('4628182919096913000','赵奎军','15981577297',NULL,'yt-xgsz-xfcwh3-wgy'),('4628182919096913026','苏辉','15044479616',NULL,'yt-xgsz-xfcwh4-wgy'),('4628182919096913052','田春光','15981575733',NULL,'yt-xgsz-xfcwh5-wgy'),('4628182919096913078','周启','13843482826',NULL,'yt-xgsz-xfcwh6-wgy'),('4628182919096913104','陈国生','13843481673',NULL,'yt-xgsz-xdacwh1-wgy'),('4628182919096913130','李江','13694402418',NULL,'yt-xgsz-xdacwh2-wgy'),('4628182919096913156','冯桂春','18743468795',NULL,'yt-xgsz-xdacwh3-wgy'),('4628182919096913182','林发','13944495168',NULL,'yt-xgsz-xdacwh4-wgy'),('4628182919096913208','赵永利','13843481450',NULL,'yt-xgsz-xdacwh5-wgy'),('4628182919096913234','王立刚','13894416077',NULL,'yt-xgsz-xdacwh6-wgy'),('4628182919096913260','于永库','13694067438',NULL,'yt-xgsz-xdacwh7-wgy'),('4628182919096913286','白景春','13089287007',NULL,'yt-xgsz-xdacwh8-wgy'),('4628182919096913312','赵树国','13278077052',NULL,'yt-xgsz-ddacwh1-wgy'),('4628182919096913338','孙洪新','13844493830',NULL,'yt-xgsz-ddacwh2-wgy'),('4628182919096913364','李春光','15774400299',NULL,'yt-xgsz-ddacwh3-wgy'),('4628182919096913390','曹国生','15944471930',NULL,'yt-xgsz-ddacwh4-wgy'),('4628182919096913416','李海树','15943481909',NULL,'yt-xgsz-ddacwh5-wgy'),('4628182919096913442','聂井江','15981575045',NULL,'yt-xgsz-ddacwh6-wgy'),('4628182919096913468','张凤举','15774404874',NULL,'yt-xgsz-lujcwh1-wgy'),('4628182919096913494','王振奎','13694402686',NULL,'yt-xgsz-lujcwh2-wgy'),('4628182919096913520','赵连树','15943496671',NULL,'yt-xgsz-lujcwh3-wgy'),('4628182919096913546','刘海君','13843487894',NULL,'yt-xgsz-lujcwh4-wgy'),('4628182919096913572','李少华','13981579598',NULL,'yt-xgsz-lujcwh5-wgy'),('4628182919096913598','贾力国','13843482278',NULL,'yt-xgsz-lujcwh6-wgy'),('4628182919096913624','符海波','15943495080',NULL,'yt-xgsz-lujcwh7-wgy'),('4628182919096913650','杜久山','13504748234',NULL,'yt-xgsz-lujcwh8-wgy'),('4628182919096913676','张有','15144646406',NULL,'yt-xgsz-lujcwh9-wgy'),('4628182919096913702','钱宝玉','13630950996',NULL,'yt-xgsz-lujcwh10-wgy'),('4628182919096913728','程俊国','13894497175',NULL,'yt-xgsz-lujcwh11-wgy'),('4628182919096913754','姜臣','15886052550',NULL,'yt-xgsz-lujcwh12-wgy'),('4628182919096913780','孙恕','13614443950',NULL,'yt-xgsz-lujcwh13-wgy'),('4628182919096913806','李涛','13894414777',NULL,'yt-xgsz-xgssq1-wgy'),('4628183228334562947','于福春','13844491180',NULL,'yt-xwz-xwcwh1-wgy'),('4628183228334562973','田秀娟','15844462838',NULL,'yt-xwz-xwcwh2-wgy'),('4628183228334562999','陈凤春','15004433321',NULL,'yt-xwz-xwcwh3-wgy'),('4628183228334563025','赵春海','13894490611',NULL,'yt-xwz-xwcwh4-wgy'),('4628183228334563051','王玉英','13654446689',NULL,'yt-xwz-xwcwh5-wgy'),('4628183228334563077','马金龙','15004422422',NULL,'yt-xwz-xwcwh6-wgy'),('4628183228334563103','张艳净','18243470530',NULL,'yt-xwz-xwcwh7-wgy'),('4628183228334563129','王凤英','13630749936',NULL,'yt-xwz-xwcwh8-wgy'),('4628183228334563155','牛河川','13694377302',NULL,'yt-xwz-cpzcwh1-wgy'),('4628183228334563181','宋连福','15844467168',NULL,'yt-xwz-cpzcwh2-wgy'),('4628183228334563207','刘星','18644854791',NULL,'yt-xwz-cpzcwh3-wgy'),('4628183228334563233','张廷军','15844472791',NULL,'yt-xwz-cpzcwh4-wgy'),('4628183228334563259','李军','15986993691',NULL,'yt-xwz-cpzcwh5-wgy'),('4628183228334563285','薛明胜','13500848995',NULL,'yt-xwz-cpzcwh6-wgy'),('4628183228334563311','穆德志','15943487290',NULL,'yt-xwz-cpzcwh7-wgy'),('4628183262694293513','李爱丽','15943487142',NULL,'yt-xwz-hamtcwh1-wgy'),('4628183262694293539','刘春杰','13843716704',NULL,'yt-xwz-hamtcwh2-wgy'),('4628183262694293565','张久涛','15590336150',NULL,'yt-xwz-hamtcwh3-wgy'),('4628183262694293591','穆占军','15943493699',NULL,'yt-xwz-hamtcwh4-wgy'),('4628183262694293617','李红','15590357637',NULL,'yt-xwz-hamtcwh5-wgy'),('4628183262694293643','彭野','15143755333',NULL,'yt-xwz-hamtcwh6-wgy'),('4628183262694293669','刘伟','15714348118',NULL,'yt-xwz-hamtcwh7-wgy'),('4628183262694293695','顾金财','15004423418',NULL,'yt-xwz-hamtcwh8-wgy'),('4628183262694293721','刘广智','15943492188',NULL,'yt-xwz-hamtcwh9-wgy'),('4628183262694293747','孙旭','15004431211',NULL,'yt-xwz-hamtcwh10-wgy'),('4628183262694293773','石玉和','13630955760',NULL,'yt-xwz-hamtcwh11-wgy'),('4628183262694293799','杨万城','18243475799',NULL,'yt-xwz-chzgcwh1-wgy'),('4628183262694293825','胡玉生','15004437163',NULL,'yt-xwz-chzgcwh2-wgy'),('4628183262694293851','彭金范','13278057980',NULL,'yt-xwz-chzgcwh3-wgy'),('4628183262694293877','李艳秋','15004437203',NULL,'yt-xwz-chzgcwh4-wgy'),('4628183262694293903','李艳娟','18744463608',NULL,'yt-xwz-chzgcwh5-wgy'),('4628183262694293929','王中富','15844472149',NULL,'yt-xwz-chzgcwh6-wgy'),('4628183262694293955','李金荣','15944758962',NULL,'yt-xwz-chzgcwh7-wgy'),('4628183262694293981','马金凤','15004420720',NULL,'yt-xwz-chzgcwh8-wgy'),('4628183262694294007','宋学','15665900609',NULL,'yt-xwz-gushcwh1-wgy'),('4628183262694294033','王淑兰','18744454575',NULL,'yt-xwz-gushcwh2-wgy'),('4628183262694294059','孙文义','13630707663',NULL,'yt-xwz-gushcwh3-wgy'),('4628183262694294085','刘国','15886053974',NULL,'yt-xwz-gushcwh4-wgy'),('4628183262694294111','陈继国','13694346079',NULL,'yt-xwz-gushcwh5-wgy'),('4628183262694294137','赵淑慧','15044476462',NULL,'yt-xwz-gushcwh6-wgy'),('4628183262694294163','姚春华','15204466077',NULL,'yt-xwz-gushcwh7-wgy'),('4628183262694294189','邹连才','15886056898',NULL,'yt-xwz-gushcwh8-wgy'),('4628183262694294215','战兴国','13624445837',NULL,'yt-xwz-jccwh1-wgy'),('4628183262694294241','张国利','15886067279',NULL,'yt-xwz-jccwh2-wgy'),('4628183262694294267','刘乃清','15144461830',NULL,'yt-xwz-jccwh3-wgy'),('4628183262694294293','王利','13630955007',NULL,'yt-xwz-jccwh4-wgy'),('4628183262694294319','王荣新','18744454028',NULL,'yt-xwz-jccwh5-wgy'),('4628183262694294345','黄景军','15204461509',NULL,'yt-xwz-jccwh6-wgy'),('4628183262694294371','李来顺','15886062453',NULL,'yt-xwz-jccwh7-wgy'),('4628183262694294397','徐艳','15944471623',NULL,'yt-xwz-hgcwh1-wgy'),('4628183262694294423','赵宝伟','13694403737',NULL,'yt-xwz-hgcwh2-wgy'),('4628183262694294449','高海喜','15004443383',NULL,'yt-xwz-hgcwh3-wgy'),('4628183262694294475','魏丽波','15844479785',NULL,'yt-xwz-hgcwh4-wgy'),('4628183262694294501','赵奎武','13694346237',NULL,'yt-xwz-hgcwh5-wgy'),('4628183262694294527','毕海深','15590208770',NULL,'yt-xwz-hgcwh6-wgy'),('4628183262694294553','王贵','18744460189',NULL,'yt-xwz-hgcwh7-wgy'),('4628183262694294579','贾祥','15844473668',NULL,'yt-xwz-hgcwh8-wgy'),('4628183262694294605','谷玉兰','15143473458',NULL,'yt-xwz-hgcwh9-wgy'),('4628183262694294631','杨桂清','13689746567',NULL,'yt-xwz-hgcwh10-wgy'),('4628183262694294657','施德明','15844479163',NULL,'yt-xwz-yaowcwh1-wgy'),('4628183262694294683','赵林','15004429814',NULL,'yt-xwz-yaowcwh2-wgy'),('4628183262694294709','关云龙','15568595559',NULL,'yt-xwz-yaowcwh3-wgy'),('4628183262694294735','纪春平','15944471860',NULL,'yt-xwz-yaowcwh4-wgy'),('4628183262694294761','赵云娟','13654446796',NULL,'yt-xwz-yaowcwh5-wgy'),('4628183262694294787','马有利','15844476198',NULL,'yt-xwz-yaowcwh6-wgy'),('4628183262694294813','蔡喜安','15943486588',NULL,'yt-xwz-xwsq1-wgy'),('4628183675011160713','邢彬','15943495367',NULL,'yt-masz-xinfcwh1-wgy'),('4628183675011160740','陈凤芹','13944490237',NULL,'yt-masz-xinfcwh2-wgy'),('4628183675011160766','曹宝军','15886066535',NULL,'yt-masz-xinfcwh3-wgy'),('4628183675011160792','李连生','15500441670',NULL,'yt-masz-xinfcwh4-wgy'),('4628183675011160818','楚福山','13278059359',NULL,'yt-masz-tlucwh1-wgy'),('4628183675011160845','许金波','13514343910',NULL,'yt-masz-tlucwh2-wgy'),('4628183675011160871','王晓东','15134443050',NULL,'yt-masz-tlucwh3-wgy'),('4628183675011160897','杜文玉','15944478608',NULL,'yt-masz-tlucwh4-wgy'),('4628183675011160924','胡润江','15004445635',NULL,'yt-masz-tlucwh5-wgy'),('4628183675011160951','高艳','15981695899',NULL,'yt-masz-bgzcwh1-wgy'),('4628183675011160977','刘伟','13041371986',NULL,'yt-masz-bgzcwh2-wgy'),('4628183675011161003','吴士君','18243476901',NULL,'yt-masz-bgzcwh3-wgy'),('4628183675011161029','申海涛','13689726155',NULL,'yt-masz-bgzcwh4-wgy'),('4628183675011161055','陈凤和','15004444559',NULL,'yt-masz-bgzcwh5-wgy'),('4628183675011161081','杜玉清','15144640919',NULL,'yt-masz-yolcwh1-wgy'),('4628183675011161107','张辉','18243472683',NULL,'yt-masz-yolcwh2-wgy'),('4628183675011161133','野世鹏','15844463789',NULL,'yt-masz-yolcwh3-wgy'),('4628183675011161159','王树成','15004432055',NULL,'yt-masz-yolcwh4-wgy'),('4628183675011161211','计洪信','15204465158',NULL,'yt-masz-gycwh1-wgy'),('4628183675011161237','杨坡','15844476360',NULL,'yt-masz-gycwh2-wgy'),('4628183675011161263','林保国','13944494079',NULL,'yt-masz-gycwh3-wgy'),('4628183675011161289','魏玉民','15844471660',NULL,'yt-masz-gycwh4-wgy'),('4628183675011161315','王新亮','15568544678',NULL,'yt-masz-xfcwh1-wgy'),('4628183675011161341','韩佰林','15004448701',NULL,'yt-masz-xfcwh2-wgy'),('4628183675011161367','于宝刚','13944495183',NULL,'yt-masz-xfcwh3-wgy'),('4628183675011161393','陈健','13244066665',NULL,'yt-masz-xfcwh4-wgy'),('4628183675011161419','赵育','17086823222',NULL,'yt-masz-xfcwh5-wgy'),('4628183675011161445','冯贵军','15500129577',NULL,'yt-masz-xfcwh6-wgy'),('4628183675011161471','常明','15144646887',NULL,'yt-masz-jlcwh1-wgy'),('4628183675011161497','孙树军','13894491455',NULL,'yt-masz-jlcwh2-wgy'),('4628183675011161523','刘佰秋','18644844020',NULL,'yt-masz-jlcwh3-wgy'),('4628183675011161549','曹凤坤','13278055431',NULL,'yt-masz-jlcwh4-wgy'),('4628183675011161575','张凤国','15665916330',NULL,'yt-masz-jlcwh5-wgy'),('4628183675011161627','王占新','15943497557',NULL,'yt-masz-qjcwh1-wgy'),('4628183675011161653','郭洪波','15004424460',NULL,'yt-masz-qjcwh2-wgy'),('4628183675011161679','刘忠孝','15004428705',NULL,'yt-masz-qjcwh3-wgy'),('4628183675011161705','李玉林','13331737998',NULL,'yt-masz-qjcwh4-wgy'),('4628183675011161731','崔玉军','13654446465',NULL,'yt-masz-xfacwh1-wgy'),('4628183675011161757','祝玉珍','15044469938',NULL,'yt-masz-xfacwh2-wgy'),('4628183675011161783','刘润州','15886060693',NULL,'yt-masz-xfacwh3-wgy'),('4628183675011161809','王树忠','15774402335',NULL,'yt-masz-xfacwh4-wgy'),('4628183675011161835','许来臣','18243472036',NULL,'yt-masz-xncwh1-wgy'),('4628183675011161861','刘义','15943491667',NULL,'yt-masz-xncwh2-wgy'),('4628183675011161887','王东','18643488850',NULL,'yt-masz-xncwh3-wgy'),('4628183675011161913','胡宝晶','13689727146',NULL,'yt-masz-xncwh4-wgy'),('4628183675011161939','王淑娟','13844495125',NULL,'yt-masz-xncwh5-wgy'),('4628183675011161965','刘伟','15982577706',NULL,'yt-masz-xncwh6-wgy'),('4628183675011161991','张瑞','16643409566',NULL,'yt-masz-xncwh7-wgy'),('4628183675011162017','万景文','15944478820',NULL,'yt-masz-fuqcwh1-wgy'),('4628183675011162043','白刚','13630956355',NULL,'yt-masz-fuqcwh2-wgy'),('4628183675011162069','王会军','15204465168',NULL,'yt-masz-fuqcwh3-wgy'),('4628183675011162095','高喜文','13630955220',NULL,'yt-masz-fuqcwh4-wgy'),('4628183709370892297','陈晓红','15004423069',NULL,'yt-masz-fuqcwh5-wgy'),('4628183709370892323','朱显发','15886055412',NULL,'yt-masz-fuqcwh6-wgy'),('4628183743730630662','刘亚臣','15944476115',NULL,'yt-masz-fuqcwh7-wgy'),('4628183743730630688','齐桂珍','15144461710',NULL,'yt-masz-fuqcwh8-wgy'),('4628183743730630714','沈艳辉','15004437194',NULL,'yt-masz-fuqcwh9-wgy'),('4628183743730630740','刘景玉','15585436657',NULL,'yt-masz-majcwh1-wgy'),('4628183743730630766','张亚海','18844471229',NULL,'yt-masz-majcwh2-wgy'),('4628183743730630792','赵金林','13404377760',NULL,'yt-masz-majcwh3-wgy'),('4628183743730630818','杨军山','13694346413',NULL,'yt-masz-majcwh4-wgy'),('4628183743730630844','侯树久','18744458583',NULL,'yt-masz-majcwh5-wgy'),('4628183743730630870','程立军','16343499936',NULL,'yt-masz-majcwh6-wgy'),('4628183743730630896','陈阁','15144466672',NULL,'yt-masz-majcwh7-wgy'),('4628183743730630922','陈绍波','15143473083',NULL,'yt-masz-dfcwh1-wgy'),('4628183743730630948','庄荣昌','13843482720',NULL,'yt-masz-dfcwh2-wgy'),('4628183743730630974','赵庆和','15044476828',NULL,'yt-masz-dfcwh3-wgy'),('4628183743730631000','李贺','15134447003',NULL,'yt-masz-dfcwh4-wgy'),('4628183743730631026','吴和利','18943850188',NULL,'yt-masz-dfcwh5-wgy'),('4628183743730631052','杜艳伍','15981570792',NULL,'yt-masz-dfcwh6-wgy'),('4634274866349924423','尹大勇','15599853555',NULL,'yindy'),('4635293357714723872','张勇','13654347420',NULL,'yt-edz-hmcwh1-wgy'),('4635293357714723898','鲍中贵','16643409469',NULL,'yt-edz-hmcwh2-wgy'),('4635293357714723924','霍祥','18843463486',NULL,'yt-edz-hmcwh3-wgy'),('4635293357714723950','李彦忠','13844497800',NULL,'yt-edz-hmcwh4-wgy'),('4635293357714723976','李芳','15500441877',NULL,'yt-edz-hmcwh5-wgy'),('4635293357714724002','李纪平','15134449393',NULL,'yt-edz-hdcwh1-wgy'),('4635293357714724028','杨帅','15004433332',NULL,'yt-edz-hdcwh2-wgy'),('4635293357714724054','丁宝富','13894414575',NULL,'yt-edz-hdcwh3-wgy'),('4635293357714724080','车志忠','15134448251',NULL,'yt-edz-hdcwh4-wgy'),('4635293357714724106','鲍兴和','13894494576',NULL,'yt-edz-hdcwh5-wgy'),('4635293357714724132','杜旭明','18243464405',NULL,'yt-edz-schcwh1-wgy'),('4635293357714724158','曹耀春','15844467523',NULL,'yt-edz-schcwh2-wgy'),('4635293357714724184','郑宝山','13843485352',NULL,'yt-edz-schcwh3-wgy'),('4635293357714724210','李金成','15004447386',NULL,'yt-edz-schcwh4-wgy'),('4635293357714724236','刘财','13278532626',NULL,'yt-edz-schcwh5-wgy'),('4635293357714724262','徐财','15943484338',NULL,'yt-edz-schcwh6-wgy'),('4635293357714724288','魏德贵','15886051470',NULL,'yt-edz-schcwh7-wgy'),('4635293357714724314','崔洪海','13943476546',NULL,'yt-edz-schcwh8-wgy'),('4635293357714724340','孙录','15981695677',NULL,'yt-edz-schcwh9-wgy'),('4635293357714724366','李中孝','15886069568',NULL,'yt-edz-schcwh10-wgy'),('4635293357714724392','任德秀','15944470903',NULL,'yt-edz-fuancwh1-wgy'),('4635293357714724418','李财','15886054644',NULL,'yt-edz-fuancwh2-wgy'),('4635293357714724444','王作成','13029011579',NULL,'yt-edz-fuancwh3-wgy'),('4635293357714724470','陈占富','13944495562',NULL,'yt-edz-fuancwh4-wgy'),('4635293357714724496','李凯','15886069112',NULL,'yt-edz-wandcwh1-wgy'),('4635293357714724522','王伟','15204462276',NULL,'yt-edz-wandcwh2-wgy'),('4635293357714724548','尹学良','13224448421',NULL,'yt-edz-wandcwh3-wgy'),('4635293357714724574','张守信','13214411466',NULL,'yt-edz-wandcwh4-wgy'),('4635293357714724600','席英','15944472904',NULL,'yt-edz-wandcwh5-wgy'),('4635293357714724626','张立中','13194346858',NULL,'yt-edz-wandcwh6-wgy'),('4635293357714724652','谷雨','13944498964',NULL,'yt-edz-shmcwh1-wgy'),('4635293357714724721','刘佰江','15944471775',NULL,'yt-edz-shmcwh2-wgy'),('4635293357714724747','杜桂兰','13089287969',NULL,'yt-edz-shmcwh3-wgy'),('4635293357714724773','李金生','15143479923',NULL,'yt-edz-shmcwh4-wgy'),('4635293357714724800','高云龙','15500445011',NULL,'yt-edz-shmcwh5-wgy'),('4635293357714724826','李海龙','15004438598',NULL,'yt-edz-shmcwh6-wgy'),('4635293357714724852','张景林','13278075627',NULL,'yt-edz-shmcwh7-wgy'),('4635293357714724878','管恩海','13694406781',NULL,'yt-edz-erdcwh1-wgy'),('4635293357714724904','马占山','13244240788',NULL,'yt-edz-erdcwh2-wgy'),('4635293357714724930','刘凤君','15144645558',NULL,'yt-edz-erdcwh3-wgy'),('4635293357714724956','郭中权','17089475333',NULL,'yt-edz-erdcwh4-wgy'),('4635293357714724982','刘妤玲','13844448169',NULL,'yt-edz-erdcwh5-wgy'),('4635293357714725008','王英彪','15143471183',NULL,'yt-edz-zxcwh1-wgy'),('4635293357714725034','薛涛','13843483757',NULL,'yt-edz-zxcwh2-wgy'),('4635293357714725060','杨喜林','16725088889',NULL,'yt-edz-zxcwh3-wgy'),('4635293357714725086','刘文成','15004445266',NULL,'yt-edz-zxcwh4-wgy'),('4635293357714725112','李俊锋','15143475239',NULL,'yt-edz-hjcwh1-wgy'),('4635293357714725138','赵金龙','15044465152',NULL,'yt-edz-hjcwh2-wgy'),('4635293357714725164','张亚杰','15886056599',NULL,'yt-edz-hjcwh3-wgy'),('4635293357714725190','徐延军','13624349551',NULL,'yt-edz-hjcwh4-wgy'),('4635293357714725216','郭强','13844495605',NULL,'yt-edz-hjcwh5-wgy'),('4635293357714725242','王立峰','13278074206',NULL,'yt-edz-hjcwh6-wgy'),('4635293357714725268','宋春龙','15943498317',NULL,'yt-edz-hscwh1-wgy'),('4635293357714725294','宋伟','13258738938',NULL,'yt-edz-hscwh2-wgy'),('4635293357714725320','贾福','13294342959',NULL,'yt-edz-hscwh3-wgy'),('4635293357714725346','赵江','15004425373',NULL,'yt-edz-hscwh4-wgy'),('4635294697744521610','周振林','15844467880',NULL,'yt-dgsz-dgscwh1-wgy'),('4635294697744521641','彭艳辉','15590205785',NULL,'yt-dgsz-dgscwh2-wgy'),('4635294697744521667','袁素洁','15144641800',NULL,'yt-dgsz-dgscwh3-wgy'),('4635294697744521693','周福春','15590414008',NULL,'yt-dgsz-dgscwh4-wgy'),('4635294697744521719','王香华','15844464887',NULL,'yt-dgsz-dgscwh5-wgy'),('4635294697744521745','张长山','15886055648',NULL,'yt-dgsz-dgscwh6-wgy'),('4635294697744521772','石金贵','18743460496',NULL,'yt-dgsz-dgscwh7-wgy'),('4635294697744521798','刘英会','13278045696',NULL,'yt-dgsz-dgscwh8-wgy'),('4635294697744521824','刘文山','18744460146',NULL,'yt-dgsz-dgscwh9-wgy'),('4635294697744521850','张莹','13943498550',NULL,'yt-dgsz-dgscwh10-wgy'),('4635294697744521876','邓连成','15774474956',NULL,'yt-dgsz-dgscwh11-wgy'),('4635294697744521902','王洪波','15004442997',NULL,'yt-dgsz-dgscwh12-wgy'),('4635294697744521928','王占国','15004443887',NULL,'yt-dgsz-yslcwh1-wgy'),('4635294697744521958','宋秀清','15844462486',NULL,'yt-dgsz-yslcwh2-wgy'),('4635294697744521984','杨小平','15044462573',NULL,'yt-dgsz-yslcwh3-wgy'),('4635294697744522010','姜宏艳','15943496891',NULL,'yt-dgsz-yslcwh4-wgy'),('4635294697744522037','高晕财','15004432654',NULL,'yt-dgsz-yslcwh5-wgy'),('4635294697744522063','刘福军','15134449600',NULL,'yt-dgsz-yslcwh6-wgy'),('4635294697744522090','孟庆贺','15590411905',NULL,'yt-dgsz-yslcwh7-wgy'),('4635294697744522116','孙和荣','13843481432',NULL,'yt-dgsz-yslcwh8-wgy'),('4635294697744522142','吴立民','13500848896',NULL,'yt-dgsz-shlcwh1-wgy'),('4635294697744522168','陆江','18743464349',NULL,'yt-dgsz-shlcwh2-wgy'),('4635294697744522194','郝彦付','15881694196',NULL,'yt-dgsz-shlcwh3-wgy'),('4635294697744522220','杨德臣','13654446245',NULL,'yt-dgsz-shlcwh4-wgy'),('4635294697744522246','邱连贵','15943493874',NULL,'yt-dgsz-shlcwh5-wgy'),('4635294697744522272','付有艺','15886054743',NULL,'yt-dgsz-shlcwh6-wgy'),('4635294697744522298','邱立明','13894494249',NULL,'yt-dgsz-shlcwh7-wgy'),('4635294697744522324','陆海军','15004449330',NULL,'yt-dgsz-shlcwh8-wgy'),('4635294697744522350','苗桂云','13278531693',NULL,'yt-dgsz-shlcwh9-wgy'),('4635294697744522376','黄金玉','15981698184',NULL,'yt-dgsz-shlcwh10-wgy'),('4635294697744522402','康立成','15004443988',NULL,'yt-dgsz-shlcwh11-wgy'),('4635294697744522428','康有','18243479812',NULL,'yt-dgsz-shlcwh12-wgy'),('4635294697744522454','张大伟','18844479444',NULL,'yt-dgsz-hencwh1-wgy'),('4635294697744522480','许义','13504744078',NULL,'yt-dgsz-hencwh2-wgy'),('4635294697744522506','张佩禹','13504358785',NULL,'yt-dgsz-hencwh3-wgy'),('4635294697744522532','张桂玲','15774478913',NULL,'yt-dgsz-hencwh4-wgy'),('4635294697744522558','李子范','15844469777',NULL,'yt-dgsz-hencwh5-wgy'),('4635294697744522585','李庆林','15944478569',NULL,'yt-dgsz-hencwh6-wgy'),('4635294697744522611','苏立山','15886061089',NULL,'yt-dgsz-hencwh7-wgy'),('4635294697744522637','高艳生','15143476094',NULL,'yt-dgsz-hencwh8-wgy'),('4635294697744522663','白明玉','15944473065',NULL,'yt-dgsz-hencwh9-wgy'),('4635294697744522689','张佰华','15886068048',NULL,'yt-dgsz-hencwh10-wgy'),('4635294697744522715','孙洪玉','18744457157',NULL,'yt-dgsz-hencwh11-wgy'),('4635294697744522741','白丽娟','15886051018',NULL,'yt-dgsz-hencwh12-wgy'),('4635294697744522767','李忠','13694403289',NULL,'yt-dgsz-hencwh13-wgy'),('4635294697744522793','滕云龙','13944491955',NULL,'yt-dgsz-hxlcwh1-wgy'),('4635294697744522819','刘耀宽','13630958133',NULL,'yt-dgsz-hxlcwh2-wgy'),('4635294697744522845','王国玉','13844497696',NULL,'yt-dgsz-hxlcwh3-wgy'),('4635294697744522872','朱洪军','13894499906',NULL,'yt-dgsz-hxlcwh4-wgy'),('4635294697744522898','崔双权','15844476829',NULL,'yt-dgsz-hxlcwh5-wgy'),('4635294697744522924','杨玉成','15774401121',NULL,'yt-dgsz-hxlcwh6-wgy'),('4635294697744522950','林杰','18943855679',NULL,'yt-dgsz-hxlcwh7-wgy'),('4635294697744522976','刘飞','15886052001',NULL,'yt-dgsz-hxlcwh8-wgy'),('4635294697744523002','杨凤林','15004436488',NULL,'yt-dgsz-hxlcwh9-wgy'),('4635294697744523028','王平','13844495689',NULL,'yt-dgsz-hxlcwh10-wgy'),('4635294697744523054','佟海峰','15134445338',NULL,'yt-dgsz-hxlcwh11-wgy'),('4635294697744523080','孟亚新','13694349977',NULL,'yt-dgsz-chjcwh1-wgy'),('4635294697744523110','陈立田','15844460675',NULL,'yt-dgsz-chjcwh2-wgy'),('4635294697744523136','陈欣田','15943485348',NULL,'yt-dgsz-chjcwh3-wgy'),('4635294697744523162','刘云华','18743441878',NULL,'yt-dgsz-chjcwh4-wgy'),('4635294697744523188','王刚','15004427683',NULL,'yt-dgsz-chjcwh5-wgy'),('4635294697744523214','孟凡英','13159623696',NULL,'yt-dgsz-chjcwh6-wgy'),('4635294697744523240','侯振山','15004424976',NULL,'yt-dgsz-chjcwh7-wgy'),('4635294732104253442','王跃','15774476120',NULL,'yt-dgsz-chjcwh8-wgy'),('4635294732104253468','陈立权','13944497983',NULL,'yt-dgsz-chjcwh9-wgy'),('4635294732104253494','李洪祥','15144467876',NULL,'yt-dgsz-chjcwh10-wgy'),('4635294732104253520','寇宪忠','15044473183',NULL,'yt-dgsz-chjcwh11-wgy'),('4635294732104253546','袁景春','15943485010',NULL,'yt-dgsz-hejcwh1-wgy'),('4635294732104253573','马季忠','13630950982',NULL,'yt-dgsz-hejcwh2-wgy'),('4635294732104253599','马国民','15943484941',NULL,'yt-dgsz-hejcwh3-wgy'),('4635294732104253625','袁海艳','15943496836',NULL,'yt-dgsz-hejcwh4-wgy'),('4635294732104253652','孙平','15844475830',NULL,'yt-dgsz-hejcwh5-wgy'),('4635294732104253678','宋学艳','15886066796',NULL,'yt-dgsz-hejcwh6-wgy'),('4635294732104253704','宋学峰','13614443444',NULL,'yt-dgsz-hejcwh7-wgy'),('4635294732104253730','刘金昌','15774414160',NULL,'yt-dgsz-hejcwh8-wgy'),('4635294732104253756','高建伟','15204462468',NULL,'yt-dgsz-hejcwh9-wgy'),('4635294732104253783','贾海林','15500122618',NULL,'yt-dgsz-hejcwh10-wgy'),('4635294732104253809','马庆发','13843485818',NULL,'yt-dgsz-hejcwh11-wgy'),('4635294732104253835','张健发','18499404666',NULL,'yt-dgsz-hejcwh12-wgy'),('4635294732104253862','孙志民','15144461103',NULL,'yt-dgsz-hejcwh13-wgy'),('4635294732104253888','郝政权','13894491956',NULL,'yt-dgsz-hejcwh14-wgy'),('4635294732104253914','王艳萍','13694404522',NULL,'yt-dgsz-shxcwh1-wgy'),('4635294732104253941','郑国福','13179187158',NULL,'yt-dgsz-shxcwh2-wgy'),('4635294732104253968','张勇','13843481367',NULL,'yt-dgsz-shxcwh3-wgy'),('4635294732104253994','祝国军','17543432178',NULL,'yt-dgsz-shxcwh4-wgy'),('4635294732104254020','张桂霞','15886063442',NULL,'yt-dgsz-shxcwh5-wgy'),('4635294732104254046','康金柱','15004440893',NULL,'yt-dgsz-shxcwh6-wgy'),('4635294732104254072','袁海军','13894495188',NULL,'yt-dgsz-shxcwh7-wgy'),('4635294732104254098','宋玉刚','15844463357',NULL,'yt-dgsz-shxcwh8-wgy'),('4635294732104254124','张树春','15943497084',NULL,'yt-dgsz-shxcwh9-wgy'),('4635294732104254150','宋云龙','15044465056',NULL,'yt-dgsz-shxcwh10-wgy'),('4635294732104254176','刘建峰','13354346632',NULL,'yt-dgsz-shxcwh11-wgy'),('4635294732104254202','张树成','13504358819',NULL,'yt-dgsz-shxcwh12-wgy'),('4635294732104254228','何权','15886056258',NULL,'yt-dgsz-shxcwh13-wgy'),('4635294732104254254','顾淑华','15144461390',NULL,'yt-dgsz-shxcwh14-wgy'),('4635294732104254280','高志佳','15943425897',NULL,'yt-dgsz-xjcwh1-wgy'),('4635294732104254310','沙敏','13844499812',NULL,'yt-dgsz-xjcwh2-wgy'),('4635294732104254336','杨学林','13894412765',NULL,'yt-dgsz-xjcwh3-wgy'),('4635294732104254362','杨学义','13694408216',NULL,'yt-dgsz-xjcwh4-wgy'),('4635294732104254388','张平','15844467083',NULL,'yt-dgsz-xjcwh5-wgy'),('4635294732104254414','张林','13844495972',NULL,'yt-dgsz-xjcwh6-wgy'),('4635294732104254440','马宝玉','15774402010',NULL,'yt-dgsz-xjcwh7-wgy'),('4635294732104254466','李万春','15981570464',NULL,'yt-dgsz-xjcwh8-wgy'),('4635294732104254492','张时瑞','15581454444',NULL,'yt-dgsz-xjcwh9-wgy'),('4635294732104254518','王俊','15886067808',NULL,'yt-dgsz-xjcwh10-wgy'),('4635294732104254544','王新国','13944497977',NULL,'yt-dgsz-dayscwh1-wgy'),('4635294732104254575','李玉文','13944499384',NULL,'yt-dgsz-dayscwh2-wgy'),('4635294732104254601','王福生','13904354736',NULL,'yt-dgsz-dayscwh3-wgy'),('4635294732104254627','李勇','15204461168',NULL,'yt-dgsz-dayscwh4-wgy'),('4635294732104254653','佟艳双','15844472203',NULL,'yt-dgsz-dayscwh5-wgy'),('4635294732104254679','于彬','13224400288',NULL,'yt-dgsz-dayscwh6-wgy'),('4635294732104254705','杨宝昌','18843460827',NULL,'yt-dgsz-dayscwh7-wgy'),('4635294732104254731','于大军','13694347672',NULL,'yt-dgsz-dayscwh8-wgy'),('4635294732104254757','薛刚','15844478051',NULL,'yt-dgsz-dayscwh9-wgy'),('4635294732104254783','杨海','15204481792',NULL,'yt-dgsz-dayscwh10-wgy'),('4635294732104254809','李凤山','18920685227',NULL,'yt-dgsz-dayscwh11-wgy'),('4635294732104254835','梁彦龙','15844460806',NULL,'yt-dgsz-dayscwh12-wgy'),('4635294732104254861','李海和','15734477122',NULL,'yt-dgsz-dayscwh13-wgy'),('4635294732104254887','张志明','13504748850',NULL,'yt-dgsz-wdfcwh1-wgy'),('4635294732104254916','吉慧','13944499345',NULL,'yt-dgsz-wdfcwh2-wgy'),('4635294732104254942','吉永奎','13278539668',NULL,'yt-dgsz-wdfcwh3-wgy'),('4635294732104254968','齐连军','18843464448',NULL,'yt-dgsz-wdfcwh4-wgy'),('4635294732104254994','尚尔明','15981697829',NULL,'yt-dgsz-wdfcwh5-wgy'),('4635294732104255020','王继山','13278059779',NULL,'yt-dgsz-wdfcwh6-wgy'),('4635294732104255046','黄作军','13278533522',NULL,'yt-dgsz-wdfcwh7-wgy'),('4635294732104255072','许翠莲','15886056618',NULL,'yt-dgsz-wdfcwh8-wgy'),('4635294732104255098','张海艳','15568599978',NULL,'yt-dgsz-wdfcwh9-wgy'),('4635294732104255124','王军委','15943487120',NULL,'yt-dgsz-daqcwh1-wgy'),('4635294732104255150','耿维东','15134442898',NULL,'yt-dgsz-daqcwh2-wgy'),('4635294732104255176','薛兴伟','18243460200',NULL,'yt-dgsz-daqcwh3-wgy'),('4635294732104255202','黄玉杰','15004429630',NULL,'yt-dgsz-daqcwh4-wgy'),('4635294732104255228','丁萍萍','15844461890',NULL,'yt-dgsz-daqcwh5-wgy'),('4635294732104255254','杨子成','13630958716',NULL,'yt-dgsz-daqcwh6-wgy'),('4635294732104255280','韩凤伟','13944499331',NULL,'yt-dgsz-daqcwh7-wgy'),('4635294732104255306','薛秀山','15944472543',NULL,'yt-dgsz-daqcwh8-wgy'),('4635294732104255332','孟凡静','15144463957',NULL,'yt-dgsz-daqcwh9-wgy'),('4635294732104255358','郭成','15844469778',NULL,'yt-dgsz-daqcwh10-wgy'),('4635294732104255384','王晓辉','13844490360',NULL,'yt-dgsz-daqcwh11-wgy'),('4635294732104255410','裴喜','15044465166',NULL,'yt-dgsz-daqcwh12-wgy'),('4635294732104255436','孙凤臣','18743467798',NULL,'yt-dgsz-njcwh1-wgy'),('4635294732104255462','裴会清','15734413288',NULL,'yt-dgsz-njcwh2-wgy'),('4635294732104255490','陈学忠','13894413352',NULL,'yt-dgsz-njcwh3-wgy'),('4635294732104255516','林德胜','15143477595',NULL,'yt-dgsz-njcwh4-wgy'),('4635294732104255542','王志国','15944472416',NULL,'yt-dgsz-njcwh5-wgy'),('4635294732104255569','洪波','15144463332',NULL,'yt-dgsz-njcwh6-wgy'),('4635294732104255595','骆伟','13196297998',NULL,'yt-dgsz-njcwh7-wgy'),('4635294732104255621','张喜斌','13844499352',NULL,'yt-dgsz-njcwh8-wgy'),('4635294732104255648','刘国富','13694407751',NULL,'yt-dgsz-njcwh9-wgy'),('4635294732104255674','霍健','18629835525',NULL,'yt-dgsz-njcwh10-wgy'),('4635294732104255700','苗俊','18628779622',NULL,'yt-dgsz-njcwh11-wgy'),('4635294732104255727','孙凤林','18143008013',NULL,'yt-dgsz-njcwh12-wgy'),('4635294732104255753','温奎','15590290332',NULL,'yt-dgsz-njcwh13-wgy'),('4635294732104255781','孙凤财','15844461277',NULL,'yt-dgsz-njcwh14-wgy'),('4635294732104255807','于桂清','15943489766',NULL,'yt-dgsz-njcwh15-wgy'),('4635294732104255833','苏迎才','15004427222',NULL,'yt-dgsz-mjcwh1-wgy'),('4635294732104255859','孙伟楠','15143477220',NULL,'yt-dgsz-mjcwh2-wgy'),('4635294732104255885','刘兴波','15204469977',NULL,'yt-dgsz-mjcwh3-wgy'),('4635294732104255911','王云宝','13944494515',NULL,'yt-dgsz-mjcwh4-wgy'),('4635294732104255937','林长青','18404341155',NULL,'yt-dgsz-mjcwh5-wgy'),('4635294732104255963','吕群英','15844469266',NULL,'yt-dgsz-mjcwh6-wgy'),('4635294732104255989','田忠山','15844469335',NULL,'yt-dgsz-mjcwh7-wgy'),('4635294732104256015','赵臣','15943495449',NULL,'yt-dgsz-mjcwh8-wgy'),('4635294732104256041','李忠江','15143470444',NULL,'yt-dgsz-mjcwh9-wgy'),('4635294732104256067','李景华','13844497151',NULL,'yt-dgsz-cjcwh1-wgy'),('4635294732104256094','贾秋红','15044476363',NULL,'yt-dgsz-cjcwh2-wgy'),('4635294732104256120','刘忠','13944493332',NULL,'yt-dgsz-cjcwh3-wgy'),('4635294732104256147','张长军','15886065901',NULL,'yt-dgsz-cjcwh4-wgy'),('4635294732104256173','邱杰','15981573401',NULL,'yt-dgsz-cjcwh5-wgy'),('4635294732104256199','蔡月','15844468921',NULL,'yt-dgsz-cjcwh6-wgy'),('4635294732104256225','曹维刚','13843466548',NULL,'yt-dgsz-cjcwh7-wgy'),('4635294732104256251','张荣海','15044467380',NULL,'yt-dgsz-ljcwh1-wgy'),('4635294732104256278','王志海','13894491197',NULL,'yt-dgsz-ljcwh2-wgy'),('4635294732104256304','王丽燕','15886052114',NULL,'yt-dgsz-ljcwh3-wgy'),('4635294732104256330','李世良','13894491258',NULL,'yt-dgsz-ljcwh4-wgy'),('4635294732104256357','彭志民','15004426448',NULL,'yt-dgsz-ljcwh5-wgy'),('4635294732104256383','刘忠山','18743466831',NULL,'yt-dgsz-ljcwh6-wgy'),('4635294732104256409','郜振江','13504358907',NULL,'yt-dgsz-ljcwh7-wgy'),('4635294732104256436','王晓奎','15943495169',NULL,'yt-dgsz-ljcwh8-wgy'),('4635294732104256462','吴显忠','13944496981',NULL,'yt-dgsz-ljcwh9-wgy'),('4635294732104256488','于静贤','13843480527',NULL,'yt-dgsz-ljcwh10-wgy'),('4635294732104256514','胡青林','15886060502',NULL,'yt-dgsz-ljcwh11-wgy'),('4635294732104256540','张爱国','18904344778',NULL,'yt-dgsz-xmcwh1-wgy'),('4635294732104256567','李海','15981697132',NULL,'yt-dgsz-xmcwh2-wgy'),('4635294732104256593','于亚清','18743460626',NULL,'yt-dgsz-xmcwh3-wgy'),('4635294732104256619','蔡宏宇','15886062221',NULL,'yt-dgsz-xmcwh4-wgy'),('4635294732104256645','蔡东','15134441806',NULL,'yt-dgsz-xmcwh5-wgy'),('4635294732104256671','王臣','18744453998',NULL,'yt-dgsz-xmcwh6-wgy'),('4635294732104256697','李树文','13944499721',NULL,'yt-dgsz-xmcwh7-wgy'),('4635294732104256723','李洪君','13894499116',NULL,'yt-dgsz-xmcwh8-wgy'),('4635294732104256749','寇久林','15204466818',NULL,'yt-dgsz-xmcwh9-wgy'),('4635294732104256775','寇玉玲','15944471927',NULL,'yt-dgsz-xmcwh10-wgy'),('4635294732104256801','李万发','18243478926',NULL,'yt-dgsz-xmcwh11-wgy'),('4635294732104256827','王兆奇','13644448439',NULL,'yt-dgsz-xmcwh12-wgy'),('4635295591097712857','张占玲','13404642234',NULL,'ls-ystz-gmsq1-wgy'),('4635295591097712883','司雪光','13596640654',NULL,'ls-ystz-gmsq2-wgy'),('4635295591097712909','尹秀明','15943448395',NULL,'ls-ystz-gmsq3-wgy'),('4635295591097712935','刘媛媛','13009021655',NULL,'ls-ystz-gmsq4-wgy'),('4635295591097712961','温丽','13278410777',NULL,'ls-ystz-yinhsq1-wgy'),('4635295591097712987','佟淑平','13630745335',NULL,'ls-ystz-yinhsq2-wgy'),('4635295591097713013','魏晓范','13009021655',NULL,'ls-ystz-yinhsq3-wgy'),('4635295591097713039','王晓艳','15981587072',NULL,'ls-ystz-yinhsq4-wgy'),('4635295591097713065','徐艳书','13843471799',NULL,'ls-ystz-lhcwh1-wgy'),('4635295591097713092','王琦','13089233111',NULL,'ls-ystz-lhcwh2-wgy'),('4635295591097713119','邓海亮','13500845529',NULL,'ls-ystz-xjyfcwh1-wgy'),('4635295591097713147','徐光东','18343485252',NULL,'ls-ystz-xjyfcwh2-wgy'),('4635295591097713174','张快','15843430616',NULL,'ls-ystz-xjyfcwh3-wgy'),('4635295591097713201','尚国辉','13630997551',NULL,'ls-ystz-xhecwh1-wgy'),('4635295591097713228','李昕凯','13844485422',NULL,'ls-ystz-xhecwh2-wgy'),('4635295591097713255','黄继权','13630744449',NULL,'ls-ystz-xhecwh3-wgy'),('4635295591097713282','国永富','13943315689',NULL,'ls-ystz-djwpcwh1-wgy'),('4635295591097713310','白雪峰','13278437789',NULL,'ls-ystz-djwpcwh2-wgy'),('4635295591097713338','杨建生','15643451042',NULL,'ls-ystz-djwpcwh3-wgy'),('4635295591097713366','韩庆双','18243485512',NULL,'ls-ystz-slcwh1-wgy'),('4635295591097713393','张衡','13844488020',NULL,'ls-ystz-slcwh2-wgy'),('4635295591097713420','周玉伟','13894480611',NULL,'ls-ystz-slcwh3-wgy'),('4635295591097713446','吴宝太','15526582616',NULL,'ls-ystz-lmcwh1-wgy'),('4635295591097713476','李刚','15843468171',NULL,'ls-ystz-fscwh1-wgy'),('4635295591097713509','吴井海','13843496234',NULL,'ls-ystz-xfcwh1-wgy'),('4635295591097713537','穆秋号','13843474411',NULL,'ls-ystz-xfcwh2-wgy'),('4635295591097713565','李冬生','13630997909',NULL,'ls-ystz-zhjyfcwh1-wgy'),('4635295591097713598','李小春','15144690778',NULL,'ls-ystz-zhjyfcwh2-wgy'),('4635295591097713630','姜山删','15500426333',NULL,'ls-ystz-xjcwh1-wgy'),('4635295591097713663','姜威','15981591762',NULL,'ls-ystz-tjcwh1-wgy'),('4635295591097713699','石宏权','13943343900',NULL,'ls-ystz-zjjcwh1-wgy'),('4635295591097713735','李强','13689746111',NULL,'ls-ystz-dscwh1-wgy'),('4635295591097713765','李军','15590226066',NULL,'ls-ystz-zjyfcwh1-wgy'),('4635295591097713794','刘德禄','15843482355',NULL,'ls-ystz-zjyfcwh2-wgy'),('4635295591097713823','崔福军','18343428785',NULL,'ls-ystz-pjcwh1-wgy'),('4635295591097713852','刘君生','13894451331',NULL,'ls-ystz-pjcwh2-wgy'),('4635295591097713880','李凤海','15004494155',NULL,'ls-ystz-yjlcwh1-wgy'),('4635295591097713910','龚宝成','15943444055',NULL,'ls-ystz-yjlcwh2-wgy'),('4635295591097713940','刘文富','15843468341',NULL,'ls-ystz-xfpcwh1-wgy'),('4635295591097713970','朱长江','16643435733',NULL,'ls-ystz-xfpcwh2-wgy'),('4635295591097714000','田野','15943442510',NULL,'ls-ystz-xxcwh1-wgy'),('4635295591097714030','贺万生','18643007542',NULL,'ls-ystz-xxcwh2-wgy'),('4635295591097714059','张佰海','15004478202',NULL,'ls-ystz-shcwh1-wgy'),('4635295591097714089','孙振英','15843463090',NULL,'ls-ystz-shcwh2-wgy'),('4635295591097714118','姚红发','15665907661',NULL,'ls-ystz-yanjcwh1-wgy'),('4635295591097714154','张文华','15584734560',NULL,'ls-ystz-dyscwh1-wgy'),('4635295625457454962','吴新影','15886099484',NULL,'ls-xczz-xcsq1-wgy'),('4635295625457454988','赵晓梅','18643453907',NULL,'ls-xczz-xcsq2-wgy'),('4635295625457455014','刘健卫','13894453935',NULL,'ls-xczz-xcsq3-wgy'),('4635295625457455040','宋佰辉','18844488018',NULL,'ls-xczz-xcsq4-wgy'),('4635295625457455066','赵玉英','13630990332',NULL,'ls-xczz-xcsq5-wgy'),('4635295625457455118','赵文','15144630675',NULL,'ls-xczz-chkcwh2-wgy'),('4635295625457455144','郝付昌','18543433689',NULL,'ls-xczz-chkcwh3-wgy'),('4635295625457455170','苗丽丽','15844488650',NULL,'ls-xczz-chkcwh4-wgy'),('4635295625457455196','陈淑芝','15886089100',NULL,'ls-xczz-chkcwh5-wgy'),('4635295625457455222','郝洪彦','15981594404',NULL,'ls-xczz-chkcwh6-wgy'),('4635295625457455248','赵喜双','15204433181',NULL,'ls-xczz-chkcwh7-wgy'),('4635295625457455274','李有为','15004455499',NULL,'ls-xczz-chkcwh8-wgy'),('4635295625457455300','刁宝义','15204438466',NULL,'ls-xczz-chkcwh9-wgy'),('4635295625457455326','赵喜才','13894419508',NULL,'ls-xczz-lwcwh1-wgy'),('4635295625457455352','丰水','18744431615',NULL,'ls-xczz-lwcwh2-wgy'),('4635295625457455378','揣加宾','13630991263',NULL,'ls-xczz-lwcwh3-wgy'),('4635295625457455404','贡兴','18343486856',NULL,'ls-xczz-lwcwh4-wgy'),('4635295625457455430','杨国平','15004479048',NULL,'ls-xczz-lwcwh5-wgy'),('4635295625457455456','赵加付','15144631084',NULL,'ls-xczz-lwcwh6-wgy'),('4635295625457455482','李群','15943441949',NULL,'ls-xczz-lwcwh7-wgy'),('4635295625457455508','刘文昌','13694343227',NULL,'ls-xczz-lwcwh8-wgy'),('4635295625457455534','王守民','15585444528',NULL,'ls-xczz-qdcwh1-wgy'),('4635295625457455586','徐永生','13504357173',NULL,'ls-xczz-qdcwh3-wgy'),('4635295625457455638','宋玉刚','13944488218',NULL,'ls-xczz-qdcwh5-wgy'),('4635295625457455698','于占伟','15843473905',NULL,'ls-xczz-qdcwh7-wgy'),('4635295625457455750','国相发','13244249886',NULL,'ls-xczz-qdcwh9-wgy'),('4635295625457455802','盖苗苗','15944492131',NULL,'ls-xczz-qdcwh11-wgy'),('4635295625457455828','董龙','15944492131',NULL,'ls-xczz-qdcwh12-wgy'),('4635295625457455854','杨建','15567236699',NULL,'ls-xczz-qdcwh13-wgy'),('4635295625457455906','郭长军','15204443321',NULL,'ls-xczz-tlcwh1-wgy'),('4635295625457455958','赵九洲','13596627522',NULL,'ls-xczz-tlcwh3-wgy'),('4635295625457456010','刘岩','15944453530',NULL,'ls-xczz-tlcwh5-wgy'),('4635295625457456062','王世界','13689728602',NULL,'ls-xczz-tlcwh7-wgy'),('4635295625457456114','宋宝田','18629837376',NULL,'ls-xczz-tlcwh9-wgy'),('4635295625457456166','刘振文','15568524428',NULL,'ls-xczz-tlcwh11-wgy'),('4635295625457456218','苏万辉','13841804911',NULL,'ls-xczz-tlcwh13-wgy'),('4635295625457456270','朱艳波','18643457351',NULL,'ls-xczz-tlcwh15-wgy'),('4635295625457456322','曹宝民','18744493660',NULL,'ls-xczz-tlcwh17-wgy'),('4635295625457456374','王中权 ','15143401588',NULL,'ls-xczz-wzcwh1-wgy'),('4635295625457456400','金国 ','15844497399',NULL,'ls-xczz-wzcwh2-wgy'),('4635295625457456426','周铁明 ','15886080177',NULL,'ls-xczz-wzcwh3-wgy'),('4635295625457456452','高秀军 ','13214343190',NULL,'ls-xczz-wzcwh4-wgy'),('4635295625457456478','王启 ','15144430300',NULL,'ls-xczz-wzcwh5-wgy'),('4635295625457456504','杨秀元 ','15844481044',NULL,'ls-xczz-wzcwh6-wgy'),('4635295625457456530','曲家芝','15004453959',NULL,'ls-xczz-zypcwh1-wgy'),('4635295625457456582','潘少金','15943437617',NULL,'ls-xczz-zypcwh3-wgy'),('4635295625457456634','蒋双','15143400544',NULL,'ls-xczz-zypcwh5-wgy'),('4635295625457456738','石江','18644816800',NULL,'ls-xczz-zypcwh9-wgy'),('4635295625457456790','王峰','13943318484',NULL,'ls-xczz-zypcwh11-wgy'),('4635295625457456842','刘宝祥','13843479181',NULL,'ls-xczz-gscwh1-wgy'),('4635295625457456894','万士军','15844497958',NULL,'ls-xczz-gscwh3-wgy'),('4635295625457456946','崔福','13843472443',NULL,'ls-xczz-gscwh5-wgy'),('4635295625457456998','王得山','13404643223',NULL,'ls-xczz-gscwh7-wgy'),('4635295625457457050','韩玉国','16504247444',NULL,'ls-xczz-gscwh9-wgy'),('4635295625457457102','刘亚清','15584721726',NULL,'ls-xczz-gscwh11-wgy'),('4635295625457457154','刘国臣','13654348140',NULL,'ls-xczz-xjcwh1-wgy'),('4635295625457457206','白景文','15590227183',NULL,'ls-xczz-xjcwh3-wgy'),('4635295625457457258','刘志','15981681068',NULL,'ls-xczz-xjcwh5-wgy'),('4635295625457457284','杨晶','13630910493',NULL,'ls-xczz-xjcwh6-wgy'),('4635295625457457310','田晓峰','15844493593',NULL,'ls-xczz-xjcwh7-wgy'),('4635295625457457336','冯望吉','15004488032',NULL,'ls-xczz-xjcwh8-wgy'),('4635295625457457362','范继方','15144630916',NULL,'ls-xczz-xjcwh9-wgy'),('4635295625457457414','闫学刚','18343482418',NULL,'ls-xczz-xjcwh11-wgy'),('4635295625457457466','宁明远','15144666632',NULL,'ls-xczz-xjcwh13-wgy'),('4635295625457457518','于恩春','15886091166',NULL,'ls-xczz-xjcwh15-wgy'),('4635295625457457570','刘凯','15044484554',NULL,'ls-xczz-dhecwh1-wgy'),('4635295625457457622','孙有','13596647270',NULL,'ls-xczz-dhecwh3-wgy'),('4635295625457457674','谢成财','18243498126',NULL,'ls-xczz-dhecwh5-wgy'),('4635295625457457726','姜福臣','15843475628',NULL,'ls-xczz-dhecwh7-wgy'),('4635295625457457778','齐山','15004488437',NULL,'ls-xczz-dhecwh9-wgy'),('4635295625457457830','乔永刚','18243495523',NULL,'ls-xczz-xncwh1-wgy'),('4635295625457457882','滕家付','13904355920',NULL,'ls-xczz-xncwh3-wgy'),('4635295625457457934','陈德久','15204434139',NULL,'ls-xczz-xncwh5-wgy'),('4635295625457457960','王营','15843467676',NULL,'ls-xczz-xncwh6-wgy'),('4635295625457457986','赵国忠','15843478130',NULL,'ls-xczz-xncwh7-wgy'),('4635295625457458012','赵新民','13944489809',NULL,'ls-xczz-xncwh8-wgy'),('4635295625457458038','崔立产','15943435033',NULL,'ls-xczz-xncwh9-wgy'),('4635295625457458090','武长有','13844481738',NULL,'ls-xczz-xncwh11-wgy'),('4635295625457458142','尚永芳','13630919670',NULL,'ls-xczz-qrcwh1-wgy'),('4635295625457458168','王振海','15944452677',NULL,'ls-xczz-qrcwh2-wgy'),('4635295625457458194','丛士海','13596673544',NULL,'ls-xczz-qrcwh3-wgy'),('4635295625457458220','刘百民','13843478536',NULL,'ls-xczz-qrcwh4-wgy'),('4635295625457458246','王国臣','13614448780',NULL,'ls-xczz-qrcwh5-wgy'),('4635295625457458272','张旭','13674405193',NULL,'ls-xczz-tqcwh1-wgy'),('4635295625457458324','郑井满','13674406950',NULL,'ls-xczz-tqcwh3-wgy'),('4635295625457458376','雷洪明','13674407489',NULL,'ls-xczz-tqcwh5-wgy'),('4635295625457458428','刘连柱','15134439910',NULL,'ls-xczz-tqcwh7-wgy'),('4635295625457458480','赵立军','15004463899',NULL,'ls-xczz-tqcwh9-wgy'),('4635295625457458506','王云','15943449983',NULL,'ls-xczz-tqcwh10-wgy'),('4635295625457458532','周强','13654348626',NULL,'ls-xczz-tqcwh11-wgy'),('4635295625457458558','李金平','13844476109',NULL,'ls-xczz-tqcwh12-wgy'),('4635295625457458584','范启家','15144432107',NULL,'ls-xczz-tqcwh13-wgy'),('4635295625457458610','王静','18343438958',NULL,'ls-xczz-tqcwh14-wgy'),('4635295625457458636','王艳丰','15844486432',NULL,'ls-xczz-tqcwh15-wgy'),('4635295625457458688','李义','15004459967',NULL,'ls-xczz-jddcwh1-wgy'),('4635295625457458714','万国才','15843466716',NULL,'ls-xczz-jddcwh2-wgy'),('4635295625457458740','徐文忠','18013158885',NULL,'ls-xczz-jddcwh3-wgy'),('4635295625457458766','程廷福','15143422181',NULL,'ls-xczz-jddcwh4-wgy'),('4635295625457458792','黄启友','15844493770',NULL,'ls-xczz-jddcwh5-wgy'),('4635295625457458818','边静海','15944457175',NULL,'ls-xczz-jddcwh6-wgy'),('4635295625457458844','乔凤臣','15843488984',NULL,'ls-xczz-jddcwh7-wgy'),('4635295625457458870','韩文举','13630705211',NULL,'ls-xczz-chscwh1-wgy'),('4635295625457458922','陈德夫','15981689478',NULL,'ls-xczz-chscwh3-wgy'),('4635295625457458974','李国文','13944488493',NULL,'ls-xczz-chscwh5-wgy'),('4635295625457459026','陈德龙','18543456790',NULL,'ls-xczz-chscwh7-wgy'),('4635295625457459078','高中财','15844489688',NULL,'ls-xczz-chscwh9-wgy'),('4635295625457459130','何涤余','13630939329',NULL,'ls-xczz-chscwh11-wgy'),('4635295625457459182','姜忠环','13634344266',NULL,'ls-xczz-chscwh13-wgy'),('4635295694176927757','王树军','13894486225',NULL,'ls-xczz-chscwh15-wgy'),('4635295694176927809','李和','15944494811',NULL,'ls-xczz-chscwh17-wgy'),('4635295694176927861','赵文','15004483565',NULL,'ls-xczz-adcwh1-wgy'),('4635295694176927914','孙国民','15944495238',NULL,'ls-xczz-adcwh3-wgy'),('4635295694176928122','曲淑平','15144632543',NULL,'ls-xczz-adcwh11-wgy'),('4635295694176928174','王立强','13596644389',NULL,'ls-xczz-adcwh13-wgy'),('4635295694176928382','滕俊明','13944423391',NULL,'ls-xczz-adcwh21-wgy'),('4635295694176928434','闫喜龙','13843471308',NULL,'ls-xczz-daqcwh1-wgy'),('4635295694176928486','张春祥','13040300062',NULL,'ls-xczz-daqcwh3-wgy'),('4635295694176928538','刘子江','15943449552',NULL,'ls-xczz-daqcwh5-wgy'),('4635295694176928590','王波','13894456119',NULL,'ls-xczz-daqcwh7-wgy'),('4635295694176928642','周亚辉','15844495506',NULL,'ls-xczz-daqcwh9-wgy'),('4635295694176928694','姜海军','13278128809',NULL,'ls-xczz-daqcwh11-wgy'),('4635295694176928746','闫喜光','15134437122',NULL,'ls-xczz-daqcwh13-wgy'),('4635295694176928798','于春涛','13944488115',NULL,'ls-xczz-pzcwh1-wgy'),('4635295694176928850','王武','15643449526',NULL,'ls-xczz-pzcwh3-wgy'),('4635295694176928902','谭立新','13894487159',NULL,'ls-xczz-pzcwh5-wgy'),('4635295694176928954','张丽艳','16624443411',NULL,'ls-xczz-pzcwh7-wgy'),('4635295694176929006','吕守振','15843488913',NULL,'ls-xczz-pzcwh9-wgy'),('4635295694176929058','赵财','13843435483',NULL,'ls-xczz-pzcwh11-wgy'),('4635295694176929110','林德军','13944486189',NULL,'ls-xczz-pzcwh13-wgy'),('4635295694176929162','孙德成','13894450275',NULL,'ls-xczz-xhscwh1-wgy'),('4635295694176929188','林永祥','15144499556',NULL,'ls-xczz-xhscwh2-wgy'),('4635295694176929214','刘平','13244242268',NULL,'ls-xczz-xhscwh3-wgy'),('4635295694176929240','宋彦军','15568523115',NULL,'ls-xczz-xhscwh4-wgy'),('4635295694176929266','王忠宝','13258725393',NULL,'ls-xczz-xhscwh5-wgy'),('4635295694176929292','王生','13500849526',NULL,'ls-xczz-xhscwh6-wgy'),('4635295694176929318','张国刚','15585444347',NULL,'ls-xczz-xhscwh7-wgy'),('4635295694176929344','毕洪山','13674406253',NULL,'ls-xczz-xhscwh8-wgy'),('4635295694176929370','韩守民','18629837376',NULL,'ls-xczz-xhscwh9-wgy'),('4635295694176929396','韩守信','15843476185',NULL,'ls-xczz-xhscwh10-wgy'),('4635295694176929422','赵杨','15944499948',NULL,'ls-xczz-zjwpcwh1-wgy'),('4635295694176929474','吴海','18743434459',NULL,'ls-xczz-zjwpcwh3-wgy'),('4635295694176929526','柴红军','13504449216',NULL,'ls-xczz-zjwpcwh5-wgy'),('4635295694176929578','刘宝华','15704348699',NULL,'ls-xczz-zjwpcwh7-wgy'),('4635295694176929630','曲景明','15590461822',NULL,'ls-xczz-zjwpcwh9-wgy'),('4635295694176929682','唐志财','18075624444',NULL,'ls-xczz-zjwpcwh11-wgy'),('4635295694176929734','杜春阳','13844485076',NULL,'ls-xczz-zjwpcwh13-wgy'),('4635295694176929786','侯向发','13620778156',NULL,'ls-xczz-zjwpcwh15-wgy'),('4635295694176929838','孙海涛','13194343722',NULL,'ls-xczz-zjwpcwh17-wgy'),('4635295694176929864','王凤国','18744495202',NULL,'ls-xczz-zjwpcwh18-wgy'),('4635295694176929890','潘铁华','15843427567',NULL,'ls-xczz-erljcwh1-wgy'),('4635295694176929942','吕向军','13630990440',NULL,'ls-xczz-erljcwh3-wgy'),('4635295694176929994','宋贵清','13404642934',NULL,'ls-xczz-erljcwh5-wgy'),('4635295694176930046','赵年友','15044489905',NULL,'ls-xczz-erljcwh7-wgy'),('4635295694176930098','冯斌','18243461888',NULL,'ls-xczz-erljcwh9-wgy'),('4635295694176930150','雷生','15943449482',NULL,'ls-xczz-erljcwh11-wgy'),('4635295694176930202','杨荣林','15944450796',NULL,'ls-xczz-erljcwh13-wgy'),('4635295694176930254','田伟','13674402663',NULL,'ls-xczz-erljcwh15-wgy'),('4635295694176930306','吴桂田','18343431766',NULL,'ls-xczz-erljcwh17-wgy'),('4635295694176930358','李庭','15004470245',NULL,'ls-xczz-dfscwh1-wgy'),('4635295694176930384','颜丙秋','13674406505',NULL,'ls-xczz-dfscwh2-wgy'),('4635295694176930410','马成军','15984598953',NULL,'ls-xczz-dfscwh3-wgy'),('4635295694176930436','秦财','13630745238',NULL,'ls-xczz-dfscwh4-wgy'),('4635295694176930462','徐英','13278536788',NULL,'ls-xczz-dfscwh5-wgy'),('4635295694176930488','陶永军','15886079331',NULL,'ls-xczz-dfscwh6-wgy'),('4635295694176930514','陶永文','13596641299',NULL,'ls-xczz-dfscwh7-wgy'),('4635295694176930540','王宏军','15944496990',NULL,'ls-xczz-dfscwh8-wgy'),('4635295694176930566','谢山','17643404733',NULL,'ls-xczz-xidcwh1-wgy'),('4635295694176930592','刘大志','13894459479',NULL,'ls-xczz-xidcwh2-wgy'),('4635295694176930618','杜文财','18744433141',NULL,'ls-xczz-xidcwh3-wgy'),('4635295694176930644','车洪武','18243423166',NULL,'ls-xczz-xidcwh4-wgy'),('4635295694176930670','宫德','18643454586',NULL,'ls-xczz-xidcwh5-wgy'),('4635295694176930696','孙凤双','13943313349',NULL,'ls-xczz-xidcwh6-wgy'),('4635295694176930722','李亚双','13894459952',NULL,'ls-xczz-xidcwh7-wgy'),('4635295694176930748','仲怀成','13844400986',NULL,'ls-xczz-youxcwh1-wgy'),('4635295694176930774','李云会','13278431972',NULL,'ls-xczz-youxcwh2-wgy'),('4635295694176930800','申刚丰','15844495988',NULL,'ls-xczz-youxcwh3-wgy'),('4635295694176930826','刘桂芳','15144433622',NULL,'ls-xczz-youxcwh4-wgy'),('4635295694176930852','钱立国','15886075366',NULL,'ls-xczz-youxcwh5-wgy'),('4635295694176930878','吴守东','15844484668',NULL,'ls-xczz-youxcwh6-wgy'),('4635295694176930904','田国军','13596644403',NULL,'ls-xczz-youxcwh7-wgy'),('4635295728536668210','宿有祥','15044449122',NULL,'td-htk-shsq1-wgy'),('4635295728536668237','刘光坤','15043415298',NULL,'td-htk-shsq2-wgy'),('4635295728536668263','孙艳芬','15584745234',NULL,'td-htk-shsq3-wgy'),('4635295728536668290','张雪梅','15904341113',NULL,'td-htk-shsq4-wgy'),('4635295728536668317','高楠','13689713444',NULL,'td-htk-shsq5-wgy'),('4635295728536668343','田春光','13904340870',NULL,'td-htk-shsq6-wgy'),('4635295728536668370','孙艳芬','18643429506',NULL,'td-htk-shsq7-wgy'),('4635295728536668396','齐豫','18684345820',NULL,'td-htk-shsq8-wgy'),('4635295728536668448','李成','15144611225',NULL,'td-htk-wssq2-wgy'),('4635295728536668475','杨宁','13844448302',NULL,'td-htk-wssq3-wgy'),('4635295728536668502','李浩','15944446455',NULL,'td-htk-wssq4-wgy'),('4635295728536668529','衣楠','13039038650',NULL,'td-htk-wssq5-wgy'),('4635295728536668556','王雪琦','15590435221',NULL,'td-htk-nqsq1-wgy'),('4635295728536668582','贾春艳','13694006900',NULL,'td-htk-nqsq2-wgy'),('4635295728536668608','赵丹丹','13694440830',NULL,'td-htk-nqsq3-wgy'),('4635295728536668634','丁玲','15143409621',NULL,'td-htk-nqsq4-wgy'),('4635295728536668660','康云飞','18844440219',NULL,'td-htk-zxsq1-wgy'),('4635295728536668686','李艳平','13843437081',NULL,'td-htk-zxsq2-wgy'),('4635295728536668712','荣春梅','15714442324',NULL,'td-htk-zxsq3-wgy'),('4635295728536668738','孙守荟','15143401182',NULL,'td-htk-zxsq4-wgy'),('4635295728536668764','王鹏','15643434546',NULL,'td-htk-zxsq5-wgy'),('4635295728536672778','孙守东','15584723456',NULL,'ls-wfz-yfsq1-wgy'),('4635295728536672805','张小伟','13694449293',NULL,'ls-wfz-cscwh1-wgy'),('4635295728536672838','唐子志','13694018456',NULL,'ls-wfz-dwfcwh1-wgy'),('4635295728536672870','李铁成','13596644399',NULL,'ls-wfz-gjgzcwh1-wgy'),('4635295728536672903','韩志','15567227000',NULL,'ls-wfz-jzpcwh1-wgy'),('4635295728536672936','王浩','18744494718',NULL,'ls-wfz-ljdcwh1-wgy'),('4635295728536672967','张文合','15500428960',NULL,'ls-wfz-ljgzcwh1-wgy'),('4635295728536673002','刘春生','13244343222',NULL,'ls-wfz-lvjgzcwh1-wgy'),('4635295728536673037','赵宝家','13943317341',NULL,'ls-wfz-sjdcwh1-wgy'),('4635295728536673071','张士双','13258719988',NULL,'ls-wfz-xwfcwh1-wgy'),('4635295728536673102','杜晓良','15500165777',NULL,'ls-wfz-xfcwh1-wgy'),('4635295728536673135','张铁华','13843478066',NULL,'ls-wfz-zjcwh1-wgy'),('4635295728536673166','刘发','18343488655',NULL,'ls-wfz-yjpzcwh1-wgy'),('4635295728536673202','周德龙','13630910018',NULL,'ls-wfz-btpcwh1-wgy'),('4635295728536673233','屠喜奎','15043437966',NULL,'ls-wfz-bjpzcwh1-wgy'),('4635295728536673265','许海新','15844490666',NULL,'ls-wfz-lijcwh1-wgy'),('4635295728536673296','王洪军','13596623113',NULL,'ls-wfz-lmmcwh1-wgy'),('4635295728536673327','杨秀峰','13596640899',NULL,'ls-wfz-mjcwh1-wgy'),('4635295728536673357','孙万春','13844479805',NULL,'ls-wfz-ntpcwh1-wgy'),('4635295728536673392','冯树怀','13596675455',NULL,'ls-wfz-qljcwh1-wgy'),('4635295728536673424','庄国忠','15843485876',NULL,'ls-wfz-qschw1-wgy'),('4635295728536673456','唐德锋','15665963567',NULL,'ls-wfz-sjwzcwh1-wgy'),('4635295728536673491','高峰','13894455519',NULL,'ls-wfz-tjwzchw1-wgy'),('4635295728536673524','孙伟东','15044480255',NULL,'ls-wfz-yscwh1-wgy'),('4635295797256145566','李海霞','15004493695',NULL,'ls-sjpz-sjpsq1-wgy'),('4635295797256145601','赵艳君','18643002678',NULL,'ls-sjpz-bkscwh1-wgy'),('4635295797256145627','褚延华','13894482757',NULL,'ls-sjpz-bkscwh2-wgy'),('4635295797256145653','赵谦','18629857585',NULL,'ls-sjpz-bkscwh3-wgy'),('4635295797256145679','于祝国','13596644968',NULL,'ls-sjpz-bkscwh4-wgy'),('4635295797256145705','李国宝','13069287388',NULL,'ls-sjpz-bkscwh5-wgy'),('4635295797256145731','赵淑梅','13244345904',NULL,'ls-sjpz-bkscwh6-wgy'),('4635295797256145757','刘文生','13694440156',NULL,'ls-sjpz-bkscwh7-wgy'),('4635295797256145783','孙士良','15134439490',NULL,'ls-sjpz-bkscwh8-wgy'),('4635295797256145809','王丽琴','15886081596',NULL,'ls-sjpz-bpnzcwh1-wgy'),('4635295797256145835','刘俊生','15981582009',NULL,'ls-sjpz-bpnzcwh2-wgy'),('4635295797256145861','刘永申','15843469527',NULL,'ls-sjpz-bpnzcwh3-wgy'),('4635295797256145887','谷艳春','13634440880',NULL,'ls-sjpz-bpnzcwh4-wgy'),('4635295797256145913','张丽华','18243420660',NULL,'ls-sjpz-bpnzcwh5-wgy'),('4635295797256145939','刘海波','13894406444',NULL,'ls-sjpz-bpnzcwh6-wgy'),('4635295797256145965','董艳华','13894448930',NULL,'ls-sjpz-bpnzcwh7-wgy'),('4635295797256145991','崔红','15004349345',NULL,'ls-sjpz-bpnzcwh8-wgy'),('4635295797256146021','李明','18743432399',NULL,'ls-sjpz-bpnzcwh9-wgy'),('4635295797256146086','左保存','13844479748',NULL,'ls-sjpz-bpnzcwh10-wgy'),('4635295797256146112','吴井顺','13844481844',NULL,'ls-sjpz-bpnzcwh11-wgy'),('4635295797256146138','项亚珍','15774429188',NULL,'ls-sjpz-bpnzcwh12-wgy'),('4635295797256146164','王立新','13674408550',NULL,'ls-sjpz-hejcwh1-wgy'),('4635295797256146190','张宪春','15043408234',NULL,'ls-sjpz-hejcwh2-wgy'),('4635295797256146216','孙福艳','15500175381',NULL,'ls-sjpz-hejcwh3-wgy'),('4635295797256146242','李福军','15774487500',NULL,'ls-sjpz-hejcwh4-wgy'),('4635295797256146268','陈学坤','15643430334',NULL,'ls-sjpz-hejcwh5-wgy'),('4635295797256146294','董林','15834454900',NULL,'ls-sjpz-hejcwh6-wgy'),('4635295797256146320','刘影','13694395112',NULL,'ls-sjpz-hejcwh7-wgy'),('4635295797256146346','刘淑霞','15844482649',NULL,'ls-sjpz-hejcwh8-wgy'),('4635295797256146372','李柏军','13943465466',NULL,'ls-sjpz-hejcwh9-wgy'),('4635295797256146398','王兵祥','15844498766',NULL,'ls-sjpz-hejcwh10-wgy'),('4635295797256146424','王百成','13630942435',NULL,'ls-sjpz-hejcwh11-wgy'),('4635295797256146450','钱百荣','15944456287',NULL,'ls-sjpz-hejcwh12-wgy'),('4635295797256146476','田子丰','15944495103',NULL,'ls-sjpz-hejcwh13-wgy'),('4635295797256146502','赵小龙','13944444603',NULL,'ls-sjpz-hejcwh14-wgy'),('4635295797256146528','田占军','15886076151',NULL,'ls-sjpz-hejcwh15-wgy'),('4635295797256146554','刘立','13244056510',NULL,'ls-sjpz-hejcwh16-wgy'),('4635295797256146580','高凤云','15590227163',NULL,'ls-sjpz-hejcwh17-wgy'),('4635295797256146606','宋雪辉','13674402665',NULL,'ls-sjpz-kstcwh1-wgy'),('4635295797256146632','王立华','15881587403',NULL,'ls-sjpz-kstcwh2-wgy'),('4635295797256146658','李江','15044494408',NULL,'ls-sjpz-kstcwh3-wgy'),('4635295797256146684','窦占平','13394346704',NULL,'ls-sjpz-kstcwh4-wgy'),('4635295797256146710','薄鸿烈','13394346705',NULL,'ls-sjpz-kstcwh5-wgy'),('4635295797256146736','王岩','18643452509',NULL,'ls-sjpz-kstcwh6-wgy'),('4635295797256146762','王延会','13394346707',NULL,'ls-sjpz-kstcwh7-wgy'),('4635295797256146788','刘淑君','15567250958',NULL,'ls-sjpz-kstcwh8-wgy'),('4635295797256146814','贾玉文','15844494833',NULL,'ls-sjpz-kstcwh9-wgy'),('4635295797256146840','崔敏','15844444096',NULL,'ls-sjpz-kstcwh10-wgy'),('4635295797256146866','任庆荣','13394346711',NULL,'ls-sjpz-kstcwh11-wgy'),('4635295797256146892','王玉增','15134427164',NULL,'ls-sjpz-kstcwh12-wgy'),('4635295797256146918','齐立英','15943452255',NULL,'ls-sjpz-lwcwh1-wgy'),('4635295797256146944','刘志','15843489352',NULL,'ls-sjpz-lwcwh2-wgy'),('4635295797256146970','王国臣','13664346272',NULL,'ls-sjpz-lwcwh3-wgy'),('4635295797256146996','刘玉山','13844449035',NULL,'ls-sjpz-lwcwh4-wgy'),('4635295797256147022','刘宝民','13664347297',NULL,'ls-sjpz-lwcwh5-wgy'),('4635295797256147048','张守成','15944452780',NULL,'ls-sjpz-lwcwh6-wgy'),('4635295797256147074','程跃武','15044495288',NULL,'ls-sjpz-lwcwh7-wgy'),('4635295797256147100','刘海','13844477319',NULL,'ls-sjpz-lwcwh8-wgy'),('4635295797256147126','呼海','15044441626',NULL,'ls-sjpz-lwmcwh1-wgy'),('4635295797256147152','刘勇','15843477880',NULL,'ls-sjpz-lwmcwh2-wgy'),('4635295797256147178','刘淑荣','13843478383',NULL,'ls-sjpz-lwmcwh3-wgy'),('4635295797256147204','段丽华','18045891248',NULL,'ls-sjpz-lwmcwh4-wgy'),('4635295797256147230','李占发','13664343977',NULL,'ls-sjpz-lwmcwh5-wgy'),('4635295797256147256','王占东','18243478456',NULL,'ls-sjpz-lwmcwh6-wgy'),('4635295797256147282','张永生','15976459669',NULL,'ls-sjpz-lwmcwh7-wgy'),('4635295797256147308','陈佐','15144408877',NULL,'ls-sjpz-lwmcwh8-wgy'),('4635295797256147334','刘凤军','13596644954',NULL,'ls-sjpz-lwmcwh9-wgy'),('4635295797256147360','张万生','13944413321',NULL,'ls-sjpz-lwmcwh10-wgy'),('4635295797256147386','左英全','15843470078',NULL,'ls-sjpz-sjzcwh1-wgy'),('4635295797256147415','陈公才','15981589541',NULL,'ls-sjpz-sjzcwh2-wgy'),('4635295797256147441','刘海军','13404644050',NULL,'ls-sjpz-sjzcwh3-wgy'),('4635295797256147467','聂亚海','15944496506',NULL,'ls-sjpz-sjzcwh4-wgy'),('4635295797256147493','王淑萍','15144631236',NULL,'ls-sjpz-sjzcwh5-wgy'),('4635295797256147519','刘宝成','15043429585',NULL,'ls-sjpz-sjzcwh6-wgy'),('4635295797256147545','李万发','13404645670',NULL,'ls-sjpz-sjzcwh7-wgy'),('4635295797256147571','夏亚君','15944491421',NULL,'ls-sjpz-sjzcwh8-wgy'),('4635295797256147597','王鹏','13500845816',NULL,'ls-sjpz-sstcwh1-wgy'),('4635295797256147623','王双洪','15044410888',NULL,'ls-sjpz-sstcwh2-wgy'),('4635295797256147649','刘立平','13944482204',NULL,'ls-sjpz-sstcwh3-wgy'),('4635295797256147675','付桂芬','15044498325',NULL,'ls-sjpz-sstcwh4-wgy'),('4635295797256147701','刁云清','13630913452',NULL,'ls-sjpz-sstcwh5-wgy'),('4635295797256147727','张桂滨','18543457228',NULL,'ls-sjpz-sstcwh6-wgy'),('4635295797256147753','耿佩华','13596627984',NULL,'ls-sjpz-sjpcwh1-wgy'),('4635295797256147779','史政夺','13689725040',NULL,'ls-sjpz-sjpcwh2-wgy'),('4635295797256147805','崔国华','13943314558',NULL,'ls-sjpz-sjpcwh3-wgy'),('4635295797256147831','刘玉华','15714444457',NULL,'ls-sjpz-sjpcwh4-wgy'),('4635295797256147857','丁喜文','13596648148',NULL,'ls-sjpz-sjpcwh5-wgy'),('4635295797256147883','李凤军','13894452893',NULL,'ls-sjpz-sjpcwh6-wgy'),('4635295797256147909','郭忠敏','15944402432',NULL,'ls-sjpz-sjpcwh7-wgy'),('4635295797256147935','王淑芬','15844480757',NULL,'ls-sjpz-sjpcwh8-wgy'),('4635295797256147961','宫秋山','15843463177',NULL,'ls-sjpz-sjpcwh9-wgy'),('4635295797256147987','盛一峰','13500962288',NULL,'ls-sjpz-sjpcwh10-wgy'),('4635295797256148013','杨文林','13596628224',NULL,'ls-sjpz-sjpcwh11-wgy'),('4635295797256148039','于占江','13694441357',NULL,'ls-sjpz-sjpcwh12-wgy'),('4635295797256148065','朱国山','15044447707',NULL,'ls-sjpz-sjpcwh13-wgy'),('4635295797256148091','王德君','15144444668',NULL,'ls-sjpz-tygcwh1-wgy'),('4635295797256148117','苗长山','15944459565',NULL,'ls-sjpz-tygcwh2-wgy'),('4635295797256148143','丛作友','15134423911',NULL,'ls-sjpz-tygcwh3-wgy'),('4635295797256148169','高宇','13394346724',NULL,'ls-sjpz-tygcwh4-wgy'),('4635295797256148195','张淑雨','15944497650',NULL,'ls-sjpz-tygcwh5-wgy'),('4635295797256148221','任青米','13644348666',NULL,'ls-sjpz-tygcwh6-wgy'),('4635295797256148247','周喜臣','15134430649',NULL,'ls-sjpz-tygcwh7-wgy'),('4635295797256148273','高勇','15981593988',NULL,'ls-sjpz-tygcwh8-wgy'),('4635295797256148299','刘营','15834412266',NULL,'ls-sjpz-tlwpcwh1-wgy'),('4635295797256148325','程艳波','15585444186',NULL,'ls-sjpz-tlwpcwh2-wgy'),('4635295797256148351','赵宏波','13596621123',NULL,'ls-sjpz-tlwpcwh3-wgy'),('4635295797256148377','黄承福','13630999215',NULL,'ls-sjpz-tlwpcwh4-wgy'),('4635295797256148403','杨洪彪','13596679596',NULL,'ls-sjpz-tlwpcwh5-wgy'),('4635295797256148429','任立勃','15981593961',NULL,'ls-sjpz-tlwpcwh6-wgy'),('4635295797256148455','鄢长福','13596644997',NULL,'ls-sjpz-tlwpcwh7-wgy'),('4635295797256148481','赵艳萍','13664347958',NULL,'ls-sjpz-tlwpcwh8-wgy'),('4635295797256148507','祖宝坤','15204478160',NULL,'ls-sjpz-tlwpcwh9-wgy'),('4635295797256148533','王立民','15044487923',NULL,'ls-sjpz-tlwpcwh10-wgy'),('4635295797256148559','卢显志','13634340210',NULL,'ls-sjpz-wxcwh1-wgy'),('4635295797256148585','王凤富','15144494590',NULL,'ls-sjpz-wxcwh2-wgy'),('4635295797256148611','王风林','13404643550',NULL,'ls-sjpz-wxcwh3-wgy'),('4635295797256148637','耿国新','13694440305',NULL,'ls-sjpz-wxcwh4-wgy'),('4635295797256148663','王宝山','15844487077',NULL,'ls-sjpz-wxcwh5-wgy'),('4635295797256148689','王庆福','15981588408',NULL,'ls-sjpz-wxcwh6-wgy'),('4635295797256148715','何金成','13844471255',NULL,'ls-sjpz-wxcwh7-wgy'),('4635295797256148741','王士宽','13943314922',NULL,'ls-sjpz-wxcwh8-wgy'),('4635295797256148767','王家臣','13244062993',NULL,'ls-sjpz-wxcwh9-wgy'),('4635295797256148793','于晓波','13596623876',NULL,'ls-sjpz-xhzzcwh1-wgy'),('4635295797256148819','朱守利','13894407040',NULL,'ls-sjpz-xhzzcwh2-wgy'),('4635295797256148845','胡肖','15943432829',NULL,'ls-sjpz-xhzzcwh3-wgy'),('4635295797256148872','刘春成','15144444799',NULL,'ls-sjpz-xhzzcwh4-wgy'),('4635295797256148898','高新华','13634442266',NULL,'ls-sjpz-xhzzcwh5-wgy'),('4635295797256148924','王福生','13630991455',NULL,'ls-sjpz-xhzzcwh6-wgy'),('4635295797256148950','王亚民','15943441020',NULL,'ls-sjpz-xhzzcwh7-wgy'),('4635295797256148976','杨金龙','15004477333',NULL,'ls-sjpz-xqzcwh1-wgy'),('4635295797256149002','石玉明','13944488866',NULL,'ls-sjpz-xqzcwh2-wgy'),('4635295797256149029','王雪东','15814494086',NULL,'ls-sjpz-xqzcwh3-wgy'),('4635295797256149055','曲继武','13689749165',NULL,'ls-sjpz-xqzcwh4-wgy'),('4635295797256149081','刘殿军','15944451720',NULL,'ls-sjpz-xqzcwh5-wgy'),('4635295797256149107','王海艳','13674407995',NULL,'ls-sjpz-xqzcwh6-wgy'),('4635295797256149133','李怀增','13630992829',NULL,'ls-sjpz-xqzcwh7-wgy'),('4635295797256149160','李树飞','13404342789',NULL,'ls-sjpz-yczcwh1-wgy'),('4635295797256149186','屈亚芬','13944480184',NULL,'ls-sjpz-yczcwh2-wgy'),('4635295797256149212','卢慧德','15944441299',NULL,'ls-sjpz-yczcwh3-wgy'),('4635295797256149238','刘淑霞','18404343370',NULL,'ls-sjpz-yczcwh4-wgy'),('4635295797256149264','王星博','18840058882',NULL,'ls-sjpz-yczcwh5-wgy'),('4635295797256149290','郑淑芹','13596606809',NULL,'ls-sjpz-yczcwh6-wgy'),('4635295797256149316','付玉玲','13596604342',NULL,'ls-sjpz-yczcwh7-wgy'),('4635295797256149342','赵玉喜','13630991391',NULL,'ls-sjpz-yczcwh8-wgy'),('4635295797256149368','刘阳','18704344009',NULL,'ls-sjpz-yczcwh9-wgy'),('4635295797256149394','王国明','15843422221',NULL,'ls-sjpz-yczcwh10-wgy'),('4635296278292483442','白忠仁','15844405168',NULL,'td-cdx-hjxzc2-wgy'),('4635296278292483658','刘亚芬','13504340755',NULL,'td-bmjd-bssq1-wgy'),('4635296278292483684','冯利','13843403201',NULL,'td-bmjd-bssq2-wgy'),('4635296278292483710','邬占南','15143430663',NULL,'td-bmjd-bssq3-wgy'),('4635296278292483736','庞冲','18243400202',NULL,'td-bmjd-bssq4-wgy'),('4635296278292483762','钟金平','13943471192',NULL,'td-bmjd-bssq5-wgy'),('4635296278292483788','张鑫妍','15568813751',NULL,'td-bmjd-bssq6-wgy'),('4635296278292483814','刘滔','13844448300',NULL,'td-bmjd-bssq7-wgy'),('4635296278292483840','王亮','18743407575',NULL,'td-bmjd-bssq8-wgy'),('4635296278292483866','陈运君','15804349786',NULL,'td-bmjd-bssq9-wgy'),('4635296278292484100','李玉芝','18643448610',NULL,'td-bmjd-tasq1-wgy'),('4635296278292484126','初晓平','15834457747',NULL,'td-bmjd-tasq2-wgy'),('4635296278292484178','雷雨','13664342215',NULL,'td-bmjd-tasq4-wgy'),('4635296278292484204','吴静华','13844444712',NULL,'td-bmjd-tasq5-wgy'),('4635296278292484256','柳彤','13844441190',NULL,'td-bmjd-tasq7-wgy'),('4635296278292484308','毕鹏波','15144401984',NULL,'td-bmjd-tasq9-wgy'),('4635296278292484360','王嘉伟','13331559644',NULL,'td-bmjd-tasq11-wgy'),('4635296278292484386','强健','13258805556',NULL,'td-bmjd-tasq12-wgy'),('4635296278292484464','孟祥霞','15981520572',NULL,'td-bmjd-tasq15-wgy'),('4635296278292484516','高亮','13843407363',NULL,'td-bmjd-tasq17-wgy'),('4635296278292484547','教传才','15944446608',NULL,'td-bmjd-tysq1-wgy'),('4635296278292484576','王海青','15910395491',NULL,'td-bmjd-tysq2-wgy'),('4635296278292484634','杨萍','15981517356',NULL,'td-bmjd-tysq4-wgy'),('4635296278292484764','薛文和','15140465342',NULL,'td-bmjd-tysq7-wgy'),('4635296278292484851','司鑫鑫','15834408323',NULL,'td-bmjd-tysq10-wgy'),('4635296278292484886','李奇','13689737938',NULL,'td-bmjd-tysq11-wgy'),('4635296278292484921','张宏艳','13689734316',NULL,'td-bmjd-tysq12-wgy'),('4635296278292484956','付艳秋','13689730602',NULL,'td-bmjd-xgsq1-wgy'),('4635296278292484985','董玉梅','15604343077',NULL,'td-bmjd-xgsq2-wgy'),('4635296278292485014','刘宝英','13630935635',NULL,'td-bmjd-xgsq3-wgy'),('4635296278292485043','王岩石','13904343667',NULL,'td-bmjd-xgsq4-wgy'),('4635296278292485072','刘文木','15044441192',NULL,'td-bmjd-xgsq5-wgy'),('4635296278292485101','刘晶','13604346244',NULL,'td-bmjd-xgsq6-wgy'),('4635296278292485129','周浩','18744409055',NULL,'td-bmjd-xqsq1-wgy'),('4635296278292485155','高晓玲','18544349221',NULL,'td-bmjd-xqsq2-wgy'),('4635296278292485181','韩雪','13844445885',NULL,'td-bmjd-xqsq3-wgy'),('4635296278292485207','张键','18643007610',NULL,'td-bmjd-xqsq4-wgy'),('4635296278292485233','刘冰','18643009510',NULL,'td-bmjd-xqsq5-wgy'),('4635296278292485259','周勇利','15590268597',NULL,'td-bmjd-xqsq6-wgy'),('4635296278292485285','董子瑜','13944410820',NULL,'td-bmjd-xqsq7-wgy'),('4635296278292485311','吴琼','13596669456',NULL,'td-bmjd-xcsq1-wgy'),('4635296278292485365','马晶晶','13844447411',NULL,'td-bmjd-xcsq3-wgy'),('4635296278292485392','常学武','15643424432',NULL,'td-bmjd-xcsq4-wgy'),('4635296278292485419','徐晶波','13654342696',NULL,'td-bmjd-xcsq5-wgy'),('4635296278292485445','石云红','18643438265',NULL,'td-bmjd-xcsq6-wgy'),('4635296278292485471','于晓波','13944416353',NULL,'td-bmjd-xcsq7-wgy'),('4635296278292485497','毕传民','13804349833',NULL,'td-bmjd-xcsq8-wgy'),('4635296312652222473','杨月','18643424618',NULL,'td-smljd-dfsq1-wgy'),('4635296312652222499','林丽丽','13596661767',NULL,'td-smljd-dfsq2-wgy'),('4635296312652222525','吴博','18043667226',NULL,'td-smljd-dfsq3-wgy'),('4635296312652222551','朱明鹤','13689711001',NULL,'td-smljd-dfsq4-wgy'),('4635296312652222577','钟欣','15330676762',NULL,'td-smljd-dfsq5-wgy'),('4635296312652222605','王爽','13694449797',NULL,'td-smljd-dfsq6-wgy'),('4635296312652222631','仲丛娟','15944415848',NULL,'td-smljd-dfsq7-wgy'),('4635296312652222657','张传国','13843441751',NULL,'td-smljd-dfsq8-wgy'),('4635296312652222683','胡楠','18904342353',NULL,'td-smljd-dxsq1-wgy'),('4635296312652222710','陈静','13843419871',NULL,'td-smljd-dxsq2-wgy'),('4635296312652222737','李亚杰','13596666516',NULL,'td-smljd-dxsq3-wgy'),('4635296312652222766','王童','16643408777',NULL,'td-smljd-dxsq4-wgy'),('4635296312652222793','王蕾','13844416176',NULL,'td-smljd-dxsq5-wgy'),('4635296312652222820','陈鹏欣','18143116117',NULL,'td-smljd-dxsq6-wgy'),('4635296312652222850','刘润伟','15804340029',NULL,'td-smljd-mlsq1-wgy'),('4635296312652222877','李颖','13596609651',NULL,'td-smljd-mlsq2-wgy'),('4635296312652222903','康伟健','15714440726',NULL,'td-smljd-mlsq3-wgy'),('4635296312652222929','陈佳妍','15044409058',NULL,'td-smljd-mlsq4-wgy'),('4635296312652222956','张爽','13843444595',NULL,'td-smljd-mlsq5-wgy'),('4635296312652222983','刘丽丹','13944449044',NULL,'td-smljd-mlsq6-wgy'),('4635296312652223009','边雪','13904340614',NULL,'td-smljd-mlsq7-wgy'),('4635296312652223035','赵颖','15044409969',NULL,'td-smljd-mlsq8-wgy'),('4635296312652223061','曲尹彤鑫','18643447022',NULL,'td-smljd-sgsq1-wgy'),('4635296312652223089','郭致怡','18610721090',NULL,'td-smljd-sgsq2-wgy'),('4635296312652223117','林兰','13624342011',NULL,'td-smljd-sgsq3-wgy'),('4635296312652223145','康琪铭','18143111116',NULL,'td-smljd-sgsq4-wgy'),('4635296312652223172','葛莉','13904344180',NULL,'td-smljd-sgsq5-wgy'),('4635296312652223200','王丽影','18744446505',NULL,'td-smljd-srsq1-wgy'),('4635296312652223227','王萍','15044408833',NULL,'td-smljd-zwsq1-wgy'),('4635296312652223263','鲁宏杰','15804346158',NULL,'td-smljd-zwsq2-wgy'),('4635296312652223291','尚玲玲','15834428997',NULL,'td-smljd-zwsq3-wgy'),('4635296312652223319','韩鸿彬','18604347111',NULL,'td-smljd-zwsq4-wgy'),('4635296312652224110','肖哲','13224345922',NULL,'td-yhmzz-dsc1-wgy'),('4635296312652224135','刘德武','13843471168',NULL,'td-yhmzz-yebc1-wgy'),('4635296312652224160','刘忠孝','13674408526',NULL,'td-yhmzz-yebc2-wgy'),('4635296312652224185','国茹','15144409907',NULL,'td-yhmzz-lzgc1-wgy'),('4635296312652224210','郑影','13894450618',NULL,'td-yhmzz-lzgc2-wgy'),('4635296312652224235','高强','15004463007',NULL,'td-yhmzz-shc1-wgy'),('4635296312652224260','姜旭','17643194942',NULL,'td-yhmzz-shc2-wgy'),('4635296312652224285','刘楠','15943439710',NULL,'td-yhmzz-ypc1-wgy'),('4635296312652224310','张雪斌','15144444771',NULL,'td-yhmzz-yhc1-wgy'),('4635296312652224339','朱玲玲','15944452267',NULL,'td-yhmzz-yhc2-wgy'),('4635296312652224364','莫菲菲','15043430907',NULL,'td-yhmzz-zjc1-wgy'),('4635296312652224389','李革','15590479012',NULL,'td-yhmzz-xlc1-wgy'),('4635296312652224414','荣俊博','15144409797',NULL,'td-yhmzz-bczc1-wgy'),('4635296312652224439','李冰','13843492828',NULL,'td-yhmzz-bczc2-wgy'),('4635296312652224464','付红伟','13844480434',NULL,'td-yhmzz-bmjc1-wgy'),('4635296312652224489','王小平','13596608585',NULL,'td-yhmzz-ymlc1-wgy'),('4635296312652224514','王业军','13894452485',NULL,'td-yhmzz-xl1-wgy'),('4635296312652224539','赵玉娥','18743490710',NULL,'td-yhmzz-xlc2-wgy'),('4635296312652224564','唐微微','18304340444',NULL,'td-pnjd-pnsq1-wgy'),('4635296312652224590','刘娜','13844403108',NULL,'td-pnjd-pnsq2-wgy'),('4635296312652224616','朱晓影','15143439822',NULL,'td-pnjd-pnsq3-wgy'),('4635296312652224642','霍艳娜','13694440016',NULL,'td-pnjd-pnsq4-wgy'),('4635296312652224668','杨静','18629896751',NULL,'td-pnjd-pnsq5-wgy'),('4635296312652224694','冀红涛','13504346495',NULL,'td-pnjd-pnsq6-wgy'),('4635296312652224720','刘卫东','15704344777',NULL,'td-pnjd-fgsq1-wgy'),('4635296312652224747','崔振德','13258796617',NULL,'td-pnjd-fgsq2-wgy'),('4635296312652224774','刘盼','13694002967',NULL,'td-pnjd-fgsq3-wgy'),('4635296312652224802','国东辉','18504340585',NULL,'td-pnjd-fgsq4-wgy'),('4635296312652224829','王宏权','13504737679',NULL,'td-pnjd-fgsq5-wgy'),('4635296312652224858','刘宝民','13604345510',NULL,'td-pnjd-fgsq6-wgy'),('4635296312652224885','杨天慧','15304344576',NULL,'td-pnjd-fgsq7-wgy'),('4635296312652224912','郑殿辉','15944449348',NULL,'td-pnjd-fgsq8-wgy'),('4635296312652224942','姚青贵','18744443149',NULL,'td-pnjd-fgsq9-wgy'),('4635296312652224976','田宇','15904344944',NULL,'td-pnjd-pdsq1-wgy'),('4635296312652225003','温欣','13689719781',NULL,'td-pnjd-pdsq2-wgy'),('4635296312652225030','尚爱凤','13844448872',NULL,'td-pnjd-pdsq3-wgy'),('4635296312652225057','赵晓军','13844442415',NULL,'td-pnjd-pdsq4-wgy'),('4635296312652225084','丁玉海','15834457708',NULL,'td-pnjd-pdsq5-wgy'),('4635296312652225111','于仲燕','13844443663',NULL,'td-pnjd-pdsq6-wgy'),('4635296312652225138','杨赫南','13500969822',NULL,'td-pnjd-pdsq7-wgy'),('4635296312652225164','冷丽丽','13404612224',NULL,'td-pnjd-pdsq8-wgy'),('4635296312652225190','张玖江','18543493456',NULL,'td-pnjd-pdsq9-wgy'),('4635296312652225216','李敏娜','15043416661',NULL,'td-pnjd-pdsq10-wgy'),('4635296312652225242','夏海全','15504342720',NULL,'td-pnjd-xgsq1-wgy'),('4635296312652225268','王丽英','13404348859',NULL,'td-pnjd-xgsq2-wgy'),('4635296312652225294','田春香','13689733075',NULL,'td-pnjd-xgsq3-wgy'),('4635296312652225320','王春爽','13944447322',NULL,'td-pnjd-xgsq4-wgy'),('4635296312652225346','李季','13943462702',NULL,'td-pnjd-xgsq5-wgy'),('4635296312652225376','胡士岩','16604341234',NULL,'td-pnjd-xgsq6-wgy'),('4635296312652225410','柏巍巍','13614340995',NULL,'td-pnjd-xgsq7-wgy'),('4635296312652225436','周跃伟','13944414678',NULL,'td-pnjd-xgsq8-wgy'),('4635296312652225462','王丽红','13634346118',NULL,'td-pnjd-xgsq9-wgy'),('4635296312652225513','兰蓝','13334473457',NULL,'ytmz-yczz-yczc1-wgy'),('4635296312652225543','张俊杰','13596665018',NULL,'td-jfjd-jfsq1-wgy'),('4635296312652225569','孟娇','18704349808',NULL,'td-jfjd-jfsq2-wgy'),('4635296312652225596','王虹','13904349183',NULL,'td-jfjd-jfsq3-wgy'),('4635296312652225623','崔丽华','13504341942',NULL,'td-jfjd-jfsq4-wgy'),('4635296312652225649','郭健','13634340060',NULL,'td-jfjd-jfsq5-wgy'),('4635296312652225675','王力','18704348167',NULL,'td-jfjd-jfsq6-wgy'),('4635296312652225701','刘孟影','15843432995',NULL,'td-jfjd-jfsq7-wgy'),('4635296312652225727','张国军','13089233253',NULL,'td-jfjd-jfsq8-wgy'),('4635296312652225753','丁博慧','15981529918',NULL,'td-jfjd-jfsq9-wgy'),('4635296312652225779','杨莹','15043417123',NULL,'td-jfjd-slsq1-wgy'),('4635296312652225805','于瑞颖','13694448785',NULL,'td-jfjd-slsq2-wgy'),('4635296312652225831','李玉波','13596660010',NULL,'td-jfjd-slsq3-wgy'),('4635296312652225857','张建','15304342696',NULL,'td-jfjd-slsq4-wgy'),('4635296312652225883','李越','13674444600',NULL,'td-jfjd-slsq5-wgy'),('4635296312652225909','王钦','15630753600',NULL,'td-jfjd-slsq6-wgy'),('4635296312652225935','钟安平','13278408125',NULL,'td-jfjd-slsq7-wgy'),('4635296312652225987','晁博','15704349669',NULL,'td-jfjd-slsq9-wgy'),('4635296312652226013','孙振军','17643472297',NULL,'td-jfjd-slsq10-wgy'),('4635296312652226039','郭明月','15043403305',NULL,'td-jfjd-slsq11-wgy'),('4635296312652226065','李珺巍','13689739710',NULL,'td-jfjd-sysq1-wgy'),('4635296312652226091','刘晓军','18804340051',NULL,'td-jfjd-sysq2-wgy'),('4635296312652226121','张秀峰','13943466117',NULL,'td-jfjd-sysq3-wgy'),('4635296312652226147','张燕','15904341866',NULL,'td-jfjd-sysq4-wgy'),('4635296312652226173','郑红菊','13634348012',NULL,'td-jfjd-sysq5-wgy'),('4635296312652226199','陈强','15134410004',NULL,'td-jfjd-sysq6-wgy'),('4635296312652226226','侯玉晶','13844411262',NULL,'td-jfjd-sysq7-wgy'),('4635296312652226252','王雷','13224342999',NULL,'td-jfjd-sysq8-wgy'),('4635296312652226305','胡建伟','17604341998',NULL,'td-jfjd-sysq10-wgy'),('4635296312652226332','王得地','13237006848',NULL,'td-jfjd-bdqsq1-wgy'),('4635296312652226359','陈诚','13596605436',NULL,'td-jfjd-bdqsq2-wgy'),('4635296312652226387','杜龙','15584772226',NULL,'td-jfjd-bdqsq3-wgy'),('4635296312652226415','周洪泽','15590420222',NULL,'td-jfjd-bdqsq4-wgy'),('4635296312652226442','张颖超','18504340229',NULL,'td-jfjd-bdqsq5-wgy'),('4635296312652226469','罗红','15904342171',NULL,'td-jfjd-bdqsq6-wgy'),('4635296312652226496','王丽娜','13844448283',NULL,'td-jfjd-bdqsq7-wgy'),('4635296312652226523','丛千智','15144405577',NULL,'td-jfjd-bdqsq8-wgy'),('4635296312652226551','刘志欣','15590292555',NULL,'td-jfjd-bdqsq9-wgy'),('4635296347011956755','刘宇童','13904340682',NULL,'td-jfjd-bdqsq10-wgy'),('4635296381371695123','许伟','13944428222',NULL,'td-jfjd-bdqsq11-wgy'),('4635297618322284476','赵丽平','15004457198',NULL,'td-slz-hfsq1-wgy'),('4635297618322284502','韩双美','13843441521',NULL,'td-slz-hfsq2-wgy'),('4635297618322284528','张云飞','18744490415',NULL,'td-slz-erlsq1-wgy'),('4635297652682014731','崔忠范','15004481568',NULL,'td-slz-hdsq1-wgy'),('4635297652682014757','闫海艳','18743419939',NULL,'td-slz-hdsq2-wgy'),('4635297652682014783','武玉杰','18843499941',NULL,'td-slz-hdsq3-wgy'),('4635297652682014809','张淑贤','18643486832',NULL,'td-slz-hdsq4-wgy'),('4635297652682014835','刘崇峰','15886083008',NULL,'td-slz-hxsq1-wgy'),('4635297652682014862','刘宝岩','15944492445',NULL,'td-slz-hxsq2-wgy'),('4635297652682014888','王红','13844481485',NULL,'td-slz-hxsq3-wgy'),('4635297652682014914','冯立','13234343434',NULL,'td-slz-shcwh1-wgy'),('4635297652682014940','李帅','15004469308',NULL,'td-slz-shcwh2-wgy'),('4635297652682014966','王子玉','13844415405',NULL,'td-slz-tzgcwh1-wgy'),('4635297652682014992','王树','19843433666',NULL,'td-slz-tzgcwh2-wgy'),('4635297652682015018','李建华','15944413338',NULL,'td-slz-tzgcwh3-wgy'),('4635297652682015044','邹晓铎','13904344286',NULL,'td-slz-hfcwh1-wgy'),('4635297652682015070','聂道宽','13894452541',NULL,'td-slz-hfcwh2-wgy'),('4635297652682015096','栾英','15604342219',NULL,'td-slz-hfcwh3-wgy'),('4635297652682015122','冯宏伟','13384442888',NULL,'td-slz-mpgcwh1-wgy'),('4635297652682015148','琚湖','13179188577',NULL,'td-slz-mpgcwh2-wgy'),('4635297652682015174','韩林','13596607067',NULL,'td-slz-gjcwh1-wgy'),('4635297652682015200','李玲波','15844405739',NULL,'td-slz-gjcwh2-wgy'),('4635297652682015226','孙立波','13504734343',NULL,'td-slz-lsgcwh1-wgy'),('4635297652682015252','李景贤','13630996739',NULL,'td-slz-lsgcwh2-wgy'),('4635297652682015279','梁宝会','13604344588',NULL,'td-slz-glcwh1-wgy'),('4635297652682015305','耿英平','13674400987',NULL,'td-slz-glcwh2-wgy'),('4635297652682015331','谭玉武','13624449090',NULL,'td-slz-ypgcwh1-wgy'),('4635297652682015357','姜波','13620777549',NULL,'td-slz-ypgcwh2-wgy'),('4635297652682015384','王学文','13944483305',NULL,'td-slz-slcwh1-wgy'),('4635297652682015410','王振东','15844411359',NULL,'td-slz-slcwh2-wgy'),('4635297652682015436','朱忠义','13630700200',NULL,'td-slz-slpcwh1-wgy'),('4635297652682015462','金俊伟','18804341521',NULL,'td-slz-slpcwh2-wgy'),('4635297652682015489','孙野','18844460000',NULL,'td-slz-jjwcwh1-wgy'),('4635297652682015515','曹红霞','15004476481',NULL,'td-slz-jjwcwh2-wgy'),('4635297652682015541','周洪桥','13894485579',NULL,'td-slz-xhjcwh1-wgy'),('4635297652682015567','杜玉宝','13894481206',NULL,'td-slz-xhjcwh2-wgy'),('4635297652682015593','刘跃洋','15944456662',NULL,'td-slz-sjcwh1-wgy'),('4635297652682015619','张文山','18743433898',NULL,'td-slz-sjcwh2-wgy'),('4635297652682015646','罗炳仟','13634342880',NULL,'td-slz-zjgcwh1-wgy'),('4635297652682015672','刘兴民','15043414999',NULL,'td-slz-zjgcwh2-wgy'),('4635297652682015698','程思晓','17766807028',NULL,'td-slz-erlcwh1-wgy'),('4635297652682015724','刘金艳','13278094602',NULL,'td-slz-erlcwh2-wgy'),('4635297652682015750','周忠华','15944454177',NULL,'td-slz-dgjcwh1-wgy'),('4635297652682015776','刘永辉','13944480561',NULL,'td-slz-dgjcwh2-wgy'),('4635297652682015803','刘月佳','15044410796',NULL,'td-slz-dgjcwh3-wgy'),('4635297652682015829','扈立静','15134433411',NULL,'td-slz-wjgcwh1-wgy'),('4635297652682015856','何雨晴','13040389935',NULL,'td-slz-wjgcwh2-wgy'),('4635297652682016686','郭京敏','15526597291',NULL,'ls-bsx-shcwh1-wgy'),('4635298546035219255','单文龙','13278145525',NULL,'tx-zqjd-dmsq1-wgy'),('4635298546035219308','郭琳','18604348701',NULL,'tx-zqjd-dmsq3-wgy'),('4635298546035219334','徐立雪','13604345333',NULL,'tx-zqjd-dmsq4-wgy'),('4635298546035219360','郭枚楣','13843402229',NULL,'tx-zqjd-dmsq5-wgy'),('4635298546035219387','石鸿铭','18804340881',NULL,'tx-zqjd-dmsq6-wgy'),('4635298546035219440','张勇刚','15843414428',NULL,'tx-zqjd-dmsq8-wgy'),('4635298546035219573','王鹤燊','13354340906',NULL,'tx-zqjd-hfysq8-wgy'),('4635298546035219603','张晓婷','18843425122',NULL,'tx-zqjd-xtsq1-wgy'),('4635298546035219630','裴琦','18504446345',NULL,'tx-zqjd-xtsq2-wgy'),('4635298546035219656','马晓晶','13604348828',NULL,'tx-zqjd-xtsq3-wgy'),('4635298546035219683','周坤','15204341160',NULL,'tx-zqjd-xtsq4-wgy'),('4635298546035219709','张晓丹','15043401998',NULL,'tx-zqjd-xtsq5-wgy'),('4635298546035219735','于森参','13596663130',NULL,'tx-zqjd-xtsq6-wgy'),('4635298546035219787','李猛','15886061233',NULL,'tx-zqjd-xtsq8-wgy'),('4635298546035219813','王新宇','13844418898',NULL,'tx-zqjd-xtsq9-wgy'),('4635298546035219839','王洋','13624342986',NULL,'tx-zqjd-xtsq10-wgy'),('4635298546035219891','陈铁银','13804348445',NULL,'tx-zqjd-xtsq12-wgy'),('4635298546035219917','姜翠凤','15143433799',NULL,'tx-zqjd-xtsq13-wgy'),('4635298546035219943','李想','15944445530',NULL,'tx-zqjd-zxsq1-wgy'),('4635298546035219969','季冰','13674443861',NULL,'tx-zqjd-zxsq2-wgy'),('4635298546035219995','张冲','15354738844',NULL,'tx-zqjd-zxsq3-wgy'),('4635298546035220021','王佳','15944445916',NULL,'tx-zqjd-zxsq4-wgy'),('4635298546035220047','张冲','15104343964',NULL,'tx-zqjd-zxsq5-wgy'),('4635298546035220073','刘岩','13843405907',NULL,'tx-zqjd-zxsq6-wgy'),('4635298546035220099','田野','15844401224',NULL,'tx-zqjd-zxsq7-wgy'),('4635298546035220125','郭为','18844446669',NULL,'tx-zqjd-zxsq8-wgy'),('4635298546035220152','郭为','13630935833',NULL,'tx-zqjd-zxsq9-wgy'),('4635298546035220184','郭为','18743476518',NULL,'tx-zqjd-zxsq10-wgy'),('4635298546035220211','徐婉莹','13196286779',NULL,'tx-zqjd-zxsq11-wgy'),('4635298546035220243','徐婉莹','13294340039',NULL,'tx-zqjd-zxsq12-wgy'),('4635298546035220269','雷春荣','13404611883',NULL,'tx-zqjd-zqsq1-wgy'),('4635298614754696855','赵雪娟','13843471567',NULL,'ls-cjz-cjzxzsq1-wgy'),('4635298614754696889','赵敏','15665988303',NULL,'ls-cjz-cjzxzsq2-wgy'),('4635298614754696926','张羽','18343484355',NULL,'ls-cjz-agcwh1-wgy'),('4635298614754696952','刘东方','18643456238',NULL,'ls-cjz-agcwh2-wgy'),('4635298614754696978','姜少玉','13894451531',NULL,'ls-cjz-agcwh3-wgy'),('4635298614754697004','张洪','15944455928',NULL,'ls-cjz-agcwh4-wgy'),('4635298614754697030','朱洪德','15004482552',NULL,'ls-cjz-agcwh5-wgy'),('4635298614754697056','付国明','15144430835',NULL,'ls-cjz-agcwh6-wgy'),('4635298614754697082','方振国','13943314623',NULL,'ls-cjz-agcwh7-wgy'),('4635298614754697108','苏立彬','13894446517',NULL,'ls-cjz-agcwh8-wgy'),('4635298614754697134','寇红艳','13894444578',NULL,'ls-cjz-agcwh9-wgy'),('4635298614754697160','周立志','13630912678',NULL,'ls-cjz-agcwh10-wgy'),('4635298614754697186','赵国臣','13331735078',NULL,'ls-cjz-cjcwh1-wgy'),('4635298614754697212','李天然','13278125533',NULL,'ls-cjz-cjcwh2-wgy'),('4635298649114427414','霍敬轩','15144690960',NULL,'ls-cjz-cjcwh3-wgy'),('4635298649114427440','李占武','15044495165',NULL,'ls-cjz-cjcwh4-wgy'),('4635298649114427466','杨晓军','15044491696',NULL,'ls-cjz-cjcwh5-wgy'),('4635298649114427492','姜广东','15144438875',NULL,'ls-cjz-cjcwh6-wgy'),('4635298649114427518','夏淑山','13596672553',NULL,'ls-cjz-hdzcwh1-wgy'),('4635298649114427544','李亮','15004462988',NULL,'ls-cjz-hdzcwh2-wgy'),('4635298649114427570','刘向武','13009033853',NULL,'ls-cjz-hdzcwh3-wgy'),('4635298649114427596','徐万良','15134433311',NULL,'ls-cjz-hdzcwh4-wgy'),('4635298649114427622','袁喜生','13694393259',NULL,'ls-cjz-hdzcwh5-wgy'),('4635298649114427648','倪铁峰','15944451559',NULL,'ls-cjz-hdzcwh6-wgy'),('4635298649114427674','田长江','13894450605',NULL,'ls-cjz-hdzcwh7-wgy'),('4635298649114427700','谭波','13404642103',NULL,'ls-cjz-hdzcwh8-wgy'),('4635298649114427726','程国洪','15844488488',NULL,'ls-cjz-hdzcwh9-wgy'),('4635298649114427752','张艳华','15943437288',NULL,'ls-cjz-jycwh1-wgy'),('4635298649114427778','许忠仁','13500849146',NULL,'ls-cjz-jycwh2-wgy'),('4635298649114427804','郭玉和','13500841483',NULL,'ls-cjz-jycwh3-wgy'),('4635298649114427830','王志学','13944458559',NULL,'ls-cjz-jycwh4-wgy'),('4635298649114427856','孙大光','18243419595',NULL,'ls-cjz-jycwh5-wgy'),('4635298649114427882','郝永生','13844478664',NULL,'ls-cjz-jycwh6-wgy'),('4635298649114427908','廖亚静','15500111447',NULL,'ls-cjz-jycwh7-wgy'),('4635298649114427934','韩峰','13944455516',NULL,'ls-cjz-jycwh8-wgy'),('4635298649114427960','苏秋苹','13943311242',NULL,'ls-cjz-jycwh9-wgy'),('4635298649114427986','王文','17051589777',NULL,'ls-cjz-jycwh10-wgy'),('4635298649114428012','安秀臣','15044498658',NULL,'ls-cjz-jycwh11-wgy'),('4635298649114428038','郭玉良','15944484888',NULL,'ls-cjz-jycwh12-wgy'),('4635298649114428064','李宇龙','15144499206',NULL,'ls-cjz-jycwh13-wgy'),('4635298649114428090','卢子龙','15134482456',NULL,'ls-cjz-lyzcwh1-wgy'),('4635298649114428116','宋洪生','15004400222',NULL,'ls-cjz-lyzcwh2-wgy'),('4635298649114428142','张明利','15843470682',NULL,'ls-cjz-lyzcwh3-wgy'),('4635298649114428168','高修文','15004493700',NULL,'ls-cjz-lyzcwh4-wgy'),('4635298649114428194','孙庆宜','17043538777',NULL,'ls-cjz-lyzcwh5-wgy'),('4635298649114428220','穆家良','15204479228',NULL,'ls-cjz-lyzcwh6-wgy'),('4635298649114428246','李雪','17504348676',NULL,'ls-cjz-lyzcwh7-wgy'),('4635298649114428272','张殿全','15004453800',NULL,'ls-cjz-lyzcwh8-wgy'),('4635298649114428298','王佰成','13674409400',NULL,'ls-cjz-lyzcwh9-wgy'),('4635298649114428324','江士海','15844495218',NULL,'ls-cjz-lyzcwh10-wgy'),('4635298649114428350','康连文','15004474650',NULL,'ls-cjz-lyzcwh11-wgy'),('4635298649114428376','王鑫','15143440518',NULL,'ls-cjz-majcwh1-wgy'),('4635298649114428402','刘关海','13843434985',NULL,'ls-cjz-majcwh2-wgy'),('4635298649114428428','郭洪军','13630704047',NULL,'ls-cjz-majcwh3-wgy'),('4635298649114428454','刘淑霞','15943454552',NULL,'ls-cjz-majcwh4-wgy'),('4635298649114428480','陈瑞','15643452167',NULL,'ls-cjz-majcwh5-wgy'),('4635298649114428506','李淑琴','13604341697',NULL,'ls-cjz-majcwh6-wgy'),('4635298649114428532','郭宝臣','15044401456',NULL,'ls-cjz-majcwh7-wgy'),('4635298649114428558','牛占','15044401457',NULL,'ls-cjz-majcwh8-wgy'),('4635298649114428584','张淑兰','13244062166',NULL,'ls-cjz-mjcwh1-wgy'),('4635298649114428610','曹延臣','15004459948',NULL,'ls-cjz-mjcwh2-wgy'),('4635298649114428636','王柏青','13596626906',NULL,'ls-cjz-mjcwh3-wgy'),('4635298649114428662','刘金龙','13944486448',NULL,'ls-cjz-mjcwh4-wgy'),('4635298649114428688','柴国真','15004481749',NULL,'ls-cjz-mjcwh5-wgy'),('4635298649114428714','陈凤湖','15204479209',NULL,'ls-cjz-mjcwh6-wgy'),('4635298649114428740','王超富','15843488975',NULL,'ls-cjz-mjcwh7-wgy'),('4635298649114428766','郑国军','15004442878',NULL,'ls-cjz-mjcwh8-wgy'),('4635298649114428792','张积敏','17543444711',NULL,'ls-cjz-mjcwh9-wgy'),('4635298649114428818','田国友','15004458718',NULL,'ls-cjz-mjcwh10-wgy'),('4635298649114428844','宋玉娟','18243424550',NULL,'ls-cjz-nnmcwh1-wgy'),('4635298649114428870','洪祥','15134426062',NULL,'ls-cjz-nnmcwh2-wgy'),('4635298649114428896','张立国','15144492802',NULL,'ls-cjz-nnmcwh3-wgy'),('4635298649114428922','王立军','13664347023',NULL,'ls-cjz-nnmcwh4-wgy'),('4635298649114428948','范红艳','15981594262',NULL,'ls-cjz-nnmcwh5-wgy'),('4635298649114428974','霍贵申','15981587884',NULL,'ls-cjz-nnmcwh6-wgy'),('4635298649114429000','徐力','18743449888',NULL,'ls-cjz-nnmcwh7-wgy'),('4635298649114429026','于廷海','18743492096',NULL,'ls-cjz-xkzcwh1-wgy'),('4635298649114429052','郭春明','15844486298',NULL,'ls-cjz-xkzcwh2-wgy'),('4635298649114429078','刘景文','13904348083',NULL,'ls-cjz-xkzcwh3-wgy'),('4635298649114429104','张野','18243494563',NULL,'ls-cjz-xkzcwh4-wgy'),('4635298649114429130','韩德福','13943310205',NULL,'ls-cjz-xkzcwh5-wgy'),('4635298649114429156','潘振龙','15004473884',NULL,'ls-cjz-xkzcwh6-wgy'),('4635298649114429182','李晓明','15981688370',NULL,'ls-cjz-xkzcwh7-wgy'),('4635298649114429208','周晓飞','13894486823',NULL,'ls-cjz-xkzcwh8-wgy'),('4635298649114429234','郭玉海','13943487979',NULL,'ls-cjz-xkzcwh9-wgy'),('4635298649114429260','候建军','18743494626',NULL,'ls-cjz-xkzcwh10-wgy'),('4635298649114429286','冯景海','15886093063',NULL,'ls-cjz-xkzcwh11-wgy'),('4635298649114429312','赵冬月','18744484005',NULL,'ls-cjz-xkzcwh12-wgy'),('4635298649114429338','杨 军','13278039322',NULL,'ls-cjz-xccwh1-wgy'),('4635298649114429364','张洪斌','15044498185',NULL,'ls-cjz-xccwh2-wgy'),('4635298649114429390','康学生','15886004900',NULL,'ls-cjz-xccwh3-wgy'),('4635298649114429416','马衍涛','15134432488',NULL,'ls-cjz-xccwh4-wgy'),('4635298649114429442','张 伟','18743437618',NULL,'ls-cjz-xccwh5-wgy'),('4635298649114429468','张玉生','15981662054',NULL,'ls-cjz-xccwh6-wgy'),('4635298649114429494','王朝峰','19104348029',NULL,'ls-cjz-xccwh7-wgy'),('4635298649114429520','闫成柱','13278035368',NULL,'ls-cjz-xccwh8-wgy'),('4635298649114429546','付德泉','13844466321',NULL,'ls-cjz-xccwh9-wgy'),('4635298649114429572','付德海','15134487800',NULL,'ls-cjz-xccwh10-wgy'),('4635298649114429598','沈文贵','17604440717',NULL,'ls-cjz-xccwh11-wgy'),('4635298649114429624','韩璐','15044489508',NULL,'ls-cjz-yjcwh1-wgy'),('4635298649114429650','董贵富','15134435898',NULL,'ls-cjz-yjcwh2-wgy'),('4635298649114429676','邹庆双','15981580924',NULL,'ls-cjz-yjcwh3-wgy'),('4635298649114429702','崔明福','13089235526',NULL,'ls-cjz-yjcwh4-wgy'),('4635298649114429728','兰红超','15004475711',NULL,'ls-cjz-yjcwh5-wgy'),('4635298649114429754','杜英羽','15886090738',NULL,'ls-cjz-yjcwh6-wgy'),('4635298649114429780','杨和','15134439361',NULL,'ls-cjz-yjcwh7-wgy'),('4635298649114429806','陈俊金','13504749122',NULL,'ls-cjz-yjcwh8-wgy'),('4635298649114429832','袁中久','15004473737',NULL,'ls-cjz-yjcwh9-wgy'),('4635298649114429858','张士仁','18743434943',NULL,'ls-cjz-yjcwh10-wgy'),('4635298649114429884','田华','13944486970',NULL,'ls-cjz-yjcwh11-wgy'),('4635298786553381820','李宝金','16688440801',NULL,'ls-syz-sxsq1-wgy'),('4635298786553381846','王晓燕','13224444557',NULL,'ls-syz-sxsq2-wgy'),('4635298786553381872','王海文','15043498333',NULL,'ls-syz-htpcwh1-wgy'),('4635298786553381898','李波','15943451200',NULL,'ls-syz-htpcwh2-wgy'),('4635298786553381924','王新','15844482123',NULL,'ls-syz-htpcwh3-wgy'),('4635298786553381950','马贵权','13244081906',NULL,'ls-syz-htpcwh4-wgy'),('4635298786553381976','张伟','13944482572',NULL,'ls-syz-htpcwh5-wgy'),('4635298786553382002','刘海伍','15843465311',NULL,'ls-syz-htpcwh6-wgy'),('4635298786553382028','辛向东','15144498825',NULL,'ls-syz-htpcwh7-wgy'),('4635298786553382054','陈君','15144497335',NULL,'ls-syz-htpcwh8-wgy'),('4635298786553382080','马占超','15144494822',NULL,'ls-syz-htpcwh9-wgy'),('4635298786553382106','林公文','13596642838',NULL,'ls-syz-xwcwh1-wgy'),('4635298786553382132','张  恒','13089238852',NULL,'ls-syz-xwcwh2-wgy'),('4635298786553382158','李海川','17600783244',NULL,'ls-syz-xwcwh3-wgy'),('4635298786553382184','王有文','15567229812',NULL,'ls-syz-xwcwh4-wgy'),('4635298786553382210','李凤林','15004470984',NULL,'ls-syz-xwcwh5-wgy'),('4635298786553382236','樊永刚','13596660259',NULL,'ls-syz-xwcwh6-wgy'),('4635298786553382262','王忠辉','15981581686',NULL,'ls-syz-xwcwh7-wgy'),('4635298786553382288','项治国','15144499963',NULL,'ls-syz-lhcwh1-wgy'),('4635298786553382314','李凤山','15652889776',NULL,'ls-syz-lhcwh2-wgy'),('4635298786553382340','褚文坤','15204436299',NULL,'ls-syz-lhcwh3-wgy'),('4635298786553382366','高俊义','15734453991',NULL,'ls-syz-lhcwh4-wgy'),('4635298786553382392','杨树才','18343439667',NULL,'ls-syz-lhcwh5-wgy'),('4635298786553382418','于艳超','13664346493',NULL,'ls-syz-lhcwh6-wgy'),('4635298786553382444','陈殿富','15590476281',NULL,'ls-syz-lhcwh7-wgy'),('4635298786553382470','杜福军','13596675676',NULL,'ls-syz-fscwh1-wgy'),('4635298786553382496','高志伟','15567251877',NULL,'ls-syz-fscwh2-wgy'),('4635298786553382548','许凤华','13664349632',NULL,'ls-syz-fscwh4-wgy'),('4635298786553382574','李金龙','17088062222',NULL,'ls-syz-fscwh5-wgy'),('4635298786553382600','孟凡华','13614448776',NULL,'ls-syz-fscwh6-wgy'),('4635298786553382626','刘占宾','15500422268',NULL,'ls-syz-fscwh7-wgy'),('4635298786553382652','刘凯','15004463331',NULL,'ls-syz-fscwh8-wgy'),('4635298786553382678','褚文秀','15204439787',NULL,'ls-syz-fscwh9-wgy'),('4635298786553382704','赵井玉','13596644101',NULL,'ls-syz-fscwh10-wgy'),('4635298786553382730','郭洪文','15843465188',NULL,'ls-syz-fanscwh1-wgy'),('4635298786553382756','吕志','15144431055',NULL,'ls-syz-fanscwh2-wgy'),('4635298786553382782','乔树奎','15004469623',NULL,'ls-syz-fanscwh3-wgy'),('4635298786553382808','黄金国','13180989818',NULL,'ls-syz-fanscwh4-wgy'),('4635298786553382834','高云广','13214441998',NULL,'ls-syz-fanscwh5-wgy'),('4635298786553382860','朱状','13894450768',NULL,'ls-syz-gncwh1-wgy'),('4635298786553382886','朱丽红','15886073100',NULL,'ls-syz-gncwh2-wgy'),('4635298786553382912','姚中国','15843487626',NULL,'ls-syz-gncwh3-wgy'),('4635298786553382938','王辉','15844483952',NULL,'ls-syz-gncwh4-wgy'),('4635298786553382964','贾建国','13630998232',NULL,'ls-syz-gncwh5-wgy'),('4635298786553382990','霍景明','13596670445',NULL,'ls-syz-gncwh6-wgy'),('4635298786553383016','段小辉','13244349789',NULL,'ls-syz-gncwh7-wgy'),('4635298786553383042','王秋阳','15665956166',NULL,'ls-syz-gncwh8-wgy'),('4635298786553383068','王凤春','13134345541',NULL,'ls-syz-qtpcwh1-wgy'),('4635298786553383094','姚明','13596671255',NULL,'ls-syz-qtpcwh2-wgy'),('4635298786553383120','李波','15204430896',NULL,'ls-syz-qtpcwh3-wgy'),('4635298786553383146','张贺东','13844485471',NULL,'ls-syz-qtpcwh4-wgy'),('4635298786553383172','秦军','13278091900',NULL,'ls-syz-bstcwh1-wgy'),('4635298786553383198','王道军','13943311422',NULL,'ls-syz-bstcwh2-wgy'),('4635298786553383224','赵长山','13630705725',NULL,'ls-syz-bstcwh3-wgy'),('4635298786553383250','梁成','15567250787',NULL,'ls-syz-bstcwh4-wgy'),('4635298786553383276','于连波','13630708089',NULL,'ls-syz-bstcwh5-wgy'),('4635298786553383302','张学','15981585525',NULL,'ls-syz-zjpzcwh1-wgy'),('4635298786553383328','吴景武','15943443958',NULL,'ls-syz-zjpzcwh2-wgy'),('4635298786553383354','孔岭山','15004497922',NULL,'ls-syz-zjpzcwh3-wgy'),('4635298786553383380','户英南','15204347345',NULL,'ls-syz-zjpzcwh4-wgy'),('4635298786553383406','栾忠云','15134437528',NULL,'ls-syz-zjpzcwh5-wgy'),('4635298786553383432','马淑平','13630744379',NULL,'ls-syz-zjpzcwh6-wgy'),('4635298786553383458','张凤同','18844486275',NULL,'ls-syz-dgscwh1-wgy'),('4635298786553383484','张义','15843461988',NULL,'ls-syz-dgscwh2-wgy'),('4635298786553383510','刘景海','15843467894',NULL,'ls-syz-dgscwh3-wgy'),('4635298786553383536','伍保仁','15004460123',NULL,'ls-syz-dgscwh4-wgy'),('4635298786553383562','刘国红','13843475445',NULL,'ls-syz-dgscwh5-wgy'),('4635298786553383588','刘宝华','13844455037',NULL,'ls-syz-dgscwh6-wgy'),('4635298786553383614','邢济辉','17094922990',NULL,'ls-syz-dgscwh7-wgy'),('4635298786553383640','曲桂平','15144437288',NULL,'ls-syz-ydcwh1-wgy'),('4635298786553383692','孙秀芬','15004495144',NULL,'ls-syz-ydcwh3-wgy'),('4635298786553383718','赵彦丰','15834439789',NULL,'ls-syz-ydcwh4-wgy'),('4635298786553383744','吴树才','13596625800',NULL,'ls-syz-ydcwh5-wgy'),('4635298786553383770','袁清国','15500426688',NULL,'ls-syz-ydcwh6-wgy'),('4635298786553383796','李  辉','15944493123',NULL,'ls-syz-ljjcwh1-wgy'),('4635298786553383822','孙凤权','13694342326',NULL,'ls-syz-ljjcwh2-wgy'),('4635298786553383848','周占义','13943312722',NULL,'ls-syz-ljjcwh3-wgy'),('4635298786553383874','陈昌','15134437117',NULL,'ls-syz-ljjcwh4-wgy'),('4635298786553383900','黄浩','13894481022',NULL,'ls-syz-ljjcwh5-wgy'),('4635298786553383926','李才','13596674811',NULL,'ls-syz-sycwh1-wgy'),('4635298786553383952','高跃山','13674402722',NULL,'ls-syz-sycwh2-wgy'),('4635298786553383978','肖千双','13179039313',NULL,'ls-syz-sycwh3-wgy'),('4635298786553384004','李长峰','13843430411',NULL,'ls-syz-sycwh4-wgy'),('4635298786553384030','张海蛟','15144436949',NULL,'ls-syz-sycwh5-wgy'),('4635298786553384056','郭春生','15568521411',NULL,'ls-syz-sycwh6-wgy'),('4635298855272860490','李树波','15143456106',NULL,'ls-lsz-hjbcwh1-wgy'),('4635298855272860516','丁春华','13694396647',NULL,'ls-lsz-yjcwh1-wgy'),('4635298855272860542','王雨','15044488288',NULL,'ls-lsz-qygcwh1-wgy'),('4635298855272860568','任建伟','18639856300',NULL,'ls-lsz-zapcwh1-wgy'),('4635298855272860594','于丹','15204434410',NULL,'ls-lsz-nxscwh1-wgy'),('4635298855272860620','刘少华','15734422333',NULL,'ls-lsz-dytcwh1-wgy'),('4635298855272860646','李海波','13029022129',NULL,'ls-lsz-xipacwh1-wgy'),('4635298855272860672','郑小东','15643421983',NULL,'ls-lsz-dpacwh1-wgy'),('4635298855272860698','张春勇','15944454488',NULL,'ls-lsz-xzhacwh1-wgy'),('4635298855272860750','潘歧','15886072308',NULL,'ls-lsz-mdfcwh1-wgy'),('4635298855272860776','陆凤祥','13314347569',NULL,'ls-lsz-blhcwh1-wgy'),('4635298855272860802','赵宝生','13894456616',NULL,'ls-lsz-xjpzcwh1-wgy'),('4635298855272860828','邵生','13630918456',NULL,'ls-lsz-bxjcwh1-wgy'),('4635298855272860854','辛国华','15886080802',NULL,'ls-lsz-hfshcwh1-wgy'),('4635298855272860880','齐厚民','13654348868',NULL,'ls-lsz-qfshcwh1-wgy'),('4635298855272860906','刘晓峰','13644349815',NULL,'ls-lsz-hujcwh1-wgy'),('4635298855272860932','王志勇','15886092699',NULL,'ls-lsz-mpucwh1-wgy'),('4635298855272860958','聂大卫','15843478666',NULL,'ls-lsz-gaojcwh1-wgy'),('4635298855272860984','吴铜','13614442621',NULL,'ls-lsz-hjcwh1-wgy'),('4635298992711811123','邢娜','15043406889',NULL,'tx-yxjd-yjsq1-wgy'),('4635298992711811150','李京京','13089239993',NULL,'tx-yxjd-yjsq2-wgy'),('4635298992711811177','姜丽','13904346557',NULL,'tx-yxjd-yjsq3-wgy'),('4635298992711811204','丁冬','13843403377',NULL,'tx-yxjd-yjsq4-wgy'),('4635298992711811231','朱俊茹','15204441516',NULL,'tx-yxjd-yjsq5-wgy'),('4635298992711811284','王晓平','13596662328',NULL,'tx-yxjd-yjsq7-wgy'),('4635298992711811310','蒋红娟','17833005858',NULL,'tx-yxjd-yjsq8-wgy'),('4635298992711811336','邢艳春','18804341066',NULL,'tx-yxjd-yjsq9-wgy'),('4635298992711811363','谷丽丽','13069280595',NULL,'tx-yxjd-yjsq10-wgy'),('4635298992711811389','金玲旭','18844488382',NULL,'tx-yxjd-yjsq11-wgy'),('4635298992711811442','郭金海','13278501588',NULL,'tx-yxjd-yjsq13-wgy'),('4635298992711811469','邓卓奇','18844444651',NULL,'tx-yxjd-yjsq14-wgy'),('4635298992711811495','董凤岐','18904349675',NULL,'tx-yxjd-yjsq15-wgy'),('4635298992711811523','李海波','13674442046',NULL,'tx-yxjd-yjsq16-wgy'),('4635298992711811549','朱亚玲','15144446767',NULL,'tx-yxjd-yjsq17-wgy'),('4635298992711811575','王立国','13624441876',NULL,'tx-yxjd-yjsq18-wgy'),('4635298992711811601','杨勇','17643450011',NULL,'tx-yxjd-yjsq19-wgy'),('4635298992711811627','冯大力','13634340030',NULL,'tx-yxjd-sdsq1-wgy'),('4635298992711811653','孟星辰','18744401118',NULL,'tx-yxjd-sdsq2-wgy'),('4635298992711811679','王琢','19904349920',NULL,'tx-yxjd-sdsq3-wgy'),('4635298992711811705','艾鑫','13514347448',NULL,'tx-yxjd-sdsq4-wgy'),('4635298992711811731','李默','13294347635',NULL,'tx-yxjd-sdsq5-wgy'),('4635298992711811757','闫丹','13654442330',NULL,'tx-yxjd-sdsq6-wgy'),('4635298992711811783','刘庆毅','13654443456',NULL,'tx-yxjd-sdsq7-wgy'),('4635298992711811809','王艺','13244072635',NULL,'tx-yxjd-sdsq8-wgy'),('4635298992711811835','杨小天','13944906466',NULL,'tx-yxjd-sdsq9-wgy'),('4635298992711811861','王国君','13604341839',NULL,'tx-yxjd-sdsq10-wgy'),('4635298992711811887','李峰','13298890008',NULL,'tx-yxjd-sdsq11-wgy'),('4635298992711811913','郑晓杰','13844444433',NULL,'tx-yxjd-wysq1-wgy'),('4635298992711811939','程宏','15504341063',NULL,'tx-yxjd-wysq2-wgy'),('4635298992711811965','董玉光','15044400086',NULL,'tx-yxjd-wysq3-wgy'),('4635298992711811991','张庆芬','15043430898',NULL,'tx-yxjd-wysq4-wgy'),('4635298992711812017','王飞飞','15834403133',NULL,'tx-yxjd-wysq5-wgy'),('4635298992711812043','孙德海','13039037688',NULL,'tx-yxjd-wysq6-wgy'),('4635298992711812069','王琦','13844404817',NULL,'tx-yxjd-wysq7-wgy'),('4635298992711812095','周沛峰','18843442560',NULL,'tx-yxjd-wysq8-wgy'),('4635298992711812121','冯诗尧','13943703115',NULL,'tx-yxjd-wysq9-wgy'),('4635298992711812147','张雅楠','13069282220',NULL,'tx-yxjd-wysq10-wgy'),('4635298992711812173','刘烨','13298890118',NULL,'tx-yxjd-wysq11-wgy'),('4635298992711812199','刘倩','13244080301',NULL,'tx-yxjd-wysq12-wgy'),('4635298992711812225','辛玲','13247005567',NULL,'tx-yxjd-wysq13-wgy'),('4635298992711812251','崔京花','13221021990',NULL,'tx-yxjd-wysq14-wgy'),('4635298992711812277','张翥','18543431728',NULL,'tx-yxjd-wysq15-wgy'),('4635298992711812303','周连臣','15834431902',NULL,'tx-yxjd-wysq16-wgy'),('4635298992711812329','张锦峰','13504340249',NULL,'tx-yxjd-wysq17-wgy'),('4635298992711812355','高连友','15071707889',NULL,'tx-yxjd-wysq18-wgy'),('4635298992711812381','赵双力','13604345819',NULL,'tx-yxjd-wysq19-wgy'),('4635298992711812407','李明刚','13596605728',NULL,'tx-yxjd-wysq20-wgy'),('4635298992711812433','赵亮','15585451311',NULL,'tx-yxjd-wysq21-wgy'),('4635298992711812459','张俊','13630700282',NULL,'tx-yxjd-wysq22-wgy'),('4635298992711812485','李洪久','13271589889',NULL,'tx-yxjd-wysq23-wgy'),('4635298992711812511','卜玉红','15004345689',NULL,'tx-yxjd-ygsq1-wgy'),('4635298992711812547','郭慧铭','15734440056',NULL,'tx-yxjd-ygsq2-wgy'),('4635298992711812584','刘莉飒','13630709549',NULL,'tx-yxjd-ygsq3-wgy'),('4635298992711812615','方东红','15834434959',NULL,'tx-yxjd-ygsq4-wgy'),('4635298992711812645','傅家卉','18643433666',NULL,'tx-yxjd-ygsq5-wgy'),('4635298992711812676','安英红','13504343253',NULL,'tx-yxjd-ygsq6-wgy'),('4635298992711812712','盖世香','15144660002',NULL,'tx-yxjd-ygsq7-wgy'),('4635298992711812740','刘红艳','13844448481',NULL,'tx-yxjd-ygsq8-wgy'),('4635298992711812770','巴志成','13180638396',NULL,'tx-yxjd-ygsq9-wgy'),('4635298992711812801','曹美玲','13278087799',NULL,'tx-yxjd-yxsq1-wgy'),('4635298992711812827','袁晓平','13331733939',NULL,'tx-yxjd-yxsq2-wgy'),('4635298992711812853','陈巍','18104344807',NULL,'tx-yxjd-yxsq3-wgy'),('4635298992711812879','周盟盟','15590280703',NULL,'tx-yxjd-yxsq4-wgy'),('4635298992711812905','李航','13630940599',NULL,'tx-yxjd-yxsq5-wgy'),('4635298992711812931','李天舒','18543448790',NULL,'tx-yxjd-yxsq6-wgy'),('4635298992711812957','丁楠','13620770151',NULL,'tx-yxjd-yxsq7-wgy'),('4635298992711813009','王野','15904348110',NULL,'tx-yxjd-yxsq9-wgy'),('4635298992711813139','刘鹤','18643009308',NULL,'tx-yxjd-fmsq1-wgy'),('4635298992711813165','姜玉洁','13844418959',NULL,'tx-yxjd-fmsq2-wgy'),('4635298992711813191','石夕可','13504349480',NULL,'tx-yxjd-fmsq3-wgy'),('4635298992711813217','刘海龙','15500188067',NULL,'tx-yxjd-fmsq4-wgy'),('4635298992711813243','赵毅','17766805233',NULL,'tx-yxjd-fmsq5-wgy'),('4635298992711813270','张明慧','13596609307',NULL,'tx-yxjd-fmsq6-wgy'),('4635298992711813296','董彬彬','18143435111',NULL,'tx-yxjd-fmsq7-wgy'),('4635298992711813323','邵丽娟','15204344006',NULL,'tx-yxjd-fmsq8-wgy'),('4635298992711813350','徐亚朋','15304375009',NULL,'tx-yxjd-fmsq9-wgy'),('4635298992711813377','郝悦彤','15844402607',NULL,'tx-yxjd-fmsq10-wgy'),('4635298992711813403','贾芝','13179031162',NULL,'tx-yxjd-nhsq1-wgy'),('4635298992711813429','孙金涛','16624340187',NULL,'tx-yxjd-nhsq2-wgy'),('4635298992711813455','崔鑫','15500109677',NULL,'tx-yxjd-nhsq3-wgy'),('4635298992711813507','杨斌','13944415955',NULL,'tx-yxjd-nhsq5-wgy'),('4635298992711813533','乔丹','13674402999',NULL,'tx-yxjd-nhsq6-wgy'),('4635298992711813669','贾永泽','18943849588',NULL,'tx-yxjd-nhsq9-wgy'),('4635298992711813695','张艳春','13304345729',NULL,'tx-yxjd-nhsq10-wgy'),('4635298992711813721','李利','13604340093',NULL,'tx-yxjd-nhsq11-wgy'),('4635298992711813747','甘志鹏','15144414484',NULL,'tx-yxjd-nhsq12-wgy'),('4635298992711813773','白英华','13596665523',NULL,'tx-yxjd-nhsq13-wgy'),('4635298992711815720','徐胜利','15981667123',NULL,'ls-dhz-dhcwh1-wgy'),('4635298992711815752','张宝忠','15004466252',NULL,'ls-dhz-ljgzcwh1-wgy'),('4635298992711815787','王金龙','15585442000',NULL,'ls-dhz-shelcwh1-wgy'),('4635298992711815822','王凤海','15044410537',NULL,'ls-dhz-shczcwh1-wgy'),('4635298992711815857','庞钦海','13674400369',NULL,'ls-dhz-shszcwh1-wgy'),('4635298992711815892','赵书生','13844474021',NULL,'ls-dhz-sshcwh1-wgy'),('4635298992711815925','王海龙','15844485898',NULL,'ls-dhz-wpfcwh1-wgy'),('4635298992711815961','王殿臣','15886088487',NULL,'ls-dhz-wycwh1-wgy'),('4635298992711815994','靳洪奎','13596647188',NULL,'ls-dhz-xfcwh1-wgy'),('4635298992711816028','夏春辉','15886081881',NULL,'ls-dhz-yjtcwh1-wgy'),('4635298992711816058','李国忠','15590227115',NULL,'ls-dhz-zhjdcwh1-wgy'),('4635298992711816092','孟昭明','13630918669',NULL,'ls-dhz-zhjcwh1-wgy'),('4635300779418212801','张宝','15044468508',NULL,'ls-sdx-dlcwh1-wgy'),('4635300779418212827','姜宏','15004425498',NULL,'ls-sdx-dlcwh2-wgy'),('4635300779418212853','赵焕明','18743468138',NULL,'ls-sdx-dlcwh3-wgy'),('4635300779418212879','张喜德','15981696284',NULL,'ls-sdx-dlcwh4-wgy'),('4635300779418212905','张大波','15844473337',NULL,'ls-sdx-dlcwh5-wgy'),('4635300779418212934','梁艳丽','15886051968',NULL,'ls-sdx-slcwh1-wgy'),('4635300779418212960','李艳君','13894497906',NULL,'ls-sdx-slcwh2-wgy'),('4635300779418212986','赵云峰','13894492277',NULL,'ls-sdx-slcwh3-wgy'),('4635300779418213012','刘彦彪','15844466299',NULL,'ls-sdx-slcwh4-wgy'),('4635300779418213040','武继民','13500848332',NULL,'ls-sdx-qycwh1-wgy'),('4635300779418213066','张连霞','15886065573',NULL,'ls-sdx-qycwh2-wgy'),('4635300779418213092','赵凤云','18744459491',NULL,'ls-sdx-qycwh3-wgy'),('4635300779418213118','柴雪静','15981692646',NULL,'ls-sdx-qycwh4-wgy'),('4635300779418213144','李云胜','13614443254',NULL,'ls-sdx-qycwh5-wgy'),('4635300779418213170','李晓朋','13500848155',NULL,'ls-sdx-qycwh6-wgy'),('4635300779418213200','葛兴旺','15886052485',NULL,'ls-sdx-qwcwh1-wgy'),('4635300779418213226','谭立宝','15981573100',NULL,'ls-sdx-qwcwh2-wgy'),('4635300779418213252','刘洪伟','15981695930',NULL,'ls-sdx-qwcwh3-wgy'),('4635300779418213278','魏俊发','13844492749',NULL,'ls-sdx-qwcwh4-wgy'),('4635300779418213304','牛立林','18849249555',NULL,'ls-sdx-qwcwh5-wgy'),('4635300779418213330','刘丽华','18743468525',NULL,'ls-sdx-qwcwh6-wgy'),('4635300779418213356','王玉学','13943499731',NULL,'ls-sdx-qwcwh7-wgy'),('4635300779418213382','付亚萍','15590248610',NULL,'ls-sdx-qwcwh8-wgy'),('4635300779418213408','娄相奎','15004426579',NULL,'ls-sdx-qwcwh9-wgy'),('4635300779418213434','吴国军','15981574609',NULL,'ls-sdx-qwcwh10-wgy'),('4635300779418213460','宋文志','18348906555',NULL,'ls-sdx-qwcwh11-wgy'),('4635300779418213495','李凤莉','13630954597',NULL,'ls-sdx-wpcwh1-wgy'),('4635300779418213521','刘艳华','15004430120',NULL,'ls-sdx-wpcwh2-wgy'),('4635300779418213547','陈万余','15981698149',NULL,'ls-sdx-wpcwh3-wgy'),('4635300779418213573','郭井文','13640301879',NULL,'ls-sdx-wpcwh4-wgy'),('4635300779418213599','徐成志','15004434288',NULL,'ls-sdx-wpcwh5-wgy'),('4635300779418213625','闫丽君','13278077506',NULL,'ls-sdx-wpcwh6-wgy'),('4635300779418213651','于海林','15844464378',NULL,'ls-sdx-wpcwh7-wgy'),('4635300779418213682','贾艳丽','15844471025',NULL,'ls-sdx-xlcwh1-wgy'),('4635300779418213708','王秀杰','15004422923',NULL,'ls-sdx-xlcwh2-wgy'),('4635300779418213734','宋艳东','13630952021',NULL,'ls-sdx-xlcwh3-wgy'),('4635300779418213760','王彩霞','13258739318',NULL,'ls-sdx-xlcwh4-wgy'),('4635300779418213786','任井财','15004447387',NULL,'ls-sdx-xlcwh5-wgy'),('4635300779418213812','张玉卓','13944492099',NULL,'ls-sdx-xlcwh6-wgy'),('4635300779418213838','葛丰','15134442543',NULL,'ls-sdx-xlcwh7-wgy'),('4635300779418213864','蔡香玲','15144465211',NULL,'ls-sdx-xlcwh8-wgy'),('4635300779418213896','冯光','13894497892',NULL,'ls-sdx-sdcwh1-wgy'),('4635300779418213924','李春洪','15944472625',NULL,'ls-sdx-sdcwh2-wgy'),('4635300779418213952','贾立志','15886065144',NULL,'ls-sdx-sdcwh3-wgy'),('4635300779418213980','贾万成','15943494183',NULL,'ls-sdx-sdcwh4-wgy'),('4635300779418214008','赵志生','15943497755',NULL,'ls-sdx-sdcwh5-wgy'),('4635300779418214034','赵坤','15981692252',NULL,'ls-sdx-cjcwh1-wgy'),('4635300779418214063','冯国','13844493935',NULL,'ls-sdx-cjcwh2-wgy'),('4635300779418214091','冯晶华','15981577685',NULL,'ls-sdx-cjcwh3-wgy'),('4635300779418214117','董淑杰','13278054028',NULL,'ls-sdx-cjcwh4-wgy'),('4635300779418214143','冯保江','15944470881',NULL,'ls-sdx-cjcwh5-wgy'),('4635300779418214169','王兴海','13630950406',NULL,'ls-sdx-cjcwh6-wgy'),('4635300779418214195','赵宽城','15981692739',NULL,'ls-sdx-cjcwh7-wgy'),('4635300779418214221','耿刚','15844464508',NULL,'ls-sdx-cjcwh8-wgy'),('4635300779418214247','李艳明','15880654754',NULL,'ls-sdx-cjcwh9-wgy'),('4635300779418214273','吴国富','13500848990',NULL,'ls-sdx-hwcwh1-wgy'),('4635300779418214303','刘金英','18843464853',NULL,'ls-sdx-hwcwh2-wgy'),('4635300779418214329','刘晓慧','15844479211',NULL,'ls-sdx-hwcwh3-wgy'),('4635300779418214355','申喜','15886060899',NULL,'ls-sdx-hwcwh4-wgy'),('4635300779418214381','张立波','15143446558',NULL,'ls-sdx-hwcwh5-wgy'),('4635300813777944583','宋海彦','13630956807',NULL,'ls-sdx-hwcwh6-wgy'),('4635300848137682951','宋武','15143475246',NULL,'ls-sdx-tancwh1-wgy'),('4635300848137682977','孙景贵','15943491419',NULL,'ls-sdx-tancwh2-wgy'),('4635300848137683003','高玉江','18743463974',NULL,'ls-sdx-tancwh3-wgy'),('4635300848137683029','陈万江','15143474437',NULL,'ls-sdx-tancwh4-wgy'),('4635300848137683055','杜文远','15144640448',NULL,'ls-sdx-tancwh5-wgy'),('4635300848137683081','金立军','13278050658',NULL,'ls-sdx-tancwh6-wgy'),('4635300848137683107','李波','15004430186',NULL,'ls-sdx-tancwh7-wgy'),('4635300848137683133','杨佰林','15004449339',NULL,'ls-sdx-chzcwh1-wgy'),('4635300848137683159','杨耀明','18843469675',NULL,'ls-sdx-chzcwh2-wgy'),('4635300848137683185','杨国生','15844475369',NULL,'ls-sdx-chzcwh3-wgy'),('4635300848137683211','杨金良','15144643980',NULL,'ls-sdx-chzcwh4-wgy'),('4635300848137683237','杨玉森','15004421086',NULL,'ls-sdx-chzcwh5-wgy'),('4635300848137683263','杨美英','15943480658',NULL,'ls-sdx-chzcwh6-wgy'),('4635300848137683289','许东艳','18243473885',NULL,'ls-sdx-chzcwh7-wgy'),('4635300848137683315','杨艳芳','13278147061',NULL,'ls-sdx-chzcwh8-wgy'),('4635300848137683341','杨秀方','13278055960',NULL,'ls-sdx-chzcwh9-wgy'),('4635300848137683367','杨猛','13894494476',NULL,'ls-sdx-chzcwh10-wgy'),('4635300916857167782','董宏飞','13596654666',NULL,'sl-wh-xasq1'),('4635300916857167808','李苗','13596617309',NULL,'sl-wh-xasq2'),('4635300916857167834','任秀英','13630972822',NULL,'sl-wh-dasq1'),('4635300916857167860','徐亚丽','13844456236',NULL,'sl-wh-dasq2'),('4635300951216898062','马德山','13844432021',NULL,'sl-wh-whc1'),('4635300951216898091','王玉艳','13044341893',NULL,'sl-wh-whc2'),('4635300951216898117','曹亚辉','15886028855',NULL,'sl-wh-whc3'),('4635300951216898143','金作勋','13630924158',NULL,'sl-wh-whc4'),('4635300951216898169','王玉文','13630925866',NULL,'sl-wh-whc5'),('4635300951216898195','徐波','13944439569',NULL,'sl-wh-wxc1'),('4635300951216898221','赵宝华','13943491878',NULL,'sl-wh-wxc2'),('4635300951216898247','赵大海','18744447111',NULL,'sl-wh-tlc1'),('4635300951216898274','孟繁艳','15144658806',NULL,'sl-wh-tlc2'),('4635300951216898300','马明军','15981563828',NULL,'sl-wh-tlc3'),('4635300951216898326','王国华','13844435883',NULL,'sl-wh-gdc1'),('4635300951216898353','白燕','13278423220',NULL,'sl-wh-gdc2'),('4635300951216898379','姜春玲','15043479008',NULL,'sl-wh-gdc3'),('4635300951216898405','徐传吉','13943494403',NULL,'sl-wh-bsc1'),('4635300951216898431','张丽霞','18844450616',NULL,'sl-wh-bsc2'),('4635300951216898457','李亚林','13844432865',NULL,'sl-wh-jjzc1'),('4635300951216898483','陈海山','15043481048',NULL,'sl-wh-jjzc2'),('4635300951216898509','董喜东','13843468721',NULL,'sl-wh-ljzc1'),('4635300951216898535','孙昌','13596617259',NULL,'sl-wh-ljzc2'),('4635300951216898561','王艳秋','15044453111',NULL,'sl-wh-qljzc1'),('4635300951216898587','李军','18243442226',NULL,'sl-wh-qljzc2'),('4635300951216898613','刘江','13596657729',NULL,'sl-wh-bmc1'),('4635300951216898639','马国明','15134455570',NULL,'sl-wh-bmc2'),('4635300951216898665','王海民','15500133009',NULL,'sl-wh-hjc1'),('4635300951216898691','赵如意','15843494211',NULL,'sl-wh-hjc2'),('4635300951216898717','肖振玉','13894475767',NULL,'sl-wh-zlc1'),('4635300951216898744','陈刚','15144456366',NULL,'sl-wh-zlc2'),('4635300951216898770','牛春雷','13843463629',NULL,'sl-wh-zlc3'),('4635300951216898796','满长友','13943492115',NULL,'sl-wh-dfc1'),('4635300951216898824','赵同祥','13943474456',NULL,'sl-wh-dfc2'),('4635300951216898850','李洪俊','13844437319',NULL,'sl-wh-dfc3'),('4635300951216898876','温绍录','15943475203',NULL,'sl-wh-dfc4'),('4635300951216898902','张宏','15886046118',NULL,'sl-wh-wjzc1'),('4635300951216898928','张春杰','13614447008',NULL,'sl-wh-wjzc2'),('4635300951216898954','姜凤林','13514342088',NULL,'sl-wh-hrc1'),('4635300951216898980','张宝财','15944464874',NULL,'sl-wh-hrc2'),('4635300951216899006','丛培义','15886035766',NULL,'sl-wh-xlc1'),('4635300951216899032','刘天华','15886034640',NULL,'sl-wh-xlc2'),('4635300951216899058','李宝祥','15844454555',NULL,'sl-wh-dxc1'),('4635300951216899085','王启兴','13844430922',NULL,'sl-wh-dxc2'),('4635300951216899111','王丽霞','15844458557',NULL,'sl-wh-dxc3'),('4635300951216899137','李振武','15943460400',NULL,'sl-wh-dfhc1'),('4635300951216899165','齐满','15886042151',NULL,'sl-wh-dfhc2'),('4635300951216899191','苏景民','13596658135',NULL,'sl-wh-dfhc3'),('4635300951216899217','刘郁合','13843432480',NULL,'sl-wh-dfhc4'),('4635300951216899243','王志俭','13943494625',NULL,'sl-wh-tsc1'),('4635300951216899269','张浦','13596613066',NULL,'sl-wh-tsc2'),('4635300951216899295','李健','13944431222',NULL,'sl-wh-shtc1'),('4635300951216899321','王来喜','15143455228',NULL,'sl-wh-shtc2'),('4635301123015593673','梁国春','13278028999',NULL,'sl-wbz-dgc1-wgy'),('4635301123015593702','朱秀杰','15134457881',NULL,'sl-wbz-dgc2-wgy'),('4635301123015593728','王晓明','13596610612',NULL,'sl-wbz-dgc3-wgy'),('4635301123015593754','张国双','15500432100',NULL,'sl-wbz-dgc4-wgy'),('4635301123015593780','李世超','18543467881',NULL,'sl-wbz-dgc5-wgy'),('4635301123015593806','陈文福','15886043999',NULL,'sl-wbz-cxc1-wgy'),('4635301123015593836','刘春来','15590406011',NULL,'sl-wbz-cxc2-wgy'),('4635301123015593862','王金华','15665922006',NULL,'sl-wbz-cxc3-wgy'),('4635301123015593888','付春生','13694023698',NULL,'sl-wbz-cxc4-wgy'),('4635301123015593914','尹明影','13844435108',NULL,'sl-wbz-cxc5-wgy'),('4635301123015593940','张凤有','15943468343',NULL,'sl-wbz-cxc6-wgy'),('4635301123015593966','陈树成','13894436082',NULL,'sl-wbz-tjc1-wgy'),('4635301123015593994','王帅','15981556299',NULL,'sl-wbz-tjc2-wgy'),('4635301123015594020','杜海侠','15942376238',NULL,'sl-wbz-tjc3-wgy'),('4635301123015594046','于青艳','18343459388',NULL,'sl-wbz-tjc4-wgy'),('4635301123015594072','李洪印','13630706999',NULL,'sl-wbz-gcc1-wgy'),('4635301123015594104','陈东琦','18843456711',NULL,'sl-wbz-gcc2-wgy'),('4635301123015594130','宋春剑','13943493838',NULL,'sl-wbz-gcc3-wgy'),('4635301123015594156','赵忠生','13894473058',NULL,'sl-wbz-gcc4-wgy'),('4635301123015594182','刘建申','13630929277',NULL,'sl-wbz-gcc5-wgy'),('4635301123015594208','张闯','15981560717',NULL,'sl-wbz-gcc6-wgy'),('4635301123015594234','王伟','18543464489',NULL,'sl-wbz-gcc7-wgy'),('4635301123015594260','常艳华','18243458847',NULL,'sl-wbz-gcc8-wgy'),('4635301123015594286','董阳','13278061789',NULL,'sl-wbz-bsc1-wgy'),('4635301123015594315','柳春冬','18543461119',NULL,'sl-wbz-bsc2-wgy'),('4635301123015594341','丁发','13278066466',NULL,'sl-wbz-bsc3-wgy'),('4635301123015594367','宋国龙','13944410123',NULL,'sl-wbz-bsc4-wgy'),('4635301123015594393','刘刚','15044452099',NULL,'sl-wbz-bsc5-wgy'),('4635301123015594419','刘洪波','13894435399',NULL,'sl-wbz-bjc1-wgy'),('4635301123015594447','魏丹','15044453542',NULL,'sl-wbz-bjc2-wgy'),('4635301123015594473','王红霞','15590210920',NULL,'sl-wbz-bjc3-wgy'),('4635301123015594499','刘洪友','15500157782',NULL,'sl-wbz-bjc4-wgy'),('4635301123015594525','张保太','13894631158',NULL,'sl-wbz-ljc1-wgy'),('4635301123015594556','柴占秋','15044452462',NULL,'sl-wbz-ljc2-wgy'),('4635301123015594582','吕东辉','18243457785',NULL,'sl-wbz-ljc3-wgy'),('4635301123015594608','董福生','13894430805',NULL,'sl-wbz-ljc4-wgy'),('4635301123015594634','于海','13159789368',NULL,'sl-wbz-ljc5-wgy'),('4635301123015594660','杜国民','13596690509',NULL,'sl-wbz-ljc6-wgy'),('4635301123015594686','张国明','13596651343',NULL,'sl-wbz-ljc7-wgy'),('4635301123015594712','郑玉明','13894430499',NULL,'sl-wbz-wbc1-wgy'),('4635301123015594745','王平','13630927766',NULL,'sl-wbz-wbc2-wgy'),('4635301123015594771','张龙','13844433308',NULL,'sl-wbz-wbc3-wgy'),('4635301123015594797','王亚书','13278436638',NULL,'sl-wbz-wbc4-wgy'),('4635301123015594823','杨凤','18744422683',NULL,'sl-wbz-wbc5-wgy'),('4635301123015594849','范志勇','15144457567',NULL,'sl-wbz-wbc6-wgy'),('4635301123015594875','孙中国','18643496758',NULL,'sl-wbz-wbc7-wgy'),('4635301123015594901','薛成','15886022869',NULL,'sl-wbz-wbc8-wgy'),('4635301123015594927','刘洪鹏','15843497198',NULL,'sl-wbz-wbc9-wgy'),('4635301123015594953','李连生','13596659111',NULL,'sl-wbz-sjc1-wgy'),('4635301123015594981','李猛','18843456710',NULL,'sl-wbz-sjc2-wgy'),('4635301123015595007','张贺','13943495006',NULL,'sl-wbz-sjc3-wgy'),('4635301123015595033','王宾','13894431269',NULL,'sl-wbz-sjc4-wgy'),('4635301123015595059','王绍军','13894479074',NULL,'sl-wbz-hxc1-wgy'),('4635301123015595086','杜艳','18843453605',NULL,'sl-wbz-hxc2-wgy'),('4635301123015595112','宫真','15144658891',NULL,'sl-wbz-hxc3-wgy'),('4635301123015595138','包福贵','15590279899',NULL,'sl-wbz-gmc1-wgy'),('4635301123015595167','苏艳军','13944430305',NULL,'sl-wbz-gmc2-wgy'),('4635301123015595193','林艳春','18543415731',NULL,'sl-wbz-gmc3-wgy'),('4635301123015595219','张春红','13224415100',NULL,'sl-wbz-gmc4-wgy'),('4635301123015595245','刘连滨','13596650773',NULL,'sl-wbz-hwc1-wgy'),('4635301123015595277','姜庆斌','15144452452',NULL,'sl-wbz-hwc2-wgy'),('4635301123015595303','潘凤学','13244077815',NULL,'sl-wbz-hwc3-wgy'),('4635301123015595329','付向春','13844455698',NULL,'sl-wbz-hwc4-wgy'),('4635301123015595355','王少伍','13644346785',NULL,'sl-wbz-hwc5-wgy'),('4635301123015595381','孔庆才','15944468307',NULL,'sl-wbz-hwc6-wgy'),('4635301123015595407','张占军','15886037102',NULL,'sl-wbz-hwc7-wgy'),('4635301123015595433','陈莹','15981556255',NULL,'sl-wbz-hwc8-wgy'),('4635301123015595459','于连涛','15500157333',NULL,'sl-wbz-sj1-wgy'),('4635301123015595489','王健','13244082300',NULL,'sl-wbz-sj2-wgy'),('4635301123015595515','张丽','15500139193',NULL,'sl-wbz-sj3-wgy'),('4635301123015595541','尹立新','13154342052',NULL,'sl-wbz-sj4-wgy'),('4635301123015595567','刘明方','13596698700',NULL,'sl-wbz-sj5-wgy'),('4635301123015595593','聂永田','13694025201',NULL,'sl-wbz-sj6-wgy'),('4635301123015595619','范学强','15134458282',NULL,'sl-wbz-cjc1-wgy'),('4635301123015595650','郑双','13630927712',NULL,'sl-wbz-cjc2-wgy'),('4635301123015595676','薄精华','13596615191',NULL,'sl-wbz-cjc3-wgy'),('4635301123015595702','王春梅','15043492955',NULL,'sl-wbz-cjc4-wgy'),('4635301123015595728','滕连友','15943432558',NULL,'sl-wbz-cjc5-wgy'),('4635301123015595754','杨子良','13843467738',NULL,'sl-wbz-cjc6-wgy'),('4635301123015595780','张宝刚','13596658057',NULL,'sl-wbz-cjc7-wgy'),('4635301123015595806','赵德仁','13844430788',NULL,'sl-wbz-jxc1-wgy'),('4635301123015595834','赵恒','13844428886',NULL,'sl-wbz-jxc2-wgy'),('4635301123015595860','张丽','18843452067',NULL,'sl-wbz-jxc3-wgy'),('4635301123015595886','肖光','18743458190',NULL,'sl-wbz-jxc4-wgy'),('4635301123015596892','李正江','13694407037',NULL,'yt-hyz-djcwh1-wgy'),('4635301123015596922','纪俊友','13894493643',NULL,'yt-hyz-djcwh2-wgy'),('4635301123015596948','景凡娟','15944477224',NULL,'yt-hyz-djcwh3-wgy'),('4635301123015596974','王振和','15044462100',NULL,'yt-hyz-djcwh4-wgy'),('4635301123015597000','廉福成','13208672196',NULL,'yt-hyz-djcwh5-wgy'),('4635301123015597026','张贵春','15204460403',NULL,'yt-hyz-djcwh6-wgy'),('4635301123015597052','何文祥','15004435833',NULL,'yt-hyz-hxcwh1-wgy'),('4635301123015597082','姚建东','15804499440',NULL,'yt-hyz-hxcwh2-wgy'),('4635301123015597108','黄明艳','15567719991',NULL,'yt-hyz-hxcwh3-wgy'),('4635301123015597134','高东','13804391214',NULL,'yt-hyz-hxcwh4-wgy'),('4635301123015597160','孟庆仁','15526829129',NULL,'yt-hyz-hxcwh5-wgy'),('4635301123015597186','刘树财','15734470177',NULL,'yt-hyz-hxcwh6-wgy'),('4635301123015597212','王浩','15981575206',NULL,'yt-hyz-bscwh1-wgy'),('4635301123015597244','尹金录','15943489841',NULL,'yt-hyz-bscwh2-wgy'),('4635301123015597270','李柏青','15981690890',NULL,'yt-hyz-bscwh3-wgy'),('4635301123015597296','冯明春','13894491179',NULL,'yt-hyz-bscwh4-wgy'),('4635301123015597322','于有','15004444471',NULL,'yt-hyz-bscwh5-wgy'),('4635301123015597348','林义','15844478830',NULL,'yt-hyz-bscwh6-wgy'),('4635301123015597374','李慧','13944499622',NULL,'yt-hyz-bscwh7-wgy'),('4635301123015597400','杜光山','15004439339',NULL,'yt-hyz-bscwh8-wgy'),('4635301123015597426','樊继河','13944498686',NULL,'yt-hyz-lhcwh1-wgy'),('4635301123015597458','周明','18744469234',NULL,'yt-hyz-lhcwh2-wgy'),('4635301123015597484','刘岩','15774477688',NULL,'yt-hyz-lhcwh3-wgy'),('4635301123015597510','冯利国','13894496283',NULL,'yt-hyz-lhcwh4-wgy'),('4635301123015597536','王玉喜','15886067886',NULL,'yt-hyz-lhcwh5-wgy'),('4635301123015597562','张国风','15943491079',NULL,'yt-hyz-lhcwh6-wgy'),('4635301123015597588','陈志伍','18443420727',NULL,'yt-hyz-lhcwh7-wgy'),('4635301123015597614','苗美君','13943476801',NULL,'yt-hyz-lhcwh8-wgy'),('4635301123015597640','闫玉东','15004428625',NULL,'yt-hyz-daqcwh1-wgy'),('4635301123015597669','赵发','15844477248',NULL,'yt-hyz-daqcwh2-wgy'),('4635301123015597695','马忠富','15886067193',NULL,'yt-hyz-daqcwh3-wgy'),('4635301123015597721','赵富','15004428218',NULL,'yt-hyz-daqcwh4-wgy'),('4635301123015597747','刘福权','15004441027',NULL,'yt-hyz-daqcwh5-wgy'),('4635301123015597773','李存银','18744468847',NULL,'yt-hyz-jixcwh1-wgy'),('4635301123015597804','蒋恩员','15004423887',NULL,'yt-hyz-jixcwh2-wgy'),('4635301123015597830','隋国辉','15981572022',NULL,'yt-hyz-jixcwh3-wgy'),('4635301123015597856','于桂海','15886069097',NULL,'yt-hyz-jixcwh4-wgy'),('4635301123015597882','郑花其','18713879180',NULL,'yt-hyz-jixcwh5-wgy'),('4635301123015597908','王立国','13944491909',NULL,'yt-hyz-jixcwh6-wgy'),('4635301123015597934','王静君','15944471476',NULL,'yt-hyz-jixcwh7-wgy'),('4635301123015597960','陈万春','15044461522',NULL,'yt-hyz-djzcwh1-wgy'),('4635301123015597992','张权','15144649548',NULL,'yt-hyz-djzcwh2-wgy'),('4635301123015598018','史俊龙','15004438071',NULL,'yt-hyz-djzcwh3-wgy'),('4635301123015598044','鹿克同','13694406978',NULL,'yt-hyz-djzcwh4-wgy'),('4635301123015598070','杨德库','13843480753',NULL,'yt-hyz-djzcwh5-wgy'),('4635301191735066633','勾发','15774473681',NULL,'yt-hyz-djzcwh6-wgy'),('4635301191735066659','贾春华','15886064727',NULL,'yt-hyz-djzcwh7-wgy'),('4635301191735066685','刘相英','15886067557',NULL,'yt-hyz-djzcwh8-wgy'),('4635301191735066711','殷永才','13944490323',NULL,'yt-hyz-djzcwh9-wgy'),('4635301191735066737','尹连祥','15144649888',NULL,'yt-hyz-dawcwh1-wgy'),('4635301191735066766','王艳臣','15143472832',NULL,'yt-hyz-dawcwh2-wgy'),('4635301191735066793','蔡志国','13943473545',NULL,'yt-hyz-dawcwh3-wgy'),('4635301191735066819','王青','13694409516',NULL,'yt-hyz-dawcwh4-wgy'),('4635301191735066845','温德君','13500844905',NULL,'yt-hyz-lscwh1-wgy'),('4635301191735066874','吉淑霞','15144642376',NULL,'yt-hyz-lscwh2-wgy'),('4635301191735066900','张宝德','15144642635',NULL,'yt-hyz-lscwh3-wgy'),('4635301191735066926','张岩','13630707823',NULL,'yt-hyz-lscwh4-wgy'),('4635301191735066952','高明国','13630955558',NULL,'yt-hyz-yushcwh1-wgy'),('4635301191735066982','李小圆','15774405075',NULL,'yt-hyz-yushcwh2-wgy'),('4635301191735067008','曲艺','18643439243',NULL,'yt-hyz-yushcwh3-wgy'),('4635301191735067034','张金','13654347281',NULL,'yt-hyz-yushcwh4-wgy'),('4635301191735067060','张忠军','15943493117',NULL,'yt-hyz-yushcwh5-wgy'),('4635301191735067086','冯保君','18843469330',NULL,'yt-hyz-yushcwh6-wgy'),('4635301191735067112','姜白翠','15774406701',NULL,'yt-hyz-bncwh1-wgy'),('4635301191735067148','王世伟','13196284730',NULL,'yt-hyz-bncwh2-wgy'),('4635301191735067174','卓德利','15944477847',NULL,'yt-hyz-bncwh3-wgy'),('4635301191735067200','秦秀华','13694346117',NULL,'yt-hyz-bncwh4-wgy'),('4635301191735067226','赵恒利','15981576593',NULL,'yt-hyz-bncwh5-wgy'),('4635301191735067252','李树学','15004428372',NULL,'yt-hyz-bncwh6-wgy'),('4635301191735067278','曲树君','15886063231',NULL,'yt-hyz-bncwh7-wgy'),('4635301191735067304','李春玲','15943491453',NULL,'yt-hyz-bncwh8-wgy'),('4635301191735067330','高雷','13843480270',NULL,'yt-hyz-bncwh9-wgy'),('4635301191735067356','张玉龙','15774406882',NULL,'yt-hyz-bncwh10-wgy'),('4635301191735067382','陈刚','15643485026',NULL,'yt-hyz-bncwh11-wgy'),('4635301191735067408','王广胜','13843486632',NULL,'yt-hyz-bncwh12-wgy'),('4635301191735067434','高春海','13843489793',NULL,'yt-hyz-bncwh13-wgy'),('4635301191735067460','田亮','15044474841',NULL,'yt-hyz-descwh1-wgy'),('4635301191735067490','李中军','15943486897',NULL,'yt-hyz-descwh2-wgy'),('4635301191735067516','姚臣','15981681129',NULL,'yt-hyz-descwh3-wgy'),('4635301191735067542','刘鹏','15886053223',NULL,'yt-hyz-descwh4-wgy'),('4635301191735067568','杨志宇','15774475542',NULL,'yt-hyz-descwh5-wgy'),('4635301191735067594','管世清','15844468128',NULL,'yt-hyz-descwh6-wgy'),('4635301260454546259','张长友','13894430368',NULL,'sl-blsz-blsc1-wgy'),('4635301260454546285','姚春香','15886044536',NULL,'sl-blsz-blsc2-wgy'),('4635301260454546311','孔庆德','18843459696',NULL,'sl-blsz-blsc3-wgy'),('4635301260454546337','邓海波','15590217929',NULL,'sl-blsz-blsc4-wgy'),('4635301260454546363','孟庆喜','15944467186',NULL,'sl-blsz-jbc1-wgy'),('4635301260454546389','阮立军','15044459558',NULL,'sl-blsz-jbc2-wgy'),('4635301260454546415','王剑','13596612390',NULL,'sl-blsz-jbc3-wgy'),('4635301260454546441','袁振利','13278060660',NULL,'sl-blsz-yac1-wgy'),('4635301260454546467','杨春生','15643465588',NULL,'sl-blsz-yac2-wgy'),('4635301260454546493','刘健东','15590401682',NULL,'sl-blsz-yac3-wgy'),('4635301260454546519','王桂霞','15500438985',NULL,'sl-blsz-yac4-wgy'),('4635301260454546545','丁万喜','15568517899',NULL,'sl-blsz-yac5-wgy'),('4635301260454546571','尹海滨','15590409008',NULL,'sl-blsz-yac6-wgy'),('4635301260454546597','张英','15568513125',NULL,'sl-blsz-yac7-wgy'),('4635301260454546623','刘洋','15590217977',NULL,'sl-blsz-yac8-wgy'),('4635301260454546649','安红林','13644446980',NULL,'sl-blsz-hxc1-wgy'),('4635301260454546675','路阳','13596693788',NULL,'sl-blsz-hxc2-wgy'),('4635301260454546701','田鹏','15886038600',NULL,'sl-blsz-hxc3-wgy'),('4635301260454546727','尹滨','13894477342',NULL,'sl-blsz-hxc4-wgy'),('4635301260454546753','王奎花','15886041355',NULL,'sl-blsz-clc1-wgy'),('4635301260454546779','王春丽','15665922880',NULL,'sl-blsz-clc2-wgy'),('4635301260454546805','林贵生','13894478963',NULL,'sl-blsz-clc3-wgy'),('4635301260454546831','靳红艳','15643462122',NULL,'sl-blsz-clc4-wgy'),('4635301260454546857','张月','15543776966',NULL,'sl-blsz-bstsq1-wgy'),('4635301260454546883','王莹','18243445047',NULL,'sl-blsz-bstsq2-wgy'),('4635301260454546909','戴兵','13904357101',NULL,'sl-blsz-bstsq3-wgy'),('4635301260454546935','李微','14717359300',NULL,'sl-blsz-bstsq4-wgy'),('4635301260454546961','亢福林','18343460859',NULL,'sl-blsz-yhysq1-wgy'),('4635301260454546987','王全','15981559679',NULL,'sl-blsz-yhysq2-wgy'),('4635301260454547013','孙玉清','15981560192',NULL,'sl-blsz-yhysq3-wgy'),('4635301260454547039','李楚军','18643466697',NULL,'sl-blsz-yydsq1-wgy'),('4635301260454547065','刘仁','13278066286',NULL,'sl-blsz-yydsq2-wgy'),('4635301260454547091','李双','13894473313',NULL,'sl-blsz-yydsq3-wgy'),('4635301260454547117','臧长远','15568500085',NULL,'sl-blsz-yydsq4-wgy'),('4635301260454547143','李福宽','15500153557',NULL,'sl-blsz-yydsq5-wgy'),('4635301260454547169','鄂忠辉','15886022020',NULL,'sl-blsz-sjsq1-wgy'),('4635301260454547195','耿颜春','15643465119',NULL,'sl-blsz-sjsq2-wgy'),('4635301260454547221','杨子强','15043492039',NULL,'sl-blsz-sjsq3-wgy'),('4635301260454547247','郭广清','15500155165',NULL,'sl-blsz-sjsq4-wgy'),('4635301260454547273','刘成春','15643462688',NULL,'sl-blsz-sjsq5-wgy'),('4635301260454547299','祖建','13630961999',NULL,'sl-blsz-yelsq1-wgy'),('4635301260454547325','钟成新','15943462275',NULL,'sl-blsz-yelsq2-wgy'),('4635301260454547351','孙涛','15844452711',NULL,'sl-blsz-yelsq3-wgy'),('4635301260454547377','费喜民','15643460360',NULL,'sl-blsz-yelsq4-wgy'),('4635301260454547403','高金','18744428360',NULL,'sl-blsz-delsq1-wgy'),('4635301260454547429','郑小龙','15734463377',NULL,'sl-blsz-delsq2-wgy'),('4635301260454547455','周延楠','15567235956',NULL,'sl-blsz-delsq3-wgy'),('4635301260454547481','钟永卫','15590216299',NULL,'sl-blsz-qsjzsq1-wgy'),('4635301260454547507','钟辉成','15590210062',NULL,'sl-blsz-qsjzsq2-wgy'),('4635301260454547533','田静辉','13244077093',NULL,'sl-blsz-qsjzsq3-wgy'),('4635301260454547559','庞先成','18844467311',NULL,'sl-blsz-qsjzsq4-wgy'),('4635301294814287664','王珏','13278421226',NULL,'sl-ltx-qgc1-wgy'),('4635301294814287693','王丽','13258700669',NULL,'sl-ltx-wjc1-wgy'),('4635301294814287722','韩维澄','13089289685',NULL,'sl-ltx-whc1-wgy'),('4635301294814287752','张月海','15043479598',NULL,'sl-ltx-fbc1-wgy'),('4635301294814287782','任海燕','15943478111',NULL,'sl-ltx-xlc1-wgy'),('4635301294814287812','于冰','18643463922',NULL,'sl-ltx-ttc1-wgy'),('4635301294814287838','陈超','15568502220',NULL,'sl-ltx-hs1-wgy'),('4635301294814287865','张彬','15043436566',NULL,'sl-ltx-tdc1-wgy'),('4635301294814287891','冯志全','15509219797',NULL,'sl-ltx-bnc1-wgy'),('4635301294814287917','王强','15204407770',NULL,'sl-ltx-ngc1-wgy'),('4635301294814287943','张朋','13843464649',NULL,'sl-ltx-ltc1-wgy'),('4635301294814287995','张中华','13844436333',NULL,'sl-ltx-dbc1-wgy'),('4635301294814288021','刘月','18347345346',NULL,'sl-ltx-hsc1-wgy'),('4635301294814288048','李艳艳','15943478128',NULL,'sl-ltx-jxc1-wgy'),('4643058280628808159','翟丽娟','18744431678',NULL,'ls-mjlz-qslsq1-wgy'),('4643058280628808185','梁海燕','15886076552',NULL,'ls-mjlz-qslsq2-wgy'),('4643058280628808211','田立平','15944456722',NULL,'ls-mjlz-mjlcwh1-wgy'),('4643058280628808237','王俊海','13844473270',NULL,'ls-mjlz-mjlcwh2-wgy'),('4643058280628808263','刘万付','13843494573',NULL,'ls-mjlz-mjlcwh3-wgy'),('4643058280628808289','葛子清','15843460153',NULL,'ls-mjlz-mjlcwh4-wgy'),('4643058280628808315','刘华','15143465500',NULL,'ls-mjlz-mjlcwh5-wgy'),('4643058280628808341','张宝和','13654348805',NULL,'ls-mjlz-mjlcwh6-wgy'),('4643058280628808367','刘德','13244064000',NULL,'ls-mjlz-mjlcwh7-wgy'),('4643058280628808393','王成','13843403206',NULL,'ls-mjlz-mjlcwh8-wgy'),('4643058280628808419','关宝付','18744439188',NULL,'ls-mjlz-mjlcwh9-wgy'),('4643058280628808445','范文权','13674449980',NULL,'ls-mjlz-mjlcwh10-wgy'),('4643058280628808471','刘洪山','15044485038',NULL,'ls-mjlz-mjlcwh11-wgy'),('4643058280628808497','刘万才','13894454556',NULL,'ls-mjlz-mjycwh1-wgy'),('4643058280628808523','田晓平','13894450380',NULL,'ls-mjlz-mjycwh2-wgy'),('4643058280628808549','王刚','13843456111',NULL,'ls-mjlz-mjycwh3-wgy'),('4643058280628808575','李明','15944457600',NULL,'ls-mjlz-mjycwh4-wgy'),('4643058280628808601','佘海涛','15804341499',NULL,'ls-mjlz-mjycwh5-wgy'),('4643058280628808627','胜丽玲','15004479794',NULL,'ls-mjlz-mjycwh6-wgy'),('4643058280628808653','付俭','15144634671',NULL,'ls-mjlz-mjycwh7-wgy'),('4643058280628808679','杨宝','15844492222',NULL,'ls-mjlz-mjycwh8-wgy'),('4643058280628808705','张印','15834440668',NULL,'ls-mjlz-mjycwh9-wgy'),('4643058280628808731','李孝海','13944488529',NULL,'ls-mjlz-mjycwh10-wgy'),('4643058280628808757','王海丰','15844493002',NULL,'ls-mjlz-mjycwh11-wgy'),('4643058280628808783','吴泽江','13894453229',NULL,'ls-mjlz-sjcwh1-wgy'),('4643058280628808809','钟立龙','15044497088',NULL,'ls-mjlz-sjcwh2-wgy'),('4643058280628808835','石俊岩','15981599663',NULL,'ls-mjlz-sjcwh3-wgy'),('4643058280628808861','范德芬','18629837873',NULL,'ls-mjlz-sjcwh4-wgy'),('4643058280628808887','谷成双','13224442050',NULL,'ls-mjlz-sjcwh5-wgy'),('4643058280628808913','张辉','15044497388',NULL,'ls-mjlz-sjcwh6-wgy'),('4643058280628808939','徐宝江','13844489002',NULL,'ls-mjlz-sjcwh7-wgy'),('4643058280628808965','钟文志','13844472796',NULL,'ls-mjlz-sjcwh8-wgy'),('4643058280628808991','陈志远','17084562233',NULL,'ls-mjlz-xacwh1-wgy'),('4643058280628809017','张维和','15886098113',NULL,'ls-mjlz-xacwh2-wgy'),('4643058280628809043','刘刚','13844476845',NULL,'ls-mjlz-xacwh3-wgy'),('4643058280628809069','马立新','13214442157',NULL,'ls-mjlz-xacwh4-wgy'),('4643058280628809095','张德清','15981586928',NULL,'ls-mjlz-xacwh5-wgy'),('4643058280628809121','李连琴','15843476172',NULL,'ls-mjlz-xacwh6-wgy'),('4643058280628809147','刘国才','15134422240',NULL,'ls-mjlz-xacwh7-wgy'),('4643058280628809173','耿彦','18628754818',NULL,'ls-mjlz-xacwh8-wgy'),('4643058280628809199','魏景军','15004469466',NULL,'ls-mjlz-xacwh9-wgy'),('4643058280628809225','罗洪彬','13694396317',NULL,'ls-mjlz-xacwh10-wgy'),('4643058280628809251','刘艳成','15144470308',NULL,'ls-mjlz-dhycwh1-wgy'),('4643058280628809277','胡景山','15944456144',NULL,'ls-mjlz-dhycwh2-wgy'),('4643058280628809303','梁怀玉','15886089478',NULL,'ls-mjlz-dhycwh3-wgy'),('4643058280628809329','苏军','13944489559',NULL,'ls-mjlz-dhycwh4-wgy'),('4643058280628809355','蒋小飞','15943433153',NULL,'ls-mjlz-dhycwh5-wgy'),('4643058280628809381','胡立学','18744498339',NULL,'ls-mjlz-dhycwh6-wgy'),('4643058280628809407','陈永久','13944487949',NULL,'ls-mjlz-dhycwh7-wgy'),('4643058280628809433','赵有','18743433153',NULL,'ls-mjlz-dhycwh8-wgy'),('4643058280628809459','于福','15981537693',NULL,'ls-mjlz-hesmcwh1-wgy'),('4643058280628809485','张俭湖','15944491135',NULL,'ls-mjlz-hesmcwh2-wgy'),('4643058280628809511','王少青','13624444255',NULL,'ls-mjlz-hesmcwh3-wgy'),('4643058280628809537','伊子德','15981663290',NULL,'ls-mjlz-hesmcwh4-wgy'),('4643058280628809563','张连臣','15886084977',NULL,'ls-mjlz-hesmcwh5-wgy'),('4643058280628809589','王辉','13614446179',NULL,'ls-mjlz-hesmcwh6-wgy'),('4643058280628809615','刘荣','15004483233',NULL,'ls-mjlz-erdgcwh1-wgy'),('4643058280628809641','石少武','15143410688',NULL,'ls-mjlz-erdgcwh2-wgy'),('4643058280628809667','王小冰','13654444772',NULL,'ls-mjlz-erdgcwh3-wgy'),('4643058280628809693','孟繁生','15144490451',NULL,'ls-mjlz-erdgcwh4-wgy'),('4643058280628809719','张海舰','13634444500',NULL,'ls-mjlz-erdgcwh5-wgy'),('4643058280628809745','郭贵才','13009037796',NULL,'ls-mjlz-erdgcwh6-wgy'),('4643058280628809771','薛玉臣','18743428678',NULL,'ls-mjlz-erdgcwh7-wgy'),('4643058280628809797','范井生','15004473944',NULL,'ls-mjlz-pjgcwh1-wgy'),('4643058280628809823','王浩','15981682829',NULL,'ls-mjlz-pjgcwh2-wgy'),('4643058280628809849','范奎伍','13596644042',NULL,'ls-mjlz-pjgcwh3-wgy'),('4643058280628809875','刘学良','15943456349',NULL,'ls-mjlz-pjgcwh4-wgy'),('4643058280628809901','王金山','15144633813',NULL,'ls-mjlz-pjgcwh5-wgy'),('4643058280628809927','于宝贵','15144472862',NULL,'ls-mjlz-pjgcwh6-wgy'),('4643058280628809953','金红彬','15144485120',NULL,'ls-mjlz-pjgcwh7-wgy'),('4643058280628809979','王连仁','15981688340',NULL,'ls-mjlz-pjgcwh8-wgy'),('4643058280628810005','张俊海','15944492462',NULL,'ls-mjlz-stzcwh1-wgy'),('4643058280628810031','谢化俭','13894457015',NULL,'ls-mjlz-stzcwh2-wgy'),('4643058280628810057','贾树仁','15500179225',NULL,'ls-mjlz-stzcwh3-wgy'),('4643058280628810083','刘占先','15004470361',NULL,'ls-mjlz-stzcwh4-wgy'),('4643058280628810109','曹宝权','15500169961',NULL,'ls-mjlz-stzcwh5-wgy'),('4643058280628810135','杨国清','15044490987',NULL,'ls-mjlz-stzcwh6-wgy'),('4643058280628810161','付玉连','13943319096',NULL,'ls-mjlz-stzcwh7-wgy'),('4643058280628810187','张善民','13694392946',NULL,'ls-mjlz-stzcwh8-wgy'),('4643058280628810213','张井才','15944453557',NULL,'ls-mjlz-stzcwh9-wgy'),('4643058280628810239','刘万成','15886071541',NULL,'ls-mjlz-stzcwh10-wgy'),('4643058349348282380','王威','15043495555',NULL,'ls-lmdz-cpcwh1-wgy'),('4643058349348282406','林冶','18843492110',NULL,'ls-lmdz-gjwpcwh1-wgy'),('4643058349348282438','王永革','13943313222',NULL,'ls-lmdz-lmdcwh1-wgy'),('4643058349348282484','刘兴东','13404638111',NULL,'ls-lmdz-lcwpcwh1-wgy'),('4643058349348282517','王俊峰','15943455000',NULL,'ls-lmdz-lsbcwh1-wgy'),('4643058349348282550','王海军','15004491799',NULL,'ls-lmdz-lsycwh1-wgy'),('4643058349348282587','陈德贵','15590468555',NULL,'ls-lmdz-ljzcwh1-wgy'),('4643058349348282621','刘中祥','15044483000',NULL,'ls-lmdz-njwpcwh1-wgy'),('4643058349348282655','庞云贺','15134426555',NULL,'ls-lmdz-pjwpcwh1-wgy'),('4643058349348282687','于跃','13596670175',NULL,'ls-lmdz-plcwh1-wgy'),('4643058349348282718','李东','16688440725',NULL,'ls-lmdz-qjbcwh1-wgy'),('4643058349348282760','刘佩权','13944415529',NULL,'ls-lmdz-srfcwh1-wgy'),('4643058349348282796','王彦','15843473266',NULL,'ls-lmdz-wjyzcwh1-wgy'),('4643058383708026199','万秀华','15043465070',NULL,'yt-jtz-htbcwh1-wgy'),('4643058383708026225','白立新','18543171272',NULL,'yt-jtz-htbcwh2-wgy'),('4643058383708026251','付贵锋','14794306177',NULL,'yt-jtz-htbcwh3-wgy'),('4643058383708026277','王守超','13596685769',NULL,'yt-jtz-htbcwh4-wgy'),('4643058383708026303','马文彬','18643484463',NULL,'yt-jtz-htbcwh5-wgy'),('4643058383708026329','张继双','13664314728',NULL,'yt-jtz-htbcwh6-wgy'),('4643058383708026355','杨文忠','15044151276',NULL,'yt-jtz-htbcwh7-wgy'),('4643058383708026381','陈书举','13844020337',NULL,'yt-jtz-htbcwh8-wgy'),('4643058383708026407','齐丽杰','13604361952',NULL,'yt-jtz-htbcwh9-wgy'),('4643058383708026433','代青年','18243156626',NULL,'yt-jtz-htbcwh10-wgy'),('4643058383708026459','于长军','13630959895',NULL,'yt-jtz-jscwh1-wgy'),('4643058383708026485','高术宝','15043440996',NULL,'yt-jtz-jscwh2-wgy'),('4643058383708026511','宋文江','15004427092',NULL,'yt-jtz-jscwh3-wgy'),('4643058383708026537','焦海峰','15004438737',NULL,'yt-jtz-jscwh4-wgy'),('4643058383708026563','陈云','15981579782',NULL,'yt-jtz-jscwh5-wgy'),('4643058383708026589','宋友','15981696290',NULL,'yt-jtz-jscwh6-wgy'),('4643058383708026615','刘福','18744419805',NULL,'yt-jtz-jscwh7-wgy'),('4643058383708026641','李树芳','13894411936',NULL,'yt-jtz-jscwh8-wgy'),('4643058383708026667','王凤林','15886058983',NULL,'yt-jtz-jscwh9-wgy'),('4643058383708026693','王忠','15844412526',NULL,'yt-jtz-jscwh10-wgy'),('4643058383708026719','姜柏岩','15143470725',NULL,'yt-jtz-jscwh11-wgy'),('4643058383708026745','冯友贵','13114632383',NULL,'yt-jtz-jscwh12-wgy'),('4643058383708026771','姚胜克','13894806449',NULL,'yt-jtz-yaojcwh1-wgy'),('4643058383708026797','康雨','13634405720',NULL,'yt-jtz-yaojcwh2-wgy'),('4643058383708026823','刘志军','15004439296',NULL,'yt-jtz-yaojcwh3-wgy'),('4643058383708026849','王丽娟','15500441336',NULL,'yt-jtz-yaojcwh4-wgy'),('4643058383708026875','刘杨','13614407877',NULL,'yt-jtz-yaojcwh5-wgy'),('4643058383708026901','张忠有','13634449663',NULL,'yt-jtz-fshcwh1-wgy'),('4643058383708026927','刘占江','15844462398',NULL,'yt-jtz-fshcwh2-wgy'),('4643058383708026953','张国庆','15104433448',NULL,'yt-jtz-fshcwh3-wgy'),('4643058383708026979','蒋涛','18843409950',NULL,'yt-jtz-cshcwh1-wgy'),('4643058383708027005','夏云龙','18243411415',NULL,'yt-jtz-cshcwh2-wgy'),('4643058383708027031','刘永杰','18643461440',NULL,'yt-jtz-cshcwh3-wgy'),('4643058383708027057','李艳军','13029030857',NULL,'yt-jtz-cshcwh4-wgy'),('4643058383708027083','白光显','15844461796',NULL,'yt-jtz-cshcwh5-wgy'),('4643058383708027109','孟繁棋','15134481432',NULL,'yt-jtz-cshcwh6-wgy'),('4643058383708027135','李兴奎','15004435095',NULL,'yt-jtz-cshcwh7-wgy'),('4643058383708027161','白光春','18744469602',NULL,'yt-jtz-cshcwh8-wgy'),('4643058383708027187','郝万春','15886058620',NULL,'yt-jtz-wtzcwh1-wgy'),('4643058383708027213','尹长明','13844490860',NULL,'yt-jtz-wtzcwh2-wgy'),('4643058383708027239','刘德先','13596633667',NULL,'yt-jtz-wtzcwh3-wgy'),('4643058383708027265','马文华','13578779082',NULL,'yt-jtz-lxcwh1-wgy'),('4643058383708027291','于连友','13943497189',NULL,'yt-jtz-lxcwh2-wgy'),('4643058383708027317','赵国臣','15004436944',NULL,'yt-jtz-lxcwh3-wgy'),('4643058383708027344','张永邦','15143474097',NULL,'yt-jtz-lxcwh4-wgy'),('4643058383708027370','常树香','15144469079',NULL,'yt-jtz-lxcwh5-wgy'),('4643058383708027396','王永春','13894819835',NULL,'yt-jtz-lxcwh6-wgy'),('4643058383708027423','郭春艳','18744463702',NULL,'yt-jtz-zhjchw1-wgy'),('4643058383708027449','赵瑞岩','15004448173',NULL,'yt-jtz-zhjchw2-wgy'),('4643058383708027475','王学会','13943499672',NULL,'yt-jtz-zhjchw3-wgy'),('4643058383708027501','东艳林','13894492694',NULL,'yt-jtz-zhjchw4-wgy'),('4643058383708027527','李凤杰','15944429177',NULL,'yt-jtz-zhjchw5-wgy'),('4643058383708027553','景洪志','15886063993',NULL,'yt-jtz-zhjchw6-wgy'),('4643058383708027579','齐玉良','13943499626',NULL,'yt-jtz-fscwh1-wgy'),('4643058383708027605','魏国','13694406963',NULL,'yt-jtz-fscwh2-wgy'),('4643058383708027631','齐文杰','15004442816',NULL,'yt-jtz-fscwh3-wgy'),('4643058383708027657','汪湖江','15944470182',NULL,'yt-jtz-fscwh4-wgy'),('4643058383708027683','杨桂珍','15943482893',NULL,'yt-jtz-fscwh5-wgy'),('4643058383708027710','周庆','18743460186',NULL,'yt-jtz-fscwh6-wgy'),('4643058383708027736','房德生','13844499072',NULL,'yt-jtz-fscwh7-wgy'),('4643058383708027763','王德生','15981578419',NULL,'yt-jtz-shhchw1-wgy'),('4643058383708027789','付占元','15044468754',NULL,'yt-jtz-shhchw2-wgy'),('4643058383708027815','宋玉奎','15944477308',NULL,'yt-jtz-shhchw3-wgy'),('4643058383708027841','范任江','15568593788',NULL,'yt-jtz-shhchw4-wgy'),('4643058383708027867','吴淑玲','15844472389',NULL,'yt-jtz-shhchw5-wgy'),('4643058383708027893','张海先','13278051903',NULL,'yt-jtz-shhchw6-wgy'),('4643058383708027919','魏清水','15843453092',NULL,'yt-jtz-shhchw7-wgy'),('4643058383708027945','商万岐','13664489922',NULL,'yt-jtz-shhchw8-wgy'),('4643058383708027971','于娟','15944470609',NULL,'yt-jtz-jtcwh1-wgy'),('4643058383708027997','白树荣','15500122203',NULL,'yt-jtz-jtcwh2-wgy'),('4643058383708028023','翟顺和','13844493938',NULL,'yt-jtz-jtcwh3-wgy'),('4643058383708028049','孙悦','13630958258',NULL,'yt-jtz-jtcwh4-wgy'),('4643058383708028075','李树山','13089233912',NULL,'yt-jtz-jtcwh5-wgy'),('4643058383708028101','刘传礼','15044473758',NULL,'yt-jtz-jtcwh6-wgy'),('4643058383708028127','齐耀春','15886063700',NULL,'yt-jtz-jtcwh7-wgy'),('4643058383708028153','孙悦','13630958258',NULL,'yt-jtz-jtcwh8-wgy'),('4643058383708028179','张守良','15844467154',NULL,'yt-jtz-dyscwh1-wgy'),('4643058383708028205','张海','13630959005',NULL,'yt-jtz-dyscwh2-wgy'),('4643058383708028231','李国富','15004444340',NULL,'yt-jtz-dyscwh3-wgy'),('4643058383708028257','张兴','18243474272',NULL,'yt-jtz-dyscwh4-wgy'),('4643058383708028283','杜宝山','15944477903',NULL,'yt-jtz-dyscwh5-wgy'),('4643058383708028309','董杰','13654345825',NULL,'yt-jtz-dyscwh6-wgy'),('4643058383708028335','闫家新','15734413453',NULL,'yt-jtz-yongjcwh1-wgy'),('4643058383708028361','闫家春','15044029689',NULL,'yt-jtz-yongjcwh2-wgy'),('4643058383708028387','陈玉军','15044462788',NULL,'yt-jtz-yongjcwh3-wgy'),('4643058383708028413','张淑英','13894871839',NULL,'yt-jtz-yongjcwh4-wgy'),('4643058383708028439','王德凤','15948320083',NULL,'yt-jtz-yongjcwh5-wgy'),('4643058383708028465','陈新光','13578872544',NULL,'yt-jtz-yongjcwh6-wgy'),('4643058383708028491','刘云奎','18843166352',NULL,'yt-jtz-yongjcwh7-wgy'),('4643058383708028517','陈国军','18686532683',NULL,'yt-jtz-yongjcwh8-wgy'),('4643058383708028543','刘凤忠','18744461059',NULL,'yt-jtz-fjcwh1-wgy'),('4643058383708028569','景立国','18243471250',NULL,'yt-jtz-fjcwh2-wgy'),('4643058383708028595','李华','13894498735',NULL,'yt-jtz-fjcwh3-wgy'),('4643058383708028621','张长海','13694402311',NULL,'yt-jtz-fjcwh4-wgy'),('4643058383708028647','焦忠海','15004440322',NULL,'yt-jtz-fjcwh5-wgy'),('4643058383708028673','杨君','15844477973',NULL,'yt-jtz-fjcwh6-wgy'),('4643058383708028699','王润良','15981538099',NULL,'yt-jtz-fjcwh7-wgy'),('4643058383708028725','王洪辉','15844473655',NULL,'yt-jtz-fjcwh8-wgy'),('4643058383708028751','郭常宝','13614348593',NULL,'yt-jtz-fjcwh9-wgy'),('4643058383708028777','庄宪义','15886063643',NULL,'yt-jtz-fjcwh10-wgy'),('4643058383708028803','李玉海','13654345898',NULL,'yt-jtz-fjcwh11-wgy'),('4643058383708028829','杨文君','13278538283',NULL,'yt-jtz-fjcwh12-wgy'),('4643058383708028855','李维和','13664480741',NULL,'yt-jtz-fjcwh13-wgy'),('4643058383708028881','王富','15044461586',NULL,'yt-jtz-lhcwh1-wgy'),('4643058383708028907','王家有','15526595680',NULL,'yt-jtz-lhcwh2-wgy'),('4643058418067759109','徐彦伟','13844972101',NULL,'yt-jtz-lhcwh3-wgy'),('4643058418067759161','胡丽霞','13694408022',NULL,'yt-jtz-lhcwh4-wgy'),('4643058418067759187','胡士波','15044132504',NULL,'yt-jtz-lhcwh5-wgy'),('4643058418067759213','杨艳波','15143023623',NULL,'yt-jtz-lhcwh6-wgy'),('4643058418067759239','王宏阳','15104302808',NULL,'yt-jtz-lhcwh7-wgy'),('4643058418067759265','李国峰','13404323155',NULL,'yt-jtz-lhcwh8-wgy'),('4643058418067759291','吴忠发','13944492915',NULL,'yt-jtz-lhcwh9-wgy'),('4643058418067759317','陈玉俊','13104308150',NULL,'yt-jtz-lhcwh10-wgy'),('4643058418067759343','陈强','13154375678',NULL,'yt-jtz-dfhcwh1-wgy'),('4643058418067759369','赵峰君','15844463017',NULL,'yt-jtz-dfhcwh2-wgy'),('4643058418067759395','胡义','13894896048',NULL,'yt-jtz-dfhcwh3-wgy'),('4643058418067759421','李淑艳','15886062541',NULL,'yt-jtz-dfhcwh4-wgy'),('4643058418067759447','计利民','15204464498',NULL,'yt-jtz-dfhcwh5-wgy'),('4643058418067759516','张喜林','13732807400',NULL,'yt-jtz-dfhcwh6-wgy'),('4643058418067759542','陈显利','13943499634',NULL,'yt-jtz-dfhcwh7-wgy'),('4643058418067759568','刘军','13843485944',NULL,'yt-jtz-dfhcwh8-wgy'),('4643058418067759594','许子义','13844493027',NULL,'yt-jtz-dfhcwh9-wgy'),('4643058418067759663','甘树清','15144649717',NULL,'yt-jtz-dfhcwh10-wgy'),('4643058418067759689','管薇','13943498562',NULL,'yt-jtz-dfhcwh11-wgy'),('4643058418067759715','刘占文','15144460634',NULL,'yt-jtz-xscwh1-wgy'),('4643058418067759741','贾玉山','13944477029',NULL,'yt-jtz-xscwh2-wgy'),('4643058418067759767','刘闯','15944488893',NULL,'yt-jtz-xscwh3-wgy'),('4643058418067759793','石立吉','13630959700',NULL,'yt-jtz-xscwh4-wgy'),('4643058418067759819','徐永平','15981691508',NULL,'yt-jtz-xscwh5-wgy'),('4643058418067759845','孙占学','15944474135',NULL,'yt-jtz-xscwh6-wgy'),('4643059345780697829','王艳丽','15944454567',NULL,'220322103001001'),('4643059345780697858','刘璐','13009025666',NULL,'220322103002004'),('4643059345780697887','孙绍鹏','15590234389',NULL,'220322103003000'),('4643059345780697916','赵淼','15943443159',NULL,'220322103004003'),('4643059345780697945','霍明春','13894487667',NULL,'220322103005001'),('4643059345780697974','窦贺','15143425999',NULL,'ls-gjzz-gjzcwh1-wgy'),('4643059345780698006','嵇庆','15204486211',NULL,'220322103206002'),('4643059345780698043','尉坤','18643452526',NULL,'ls-gjzz-zhjjcwh1-wgy'),('4643059345780698082','赵福成','15526591107',NULL,'220322103203001'),('4643059345780698114','赵洪波','15590223222',NULL,'ls-gjzz-hqcwh1-wgy'),('4643059345780698148','刘志峰','15843428111',NULL,'ls-gjzz-dlzcwh1-wgy'),('4643059345780698183','王野','15886082499',NULL,'ls-gjzz-tszcwh1-wgy'),('4643059345780698217','张金来','13596622404',NULL,'220322103008000'),('4643059345780698250','梁财','15843465398',NULL,'220322103202001'),('4643059345780698285','刘金龙','18629856777',NULL,'220322103006004'),('4643059345780698311','刘凯','17643425290',NULL,'ls-gjzz-xxsq1-wgy'),('4643059345780698351','于方志','13624348408',NULL,'ls-gjzz-xksq1-wgy'),('4643059345780698391','林辛旭','15943449991',NULL,'220322103008010'),('4643059792457295608','陈思学','15944419966',NULL,'td-cdx-xtzc1-wgy'),('4643059792457295634','杨阳','13694003305',NULL,'td-cdx-xtzc2-wgy'),('4643059792457295660','刘海斌','13944403511',NULL,'td-cdx-xtzc3-wgy'),('4643059792457295686','陈强','13944426633',NULL,'td-cdx-xtzc4-wgy'),('4643059792457295712','褚大伟','13694006586',NULL,'td-cdx-xtzc5-wgy'),('4643059792457295738','高扬','18643417881',NULL,'td-cdx-cdc1-wgy'),('4643059792457295764','赵金成','13843408288',NULL,'td-cdx-cdc2-wgy'),('4643059792457295790','赵印普','13674440740',NULL,'td-cdx-cfc1-wgy'),('4643059792457295816','陈喜柱','15330660617',NULL,'td-cdx-cfc2-wgy'),('4643059792457295842','赵守金','13504348501',NULL,'td-cdx-cfc3-wgy'),('4643059792457295868','张华','18804347779',NULL,'td-cdx-cfc4-wgy'),('4643059792457295894','杜云龙','13944414494',NULL,'td-cdx-hjxzc3-wgy'),('4643059792457295920','胡冰','18743400111',NULL,'td-cdx-hjxzc4-wgy'),('4643059792457295946','郜凤伟','13843402859',NULL,'td-cdx-hjxzc5-wgy'),('4643059792457295998','陈雨','15834456556',NULL,'td-cdx-lyc1-wgy'),('4643059792457296024','宁忠新','13944426105',NULL,'td-cdx-lyc2-wgy'),('4643059792457296050','王楠','15568545511',NULL,'td-cdx-lyc3-wgy'),('4643059792457296102','陈国文','13944444110',NULL,'td-cdx-ymcc2-wgy'),('4643059792457296180','邱淑香','15043416112',NULL,'td-cdx-ymcc5-wgy'),('4643059792457296206','王亚珍','13278500085',NULL,'td-cdx-ymcc6-wgy'),('4643059792457296232','杨玉忠','17504346729',NULL,'td-cdx-fsc1-wgy'),('4643059792457296258','王桂芳','18843440084',NULL,'td-cdx-fsc2-wgy'),('4643059792457296284','闫春亮','18242226896',NULL,'td-cdx-fsc3-wgy'),('4643059792457296336','马刚','13404605634',NULL,'td-cdx-fsc5-wgy'),('4643059792457296362','刘峰','15043408676',NULL,'td-cdx-fsc6-wgy'),('4643059792457296466','韩文彬','13944415396',NULL,'td-cdx-pdc1-wgy'),('4643059792457296492','王蒙蒙','18643468222',NULL,'td-cdx-pdc2-wgy'),('4643059792457296518','刘德长','13694444055',NULL,'td-cdx-hlc1-wgy'),('4643059792457296544','王刚','18604348994',NULL,'td-cdx-hlc2-wgy'),('4643059792457296570','张北','13331735033',NULL,'td-cdx-hlc3-wgy'),('4643059792457296596','崔浩','13630936885',NULL,'td-cdx-hlc4-wgy'),('4643059792457296622','郭丽波','15944417852',NULL,'td-cdx-hlc5-wgy'),('4643059792457296674','张世宝','15043422311',NULL,'td-cdx-ylc2-wgy'),('4643059792457296700','崔永','15981529994',NULL,'td-cdx-ylc3-wgy'),('4643059792457296726','刘阳','18943408777',NULL,'td-cdx-ylc4-wgy'),('4643059792457296752','李泽东','13694446119',NULL,'td-cdx-ylc5-wgy'),('4643059792457296778','李清','18704346219',NULL,'td-cdx-ylc6-wgy'),('4643059792457296804','李雅光','13630946555',NULL,'td-cdx-xstc1-wgy'),('4643059792457296830','陈勇','13844446295',NULL,'td-cdx-xstc2-wgy'),('4643059792457296856','杨文国','15944402966',NULL,'td-cdx-xstc3-wgy'),('4643059792457296882','刘爽','15834433777',NULL,'td-cdx-xstc4-wgy'),('4643059792457296908','杨艳霞','15944417958',NULL,'td-cdx-xstc5-wgy'),('4643059792457296934','刘营','13504342660',NULL,'td-cdx-xstc6-wgy'),('4643059998615728810','范树国','18543418903',NULL,'tx-zqjd-dmsq10-wgy'),('4643059998615728836','魏凯','13844410697',NULL,'tx-zqjd-dmsq11-wgy'),('4643059998615728862','于淑涛','13944408207',NULL,'tx-zqjd-hfysq1-wgy'),('4643059998615728889','赵淑袁','15144400434',NULL,'tx-zqjd-hfysq2-wgy'),('4643059998615728917','田丽丽','18043417809',NULL,'tx-zqjd-hfysq3-wgy'),('4643059998615728946','朱书含','13596663130',NULL,'tx-zqjd-hfysq4-wgy'),('4643059998615728975','李钰鑫','15604342880',NULL,'tx-zqjd-hfysq5-wgy'),('4643059998615729002','刘楠楠','18643439239',NULL,'tx-zqjd-hfysq6-wgy'),('4643059998615729030','马波','13324349796',NULL,'tx-zqjd-hfysq7-wgy'),('4643060032975467930','刘湘涵','13843403726',NULL,'tx-bgjd-bhs1-wgy'),('4643060032975467956','贾凤云','13504732407',NULL,'tx-bgjd-bhs2-wgy'),('4643060032975467982','张晓慧','15844445227',NULL,'tx-bgjd-bhs3-wgy'),('4643060032975468008','赵云鹤','15044413236',NULL,'tx-bgjd-bhs4-wgy'),('4643060032975468034','杨宇','13944418486',NULL,'tx-bgjd-bhs5-wgy'),('4643060032975468060','李国','17704348658',NULL,'tx-bgjd-bhs6-wgy'),('4643060032975468086','田昕欣','18443130448',NULL,'tx-bgjd-bhs7-wgy'),('4643060032975468113','吴琼','15943453577',NULL,'tx-bgjd-bhs8-wgy'),('4643060032975468139','李荣','15043431456',NULL,'tx-bgjd-bhs9-wgy'),('4643060032975468165','吴鹏','13244065757',NULL,'tx-bgjd-bhs10-wgy'),('4643060032975468191','邵斌','13944416888',NULL,'tx-bgjd-bhs11-wgy'),('4643060032975468217','陈琳','15734499270',NULL,'tx-bgjd-bhs12-wgy'),('4643060032975468243','张晓丹','13134347277',NULL,'tx-bgjd-btsq1-wgy'),('4643060032975468269','张权','13689730831',NULL,'tx-bgjd-btsq2-wgy'),('4643060032975468295','温竹','13689730524',NULL,'tx-bgjd-btsq3-wgy'),('4643060032975468321','王军','15043439207',NULL,'tx-bgjd-btsq4-wgy'),('4643060032975468347','宋莹','13234340010',NULL,'tx-bgjd-btsq5-wgy'),('4643060032975468373','李晓红','13654342767',NULL,'tx-bgjd-btsq6-wgy'),('4643060032975468399','张诗悦','13069280019',NULL,'tx-bgjd-btsq7-wgy'),('4643060032975468425','池爱娜','13644340278',NULL,'tx-bgjd-btsq8-wgy'),('4643060032975468451','刘丽娟','13630979765',NULL,'tx-bgjd-btsq9-wgy'),('4643060032975468477','王晨旭','19904349104',NULL,'tx-bgjd-bjsq1-wgy'),('4643060032975468503','杨洪岩','13843416726',NULL,'tx-bgjd-bjsq2-wgy'),('4643060032975468529','卢俊桥','13596661608',NULL,'tx-bgjd-bjsq3-wgy'),('4643060032975468555','王海英','15804340444',NULL,'tx-bgjd-bjsq4-wgy'),('4643060032975468581','赵婷','15204404006',NULL,'tx-bgjd-bjsq5-wgy'),('4643060032975468607','赵建宾','18612107751',NULL,'tx-bgjd-bjsq6-wgy'),('4643060032975468634','马秋香','18243424567',NULL,'tx-bgjd-bjsq7-wgy'),('4643060032975468660','张超','13844415583',NULL,'tx-bgjd-bjsq8-wgy'),('4643060032975468686','李达','19904347011',NULL,'tx-bgjd-bjsq9-wgy'),('4643060032975468712','侯小立','18629890080',NULL,'tx-bgjd-bjsq10-wgy'),('4643060032975468738','王欣瑶','15143408533',NULL,'tx-bgjd-bjsq11-wgy'),('4643060032975468764','方向伟','15944411687',NULL,'tx-bgjd-bjsq12-wgy'),('4643060032975468790','王哲','13944442617',NULL,'tx-bgjd-bjsq13-wgy'),('4643060032975468816','于明希','13844406188',NULL,'tx-bgjd-bjsq14-wgy'),('4643060032975468842','王艳','15843439961',NULL,'tx-bgjd-bjsq15-wgy'),('4643060032975468869','朱梓轩','15143415695',NULL,'tx-bgjd-ydksq1-wgy'),('4643060032975468895','刘书洁','15843403337',NULL,'tx-bgjd-ydksq2-wgy'),('4643060032975468921','高海龙','13104341630',NULL,'tx-bgjd-ydksq3-wgy'),('4643060032975468947','刘恋','15004435444',NULL,'tx-bgjd-ydksq4-wgy'),('4643060032975468973','李琦','17593399993',NULL,'tx-bgjd-ydksq5-wgy'),('4643060032975468999','张文波','13624343565',NULL,'tx-bgjd-ydksq6-wgy'),('4643060032975469025','高志华','13244059059',NULL,'tx-bgjd-ydksq7-wgy'),('4643060032975469051','王黎明','15944415011',NULL,'tx-bgjd-ydksq8-wgy'),('4643060032975469078','陈广丽','13504737745',NULL,'tx-bgjd-ydksq9-wgy'),('4643060032975469104','于永贤','19804345556',NULL,'tx-bgjd-ydksq10-wgy'),('4643060032975469130','李玲','15844436667',NULL,'tx-bgjd-ydksq11-wgy'),('4643060032975469156','孙艳明','15843431520',NULL,'tx-bgjd-ydksq12-wgy'),('4643060032975469182','王洋','15944458526',NULL,'tx-bgjd-ydksq13-wgy'),('4643060032975469208','刘家慈','15500149499',NULL,'tx-bgjd-qfsq1-wgy'),('4643060032975469234','窦兴宇','15834447840',NULL,'tx-bgjd-qfsq2-wgy'),('4643060032975469260','艾宇','15567247770',NULL,'tx-bgjd-qfsq3-wgy'),('4643060032975469286','邵丽娜','18304349559',NULL,'tx-bgjd-qfsq4-wgy'),('4643060032975469312','赵国权','15834430775',NULL,'tx-bgjd-qfsq5-wgy'),('4643060032975469338','魏宝玲','15844445400',NULL,'tx-bgjd-bhsq1-wgy'),('4643060032975469364','杨磊','13844404077',NULL,'tx-bgjd-bhsq2-wgy'),('4643060032975469390','陈艳','15834451984',NULL,'tx-bgjd-bhsq3-wgy'),('4643060032975469416','凌旗','13384445015',NULL,'tx-bgjd-bhsq4-wgy'),('4643060032975469443','田雪','13500968119',NULL,'tx-bgjd-bhsq5-wgy'),('4643060032975469469','田华','13844447543',NULL,'tx-bgjd-bhsq6-wgy'),('4643060032975469495','杨磊','13620771671',NULL,'tx-bgjd-bhsq7-wgy'),('4643060032975469521','齐宝阳','13404611710',NULL,'tx-bgjd-bhsq8-wgy'),('4643060032975469547','刘金柱','13843404448',NULL,'tx-bgjd-bhsq9-wgy'),('4643060032975469573','田野正','15834410661',NULL,'tx-bgjd-bhsq10-wgy'),('4643060032975469599','曹志敏','15043428960',NULL,'tx-bgjd-bgsq1-wgy'),('4643060032975469625','黄钰婷','15834450468',NULL,'tx-bgjd-bgsq2-wgy'),('4643060032975469651','迟金玲','15844446622',NULL,'tx-bgjd-bgsq3-wgy'),('4643060032975469677','于洋','13843416401',NULL,'tx-bgjd-bgsq4-wgy'),('4643060032975469703','孙立军','15944415901',NULL,'tx-bgjd-bgsq5-wgy'),('4643060032975469729','张月玲','15044456622',NULL,'tx-bgjd-bgsq6-wgy'),('4643060032975469755','朱迪','13694449377',NULL,'tx-bgjd-bgsq7-wgy'),('4643060032975469781','刘贺','13894485517',NULL,'tx-bgjd-bgsq8-wgy'),('4643060032975469807','薛大威','13904342782',NULL,'tx-bgjd-bgsq9-wgy'),('4643060032975469833','刘旭扬','18743407216',NULL,'tx-bgjd-bgsq10-wgy'),('4643060032975469859','肖月','18043405979',NULL,'tx-bgjd-bgsq11-wgy'),('4643060032975469885','赵英龙','13694009716',NULL,'tx-bgjd-bgsq12-wgy'),('4643060032975469911','孙建','15643422344',NULL,'tx-bgjd-bgsq13-wgy'),('4643060032975469937','何寅萍','13596668146',NULL,'tx-bgjd-bgsq14-wgy'),('4643060170414423717','张慧秋','15844408664',NULL,'tx-pxx-xbdc1-wgy'),('4643060170414423750','李鑫源','18684348133',NULL,'tx-pxx-gysc1-wgy'),('4643060170414423785','杨立峰','15981685415',NULL,'tx-pxx-xtzhc1-wgy'),('4643060170414423812','刘杰','13674409122',NULL,'tx-pxx-hqc1-wgy'),('4643060170414423843','赵羽飞','18343430778',NULL,'tx-pxx-hzdc1-wgy'),('4643061510444222515','杨雁','15568566649',NULL,'td-bscjd-gxmsq1-wgy'),('4643061510444222542','王丹丹','15144668212',NULL,'td-bscjd-gxmsq2-wgy'),('4643061510444222569','何静','13944411721',NULL,'td-bscjd-gxmsq3-wgy'),('4643061510444222596','葛秋冬','13621110072',NULL,'td-bscjd-gxmsq4-wgy'),('4643061510444222622','边航','15144448929',NULL,'td-bscjd-gxmsq5-wgy'),('4643061510444222648','王煜哲','13894407043',NULL,'td-bscjd-gxmsq6-wgy'),('4643061510444222674','孙林','13844407793',NULL,'td-bscjd-gxmsq7-wgy'),('4643061510444222700','周刚','13630936161',NULL,'td-bscjd-gxmsq8-wgy'),('4643061510444222726','于荣艳','18629898303',NULL,'td-bscjd-jlsq1-wgy'),('4643061510444222755','曲育红','13500963122',NULL,'td-bscjd-jlsq2-wgy'),('4643061510444222781','马珊','13694000863',NULL,'td-bscjd-jlsq3-wgy'),('4643061510444222809','王樱霏','13258793336',NULL,'td-bscjd-jlsq4-wgy'),('4643061510444222835','林娜','13514463316',NULL,'td-bscjd-jlsq5-wgy'),('4643061510444222861','王丽娟','13258809458',NULL,'td-bscjd-jlsq6-wgy'),('4643061510444222888','王占山','13504738833',NULL,'td-bscjd-jqsq1-wgy'),('4643061510444222914','白永胜','18904340803',NULL,'td-bscjd-jqsq2-wgy'),('4643061510444222940','孙伟','18543449958',NULL,'td-bscjd-jqsq3-wgy'),('4643061510444222966','李丽斌','13894406005',NULL,'td-bscjd-jqsq4-wgy'),('4643061510444222992','刘微','18544349136',NULL,'td-bscjd-jqsq5-wgy'),('4643061510444223018','杨朝亮','13596664597',NULL,'td-bscjd-jqsq6-wgy'),('4643061510444223044','柳薇','18544349138',NULL,'td-bscjd-jqsq7-wgy'),('4643061510444223070','贾春艳','13694006901',NULL,'td-bscjd-jqsq8-wgy'),('4643061510444223096','王冬梅','18544349139',NULL,'td-bscjd-jqsq9-wgy'),('4643061510444223122','王威','18544349140',NULL,'td-bscjd-jqsq10-wgy'),('4643061510444223148','尚秀华','13404341168',NULL,'td-bscjd-jqsq11-wgy'),('4643061510444223174','徐立平','15643439110',NULL,'td-bscjd-jqsq12-wgy'),('4643061510444223200','韩宇','13844444907',NULL,'td-bscjd-mcfsq1-wgy'),('4643061510444223227','吕超','15734444343',NULL,'td-bscjd-mcfsq2-wgy'),('4643061510444223255','徐丽霞','15100100903',NULL,'td-bscjd-mcfsq3-wgy'),('4643061510444223281','刘虹','13596600965',NULL,'td-bscjd-mcfsq4-wgy'),('4643061510444223308','田永亮','13843406606',NULL,'td-bscjd-mcfsq5-wgy'),('4643061510444223334','王宁','15144401080',NULL,'td-bscjd-mcfsq6-wgy'),('4643061510444223360','马平','18684343828',NULL,'td-bscjd-mcfsq7-wgy'),('4643061510444223387','安家毅','15844444492',NULL,'td-bscjd-mcfsq8-wgy'),('4643061510444223784','孟艳','15500103017',NULL,'td-pdjd-cdsq1-wgy'),('4643061510444223818','刘杰','18504348133',NULL,'td-pdjd-cdsq2-wgy'),('4643061510444223849','谭红丽','15643438731',NULL,'td-pdjd-cdsq3-wgy'),('4643061510444223880','孙宏宇','13069023389',NULL,'td-pdjd-cdsq4-wgy'),('4643061510444223911','冯芳媛','13089286570',NULL,'td-pdjd-cdsq5-wgy'),('4643061510444223942','尹奎志','15043404245',NULL,'td-pdjd-cdsq6-wgy'),('4643061510444223973','王志伟','18604349967',NULL,'td-pdjd-cdsq7-wgy'),('4643061510444224004','唐浩然','18629895955',NULL,'td-pdjd-gcsq1-wgy'),('4643061510444224032','赵波','13500967642',NULL,'td-pdjd-gcsq2-wgy'),('4643061510444224062','陈季双','18643424517',NULL,'td-pdjd-gcsq3-wgy'),('4643061510444224090','张颖','13694449933',NULL,'td-pdjd-gcsq4-wgy'),('4643061510444224120','吴晋','13304345922',NULL,'td-pdjd-gcsq5-wgy'),('4643061510444224150','姜春吉','18904449669',NULL,'td-pdjd-gcsq6-wgy'),('4643061510444224178','霍竞赢','18004349116',NULL,'td-pdjd-gcsq7-wgy'),('4643061510444224206','王硕','13331559699',NULL,'td-pdjd-hdsq1-wgy'),('4643061510444224234','孙菲菲','13654443054',NULL,'td-pdjd-hdsq2-wgy'),('4643061510444224262','史晓美','15834438995',NULL,'td-pdjd-hdsq3-wgy'),('4643061510444224291','张丽','13404600047',NULL,'td-pdjd-hdsq4-wgy'),('4643061510444224319','刘洋','13944440267',NULL,'td-pdjd-hdsq5-wgy'),('4643061510444224347','顾静','18744401913',NULL,'td-pdjd-hdsq6-wgy'),('4643061510444224375','赵越','18504342800',NULL,'td-pdjd-fysq1-wgy'),('4643061510444224407','齐国辉','13504340914',NULL,'td-pdjd-fysq2-wgy'),('4643061510444224439','韩悦','13904345877',NULL,'td-pdjd-fysq3-wgy'),('4643061510444224482','陈忱','18643493509',NULL,'td-pdjd-fysq4-wgy'),('4643061510444224518','田华','18643000955',NULL,'td-pdjd-hhsq1-wgy'),('4643061510444224546','王小多','18604343633',NULL,'td-pdjd-hhsq2-wgy'),('4643061510444224573','宋春波','15834423378',NULL,'td-pdjd-hhsq3-wgy'),('4643061510444224600','陈虹羊','18743408895',NULL,'td-pdjd-hhsq4-wgy'),('4643061510444224627','杜珊珊','18704345243',NULL,'td-pdjd-hhsq5-wgy'),('4643061510444224654','邓巍','15981508234',NULL,'td-pdjd-hhsq6-wgy'),('4643061510444224681','高岩','15144440027',NULL,'td-pdjd-hhsq7-wgy'),('4643061510444224712','孙光','13614340098',NULL,'td-pdjd-hhsq8-wgy'),('4643061510444224741','张月','13694006049',NULL,'td-pdjd-ycsq1-wgy'),('4643061510444224767','孙宏光','15044449773',NULL,'td-pdjd-ycsq2-wgy'),('4643061510444224793','李松','13304340505',NULL,'td-pdjd-ycsq3-wgy'),('4643061510444224819','牛旭','13944443313',NULL,'td-pdjd-ycsq4-wgy'),('4643061510444224846','马红','13258793030',NULL,'td-pdjd-ycsq5-wgy'),('4643061510444224873','刘喜民','13943475579',NULL,'td-pdjd-ycsq6-wgy'),('4643061510444224899','王琪','15804347434',NULL,'td-pdjd-ycsq7-wgy'),('4643061510444226946','王力峰','15500113599',NULL,'td-qmljd-fmsq1-wgy'),('4643061510444226972','郭佳南','18704343214',NULL,'td-qmljd-fmsq2-wgy'),('4643061510444226998','王红伟','15104342018',NULL,'td-qmljd-fmsq3-wgy'),('4643061510444227024','耿明玉','13630936050',NULL,'td-qmljd-fmsq4-wgy'),('4643061510444227051','牛亚明','13894408008',NULL,'td-qmljd-fmsq5-wgy'),('4643061510444227078','常江','13504738175',NULL,'td-qmljd-fmsq6-wgy'),('4643061510444227105','刘洋','18844447857',NULL,'td-qmljd-fmsq7-wgy'),('4643061510444227133','崔玉娟','13504736357',NULL,'td-qmljd-fqsq1-wgy'),('4643061510444227160','陈照南','15843434411',NULL,'td-qmljd-fqsq2-wgy'),('4643061510444227187','孙迎春','13069039059',NULL,'td-qmljd-fqsq3-wgy'),('4643061510444227214','张晓秋','15144441006',NULL,'td-qmljd-fqsq4-wgy'),('4643061510444227240','郭志超','18643493334',NULL,'td-qmljd-fqsq5-wgy'),('4643061510444227267','娄阁','15944411088',NULL,'td-qmljd-fqsq6-wgy'),('4643061510444227294','王君','15834446543',NULL,'td-qmljd-fqsq7-wgy'),('4643061510444227321','刘弘洋','15665999790',NULL,'td-qmljd-fqsq8-wgy'),('4643061510444227347','吴帆','15044401646',NULL,'td-qmljd-fqsq9-wgy'),('4643061510444227373','谷春玉','15844449237',NULL,'td-qmljd-fqsq10-wgy'),('4643061510444227399','房磊','15844400222',NULL,'td-qmljd-fqsq11-wgy'),('4643061510444227425','佘禹慧','13500968428',NULL,'td-qmljd-jssq1-wgy'),('4643061510444227459','吕阳','13596668806',NULL,'td-qmljd-jssq2-wgy'),('4643061510444227493','毕波','13614342624',NULL,'td-qmljd-jssq3-wgy'),('4643061510444227526','莫佳','13404346855',NULL,'td-qmljd-jssq4-wgy'),('4643061510444227560','张艳华','13944400528',NULL,'td-qmljd-wmsq1-wgy'),('4643061510444227587','秦伟','15004340519',NULL,'td-qmljd-wmsq2-wgy'),('4643061510444227614','冯笑','15500436526',NULL,'td-qmljd-wmsq3-wgy'),('4643061510444227641','魏椰娜','15143406792',NULL,'td-qmljd-wmsq4-wgy'),('4643061510444227669','李健萌','18604343032',NULL,'td-qmljd-wmsq5-wgy'),('4643061510444227697','刘婷婷','15044444825',NULL,'td-qmljd-xrsq1-wgy'),('4643061510444227723','白梅','15304340219',NULL,'td-qmljd-xrsq2-wgy'),('4643061510444227749','李红石','13694445649',NULL,'td-qmljd-xrsq3-wgy'),('4643061510444227775','孙丹娜','15043413055',NULL,'td-qmljd-xrsq4-wgy'),('4643061510444227801','杨言','13044341286',NULL,'td-qmljd-xrsq5-wgy'),('4643061510444227827','钱海鹰','13943465556',NULL,'td-qmljd-xrsq6-wgy'),('4643061510444227853','柳旭','15568587416',NULL,'td-qmljd-yqsq1-wgy'),('4643061510444227881','徐岩','13596663380',NULL,'td-qmljd-yqsq2-wgy'),('4643061510444227908','艾丽','15834456682',NULL,'td-qmljd-yqsq3-wgy'),('4643061510444227934','赵楠','15904347894',NULL,'td-qmljd-yqsq4-wgy'),('4643061510444227960','陈晶','13804345232',NULL,'td-qmljd-yqsq5-wgy'),('4643061510444227986','张晓红','13944409492',NULL,'td-qmljd-yqsq6-wgy'),('4643061510444228012','武遵敏','13596601124',NULL,'td-qmljd-yqsq7-wgy'),('4643061510444228326','陈莹','13943461521',NULL,'td-yhmzz-yhnlsq1-wgy'),('4643061510444228587','高亚杰','18744407017',NULL,'td-smz-dwc1-wgy'),('4643061544803958789','马赫聪','18743555296',NULL,'td-smz-dwc2-wgy'),('4643061544803958815','冯家斌','15604300154',NULL,'td-smz-dwc3-wgy'),('4643061544803958841','马赫建','18744401786',NULL,'td-smz-dwc4-wgy'),('4643061544803958867','刘月辉','13694448489',NULL,'td-smz-gdc1-wgy'),('4643061544803958893','王利','13694445879',NULL,'td-smz-gdc2-wgy'),('4643061544803958919','薛明一','13630939006',NULL,'td-smz-gdc3-wgy'),('4643061544803958945','杨洪禄','15590275558',NULL,'td-smz-jfc1-wgy'),('4643061544803958971','张朝珍','13596669065',NULL,'td-smz-jfc2-wgy'),('4643061544803958997','杨伟儒','15143438511',NULL,'td-smz-jfc3-wgy'),('4643061544803959023','王玉成','15844404128',NULL,'td-smz-jfc4-wgy'),('4643061544803959049','于治海','15043416584',NULL,'td-smz-jfc5-wgy'),('4643061544803959075','王立玖','13689719904',NULL,'td-smz-jfc6-wgy'),('4643061544803959101','焦文俊','15043406465',NULL,'td-smz-jfc7-wgy'),('4643061544803959127','邵玉红','13689713445',NULL,'td-smz-jfc8-wgy'),('4643061544803959153','田贵臣','15844443469',NULL,'td-smz-jfc9-wgy'),('4643061544803959179','袁明明','13689719766',NULL,'td-smz-kdc1-wgy'),('4643061544803959205','马方','13804348740',NULL,'td-smz-kdc2-wgy'),('4643061544803959231','马铄','13944447989',NULL,'td-smz-kdc3-wgy'),('4643061544803959257','王艳萍','13630948660',NULL,'td-smz-kdc4-wgy'),('4643061544803959283','刘汉辉','13404348273',NULL,'td-smz-kdc5-wgy'),('4643061544803959309','李艳凤','15843428488',NULL,'td-smz-ksc1-wgy'),('4643061544803959335','杨晓婷','18844249759',NULL,'td-smz-ksc2-wgy'),('4643061544803959361','杨涛','15043208630',NULL,'td-smz-ksc3-wgy'),('4643061544803959387','杨彪','15844400377',NULL,'td-smz-ksc4-wgy'),('4643061544803959413','李和','15904341735',NULL,'td-smz-ksc5-wgy'),('4643061544803959439','姜腾峰','16624447268',NULL,'td-smz-ksc6-wgy'),('4643061544803959465','邱东平','13894402997',NULL,'td-smz-lcc1-wgy'),('4643061544803959491','徐洪海','15844405654',NULL,'td-smz-lcc2-wgy'),('4643061544803959517','徐金凤','18543430440',NULL,'td-smz-lcc3-wgy'),('4643061544803959543','邱超','18743405432',NULL,'td-smz-lcc4-wgy'),('4643061544803959569','邵静','15144441547',NULL,'td-smz-lcc5-wgy'),('4643061544803959595','张志轩','15044447772',NULL,'td-smz-lcc6-wgy'),('4643061544803959621','高娃','13694008848',NULL,'td-smz-lcc7-wgy'),('4643061544803959647','刘士春','13944405955',NULL,'td-smz-lwc1-wgy'),('4643061544803959673','莫维春','13500968243',NULL,'td-smz-lwc2-wgy'),('4643061544803959699','李斌','18043672339',NULL,'td-smz-lwc3-wgy'),('4643061544803959725','莫春雨','15844400233',NULL,'td-smz-lwc4-wgy'),('4643061544803959751','侯晓晖','13944415115',NULL,'td-smz-lwc5-wgy'),('4643061544803959777','韩喜林','13596676392',NULL,'td-smz-lwc6-wgy'),('4643061544803959803','刘云富','13694005048',NULL,'td-smz-lwc7-wgy'),('4643061544803959829','房坤','13500960636',NULL,'td-smz-lwc8-wgy'),('4643061544803959855','赖淑香','13690933136',NULL,'td-smz-lwc9-wgy'),('4643061544803959881','何强','13679719326',NULL,'td-smz-smc1-wgy'),('4643061544803959907','王昆','15144445313',NULL,'td-smz-smc2-wgy'),('4643061544803959933','王立梅','15944404490',NULL,'td-smz-smc3-wgy'),('4643061544803959959','段成民','13654342315',NULL,'td-smz-smc4-wgy'),('4643061544803959985','刘秀娟','13694009612',NULL,'td-smz-smc5-wgy'),('4643061544803960011','何苗','13689715679',NULL,'td-smz-smc6-wgy'),('4643061544803960037','高月','13630934788',NULL,'td-smz-smc7-wgy'),('4643061544803960063','孔令强','15834418716',NULL,'td-smz-smc8-wgy'),('4643061544803960089','刘尊连','13404344668',NULL,'td-smz-setc1-wgy'),('4643061544803960115','常浩月','18744441729',NULL,'td-smz-setc2-wgy'),('4643061544803960141','程久江','13630933455',NULL,'td-smz-setc3-wgy'),('4643061544803960167','户常来','15944445063',NULL,'td-smz-setc4-wgy'),('4643061544803960193','翟英彬','15144442766',NULL,'td-smz-setc5-wgy'),('4643061544803960219','翟凤昌','18644815545',NULL,'td-smz-setc6-wgy'),('4643061544803960245','王晓红','15143431366',NULL,'td-smz-setc7-wgy'),('4643061544803960271','刘明','15204343553',NULL,'td-smz-setc8-wgy'),('4643061544803960297','马延龙','13944409984',NULL,'td-smz-setc9-wgy'),('4643061544803960323','李秀敏','15834409984',NULL,'td-smz-setc10-wgy'),('4643061544803960349','李建柱','13944426001',NULL,'td-smz-setc11-wgy'),('4643061544803960375','翟凤勇','15144603999',NULL,'td-smz-setc12-wgy'),('4643061544803960401','梁友','13944401993',NULL,'td-smz-tsc1-wgy'),('4643061544803960427','杜爱民','18643433201',NULL,'td-smz-tsc2-wgy'),('4643061544803960453','莫桂芬','13664344598',NULL,'td-smz-tsc3-wgy'),('4643061544803960479','刘伟','13904348464',NULL,'td-smz-tsc4-wgy'),('4643061544803960505','刘洪彦','13244245171',NULL,'td-smz-tsc5-wgy'),('4643061544803960531','杨野','18504442500',NULL,'td-smz-tsc6-wgy'),('4643061544803960557','周波','15834458132',NULL,'td-smz-tsc7-wgy'),('4643061544803960687','齐学东','16843436979',NULL,'td-smz-tdc5-wgy'),('4643061544803960713','赵蓬勃','13596662780',NULL,'td-smz-xxc1-wgy'),('4643061544803960739','王立平','15004342288',NULL,'td-smz-xxc2-wgy'),('4643061544803960765','张成国','15904348020',NULL,'td-smz-xxc3-wgy'),('4643061544803960791','杨敏','13596604849',NULL,'td-smz-xxc4-wgy'),('4643061544803960817','李德军','15834405398',NULL,'td-smz-xxc5-wgy'),('4643061544803960843','王希春','13674446864',NULL,'td-smz-xxc6-wgy'),('4643061544803960869','李桂忠','13596666330',NULL,'td-smz-xxc7-wgy'),('4643061544803960895','李刚','13624343348',NULL,'td-smz-xxc8-wgy'),('4643061544803960921','郝丹萍','13694000040',NULL,'td-smz-ycc1-wgy'),('4643061544803960947','孙鹏飞','13944427687',NULL,'td-smz-ycc2-wgy'),('4643061544803960973','王小亮','13944428787',NULL,'td-smz-ycc3-wgy'),('4643061544803960999','孟祥瑞','13844401384',NULL,'td-smz-ycc4-wgy'),('4643061544803961025','孟祥锋','13604345585',NULL,'td-smz-ycc5-wgy'),('4643061544803961051','孟亭亭','13039039933',NULL,'td-smz-ycc6-wgy'),('4643061544803961077','孟莹莹','18643008561',NULL,'td-smz-ycc7-wgy'),('4643061544803961103','孙爽','13944428787',NULL,'td-smz-ycc8-wgy'),('4643061544803961129','孟凡波','15643489977',NULL,'td-smz-ycc9-wgy'),('4643061544803961155','王小龙','18643439441',NULL,'td-smz-ycc10-wgy'),('4643061544803961181','孟繁香','15844405767',NULL,'td-smz-ycc11-wgy'),('4643061544803965633','沙龙生','15944454876',NULL,'ls-jsx-jscwh1-wgy'),('4643061544803965659','李树楠','13614448555',NULL,'ls-jsx-jscwh2-wgy'),('4643061544803965685','杨书田','15134437653',NULL,'ls-jsx-jscwh3-wgy'),('4643061544803965711','赵少库','13843497929',NULL,'ls-jsx-jscwh4-wgy'),('4643061544803965737','孙少朋','15834452999',NULL,'ls-jsx-jscwh5-wgy'),('4643061544803965763','徐占海','15500425490',NULL,'ls-jsx-jscwh6-wgy'),('4643061544803965789','郭振宇','15568541111',NULL,'ls-jsx-jscwh7-wgy'),('4643061544803965815','陈国学','15944495150',NULL,'ls-jsx-jscwh8-wgy'),('4643061544803965841','马玉良','13596678574',NULL,'ls-jsx-jscwh9-wgy'),('4643061544803965867','刘朋涛','13664346866',NULL,'ls-jsx-jscwh10-wgy'),('4643061544803965893','刘国','13694479883',NULL,'ls-jsx-jscwh11-wgy'),('4643061544803965919','沙龙云','18243494488',NULL,'ls-jsx-jscwh12-wgy'),('4643061544803965945','刘景海','15944498522',NULL,'ls-jsx-jscwh13-wgy'),('4643061544803966320','毕海波','18744495596',NULL,'ls-jsx-panpcwh1-wgy'),('4643061544803966346','苗军','15204415566',NULL,'ls-jsx-panpcwh2-wgy'),('4643061544803966372','柳军','13844489902',NULL,'ls-jsx-panpcwh3-wgy'),('4643061544803966398','朱永刚','15144695545',NULL,'ls-jsx-panpcwh4-wgy'),('4643061544803966424','徐辉','15981683028',NULL,'ls-jsx-panpcwh5-wgy'),('4643061544803966450','刘明','13394446269',NULL,'ls-jsx-panpcwh6-wgy'),('4643061544803966476','孙宏伟','15886077689',NULL,'ls-jsx-panpcwh7-wgy'),('4643061544803966502','赵玉林','13943316272',NULL,'ls-jsx-panpcwh8-wgy'),('4643061544803966528','刘大勇','13224412555',NULL,'ls-jsx-panpcwh9-wgy'),('4643061544803966554','陈国庆','15981682399',NULL,'ls-jsx-panpcwh10-wgy'),('4643061544803966580','周洪生','16688442855',NULL,'ls-jsx-panpcwh11-wgy'),('4643061544803966606','张文明','15774422480',NULL,'ls-jsx-panpcwh12-wgy'),('4643061544803966944','苗军','13630917000',NULL,'ls-jsx-dczcwh1-wgy'),('4643061544803966970','张少臣','15712324562',NULL,'ls-jsx-dczcwh2-wgy'),('4643061854041604097','张洪江','15981684688',NULL,'ls-jsx-dczcwh3-wgy'),('4643061854041604123','王桂苹','15204470948',NULL,'ls-jsx-dczcwh4-wgy'),('4643061854041604149','李东洋','15774429115',NULL,'ls-jsx-dczcwh5-wgy'),('4643061854041604175','吉洪涛','15134422078',NULL,'ls-jsx-dczcwh6-wgy'),('4643061854041604201','张秀微','13894483531',NULL,'ls-jsx-dczcwh7-wgy'),('4643061854041604227','于春娟','13844473110',NULL,'ls-jsx-dczcwh8-wgy'),('4643061854041604253','陈继文','13843498698',NULL,'ls-jsx-dczcwh9-wgy'),('4643061854041604279','苗刚','16744349888',NULL,'ls-jsx-dczcwh10-wgy'),('4643061854041604305','李国文','13596676233',NULL,'ls-jsx-clzcwh1-wgy'),('4643061854041604331','邱双','13894487067',NULL,'ls-jsx-clzcwh2-wgy'),('4643061854041604357','赵洪文','13624346236',NULL,'ls-jsx-clzcwh3-wgy'),('4643061854041604383','赵国兴','15144636868',NULL,'ls-jsx-clzcwh4-wgy'),('4643061854041604409','陈贵','15500148119',NULL,'ls-jsx-clzcwh5-wgy'),('4643061854041604435','崔景山','18743439002',NULL,'ls-jsx-clzcwh6-wgy'),('4643061854041604461','赵忠库','13404648021',NULL,'ls-jsx-clzcwh7-wgy'),('4643061854041604487','李子禄','16688442861',NULL,'ls-jsx-clzcwh8-wgy'),('4643061854041604513','张新得','13644349151',NULL,'ls-jsx-clzcwh9-wgy'),('4643061854041604773','王志新','15944404191',NULL,'ls-jsx-hanhcwh1-wgy'),('4643061854041604799','王志伟','15943446606',NULL,'ls-jsx-hanhcwh2-wgy'),('4643061854041604825','王喜红','13620777626',NULL,'ls-jsx-hanhcwh3-wgy'),('4643061854041604862','李艳超','13596622633',NULL,'ls-jsx-hanhcwh4-wgy'),('4643061854041604888','李广军','13596627520',NULL,'ls-jsx-hanhcwh5-wgy'),('4643061854041604914','侯武星','18629836211',NULL,'ls-jsx-hanhcwh6-wgy'),('4643061854041604940','王金成','15004482226',NULL,'ls-jsx-hanhcwh7-wgy'),('4643061854041605148','史成全','17519319029',NULL,'ls-jsx-ngzcwh3-wgy'),('4643061854041605174','杨洪伟','13843492173',NULL,'ls-jsx-ngzcwh4-wgy'),('4643061854041605200','谭超','15904341246',NULL,'ls-jsx-ngzcwh5-wgy'),('4643061854041605226','张宝武','15004459468',NULL,'ls-jsx-ngzcwh6-wgy'),('4643061854041605252','刘晋财','15585446522',NULL,'ls-jsx-ngzcwh7-wgy'),('4643061854041605512','蔡国清','15144494944',NULL,'ls-jsx-chycwh1-wgy'),('4643061854041605538','孙民','15204434656',NULL,'ls-jsx-chycwh2-wgy'),('4643061854041605564','李加义','15134433931',NULL,'ls-jsx-chycwh3-wgy'),('4643061854041605590','李方祥','15204414188',NULL,'ls-jsx-chycwh4-wgy'),('4643061854041605616','李艳春','15843476138',NULL,'ls-jsx-chycwh5-wgy'),('4643061854041605642','刘秀山','13630911227',NULL,'ls-jsx-chycwh6-wgy'),('4643061854041605668','乔福元','15204414187',NULL,'ls-jsx-chycwh7-wgy'),('4643061854041605694','周百金','15568528510',NULL,'ls-jsx-chycwh8-wgy'),('4643061854041605720','兰万田','18343433112',NULL,'ls-jsx-chycwh9-wgy'),('4643061854041605746','吕光辉','13694393501',NULL,'ls-jsx-chycwh10-wgy'),('4643061854041605772','姜忠宝','15500420900',NULL,'ls-jsx-chycwh11-wgy'),('4643061854041606084','孙超','18743435099',NULL,'ls-jsx-yhecwh1-wgy'),('4643061854041606110','李秀军','13894455017',NULL,'ls-jsx-yhecwh2-wgy'),('4643061854041606136','王维军','13404645120',NULL,'ls-jsx-yhecwh3-wgy'),('4643061854041606162','常成宝','18243492222',NULL,'ls-jsx-yhecwh4-wgy'),('4643061854041606188','袁绍伟','13596646678',NULL,'ls-jsx-yhecwh5-wgy'),('4643061854041606214','侯波','15526597577',NULL,'ls-jsx-yhecwh6-wgy'),('4643061854041606240','王玉国','18744492365',NULL,'ls-jsx-yhecwh7-wgy'),('4643061854041606266','滕俊国','15004471576',NULL,'ls-jsx-yhecwh8-wgy'),('4643061854041606292','赵文福','13278432268',NULL,'ls-jsx-yhecwh9-wgy'),('4643061854041606552','宋国良','15330675000',NULL,'ls-jsx-sanhcwh1-wgy'),('4643061854041606578','孙山','15044494100',NULL,'ls-jsx-sanhcwh2-wgy'),('4643061854041606604','汤贵臣','13044345586',NULL,'ls-jsx-sanhcwh3-wgy'),('4643061854041606630','刘帅','13689735566',NULL,'ls-jsx-sanhcwh4-wgy'),('4643061854041606656','冯桂香','13224446199',NULL,'ls-jsx-sanhcwh5-wgy'),('4643061854041606682','刘珊珊','17604447333',NULL,'ls-jsx-sanhcwh6-wgy'),('4643061854041606708','巴信富','15144436988',NULL,'ls-jsx-sanhcwh7-wgy'),('4643061854041606734','郑学恩','18744492006',NULL,'ls-jsx-sanhcwh8-wgy'),('4643061854041606760','张大明','15584721211',NULL,'ls-jsx-sanhcwh9-wgy'),('4643061854041606786','王洪涛','13894488508',NULL,'ls-jsx-sanhcwh10-wgy'),('4643061854041606812','王俊杰','15981591720',NULL,'ls-jsx-sanhcwh11-wgy'),('4643061854041606968','马辉','13844488379',NULL,'ls-jsx-cjgzcwh1-wgy'),('4643061854041606994','李敬龙','15004492158',NULL,'ls-jsx-cjgzcwh2-wgy'),('4643061854041607020','黄文学','13894486059',NULL,'ls-jsx-cjgzcwh3-wgy'),('4643061854041607046','崔万超','15981583286',NULL,'ls-jsx-cjgzcwh4-wgy'),('4643061854041607072','曹晓东','13844481048',NULL,'ls-jsx-cjgzcwh5-wgy'),('4643061854041607098','任玉柱','13180987758',NULL,'ls-jsx-cjgzcwh6-wgy'),('4643061854041607124','吴长清','15500172601',NULL,'ls-jsx-cjgzcwh7-wgy'),('4643061854041607150','田亮','15844444611',NULL,'ls-jsx-cjgzcwh8-wgy'),('4643061854041607176','栾玉有','15044498469',NULL,'ls-jsx-cjgzcwh9-wgy'),('4643061854041607202','杜金城','18629853987',NULL,'ls-jsx-cjgzcwh10-wgy'),('4643062575596114846','李凤才','15500167068',NULL,'ls-qylx-cqcwh1-wgy'),('4643062575596114872','曲俊','17604447098',NULL,'ls-qylx-cqcwh2-wgy'),('4643062575596114898','王洪旭','13694344328',NULL,'ls-qylx-cqcwh3-wgy'),('4643062575596114924','董玉民','13179182542',NULL,'ls-qylx-cqcwh4-wgy'),('4643062575596114950','陈国顺','13620777176',NULL,'ls-qylx-cqcwh5-wgy'),('4643062575596114976','才洪卫','13674402929',NULL,'ls-qylx-cqcwh6-wgy'),('4643062575596115002','张勇','18243425662',NULL,'ls-qylx-cqcwh7-wgy'),('4643062575596115028','耿志忠','13278031606',NULL,'ls-qylx-cqcwh8-wgy'),('4643062575596115054','石柱','13894453608',NULL,'ls-qylx-cqcwh9-wgy'),('4643062575596115080','咸志学','13278430869',NULL,'ls-qylx-jjfcwh1-wgy'),('4643062575596115106','刘贵彬','13009025088',NULL,'ls-qylx-jjfcwh2-wgy'),('4643062575596115132','张海龙','13278097623',NULL,'ls-qylx-jjfcwh3-wgy'),('4643062575596115158','于昌和','17304343455',NULL,'ls-qylx-jjfcwh4-wgy'),('4643062575596115184','蒋少武','13694007911',NULL,'ls-qylx-jjfcwh5-wgy'),('4643062575596115210','孙永峰','13500845722',NULL,'ls-qylx-jjfcwh6-wgy'),('4643062575596115236','于浩','14620612345',NULL,'ls-qylx-jjfcwh7-wgy'),('4643062575596115262','黄志双','13069287272',NULL,'ls-qylx-dqcwh1-wgy'),('4643062575596115288','于海峰','15590466057',NULL,'ls-qylx-dqcwh2-wgy'),('4643062575596115314','王有治','15981588207',NULL,'ls-qylx-dqcwh3-wgy'),('4643062575596115340','于德海','13843438222',NULL,'ls-qylx-dqcwh4-wgy'),('4643062575596115366','李洪滨','15981584469',NULL,'ls-qylx-dqcwh5-wgy'),('4643062575596115392','牟艳平','13630916316',NULL,'ls-qylx-dqcwh6-wgy'),('4643062575596115418','王长伟','13894484532',NULL,'ls-qylx-dqcwh7-wgy'),('4643062575596115444','孙栢森','13630910449',NULL,'ls-qylx-dqcwh8-wgy'),('4643062575596115470','刘家利','15843464656',NULL,'ls-qylx-dwzcwh1-wgy'),('4643062575596115496','陈宪龙','15590230930',NULL,'ls-qylx-dwzcwh2-wgy'),('4643062575596115522','姜丰','13894488986',NULL,'ls-qylx-dwzcwh3-wgy'),('4643062575596115548','苏玉平','13943315524',NULL,'ls-qylx-dwzcwh4-wgy'),('4643062575596115574','金宝明','15886093633',NULL,'ls-qylx-dwzcwh5-wgy'),('4643062575596115600','赵所龙','13844485257',NULL,'ls-qylx-dwzcwh6-wgy'),('4643062575596115626','高福田','15943450068',NULL,'ls-qylx-dwzcwh7-wgy'),('4643062575596115652','孙立学','15143427949',NULL,'ls-qylx-dwzcwh8-wgy'),('4643062575596115678','高福志','15590462777',NULL,'ls-qylx-xqcwh1-wgy'),('4643062575596115704','张中伟','15585441999',NULL,'ls-qylx-xqcwh2-wgy'),('4643062575596115730','田魁元','18744496959',NULL,'ls-qylx-xqcwh3-wgy'),('4643062575596115756','王金龙','15774445678',NULL,'ls-qylx-xqcwh4-wgy'),('4643062575596115782','杨秀辉','15944494469',NULL,'ls-qylx-xqcwh5-wgy'),('4643062575596115808','张振山','15204470966',NULL,'ls-qylx-xqcwh6-wgy'),('4643062575596115834','李焕举','13644349255',NULL,'ls-qylx-xqcwh7-wgy'),('4643062575596115860','张振杰','13234342880',NULL,'ls-qylx-xqcwh8-wgy'),('4643062575596115886','李申','15044495575',NULL,'ls-qylx-xqcwh9-wgy'),('4643062575596115912','李彦中','13630912533',NULL,'ls-qylx-xqcwh10-wgy'),('4643062575596115938','王兴才','17543435390',NULL,'ls-qylx-xfscwh1-wgy'),('4643062575596115964','孙连生','15943439460',NULL,'ls-qylx-xfscwh2-wgy'),('4643062575596115990','毕河','13944488625',NULL,'ls-qylx-xfscwh3-wgy'),('4643062575596116016','于百有','15004476525',NULL,'ls-qylx-xfscwh4-wgy'),('4643062575596116042','张亮','15943444929',NULL,'ls-qylx-xfscwh5-wgy'),('4643062575596116068','李程远','15943434191',NULL,'ls-qylx-xfscwh6-wgy'),('4643062575596116094','韩海军','13843475671',NULL,'ls-qylx-xfscwh7-wgy'),('4643062575596116120','于百红','13630910429',NULL,'ls-qylx-xfscwh8-wgy'),('4643062575596116146','高云飞','13314345502',NULL,'ls-qylx-xfscwh9-wgy'),('4643062575596116172','陈岩','13500849728',NULL,'ls-qylx-xfscwh10-wgy'),('4643062575596116198','付国华','13844470792',NULL,'ls-qylx-blczcwh1-wgy'),('4643062575596116224','田清','15134434428',NULL,'ls-qylx-blczcwh2-wgy'),('4643062575596116250','韩利东','15134418765',NULL,'ls-qylx-blczcwh3-wgy'),('4643062575596116276','冷亮','15943435672',NULL,'ls-qylx-blczcwh4-wgy'),('4643062575596116302','王宝风','15981598988',NULL,'ls-qylx-blczcwh5-wgy'),('4643062575596116328','王永才','15843477591',NULL,'ls-qylx-blczcwh6-wgy'),('4643062575596116354','张艳玲','18743491658',NULL,'ls-qylx-blczcwh7-wgy'),('4643062575596116380','韩宝忠','13614442288',NULL,'ls-qylx-blczcwh8-wgy'),('4643062575596116406','牟长发','13596670908',NULL,'ls-qylx-blczcwh9-wgy'),('4643062575596116432','刘永波','15886099776',NULL,'ls-qylx-blczcwh10-wgy'),('4643062575596116458','张志学','13258717167',NULL,'ls-qylx-blczcwh11-wgy'),('4643062575596116484','刘继波','18343435514',NULL,'ls-qylx-xfpcwh1-wgy'),('4643062575596116510','经德军','15886087008',NULL,'ls-qylx-xfpcwh2-wgy'),('4643062575596116536','陈艳水','15643455477',NULL,'ls-qylx-xfpcwh3-wgy'),('4643062575596116562','常久远','15590477366',NULL,'ls-qylx-xfpcwh4-wgy'),('4643062575596116588','孙淑云','13630911233',NULL,'ls-qylx-xfpcwh5-wgy'),('4643062575596116614','于洪德','18843493987',NULL,'ls-qylx-xfpcwh6-wgy'),('4643062575596116640','徐朋云','15204438189',NULL,'ls-qylx-xfpcwh7-wgy'),('4643062575596116666','刘国军','13844482896',NULL,'ls-qylx-xfpcwh8-wgy'),('4643062575596116692','于红','15526591877',NULL,'ls-qylx-nqcwh1-wgy'),('4643062575596116718','张玉权','13843471889',NULL,'ls-qylx-nqcwh2-wgy'),('4643062575596116744','刘海金','13596644676',NULL,'ls-qylx-nqcwh3-wgy'),('4643062575596116770','刘汉全','18844425083',NULL,'ls-qylx-nqcwh4-wgy'),('4643062575596116796','张永志','18744497958',NULL,'ls-qylx-nqcwh5-wgy'),('4643062575596116822','王天一','15843488898',NULL,'ls-qylx-nqcwh6-wgy'),('4643062575596116848','杨守华','15004461087',NULL,'ls-qylx-nqcwh7-wgy'),('4643062575596116874','宫宝红','13843497271',NULL,'ls-qylx-nqcwh8-wgy'),('4643062884833751974','杨宝义','13596655455',NULL,'sl-xl-dyc1'),('4643062884833752002','韩雪','17187633685',NULL,'sl-xl-dyc2'),('4643062884833752030','孙金平','15981557745',NULL,'sl-xl-dyc3'),('4643062884833752058','刘华','15304346277',NULL,'sl-xl-dyc4'),('4643062884833752086','王波','15943465599',NULL,'sl-xl-xssq1'),('4643062884833752121','郎林友','13630972523',NULL,'sl-xl-xssq2'),('4643062884833752156','刘万民','13596655192',NULL,'sl-xl-xssq3'),('4643062884833752191','刘万玉','13596657681',NULL,'sl-xl-xssq4'),('4643062884833752226','周伟','17604441019',NULL,'sl-xl-xssq5'),('4643062884833752261','邵玉新','15144451112',NULL,'sl-xl-xssq6'),('4643062884833752296','张俊龙','18629826446',NULL,'sl-xl-xssq7'),('4643062884833752331','杨淑娟','18628785085',NULL,'sl-xl-xssq8'),('4643062884833752366','陆太平','13944433612',NULL,'sl-xl-xssq9'),('4643062884833752401','李凤静','17519343422',NULL,'sl-xl-xssq10'),('4643062884833752436','李国辉','15944461126',NULL,'sl-xl-lfc1'),('4643062884833752464','苏红华','15590409558',NULL,'sl-xl-lfc2'),('4643062884833752492','金硕','15143451821',NULL,'sl-xl-lfc3'),('4643062884833752520','李玉衡','15886020050',NULL,'sl-xl-lfc4'),('4643062884833752548','赵慧敏','18629827006',NULL,'sl-xl-lfc5'),('4643062884833752576','张海森','15500195589',NULL,'sl-xl-lzc1'),('4643062884833752602','王长利','13943495318',NULL,'sl-xl-lzc2'),('4643062884833752628','刘宁','15886033506',NULL,'sl-xl-lzc3'),('4643062884833752654','任兆伟','15774461222',NULL,'sl-xl-lzc4'),('4643062884833752680','冯丽庆','18343469630',NULL,'sl-xl-lzc5'),('4643062884833752706','白玉新','15144452138',NULL,'sl-xl-gyc1'),('4643062884833752732','赵淑梅','15843495998',NULL,'sl-xl-gyc2'),('4643062884833752758','姜恒','15843495215',NULL,'sl-xl-gyc3'),('4643062884833752784','袁凤民','18543418651',NULL,'sl-xl-llc1'),('4643062884833752810','赵树海','15981562189',NULL,'sl-xl-llc2'),('4643062884833752836','田微微','15500184445',NULL,'sl-xl-llc3'),('4643062884833752862','张金玉','13844432340',NULL,'sl-xl-csc1'),('4643062884833752891','高超','13278421106',NULL,'sl-xl-csc2'),('4643062884833752920','翟勇','13894438022',NULL,'sl-xl-csc3'),('4643062884833752949','王艳辰','13694020699',NULL,'sl-xl-csc4'),('4643062884833752978','张成祥','13630978975',NULL,'sl-xl-xlc1'),('4643062884833753005','于晓静','13844456098',NULL,'sl-xl-xlc2'),('4643062884833753032','颜红姣','18243457445',NULL,'sl-xl-xlc3'),('4643062884833753059','夏永江','18629827399',NULL,'sl-xl-qfc1'),('4643062884833753085','于洋','15590404600',NULL,'sl-xl-qfc2'),('4643062884833753169','李青春','15590218726',NULL,'sl-xl-qfc3'),('4643062884833753196','于伟亮','13278136890',NULL,'sl-xl-yyc1'),('4643062884833753224','刘波','13500842955',NULL,'sl-xl-yyc2'),('4643062884833753252','许俊山','18628782711',NULL,'sl-xl-yyc3'),('4643062884833753280','胡海波','13844434998',NULL,'sl-xl-yyc4'),('4643062884833753308','杨立志','13843432926',NULL,'sl-xl-lqc1'),('4643062884833753335','潘红','15981567869',NULL,'sl-xl-lqc2'),('4643062919193498481','汤淑媛','15104345544',NULL,'ls-hjd-tysq1-wgy'),('4643062919193498514','孙大伟','13630992758',NULL,'ls-hjd-sjsq1-wgy'),('4643062919193498545','苏亚梅','18629853336',NULL,'ls-hjd-xwsq1-wgy'),('4643062919193498576','曹亚芹','15665967295',NULL,'220322003001001'),('4643062919193498609','王海涛','15004467571',NULL,'ls-hjd-yycwh1-wgy'),('4643062919193498643','赵梓竹','15004480229',NULL,'ls-hjd-hjdcwh1-wgy'),('4643062919193498680','贾洪研','15004477309',NULL,'ls-hjd-xycwh1-wgy'),('4643062919193498716','毕国兴','15584725111',NULL,'ls-hjd-dbscwh1-wgy'),('4643062953553230257','杜仲哲','18243496928',NULL,'sl-lbjd-xhsq1-wgy'),('4643062953553230283','计明亮','13278097400',NULL,'sl-lbjd-xhsq2-wgy'),('4643062953553230309','徐英','13843462005',NULL,'sl-lbjd-xhsq3-wgy'),('4643062953553230335','徐亚斌','13844256566',NULL,'sl-lbjd-xhsq4-wgy'),('4643062953553230361','金淑辉','13694027977',NULL,'sl-lbjd-xhsq5-wgy'),('4643062953553230387','孙永超','15141028919',NULL,'sl-lbjd-xhsq6-wgy'),('4643062953553230413','郑阳','15140376626',NULL,'sl-lbjd-xhsq7-wgy'),('4643062953553230439','段家一','15500130102',NULL,'sl-lbjd-bnsq1-wgy'),('4643062953553230465','李芳','15886031652',NULL,'sl-lbjd-bnsq2-wgy'),('4643062953553230491','葛晓宇','18943848889',NULL,'sl-lbjd-bnsq3-wgy'),('4643062953553230517','刘天宏','16643430822',NULL,'sl-lbjd-bnsq4-wgy'),('4643062953553230543','梁娜','18629823650',NULL,'sl-lbjd-bnsq5-wgy'),('4643062953553230569','姜雨辰','18804309363',NULL,'sl-lbjd-bnsq6-wgy'),('4643062953553230595','王众','17843163125',NULL,'sl-lbjd-bnsq7-wgy'),('4643062953553230621','田雪健','15590679197',NULL,'sl-lbjd-bnsq8-wgy'),('4643062953553230647','荀莹莹','13844840719',NULL,'sl-lbjd-bnsq9-wgy'),('4643062953553230673','曲凯艳','18684280662',NULL,'sl-lbjd-bnsq10-wgy'),('4643062953553230699','高继凤','18843416312',NULL,'sl-lbjd-bnsq11-wgy'),('4643062953553230725','郑桂娟','13278139657',NULL,'sl-lbjd-dfc1-wgy'),('4643062953553230751','刘婧多','15568500271',NULL,'sl-lbjd-dfc2-wgy'),('4643062953553230780','刘玉权','13596610808',NULL,'sl-lbjd-czc1-wgy'),('4643062953553230806','郭柠','13089281337',NULL,'sl-lbjd-czc2-wgy'),('4643062953553230832','徐长兴','13894432822',NULL,'sl-lbjd-czc3-wgy'),('4643062953553230858','王国臣','13944435116',NULL,'sl-lbjd-czc4-wgy'),('4643062953553231230','魏远成','13504352212',NULL,'sl-lxjd-jfc1-wgy'),('4643062953553231258','冷雪飞','13630970003',NULL,'sl-lxjd-ygsq1-wgy'),('4643062953553231284','杨雪','18684260007',NULL,'sl-lxjd-ygsq2-wgy'),('4643062953553231310','吴镜瑶','17604448600',NULL,'sl-lxjd-ygsq3-wgy'),('4643062953553231336','李晶晶','15044452312',NULL,'sl-lxjd-jxc1-wgy'),('4643062953553231371','蔡建楠','15330666816',NULL,'sl-lxjd-dcsq1-wgy'),('4643062953553231399','甄天保','15843498552',NULL,'sl-lxjd-dcsq2-wgy'),('4643062953553231427','刘津玮','15143077408',NULL,'sl-lxjd-dcsq3-wgy'),('4643062953553231453','张立平','13596610213',NULL,'sl-lxjd-dcsq4-wgy'),('4643062953553231479','赵凯月','18643495656',NULL,'sl-lxjd-dcsq5-wgy'),('4643062953553231508','徐铮','18504348800',NULL,'sl-lxjd-xhsq1-wgy'),('4643062953553231535','杨丽梅','13504442544',NULL,'sl-lxjd-xhsq2-wgy'),('4643062953553231563','郑丹','18943853313',NULL,'sl-lxjd-xhsq3-wgy'),('4643062953553231591','解思琪','18843452182',NULL,'sl-lxjd-xhsq4-wgy'),('4643062953553231618','高深','18643124342',NULL,'sl-lxjd-xhsq5-wgy'),('4643062953553231645','刘礁艳','17643463104',NULL,'sl-lxjd-xhsq6-wgy'),('4643062953553231672','于佳林','17519363677',NULL,'sl-lxjd-xhsq7-wgy'),('4643062953553231699','程新宇','13074326922',NULL,'sl-lxjd-xhsq8-wgy'),('4643062953553231726','蒋宗宇','18243440527',NULL,'sl-lxjd-xhsq9-wgy'),('4643062953553231753','杨昊泽','15044458241',NULL,'sl-lxjd-xhsq10-wgy'),('4643062953553231780','刘晶晶','13630977123',NULL,'sl-lxjd-xhsq11-wgy'),('4643062987912962649','刘少华','13844438007',NULL,'sl-mlz-basq1-wgy'),('4643062987912962676','高明跃','13069033790',NULL,'sl-mlz-basq2-wgy'),('4643062987912962702','高庆忱','18844469958',NULL,'sl-mlz-basq3-wgy'),('4643062987912962728','孙秀娟','13614347758',NULL,'sl-mlz-basq4-wgy'),('4643062987912962754','冯秋晨','16624443307',NULL,'sl-mlz-basq5-wgy'),('4643062987912962806','张志成','13904357132',NULL,'sl-mlz-ghc1-wgy'),('4643062987912962833','徐冠兰','15143450097',NULL,'sl-mlz-ghc2-wgy'),('4643062987912962859','张国荣','18643469650',NULL,'sl-mlz-ghc3-wgy'),('4643062987912962885','荆明喜','13843467819',NULL,'sl-mlz-dxc1-wgy'),('4643062987912962911','兰翠翠','13044341344',NULL,'sl-mlz-dxc2-wgy'),('4643062987912962937','赵中华','15643465752',NULL,'sl-mlz-dxc3-wgy'),('4643062987912962963','王凤亮','13694022111',NULL,'sl-mlz-djc1-wgy'),('4643062987912962992','胡德军','13844435942',NULL,'sl-mlz-djc2-wgy'),('4643062987912963018','冯才','13694345699',NULL,'sl-mlz-djc3-wgy'),('4643062987912963044','蒋立国','15886046276',NULL,'sl-mlz-djc4-wgy'),('4643062987912963070','鲍国文','15144457354',NULL,'sl-mlz-djc5-wgy'),('4643062987912963096','王子强','13894439181',NULL,'sl-mlz-dsc1-wgy'),('4643062987912963122','苗立军','13614441344',NULL,'sl-mlz-dsc2-wgy'),('4643062987912963148','贾立国','13894431085',NULL,'sl-mlz-elbc1-wgy'),('4643062987912963177','朱志刚','15981560880',NULL,'sl-mlz-elbc2-wgy'),('4643062987912963203','吴保安','15943477313',NULL,'sl-mlz-elbc3-wgy'),('4643062987912963229','刘永贵','13258713638',NULL,'sl-mlz-elbc4-wgy'),('4643062987912963255','曹广权','13694029793',NULL,'sl-mlz-elbc5-wgy'),('4643062987912963281','杜过','13943478884',NULL,'sl-mlz-elbc6-wgy'),('4643062987912963307','张海春','13894477891',NULL,'sl-mlz-elsc1-wgy'),('4643062987912963335','刘志义','13278067993',NULL,'sl-mlz-elsc2-wgy'),('4643062987912963387','曹俊东','15886038695',NULL,'sl-mlz-elsc4-wgy'),('4643062987912963413','崔明伟','15043482481',NULL,'sl-mlz-elsc5-wgy'),('4643062987912963439','于金山','15886043296',NULL,'sl-mlz-hjc1-wgy'),('4643062987912963467','王凤春','15043476933',NULL,'sl-mlz-hjc2-wgy'),('4643062987912963493','胡钦义','13630706479',NULL,'sl-mlz-hjc3-wgy'),('4643062987912963519','王立辉','15500436936',NULL,'sl-mlz-hjc4-wgy'),('4643062987912963545','张永忱','15044459294',NULL,'sl-mlz-hg1-wgy'),('4643062987912963572','周龙','13134343075',NULL,'sl-mlz-hg2-wgy'),('4643062987912963598','王占怀','13894479720',NULL,'sl-mlz-hg3-wgy'),('4643062987912963624','孔凡金','15886034000',NULL,'sl-mlz-hgc1-wgy'),('4643062987912963659','郑国林','15943466171',NULL,'sl-mlz-hgc2-wgy'),('4643062987912963685','魏巍','13894472662',NULL,'sl-mlz-hgc3-wgy'),('4643062987912963711','单明辉','13278067758',NULL,'sl-mlz-hgc4-wgy'),('4643062987912963737','孔凡林','13944432918',NULL,'sl-mlz-hsc1-wgy'),('4643062987912963763','王洋','18543415979',NULL,'sl-mlz-hsc2-wgy'),('4643062987912963789','刘武杰','15204456667',NULL,'sl-mlz-ksc1-wgy'),('4643062987912963817','冯彦清','13844431231',NULL,'sl-mlz-ksc2-wgy'),('4643062987912963843','王坤','15886039248',NULL,'sl-mlz-ksc3-wgy'),('4643062987912963869','安大伟','15568504441',NULL,'sl-mlz-ksc4-wgy'),('4643062987912963895','李昌田','15886020886',NULL,'sl-mlz-mlc1-wgy'),('4643062987912963924','康艳发','15568506815',NULL,'sl-mlz-mlc2-wgy'),('4643062987912963950','魏艳松','15134455345',NULL,'sl-mlz-mlc3-wgy'),('4643062987912963976','李有成','15844459363',NULL,'sl-mlz-mlc4-wgy'),('4643062987912964002','徐晨','15044451023',NULL,'sl-mlz-mlc5-wgy'),('4643062987912964028','史林君','13894472301',NULL,'sl-mlz-myc1-wgy'),('4643062987912964058','贾宝伟','18743458558',NULL,'sl-mlz-myc2-wgy'),('4643062987912964084','尹春雨','15501176111',NULL,'sl-mlz-myc3-wgy'),('4643062987912964110','史林奎','13504747803',NULL,'sl-mlz-myc4-wgy'),('4643062987912964136','李阳录','15044452315',NULL,'sl-mlz-myc5-wgy'),('4643062987912964162','张立','15843498489',NULL,'sl-mlz-myc6-wgy'),('4643062987912964188','李海艳','13596613055',NULL,'sl-mlz-npsq1-wgy'),('4643062987912964215','李恩博','13614441121',NULL,'sl-mlz-npsq2-wgy'),('4643062987912964241','刘璐','15004346665',NULL,'sl-mlz-npsq3-wgy'),('4643062987912964267','周岩石','13943470777',NULL,'sl-mlz-nlc1-wgy'),('4643062987912964296','陈景禹','13331738424',NULL,'sl-mlz-nlc2-wgy'),('4643062987912964322','池中艳','15567238123',NULL,'sl-mlz-nlc3-wgy'),('4643062987912964348','徐长顺','15043475329',NULL,'sl-mlz-nlc4-wgy'),('4643062987912964374','果实','15144458456',NULL,'sl-mlz-nlc5-wgy'),('4643062987912964400','吴俊访','13596690201',NULL,'sl-mlz-qjc1-wgy'),('4643062987912964430','张志金','13844434584',NULL,'sl-mlz-qjc2-wgy'),('4643062987912964456','仉红阳','13278065720',NULL,'sl-mlz-qjc3-wgy'),('4643062987912964482','张义','15590400608',NULL,'sl-mlz-qjc4-wgy'),('4643062987912964508','张国臣','15981555321',NULL,'sl-mlz-qjc5-wgy'),('4643062987912964534','齐俊','13304357096',NULL,'sl-mlz-qjc6-wgy'),('4643062987912964560','丛福义','15500130815',NULL,'sl-mlz-qjc7-wgy'),('4643062987912964586','王惠敏','13069283759',NULL,'sl-mlz-rxc1-wgy'),('4643062987912964616','王君','13843466550',NULL,'sl-mlz-rxc2-wgy'),('4643062987912964642','严贵喜','15500151998',NULL,'sl-mlz-rxc3-wgy'),('4643062987912964668','毕艳红','18843459606',NULL,'sl-mlz-rxc4-wgy'),('4643062987912964694','张仁','13844434125',NULL,'sl-mlz-rxc5-wgy'),('4643062987912964720','杨成亮','13843460063',NULL,'sl-mlz-rxc6-wgy'),('4643062987912964746','张洪彬','15144457797',NULL,'sl-mlz-shc1-wgy'),('4643062987912964776','刘永顺','13179020892',NULL,'sl-mlz-shc2-wgy'),('4643062987912964802','郭长发','15844454704',NULL,'sl-mlz-shc3-wgy'),('4643062987912964828','魏尚志','18744421239',NULL,'sl-mlz-shc4-wgy'),('4643062987912964854','田忠仁','13244052233',NULL,'sl-mlz-shc5-wgy'),('4643062987912964880','张洪远','13194341619',NULL,'sl-mlz-shc6-wgy'),('4643062987912964906','汪旭','15500130880',NULL,'sl-mlz-shc7-wgy'),('4643062987912964932','孙绪彦','15144457177',NULL,'sl-mlz-slc1-wgy'),('4643062987912964959','高龙','13596690183',NULL,'sl-mlz-slc2-wgy'),('4643062987912964985','佟志刚','17547558324',NULL,'sl-mlz-slc3-wgy'),('4643062987912965011','李建庆','15043486969',NULL,'sl-mlz-hjc5-wgy'),('4643062987912965040','刘广伟','15144457411',NULL,'sl-mlz-hjc6-wgy'),('4643062987912965066','鞠春江','13596612652',NULL,'sl-mlz-hjc7-wgy'),('4643062987912965092','尚昭辉','13630973068',NULL,'sl-mlz-hjc8-wgy'),('4643062987912965118','杨立军','13843469366',NULL,'sl-mlz-hjc9-wgy'),('4643062987912965144','赵长光','18744420050',NULL,'sl-mlz-xjc1-wgy'),('4643062987912965175','满金胜','13596698773',NULL,'sl-mlz-xjc2-wgy'),('4643062987912965201','周仕军','13943494593',NULL,'sl-mlz-xjc3-wgy'),('4643062987912965227','崔喜权','15144653866',NULL,'sl-mlz-xjc4-wgy'),('4643062987912965253','张贵','13630928591',NULL,'sl-mlz-xjc5-wgy'),('4643062987912965279','张庆忠','15844458048',NULL,'sl-mlz-xjc6-wgy'),('4643062987912965305','田振龙','15590400691',NULL,'sl-mlz-xjc7-wgy'),('4643062987912965331','侯万民','15500436226',NULL,'sl-mlz-xfc1-wgy'),('4643062987912965358','霍玉成','13278025865',NULL,'sl-mlz-xfc2-wgy'),('4643062987912965384','陈士华','13244069249',NULL,'sl-mlz-xfc3-wgy'),('4643062987912965410','侯多多','15774468090',NULL,'sl-mlz-xfc4-wgy'),('4643062987912965436','霍岩','13089288201',NULL,'sl-mlz-xfc5-wgy'),('4643062987912965462','王德平','18243445709',NULL,'sl-mlz-xfc6-wgy'),('4643062987912965488','闫朋旭','15043496455',NULL,'sl-mlz-xf1-wgy'),('4643062987912965516','王喜军','15886034990',NULL,'sl-mlz-xf2-wgy'),('4643062987912965542','董双武','13278134443',NULL,'sl-mlz-xf3-wgy'),('4643062987912965568','郝维权','15043487979',NULL,'sl-mlz-xf4-wgy'),('4643062987912965594','陈玉林','18456237809',NULL,'sl-mlz-xxc1-wgy'),('4643062987912965625','王振文','15981559884',NULL,'sl-mlz-xxc2-wgy'),('4643062987912965651','杨国栋','13844459434',NULL,'sl-mlz-xxc3-wgy'),('4643062987912965677','刘占君','15886045535',NULL,'sl-mlz-xxc4-wgy'),('4643062987912965703','孙连君','15568512680',NULL,'sl-mlz-xxc5-wgy'),('4643062987912965729','赵连成','15944455685',NULL,'sl-mlz-xxc6-wgy'),('4643062987912965755','周忠彦','17178846333',NULL,'sl-mlz-xxc7-wgy'),('4643062987912965781','刘占华','15944463084',NULL,'sl-mlz-xxc8-wgy'),('4643062987912965834','王奎权','13596691110',NULL,'sl-mlz-xmsq2-wgy'),('4643062987912965860','赵鹏超','15567237000',NULL,'sl-mlz-xmsq3-wgy'),('4643062987912965886','李洪','15500430286',NULL,'sl-mlz-xmsq4-wgy'),('4643062987912965912','徐艳杰','13224348839',NULL,'sl-mlz-xmsq5-wgy'),('4643062987912965938','王炳权','13844459156',NULL,'sl-mlz-yxc1-wgy'),('4643062987912965967','李青松','13154343266',NULL,'sl-mlz-yxc2-wgy'),('4643062987912965993','张册','13596659050',NULL,'sl-mlz-yxc3-wgy'),('4643062987912966019','王岩','13596611748',NULL,'sl-mlz-yxc4-wgy'),('4643062987912966045','武冬亮','13630974716',NULL,'sl-mlz-yxc5-wgy'),('4643062987912966071','潘玉文','18343465455',NULL,'sl-mlz-ylc1-wgy'),('4643062987912966101','李双','13596693912',NULL,'sl-mlz-ylc2-wgy'),('4643062987912966127','田宝杰','15043474316',NULL,'sl-mlz-ylc3-wgy'),('4643062987912966153','吴占才','13944432236',NULL,'sl-mlz-ylc4-wgy'),('4643062987912966179','李国祥','15568518208',NULL,'sl-mlz-ylc5-wgy'),('4643062987912966205','张凤臣','13843466994',NULL,'sl-mlz-ylc6-wgy'),('4643062987912966231','于德军','13244075648',NULL,'sl-mlz-ylc7-wgy'),('4643062987912966257','刘兵','13278131221',NULL,'sl-mlz-ylc8-wgy'),('4643062987912966283','曲德全','18743442940',NULL,'sl-mlz-ylc9-wgy'),('4643062987912966309','陈陆','13278027723',NULL,'sl-mlz-ylc10-wgy'),('4643062987912966335','李国辉','18629861758',NULL,'sl-mlz-zxc1-wgy'),('4643062987912966365','刘军','15844455303',NULL,'sl-mlz-zxc2-wgy'),('4643062987912966391','于振权','18743450064',NULL,'sl-mlz-zxc3-wgy'),('4643062987912966417','武长付','13224348523',NULL,'sl-mlz-zxc4-wgy'),('4643062987912966443','马万廷','13596698427',NULL,'sl-mlz-zxc5-wgy'),('4643062987912966469','刘井韦','15943479702',NULL,'sl-mlz-zxc6-wgy'),('4643062987912966495','龚春玉','13944432955',NULL,'sl-mlz-jbc1-wgy'),('4643062987912966521','杨庆双','13944432955',NULL,'sl-mlz-jbc2-wgy'),('4643062987912966547','崔小明','13944432955',NULL,'sl-mlz-jbc3-wgy'),('4643062987912966573','杨占军','13944432955',NULL,'sl-mlz-jbc4-wgy'),('4643062987912966939','卢志杰','13844452323',NULL,'sl-nmx-jbc1-wgy'),('4643062987912966970','杜建伟','13644447240',NULL,'sl-nmx-jbc2-wgy'),('4643062987912966996','王子鑫','13630924633',NULL,'sl-nmx-jbc3-wgy'),('4643062987912967022','徐海威','15886045519',NULL,'sl-nmx-jbc4-wgy'),('4643062987912967048','刘殿华','15144651002',NULL,'sl-nmx-jbc5-wgy'),('4643062987912967074','李晓华','13278023833',NULL,'sl-nmx-jbc6-wgy'),('4643062987912967100','翟晓旭','13630960955',NULL,'sl-nmx-jbc7-wgy'),('4643062987912967126','姚连欢','17899001143',NULL,'sl-nmx-jsc1-wgy'),('4643062987912967158','丁学','13894470104',NULL,'sl-nmx-jsc2-wgy'),('4643062987912967184','王志慧','13844430866',NULL,'sl-nmx-jsc3-wgy'),('4643062987912967210','张全','13843462570',NULL,'sl-nmx-jsc4-wgy'),('4643062987912967236','张福志','13630975077',NULL,'sl-nmx-jsc5-wgy'),('4643062987912967262','胡永富','15204459725',NULL,'sl-nmx-jsc6-wgy'),('4643062987912967288','董先武','15981557955',NULL,'sl-nmx-jsc7-wgy'),('4643062987912967314','姚光','15144452681',NULL,'sl-nmx-jsc8-wgy'),('4643062987912967340','王才','13944432043',NULL,'sl-nmx-scc1-wgy'),('4643062987912967368','毕晓辉','15943464546',NULL,'sl-nmx-scc2-wgy'),('4643062987912967394','王亮','15844444646',NULL,'sl-nmx-scc3-wgy'),('4643062987912967420','张志强','13843469885',NULL,'sl-nmx-scc4-wgy'),('4643062987912967446','李秀艳','13694022151',NULL,'sl-nmx-yjc1-wgy'),('4643062987912967479','赵贵福','13694022151',NULL,'sl-nmx-yjc2-wgy'),('4643062987912967505','王宇佳','15044456673',NULL,'sl-nmx-yjc3-wgy'),('4643062987912967531','刘宝山','13630970811',NULL,'sl-nmx-yjc4-wgy'),('4643062987912967557','孙文静','13630960019',NULL,'sl-nmx-yjc5-wgy'),('4643062987912967583','李吉','15886039957',NULL,'sl-nmx-yjc6-wgy'),('4643062987912967609','贺文江','15886032936',NULL,'sl-nmx-yjc7-wgy'),('4643062987912967635','裴伯刚','15144654999',NULL,'sl-nmx-yjc8-wgy'),('4643062987912967661','付桂林','17543436170',NULL,'sl-nmx-yjc9-wgy'),('4643062987912967687','田德宇','15609871245',NULL,'sl-nmx-qjc1-wgy'),('4643062987912967720','赵霞','13843462944',NULL,'sl-nmx-qjc2-wgy'),('4643062987912967746','杨建国','13843469783',NULL,'sl-nmx-qjc3-wgy'),('4643062987912967772','张永江','15043497916',NULL,'sl-nmx-qjc4-wgy'),('4643062987912967798','杨秀华','13630967167',NULL,'sl-nmx-qjc5-wgy'),('4643062987912967824','刘立伟','15143452344',NULL,'sl-nmx-qjc6-wgy'),('4643062987912967850','刘志刚','13614441507',NULL,'sl-nmx-qjc7-wgy'),('4643062987912967876','彭威','13630979393',NULL,'sl-nmx-qjc8-wgy'),('4643062987912967902','崔海杰','13620776011',NULL,'sl-nmx-qjc9-wgy'),('4643062987912967928','刘伟','13596692328',NULL,'sl-nmx-hlc1-wgy'),('4643062987912967962','闫学义','15144650123',NULL,'sl-nmx-hlc2-wgy'),('4643062987912967988','迟立福','18743455057',NULL,'sl-nmx-hlc3-wgy'),('4643062987912968014','贾立勇','18744422727',NULL,'sl-nmx-hlc4-wgy'),('4643062987912968040','赵殿波','13278065063',NULL,'sl-nmx-hlc5-wgy'),('4643062987912968066','姜振财','13843464832',NULL,'sl-nmx-hlc6-wgy'),('4643062987912968092','刘贺','13278068708',NULL,'sl-nmx-hlc7-wgy'),('4643062987912968118','胡德成','13630966072',NULL,'sl-nmx-hlc8-wgy'),('4643062987912968144','郭江华','13843462998',NULL,'sl-nmx-hlc9-wgy'),('4643062987912968170','宋国卿','15886026708',NULL,'sl-nmx-hlc10-wgy'),('4643062987912968196','田平','15943471345',NULL,'sl-nmx-bsc1-wgy'),('4643062987912968225','王井山','15886025638',NULL,'sl-nmx-bsc2-wgy'),('4643062987912968251','王景广','13630960186',NULL,'sl-nmx-bsc3-wgy'),('4643062987912968277','林振发','13596695379',NULL,'sl-nmx-bsc4-wgy'),('4643062987912968303','郭绍发','13630923162',NULL,'sl-nmx-bsc5-wgy'),('4643062987912968329','崔银娜','15943477570',NULL,'sl-nmx-nmc1-wgy'),('4643062987912968359','王明','15886035664',NULL,'sl-nmx-nmc2-wgy'),('4643062987912968385','王艳杰','15643461839',NULL,'sl-nmx-nmc3-wgy'),('4643062987912968411','刘柏庆','13596617135',NULL,'sl-nmx-nmc4-wgy'),('4643062987912968437','韩立国','13944433020',NULL,'sl-nmx-nmc5-wgy'),('4643062987912968463','张国臣','15981569677',NULL,'sl-nmx-nmc6-wgy'),('4643062987912968489','夏圆圆','13624347509',NULL,'sl-nmx-wlc1-wgy'),('4643062987912968517','刘立杰','15944469005',NULL,'sl-nmx-wlc2-wgy'),('4643062987912968543','蔡宇','17684712989',NULL,'sl-nmx-wlc3-wgy'),('4643062987912968569','佟友','13630977530',NULL,'sl-nmx-wlc4-wgy'),('4643062987912968595','王铁民','13844434333',NULL,'sl-nmx-jgc1-wgy'),('4643062987912968623','包青龙','15144457666',NULL,'sl-nmx-jgc2-wgy'),('4643062987912968649','褚来军','13843461356',NULL,'sl-nmx-jgc3-wgy'),('4643062987912968675','王冲','18343454449',NULL,'sl-nmx-jgc4-wgy'),('4643063022272706665','吴晓彪','13943490555',NULL,'sl-dmz-qxc1-wgy'),('4643063022272706694','刘玉海','13596611882',NULL,'sl-dmz-qxc2-wgy'),('4643063022272706720','王志丹','15981562661',NULL,'sl-dmz-qxc3-wgy'),('4643063022272706746','苗全','16504747850',NULL,'sl-dmz-qxc4-wgy'),('4643063022272706772','李文利','18243449016',NULL,'sl-dmz-qxc5-wgy'),('4643063022272706798','王玉光','15500159000',NULL,'sl-dmz-wjc1-wgy'),('4643063022272706826','刘福','15590417233',NULL,'sl-dmz-wjc2-wgy'),('4643063022272706852','谭忠','18543433382',NULL,'sl-dmz-wjc3-wgy'),('4643063022272706878','丁连海','13104349901',NULL,'sl-dmz-wjc4-wgy'),('4643063022272706904','徐景田','13844458426',NULL,'sl-dmz-hpc1-wgy'),('4643063022272706934','张继梅','15144650922',NULL,'sl-dmz-hpc2-wgy'),('4643063022272706961','魏保荣','15665933966',NULL,'sl-dmz-hpc3-wgy'),('4643063022272706987','李建鹏','15100158066',NULL,'sl-dmz-hpc4-wgy'),('4643063022272707013','王亚东','15981563322',NULL,'sl-dmz-hpc5-wgy'),('4643063022272707039','辛学伟','13596696877',NULL,'sl-dmz-gac1-wgy'),('4643063022272707067','李文友','13630971949',NULL,'sl-dmz-gac2-wgy'),('4643063022272707093','陈立影','18744424426',NULL,'sl-dmz-gac3-wgy'),('4643063022272707119','李杰','15886035659',NULL,'sl-dmz-gac4-wgy'),('4643063022272707145','王立军','15500158666',NULL,'sl-dmz-qksc1-wgy'),('4643063022272707172','任立强','13614447876',NULL,'sl-dmz-qksc2-wgy'),('4643063022272707198','田富财','18243453966',NULL,'sl-dmz-qksc3-wgy'),('4643063022272707224','李树山','13894438456',NULL,'sl-dmz-dmc1-wgy'),('4643063022272707253','杜志勇','15981557251',NULL,'sl-dmz-dmc2-wgy'),('4643063022272707279','马佰红','15500436711',NULL,'sl-dmz-dmc3-wgy'),('4643063022272707305','李玉生','15144458818',NULL,'sl-dmz-dmc4-wgy'),('4643063022272707331','牛国臣','15500436508',NULL,'sl-dmz-dmc5-wgy'),('4643063022272707357','宋秀华','15981552920',NULL,'sl-dmz-psc1-wgy'),('4643063022272707384','于岩文','17766801993',NULL,'sl-dmz-psc2-wgy'),('4643063022272707410','高华','18043416858',NULL,'sl-dmz-psc3-wgy'),('4643063022272707436','刘文雨','13943493120',NULL,'sl-dmz-wj1-wgy'),('4643063022272707464','张国奇','15500131206',NULL,'sl-dmz-wj2-wgy'),('4643063022272707490','孟德辉','13394344151',NULL,'sl-dmz-wj3-wgy'),('4643063022272707516','李亚波','15044455434',NULL,'sl-dmz-wj4-wgy'),('4643063022272707542','隋海明','18543416132',NULL,'sl-dmz-htpc1-wgy'),('4643063022272707568','杨晓龙','15844457062',NULL,'sl-dmz-htpc2-wgy'),('4643063022272707594','李长玉','15204450852',NULL,'sl-dmz-htpc3-wgy'),('4643063022272707620','宋军','15643461777',NULL,'sl-dmz-qtpc1-wgy'),('4643063022272707650','张国志','13944433108',NULL,'sl-dmz-qtpc2-wgy'),('4643063022272707676','刘凤军','15843499978',NULL,'sl-dmz-qtpc3-wgy'),('4643063022272707702','杨成宝','13630923510',NULL,'sl-dmz-qtpc4-wgy'),('4643063022272707728','郭景新','13596615700',NULL,'sl-dmz-qtpc5-wgy'),('4643063022272707754','辛冬英','13843463925',NULL,'sl-dmz-qtpc6-wgy'),('4643063022272707780','王海剑','13844435435',NULL,'sl-dmz-dsc1-wgy'),('4643063022272707809','王刚','15590212032',NULL,'sl-dmz-dsc2-wgy'),('4643063022272707835','王天明','13944432261',NULL,'sl-dmz-dsc3-wgy'),('4643063022272707861','刘小彪','15043471771',NULL,'sl-dmz-dsc4-wgy'),('4643063022272707887','刘婷婷','15886032162',NULL,'sl-dmz-dsc5-wgy'),('4643063022272707913','刘春阳','15144468656',NULL,'sl-dmz-ds1-wgy'),('4643063022272707944','刘长海','13694022819',NULL,'sl-dmz-ds2-wgy'),('4643063022272707970','李伟华','15144450588',NULL,'sl-dmz-ds3-wgy'),('4643063022272707997','徐文福','13694022819',NULL,'sl-dmz-ds4-wgy'),('4643063022272708023','梁福录','13224411507',NULL,'sl-dmz-ds5-wgy'),('4643063022272708049','程少文','15134453193',NULL,'sl-dmz-ds6-wgy'),('4643063022272708075','盖连武','13843469924',NULL,'sl-dmz-ds7-wgy'),('4643063022272708102','冯明彪','13278068679',NULL,'sl-dmz-tlc1-wgy'),('4643063022272708130','颜刚丽','18243450568',NULL,'sl-dmz-tlc2-wgy'),('4643063022272708156','陶永旭','13596693726',NULL,'sl-dmz-tlc3-wgy'),('4643063022272708182','赵洪武','13894436036',NULL,'sl-dmz-tlc4-wgy'),('4643063022272708208','廉超','13804477775',NULL,'sl-dmz-dmsq1-wgy'),('4643063022272708234','刘焕奇','15500432323',NULL,'sl-dmz-dmsq2-wgy'),('4643063056632439005','温建新','15354637989',NULL,'sl-ldjd-djsq2-wgy'),('4643063056632439161','魏弘扬','13596653896',NULL,'sl-ldjd-djsq8-wgy'),('4643063056632439187','王丹丹','13844452242',NULL,'sl-ldjd-djsq9-wgy'),('4643063056632439213','白云鹤','13894438002',NULL,'sl-ldjd-djsq10-wgy'),('4643063056632439298','赵慧鑫','18543415778',NULL,'sl-ldjd-fjsq2-wgy'),('4643063056632439350','吕哲','15774462229',NULL,'sl-ldjd-fjsq4-wgy'),('4643063056632439428','安省海','15134450005',NULL,'sl-ldjd-fjsq7-wgy'),('4643063056632439508','杜生','13943493359',NULL,'sl-ldjd-bssq3-wgy'),('4643063056632439534','冷雪松','15981550910',NULL,'sl-ldjd-bssq4-wgy'),('4643063056632439670','牛勇','13630975857',NULL,'sl-ldjd-jlsq4-wgy'),('4643063056632439696','刘岩','15568514448',NULL,'sl-ldjd-jlsq5-wgy'),('4643063056632439852','付秀华','15204450578',NULL,'sl-ldjd-scc4-wgy'),('4643063056632439956','谷楠','15886036060',NULL,'sl-ldjd-scc8-wgy'),('4643063056632439982','郝凤艳','18844455866',NULL,'sl-ldjd-scc9-wgy'),('4643063056632440008','孙德发','13904352745',NULL,'sl-ldjd-scc10-wgy'),('4643063056632441913','杨龙山','18643465590',NULL,'sl-ssz-ycc1-wgy'),('4643063056632441939','徐颖','13596696038',NULL,'sl-ssz-ycc2-wgy'),('4643063056632441965','刘立','18843455666',NULL,'sl-ssz-shc1-wgy'),('4643063056632441991','刘冬婷','13504747723',NULL,'sl-ssz-shc2-wgy'),('4643063056632442017','王天舒','13844435700',NULL,'sl-ssz-cfc1-wgy'),('4643063056632442045','俞晓辉','13321551288',NULL,'sl-ssz-cfc2-wgy'),('4643063056632442073','孙立军','13278133335',NULL,'sl-ssz-cfc3-wgy'),('4643063056632442101','尹百红','13843461224',NULL,'sl-ssz-cfc4-wgy'),('4643063056632442129','张玉军','15643461222',NULL,'sl-ssz-dlc1-wgy'),('4643063056632442155','韩博','13342297562',NULL,'sl-ssz-dlc2-wgy'),('4643063056632442181','王立新','15981566377',NULL,'sl-ssz-stc1-wgy'),('4643063056632442207','周福彬','18543418854',NULL,'sl-ssz-stc2-wgy'),('4643063056632442233','方勇','13278020999',NULL,'sl-ssz-chc1-wgy'),('4643063056632442259','张桂荣','18644849898',NULL,'sl-ssz-chc2-wgy'),('4643063056632442285','臧帅','15590408888',NULL,'sl-ssz-qmc1-wgy'),('4643063056632442311','李季','15043492921',NULL,'sl-ssz-qmc2-wgy'),('4643063056632442337','杨忠斌','18343468118',NULL,'sl-ssz-wksc1-wgy'),('4643063056632442363','程木生','13179181430',NULL,'sl-ssz-wksc2-wgy'),('4643063056632442389','周海燕','18943856000',NULL,'sl-ssz-djc1-wgy'),('4643063056632442415','孙小光','13596694321',NULL,'sl-ssz-djc2-wgy'),('4643063056632442441','徐建成','18744478899',NULL,'sl-ssz-hqc1-wgy'),('4643063056632442467','王命华','13614441818',NULL,'sl-ssz-hqc2-wgy'),('4643063056632442493','高有祥','15844455549',NULL,'sl-ssz-ylc1-wgy'),('4643063056632442519','肖红','15043486330',NULL,'sl-ssz-ylc2-wgy'),('4643063056632442545','李树军','15043488819',NULL,'sl-ssz-bdc1-wgy'),('4643063056632442575','邵军','13596612638',NULL,'sl-ssz-bdc2-wgy'),('4643063056632442605','吕长林','15981555973',NULL,'sl-ssz-bdc3-wgy'),('4643063056632442635','邹宗茂','15843494757',NULL,'sl-ssz-bdc4-wgy'),('4643063056632442665','宋文举','15886038855',NULL,'sl-ssz-bdc5-wgy'),('4643063056632442695','张宁','13844433755',NULL,'sl-ssz-bdc6-wgy'),('4643063056632442725','刘海哲','15643467078',NULL,'sl-ssz-xyc1-wgy'),('4643063056632442751','左长河','15204456883',NULL,'sl-ssz-xyc2-wgy'),('4643063056632442777','王连军','18243446688',NULL,'sl-ssz-blc1-wgy'),('4643063056632442803','李佳书','18243459567',NULL,'sl-ssz-blc2-wgy'),('4643063056632442829','王海龙','18744428887',NULL,'sl-ssz-xsc1-wgy'),('4643063056632442857','王铁明','15981559656',NULL,'sl-ssz-xsc2-wgy'),('4643063056632442885','赵学林','13504742789',NULL,'sl-ssz-xsc3-wgy'),('4643063056632442913','王野','13630973759',NULL,'sl-ssz-xsc4-wgy'),('4643063056632442941','胡宇','15134453888',NULL,'sl-ssz-lhc1-wgy'),('4643063056632442969','李志勇','13844451952',NULL,'sl-ssz-lhc2-wgy'),('4643063056632442997','肖玉先','13596650321',NULL,'sl-ssz-lhc3-wgy'),('4643063056632443025','李连宝','15584716669',NULL,'sl-ssz-lhc4-wgy'),('4643063056632443053','刘海洋','15981561605',NULL,'sl-ssz-xfc1-wgy'),('4643063056632443082','卫英男','13694029481',NULL,'sl-ssz-xfc2-wgy'),('4643063056632443111','姜有军','15981567458',NULL,'sl-ssz-xfc3-wgy'),('4643063056632443140','冯金光','15330669388',NULL,'sl-ssz-xfc4-wgy'),('4643063056632443169','王凤阳','13944485197',NULL,'sl-ssz-xfc5-wgy'),('4643063056632443198','肖海滨','13596658777',NULL,'sl-ssz-yjc1-wgy'),('4643063056632443225','肖海峰','13943491355',NULL,'sl-ssz-yjc2-wgy'),('4643063056632443252','张丽华','15981555816',NULL,'sl-ssz-yjc3-wgy'),('4643063056632443279','李明福','15886029099',NULL,'sl-ssz-ctc1-wgy'),('4643063056632443306','李雪娇','13258789488',NULL,'sl-ssz-ctc2-wgy'),('4643063056632443333','霍向辉','15144455604',NULL,'sl-ssz-ctc3-wgy'),('4643063056632443360','谭新','13596650666',NULL,'sl-ssz-zdc1-wgy'),('4643063056632443387','朱丽娇','18343468567',NULL,'sl-ssz-zdc2-wgy'),('4643063056632443414','赵青国','13944437718',NULL,'sl-ssz-zdc3-wgy'),('4643063056632443441','王金柱','13314342345',NULL,'sl-ssz-sblc1-wgy'),('4643063056632443467','肖玉红','18443458288',NULL,'sl-ssz-sblc2-wgy'),('4643063056632443493','邓国楠','13944432666',NULL,'sl-ssz-cmcc1-wgy'),('4643063056632443519','徐艳婷','15044451007',NULL,'sl-ssz-cmcc2-wgy'),('4643063056632443545','王秀娟','13596652283',NULL,'sl-ssz-rhsq1-wgy'),('4643063056632443574','王旭颖','13620776960',NULL,'sl-ssz-rhsq2-wgy'),('4643063056632443603','杜晋旭','13234341199',NULL,'sl-ssz-rhsq3-wgy'),('4643063056632443632','孙培培','15004428805',NULL,'sl-ssz-rhsq4-wgy'),('4643063056632443661','李扬','13654346311',NULL,'sl-ssz-rhsq5-wgy'),('4643063056632443690','张书语','13504352772',NULL,'sl-ssz-fgsq1-wgy'),('4643063056632443719','周占荣','13244082200',NULL,'sl-ssz-fgsq2-wgy'),('4643063056632443748','王修非','15665973997',NULL,'sl-ssz-fgsq3-wgy'),('4643063056632443777','李向书','13039022990',NULL,'sl-ssz-fgsq4-wgy'),('4643063056632443806','李佳','13694345000',NULL,'sl-ssz-fgsq5-wgy'),('4643063056632443835','李岩','13694029866',NULL,'sl-ssz-ytsq1-wgy'),('4643063056632443865','王石','15144452220',NULL,'sl-ssz-ytsq2-wgy'),('4643063056632443895','王平','13180979559',NULL,'sl-ssz-ytsq3-wgy'),('4643063056632443925','王海军','13364554566',NULL,'sl-ssz-ytsq4-wgy'),('4643063056632443955','崔华南','13244094677',NULL,'sl-ssz-ytsq5-wgy'),('4643063056632443985','闻伟','15943477655',NULL,'sl-ssz-lcbsq1-wgy'),('4643063056632444012','丁荣林','13234341321',NULL,'sl-ssz-lcbsq2-wgy'),('4643063056632444039','费丹阳','15204456952',NULL,'sl-ssz-lcbsq3-wgy'),('4643063056632444066','唐晓东','15590213618',NULL,'sl-ssz-ymsq1-wgy'),('4643063056632444095','徐东莹','18943850876',NULL,'sl-ssz-ymsq2-wgy'),('4643063056632444123','郭伟光','18543427185',NULL,'sl-ssz-ymsq3-wgy'),('4643063056632444151','王涛','13321436969',NULL,'sl-ssz-ymsq4-wgy'),('4643063056632444179','彭任飞','13596603666',NULL,'sl-ssz-dlssq1-wgy'),('4643063056632444205','王喆','15643417786',NULL,'sl-ssz-dlssq2-wgy'),('4643063056632444231','龙海义','15886029955',NULL,'sl-ssz-blsq1-wgy'),('4643063056632444259','顾博文','18243443345',NULL,'sl-ssz-blsq2-wgy'),('4643063056632444287','姚永哲','18304343488',NULL,'sl-ssz-blsq3-wgy'),('4643063056632444315','王志豪','18543461399',NULL,'sl-ssz-blsq4-wgy'),('4643063056632444343','李忠良','15568506566',NULL,'sl-ssz-lcsq1-wgy'),('4643063056632444372','田平','15590212158',NULL,'sl-ssz-lcsq2-wgy'),('4643063056632444401','曹爱红','19843457678',NULL,'sl-ssz-lcsq3-wgy'),('4643063056632444430','张福庆','18543423856',NULL,'sl-ssz-lcsq4-wgy'),('4643063056632444459','温春红','13179036366',NULL,'sl-ssz-lcsq5-wgy'),('4643063056632444514','陈伟','15143481456',NULL,'sl-ssz-basq2-wgy'),('4643063056632446655','宋立新','18343489499',NULL,'ls-slx-gjtcwh1-wgy'),('4643063056632446681','祝国军','15143465122',NULL,'ls-slx-gjtcwh2-wgy'),('4643063056632446707','王富','13843491093',NULL,'ls-slx-gjtcwh3-wgy'),('4643063056632446733','李凤义','13596622557',NULL,'ls-slx-gjtcwh4-wgy'),('4643063056632446759','王德利','15943437117',NULL,'ls-slx-gjtcwh5-wgy'),('4643063056632446785','肖春艳','15143422788',NULL,'ls-slx-gjtcwh6-wgy'),('4643063056632446811','张景成','13844489820',NULL,'ls-slx-gjtcwh7-wgy'),('4643063056632446837','田景彪','15943449508',NULL,'ls-slx-gjtcwh8-wgy'),('4643063056632446863','刘文','15944495800',NULL,'ls-slx-djpcwh1-wgy'),('4643063056632446889','云占义','15886060777',NULL,'ls-slx-djpcwh2-wgy'),('4643063056632446915','权继学','15665950822',NULL,'ls-slx-djpcwh3-wgy'),('4643063056632446941','许建忠','18744495120',NULL,'ls-slx-djpcwh4-wgy'),('4643063056632446967','李忠艳','18543452311',NULL,'ls-slx-djpcwh5-wgy'),('4643063090992177169','王洪伟','15584723100',NULL,'ls-slx-djpcwh6-wgy'),('4643063125351915544','尹辉','15044444393',NULL,'ls-slx-djpcwh7-wgy'),('4643063125351915570','梁成文','13596623198',NULL,'ls-slx-djpcwh8-wgy'),('4643063125351915596','代怀国','13843430298',NULL,'ls-slx-djpcwh9-wgy'),('4643063125351915622','孙海','15943445479',NULL,'ls-slx-djpcwh10-wgy'),('4643063125351915648','宋敏','15944455771',NULL,'ls-slx-djpcwh11-wgy'),('4643063125351915674','高德龙','15143429404',NULL,'ls-slx-nlhcwh1-wgy'),('4643063125351915700','郭文海','13654341364',NULL,'ls-slx-nlhcwh2-wgy'),('4643063125351915726','杨春文','15044488541',NULL,'ls-slx-nlhcwh3-wgy'),('4643063125351915752','张国民','15844481918',NULL,'ls-slx-nlhcwh4-wgy'),('4643063125351915778','张井祥','13630998213',NULL,'ls-slx-nlhcwh5-wgy'),('4643063125351915804','李广军','15500154987',NULL,'ls-slx-nlhcwh6-wgy'),('4643063125351915830','郭世武','16534349855',NULL,'ls-slx-nlhcwh7-wgy'),('4643063125351915856','崔永库','15143464400',NULL,'ls-slx-nlhcwh8-wgy'),('4643063125351915882','葛    文','13224349345',NULL,'ls-slx-xczcwh1-wgy'),('4643063125351915908','姜忠旭','15981686020',NULL,'ls-slx-xczcwh2-wgy'),('4643063125351915934','李清学','13504745321',NULL,'ls-slx-xczcwh3-wgy'),('4643063125351915960','刘福文','13180632988',NULL,'ls-slx-xczcwh4-wgy'),('4643063125351915986','李洪成','15044480348',NULL,'ls-slx-xczcwh5-wgy'),('4643063125351916012','王守林','15774429950',NULL,'ls-slx-xczcwh6-wgy'),('4643063125351916038','姜忠国','15004472692',NULL,'ls-slx-xczcwh7-wgy'),('4643063125351916064','赵殿喜','13844486365',NULL,'ls-slx-chfpcwh1-wgy'),('4643063125351916090','田晓丰','15840403111',NULL,'ls-slx-chfpcwh2-wgy'),('4643063125351916116','苏  微','15844442591',NULL,'ls-slx-chfpcwh3-wgy'),('4643063125351916142','迟长富','15204433300',NULL,'ls-slx-chfpcwh4-wgy'),('4643063125351916168','崔永成','18744434007',NULL,'ls-slx-chfpcwh5-wgy'),('4643063125351916194','夏国峰','13894480039',NULL,'ls-slx-chfpcwh6-wgy'),('4643063125351916220','郭财','13894470770',NULL,'ls-slx-chfpcwh7-wgy'),('4643063125351916246','孙淑风','13596648335',NULL,'ls-slx-chfpcwh8-wgy'),('4643063125351916272','杨  双','15144696598',NULL,'ls-slx-chfpcwh9-wgy'),('4643063125351916298','李建军','13504445286',NULL,'ls-slx-chfpcwh10-wgy'),('4643063125351916324','高益军','15204434168',NULL,'ls-slx-chfpcwh11-wgy'),('4643063125351916350','刘东','16688442935',NULL,'ls-slx-chfpcwh12-wgy'),('4643063125351916376','高凤柱','18766737529',NULL,'ls-slx-shcpcwh1-wgy'),('4643063125351916402','康文才','18643008643',NULL,'ls-slx-shcpcwh2-wgy'),('4643063125351916428','王金山','18844482288',NULL,'ls-slx-shcpcwh3-wgy'),('4643063125351916454','王江','13089289666',NULL,'ls-slx-shcpcwh4-wgy'),('4643063125351916480','肖仟伟','15134433068',NULL,'ls-slx-shcpcwh5-wgy'),('4643063125351916506','梁立国','15981595008',NULL,'ls-slx-shcpcwh6-wgy'),('4643063125351916532','张光顺','15843460553',NULL,'ls-slx-shcpcwh7-wgy'),('4643063125351916558','李  坤','13234341882',NULL,'ls-slx-shcpcwh8-wgy'),('4643063125351916584','张宪武','15204470633',NULL,'ls-slx-shcpcwh9-wgy'),('4643063125351916610','王  伟','15500426866',NULL,'ls-slx-shcpcwh10-wgy'),('4643063125351916636','马贵超','18844420941',NULL,'ls-slx-shcpcwh11-wgy'),('4643063125351916662','刘洪江','15943442160',NULL,'ls-slx-gjpcwh1-wgy'),('4643063125351916688','张学民','13664346190',NULL,'ls-slx-gjpcwh2-wgy'),('4643063125351916714','王忠山','13694341361',NULL,'ls-slx-gjpcwh3-wgy'),('4643063125351916740','蕫志仁','15134424522',NULL,'ls-slx-gjpcwh4-wgy'),('4643063125351916766','贾国田','13804475327',NULL,'ls-slx-gjpcwh5-wgy'),('4643063125351916792','曹国林','15004493215',NULL,'ls-slx-gjpcwh6-wgy'),('4643063125351916818','刘忠信','13596625738',NULL,'ls-slx-gjpcwh7-wgy'),('4643063125351916844','荣忠林','15843471233',NULL,'ls-slx-gjpcwh8-wgy'),('4643063125351916870','王传学','15585433000',NULL,'ls-slx-gjpcwh9-wgy'),('4643063125351916896','修纯友','15004458356',NULL,'ls-slx-gjpcwh10-wgy'),('4643063125351916922','李  富','15004444659',NULL,'ls-slx-shmzcwh1-wgy'),('4643063125351916948','褚海军','13844485543',NULL,'ls-slx-shmzcwh2-wgy'),('4643063125351916974','赵立东','13196287544',NULL,'ls-slx-shmzcwh3-wgy'),('4643063125351917000','赵海红','18743436442',NULL,'ls-slx-shmzcwh4-wgy'),('4643063125351917026','李宝田','13596620627',NULL,'ls-slx-shmzcwh5-wgy'),('4643063125351917052','张    彪','15204401678',NULL,'ls-slx-shmzcwh6-wgy'),('4643063125351917078','于    彦','15981582678',NULL,'ls-slx-shmzcwh7-wgy'),('4643063125351917104','马春民','15568588696',NULL,'ls-slx-shmzcwh8-wgy'),('4643063125351917130','刘兴和','13596671519',NULL,'ls-slx-shmzcwh9-wgy'),('4643063125351917156','盖宪伟','15981682220',NULL,'ls-slx-sjizcwh1-wgy'),('4643063125351917182','翟  君','18744432171',NULL,'ls-slx-sijzcwh2-wgy'),('4643063125351917208','徐会方','15944405700',NULL,'ls-slx-sijzcwh3-wgy'),('4643063125351917234','赵长远','15843474500',NULL,'ls-slx-sijzcwh4-wgy'),('4643063125351917260','盖玉影','15981590300',NULL,'ls-slx-sijzcwh5-wgy'),('4643063125351917286','李岩锋','13630997698',NULL,'ls-slx-sijzcwh6-wgy'),('4643063125351917312','卢春福','13630915454',NULL,'ls-slx-sijzcwh7-wgy'),('4643063125351917338','王海丰','13843499330',NULL,'ls-slx-sijzcwh8-wgy'),('4643063125351917364','于洪林','13654449195',NULL,'ls-slx-sijzcwh9-wgy'),('4643063125351917390','李文有','15584721933',NULL,'ls-slx-jjzcwh1-wgy'),('4643063125351917416','曹宏伟','15944455759',NULL,'ls-slx-jjzcwh2-wgy'),('4643063125351917442','吴霞','18643433622',NULL,'ls-slx-jjzcwh3-wgy'),('4643063125351917468','谷长富','15584757577',NULL,'ls-slx-jjzcwh4-wgy'),('4643063125351917494','王强','13596670775',NULL,'ls-slx-jjzcwh5-wgy'),('4643063125351917520','孙玉中','15590221456',NULL,'ls-slx-jjzcwh6-wgy'),('4643063125351917546','齐加财','13944488978',NULL,'ls-slx-sjzcwh1-wgy'),('4643063125351917572','张大伟','13154347111',NULL,'ls-slx-sjzcwh2-wgy'),('4643063125351917598','张光','13278532666',NULL,'ls-slx-sjzcwh3-wgy'),('4643063125351917624','王国军','15567223107',NULL,'ls-slx-sjzcwh4-wgy'),('4643063125351917650','王艳玲','13674400869',NULL,'ls-slx-sjzcwh5-wgy'),('4643063125351917676','龚井海','13630996060',NULL,'ls-slx-ywlcwh1-wgy'),('4643063125351917702','付良武','18343438285',NULL,'ls-slx-ywlcwh2-wgy'),('4643063125351917728','黄永森','13664345005',NULL,'ls-slx-ywlcwh3-wgy'),('4643063125351917754','苏海义','15886092665',NULL,'ls-slx-ywlcwh4-wgy'),('4643063125351917780','张双印','13644440797',NULL,'ls-slx-ywlcwh5-wgy'),('4643063297150612066','郭志刚','15886086679',NULL,'ls-sksx-skscwh1-wgy'),('4643063297150612092','孙广文','15944497861',NULL,'ls-sksx-skscwh2-wgy'),('4643063297150612118','孙国红','13944422678',NULL,'ls-sksx-skscwh3-wgy'),('4643063297150612144','陆生','15886088260',NULL,'ls-sksx-skscwh4-wgy'),('4643063297150612170','陈洪润','15044496532',NULL,'ls-sksx-skscwh5-wgy'),('4643063297150612196','王洪','13894450036',NULL,'ls-sksx-skscwh6-wgy'),('4643063297150612222','丁晓丰','15843479400',NULL,'ls-sksx-skscwh7-wgy'),('4643063297150612248','郑兴贵','13843474948',NULL,'ls-sksx-skscwh8-wgy'),('4643063297150612274','齐士奎','15944493868',NULL,'ls-sksx-skscwh9-wgy'),('4643063297150612300','钟兴库','13944482208',NULL,'ls-sksx-skscwh10-wgy'),('4643063297150612326','董海','13843498988',NULL,'ls-sksx-anjtcwh1-wgy'),('4643063297150612352','赵金文','15981688298',NULL,'ls-sksx-anjtcwh2-wgy'),('4643063297150612378','杨金明','15004473118',NULL,'ls-sksx-anjtcwh3-wgy'),('4643063297150612404','张国仁','13404644522',NULL,'ls-sksx-anjtcwh4-wgy'),('4643063297150612430','张志刚','15843478932',NULL,'ls-sksx-anjtcwh5-wgy'),('4643063297150612456','李宪文','15500173110',NULL,'ls-sksx-anjtcwh6-wgy'),('4643063297150612482','孙海燕','13844476086',NULL,'ls-sksx-anjtcwh7-wgy'),('4643063297150612508','荣术良','13596629559',NULL,'ls-sksx-anjtcwh8-wgy'),('4643063297150612534','张洪录','15143423020',NULL,'ls-sksx-anjtcwh9-wgy'),('4643063297150612560','伊宽','13614442117',NULL,'ls-sksx-tjmcwh1-wgy'),('4643063297150612586','潘明金','13630913133',NULL,'ls-sksx-tjmcwh2-wgy'),('4643063297150612612','吴忠华','15843416866',NULL,'ls-sksx-tjmcwh3-wgy'),('4643063297150612638','王宝民','13943317723',NULL,'ls-sksx-tjmcwh4-wgy'),('4643063297150612664','徐长仁','13844487502',NULL,'ls-sksx-tjmcwh5-wgy'),('4643063297150612690','班付国','13596623099',NULL,'ls-sksx-tjmcwh6-wgy'),('4643063297150612716','孟令月','13943313978',NULL,'ls-sksx-tjmcwh7-wgy'),('4643063297150612742','索宏伟','13404645000',NULL,'ls-sksx-xztcwh1-wgy'),('4643063297150612768','赵树学','18743496665',NULL,'ls-sksx-xztcwh2-wgy'),('4643063297150612794','谷永福','15004490309',NULL,'ls-sksx-xztcwh3-wgy'),('4643063297150612820','崔苹','15843473232',NULL,'ls-sksx-xztcwh4-wgy'),('4643063297150612846','朱长义','13943310550',NULL,'ls-sksx-xztcwh5-wgy'),('4643063297150612872','韩维武','15981682186',NULL,'ls-sksx-xztcwh6-wgy'),('4643063297150612898','吴小五','13844480708',NULL,'ls-sksx-xztcwh7-wgy'),('4643063297150612924','孟闯','18904449333',NULL,'ls-sksx-xztcwh8-wgy'),('4643063297150612950','姜贺','15844482545',NULL,'ls-sksx-xztcwh9-wgy'),('4643063297150612976','郭喜发','15944497280',NULL,'ls-sksx-qijzcwh1-wgy'),('4643063297150613002','孙守富','13894458900',NULL,'ls-sksx-qijzcwh2-wgy'),('4643063297150613028','张春和','15144633233',NULL,'ls-sksx-qijzcwh3-wgy'),('4643063297150613054','隋启先','13843473372',NULL,'ls-sksx-qijzcwh4-wgy'),('4643063297150613080','李国发','13596629330',NULL,'ls-sksx-qijzcwh5-wgy'),('4643063297150613106','李国生','15843473298',NULL,'ls-sksx-qijzcwh6-wgy'),('4643063297150613132','魏晓红','13843439979',NULL,'ls-sksx-qijzcwh7-wgy'),('4643063297150613158','赵国艳','13943314760',NULL,'ls-sksx-qijzcwh8-wgy'),('4643063297150613184','张福','15665948552',NULL,'ls-sksx-qijzcwh9-wgy'),('4643063297150613210','郑柏山','15004481148',NULL,'ls-sksx-qijzcwh10-wgy'),('4643063297150613236','张金丰','15886099969',NULL,'ls-sksx-qijzcwh11-wgy'),('4643063297150613262','王洪军','15043426866',NULL,'ls-sksx-lijqcwh1-wgy'),('4643063297150613288','杨君','15044494388',NULL,'ls-sksx-lijqcwh2-wgy'),('4643063297150613314','刘井文','13596609788',NULL,'ls-sksx-lijqcwh3-wgy'),('4643063297150613340','杨宝山','15944495008',NULL,'ls-sksx-lijqcwh4-wgy'),('4643063297150613366','李红继','15843411899',NULL,'ls-sksx-lijqcwh5-wgy'),('4643063297150613392','李兴龙','13844489808',NULL,'ls-sksx-lijqcwh6-wgy'),('4643063297150613418','刘云飞','13630911146',NULL,'ls-sksx-lijqcwh7-wgy'),('4643063297150613444','周彦','13630994436',NULL,'ls-sksx-lijqcwh8-wgy'),('4643063297150613470','唐学文','13596645889',NULL,'ls-sksx-hhjcwh1-wgy'),('4643063297150613496','刘国红','13630912420',NULL,'ls-sksx-hhjcwh2-wgy'),('4643063297150613522','刘海波','15567222797',NULL,'ls-sksx-hhjcwh3-wgy'),('4643063297150613548','张宝伍','15584723230',NULL,'ls-sksx-hhjcwh4-wgy'),('4643063297150613574','王臣','13068035253',NULL,'ls-sksx-hhjcwh5-wgy'),('4643063297150613600','李凤超','13596675211',NULL,'ls-sksx-hhjcwh6-wgy'),('4643063297150613626','李俊超','13894418789',NULL,'ls-sksx-hhjcwh7-wgy'),('4643063297150613652','韩庆哲','13944488336',NULL,'ls-sksx-hhjcwh8-wgy'),('4643063297150613678','刘文龙','13596670106',NULL,'ls-sksx-sikscwh1-wgy'),('4643063297150613704','赵长民','13630912240',NULL,'ls-sksx-sikscwh2-wgy'),('4643063297150613730','秦长江','13504745955',NULL,'ls-sksx-sikscwh3-wgy'),('4643063297150613756','徐明','18628777456',NULL,'ls-sksx-sikscwh4-wgy'),('4643063297150613782','卢佳鑫','15665941114',NULL,'ls-sksx-sikscwh5-wgy'),('4643063297150613808','张磊','13630999456',NULL,'ls-sksx-sikscwh6-wgy'),('4643063297150613834','丁连杰','13694398109',NULL,'ls-sksx-sikscwh7-wgy'),('4643063297150613860','张树德','15844482695',NULL,'ls-sksx-sikscwh8-wgy'),('4643063297150613886','巢立国','13604342434',NULL,'ls-sksx-fjjcwh1-wgy'),('4643063297150613912','付作兴','15844480091',NULL,'ls-sksx-fjjcwh2-wgy'),('4643063297150613938','李可心','13331553149',NULL,'ls-sksx-fjjcwh3-wgy'),('4643063297150613964','刘占学','15943456915',NULL,'ls-sksx-fjjcwh4-wgy'),('4643063297150613990','李桂琴','15844498510',NULL,'ls-sksx-fjjcwh5-wgy'),('4643063297150614016','刘欢','15568524444',NULL,'ls-sksx-fjjcwh6-wgy'),('4643063297150614042','刘乃侠','15204471866',NULL,'ls-sksx-fjjcwh7-wgy'),('4643063297150614068','王占宝','13894417032',NULL,'ls-sksx-fjjcwh8-wgy'),('4643063297150614094','刘纪红','15204476866',NULL,'ls-sksx-chspcwh1-wgy'),('4643063297150614120','于亮','15886089850',NULL,'ls-sksx-chspcwh2-wgy'),('4643063297150614146','李立','15886085951',NULL,'ls-sksx-chspcwh3-wgy'),('4643063297150614172','齐洪军','13596622516',NULL,'ls-sksx-chspcwh4-wgy'),('4643063297150614198','孔繁民','15844486623',NULL,'ls-sksx-chspcwh5-wgy'),('4643063297150614224','郭守成','15886099908',NULL,'ls-sksx-chspcwh6-wgy'),('4643063297150614250','李德胜','18844489128',NULL,'ls-sksx-chspcwh7-wgy'),('4643063297150614276','李艳明','15886085951',NULL,'ls-sksx-chspcwh8-wgy'),('4643063297150614302','高建','13404644472',NULL,'ls-sksx-shermjcwh1-wgy'),('4643063297150614328','王志华','13596677655',NULL,'ls-sksx-shermjcwh2-wgy'),('4643063297150614354','赵刚','15944495955',NULL,'ls-sksx-shermjcwh3-wgy'),('4643063297150614380','张庆红','15944458621',NULL,'ls-sksx-shermjcwh4-wgy'),('4643063297150614406','陈玉仲','13894488085',NULL,'ls-sksx-shermjcwh5-wgy'),('4643063297150614432','申先德','13844488182',NULL,'ls-sksx-shermjcwh6-wgy'),('4643063297150614458','陈占才','15886080105',NULL,'ls-sksx-shermjcwh7-wgy'),('4643063297150614484','徐春来','13894415234',NULL,'ls-sksx-shermjcwh8-wgy'),('4643063297150614510','王金国','13654449638',NULL,'ls-sksx-shermjcwh9-wgy'),('4643063297150614536','彭小明','13843494911',NULL,'ls-sksx-wjqcwh1-wgy'),('4643063297150614562','汪孟兴','15944493904',NULL,'ls-sksx-wjqcwh2-wgy'),('4643063297150614588','姚德宽','15944458325',NULL,'ls-sksx-wjqcwh3-wgy'),('4643063297150614614','崔中良','13843490282',NULL,'ls-sksx-wjqcwh4-wgy'),('4643063297150614640','崔月先','13844485661',NULL,'ls-sksx-wjqcwh5-wgy'),('4643063297150614666','杨有','13630915055',NULL,'ls-sksx-wjqcwh6-wgy'),('4643063297150614692','李金香','15004453186',NULL,'ls-sksx-wjqcwh7-wgy'),('4643063297150614718','冯涛','13943317332',NULL,'ls-sksx-wjqcwh8-wgy'),('4643063365870087504','李景伍','15943438714',NULL,'ls-bs-fjcwh1-wgy'),('4643063365870087530','陈涛','13844478822',NULL,'ls-bs-fjcwh2-wgy'),('4643063365870087556','裴立国','18343433939',NULL,'ls-bs-fjcwh3-wgy'),('4643063365870087582','邓守亮','15567222199',NULL,'ls-bs-fjcwh4-wgy'),('4643063365870087608','王红艳','15004454401',NULL,'ls-bs-fjcwh5-wgy'),('4643063365870087634','高云江','15568523252',NULL,'ls-bs-fjcwh6-wgy'),('4643063365870087660','王岩','13894453282',NULL,'ls-bs-fjcwh7-wgy'),('4643063365870087686','于春海','13664346323',NULL,'ls-bs-fjcwh8-wgy'),('4643063365870087712','陈宝山','15944451419',NULL,'ls-bs-fjcwh9-wgy'),('4643063365870087738','王方喜','15944455386',NULL,'ls-bs-fjcwh10-wgy'),('4643063365870087764','刘占才','15044482281',NULL,'ls-bs-fjcwh11-wgy'),('4643063365870087790','李桂玲','13596671150',NULL,'ls-bs-fjcwh12-wgy'),('4643063365870087816','李本刚','13664347190',NULL,'ls-bs-fjcwh13-wgy'),('4643063365870087842','赵贵','13244240004',NULL,'ls-bs-bjcwh1-wgy'),('4643063365870087868','贺青山','13069029295',NULL,'ls-bs-bjcwh2-wgy'),('4643063365870087894','王立海','18504445017',NULL,'ls-bs-bjcwh3-wgy'),('4643063365870087920','王宝忠','13278095640',NULL,'ls-bs-bjcwh4-wgy'),('4643063365870087946','刘玉仁','15774428688',NULL,'ls-bs-bjcwh5-wgy'),('4643063365870087972','石伟','13224442860',NULL,'ls-bs-bjcwh6-wgy'),('4643063365870087998','司国生','13214448808',NULL,'ls-bs-bjcwh7-wgy'),('4643063365870088024','毕焕军','15590478583',NULL,'ls-bs-bjcwh8-wgy'),('4643063365870088050','许长春','15834448986',NULL,'ls-bs-bjcwh9-wgy'),('4643063365870088076','姜守强','13943315228',NULL,'ls-bs-lstcwh1-wgy'),('4643063365870088102','唐忠文','15943450586',NULL,'ls-bs-lstcwh2-wgy'),('4643063365870088128','任林','13944485754',NULL,'ls-bs-lstcwh3-wgy'),('4643063365870088154','白明远','15944493070',NULL,'ls-bs-lstcwh4-wgy'),('4643063365870088180','王磊','13894413222',NULL,'ls-bs-lstcwh5-wgy'),('4643063365870088206','谢海东','18844484424',NULL,'ls-bs-lstcwh6-wgy'),('4643063365870088232','周玉臣','15568505908',NULL,'ls-bs-lstcwh7-wgy'),('4643063365870088258','董国海','13894483695',NULL,'ls-bs-lstcwh8-wgy'),('4643063365870088284','刘海波','15004459004',NULL,'ls-bs-ljwpcwh1-wgy'),('4643063365870088310','付海波','16624441422',NULL,'ls-bs-ljwpcwh2-wgy'),('4643063365870088336','孙长江','15643447259',NULL,'ls-bs-ljwpcwh3-wgy'),('4643063365870088362','李树申','13278003514',NULL,'ls-bs-ljwpcwh4-wgy'),('4643063365870088388','李光林','13504349595',NULL,'ls-bs-ljwpcwh5-wgy'),('4643063365870088414','权仁春','15944495502',NULL,'ls-bs-ljwpcwh6-wgy'),('4643063365870088440','马长和','13009033805',NULL,'ls-bs-dqycwh1-wgy'),('4643063365870088466','曲宪 有','13630990862',NULL,'ls-bs-dqycwh2-wgy'),('4643063365870088492','李海军','15943432071',NULL,'ls-bs-dqycwh3-wgy'),('4643063365870088518','姜国栋','15904344536',NULL,'ls-bs-dqycwh4-wgy'),('4643063365870088544','马春彬','13664349971',NULL,'ls-bs-dqycwh5-wgy'),('4643063365870088570','郑辉','13630915630',NULL,'ls-bs-dqycwh6-wgy'),('4643063365870088596','郑利','18744491237',NULL,'ls-bs-dqycwh7-wgy'),('4643063365870088622','王江','13664348264',NULL,'ls-bs-dqycwh8-wgy'),('4643063365870088648','王力','18643004770',NULL,'ls-bs-dqycwh9-wgy'),('4643063365870088674','王宏','13630993700',NULL,'ls-bs-dqycwh10-wgy'),('4643063365870088700','崔大庆','13630918900',NULL,'ls-bs-dqycwh11-wgy'),('4643063365870088726','张立闯','13180632065',NULL,'ls-bs-shecwh1-wgy'),('4643063365870088752','杨彬','15886082199',NULL,'ls-bs-shecwh2-wgy'),('4643063365870088778','郭健','13224495677',NULL,'ls-bs-shecwh3-wgy'),('4643063365870088804','姜国志','16688442787',NULL,'ls-bs-shecwh4-wgy'),('4643063365870088830','董春波','13694341533',NULL,'ls-bs-shecwh5-wgy'),('4643063365870088856','郜艳春','15981582567',NULL,'ls-bs-shecwh6-wgy'),('4643063365870088882','郜万财','17304345233',NULL,'ls-bs-shecwh7-wgy'),('4643063365870088908','王群','15134419345',NULL,'ls-bs-shecwh8-wgy'),('4643063365870088934','岳利君','15643448676',NULL,'ls-bs-xibshcwh1-wgy'),('4643063365870088960','郝洪斌','13258716248',NULL,'ls-bs-xibshcwh2-wgy'),('4643063365870088986','张志明','15643441990',NULL,'ls-bs-xibshcwh3-wgy'),('4643063365870089012','李作东','13244445240',NULL,'ls-bs-xibshcwh4-wgy'),('4643063365870089038','徐丽英','15194698596',NULL,'ls-bs-xibshcwh5-wgy'),('4643063365870089064','刘小庆','13694391908',NULL,'ls-bs-xibshcwh6-wgy'),('4643063365870089090','张国军','15144436160',NULL,'ls-bs-shjpcwh1-wgy'),('4643063365870089116','赵富文','15590234856',NULL,'ls-bs-shjpcwh2-wgy'),('4643063365870089142','姜俊','18629815006',NULL,'ls-bs-shjpcwh3-wgy'),('4643063365870089168','刘国志','13843412236',NULL,'ls-bs-shjpcwh4-wgy'),('4643063365870089194','魏立勇','13843473516',NULL,'ls-bs-shjpcwh5-wgy'),('4643063365870089220','尹景斌','18844426456',NULL,'ls-bs-shjpcwh6-wgy'),('4643063365870089246','张桂树','13244083000',NULL,'ls-bs-suijcwh1-wgy'),('4643063365870089272','赵福双','13244440027',NULL,'ls-bs-suijcwh2-wgy'),('4643063365870089298','李景春','15981590552',NULL,'ls-bs-suijcwh3-wgy'),('4643063365870089324','姜洪军','13596641477',NULL,'ls-bs-suijcwh4-wgy'),('4643063365870089350','穆学伟','13943314399',NULL,'ls-bs-suijcwh5-wgy'),('4643063365870089376','徐景新','15774422336',NULL,'ls-bs-suijcwh6-wgy'),('4643063365870089402','郑广和','15144491110',NULL,'ls-bs-suijcwh7-wgy'),('4643063365870089428','孙立涛','13596629895',NULL,'ls-bs-suijcwh8-wgy'),('4643063365870089454','李健成','15143465195',NULL,'ls-bs-zhejcwh1-wgy'),('4643063365870089480','胡明林','15981687566',NULL,'ls-bs-zhejcwh2-wgy'),('4643063365870089506','王宝贵','13843494200',NULL,'ls-bs-zhejcwh3-wgy'),('4643063365870089532','刘野平','15844485758',NULL,'ls-bs-zhejcwh4-wgy'),('4643063365870089558','张启','18943848400',NULL,'ls-bs-zhejcwh5-wgy'),('4643063365870089584','张国良','13844477606',NULL,'ls-bs-zhejcwh6-wgy'),('4643063365870089610','贾振涛','15590221119',NULL,'ls-bs-zhejcwh7-wgy'),('4643063365870089636','韩立新','13694391933',NULL,'ls-bs-zhejcwh8-wgy'),('4643063365870089662','张健','15886089990',NULL,'ls-bs-zhejcwh9-wgy'),('4643063365870089688','王安文','15843486959',NULL,'ls-bs-dongfcwh1-wgy'),('4643063365870089714','王树辉','15043412890',NULL,'ls-bs-dongfcwh2-wgy'),('4643063365870089740','杨世荣','13818877111',NULL,'ls-bs-dongfcwh3-wgy'),('4643063365870089766','乔贵福','18943849113',NULL,'ls-bs-dongfcwh4-wgy'),('4643063365870089792','冯玉江','13904355153',NULL,'ls-bs-dongfcwh5-wgy'),('4643063365870089818','郭文学','13844476168',NULL,'ls-bs-dongfcwh6-wgy'),('4643063365870089844','张连生','15843464984',NULL,'ls-bs-dongfcwh7-wgy'),('4643063365870089870','于国志','15844496155',NULL,'ls-bs-dongfcwh8-wgy'),('4643063365870089896','李春山','15643449703',NULL,'ls-bs-dongfcwh9-wgy'),('4643063365870089922','钱国祥','13674409937',NULL,'ls-bs-dongfcwh10-wgy'),('4643063365870089948','王文学','13630990132',NULL,'ls-bs-dongfcwh11-wgy'),('4643063365870089974','席龙','15004430000',NULL,'ls-bs-youycwh1-wgy'),('4643063365870090000','徐文','15843466360',NULL,'ls-bs-youycwh2-wgy'),('4643063365870090026','张春英','13943311714',NULL,'ls-bs-youycwh3-wgy'),('4643063365870090052','杨国辉','13944487207',NULL,'ls-bs-youycwh4-wgy'),('4643063365870090078','刘汉风','15844492185',NULL,'ls-bs-youycwh5-wgy'),('4643063365870090104','刘景龙','13596626939',NULL,'ls-bs-youycwh6-wgy'),('4643063365870090130','徐国海','15044487681',NULL,'ls-bs-youycwh7-wgy'),('4643063365870090156','高洪生','13596624658',NULL,'ls-bs-youycwh8-wgy'),('4643063365870090182','左振刚','15981684519',NULL,'ls-bs-youycwh9-wgy'),('4643063365870090208','徐贵','13596649082',NULL,'ls-bs-youycwh10-wgy'),('4643063365870090234','左铁义','15665969009',NULL,'ls-bs-youycwh11-wgy'),('4643063365870090260','贾永岐','13894489763',NULL,'ls-bs-youycwh12-wgy'),('4643063365870090286','柴玉库','13844479029',NULL,'ls-bs-youycwh13-wgy'),('4643063365870090312','李洪君','13844470685',NULL,'ls-bs-youycwh14-wgy'),('4643063365870090338','汤旺','18843493500',NULL,'ls-bs-pshcwh1-wgy'),('4643063365870090364','范喜红','15044486551',NULL,'ls-bs-pshcwh2-wgy'),('4643063365870090390','何金库','13089222294',NULL,'ls-bs-pshcwh3-wgy'),('4643063365870090416','陈彦辉','15886086840',NULL,'ls-bs-pshcwh4-wgy'),('4643063365870090442','倪平原','13504745658',NULL,'ls-bs-pshcwh5-wgy'),('4643063365870090468','李彦丰','13894480142',NULL,'ls-bs-pshcwh6-wgy'),('4643063365870090494','宋长海','15504430160',NULL,'ls-bs-pshcwh7-wgy'),('4643063365870090520','陈军','15144491658',NULL,'ls-bs-pshcwh8-wgy'),('4643063365870090546','车明','15144638359',NULL,'ls-bs-pshcwh9-wgy'),('4643063400229824372','赵宝昌','18543415682',NULL,'sl-fxz-fxc1-wgy'),('4643063400229824398','姜海迪','18543416039',NULL,'sl-fxz-sxc1-wgy'),('4643063400229824427','陈文广','13234345496',NULL,'sl-fxz-qjc1-wgy'),('4643063400229824455','张冠军','17543416042',NULL,'sl-fxz-alc1-wgy'),('4643063400229824484','宋春峰','18543416035',NULL,'sl-fxz-wyc1-wgy'),('4643063400229824513','马强','18543416045',NULL,'sl-fxz-txc1-wgy'),('4643063400229824542','吴晓旭','18543416053',NULL,'sl-fxz-thc1-wgy'),('4643063400229824569','张立彬','18543416041',NULL,'sl-fxz-slc1-wgy'),('4643063400229824598','孔祥军','18543415680',NULL,'sl-fxz-xdc1-wgy'),('4643063400229824626','赵殿林','18543415681',NULL,'sl-fxz-hzc1-wgy'),('4643063400229824654','项立军','18543416836',NULL,'sl-fxz-lxc1-wgy'),('4643063400229824682','孙立军','18543416831',NULL,'sl-fxz-nkc1-wgy'),('4643063400229824709','于永卓','18543417016',NULL,'sl-fxz-jjc1-wgy'),('4643063400229824736','王广天','18543416835',NULL,'sl-fxz-shc1-wgy'),('4643063400229824763','徐野','15143453773',NULL,'sl-fxz-xyc1-wgy'),('4643063572028530590','郑敏娜','15134411286',NULL,'tx-zqjd-zqsq2-wgy'),('4643063572028530616','霍红艳','15143407488',NULL,'tx-zqjd-zqsq3-wgy'),('4643063572028530642','王丽辉','13294349991',NULL,'tx-zqjd-zqsq4-wgy'),('4643063572028530668','李   英','18504448366',NULL,'tx-zqjd-zqsq5-wgy'),('4643063606388260870','蒋丹','13351586698',NULL,'tx-zqjd-zqsq6-wgy'),('4643063606388260896','常思雨','13179182228',NULL,'tx-zqjd-zqsq7-wgy'),('4643063606388260922','张禹','13069222773',NULL,'tx-zqjd-blsq1-wgy'),('4643063606388260949','田玉玲','17767851800',NULL,'tx-zqjd-blsq2-wgy'),('4643063606388260976','于爱平','13844405559',NULL,'tx-zqjd-blsq3-wgy'),('4643063606388261004','李莹莹','17804346980',NULL,'tx-zqjd-blsq4-wgy'),('4643063606388261031','徐立辉','13596602636',NULL,'tx-zqjd-blsq5-wgy'),('4643063606388261059','张哲','18704342987',NULL,'tx-zqjd-blsq6-wgy'),('4643063606388261086','李旭','15834421333',NULL,'tx-zqjd-blsq7-wgy'),('4643063606388261113','张雷','15144660220',NULL,'tx-zqjd-blsq8-wgy'),('4643063606388261140','石丹丹','13943479559',NULL,'tx-zqjd-blsq9-wgy'),('4643063606388261167','宗志强','13504733997',NULL,'tx-zqjd-blsq10-wgy'),('4643063606388261194','刘佳','13689737776',NULL,'tx-zqjd-blsq11-wgy'),('4643063606388261221','王新宇','13844418892',NULL,'tx-zqjd-xtsq-wgy'),('4643063606388261249','许鸽','18643006868',NULL,'tx-zqjd-blsq13-wgy'),('4643063606388261277','高璐璐','18629881717',NULL,'tx-zqjd-xlsq1-wgy'),('4643063606388261307','郭庭文','18844139867',NULL,'tx-zqjd-xlsq2-wgy'),('4643063606388261333','吴皓','13844444347',NULL,'tx-zqjd-xlsq3-wgy'),('4643063606388261359','董玉华','13943469876',NULL,'tx-zqjd-xlsq4-wgy'),('4643063606388261385','张莹光','18604342123',NULL,'tx-zqjd-xlsq5-wgy'),('4643063606388261411','王海滨','15981510366',NULL,'tx-zqjd-xlsq6-wgy'),('4643063606388261437','钟绍华','13694440013',NULL,'tx-zqjd-xlsq7-wgy'),('4643063606388261463','李晓晓','13258795655',NULL,'tx-zqjd-xlsq8-wgy'),('4643063675107736944','孙立志','13843443951',NULL,'ls-kpjd-fhsq1-wgy'),('4643063675107736970','刘安祺','13674401137',NULL,'ls-kpjd-fhsq2-wgy'),('4643063675107736996','经晓彪','13214441632',NULL,'ls-kpjd-fhsq3-wgy'),('4643063675107737022','李冰','15500116912',NULL,'ls-kpjd-fhsq4-wgy'),('4643063675107737048','崔杰','15500116926',NULL,'ls-kpjd-fhsq5-wgy'),('4643063675107737074','赵爽','15844499637',NULL,'ls-kpjd-fhsq6-wgy'),('4643063675107737100','李亚男','13894484612',NULL,'ls-kpjd-fhsq7-wgy'),('4643063675107737126','王影','13394342000',NULL,'ls-kpjd-fhsq8-wgy'),('4643063675107737152','王波','13664349444',NULL,'ls-kpjd-fhsq9-wgy'),('4643063675107737178','王迎群','18743436322',NULL,'ls-kpjd-fhsq10-wgy'),('4643063675107737204','宋庄','18243495569',NULL,'ls-kpjd-fhsq11-wgy'),('4643063675107737230','梅雨','18643455927',NULL,'ls-kpjd-fhsq12-wgy'),('4643063675107737256','任晓丽','16643439383',NULL,'ls-kpjd-fhsq13-wgy'),('4643063675107737282','于波','13630745670',NULL,'ls-kpjd-fhsq14-wgy'),('4643063675107737308','宁富','18744496213',NULL,'ls-kpjd-fhsq15-wgy'),('4643063675107737334','孙丽爽','13134347247',NULL,'ls-kpjd-fhsq16-wgy'),('4643063675107737360','倪秀敏','15144637677',NULL,'ls-kpjd-fhsq17-wgy'),('4643063675107737386','金秀英','13089282262',NULL,'ls-kpjd-fpsq1-wgy'),('4643063675107737412','王杰华','15596229899',NULL,'ls-kpjd-fpsq2-wgy'),('4643063675107737438','崔淑芹','15596222520',NULL,'ls-kpjd-fpsq3-wgy'),('4643063675107737464','杨晓秋','13278122001',NULL,'ls-kpjd-fpsq4-wgy'),('4643063675107737490','刘淑芹','15886088926',NULL,'ls-kpjd-fpsq5-wgy'),('4643063675107737516','张玉荣','15584731687',NULL,'ls-kpjd-fpsq6-wgy'),('4643063675107737542','王明然','15004495633',NULL,'ls-kpjd-fpsq7-wgy'),('4643063675107737568','袁静','13804475669',NULL,'ls-kpjd-fpsq8-wgy'),('4643063675107737595','方福才','15844498494',NULL,'ls-kpjd-balmcwh1-wgy'),('4643063709467467797','刘井库','18343483388',NULL,'ls-kpjd-balmcwh2-wgy'),('4643063709467467823','王晓雷','13674405277',NULL,'ls-kpjd-balmcwh3-wgy'),('4643063709467467849','赵喜国','13843472168',NULL,'ls-kpjd-balmcwh4-wgy'),('4643063709467467875','徐建勇','15943442086',NULL,'ls-kpjd-balmcwh5-wgy'),('4643063709467467901','刘淑梅','15004487617',NULL,'ls-kpjd-balmcwh6-wgy'),('4643063709467467927','冯大勇','13674409005',NULL,'ls-kpjd-balmcwh7-wgy'),('4643063709467467953','魏玉刚','13404601760',NULL,'ls-kpjd-balmcwh8-wgy'),('4643063709467467979','梁喜中','15943433361',NULL,'ls-kpjd-balmcwh9-wgy'),('4643063709467468005','邢跃红','15584724477',NULL,'ls-kpjd-balmcwh10-wgy'),('4643063709467468031','王志贵','13843473658',NULL,'ls-kpjd-balmcwh11-wgy'),('4643063709467468057','韩闯','15204405567',NULL,'ls-kpjd-balmcwh12-wgy'),('4643063709467468083','高金祥','15943441125',NULL,'ls-kpjd-balmcwh13-wgy'),('4643063709467468109','白春海','13654449644',NULL,'ls-kpjd-balmcwh14-wgy'),('4643063709467468135','张明友','15886074441',NULL,'ls-kpjd-balmcwh15-wgy'),('4643063778186955412','李宏亮','15144618889',NULL,'tx-pxx-zfc1-wgy'),('4643063778186955441','邱金良','15143400903',NULL,'tx-pxx-hzc1-wgy'),('4643063778186955475','邵帅','13689733344',NULL,'tx-pxx-tzhc1-wgy'),('4643063778186955505','董国庆','13404347879',NULL,'tx-pxx-qgc1-wgy'),('4643063778186955539','常兴','15714444004',NULL,'tx-pxx-xfc1-wgy'),('4643063778186955574','王立军','13596608977',NULL,'tx-pxx-tpgc1-wgy'),('4643063778186955609','郑丹彤','15004340319',NULL,'tx-pxx-shc1-wgy'),('4643063778186955641','周英','13504736789',NULL,'tx-pxx-hfc1-wgy'),('4643063778186955669','米坚','13944441004',NULL,'tx-pxx-qyc1-wgy'),('4643063778186955701','谷强','13944443377',NULL,'tx-pxx-sdlc1-wgy'),('4643063778186955732','孟祥迪','13894408484',NULL,'tx-pxx-jfc1-wgy'),('4643063778186955772','岳宝伟','13894488475',NULL,'tx-pxx-jjfc1-wgy'),('4643063778186955802','王亚宾','15774423968',NULL,'tx-pxx-tszc1-wgy'),('4643063778186955830','郝佳','18643459789',NULL,'tx-pxx-rjc1-wgy'),('4643063881266165357','柏春刚','13944481766',NULL,'ls-shx-fjtcwh1-wgy'),('4643063881266165383','候井权','15943453477',NULL,'ls-shx-fjtcwh2-wgy'),('4643063881266165409','高玉权','18843418456',NULL,'ls-shx-fjtcwh3-wgy'),('4643063881266165435','冯海涛','13944473311',NULL,'ls-shx-fjtcwh4-wgy'),('4643063881266165461','徐万军','15044494979',NULL,'ls-shx-fjtcwh5-wgy'),('4643063881266165487','张春艳','15943454988',NULL,'ls-shx-fjtcwh6-wgy'),('4643063881266165513','单德凯','15843488234',NULL,'ls-shx-fjtcwh7-wgy'),('4643063881266165539','程士坤','13694394407',NULL,'ls-shx-ydhcwh1-wgy'),('4643063881266165565','李凤伍','13844485790',NULL,'ls-shx-ydhcwh2-wgy'),('4643063881266165591','刘莫若','15143460604',NULL,'ls-shx-ydhcwh3-wgy'),('4643063881266165617','冷敬东','18843490233',NULL,'ls-shx-ydhcwh4-wgy'),('4643063881266165643','吕树有','13843490852',NULL,'ls-shx-ydhcwh5-wgy'),('4643063881266165669','宫士杰','15843474855',NULL,'ls-shx-ydhcwh6-wgy'),('4643063881266165695','唐志学','13596638002',NULL,'ls-shx-ydhcwh7-wgy'),('4643063881266165721','陈庆有','15044488382',NULL,'ls-shx-pancwh1-wgy'),('4643063881266165747','陈庆红','15004495022',NULL,'ls-shx-pancwh2-wgy'),('4643063881266165773','刘波','15144697322',NULL,'ls-shx-pancwh3-wgy'),('4643063881266165799','张有利','15943453486',NULL,'ls-shx-pancwh4-wgy'),('4643063881266165825','崔殿明','13294343766',NULL,'ls-shx-pancwh5-wgy'),('4643063881266165851','陈孝','15144431308',NULL,'ls-shx-pancwh6-wgy'),('4643063881266165877','刘万有','15590463262',NULL,'ls-shx-ljtcwh1-wgy'),('4643063881266165903','关志娟','15144491616',NULL,'ls-shx-ljtcwh2-wgy'),('4643063881266165929','郝应伍','13843470188',NULL,'ls-shx-ljtcwh3-wgy'),('4643063881266165955','冯有','13844477466',NULL,'ls-shx-ljtcwh4-wgy'),('4643063881266166024','王国轮','15981597554',NULL,'ls-shx-ljtcwh5-wgy'),('4643063881266166050','张希成','15886088907',NULL,'ls-shx-ljtcwh6-wgy'),('4643063881266166076','霍永亮','13943312705',NULL,'ls-shx-chedwpcwh1-wgy'),('4643063881266166102','杨荣华','18343481481',NULL,'ls-shx-chedwpcwh2-wgy'),('4643063881266166129','胡家喜','13596629707',NULL,'ls-shx-chedwpcwh3-wgy'),('4643063881266166155','李长侠','15500171077',NULL,'ls-shx-chedwpcwh4-wgy'),('4643063881266166181','刘志国','13894453252',NULL,'ls-shx-chedwpcwh5-wgy'),('4643063881266166207','姚晶','13596641712',NULL,'ls-shx-chedwpcwh6-wgy'),('4643063881266166233','杨秀清','15981595406',NULL,'ls-shx-chedwpcwh7-wgy'),('4643063881266166259','张芳','15143428517',NULL,'ls-shx-chedwpcwh8-wgy'),('4643063881266166285','周双','13278128441',NULL,'ls-shx-ljlcwh1-wgy'),('4643063881266166311','赵文发','15843477214',NULL,'ls-shx-ljlcwh2-wgy'),('4643063881266166337','倪德江','13843479381',NULL,'ls-shx-ljlcwh3-wgy'),('4643063881266166363','刘永弟','18629830596',NULL,'ls-shx-ljlcwh4-wgy'),('4643063881266166389','陈国龙','13943316381',NULL,'ls-shx-ljlcwh5-wgy'),('4643063881266166415','钱德勇','13843499026',NULL,'ls-shx-ljlcwh6-wgy'),('4643063881266166441','张全','15844433963',NULL,'ls-shx-shecwh1-wgy'),('4643063881266166468','于宝江','15943449726',NULL,'ls-shx-shecwh2-wgy'),('4643063881266166494','王树忠','18343433094',NULL,'ls-shx-shecwh3-wgy'),('4643063881266166521','刘志','15843477713',NULL,'ls-shx-shecwh4-wgy'),('4643063881266166547','吴海荣','15004455086',NULL,'ls-shx-shecwh5-wgy'),('4643063881266166574','王显堂','15981598306',NULL,'ls-shx-shecwh6-wgy'),('4643063881266166601','王配章','15944491535',NULL,'ls-shx-shecwh7-wgy'),('4643063881266166628','王喜波','15590259444',NULL,'ls-shx-wmfcwh1-wgy'),('4643063881266166654','尹桂梅','13843475357',NULL,'ls-shx-wmfcwh2-wgy'),('4643063881266166680','黄伟','15844494543',NULL,'ls-shx-wmfcwh3-wgy'),('4643063881266166706','袁立军','13630999922',NULL,'ls-shx-wmfcwh4-wgy'),('4643063881266166732','靳海龙','13843493526',NULL,'ls-shx-wmfcwh5-wgy'),('4643063881266166758','杨国强','15143427699',NULL,'ls-shx-wmfcwh6-wgy'),('4643063881266166784','袁立民','13404641969',NULL,'ls-shx-wmfcwh7-wgy'),('4643063881266166810','宋德利','13504445293',NULL,'ls-shx-wmfcwh8-wgy'),('4643063881266166836','杨金福','13630911765',NULL,'ls-shx-ywcwh1-wgy'),('4643063881266166862','刘国强','15585641841',NULL,'ls-shx-ywcwh2-wgy'),('4643063881266166888','黄贵军','13694390939',NULL,'ls-shx-ywcwh3-wgy'),('4643063881266166914','李亚军','18643007731',NULL,'ls-shx-ywcwh4-wgy'),('4643063881266166940','邹立生','15943454931',NULL,'ls-shx-ywcwh5-wgy'),('4643063881266166966','陈耀广','15590463398',NULL,'ls-shx-ywcwh6-wgy'),('4643063881266166992','赵洪民','15134422858',NULL,'ls-shx-shdzcwh1-wgy'),('4643063881266167018','高立华','15981599180',NULL,'ls-shx-shdzcwh2-wgy'),('4643063881266167044','刘福军','15843475854',NULL,'ls-shx-shdzcwh3-wgy'),('4643063881266167070','李丙军','13844479097',NULL,'ls-shx-shdzcwh4-wgy'),('4643063881266167096','张国武','15943447392',NULL,'ls-shx-shdzcwh5-wgy'),('4643063881266167122','王常哲','15843485554',NULL,'ls-shx-shdzcwh6-wgy'),('4643063881266167148','袁景复','15143421677',NULL,'ls-shx-shdzcwh7-wgy'),('4643063881266167174','崔井义','13843473043',NULL,'ls-shx-shdzcwh8-wgy'),('4643063881266167200','刘兆贵','18744448623',NULL,'ls-shx-shdzcwh9-wgy'),('4643063881266167226','高才','18243495481',NULL,'ls-shx-shdzcwh10-wgy'),('4643063881266167252','宋德林','13596678594',NULL,'ls-shx-shdzcwh11-wgy'),('4643063881266167278','孙景山','13894483789',NULL,'ls-shx-liujtcwh1-wgy'),('4643063881266167304','柳东','15843460129',NULL,'ls-shx-liujtcwh2-wgy'),('4643063881266167330','金守武','13630705399',NULL,'ls-shx-liujtcwh3-wgy'),('4643063881266167356','姜宝成','15568526266',NULL,'ls-shx-liujtcwh4-wgy'),('4643063881266167382','孙跃华','13944484515',NULL,'ls-shx-liujtcwh5-wgy'),('4643063881266167408','王振权','13596676461',NULL,'ls-shx-liujtcwh6-wgy'),('4643063881266167434','付文录','13943316296',NULL,'ls-shx-liujtcwh7-wgy'),('4643063881266167460','刘晓平','13624348186',NULL,'ls-shx-liujtcwh8-wgy'),('4643063881266167486','王洪昌','15584720217',NULL,'ls-shx-yckcwh1-wgy'),('4643063881266167512','李海艳','13630994815',NULL,'ls-shx-yckcwh2-wgy'),('4643063881266167538','张红云','15844493313',NULL,'ls-shx-yckcwh3-wgy'),('4643063881266167564','曲文财','15943457574',NULL,'ls-shx-yckcwh4-wgy'),('4643063881266167590','李红军','15774423868',NULL,'ls-shx-yckcwh5-wgy'),('4643063881266167616','王金亮','15004409333',NULL,'ls-shx-yckcwh6-wgy'),('4643063881266167642','赵国军','13843491605',NULL,'ls-shx-yckcwh7-wgy'),('4643063881266167668','高金香','15844443118',NULL,'ls-shx-yckcwh8-wgy'),('4643063881266167694','张玉超','13620778773',NULL,'ls-shx-yckcwh9-wgy'),('4643063881266167720','寇广','15844486881',NULL,'ls-shx-sdgzcwh1-wgy'),('4643063881266167746','王言松','13844471058',NULL,'ls-shx-sdgzcwh2-wgy'),('4643063881266167772','刘艳伟','15134429019',NULL,'ls-shx-sdgzcwh3-wgy'),('4643063881266167798','黄喜荣','13943314786',NULL,'ls-shx-sdgzcwh4-wgy'),('4643063915625898000','陈国会','13504449638',NULL,'ls-shx-sdgzcwh5-wgy'),('4643063915625898026','张淑杰','15144698755',NULL,'ls-shx-sdgzcwh6-wgy'),('4643063915625898052','周济','15774480485',NULL,'ls-shx-sdgzcwh7-wgy'),('4643063915625898078','张永贺','13804475626',NULL,'ls-shx-sdgzcwh8-wgy'),('4643063915625907849','焦守华','15981504358',NULL,'tx-rxjd-yb1-wgy'),('4643063915625907876','张强','18543448012',NULL,'tx-rxjd-yb2-wgy'),('4643063915625907903','李春兰','18743401322',NULL,'tx-rxjd-yb3-wgy'),('4643063915625907930','张红','15144669203',NULL,'tx-rxjd-yb4-wgy'),('4643063915625907957','罗敏','15143439008',NULL,'tx-rxjd-yb5-wgy'),('4643063915625907984','刘牧','18643012268',NULL,'tx-rxjd-yb6-wgy'),('4643063915625908012','赵丽','13844413934',NULL,'tx-rxjd-ycs1-wgy'),('4643063915625908038','王哲','13936557633',NULL,'tx-rxjd-ycs2-wgy'),('4643063915625908064','吕晨维','17767856530',NULL,'tx-rxjd-ycs3-wgy'),('4643063915625908090','于洲','13504347028',NULL,'tx-rxjd-ycs4-wgy'),('4643063915625908116','黄显忠','18641040133',NULL,'tx-rxjd-ycs5-wgy'),('4643063915625908194','石璞娇','13596608533',NULL,'tx-rxjd-ycs8-wgy'),('4643063915625908246','王忠秋','13596664933',NULL,'tx-rxjd-dysq1-wgy'),('4643063915625908272','张俊华','13843407107',NULL,'tx-rxjd-dysq2-wgy'),('4643063915625908298','邢瑞函','18543448917',NULL,'tx-rxjd-dysq3-wgy'),('4643063915625908325','王世滨','15844401599',NULL,'tx-rxjd-dysq4-wgy'),('4643063915625908351','王一同','15144665414',NULL,'tx-rxjd-dysq5-wgy'),('4643063915625908378','宋关','15904348543',NULL,'tx-rxjd-dysq6-wgy'),('4643063915625908405','武雪静','13944429209',NULL,'tx-rxjd-dysq7-wgy'),('4643063915625908431','王铁','18744445122',NULL,'tx-rxjd-dysq8-wgy'),('4643063915625908457','张屏','18604342228',NULL,'tx-rxjd-dysq9-wgy'),('4643063915625908483','李洪潮','13844416865',NULL,'tx-rxjd-ymsq1-wgy'),('4643063915625908509','吴春平','13944443406',NULL,'tx-rxjd-ymsq2-wgy'),('4643063915625908537','韩宇','17767963177',NULL,'tx-rxjd-ymsq3-wgy'),('4643063915625908563','胡楠','13278507855',NULL,'tx-rxjd-ymsq4-wgy'),('4643063915625908589','陈银香','13944406251',NULL,'tx-rxjd-ymsq5-wgy'),('4643063915625908615','马小冬','13843410086',NULL,'tx-rxjd-ymsq6-wgy'),('4643063915625908641','于跃','18604349290',NULL,'tx-rxjd-ymsq7-wgy'),('4643063915625908667','丁柏心','15043434323',NULL,'tx-rxjd-ymsq8-wgy'),('4643063915625908693','刘立国','15944409577',NULL,'tx-rxjd-ymsq9-wgy'),('4643063915625908719','马家驹','15643449999',NULL,'tx-rxjd-ymsq10-wgy'),('4643063915625908745','李峰','15944405088',NULL,'tx-rxjd-ymsq11-wgy'),('4643063915625908771','徐向国','13894400999',NULL,'tx-rxjd-ymsq12-wgy'),('4643063915625908823','王璐璐','13294348879',NULL,'tx-rxjd-tqsq1-wgy'),('4643063915625908849','刘秀丽','15943436789',NULL,'tx-rxjd-tqsq2-wgy'),('4643063915625908875','孟庆华','15143419989',NULL,'tx-rxjd-tqsq3-wgy'),('4643063915625908901','杨阳','15904346606',NULL,'tx-rxjd-tqsq4-wgy'),('4643063915625908927','都俊凤','13843407708',NULL,'tx-rxjd-tqsq5-wgy'),('4643063915625908953','张红艳','13604342061',NULL,'tx-rxjd-tqsq6-wgy'),('4643063915625908979','王际军','15043425560',NULL,'tx-rxjd-tqsq7-wgy'),('4643063915625909006','刘赫','13604346478',NULL,'tx-rxjd-ybs1-wgy'),('4643063915625909033','张悦','18543413903',NULL,'tx-rxjd-ybs2-wgy'),('4643063915625909060','姜景娟','15004340901',NULL,'tx-rxjd-ybs3-wgy'),('4643063915625909086','万艳杰','15143410666',NULL,'tx-rxjd-ybs4-wgy'),('4643063915625909138','杨竞卓','18004342324',NULL,'tx-rxjd-ybs6-wgy'),('4643063915625909190','韩雪阳','13504733655',NULL,'tx-rxjd-btsq2-wgy'),('4643063915625909216','谷雷','13944405800',NULL,'tx-rxjd-btsq3-wgy'),('4643063915625909268','刘丽','18743447577',NULL,'tx-rxjd-btsq5-wgy'),('4643063915625909294','李琳','13404602833',NULL,'tx-rxjd-btsq6-wgy'),('4643063915625909320','孙德全','15944448920',NULL,'tx-rxjd-hysq1-wgy'),('4643063915625909346','金磊','15043413332',NULL,'tx-rxjd-hysq2-wgy'),('4643063915625909400','王义','15500438699',NULL,'tx-rxjd-hysq4-wgy'),('4643063915625912220','孙铁','13341412141',NULL,'tx-dzjd-dzsq1-wgy'),('4643063915625912246','王莹','18744447677',NULL,'tx-dzjd-dzsq2-wgy'),('4643063915625912272','马冬梅','17604341517',NULL,'tx-dzjd-dzsq3-wgy'),('4643063915625912298','卜丽','13258798473',NULL,'tx-dzjd-dzsq4-wgy'),('4643063915625912324','赵春苗','13843446647',NULL,'tx-dzjd-dzsq5-wgy'),('4643063915625912350','张滨','13904343510',NULL,'tx-dzjd-dzsq6-wgy'),('4643063915625912376','李德忠','15204448723',NULL,'tx-dzjd-dzsq7-wgy'),('4643063915625912402','杨文生','19904346246',NULL,'tx-dzjd-dzsq8-wgy'),('4643063915625912428','高仲库','13843415211',NULL,'tx-dzjd-dzsq9-wgy'),('4643063915625912454','沙丙武','13904341918',NULL,'tx-dzjd-dzsq10-wgy'),('4643063915625912480','王洋','15144440110',NULL,'tx-dzjd-elsq1-wgy'),('4643063915625912506','付尧','15584735588',NULL,'tx-dzjd-elsq2-wgy'),('4643063915625912532','刘佳','13689738035',NULL,'tx-dzjd-elsq3-wgy'),('4643063915625912558','苏振兴','15944447737',NULL,'tx-dzjd-elsq4-wgy'),('4643063915625912584','汲燕恒','13404348950',NULL,'tx-dzjd-elsq5-wgy'),('4643063915625912610','要杨','13944422274',NULL,'tx-dzjd-elsq6-wgy'),('4643063915625912636','刘博','18643000779',NULL,'tx-dzjd-elsq7-wgy'),('4643063915625912662','龙云','13844442004',NULL,'tx-dzjd-elsq8-wgy'),('4643063915625912688','周迈义','18629896155',NULL,'tx-dzjd-elsq9-wgy'),('4643063915625912714','王飞','13689711980',NULL,'tx-dzjd-elsq10-wgy'),('4643063915625912740','张丽丽','13630935104',NULL,'tx-dzjd-elsq11-wgy'),('4643063915625912766','安娜','13596601417',NULL,'tx-dzjd-elsq12-wgy'),('4643063915625912792','张笑楠','13654440821',NULL,'tx-dzjd-hysq1-wgy'),('4643063915625912819','高杨','18643442011',NULL,'tx-dzjd-hysq2-wgy'),('4643063915625912847','尹晓雪','15330660777',NULL,'tx-dzjd-hysq3-wgy'),('4643063915625912874','张圣雅','18686641713',NULL,'tx-dzjd-hysq4-wgy'),('4643063915625912901','时阳','18684344921',NULL,'tx-dzjd-hysq5-wgy'),('4643063915625912928','郝亘','18443444888',NULL,'tx-dzjd-hysq6-wgy'),('4643063915625912954','崔丽娜','18104443149',NULL,'tx-dzjd-hysq7-wgy'),('4643063915625912980','王树杰','13596665166',NULL,'tx-dzjd-hysq8-wgy'),('4643063915625913006','王淼','18601345339',NULL,'tx-dzjd-hysq9-wgy'),('4643063915625913032','孟祥明','15834462552',NULL,'tx-dzjd-hysq10-wgy'),('4643063915625913060','张慧','13104349252',NULL,'tx-dzjd-hysq11-wgy'),('4643063915625913087','王倩','18404345455',NULL,'tx-dzjd-lqsq1-wgy'),('4643063915625913113','姜丽娜','13944443400',NULL,'tx-dzjd-lqsq2-wgy'),('4643063915625913139','刘显忠','15944400297',NULL,'tx-dzjd-lqsq3-wgy'),('4643063915625913165','王永成','13689738035',NULL,'tx-dzjd-lqsq4-wgy'),('4643063915625913191','王飞飞','17704349784',NULL,'tx-dzjd-lqsq5-wgy'),('4643063915625913217','冷佳琪','18843439982',NULL,'tx-dzjd-lqsq6-wgy'),('4643063915625913243','李会梅','13404617708',NULL,'tx-dzjd-lqsq7-wgy'),('4643063915625913269','杜斌','15643431520',NULL,'tx-dzjd-lqsq8-wgy'),('4643063915625913295','岳文娟','13944424019',NULL,'tx-dzjd-nhsq1-wgy'),('4643063915625913321','王凤香','16604343232',NULL,'tx-dzjd-nhsq2-wgy'),('4643063915625913347','李海丽','16624343789',NULL,'tx-dzjd-nhsq3-wgy'),('4643063915625913373','陈宇','13844419916',NULL,'tx-dzjd-nhsq4-wgy'),('4643063915625913399','郭振伟','13634346190',NULL,'tx-dzjd-nhsq5-wgy'),('4643063915625913425','张晶波','15104340905',NULL,'tx-dzjd-nhsq6-wgy'),('4643063915625913451','胡雪','18684348588',NULL,'tx-dzjd-nhsq7-wgy'),('4643063915625913477','赵日梅','18744404068',NULL,'tx-dzjd-nhsq8-wgy'),('4643063915625913503','王晓林','18704347121',NULL,'tx-dzjd-nhsq9-wgy'),('4643063915625913529','肖清元','16604349131',NULL,'tx-dzjd-nhsq10-wgy'),('4643063915625913555','孟宪锋','15944447822',NULL,'tx-dzjd-nhsq11-wgy'),('4643063915625913581','迟云喜','13604341777',NULL,'tx-dzjd-nhsq12-wgy'),('4643063915625913607','栗振斌','18604345131',NULL,'tx-dzjd-nhsq13-wgy'),('4643063915625913633','姜爽','18744446503',NULL,'tx-dzjd-ybsq1-wgy'),('4643063915625913659','王优','18904447121',NULL,'tx-dzjd-ybsq2-wgy'),('4643063915625913685','何莉','13843441021',NULL,'tx-dzjd-ybsq3-wgy'),('4643063915625913711','李瑞','18643448642',NULL,'tx-dzjd-ybsq4-wgy'),('4643063915625913737','李培胜','13944407049',NULL,'tx-dzjd-ybsq5-wgy'),('4643063915625913763','李敏','13630709201',NULL,'tx-dzjd-ybsq6-wgy'),('4643063915625913789','范欣欣','13843440860',NULL,'tx-dzjd-ybsq7-wgy'),('4643063915625913815','张翠','18543499339',NULL,'tx-dzjd-ybsq8-wgy'),('4643063915625913841','李宝伟','13843442826',NULL,'tx-dzjd-ybsq9-wgy'),('4643063915625913867','魏炯','15104341889',NULL,'tx-dzjd-ybsq10-wgy'),('4643063915625913893','张娟','15844444522',NULL,'tx-dzjd-ybsq11-wgy'),('4643063915625913919','肖庆平','13804346639',NULL,'tx-dzjd-ybsq12-wgy'),('4643063915625913945','王洪军','17743171786',NULL,'tx-dzjd-ybsq13-wgy'),('4643063915625913971','韩雪松','15504347775',NULL,'tx-dzjd-ybsq14-wgy'),('4643063915625913997','张雪','15904344468',NULL,'tx-dzjd-amsq1-wgy'),('4643063915625914023','马建宏','13844408679',NULL,'tx-dzjd-amsq2-wgy'),('4643063915625914049','毕丹丹','13844417577',NULL,'tx-dzjd-amsq3-wgy'),('4643063915625914075','李雪','18604344640',NULL,'tx-dzjd-amsq4-wgy'),('4643063915625914101','王立影','15144699119',NULL,'tx-dzjd-amsq5-wgy'),('4643063915625914127','孙亚平','15944406199',NULL,'tx-dzjd-amsq6-wgy'),('4643063915625914153','王越','13298894184',NULL,'tx-dzjd-amsq7-wgy'),('4643063915625914179','刘卉','13844408166',NULL,'tx-dzjd-amsq8-wgy'),('4643063915625914205','刘奇','13944418929',NULL,'tx-dzjd-amsq9-wgy'),('4643063915625914231','赵艳秋','13614340588',NULL,'tx-dzjd-amsq10-wgy'),('4643063915625914257','辛凤生','13943479717',NULL,'tx-dzjd-qxsq1-wgy'),('4643063915625914283','于雪','18943849521',NULL,'tx-dzjd-qxsq2-wgy'),('4643063915625914309','李昱晓','13944424479',NULL,'tx-dzjd-qxsq3-wgy'),('4643063915625914335','王淼','18604345339',NULL,'tx-dzjd-qxsq4-wgy'),('4643063915625914362','连胜','19804343988',NULL,'tx-dzjd-qxsq5-wgy'),('4643063949985644564','刘政兰','18543499366',NULL,'tx-dzjd-qxsq6-wgy'),('4643063949985644590','王德利','13614342649',NULL,'tx-dzjd-qxsq7-wgy'),('4643063949985644616','刘冰冰','13596666253',NULL,'tx-dzjd-qxsq8-wgy'),('4643063949985644642','李雨纯','18643001521',NULL,'tx-dzjd-qxsq9-wgy'),('4643063949985644668','李丹','18543449187',NULL,'tx-dzjd-qxsq10-wgy'),('4643063949985644694','赵迪','15143406000',NULL,'tx-dzjd-qxsq11-wgy'),('4643063949985644720','刘石','15500150556',NULL,'tx-dzjd-qxsq12-wgy'),('4643063949985644746','邢艳茹','18543449372',NULL,'tx-dzjd-qxsq13-wgy'),('4643063949985644772','王焱','13694002063',NULL,'tx-dzjd-xysq1-wgy'),('4643063949985644798','王元禹','18643420408',NULL,'tx-dzjd-xysq2-wgy'),('4643063949985644824','孙铭澳','15043425775',NULL,'tx-dzjd-xysq3-wgy'),('4643063949985644850','孙斌','15944400533',NULL,'tx-dzjd-xysq4-wgy'),('4643063949985644876','李志斌','13904345606',NULL,'tx-dzjd-xysq5-wgy'),('4643063949985644902','李明赫','13634443989',NULL,'tx-dzjd-xysq6-wgy'),('4643063949985644928','冯琳涵','13944407969',NULL,'tx-dzjd-xysq7-wgy'),('4643063949985644954','隋莹','13694444842',NULL,'tx-dzjd-xysq8-wgy'),('4643063949985644980','孙玥2','18504448550',NULL,'tx-dzjd-xysq9-wgy'),('4643063949985645006','赵仿萍','15834400096',NULL,'tx-dzjd-xysq10-wgy'),('4643063949985645032','杜强','15843432229',NULL,'tx-dzjd-xysq11-wgy'),('4643063949985645058','曹金凤','13278005678',NULL,'tx-dzjd-xysq12-wgy'),('4643064465381724269','孙喆','13624445557',NULL,'sl-zjt-dhsq1-wgy'),('4643064465381724297','张晓妹','15204452554',NULL,'sl-zjt-dhsq2-wgy'),('4643064465381724326','陈维','15044458166',NULL,'sl-zjt-dhsq3-wgy'),('4643064465381724360','刘畅','13630920508',NULL,'sl-zjt-dhsq4-wgy'),('4643064465381724386','李艳茹','13904349891',NULL,'sl-zjt-xxsq1-wgy'),('4643064465381724412','闫梅','15981556660',NULL,'sl-zjt-xxsq2-wgy'),('4643064465381724439','邹丽新','13944435255',NULL,'sl-zjt-xxsq3-wgy'),('4643064465381724468','刘丽平','13514342994',NULL,'sl-zjt-xxsq4-wgy'),('4643064465381724662','王彩云','13630970165',NULL,'sl-zjt-yxsq2-wgy'),('4643064465381724688','马晓玲','15567232588',NULL,'sl-zjt-yxsq3-wgy'),('4643064465381724742','刘萌萌','13630966272',NULL,'sl-zjt-yxsq5-wgy'),('4643064465381724797','于爽','15981560001',NULL,'sl-zjt-gnc1-wgy'),('4643064465381726024','杨艳玲','15844495689',NULL,'ls-gjdz-ddsq1-wgy'),('4643064465381726050','刘仁华','13944484187',NULL,'ls-gjdz-ddsq2-wgy'),('4643064465381726076','王玉琴','13894450038',NULL,'ls-gjdz-ddsq3-wgy'),('4643064465381726102','孙亚秋','15643453833',NULL,'ls-gjdz-chhsq1-wgy'),('4643064465381726130','鞠亚芬','15500172760',NULL,'ls-gjdz-zhbsq1-wgy'),('4643064465381726161','胡玉明','13944489128',NULL,'ls-gjdz-jcsq1-wgy'),('4643064465381726190','于淑华','13504742935',NULL,'ls-gjdz-shgsq1-wgy'),('4643064465381726218','郭艳萍','15004488898',NULL,'ls-gjdz-hensq1-wgy'),('4643064465381726248','柴艳辉','15843464536',NULL,'ls-gjdz-zhnsq1-wgy'),('4643064465381726279','尚井权','13944487736',NULL,'ls-gjdz-hsscwh1-wgy'),('4643064465381726306','张洪伟','13844482755',NULL,'ls-gjdz-hsscwh2-wgy'),('4643064465381726332','李满良','15886086030',NULL,'ls-gjdz-hsscwh3-wgy'),('4643064465381726358','李书武','13504357957',NULL,'ls-gjdz-hsscwh4-wgy'),('4643064465381726384','张栓林','15044499677',NULL,'ls-gjdz-hsscwh5-wgy'),('4643064465381726410','范国臣','13596679731',NULL,'ls-gjdz-hsscwh6-wgy'),('4643064465381726436','初立齐','17600533777',NULL,'ls-gjdz-hsscwh7-wgy'),('4643064465381726462','陆跃辉','13244056118',NULL,'ls-gjdz-hsscwh8-wgy'),('4643064465381726488','刘岩','15981509789',NULL,'ls-gjdz-hsscwh9-wgy'),('4643064465381726514','卜玉庭','15843483997',NULL,'ls-gjdz-hsscwh10-wgy'),('4643064465381726540','刘彦','15204401500',NULL,'ls-gjdz-hsscwh11-wgy'),('4643064465381726566','王利','18175555777',NULL,'ls-gjdz-scgcwh1-wgy'),('4643064465381726592','王福荣','18243427658',NULL,'ls-gjdz-scgcwh2-wgy'),('4643064465381726618','李苗','18343439399',NULL,'ls-gjdz-scgcwh3-wgy'),('4643064465381726644','郑连茹','15144494890',NULL,'ls-gjdz-scgcwh4-wgy'),('4643064465381726670','王金山','13894454767',NULL,'ls-gjdz-scgcwh5-wgy'),('4643064465381726696','崔海军','15044496788',NULL,'ls-gjdz-scgcwh6-wgy'),('4643064465381726722','张宝成','15044485533',NULL,'ls-gjdz-scgcwh7-wgy'),('4643064465381726748','赵中国','15134426676',NULL,'ls-gjdz-scgcwh8-wgy'),('4643064465381726774','贾风波','15143428482',NULL,'ls-gjdz-scgcwh9-wgy'),('4643064465381726800','田庆祥','13244062239',NULL,'ls-gjdz-scgcwh10-wgy'),('4643064465381726826','唐国春','18844487309',NULL,'ls-gjdz-scgcwh11-wgy'),('4643064465381726852','蒋春雷','15944345200',NULL,'ls-gjdz-scgcwh12-wgy'),('4643064465381726878','王明国','15134435210',NULL,'ls-gjdz-scgcwh13-wgy'),('4643064465381726904','王闯','16688443306',NULL,'ls-gjdz-shjmcwh1-wgy'),('4643064465381726930','胡长玲','13596678763',NULL,'ls-gjdz-shjmcwh2-wgy'),('4643064465381726956','杨福金','15585444718',NULL,'ls-gjdz-shjmcwh3-wgy'),('4643064465381726982','王天孝','18844427848',NULL,'ls-gjdz-shjmcwh4-wgy'),('4643064465381727008','苏家林','13234342870',NULL,'ls-gjdz-shjmcwh5-wgy'),('4643064465381727034','张亚峰','15204470571',NULL,'ls-gjdz-shjmcwh6-wgy'),('4643064465381727060','唐淑伟','18844443699',NULL,'ls-gjdz-shjmcwh7-wgy'),('4643064465381727086','刘孝国','18743497240',NULL,'ls-gjdz-shjmcwh8-wgy'),('4643064465381727112','陈淑坤','13844472256',NULL,'ls-gjdz-shjmcwh9-wgy'),('4643064465381727138','王贵春','15774428046',NULL,'ls-gjdz-shjmcwh10-wgy'),('4643064465381727164','史亮','15944490100',NULL,'ls-gjdz-dhzcwh1-wgy'),('4643064465381727190','施金龙','13944482348',NULL,'ls-gjdz-dhzcwh2-wgy'),('4643064465381727216','牟龙生','13844475886',NULL,'ls-gjdz-dhzcwh3-wgy'),('4643064465381727242','齐国军','15134425852',NULL,'ls-gjdz-dhzcwh4-wgy'),('4643064465381727268','刘金','15981589280',NULL,'ls-gjdz-dhzcwh5-wgy'),('4643064465381727294','刘宇','15204432669',NULL,'ls-gjdz-dhzcwh6-wgy'),('4643064465381727320','刘静新','13278038290',NULL,'ls-gjdz-dhzcwh7-wgy'),('4643064465381727346','牟延林','13894487105',NULL,'ls-gjdz-dhzcwh8-wgy'),('4643064465381727372','宋博蔗','13943313958',NULL,'ls-gjdz-shccwh1-wgy'),('4643064465381727398','陆树林','18744439519',NULL,'ls-gjdz-shccwh2-wgy'),('4643064465381727424','孙会波','15004487330',NULL,'ls-gjdz-shccwh3-wgy'),('4643064465381727450','姚天一','15143427459',NULL,'ls-gjdz-shccwh4-wgy'),('4643064465381727476','唐万昌','13404640217',NULL,'ls-gjdz-shccwh5-wgy'),('4643064465381727502','孙万昌','13244056088',NULL,'ls-gjdz-shccwh6-wgy'),('4643064465381727528','宋玉明','13331733588',NULL,'ls-gjdz-shccwh7-wgy'),('4643064465381727554','吴凤霞','15004491222',NULL,'ls-gjdz-shccwh8-wgy'),('4643064465381727580','刘风芝','18343482348',NULL,'ls-gjdz-shccwh9-wgy'),('4643064465381727606','胡贵林','15981527205',NULL,'ls-gjdz-xshcwh1-wgy'),('4643064465381727632','李晓龙','15144431711',NULL,'ls-gjdz-xshcwh2-wgy'),('4643064465381727658','韩旭闫','18644803755',NULL,'ls-gjdz-xshcwh3-wgy'),('4643064465381727684','于浩','15144693677',NULL,'ls-gjdz-xshcwh4-wgy'),('4643064465381727710','李魁东','13258716800',NULL,'ls-gjdz-xshcwh5-wgy'),('4643064465381727736','刘显武','13644340077',NULL,'ls-gjdz-xshcwh6-wgy'),('4643064465381727762','孟宪利','15144631302',NULL,'ls-gjdz-xshcwh7-wgy'),('4643064465381727788','陈德玉','15134423013',NULL,'ls-gjdz-sdjcwh1-wgy'),('4643064465381727814','皮志燕','15144666123',NULL,'ls-gjdz-sdjcwh2-wgy'),('4643064465381727840','方鹏','13159783555',NULL,'ls-gjdz-sdjcwh3-wgy'),('4643064465381727866','张洪波','13844486683',NULL,'ls-gjdz-sdjcwh4-wgy'),('4643064465381727892','宋海山','13630919552',NULL,'ls-gjdz-sdjcwh5-wgy'),('4643064465381727918','刘云昌','15204432235',NULL,'ls-gjdz-sdjcwh6-wgy'),('4643064465381727944','范士永','13944488083',NULL,'ls-gjdz-sdjcwh7-wgy'),('4643064465381727970','袁希超','13844479919',NULL,'ls-gjdz-sdjcwh8-wgy'),('4643064465381727996','袁福龙','13843435393',NULL,'ls-gjdz-sdjcwh9-wgy'),('4643064465381728022','谢宝山','13596675692',NULL,'ls-gjdz-sdjcwh10-wgy'),('4643064465381728048','张众望','15844492528',NULL,'ls-gjdz-sdjcwh11-wgy'),('4643064465381728074','孙家贵','15943435915',NULL,'ls-gjdz-chhgcwh1-wgy'),('4643064465381728108','赫树才','13894487719',NULL,'ls-gjdz-chhgcwh2-wgy'),('4643064465381728134','乔俊义','15774428222',NULL,'ls-gjdz-chhgcwh3-wgy'),('4643064465381728160','李福成','13596645432',NULL,'ls-gjdz-chhgcwh4-wgy'),('4643064465381728186','吕学林','17089224000',NULL,'ls-gjdz-chhgcwh5-wgy'),('4643064465381728212','田立奎','15844498315',NULL,'ls-gjdz-chhgcwh6-wgy'),('4643064465381728238','于云龙','13596622140',NULL,'ls-gjdz-chhgcwh7-wgy'),('4643064499741458440','姜淑珍','15043438111',NULL,'ls-gjdz-chhgcwh8-wgy'),('4643064499741458466','张志民','15134436344',NULL,'ls-gjdz-chhgcwh9-wgy'),('4643064499741458492','张志民','15134436345',NULL,'ls-gjdz-chhgcwh10-wgy'),('4643064499741458518','杨春辉','13944487393',NULL,'ls-gjdz-balccwh1-wgy'),('4643064499741458544','孙万海','13596647466',NULL,'ls-gjdz-balccwh2-wgy'),('4643064499741458570','徐贵才','15567222228',NULL,'ls-gjdz-balccwh3-wgy'),('4643064499741458596','李柏和','18743433822',NULL,'ls-gjdz-balccwh4-wgy'),('4643064499741458622','张庆喜','16688443308',NULL,'ls-gjdz-balccwh5-wgy'),('4643064499741458648','崔成林','15044488326',NULL,'ls-gjdz-balccwh6-wgy'),('4643064499741458674','王立明','15004471303',NULL,'ls-gjdz-balccwh7-wgy'),('4643064499741458700','徐贵才','15567222227',NULL,'ls-gjdz-balccwh8-wgy'),('4643064499741458726','高发','16604341607',NULL,'ls-gjdz-balccwh9-wgy'),('4643064499741458752','越福禄','13596622042',NULL,'ls-gjdz-balccwh10-wgy'),('4643064499741458778','丁少祥','15844492195',NULL,'ls-gjdz-balccwh11-wgy'),('4643064499741458804','王刚','13674406322',NULL,'ls-gjdz-qdzcwh1-wgy'),('4643064499741458830','刘凤军','13634342565',NULL,'ls-gjdz-qdzcwh2-wgy'),('4643064499741458856','刘国军','13843474920',NULL,'ls-gjdz-qdzcwh3-wgy'),('4643064499741458882','李龙波','18744491223',NULL,'ls-gjdz-qdzcwh4-wgy'),('4643064499741458908','王大明','15584750398',NULL,'ls-gjdz-qdzcwh5-wgy'),('4643064499741458934','韩长友','15144436066',NULL,'ls-gjdz-qdzcwh6-wgy'),('4643064499741458960','王岐','13689728858',NULL,'ls-gjdz-qdzcwh7-wgy'),('4643064499741458986','刘喜明','16688440687',NULL,'ls-gjdz-zjcwh1-wgy'),('4643064499741459016','董淑静','15943459117',NULL,'ls-gjdz-bajzcwh1-wgy'),('4643064499741459042','田国恩','13943318865',NULL,'ls-gjdz-bajzcwh2-wgy'),('4643064499741459068','孙秀军','13125839739',NULL,'ls-gjdz-bajzcwh3-wgy'),('4643064499741459094','张义','13844477551',NULL,'ls-gjdz-bajzcwh4-wgy'),('4643064499741459120','张德军','18844443332',NULL,'ls-gjdz-bajzcwh5-wgy'),('4643064499741459146','赵洪生','15981686741',NULL,'ls-gjdz-bajzcwh6-wgy'),('4643064499741459172','王宪全','13843472309',NULL,'ls-gjdz-bajzcwh7-wgy'),('4643064499741459198','朱继祥','15585444686',NULL,'ls-gjdz-bajzcwh8-wgy'),('4643064499741459224','宋国立','13944487661',NULL,'ls-gjdz-bajzcwh9-wgy'),('4643064499741459250','刘占峰','13843434789',NULL,'ls-gjdz-bajzcwh10-wgy'),('4643064499741459276','杨国福','13664348462',NULL,'ls-gjdz-bajzcwh11-wgy'),('4643064499741459302','李树元','18343424865',NULL,'ls-gjdz-bajzcwh12-wgy'),('4643064499741459328','朱海','13596679502',NULL,'ls-gjdz-bajzcwh13-wgy'),('4643064499741459354','王洪林','13844489893',NULL,'ls-gjdz-hczcwh1-wgy'),('4643064499741459381','王宪江','18628785799',NULL,'ls-gjdz-hczcwh2-wgy'),('4643064499741459407','蒋树林','13944489849',NULL,'ls-gjdz-hczcwh3-wgy'),('4643064499741459433','王俊才','15004469035',NULL,'ls-gjdz-hczcwh4-wgy'),('4643064499741459459','史振权','15144437480',NULL,'ls-gjdz-hczcwh5-wgy'),('4643064499741459485','邹德峰','16688443323',NULL,'ls-gjdz-hczcwh6-wgy'),('4643064499741459511','夏志民','13844485610',NULL,'ls-gjdz-hczcwh7-wgy'),('4643064499741459537','孙明雨','18643015278',NULL,'ls-gjdz-hczcwh8-wgy'),('4643064499741459563','李江珠','15844487570',NULL,'ls-gjdz-hczcwh9-wgy'),('4643064499741459589','葛志永','15943443828',NULL,'ls-gjdz-xqycwh1-wgy'),('4643064499741459615','于忠元','13843435438',NULL,'ls-gjdz-xqycwh2-wgy'),('4643064499741459641','张亚峰','13596625900',NULL,'ls-gjdz-xqycwh3-wgy'),('4643064499741459667','迟东东','15943432775',NULL,'ls-gjdz-xqycwh4-wgy'),('4643064499741459693','丛金山','15844497526',NULL,'ls-gjdz-xqycwh5-wgy'),('4643064499741459719','陈贵山','15044490504',NULL,'ls-gjdz-xqycwh6-wgy'),('4643064499741459745','吕安辉','13624348435',NULL,'ls-gjdz-xqycwh7-wgy'),('4643064499741459771','何海清','13694340118',NULL,'ls-gjdz-xqycwh8-wgy'),('4643064499741459797','李俊丰','13944488904',NULL,'ls-gjdz-dqslcwh1-wgy'),('4643064499741459823','李兴伟','18243495468',NULL,'ls-gjdz-dqslcwh2-wgy'),('4643064499741459849','董连新','13894456395',NULL,'ls-gjdz-dqslcwh3-wgy'),('4643064499741459875','张井仁','15981589080',NULL,'ls-gjdz-dqslcwh4-wgy'),('4643064499741459901','王久江','15774420707',NULL,'ls-gjdz-dqslcwh5-wgy'),('4643064499741459927','卜凡忠','13894454452',NULL,'ls-gjdz-dqslcwh6-wgy'),('4643064499741459953','杨秀丰','15004485665',NULL,'ls-gjdz-dqslcwh7-wgy'),('4643064499741459979','刘海明','15943433783',NULL,'ls-gjdz-dqslcwh8-wgy'),('4643064499741460005','左凤霞','15044497948',NULL,'ls-gjdz-dqslcwh9-wgy'),('4643064499741460031','杨青山','13943315650',NULL,'ls-gjdz-dqslcwh10-wgy'),('4643064499741460057','张明','13596672072',NULL,'ls-gjdz-dqslcwh11-wgy'),('4643064499741460083','王凤举','13696626021',NULL,'ls-gjdz-dqslcwh12-wgy'),('4643064499741460109','闫国林','13639017061',NULL,'ls-gjdz-xqslcwh1-wgy'),('4643064499741460135','张洪卫','15144694789',NULL,'ls-gjdz-xqslcwh2-wgy'),('4643064499741460161','陈佰林','15134439800',NULL,'ls-gjdz-xqslcwh3-wgy'),('4643064499741460187','于淑芬','16728361931',NULL,'ls-gjdz-xqslcwh4-wgy'),('4643064499741460213','赵喜江','13694392421',NULL,'ls-gjdz-xqslcwh5-wgy'),('4643064499741460239','于占合','17543426345',NULL,'ls-gjdz-xqslcwh6-wgy'),('4643064499741460265','高洪海','15144439817',NULL,'ls-gjdz-xqslcwh7-wgy'),('4643064499741460291','赵莹','15584720037',NULL,'ls-gjdz-xqslcwh8-wgy'),('4643064499741460317','韩少江','18343424452',NULL,'ls-gjdz-xqslcwh9-wgy'),('4643064499741460343','李子晶','15134430283',NULL,'ls-gjdz-sjtcwh1-wgy'),('4643064499741460369','李红军','18143116300',NULL,'ls-gjdz-sjtcwh2-wgy'),('4643064499741460395','宋柏春','15843469895',NULL,'ls-gjdz-sjtcwh3-wgy'),('4643064499741460421','王春成','15944403621',NULL,'ls-gjdz-sjtcwh4-wgy'),('4643064499741460447','李洪志','15843478351',NULL,'ls-gjdz-sjtcwh5-wgy'),('4643064499741460473','何金龙','13944488002',NULL,'ls-gjdz-sjtcwh6-wgy'),('4643064499741460499','高立涛','15044491608',NULL,'ls-gjdz-sjtcwh7-wgy'),('4643064499741460525','胡海山','15944494277',NULL,'ls-gjdz-sjtcwh8-wgy'),('4643064499741460551','孔繁星','13944489343',NULL,'ls-gjdz-sjtcwh9-wgy'),('4643064499741460577','郭晓利','13214448078',NULL,'ls-gjdz-sjtcwh10-wgy'),('4643064774619364468','杨绍民','15981599224',NULL,'ls-lzc-lzc1-wgy'),('4643064808979109837','石文才','15043499026',NULL,'sls-xlx-hhc1-wgy'),('4643064808979109863','伊红燕','15144650340',NULL,'sls-xlx-hhc2-wgy'),('4643064808979109889','宋军','13596653020',NULL,'sls-xlx-hhc3-wgy'),('4643064808979109915','刘超','13596659456',NULL,'sls-xlx-ljc1-wgy'),('4643064808979109941','穆海燕','13278137288',NULL,'sls-xlx-ljc2-wgy'),('4643064808979109967','褚广福','13894436253',NULL,'sls-xlx-ljc3-wgy'),('4643064808979109993','张万洋','13630921076',NULL,'sls-xlx-ljc4-wgy'),('4643064808979110019','田喜燕','15144456500',NULL,'sls-xlx-xlc1-wgy'),('4643064808979110047','李方升','13624445918',NULL,'sls-xlx-xlc2-wgy'),('4643064808979110073','艾景峰','13630965988',NULL,'sls-xlx-xlc3-wgy'),('4643064808979110099','田东','13278061905',NULL,'sls-xlx-xsc1-wgy'),('4643064808979110125','胡长建','15144459445',NULL,'sls-xlx-xsc2-wgy'),('4643064808979110151','赵丹','15144651331',NULL,'sls-xlx-xsc3-wgy'),('4643064808979110177','肖富英','13654346783',NULL,'sls-xlx-sjc1-wgy'),('4643064808979110203','刘江','13943498211',NULL,'sls-xlx-mjc1-wgy'),('4643064808979110229','刘宝成','17080564222',NULL,'sls-xlx-mjc2-wgy'),('4643064808979110255','董志辉','16756778872',NULL,'sls-xlx-mjc3-wgy'),('4643064808979110281','秦岭','13278062091',NULL,'sls-xlx-mjc4-wgy'),('4643064808979110307','马树君','13844436799',NULL,'sls-xlx-mjc5-wgy'),('4643064808979110333','刘青燕','15500159311',NULL,'sls-xlx-mjc6-wgy'),('4643064808979110359','祖兰杰','15144452766',NULL,'sls-xlx-spc1-wgy'),('4643064808979110385','万银玲','18343454118',NULL,'sls-xlx-spc2-wgy'),('4643064808979110411','宋丽华','13943474445',NULL,'sls-xlx-spc3-wgy'),('4643064808979110437','张海娟','15144459789',NULL,'sls-xlx-spc4-wgy'),('4643064808979110463','于海峰','15043496678',NULL,'sls-xlx-spc5-wgy'),('4643064808979110489','陈敬杰','15981552183',NULL,'sls-xlx-slc1-wgy'),('4643064808979110515','刘红霞','15665938996',NULL,'sls-xlx-slc2-wgy'),('4643064808979110541','韩国强','15500157155',NULL,'sls-xlx-slc3-wgy'),('4643064808979110567','贾秀娟','18628786561',NULL,'sls-xlx-fcc1-wgy'),('4643064808979110593','郭连荣','13630928786',NULL,'sls-xlx-fcc2-wgy'),('4643064808979110619','王雷','15144457123',NULL,'sls-xlx-fcc3-wgy'),('4643064808979110645','兰海峰','13614347508',NULL,'sls-xlx-fsc1-wgy'),('4643064808979110671','赵桂香','13944437007',NULL,'sls-xlx-fsc2-wgy'),('4643064808979110697','王国辉','15144655968',NULL,'sls-xlx-fsc3-wgy'),('4643064808979110723','隋波','18629825558',NULL,'sls-xlx-sdc1-wgy'),('4643064808979110749','姜雪','13278139567',NULL,'sls-xlx-sdc2-wgy'),('4643064808979110775','阮书明','13278423933',NULL,'sls-xlx-sdc3-wgy'),('4643064808979110801','孟祥光','15568508298',NULL,'sls-xlx-sdc4-wgy'),('4643064808979110827','王艳萍','18844453157',NULL,'sls-xlx-gpc1-wgy'),('4643064808979110853','李春山','15500138222',NULL,'sls-xlx-gpc2-wgy'),('4643064808979110879','穆军','18243451345',NULL,'sls-xlx-gpc3-wgy'),('4643064808979110905','于红喜','13278020780',NULL,'sls-xlx-gpc4-wgy'),('4643064808979110931','赵广友','13843460665',NULL,'sls-xlx-gpc5-wgy'),('4643064808979110957','周立国','18343466810',NULL,'sls-xlx-djslc1-wgy'),('4643064808979110983','孙明瑞','18643461002',NULL,'sls-xlx-bjdsyc1-wgy'),('4643064808979111009','徐静','15568506650',NULL,'sls-xlx-zxsq1-wgy'),('4643064808979111035','李东岩','18543423299',NULL,'sls-xlx-dgsq1-wgy'),('4643064877698578868','冯国忠','15843488468',NULL,'ls-wfz-zhjtcwh1-wgy'),('4643064912058323052','都   杨','15500153123',NULL,'sl-hqjd-ysc1-wgy'),('4643064912058323078','孙赵佳','17519384106',NULL,'sl-hqjd-hjc1-wgy'),('4643064912058323104','郭  蛟','15584733125',NULL,'sl-hqjd-abc1-wgy'),('4643064912058323130','张建军','15144459592',NULL,'sl-hqjd-abc2-wgy'),('4643064912058323156','王德军','13694020655',NULL,'sl-hqjd-abc3-wgy'),('4643064912058323182','高  明','15043483605',NULL,'sl-hqjd-bcc1-wgy'),('4643064912058323208','陈鹏','18643460821',NULL,'sl-hqjd-gjc1-wgy'),('4643064912058323234','郑印学','18744427570',NULL,'sl-hqjd-gjc2-wgy'),('4643064912058323260','谭会玲','18629883007',NULL,'sl-hqjd-gjc3-wgy'),('4643064912058323286','杨志强','15844455579',NULL,'sl-hqjd-ssc1-wgy'),('4643064912058323312','赵永春','15143453711',NULL,'sl-hqjd-ssc2-wgy'),('4643064912058323338','郝建东','15044450696',NULL,'sl-hqjd-ssc3-wgy'),('4643064912058323364','刘健','13504749993',NULL,'sl-hqjd-ssc4-wgy'),('4643064912058323390','刘晓龙','15043472229',NULL,'sl-hqjd-sylc1-wgy'),('4643065049497265971','宋艳杰','15590239799',NULL,'220322001004002'),('4643065049497265997','高明凯','15844480789',NULL,'220322001004003'),('4643065049497266023','刘杰','13894419151',NULL,'220322001004004'),('4643065049497266049','张英春','18343438110',NULL,'ls-fqjd-shwsq1-wgy'),('4643065049497266075','于凤来','15943456678',NULL,'ls-fqjd-shwsq2-wgy'),('4643065049497266101','王铁芝','13843490707',NULL,'ls-fqjd-shwsq3-wgy'),('4643065049497266127','常艳春','13351587808',NULL,'ls-fqjd-shqsq1-wgy'),('4643065049497266153','赵艳杰','13843471181',NULL,'ls-fqjd-shqsq2-wgy'),('4643065049497266179','栾敏','15886096264',NULL,'ls-fqjd-shqsq3-wgy'),('4643065049497266205','霍相华','15590239766',NULL,'ls-fqjd-shqsq4-wgy'),('4643065049497266231','王丽平','13844484988',NULL,'ls-fqjd-shqsq5-wgy'),('4643065049497266257','齐秀玲','13844480055',NULL,'ls-fqjd-shqsq6-wgy'),('4643065049497266283','王国安','15004461458',NULL,'ls-fqjd-bxscwh1-wgy'),('4643065049497266309','李会','15886070691',NULL,'ls-fqjd-bxscwh2-wgy'),('4643065049497266335','张亚男','15714341222',NULL,'ls-fqjd-bxscwh3-wgy'),('4643065049497266361','杜秀河','15590228259',NULL,'ls-fqjd-bxscwh4-wgy'),('4643065049497266387','曲志民','13689747775',NULL,'ls-fqjd-bxscwh5-wgy'),('4643065049497266413','刘超','18743439922',NULL,'ls-fqjd-bxscwh6-wgy'),('4643065049497266439','胡晓天','15143421007',NULL,'ls-fqjd-bxscwh7-wgy'),('4643065118216755519','何亮','18343468858',NULL,'sl-lnjd-cxc1-wgy'),('4643065118216755623','沈健','18843455568',NULL,'sl-lnjd-zxsq1-wgy'),('4643065118216755650','钟新','15943434858',NULL,'sl-lnjd-zxsq2-wgy'),('4643065118216755676','王健','13943493711',NULL,'sl-lnjd-zxsq3-wgy'),('4643065118216755730','刘丽波','13844454111',NULL,'sl-lnjd-zxsq5-wgy'),('4643065118216755758','陈绩元','15144450998',NULL,'sl-lnjd-zxsq6-wgy'),('4643065118216755843','刘彦秋','15843499990',NULL,'sl-lnjd-zxsq9-wgy'),('4643065118216755869','李丽荣','13596699536',NULL,'sl-lnjd-zxsq10-wgy'),('4643065118216755939','李秋香','13894437966',NULL,'sl-lnjd-zxsq12-wgy'),('4643065118216755995','冯立爽','13894478357',NULL,'sl-lnjd-tjsq1-wgy'),('4643065118216756021','郑悦','15144455055',NULL,'sl-lnjd-tjsq2-wgy'),('4643065118216756047','张晶','15774464520',NULL,'sl-lnjd-tjsq3-wgy'),('4643065118216756076','仲崇雪','13578998439',NULL,'sl-lnjd-tjsq4-wgy'),('4643065118216756102','赵立志','13894475422',NULL,'sl-lnjd-tjsq5-wgy'),('4643065118216756128','高琳','13944436006',NULL,'sl-lnjd-tjsq6-wgy'),('4643065118216756154','邵志梅','13596613560',NULL,'sl-lnjd-tjsq7-wgy'),('4643065118216756180','臧思宇','18744476636',NULL,'sl-lnjd-tjsq8-wgy'),('4643065118216756217','石红波','15043471557',NULL,'sl-lnjd-gsc1-wgy'),('4643065118216756243','张洪涛','13894479119',NULL,'sl-lnjd-zjc1-wgy'),('4643065118216756269','郝大伟','15981550981',NULL,'sl-lnjd-zjc2-wgy'),('4643065118216756295','刘建华','15886036665',NULL,'sl-lnjd-zjc3-wgy'),('4643065118216756321','吕宝良','15886045677',NULL,'sl-lnjd-zjc4-wgy'),('4643065118216756347','于海英','15981555635',NULL,'sl-lnjd-nksq1-wgy'),('4643065118216756425','刘静','15500131292',NULL,'sl-lnjd-nksq4-wgy'),('4643065118216756477','邵志红','13596619212',NULL,'sl-lnjd-nksq6-wgy'),('4643065118216756503','柴立新','15500153636',NULL,'sl-lnjd-nksq7-wgy'),('4643065118216756529','张光艳','13944432909',NULL,'sl-lnjd-nksq8-wgy'),('4643065118216756555','张淑娟','15886046887',NULL,'sl-lnjd-nksq9-wgy'),('4643065118216756581','崔萤','15981558173',NULL,'sl-lnjd-nksq10-wgy'),('4643065118216756607','周艳清','13844432468',NULL,'sl-lnjd-nksq11-wgy'),('4643065118216756633','寇华','18744422422',NULL,'sl-lnjd-nksq12-wgy'),('4643065152576495365','任航','15144458492',NULL,'sl-yjx-jfc1-wgy'),('4643065152576495391','龚洪林','13278018338',NULL,'sl-yjx-jfc2-wgy'),('4643065152576495417','任作成','15643471601',NULL,'sl-yjx-jfc3-wgy'),('4643065152576495443','辛东','13224415911',NULL,'sl-yjx-jfc4-wgy'),('4643065152576495469','刘子忠','18844464450',NULL,'sl-yjx-wxc1-wgy'),('4643065152576495495','尚宝友','13278427055',NULL,'sl-yjx-wxc2-wgy'),('4643065152576495521','王敏','13104347474',NULL,'sl-yjx-wxc3-wgy'),('4643065152576495547','刘桂野','13500842721',NULL,'sl-yjx-zgc1-wgy'),('4643065152576495573','赵忠武','15568519198',NULL,'sl-yjx-zgc2-wgy'),('4643065152576495599','任洪超','13278064346',NULL,'sl-yjx-zgc3-wgy'),('4643065186936225801','蔡健敏','15981567321',NULL,'sl-yjx-rgc1-wgy'),('4643065186936225827','高景超','15774453345',NULL,'sl-yjx-rgc2-wgy'),('4643065186936225853','廉玉喜','15043497688',NULL,'sl-yjx-abc1-wgy'),('4643065186936225879','曹春雷','13844439463',NULL,'sl-yjx-xfc1-wgy'),('4643065186936225905','谢永萍','15568517676',NULL,'sl-yjx-xfc2-wgy'),('4643065186936225931','董志敏','15643456780',NULL,'sl-yjx-zxc1-wgy'),('4643065186936225957','王桂芳','13596614522',NULL,'sl-yjx-zxc2-wgy'),('4643065186936225983','高洪国','18629828620',NULL,'sl-yjx-arc1-wgy'),('4643065186936226009','刘国伟','18844452006',NULL,'sl-yjx-arc2-wgy'),('4643065186936226035','张天彪','13596657122',NULL,'sl-yjx-arc3-wgy'),('4643065186936226061','季殿臣','15568516118',NULL,'sl-yjx-hyc1-wgy'),('4643065186936226087','解志永','13304352749',NULL,'sl-yjx-hyc2-wgy'),('4643065186936226113','兰景利','15843490938',NULL,'sl-yjx-hyc3-wgy'),('4643065186936226139','陆军','15981564129',NULL,'sl-yjx-yjc1-wgy'),('4643065186936226165','于海燕','18844425641',NULL,'sl-yjx-yjc2-wgy'),('4643065186936226191','梁万春','18543428095',NULL,'sl-yjx-yjc3-wgy'),('4643070203458030460','王淑芳','18744495184',NULL,'ls-ljgz-chansq2-wgy'),('4643070203458030616','刘阳','18744424466',NULL,'ls-ljgz-bljzcwh5-wgy'),('4643070203458030668','孙殿龙','13224444689',NULL,'ls-ljgz-bljzcwh7-wgy'),('4643070203458030720','梁加贵','15044441587',NULL,'ls-ljgz-dalhcwh1-wgy'),('4643070203458030772','王永成','13596679468',NULL,'ls-ljgz-dalhcwh3-wgy'),('4643070203458030824','陈洪江','13894487409',NULL,'ls-ljgz-dalhcwh5-wgy'),('4643070203458030928','杜飞','15981590188',NULL,'ls-ljgz-dklcwh3-wgy'),('4643070203458030954','陈庆发','15944493457',NULL,'ls-ljgz-dklcwh4-wgy'),('4643070203458030980','李连有','15886082213',NULL,'ls-ljgz-dklcwh5-wgy'),('4643070203458031032','孙有和','17643454499',NULL,'ls-ljgz-dwjcwh2-wgy'),('4643070203458031084','毕振启','13896675980',NULL,'ls-ljgz-hanjcwh1-wgy'),('4643070203458031110','郝文久','15590466659',NULL,'ls-ljgz-hanjcwh2-wgy'),('4643070203458031136','李福军','13894419723',NULL,'ls-ljgz-hanjcwh3-wgy'),('4643070203458031162','刘玉秋','18243400567',NULL,'ls-ljgz-hanjcwh4-wgy'),('4643070203458031188','张甲才','18743432985',NULL,'ls-ljgz-hanjcwh5-wgy'),('4643070203458031240','孙玉山','13844477568',NULL,'ls-ljgz-jjcwh1-wgy'),('4643070203458031266','田维','13596644333',NULL,'ls-ljgz-jjcwh2-wgy'),('4643070203458031292','王金江','13596622796',NULL,'ls-ljgz-jjcwh3-wgy'),('4643070203458031318','张立国','15044494406',NULL,'ls-ljgz-jjcwh4-wgy'),('4643070203458031396','周振明','18843437575',NULL,'ls-ljgz-ljgzcwh3-wgy'),('4643070203458031448','滕中军','15886081366',NULL,'ls-ljgz-ljgzcwh5-wgy'),('4643070203458031474','于文清','15004495379',NULL,'ls-ljgz-ljgzcwh6-wgy'),('4643070203458031500','王飞','15943442526',NULL,'ls-ljgz-ljgzcwh7-wgy'),('4643070203458031526','郭印 ','18743431313',NULL,'ls-ljgz-ljgzcwh8-wgy'),('4643070203458031552','许会来','15981564111',NULL,'ls-ljgz-lscwh1-wgy'),('4643070203458031578','王秀财','13894450396',NULL,'ls-ljgz-lscwh2-wgy'),('4643070203458031682','肖金波','13689747326',NULL,'ls-ljgz-nlzjcwh2-wgy'),('4643070203458031708','王金海','18743438548',NULL,'ls-ljgz-nlzjcwh3-wgy'),('4643070203458031760','王树军','18744435778',NULL,'ls-ljgz-nlzjcwh5-wgy'),('4643070203458031812','彭万成','18343438555',NULL,'ls-ljgz-nlzjcwh7-wgy'),('4643070203458031864','王占利','15044492323',NULL,'ls-ljgz-nlzjcwh9-wgy'),('4643070203458031942','甄海亮','18744432420',NULL,'ls-ljgz-nlzjcwh12-wgy'),('4643070203458031968','任红岩','13843492468',NULL,'ls-ljgz-sanjwpchw1-wgy'),('4643070203458032020','薄玉来','15044494286',NULL,'ls-ljgz-sanjwpchw3-wgy'),('4643070203458032046','吴学德','15004459658',NULL,'ls-ljgz-sanjwpchw4-wgy'),('4643070203458032072','王大平','15843461502',NULL,'ls-ljgz-tanycwh1-wgy'),('4643070203458032124','刘志','15044414255',NULL,'ls-ljgz-tanycwh3-wgy'),('4643070203458032228','杨忠伟','15044458234',NULL,'ls-ljgz-wanghcwh1-wgy'),('4643070203458032280','刘跃辉','15004494809',NULL,'ls-ljgz-wanghcwh3-wgy'),('4643070203458032332','白洪权','15204436188',NULL,'ls-ljgz-wanghcwh5-wgy'),('4643070203458032462','黄树元','15004457670',NULL,'ls-ljgz-wjtzcwh1-wgy'),('4643070203458032488','王大勇','15004493088',NULL,'ls-ljgz-wjtzcwh2-wgy'),('4643070203458032514','王生学','13654448556',NULL,'ls-ljgz-wjtzcwh3-wgy'),('4643070203458032541','刘绍明','15004495599',NULL,'ls-ljgz-wjtzcwh4-wgy'),('4643070203458032567','王彦忠','15943455366',NULL,'ls-ljgz-wlcwh1-wgy'),('4643070203458032593','王国明','15585443299',NULL,'ls-ljgz-wlcwh2-wgy'),('4643070203458032619','张学东','13904355676',NULL,'ls-ljgz-wlcwh3-wgy'),('4643070203458032671','黄树林','13664348651',NULL,'ls-ljgz-wlcwh5-wgy'),('4643070203458032697','赵华','15204471169',NULL,'ls-ljgz-xklcwh1-wgy'),('4643070203458032723','史春晓','15004481126',NULL,'ls-ljgz-xklcwh2-wgy'),('4643070203458032801','程海军','13630913621',NULL,'ls-ljgz-xklcwh5-wgy'),('4643070203458032853','赵健','15568528885',NULL,'ls-ljgz-xklcwh7-wgy'),('4643070203458032905','张涛','15204413388',NULL,'ls-ljgz-xklcwh9-wgy'),('4643070203458032957','孟凡伟','13843473680',NULL,'ls-ljgz-xiwucwh1-wgy'),('4643070203458032983','潘小刚','13843476635',NULL,'ls-ljgz-xiwucwh2-wgy'),('4643070478335934563','李海英','18743435350',NULL,'ls-xkz-kcsq1-wgy'),('4643070478335934589','于义福','15044499289',NULL,'ls-xkz-xkcwh1-wgy'),('4643070478335934615','张卓','15144638887',NULL,'ls-xkz-xkcwh2-wgy'),('4643070478335934641','裴晓静','13278035508',NULL,'ls-xkz-xkcwh3-wgy'),('4643070478335934667','李亮','15943445569',NULL,'ls-xkz-xkcwh4-wgy'),('4643070478335934693','田海艳','17519367411',NULL,'ls-xkz-xkcwh5-wgy'),('4643070478335934719','王金伟','15143441800',NULL,'ls-xkz-xkcwh6-wgy'),('4643070478335934745','刘树清','13894481756',NULL,'ls-xkz-xkcwh7-wgy'),('4643070478335934771','仵占广','17076791666',NULL,'ls-xkz-xkcwh8-wgy'),('4643070478335934797','张文全','15590470035',NULL,'ls-xkz-xhcwh1-wgy'),('4643070478335934823','赵方春','13278034355',NULL,'ls-xkz-xhcwh2-wgy'),('4643070478335934849','李海臣','15143473789',NULL,'ls-xkz-xhcwh3-wgy'),('4643070478335934875','曲长龙','15590470081',NULL,'ls-xkz-xhcwh4-wgy'),('4643070478335934901','于海龙','13258717227',NULL,'ls-xkz-xhcwh5-wgy'),('4643070478335934927','冯亮','15004484218',NULL,'ls-xkz-xhcwh6-wgy'),('4643070478335934953','张凤海','13278092443',NULL,'ls-xkz-xhcwh7-wgy'),('4643070478335934979','代永安','15500424290',NULL,'ls-xkz-xhcwh8-wgy'),('4643070478335935005','张振军','13674409687',NULL,'ls-xkz-xhcwh9-wgy'),('4643070478335935031','李忠平','15981592614',NULL,'ls-xkz-chfcwh1-wgy'),('4643070478335935057','赵明振','15981596105',NULL,'ls-xkz-chfcwh2-wgy'),('4643070478335935083','张喜','15500422289',NULL,'ls-xkz-chfcwh3-wgy'),('4643070478335935109','郑永会','15584757499',NULL,'ls-xkz-chfcwh4-wgy'),('4643070478335935135','王学才','15567259098',NULL,'ls-xkz-chfcwh5-wgy'),('4643070478335935161','邵启栋','15004458404',NULL,'ls-xkz-wujcwh1-wgy'),('4643070478335935187','李维艳','15844494190',NULL,'ls-xkz-wujcwh2-wgy'),('4643070478335935213','赵生','13894455248',NULL,'ls-xkz-wujcwh3-wgy'),('4643070478335935239','陈彦','15004470169',NULL,'ls-xkz-wujcwh4-wgy'),('4643070478335935265','霍占吉','15204432700',NULL,'ls-xkz-wujcwh5-wgy'),('4643070478335935291','苏景双','15004486841',NULL,'ls-xkz-wujcwh6-wgy'),('4643070478335935317','田喜宾','15143420390',NULL,'ls-xkz-xfcwh1-wgy'),('4643070478335935343','孙成野','13278030019',NULL,'ls-xkz-xfcwh2-wgy'),('4643070478335935369','田海军','13620777718',NULL,'ls-xkz-xfcwh3-wgy'),('4643070478335935395','曹福','13596676903',NULL,'ls-xkz-xfcwh4-wgy'),('4643070478335935421','王继平','15943458233',NULL,'ls-xkz-xfcwh5-wgy'),('4643070478335935447','姜士民','15665956318',NULL,'ls-xkz-xfcwh6-wgy'),('4643070478335935473','初殿宏','15944451141',NULL,'ls-xkz-hwcwh1-wgy'),('4643070478335935499','彦佩山','15643443388',NULL,'ls-xkz-hwcwh2-wgy'),('4643070478335935525','王恒','13944483881',NULL,'ls-xkz-hwcwh3-wgy'),('4643070478335935551','陈兴启','15981588790',NULL,'ls-xkz-hwcwh4-wgy'),('4643070478335935577','王东生','15834422788',NULL,'ls-xkz-hwcwh5-wgy'),('4643070478335935603','兰有丰','15643442391',NULL,'ls-xkz-chxcwh1-wgy'),('4643070478335935629','刘野','13394449481',NULL,'ls-xkz-chxcwh2-wgy'),('4643070478335935655','王国祥','15590239788',NULL,'ls-xkz-chxcwh3-wgy'),('4643070478335935681','赵国柏','13944483819',NULL,'ls-xkz-chxcwh4-wgy'),('4643070478335935707','骆威','15044437899',NULL,'ls-xkz-chxcwh5-wgy'),('4643070478335935733','刘金福','13630991089',NULL,'ls-xkz-chxcwh6-wgy'),('4643070478335935759','滕景安','18343433000',NULL,'ls-xkz-chxcwh7-wgy'),('4643070478335935785','李铁军','13226272777',NULL,'ls-xkz-chxcwh8-wgy'),('4643070478335935811','侯刚','17084440456',NULL,'ls-xkz-dkcwh1-wgy'),('4643070478335935837','李海军','13844481119',NULL,'ls-xkz-dkcwh2-wgy'),('4643070478335935863','崔玉玺','18343482444',NULL,'ls-xkz-dkcwh3-wgy'),('4643070478335935889','刘玉华','15004495948',NULL,'ls-xkz-dkcwh4-wgy'),('4643070478335935915','于淑艳','13694341717',NULL,'ls-xkz-chjcwh1-wgy'),('4643070478335935941','陈喜军','15944492321',NULL,'ls-xkz-chjcwh2-wgy'),('4643070478335935967','郑永峰','13894487500',NULL,'ls-xkz-chjcwh3-wgy'),('4643070478335935993','慕海红','18643452088',NULL,'ls-xkz-chjcwh4-wgy'),('4687430584196277096','杜生','15043473335',NULL,'sl-ldjd-bssq6-wgy'),('4687435909955736694','陈泽平','18843620610',NULL,'sl-lxjd-dcsq6-wgy'),('4687435909955736723','杨艳春','13844457119',NULL,'sl-lxjd-dcsq7-wgy'),('4760179427451029971','董凯','13944449124',NULL,'tx-dzjd-chzsq5-wgy'),('4760179427451030842','徐宝','15944457700',NULL,'tx-pxx-dbdc1-wgy'),('4760179427451031251','孙柏旭','15144455289',NULL,'sls-xlx-xlc4-wgy'),('4760179427451032610','刘广伟','15144457412',NULL,'sl-mlz-xsc2-wgy'),('4760179427451032641','杨立军','13843469367',NULL,'sl-mlz-xsc5-wgy'),('4760179633609461531','范景林','15143474788',NULL,'ls-sdx-sdcwh6-wgy'),('4760179633609461557','魏秀芳','15981574378',NULL,'ls-sdx-sdcwh9-wgy'),('4760179633609461583','李杰','15886069889',NULL,'ls-sdx-sdcwh12-wgy'),('4760231448094974232','蒋治同','13894407272',NULL,'tx-dzjd-chzsq1-wgy'),('4760231448094974259','曹凯香','18643008910',NULL,'tx-dzjd-chzsq2-wgy'),('4760231448094974296','李越男','13596665862',NULL,'tx-dzjd-chzsq3-wgy'),('4760231448094974323','胡晓贺','15804347527',NULL,'tx-dzjd-chzsq4-wgy'),('4760231448094974910','胡俊财','15134437864',NULL,'ls-lmdz-hucjwh1-wgy'),('4760231448094976422','李建庆','15043486961',NULL,'sl-mlz-xsc1-wgy'),('4760231448094976475','鞠春江','13596612655',NULL,'sl-mlz-xsc3-wgy'),('4760231448094976502','尚昭辉','13630973066',NULL,'sl-mlz-xsc4-wgy'),('4760231585533934391','杨春艳','13943497915',NULL,'ls-sdx-sdcwh7-wgy'),('4760231585533934417','宋健','15944473366',NULL,'ls-sdx-sdcwh8-wgy'),('4760231585533934443','贾丹辉','13154347195',NULL,'ls-sdx-sdcwh10-wgy'),('4760231585533934469','满海军','13944411766',NULL,'ls-sdx-sdcwh11-wgy'),('4760231585533934495','陈秀君','13944495522',NULL,'ls-sdx-sdcwh13-wgy'),('4800457184076405618','吴迪','15144606161',NULL,'tx-pxx-hfc2-wgy'),('4800457184076405645','董彦','13504342125',NULL,'tx-rxjd-ybs8-wgy'),('4800457184076405672','宋丹','15526599818',NULL,'tx-rxjd-ybs9-wgy'),('4800457287155615447','刘文清','18744495866',NULL,'td-yhmzz-yhc4-wgy'),('4800457287155615478','刘兆','15004498210',NULL,'td-yhmzz-ymlc2-wgy'),('4800457287155615515','张忠军','13630998122',NULL,'td-yhmzz-ymlc3-wgy'),('4800457287155615554','田刚','15844406600',NULL,'td-yhmzz-ypc2-wgy'),('4829158217132628628','王五','15522722677',NULL,'111'),('4829158560730005587','仇宝利','15943435643',NULL,'td-yhmzz-xlc3-wgy'),('4829158560730005618','刘洋','15044490029',NULL,'td-yhmzz-yhc3-wgy'),('4957965935607126799','臧立军','13844493136',NULL,'yt-edz-zxcwh5-wgy'),('4957965969966858427','赵双龙','16643409468',NULL,'yt-edz-erdcwh6-wgy'),('4957965969966858485','刘中华','16643409459',NULL,'yt-edz-zxcwh6-wgy'),('4957965969966858516','赵云龙','16643409457',NULL,'yt-edz-hjcwh7-wgy'),('4957965969966858591','袁杰','16643409420',NULL,'yt-edz-wandcwh7-wgy'),('4957965969966858678','赵连发','16643409466',NULL,'yt-edz-hscwh5-wgy'),('4957986551450153429','郭浩楠','16643409467',NULL,'yt-edz-shmcwh8-wgy'),('4957986551450153466','郝中明','16643409455',NULL,'yt-edz-hdcwh6-wgy'),('4957986551450153512','赵志国','16643409458',NULL,'yt-edz-schcwh11-wgy'),('4957986551450154036','孙占国','16643409456',NULL,'yt-edz-fuancwh5-wgy'),('4957986620169630140','周爽','18504346256',NULL,'td-smljd-zwsq5-wgy'),('5080959608392756849','周志国','15981566028',NULL,'sl-dmz-htpc4-wgy'),('5080959848910924347','山国圣','18744427766',NULL,'sl-ldjd-fjsq8-wgy'),('5080959848910924429','赵慧鑫','15643478666',NULL,'sl-ldjd-fjsq9-wgy'),('5080959848910924499','卢兴旺','15204450099',NULL,'sl-ldjd-jlsq8-wgy'),('5525959486304241772','周芳宇','18744499090',NULL,'220322003001002'),('5871529359484821536','赵京京','15590291829',NULL,'tx-dzjd-amsq16-wgy'),('5871529359484821563','陈红','13500963143',NULL,'td-jfjd-bdqsq12-wgy'),('5871529359484821588','崔海英','13943468529',NULL,'tx-dzjd-amsq17-wgy'),('5871529359484821617','李佳','13844402746',NULL,'td-jfjd-bdqsq13-wgy'),('5871529359484821644','张艳平','13089289278',NULL,'td-jfjd-bdqsq14-wgy'),('5871529359484821673','莫奎丽','13944410977',NULL,'td-jfjd-cysq1-wgy'),('5871529428204302097','张平','13634347899',NULL,'tx-dzjd-amsq11-wgy'),('5871529428204302123','李荣荣','15844443420',NULL,'tx-dzjd-amsq12-wgy'),('5871529428204302149','杨东','13614340740',NULL,'tx-dzjd-amsq13-wgy'),('5871529428204302175','王彦斌','13604340798',NULL,'tx-dzjd-amsq14-wgy'),('5871529428204302201','赵京京','13278500909',NULL,'tx-dzjd-amsq15-wgy'),('5871529565643252752','庄园','17543437800',NULL,'tx-rxjd-yb7wgy'),('5871529565643252787','于晶','15643424447',NULL,'tx-rxjd-yb8-wgy'),('5871529565643252818','刘朗','15844449490',NULL,'tx-rxjd-yb9wgy'),('5871529565643252853','李彬彬','13843449364',NULL,'tx-rxjd-yb10-wgy'),('5871529565643252941','陈艺丹','13644442509',NULL,'tx-rxjd-ycs10-wgy'),('5871529565643252987','倪爱萍','15704341028',NULL,'tx-rxjd-ycs11-wgy'),('5871529565643253023','尹莉丽','15590260111',NULL,'tx-rxjd-dysq12-wgy'),('5871529565643253062','徐晨博','15134401001',NULL,'tx-rxjd-dysq10-wgy'),('5871529565643253093','姜帆','15944417878',NULL,'tx-rxjd-dysq11-wgy'),('5871529565643253135','刘刚','15568569023',NULL,'tx-rxjd-tqsq9-wgy'),('5871529565643253162','杨鹏飞','15947267657',NULL,'tx-rxjd-tqsq11-wgy'),('5871529565643253207','王莹','15834459590',NULL,'tx-rxjd-ybs10-wgy'),('5871529565643253263','李琳','18744400625',NULL,'tx-rxjd-hysq9-wgy'),('5871529565643253293','刘井新','18543448870',NULL,'tx-rxjd-hysq5-wgy'),('5871529565643253339','尹明珠','13604347779',NULL,'tx-rxjd-hysq6-wgy'),('5871529565643253372','王艳波','18704340068',NULL,'tx-rxjd-hysq7-wgy'),('5871529565643257558','李贺楠','15144617198',NULL,'tx-rxjd-btsq7-wgy'),('5871530424636712516','张月','15886077739',NULL,'ls-dhz-dhcwh2-wgy'),('5871530424636712667','张洪文','13278098852',NULL,'ls-dhz-dhcwh3-wgy'),('5871530424636712694','陈兴恒','15004471540',NULL,'ls-dhz-dhcwh4-wgy'),('5871530424636712721','杨海清','15843480369',NULL,'ls-dhz-dhcwh5-wgy'),('5871530424636712767','卜宪华','13630979187',NULL,'sl-mlz-elsc6-wgy'),('5871530596435408816','宋焕和','18743476999',NULL,'ls-dhz-shczcwh4-wgy'),('5871530596435408843','赵连余','15585440662',NULL,'ls-dhz-shczcwh7-wgy'),('5871530596435408870','李传柱','15044496989',NULL,'ls-dhz-shczcwh3-wgy'),('5871530596435408897','高喜良','15144491416',NULL,'ls-dhz-shczcwh10-wgy'),('5871530596435408924','祁绍春','15143422555',NULL,'ls-dhz-shczcwh2-wgy'),('5871530596435408951','张伟','18843494012',NULL,'ls-dhz-shczcwh8-wgy'),('5871530596435408978','高生','18343437299',NULL,'ls-dhz-shczcwh6-wgy'),('5871530596435409005','刘学会','16688442816',NULL,'ls-dhz-shczcwh5-wgy'),('5871530596435409032','祁绍英','13634344778',NULL,'ls-dhz-shczcwh9-wgy'),('5871530596435409059','桑学文','15004499068',NULL,'ls-dhz-dhcwh7-wgy'),('5871530596435409086','郑洪军','15004459816',NULL,'ls-dhz-dhcwh6-wgy'),('5871530630795143418','温骊','13278000606',NULL,'tx-yxjd-ygsq10-wgy'),('5871530802593838926','贾相玉','13698726211',NULL,'ls-sdx-sdcwh14-wgy'),('5871530802593839634','吴大海','15044080086',NULL,'ls-sdx-tancwh8-wgy'),('5871531421069127428','于兴东','15584701555',NULL,'ls-dhz-shelcwh01-wgy'),('5871531421069127514','于淑玲','15506006422',NULL,'ls-dhz-shelcwh2-wgy'),('5871531421069127541','董风辉','15143466685',NULL,'ls-dhz-shelcwh3-wgy'),('5871531421069127568','方向付','13278030699',NULL,'ls-dhz-shelcwh4-wgy'),('5871531421069127595','侯兴春','13630912008',NULL,'ls-dhz-shelcwh5-wgy'),('5871531421069127624','张昌双','13278030677',NULL,'ls-dhz-shelcwh6-wgy'),('5871531421069127653','高有','13596678077',NULL,'ls-dhz-shelcwh7-wgy'),('5871531421069127682','于海江','13644349456',NULL,'ls-dhz-shelcwh8-wgy'),('5871531421069127710','刘国平','13843492090',NULL,'ls-dhz-shelcwh9-wgy'),('5871531421069127758','高振权','15981598590',NULL,'ls-dhz-shelcwh10-wgy'),('5871531421069127887','袁喜坤','15004487878',NULL,'ls-dhz-shszcwh2-wgy'),('5871531421069127914','沈家军','18743435069',NULL,'ls-dhz-shszcwh3-wgy'),('5871531421069127941','孙万和','15944495446',NULL,'ls-dhz-shszcwh4-wgy'),('5871531421069127968','刘丰','15981688005',NULL,'ls-dhz-shszcwh5-wgy'),('5871531421069127995','徐晓明','15004487763',NULL,'ls-dhz-shszcwh6-wgy'),('5871531421069128022','张德生','13404648680',NULL,'ls-dhz-shszcwh7-wgy'),('5871531421069128049','李占武','15886085518',NULL,'ls-dhz-shszcwh8-wgy'),('5871531421069128076','冯宝东','15981591710',NULL,'ls-dhz-shszcwh9-wgy'),('5871531421069128103','辛凤国','15204347899',NULL,'ls-dhz-shszcwh10-wgy'),('5871531421069128292','张守和','15943434386',NULL,'ls-dhz-sshcwh2-wgy'),('5871531421069129157','赵凤权','15204473466',NULL,'ls-dhz-sshcwh3-wgy'),('5871531421069129185','刘兆才','15004483428',NULL,'ls-dhz-sshcwh4-wgy'),('5871531421069129212','张兴昌','15004476152',NULL,'ls-dhz-sshcwh5-wgy'),('5871531421069129239','刘志学','13354346888',NULL,'ls-dhz-sshcwh6-wgy'),('5871531421069129266','王占山','13404641020',NULL,'ls-dhz-sshcwh7-wgy'),('5871531421069129292','宋义','13689747886',NULL,'ls-dhz-sshcwh8-wgy'),('5871531421069129379','刘永生','15981590708',NULL,'ls-dhz-wpfcwh02-wgy'),('5871531421069129424','王长庆','15844481799',NULL,'ls-dhz-wpfcwh2-wgy'),('5871531421069129454','徐仁','15981592887',NULL,'ls-dhz-wpfcwh3-wgy'),('5871531421069129480','李万田','13843429892',NULL,'ls-dhz-wpfcwh4-wgy'),('5871531421069129507','徐洪','18744448497',NULL,'ls-dhz-wpfcwh5-wgy'),('5871531421069129534','葛春文','15981598361',NULL,'ls-dhz-wpfcwh7-wgy'),('5871531421069129561','钟永祥','15886099224',NULL,'ls-dhz-wpfcwh8-wgy'),('5871531421069129588','葛春雷','13843470404',NULL,'ls-dhz-wpfcwh9-wgy'),('5871531421069129615','逯春','13654548679',NULL,'ls-dhz-wpfcwh10-wgy'),('5871531421069129644','黄艳','15043936213',NULL,'ls-dhz-wpfcwh11-wgy'),('5871531455428863881','李艳娟','15944499195',NULL,'ls-dhz-zhjdsq01-wgy'),('5871531455428863926','刘志华','18743490988',NULL,'ls-dhz-zhjcwh01-wgy'),('5871531455428867429','谭凤明','15843466991',NULL,'ls-dhz-ljgzcwh2-wgy'),('5871531455428867456','陈双','15886073690',NULL,'ls-dhz-ljgzcwh3-wgy'),('5871531455428867483','孙立波','13278127805',NULL,'ls-dhz-ljgzcwh4-wgy'),('5871531455428867520','孙静波','15981599612',NULL,'ls-dhz-ljgzcwh5-wgy'),('5871531455428867557','赵连生','13596621838',NULL,'ls-dhz-ljgzcwh6-wgy'),('5871531455428867594','唐立军','15143466303',NULL,'ls-dhz-ljgzcwh7-wgy'),('5871531455428867621','孙志超','13278096485',NULL,'ls-dhz-ljgzcwh8-wgy'),('5871531455428867648','王凤江','17743000137',NULL,'ls-dhz-ljgzcwh9-wgy'),('5871531455428867675','朱晓红','15144636099',NULL,'ls-dhz-ljgzcwh10-wgy'),('5871531455428868839','吕英杰','13404643567',NULL,'ls-dhz-wycwh2-wgy'),('5871531455428868911','王铁','13614448732',NULL,'ls-dhz-wycwh3-wgy'),('5871531455428868983','柴寿森','15843468443',NULL,'ls-dhz-wycwh4-wgy'),('5871531455428869055','兰子明','15981598450',NULL,'ls-dhz-wycwh5-wgy'),('5871531455428869127','吴再波','15004479155',NULL,'ls-dhz-wycwh6-wgy'),('5871531455428869155','史丙福','15944494899',NULL,'ls-dhz-wycwh7-wgy'),('5871531455428869182','陈洪岩','15981584475',NULL,'ls-dhz-wycwh8-wgy'),('5871531455428869407','万成亮','13943114408',NULL,'ls-dhz-xfcwh2-wgy'),('5871531455428869434','郑福军','13298896889',NULL,'ls-dhz-xfcwh3-wgy'),('5871531455428870001','张利','15886076716',NULL,'ls-dhz-xfcwh4-wgy'),('5871531455428870028','卢铁行','15844499066',NULL,'ls-dhz-xfcwh5-wgy'),('5871531455428870055','徐可新','18744499588',NULL,'ls-dhz-xfcwh6-wgy'),('5871531455428870081','杨奇','15590226781',NULL,'ls-dhz-xfcwh7-wgy'),('5871531455428870109','佟国才','18243494832',NULL,'ls-dhz-xfcwh8-wgy'),('5871531489788600324','邴跃和','15004461117',NULL,'ls-dhz-xfcwh9-wgy'),('5871531489788600351','窦春凤','15567257839',NULL,'ls-dhz-yjtcwh2-wgy'),('5871531489788600377','龚顺','15585449522',NULL,'ls-dhz-yjtcwh3-wgy'),('5871531489788600405','许坤','15143478345',NULL,'ls-dhz-yjtcwh4-wgy'),('5871531489788600432','田晓琴','13694391964',NULL,'ls-dhz-yjtcwh5-wgy'),('5871531489788600459','郭春生','17543435198',NULL,'ls-dhz-zhjdcwh2-wgy'),('5871531489788600485','赵士国','13630998133',NULL,'ls-dhz-zhjdcwh3-wgy'),('5871531489788600512','王永华','18743434789',NULL,'ls-dhz-zhjdcwh4-wgy'),('5871531489788600539','赵红杰','13278085222',NULL,'ls-dhz-zhjdcwh5-wgy'),('5871531489788600578','田喜林','15981588936',NULL,'ls-dhz-zhjdcwh6-wgy'),('5871531489788600605','周文革','15204430899',NULL,'ls-dhz-zhjdcwh7-wgy'),('5871531489788600632','张苗苗','13278410333',NULL,'ls-dhz-zhjdcwh8-wgy'),('5871531489788600663','王一平','13596621858',NULL,'ls-dhz-zhjdcwh9-wgy'),('5871531489788600690','徐喜春','13843428479',NULL,'ls-dhz-zhjcwh2-wgy'),('5871531489788600719','季权','13224444436',NULL,'ls-dhz-zhjcwh3-wgy'),('5871531489788600748','牛广丰','13944488605',NULL,'ls-dhz-zhjcwh4-wgy'),('5871531489788600777','孙国军','13596621077',NULL,'ls-dhz-zhjcwh5-wgy'),('5871531489788600806','周丙贵','15843473779',NULL,'ls-dhz-zhjcwh6-wgy'),('5871531489788600835','牛海龙','15204479399',NULL,'ls-dhz-zhjcwh7-wgy'),('5871531489788600864','李风江','16688442818',NULL,'ls-dhz-zhjcwh8-wgy'),('5871531489788600893','温海峰','13278037778',NULL,'ls-dhz-zhjcwh9-wgy'),('5871531489788600933','于国庆','15204432988',NULL,'ls-dhz-zhjcwh10-wgy'),('5871531970824945107','苏珊珊','13404608099',NULL,'td-qmljd-fmsq8-wgy'),('5871532005184681432','王文亮','15144419949',NULL,'td-cdx-fsc11-wgy'),('5871532108263896191','苏丹丹','15844403083',NULL,'td-cdx-hjxzc8-wgy'),('5871532108263896228','胡晓双','13404343337',NULL,'td-cdx-hjxzc9-wgy'),('5871535612957206108','刘东雪','17543443409',NULL,'td-cdx-fsc17-wgy'),('5871535612957206317','赵金昌','13504739294',NULL,'td-cdx-fsc14-wgy'),('5871537365303867278','金立志','13648525555',NULL,'42301353'),('5871538499175229501','崔淑珍','15044448888',NULL,'001'),('5871538499175229619','王艳梅','15943438888',NULL,'002'),('5871538499175229657','刘洪洁','13630916666',NULL,'003'),('5871538499175229714','邢丽','13943317777',NULL,'004'),('5871538499175231045','荆博宇','15133257895',NULL,'jing7410'),('5871538842772611237','高明','15144657688',NULL,'gaodan'),('5871538945851831747','张晓妹','13944430030',NULL,'199761'),('5871538980211569459','李想','13304322825',NULL,'13304322825'),('5871538980211569995','陈嘉楠','14142525511',NULL,'chenjianan'),('5871539014571303887','刘财','15043408935',NULL,'td-qmljd-wmsq7-wgy'),('5871539014571303973','霍佳','15004455519',NULL,'td-qmljd-wmsq6-wgy'),('5871539014571304054','苗苗','13944413828',NULL,'td-qmljd-wmsq10-wgy'),('5871539014571304081','吴世捷','18243439979',NULL,'td-qmljd-wmsq9-wgy'),('5871539014571304108','金一','13843418981',NULL,'13843418987'),('5871539014571304149','刘利利','18543406684',NULL,'td-qmljd-wmsq8-wgy'),('5871539220729741285','祝一','18222293671',NULL,'18222293677'),('5871539358168693461','李一','15590407831',NULL,'15590407839'),('5871539358168693632','谷一','15643440411',NULL,'15643440416'),('5871539358168693830','张一','18543423831',NULL,'18543423835'),('5871539358168694345','李伟一','15500220971',NULL,'15500220978'),('5871539358168694555','刘美一','17857098071',NULL,'17857098070'),('5871539461247905948','王丹一','13894435611',NULL,'13894435671'),('5871539461247906066','侯一','13278063961',NULL,'13278063966'),('5871539461247906360','李小一','13944431161',NULL,'13944431166'),('5871539461247906566','赵一','18243458821',NULL,'18243458822'),('5871539598686856026','唐明','18629886628',NULL,'td-qmljd-jssq6-wgy'),('5871539598686856187','伊大伟','18943408890',NULL,'td-qmljd-jssq5-wgy'),('5871539598686856306','吴迪','13500962340',NULL,'td-qmljd-jssq7-wgy'),('5871539598686856382','高阳','13843446612',NULL,'td-qmljd-jssq8-wgy'),('5871539804845287778','赵琳1','13630976643',NULL,'13331738055'),('5871540251521888167','白山','18243442456',NULL,'baiyushan'),('5871540320241361762','陈维','18643464549',NULL,'18643464549'),('5871540320241362764','赵泰然1','13595565411',NULL,'13278061880'),('5871540320241362791','刘航1','15843493989',NULL,'18629888035'),('5871540320241362947','陈晨1','15568502976',NULL,'18843152844'),('5871540388960841768','齐翠玲1','13501076404',NULL,'13630971018'),('5871540388960843326','王显亭1','13244094022',NULL,'13278027772'),('5871541763350378955','冯艳','15584738927',NULL,'td-qmljd-yqsq8-wgy'),('5871543928013893119','刘清洋','15500159887',NULL,'220322003001000'),('5871544202891798787','徐晓芳','18243498958',NULL,'2203224060020101'),('5871544202891799529','吕天阳','15886078456',NULL,'2203224060020102'),('5871544202891799843','张春英','13943315846',NULL,'2203224060020103'),('5871544202891800660','陈海红','15943447759',NULL,'2203224060020104'),('5871544443409965962','刘丹放','13278505054',NULL,'td-bmjd-xqsq8-wgy'),('5871544443409965991','韩林','18243433399',NULL,'td-bmjd-xqsq9-wgy'),('5871544615208660241','张贺','15590261916',NULL,'zhanghe'),('5871544752647613835','赵丽艳','15134444441',NULL,'td-cdx-fsc16-wgy'),('5871544890086566307','李星仪','13040388700',NULL,'sl-zjt-tl01-wgy'),('5871544890086566681','王心雨','13244345339',NULL,'sl-zjt-tl03-wgy'),('5871544890086566780','周雪薇','13630921920',NULL,'sl-zjt-tl04-wgy'),('5871544890086567416','张赫','15590261910',NULL,'sl-zjt-tl02-wgy'),('5871544890086567907','李丹丹','13504442779',NULL,'sl-zjt-tl05-wgy'),('5871544890086568411','白玉山','18243442455',NULL,'sl-zjt-tl06-wgy'),('5871544890086568449','王宇凤','13364558567',NULL,'sl-zjt-tl07-wgy'),('5871544890086568610','孙洋洋','15981682661',NULL,'sl-zjt-tl08-wgy'),('5871544890086568813','王特','18543129120',NULL,'sl-zjt-tl09-wgy'),('5871544890086569021','张维娜','15143454761',NULL,'sl-zjt-tl10-wgy'),('5871544890086569272','徐忠睿','13596618568',NULL,'sl-zjt-tl11-wgy'),('5871544890086569299','贾强','15943004874',NULL,'sl-zjt-tl12-wgy'),('5871544890086569385','高丹','15144657687',NULL,'sl-zjt-tl13-wgy'),('5871544890086569676','周大城','15526903720',NULL,'sl-zjt-yxsq7-wgy'),('5871544890086569703','王显亭','13278027772',NULL,'sl-zjt-yxsq8-wgy'),('5871544890086569774','陈晨','18843152844',NULL,'sl-zjt-yxsq9-wgy'),('5871544890086569801','翟俊姝','13756610517',NULL,'sl-zjt-yxsq10-wgy'),('5871544890086569828','李佳帅','18404357905',NULL,'sl-zjt-yxsq11-wgy'),('5871544890086569855','赵琳','13331738055',NULL,'sl-zjt-yxsq12-wgy'),('5871544890086569970','齐翠玲','13630971018',NULL,'sl-zjt-yxsq13-wgy'),('5871544890086570041','赵泰然','13278061880',NULL,'sl-zjt-yxsq14-wgy'),('5871544924446303212','张浩','18543423835',NULL,'sl-zjt-xxsq5-wgy'),('5871544924446303689','赵杰','18243458822',NULL,'sl-zjt-xxsq6-wgy'),('5871544924446303878','祝磊','18222293677',NULL,'sl-zjt-xxsq7-wgy'),('5871544924446303979','刘美辛','17857098070',NULL,'sl-zjt-xxsq8-wgy'),('5871544924446304036','谷月','15643440416',NULL,'sl-zjt-xxsq9-wgy'),('5871544924446304093','李莹','15590407839',NULL,'sl-zjt-xxsq10-wgy'),('5871544924446304150','李伟贤','15500220978',NULL,'sl-zjt-xxsq11-wgy'),('5871544924446304207','李小红','13944431166',NULL,'sl-zjt-xxsq12-wgy'),('5871544924446304264','王丹丹','13894435671',NULL,'sl-zjt-xxsq13-wgy'),('5871544924446304321','金桐','13843418987',NULL,'sl-zjt-xxsq14-wgy'),('5871544924446304378','侯杰','13278063966',NULL,'sl-zjt-xxsq15-wgy'),('5871544924446307091','金立志','17547595819',NULL,'sl-zjt-dhsq5-wgy'),('5871544924446307253','荆博宇','15981593532',NULL,'sl-zjt-dhsq6-wgy'),('5871544924446307280','赵志国','18443458455',NULL,'sl-zjt-dhsq7-wgy'),('5871544924446307307','陈嘉楠','18684240796',NULL,'sl-zjt-dhsq8-wgy'),('5871544924446307334','王宇航','18543414147',NULL,'sl-zjt-dhsq9-wgy'),('5871544924446307405','王磊','13464786413',NULL,'sl-zjt-dhsq10-wgy'),('5871544924446307432','李晶','13844459065',NULL,'sl-zjt-dhsq11-wgy'),('5871544924446307547','李想','13467598574',NULL,'sl-zjt-dhsq12-wgy'),('5871544924446307574','邢思月','13568676671',NULL,'sl-zjt-dhsq13-wgy'),('5871546986030608631','高星儿','18904445177',NULL,'td-qmljd-xrsq7-wgy'),('5871547226548774801','梁莹莹','15904340089',NULL,'td-bmjd-xcsq9-wgy'),('5871547226548775382','新春社区领导','13404341903',NULL,'td-bmjd-xcsq0-wgy'),('5871548463499358988','孙雪莲','15944400434',NULL,'td-bmjd-tysq13-wgy'),('6128639055444912551','吕友','13504733939',NULL,'td-bmjd-xcsq10-wgy'),('6128639055444913190','高丽辉','18744465689',NULL,'yt-masz-bgzcwh6-wgy'),('6128639055444917577','高秀清','15981576494',NULL,'yt-masz-jlcwh7-wgy'),('6128639536481249584','焦龙','15886066773',NULL,'yt-ksz-jjcwh9-wgy'),('6128639536481251030','岳兴明','15044466011',NULL,'yt-ksz-kshcwh21-wgy'),('6128639536481252048','徐贺','13844491106',NULL,'yt-ksz-zhcwh7-wgy'),('6128639536481252078','王立权','13624447588',NULL,'yt-ksz-zhcwh8-wgy'),('6128647817178245683','温学忠','18243472650',NULL,'yt-masz-yolcwh6-wgy'),('6128648951049612478','侯淑艳','15844472675',NULL,'yt-masz-jlcwh8-wgy'),('6128649432085950428','吕宝东','18744452478',NULL,'yt-ksz-kshcwh20-wgy'),('6167293692389530635','冯少明','15204402317',NULL,'td-bscjd-jlsq10-wgy'),('6167293829828479207','许博岩','15044444424',NULL,'td-smz-dwc5-wgy'),('6167293898547960580','佟欣茹','15590698881',NULL,'220322003003004'),('6167293898547960661','孙静','15044493158',NULL,'220322003003005'),('6167293898547960696','李思彤','18629850237',NULL,'220322003003006'),('6167293898547961272','张桂玲','13843499901',NULL,'220322006008'),('6167293898547961324','刘英男','13630996522',NULL,'220322006009'),('6167293898547961353','黄淑清','13694392079',NULL,'220322006010'),('6167293898547961420','汤淑媛','13630910110',NULL,'220322006011'),('6167293967267436151','张兴舟','15886074504',NULL,'ls-sjpz-xhzzcwh8-wgy'),('6167293967267437006','姜守红','15590225355',NULL,'ls-sjpz-xqzcwh8-wgy'),('6167293967267437842','田建华','13894483639',NULL,'220322001004007'),('6167294001627168791','王华','15844491429',NULL,'ls-sjpz-sjpsq2-wgy'),('6167294001627169110','李敏','13651386888',NULL,'ls-sjpz-sjpsq6-wgy'),('6167294001627169508','马丽双','13504449899',NULL,'ls-sjpz-sjpsq8-wgy'),('6167294001627169670','郭晓伟','13644349733',NULL,'ls-sjpz-sjpsq9-wgy'),('6167296372449130447','刘权勇','13674444991',NULL,'td-bscjd-jlsq7-wgy'),('6167296372449130517','孟露','15844444524',NULL,'td-bscjd-jlsq8-wgy'),('6167296372449130592','梁立发','18604342702',NULL,'td-bscjd-jlsq9-wgy'),('6167296578607556423','李中新','15144469353',NULL,'yt-jtz-lxcwh8-wgy'),('6167296578607556761','王永春','15004446106',NULL,'yt-jtz-lxcwh7-wgy'),('6167296578607556997','张淑芹','15944451914',NULL,'220322003003002'),('6167296578607557339','王莹','15004455755',NULL,'220322003003003'),('6167296578607557751','汤淑玲','13504745665',NULL,'220322006001'),('6167296578607557784','付彦杰','15834444599',NULL,'220322006002'),('6167296578607557813','付艳丽','13694392208',NULL,'220322006003'),('6167296578607557857','吴桂芳','13844472004',NULL,'220322006004'),('6167296578607557890','王静','15981685035',NULL,'220322006005'),('6167296578607557919','赵新','15590239606',NULL,'220322006006'),('6167296578607557948','聂亚林','15944491168',NULL,'220322006007'),('6167296647327033105','岳淑芬','13069222766',NULL,'ls-sjpz-xqzcwh9-wgy'),('6167296647327033176','郑秋月','13844480102',NULL,'220322001004001'),('6167296647327033456','杨丽杰','15004479745',NULL,'220322001004005'),('6167296647327033540','杨秀艳','15886071858',NULL,'220322001004006'),('6167296647327033591','郑媛媛','13224444932',NULL,'220322001004008'),('6167296647327034391','姜丽','13244081281',NULL,'ls-sjpz-sjpsq5-wgy'),('6167296647327034708','包世军','18743497288',NULL,'ls-sjpz-sjpsq7-wgy'),('6167296647327035119','李海霞','17604344027',NULL,'ls-sjpz-xqzcwh10-wgy'),('6233231335987798430','朱宝华','15500169806',NULL,'ls-fqjd-shqsq8-wgy'),('6233231335987798631','李闯','13944422204',NULL,'td-cdx-ymcc8-wgy'),('6233231335987798696','袁淑先','15504340336',NULL,'td-cdx-ymcc9-wgy'),('6233231335987804613','李陈子','18343431020',NULL,'2203224060020105'),('6233231335987804647','王修竹','18404348765',NULL,'2203224060020106'),('6233231335987804685','李玉娟','13278091915',NULL,'2203224060020107'),('6233231335987804711','程培春','15143428490',NULL,'2203224060020110'),('6233231335987804753','郑爽','15886062190',NULL,'yt-ytz-wuscwh8-wgy'),('6233231335987804800','黄美鑫','13174352716',NULL,'2203224060020111'),('6233231335987804828','刘小侠','15844403071',NULL,'2203224060020112'),('6233231335987804856','杨满会','13630700698',NULL,'2203224060020113'),('6233231335987804884','杜鹃','15004481911',NULL,'2203224060020114'),('6233231335987804912','张威','13604348010',NULL,'2203224060020115'),('6233231335987804940','于海军','13944443944',NULL,'2203224060020117'),('6233231335987804969','王金玉','13689728811',NULL,'2203224060020119'),('6233231370347536792','侯国强','15943438925',NULL,'ls-fqjd-shwsq6-wgy'),('6233231370347536818','高攀攀','13843417773',NULL,'ls-fqjd-shwsq7-wgy'),('6233231370347536844','王丹','15590280001',NULL,'ls-fqjd-shwsq8-wgy'),('6233231370347536870','王永亮','15542472395',NULL,'ls-fqjd-shwsq9-wgy'),('6233231370347536896','张蕾','13844486169',NULL,'ls-fqjd-shwsq10-wgy'),('6233231370347538049','刘艳霞','13258712100',NULL,'220322003001010'),('6233231507786495369','唐晓英','13404646328',NULL,'220322003001003'),('6233231507786495462','孙立清','15144493378',NULL,'220322003001005'),('6233231507786495505','陈宝海','13630993866',NULL,'220322003001008'),('6233231507786496416','乔会有','15944491288',NULL,'ls-ystz-lmcwh2-wgy'),('6233231507786496471','房玉文','15886052868',NULL,'yt-masz-xinfcwh5-wgy'),('6233231507786496536','梁宝山','15004471300',NULL,'ls-ystz-lmcwh4-wgy'),('6233231507786496565','邱武','15643433703',NULL,'ls-ystz-lmcwh5-wgy'),('6233231507786496708','孙立安','13596674101',NULL,'ls-ystz-xhecwh5-wgy'),('6233231507786496743','马贵兴','13278033707',NULL,'ls-ystz-xhecwh6-wgy'),('6233231507786496974','李国红','13596620508',NULL,'ls-ystz-shcwh3-wgy'),('6233231507786497016','王艳丰','13504447475',NULL,'ls-ystz-shcwh6-wgy'),('6233231507786497065','范继有','13278127017',NULL,'ls-ystz-shcwh5-wgy'),('6233231507786497096','赵国英','13596671981',NULL,'ls-ystz-shcwh4-wgy'),('6233231507786497783','王忠宝','18684241765',NULL,'ls-ystz-tjcwh7-wgy'),('6233231507786497809','王金明','13904355238',NULL,'ls-ystz-tjcwh2-wgy'),('6233231507786497835','赵会昌','15144493040',NULL,'ls-ystz-tjcwh5-wgy'),('6233231507786497998','卑颜阁','13843479870',NULL,'ls-ystz-lhcwh4-wgy'),('6233231542146228421','许亚军','13258732369',NULL,'yt-masz-tlucwh8-wgy'),('6233231542146228497','张旭明','15981531678',NULL,'ls-ystz-xxcwh3-wgy'),('6233231542146228535','张旭红','15590475333',NULL,'ls-ystz-xxcwh6-wgy'),('6233231542146228565','王贵超','18744465155',NULL,'yt-masz-tlucwh9-wgy'),('6233231542146228620','马艳忠','15943441513',NULL,'ls-ystz-xxcwh7-wgy'),('6233231542146228845','周德兴','17643412411',NULL,'ls-ystz-xjyfcwh6-wgy'),('6233231542146228874','周德民','15834415444',NULL,'ls-ystz-xjyfcwh7-wgy'),('6233231542146228910','周洪龙','15584723222',NULL,'ls-ystz-xjyfcwh4-wgy'),('6233231542146229130','于海','13179182125',NULL,'ls-ystz-dscwh4-wgy'),('6233231542146229156','张国斌','13654449211',NULL,'ls-ystz-dscwh3-wgy'),('6233231542146229182','徐国山','13624341475',NULL,'ls-ystz-dscwh5-wgy'),('6233231542146229445','姚全伍','13844471916',NULL,'ls-ystz-fscwh3-wgy'),('6233231542146229471','孙少新','15944459901',NULL,'ls-ystz-fscwh5-wgy'),('6233231542146229545','张有利','13689749687',NULL,'ls-ystz-fscwh8-wgy'),('6233231542146229721','李红','18343438800',NULL,'ls-hjd-hjdcwh1-wgy1'),('6233231542146229804','武文成','13214448806',NULL,'ls-hjd-hjdcwh1-wgy3'),('6233231542146229864','郑永真','15981686219',NULL,'ls-hjd-hjdcwh1-wgy5'),('6233231542146229902','李建峰','13674406762',NULL,'ls-hjd-hjdcwh1-wgy6'),('6233231542146229940','李江','15834418766',NULL,'ls-hjd-hjdcwh1-wgy8'),('6233231542146230141','孙振','15843467724',NULL,'ls-hjd-hjdcwh1-wgy13'),('6233231542146230184','王永权','13630992045',NULL,'ls-hjd-hjdcwh1-wgy15'),('6233231542146230238','倪奎','15944453570',NULL,'ls-hjd-hjdcwh1-wgy16'),('6233231542146230286','于占权','15843487557',NULL,'ls-ystz-xjcwh2-wgy'),('6233231542146230312','王和','13844481903',NULL,'ls-ystz-xjcwh6-wgy'),('6233231542146230344','肖树春','15944459567',NULL,'ls-ystz-xjcwh4-wgy'),('6233231542146230414','赵超','15590220777',NULL,'ls-ystz-xjcwh3-wgy'),('6233231542146230676','张秀梅','15144632899',NULL,'ls-ystz-slcwh5-wgy'),('6233231542146231283','张少清','15043432407',NULL,'ls-ystz-djwpcwh5-wgy'),('6233231542146231328','葛金辉','15585446499',NULL,'ls-ystz-djwpcwh7-wgy'),('6233231542146231360','杨玉田','18844478059',NULL,'yt-masz-xfcwh7-wgy'),('6233231542146231387','高忠理','13504347495',NULL,'ls-ystz-djwpcwh6-wgy'),('6233231542146231493','魏彦军','15134443676',NULL,'yt-masz-xfcwh8-wgy'),('6233231542146231541','刘玉民','13630950100',NULL,'yt-masz-xfcwh9-wgy'),('6233231542146231745','丁铁彦','15943459262',NULL,'ls-ystz-yjlcwh3-wgy'),('6233231542146232556','刘刚','13596626192',NULL,'ls-ystz-yjlcwh5-wgy'),('6233231576505969809','沈广东','15204476773',NULL,'ls-ystz-yjlcwh8-wgy'),('6233231576505971395','龚喜江','13843490407',NULL,'ls-ystz-yjlcwh9-wgy'),('6233231645225444770','周海超','15144638914',NULL,'ls-ystz-zhjyfcwh4-wgy'),('6233231645225444796','张守坤','13630917420',NULL,'ls-ystz-zhjyfcwh11-wgy'),('6233231645225444822','张淑芬','13894481438',NULL,'ls-ystz-zhjyfcwh3-wgy'),('6233231645225444853','张连文','15567241179',NULL,'ls-ystz-zhjyfcwh7-wgy'),('6233231645225444884','彦廷武','13630912883',NULL,'ls-ystz-zhjyfcwh10-wgy'),('6233231645225444944','李春祥','15843468477',NULL,'ls-ystz-xfpcwh4-wgy'),('6233231645225444970','李长海','18743432219',NULL,'ls-ystz-xfpcwh3-wgy'),('6233231645225444996','毕井申','15894458044',NULL,'ls-ystz-xfpcwh7-wgy'),('6233231645225446946','李月华','15004486234',NULL,'2203222003004014'),('6233231645225447241','王美娇','13674401399',NULL,'2203222003004010'),('6233231645225447533','李晓坤','15004450186',NULL,'2203222003004007'),('6233231645225447656','赵淑贤','13596678864',NULL,'22203222003004006'),('6233231645225447700','徐贵香','13154347234',NULL,'2203222003004005'),('6233231645225447738','董春荣','13159786899',NULL,'2203222003004004'),('6233231645225448240','张孝东','15843405710',NULL,'ls-ystz-dyscwh5-wgy'),('6233231645225448306','李宽','13844477196',NULL,'ls-ystz-dyscwh6-wgy'),('6233231645225449649','张国文','15886071100',NULL,'ls-ystz-zjjcwh9-wgy'),('6233231645225449754','杨新','15500175255',NULL,'ls-ystz-zjjcwh6-wgy'),('6233231645225449873','王有田','15844483127',NULL,'ls-ystz-zjjcwh10-wgy'),('6233231645225450926','姚也','13889747281',NULL,'ls-ystz-zjyfcwh3-wgy'),('6233231645225451015','牛发','13514345124',NULL,'ls-ystz-zjyfcwh5-wgy'),('6233231645225451080','王福','14717388005',NULL,'ls-ystz-zjyfcwh7-wgy'),('6233231679585182435','才桂荣','15843467600',NULL,'ls-ystz-pjcwh3-wgy'),('6233231679585189758','刘广文','13894451315',NULL,'220322003200003'),('6233231713944920102','蔡树田','13844480720',NULL,'220322003200005'),('6233231713944920559','周明','13943317562',NULL,'220322003200008'),('6233231713944920831','王成林','13630914364',NULL,'2203220032000011'),('6233231713944926046','张柏华','15568549091',NULL,'ls-hjd-xycwh7-wgy'),('6233231713944926083','王鹏','15044496911',NULL,'ls-hjd-xycwh9-wgy'),('6233231713944926143','宋吉成','15567230777',NULL,'ls-hjd-xycwh11-wgy'),('6233231748304665457','倪以玲','13331550521',NULL,'220322103002002'),('6233232366779956689','邢晓鹏','15144436783',NULL,'ls-hjd-dbscwh1-wgy2'),('6233232366779956734','郝福','13641349612',NULL,'ls-hjd-dbscwh1-wgy3'),('6233232366779956780','衣洪军','18744491238',NULL,'ls-hjd-dbscwh1-wgy5'),('6233232366779956817','周贵所','15044491238',NULL,'ls-hjd-dbscwh1-wgy6'),('6233232813456549899','纪玉玲','15044479688',NULL,'0000001'),('6233232813456549930','陈守廷','15981599531',NULL,'220322103008004'),('6233232813456549967','王魁涛','18643456660',NULL,'220322103008006'),('6233232813456550003','滕云飞','13843431425',NULL,'220322103008007'),('6233232813456550035','候占文','13844480582',NULL,'220322103008009'),('6233232813456552681','赵远军','13894487989',NULL,'ls-lhz-xkccwh3-wgy'),('6233232813456553477','徐岩','13596677800',NULL,'ls-lhz-xkccwh5-wgy'),('6233232813456553514','马振昌','13404648393',NULL,'ls-lhz-xkccwh8-wgy'),('6233232813456554858','陈立丰','15143429393',NULL,'ls-lhz-xycwh6-wgy'),('6233232813456554885','王海艳','13844488773',NULL,'ls-lhz-xycwh7-wgy'),('6233232813456554912','刘兴发','18744431504',NULL,'ls-lhz-xycwh8-wgy'),('6233233157053931910','杨雪','18684260004',NULL,'00555'),('6233233157053931937','齐敬红','13278428980',NULL,'YANG2'),('6233233157053931964','田野','15043483369',NULL,'sl-lx-yg-zxgzry'),('6233233157053936586','孙美','15981509877',NULL,'sl-lnjd-tjsq10-wgy'),('6233233157053936612','崔子鹏','13364478806',NULL,'sl-lnjd-tjsq11-wgy'),('6233233157053936649','周立鑫','13353162228',NULL,'sl-lnjd-tjsq15-wgy'),('6233233157053936675','朱立宇','15043498026',NULL,'sl-lnjd-tjsq17-wgy'),('6233233157053936701','杜明宇','13756147048',NULL,'sl-lnjd-tjsq18-wgy'),('6233233157053936987','赵博闻','18243449658',NULL,'sl-lnjd-tjsq21-wgy'),('6233233431931830742','佘丽丽','13944489372',NULL,'ls-fqjd-shqsq7-wgy'),('6233233431931833587','李鹏','13674405657',NULL,'2203224060020108'),('6233233431931833613','徐新新','15590229905',NULL,'2203224060020109'),('6233233431931833643','卢国春','16643409853',NULL,'yt-ytz-wuscwh9-wgy'),('6233233431931833677','慕添','13689729888',NULL,'2203224060020116'),('6233233431931833706','于敏杰','15143021427',NULL,'2203224060020118'),('6233233431931836712','代兆舒','13331553303',NULL,'ls-fqjd-shwsq4-wgy'),('6233233431931836738','管立旭','18644833344',NULL,'ls-fqjd-shwsq5-wgy'),('6233233431931836764','王立影','15943432350',NULL,'ls-fqjd-shwsq11-wgy'),('6233233431931836790','孙佳星','13634344462',NULL,'ls-fqjd-shwsq12-wgy'),('6233233431931836816','刘念','13844637546',NULL,'ls-fqjd-shwsq13-wgy'),('6233233431931836842','李艳茹','15530220065',NULL,'ls-fqjd-shwsq14-wgy'),('6233233431931837828','迟长海','15665967685',NULL,'220322003001009'),('6233233466291569043','李志荣','15500168795',NULL,'220322003001004'),('6233233466291569181','李静敏','13654349388',NULL,'220322003001006'),('6233233466291569235','陈军','15044483866',NULL,'220322003001007'),('6233233466291569954','周福忠','15590410868',NULL,'yt-masz-xinfcwh6-wgy'),('6233233466291570017','黄连清','13500849192',NULL,'ls-ystz-lmcwh3-wgy'),('6233233466291570166','贾凌双','15500166955',NULL,'ls-ystz-xhecwh4-wgy'),('6233233466291570530','张国英','15004476963',NULL,'ls-ystz-shcwh8-wgy'),('6233233466291570559','杜春山','15843476911',NULL,'ls-ystz-shcwh9-wgy'),('6233233466291570605','齐辉','15143423393',NULL,'ls-ystz-shcwh7-wgy'),('6233233466291571137','曲国江','15144692210',NULL,'ls-ystz-tjcwh6-wgy'),('6233233466291571178','李凤田','13630996787',NULL,'ls-ystz-tjcwh9-wgy'),('6233233466291571243','蔡洪城','13894483266',NULL,'ls-ystz-tjcw8-wgy'),('6233233466291571274','赵国军','13843477073',NULL,'ls-ystz-tjcwh3-wgy'),('6233233466291571300','陈金','13630912311',NULL,'ls-ystz-tjcwh4-wgy'),('6233233466291571499','卢文华','13689749255',NULL,'ls-ystz-lhcwh3-wgy'),('6233233466291571732','王化志','13630956650',NULL,'yt-masz-tlucwh6-wgy'),('6233233466291571773','于学敏','13500848139',NULL,'yt-masz-tlucwh7-wgy'),('6233233466291571805','任志宝','15843462185',NULL,'ls-ystz-xxcwh5-wgy'),('6233233466291571831','沈洪文','13363091539',NULL,'ls-ystz-xxcwh4-wgy'),('6233233466291571934','周宇','13843481629',NULL,'yt-masz-tlucwh10-wgy'),('6233233466291572264','刘立辉','17054959666',NULL,'ls-ystz-xjyfcwh5-wgy'),('6233233466291572544','于化龙','13664346556',NULL,'ls-ystz-dscwh2-wgy'),('6233233466291572862','代来','15004472407',NULL,'ls-ystz-fscwh6-wgy'),('6233233466291572899','尹国权','13894459267',NULL,'ls-ystz-fscwh4-wgy'),('6233233466291572930','张继超','15886076610',NULL,'ls-ystz-fscwh7-wgy'),('6233233466291572956','程晓刚','15665967333',NULL,'ls-ystz-fscwh2-wgy'),('6233233466291573191','刘国军','13634344120',NULL,'ls-hjd-hjdcwh1-wgy2'),('6233233466291573273','高玉成','13504447918',NULL,'ls-hjd-hjdcwh1-wgy4'),('6233233466291573314','蒋学谊','13694398678',NULL,'ls-hjd-hjdcwh1-wgy9'),('6233233466291573358','冯超','15844486666',NULL,'ls-hjd-hjdcwh1-wgy10'),('6233233466291573411','赵凤才','13634344301',NULL,'ls-hjd-hjdcwh1-wgy11'),('6233233466291573438','于立荣','13944486390',NULL,'ls-ystz-xfcwh4-wgy'),('6233233466291573498','张帅','15144431610',NULL,'ls-ystz-xfcwh5-wgy'),('6233233466291573524','李柏林','18744490222',NULL,'ls-hjd-hjdcwh1-wgy12'),('6233233466291573600','孙启龙','13894416063',NULL,'yt-masz-gycwh5-wgy'),('6233233466291573627','赵玉霞','15144462587',NULL,'ls-ystz-xfcwh3-wgy'),('6233233466291573739','王方红','13596672448',NULL,'ls-hjd-hjdcwh1-wgy14'),('6233233466291573992','李勇','15044488900',NULL,'ls-ystz-xjcwh5-wgy'),('6233233466291574239','李文明','15330656577',NULL,'ls-ystz-slcwh4-wgy'),('6233233466291574622','刘国良','15943441226',NULL,'ls-ystz-djwpcwh9-wgy'),('6233233466291574689','王永胜','13664348699',NULL,'ls-ystz-djwpcwh4-wgy'),('6233233466291574779','项文才','15943451818',NULL,'ls-ystz-djwpcwh8-wgy'),('6233233500651312767','刘汉生','13596640125',NULL,'ls-ystz-yjlcwh10-wgy'),('6233233500651314362','刘淑华','18744430779',NULL,'ls-ystz-yjlcwh7-wgy'),('6233233500651314397','张亚和','13596627162',NULL,'ls-ystz-yjlcwh4-wgy'),('6233233535011045384','张连有','18943812911',NULL,'ls-ystz-yjlcwh6-wgy'),('6233233569370788490','李春龙','15004444802',NULL,'yt-masz-qjcwh5-wgy'),('6233233569370788596','孙景阳','15843463777',NULL,'ls-ystz-zhjyfcwh8-wgy'),('6233233569370788622','张臣','13943310804',NULL,'ls-ystz-zhjyfcwh9-wgy'),('6233233569370788648','苏立峰','13944444331',NULL,'ls-ystz-zhjyfcwh6-wgy'),('6233233569370788674','董海','15584739508',NULL,'ls-ystz-zhjyfcwh5-wgy'),('6233233569370788734','张永文','15567225399',NULL,'ls-ystz-xfpcwh5-wgy'),('6233233569370788760','闫兴华','13630997966',NULL,'ls-ystz-xfpcwh6-wgy'),('6233233569370790574','张小微','15944456025',NULL,'220322003004002'),('6233233569370790659','余薇薇','15981682202',NULL,'2203222003004016'),('6233233569370790716','王燕燕','16559521777',NULL,'2203222003004015'),('6233233569370790809','董洪军','15981508009',NULL,'2203222003004013'),('6233233569370790856','刘金华','15774486000',NULL,'2203222003014012'),('6233233569370790917','曹凤华','13596621394',NULL,'2203222003004011'),('6233233569370791061','孙玉红','13596678992',NULL,'2203222003004009'),('6233233569370791163','邢亚贤','13894469375',NULL,'2203222003004008'),('6233233569370791437','张伟','15944453380',NULL,'2203222003004003'),('6233233569370791833','张国祥','15584791440',NULL,'ls-ystz-dyscwh9-wgy'),('6233233569370791920','徐驰','15943438921',NULL,'ls-ystz-dyscwh3-wgy'),('6233233603730522159','李凤刚','13904359698',NULL,'ls-ystz-dyscwh2-wgy'),('6233233603730522196','董良','15585642415',NULL,'ls-ystz-dyscwh4-wgy'),('6233233603730522233','郑玉臣','13289223399',NULL,'ls-ystz-dyscwh7-wgy'),('6233233603730522311','韩雷','15590228999',NULL,'ls-ystz-dyscwh8-wgy'),('6233233603730523550','吕权','15590697878',NULL,'ls-ystz-zjjcwh3-wgy'),('6233233603730523655','孙浩','15204432227',NULL,'ls-ystz-zjjcwh8-wgy'),('6233233603730523712','宋占林','15843459915',NULL,'ls-ystz-zjjcwh5-wgy'),('6233233603730523884','王军','15043429288',NULL,'ls-ystz-zjjcwh2-wgy'),('6233233603730524028','陈德喜','18204347188',NULL,'ls-ystz-zjjcwh7-wgy'),('6233233603730524109','陈洪秋','13689725057',NULL,'ls-ystz-zjjcwh4-wgy'),('6233233603730524994','孙景明','13843477229',NULL,'ls-ystz-zjyfcwh6-wgy'),('6233233603730525048','宋成林','15844484131',NULL,'ls-ystz-zjyfcwh4-wgy'),('6233233603730526667','刘少伟','13154344044',NULL,'ls-ystz-pjcwh5-wgy'),('6233233603730526786','李国军','15844483831',NULL,'ls-ystz-pjcwh6-wgy'),('6233233603730526860','赵树河','13844471788',NULL,'ls-ystz-pjcwh4-wgy'),('6233233603730526952','闫素芬','15584780166',NULL,'ls-ystz-pjcwh7-wgy'),('6233233638090264598','王海涛','15943443395',NULL,'220322003200001'),('6233233638090264686','蔡永新','13689725788',NULL,'220322003200002'),('6233233638090264941','李林波','13943311192',NULL,'220322003200004'),('6233233638090265068','李洪德','13244345076',NULL,'220322003200006'),('6233233638090265197','王雷','13996621765',NULL,'220322003200007'),('6233233638090265617','华署军','13694396274',NULL,'220322003200009'),('6233233638090265726','付彦春','15943440228',NULL,'2203220032000010'),('6233233638090265913','邢占平','15044495670',NULL,'2203220032000012'),('6233233672450001058','叶福顺','15886075116',NULL,'ls-hjd-xycwh2-wgy'),('6233233672450001115','徐强','15944499005',NULL,'ls-hjd-xycwh3-wgy'),('6233233672450001150','于洋','15844483337',NULL,'ls-hjd-xycwh4-wgy'),('6233233672450001297','侯娜娜','15981685891',NULL,'ls-hjd-xycwh5-wgy'),('6233233672450001356','艾春生','13214440700',NULL,'ls-hjd-xycwh6-wgy'),('6233233672450001470','于永强','18243496168',NULL,'ls-hjd-xycwh8-wgy'),('6233233672450001510','徐建军','13404641424',NULL,'ls-hjd-xycwh10-wgy'),('6233233741169490442','白雪','18643492034',NULL,'td-jfjd-jfsq10-wgy'),('6233233912968173329','刘迪','15944457654',NULL,'220322113001001'),('6233234016047393049','魏国宝','15944270178',NULL,'sl-lnjd-zxsq-wgy8'),('6233234016047393389','金诗悦','18684345261',NULL,'sl-lnjd-zxsq-wgy4'),('6233234016047395363','杨中宝','15144432815',NULL,'220322103203003'),('6233234016047395432','赵福金','15004478578',NULL,'220322103203005'),('6233234016047395466','温占强','15944497396',NULL,'220322103203006'),('6233234016047395492','王海鹏','15943451105',NULL,'220322103203007'),('6233234016047396608','王任卓','18644803854',NULL,'sl-lxjd-dcsq9-wgy'),('6233234016047396758','刘扬','15661676267',NULL,'sl-lxjd-dcsq11-wgy'),('6233234153486340827','刘永军','13504355051',NULL,'ls-hjd-dbscwh1-wgy4'),('6233234153486340863','陈凤义','15665948884',NULL,'ls-hjd-dbscwh1-wgy7'),('6233234187846088574','任哲','13069022336',NULL,'ls-ystz-gmsq5-wgy'),('6233234359644778840','潘宇鹏','15981559890',NULL,'sl-lxjd-ygsq5-wgy'),('6233234634522675257','卢振生','13278034916',NULL,'220322103008001'),('6233234634522675379','宿金荣','13624346120',NULL,'220322103008003'),('6233234634522675419','胡发','15943439062',NULL,'220322103008005'),('6233234634522675501','任国春','13944480906',NULL,'220322103008008'),('6233234634522678225','刘吉吉','18643428531',NULL,'tx-bgjd-bjsq16-wgy'),('6233234634522679584','李连章','15844442898',NULL,'ls-lhz-xkccwh2-wgy'),('6233234634522680153','郭俊和','13844479685',NULL,'ls-lhz-xkccwh4-wgy'),('6233234634522680315','李青山','13941620576',NULL,'ls-lhz-xkccwh6-wgy'),('6233234634522680348','朱明军','13630910071',NULL,'ls-lhz-xkccwh7-wgy'),('6233234634522680379','李洪园','15886075638',NULL,'ls-lhz-xkccwh9-wgy'),('6233234634522681014','周文胜','15004456830',NULL,'ls-lhz-xycwh2-wgy'),('6233234634522681041','辛中伍','13331553366',NULL,'ls-lhz-xycwh3-wgy'),('6233234634522681068','刘常杰','13674409440',NULL,'ls-lhz-xycwh4-wgy'),('6233234634522681095','王秀','15143468816',NULL,'ls-lhz-xycwh5-wgy'),('6233234703242166074','陶俪元','15943497621',NULL,'sl-lnjd-zxsq14-wgy'),('6233234737601896473','张宝坤','15944465766',NULL,'sl-xl-xssq11'),('6233234806321370477','冷雪飞','13630970004',NULL,'YANG1'),('6233234875040843897','薛羽佳','15104348883',NULL,'sl-lnjd-tjsq9-wgy'),('6233234875040843935','吉兴村委会社区工作人员','13894439786',NULL,'sl-lt-jx-zxgzry'),('6233234875040843961','程前','13159787799',NULL,'sl-lnjd-tjsq13-wgy'),('6233234875040843987','王红珊','13630961234',NULL,'sl-lnjd-tjsq12-wgy'),('6233234875040844025','焦鹏翀','13234345277',NULL,'sl-lnjd-tjsq14-wgy'),('6233234875040844089','边佳美','13844455777',NULL,'sl-lnjd-tjsq16-wgy'),('6233234875040844124','王子冀','18844141635',NULL,'sl-lnjd-tjsq20-wgy'),('6233234875040844150','张云飞','15734466820',NULL,'sl-lnjd-tjsq19-wgy'),('6233235321717450489','高家炉社区工作人员','13844455525',NULL,'sl-wbz-gjl-wgy'),('6233235321717454703','孙丽贤','13944405706',NULL,'tx-yxjd-yjsq21-wgy'),('6233235321717455077','沙磊','15886070099',NULL,'tx-rxjd-hysq10-wgy'),('6233235321717455125','史晓健','13039031902',NULL,'tx-bgjd-qfsq8-wgy'),('6233235321717455151','李艳英','15143407740',NULL,'tx-bgjd-qfsq14-wgy'),('6233235321717455177','古日查','15147571544',NULL,'tx-bgjd-qfsq16-wgy'),('6233235321717455203','刘旭','15004341855',NULL,'tx-bgjd-qfsq6-wgy'),('6233235321717455229','王红','15043412665',NULL,'tx-bgjd-qfsq7-wgy'),('6233235321717455255','孙娇龙','15144401976',NULL,'tx-bgjd-qfsq9-wgy'),('6233235321717455281','李艳霞','15834405355',NULL,'tx-bgjd-qfsq15-wgy'),('6233235321717455311','闫明','15834445890',NULL,'tx-bgjd-qfsq11-wgy'),('6233235390436927742','陈玲','13944418708',NULL,'tx-bgjd-bhsq4-2-wgy'),('6233235596595352703','于洪军','13069223444',NULL,'220322103203002'),('6233235596595352774','姜艳德','15144499869',NULL,'220322103203004'),('6233235596595353953','赵鹏','15043479547',NULL,'sl-lxjd-dcsq8-wgy'),('6233235596595354069','张啸宇','13596650918',NULL,'sl-lxjd-dcsq10-wgy'),('6233235596595354229','姜艳','13943490002',NULL,'sl-lxjd-dcsq12-wgy'),('6233235596595362003','刘长发','13944489184',NULL,'ls-lhz-wjjzcwh3-wgy'),('6233235596595362030','王百东','13664349707',NULL,'ls-lhz-wjjzcwh4-wgy'),('6233235596595362057','梁红生','13843433066',NULL,'ls-lhz-wjjzcwh6-wgy'),('6233235596595362084','刘万宝','13278044555',NULL,'ls-lhz-wjjzcwh7-wgy'),('6233235596595362115','周百玉','13894451378',NULL,'ls-lhz-wjjzcwh2-wgy'),('6233235596595362162','刘文双','15584722176',NULL,'ls-lhz-cfcwh2-wgy'),('6233235596595362225','蔡永奎','15004476064',NULL,'ls-lhz-dmdcwh2-wgy'),('6233235596595362252','赵双','13694393609',NULL,'ls-lhz-dmdcwh4-wgy'),('6233235596595362279','代明田','13596673893',NULL,'ls-lhz-dmdcwh5-wgy'),('6233235596595362306','郭玲玲','15943433211',NULL,'ls-lhz-dmdcwh7-wgy'),('6233235596595362536','张福','13630918230',NULL,'ls-lhz-ljwzcwh8-wgy'),('6233235596595362957','刘国福','13504745220',NULL,'ls-lhz-wjzcwh3-wgy'),('6233235596595362984','王海亮','13596628791',NULL,'ls-lhz-wjzcwh6-wgy'),('6233235596595363017','于海洋','18343439010',NULL,'ls-lhz-tdgcwh2-wgy'),('6233235596595363044','温占德','13596645946',NULL,'ls-lhz-tdgcwh3-wgy'),('6233235596595363071','王新野','15204470448',NULL,'ls-lhz-tdgcwh4-wgy'),('6233235596595363098','修纯库','15004480038',NULL,'ls-lhz-tdgcwh7-wgy'),('6233235596595363149','王强','15590461621',NULL,'ls-lhz-laohcwh4-wgy'),('6233235596595363184','孟凡江','15144440025',NULL,'ls-lhz-laohcwh6-wgy'),('6233235596595363229','邹健','13894488345',NULL,'ls-lhz-laohcwh7-wgy'),('6233235596595363260','李海峰','13674409985',NULL,'ls-lhz-laohcwh8-wgy'),('6233235630955095873','李艳山','15981503188',NULL,'ls-lhz-lhcwh4-wgy'),('6233235630955096159','王占林','15044484490',NULL,'ls-lhz-lhcwh7-wgy'),('6233235630955096186','崔青山','15754302206',NULL,'ls-lhz-sfcwh3-wgy'),('6233235630955096213','苑宝满','15131209123',NULL,'ls-lhz-sfcwh4-wgy'),('6233235630955096920','邹国山','13843470779',NULL,'ls-lhz-xxzcwh2-wgy'),('6233235630955096947','李静','13258798678',NULL,'ls-lhz-xxzcwh3-wgy'),('6233235630955096974','姜德付','13894417903',NULL,'ls-lhz-xxzcwh5-wgy'),('6233235630955097001','郑文','18243428829',NULL,'ls-lhz-xxzcwh6-wgy'),('6233235630955097077','周立立','15886088609',NULL,'ls-lhz-xxzcwh7-wgy'),('6233235630955097104','徐忠平','13821270078',NULL,'ls-lhz-xxzcwh9-wgy'),('6233235630955097252','袁福生','13654349203',NULL,'ls-lhz-cjwzcwh2-wgy'),('6233235630955097279','王文芝','15834462234',NULL,'ls-lhz-cjwzcwh3-wgy'),('6233235630955097792','郭玉环','15843986773',NULL,'ls-lhz-cjwzcwh7-wgy'),('6233235630955098320','王占国','15981682178',NULL,'ls-lhz-sscwh6-wgy'),('6233235630955098393','张艳志','15981587088',NULL,'ls-lhz-sscwh8-wgy'),('6233235630955098461','孙少彬','15134466543',NULL,'ls-lhz-sscwh9-wgy'),('6233235630955098700','刘国奇','15204479877',NULL,'ls-lhz-kslcwh2-wgy'),('6233235630955098727','王作才','13694391489',NULL,'ls-lhz-kslcwh3-wgy'),('6233235630955098754','张志勇','13504449055',NULL,'ls-lhz-kslcwh4-wgy'),('6233235630955098826','柳婷婷','13596622958',NULL,'ls-lhz-kslcwh5-wgy'),('6233235630955098853','杨春风','18744499777',NULL,'ls-lhz-kslcwh6-wgy'),('6233235630955098880','于海生','15134423798',NULL,'ls-lhz-kslcwh7-wgy'),('6233235630955098973','刘双宝','15143410567',NULL,'ls-lhz-kslcwh8-wgy'),('6233235630955099000','郭印','15590234504',NULL,'ls-lhz-kslcwh9-wgy'),('6233235802753777944','李梓桐','15331868332',NULL,'ls-ystz-yinhsq5-wgy'),('6233235837113523702','林子然','18243450381',NULL,'sl-lxjd-ygsq7-wgy'),('6233235837113523729','杨新明','17088435678',NULL,'sl-lxjd-ygsq6-wgy'),('6233235837113523757','赵熔溶','13278428983',NULL,'sl-lxjd-ygsq4-wgy'),('6233236421229071652','sl-ltx-hscwh','15844459778',NULL,'00002'),('6233236455588807032','张凤','15643468299',NULL,'sl-xl-xqf1-wgy'),('6233236455588807058','龚凤成','15568511977',NULL,'sl-xl-xqf2-wgy'),('6233236455588807084','侯杰','13204349775',NULL,'sl-xl-xqf3-wgy'),('6233237314582272945','左佳音','18684349593',NULL,'tx-yxjd-yjsq22-wgy'),('6233237314582273097','李楠','15043411525',NULL,'tx-rxjd-ycs12-wgy'),('6233237314582273151','陈相年','15843488388',NULL,'tx-rxjd-btsq8-wgy'),('6233237314582273178','金泓旭','15844440418',NULL,'tx-rxjd-ymsq14-wgy'),('6233237348942006001','凌丹丹','18643005261',NULL,'tx-bgjd-qfsq12-wgy'),('6233237348942006027','王洪波','15044446661',NULL,'tx-bgjd-qfsq10-wgy'),('6233237348942010080','侯艳琴','15834440088',NULL,'tx-bgjd-bgsq15-wgy'),('6233237348942010523','王海新','13944439123',NULL,'sl-wbz-bsc6-wgy'),('6233237623819913230','杜秋石','13844477678',NULL,'ls-lhz-wjjzcwh5-wgy'),('6233237623819913262','阮书晓','13596671305',NULL,'ls-lhz-wjjzcwh8-wgy'),('6233237623819913289','费小刚','18860029567',NULL,'ls-lhz-wjjzcwh9-wgy'),('6233237623819913316','李国奇','18243426877',NULL,'ls-lhz-wjjzcwh10-wgy'),('6233237623819913397','周阳','13630997668',NULL,'ls-lhz-cfcwh3-wgy'),('6233237623819913424','王柏成','15943439192',NULL,'ls-lhz-cfcwh4-wgy'),('6233237623819913451','杨成海','15204470210',NULL,'ls-lhz-cfcwh5-wgy'),('6233237623819913478','王坤','13214445600',NULL,'ls-lhz-cfcwh6-wgy'),('6233237623819913524','于成','13125839876',NULL,'ls-lhz-dmdcwh3-wgy'),('6233237623819913558','丛培铁','13596640584',NULL,'ls-lhz-dmdcwh6-wgy'),('6233237623819913585','王晓雷','13843434781',NULL,'ls-lhz-dmdcwh8-wgy'),('6233237623819913612','陈雨','13694392600',NULL,'ls-lhz-dmdcwh9-wgy'),('6233237623819913639','李树林','15144494161',NULL,'ls-lhz-dmdcwh10-wgy'),('6233237623819913666','周树春','13500849945',NULL,'ls-lhz-dmdcwh11-wgy'),('6233237623819913693','曲秀兰','13630944222',NULL,'ls-lhz-dmdcwh12-wgy'),('6233237623819913785','李春水','13624448404',NULL,'ls-lhz-ljwzcwh2-wgy'),('6233237623819913812','王树堂','15043479333',NULL,'ls-lhz-ljwzcwh3-wgy'),('6233237623819913839','王仁满','15004474881',NULL,'ls-lhz-ljwzcwh4-wgy'),('6233237623819913866','王桂青','15590467283',NULL,'ls-lhz-ljwzcwh5-wgy'),('6233237623819913893','谭杰辉','13943313575',NULL,'ls-lhz-ljwzcwh6-wgy'),('6233237623819913920','吴希龙','13689748620',NULL,'ls-lhz-ljwzcwh7-wgy'),('6233237623819913947','刘俊','13251843653',NULL,'ls-lhz-ljwzcwh9-wgy'),('6233237623819914277','王权','13204621189',NULL,'ls-lhz-wjzcwh2-wgy'),('6233237623819914304','王作民','16688442655',NULL,'ls-lhz-wjzcwh4-wgy'),('6233237623819914350','孙广彦','13596640502',NULL,'ls-lhz-wjzcwh5-wgy'),('6233237623819914377','张大力','15004496800',NULL,'ls-lhz-wjzcwh7-wgy'),('6233237623819914423','李国超','15104467716',NULL,'ls-lhz-tdgcwh5-wgy'),('6233237623819914450','赵庆生','15144699815',NULL,'ls-lhz-tdgcwh6-wgy'),('6233237623819914477','宋长双','13894452587',NULL,'ls-lhz-tdgcwh8-wgy'),('6233237623819914547','李红林','15004454565',NULL,'ls-lhz-laohcwh2-wgy'),('6233237623819914582','徐勇','13894488316',NULL,'ls-lhz-laohcwh3-wgy'),('6233237623819914609','刘春万','15500176733',NULL,'ls-lhz-laohcwh5-wgy'),('6233237623819917073','张井超','13843477858',NULL,'ls-lhz-lhcwh2-wgy'),('6233237623819917100','王海宝','15134425755',NULL,'ls-lhz-lhcwh3-wgy'),('6233237623819917127','田井胜','15500164997',NULL,'ls-lhz-lhcwh5-wgy'),('6233237623819917154','周长东','13654448955',NULL,'ls-lhz-lhcwh6-wgy'),('6233237623819917200','姜士忠','13843475389',NULL,'ls-lhz-sfcwh2-wgy'),('6233237623819917227','赵立娜','13596620068',NULL,'ls-lhz-sfcwh5-wgy'),('6233237623819917254','李军','15590470429',NULL,'ls-lhz-sfcwh6-wgy'),('6233237623819917910','郑东升','13504449494',NULL,'ls-lhz-xxzcwh4-wgy'),('6233237623819917938','常秀华','13894419886',NULL,'ls-lhz-xxzcwh8-wgy'),('6233237623819918002','孙军','13630996934',NULL,'ls-lhz-cjwzcwh4-wgy'),('6233237623819918029','乔井华','15004487997',NULL,'ls-lhz-cjwzcwh5-wgy'),('6233237623819919228','李国栋','15843475395',NULL,'ls-lhz-sscwh2-wgy'),('6233237623819919256','王勇','13404600345',NULL,'ls-lhz-sscwh3-wgy'),('6233237623819919283','张洪月','13843473874',NULL,'ls-lhz-sscwh4-wgy'),('6233237623819919310','高文良','13894483241',NULL,'ls-lhz-sscwh5-wgy'),('6233237658179649545','阮书东','15590236383',NULL,'ls-lhz-sscwh7-wgy'),('6233237658179649622','刘水','15584755522',NULL,'ls-lhz-sscwh10-wgy'),('6233237658179649881','付永亮','13500968100',NULL,'ls-lhz-kslcwh10-wgy'),('6233237658179650407','柳春林','13244087964',NULL,'ls-lhz-kslcwh11-wgy'),('6452138878397776865','姜楠','19843438099',NULL,'td-jfjd-slsq13-wgy'),('6452138878397776921','孟祥玲','18643438969',NULL,'td-jfjd-slsq12-wgy'),('6452138878397778073','管心钰','18833027493',NULL,'td-jfjd-jfsq11-wgy'),('6482233370643842453','莫新蕾','13614447698',NULL,'sl-lbjd-xhsq8-wgy'),('6482233405003580803','张旭','15981552121',NULL,'sl-lbjd-xhsq14-wgy'),('6482237528172215536','梁宵','13244051886',NULL,'sl-lbjd-xhsq12-wgy'),('6482237528172215563','景晓敏','18843452688',NULL,'sl-lbjd-xhsq13-wgy'),('6482239589756496176','杨柳','13364340886',NULL,'sl-lbjd-xhsq11-wgy'),('6482241307743423452','张人久','18362928110',NULL,'sl-lbjd-bnsq12-wgy'),('6482242372895311800','沈尧','13335212841',NULL,'sl-lbjd-xhsq9-wgy'),('6482242372895311829','程向莹','18543415776',NULL,'sl-lbjd-xhsq10-wgy'),('6485175114003995814','王立明','13278427789',NULL,'sl-ltx-xbc4-wgy'),('6485175114003995846','郭明','18543415928',NULL,'sl-ltx-xbc2-wgy'),('6485198925302700652','阮书平','15665928829',NULL,'sl-ltx-xbc3-wgy'),('6495364047741143997','陈忠华','13134346176',NULL,'sl-lt-lt-wgy2'),('6604401310198282846','蔡洪波','13224419697',NULL,'yt-mlqx-liujcwh8-wgy'),('6618425340492411116','林玉平','15044458100',NULL,'sl-lnjd-nksq13-wgy'),('6618429394941544796','刘晓旭','15981690909',NULL,'yt-xw-ywcwh1-wgy'),('6618433483750424171','高喜发','16643409805',NULL,'yt-xgsz-xdacwh9-wgy'),('6618433483750424227','周爽','18504346255',NULL,'td-smljd-zwsq6-wgy'),('6660500145794130125','张精一','15643456976',NULL,'ls-fqjd-chysq4-wgy'),('6660500145794130345','陈宝','13404648111',NULL,'ls-cjz-nnmcwh8-wgy'),('6705589571461091545','刑丽','13943317363',NULL,'ls-fqjd-cysq20-wgy'),('6705589571461091572','王艳梅','15943438886',NULL,'ls-fqjd-cysq21-wgy'),('6705589571461091599','崔淑珍','15044447388',NULL,'ls-fqjd-cysq22-wgy'),('6705589571461091626','刘洪洁','13630916690',NULL,'ls-fqjd-cysq23-wgy'),('6705589605820825648','罗雪寒','15143401115',NULL,'tx-bgjd-btsq14-wgy'),('6705589605820825675','陈明明','13596605042',NULL,'tx-bgjd-btsq10-wgy'),('6705589605820825702','梁智慧','18243407373',NULL,'tx-bgjd-btsq13-wgy'),('6705590258655856396','张琦','18243433388',NULL,'td-jfjd-cysq2-wgy'),('6705590258655856453','王晓雪','17519156575',NULL,'sl-ltx-hsc3-wgy'),('6705590258655856684','李志国','15043479288',NULL,'sl-ltx-hsc4-wgy'),('6705590258655856738','李超','13278449333',NULL,'sl-ltx-xlc2-wgy'),('6705590258655856829','尹克民','15714345779',NULL,'sl-ltx-ngc2-wgy'),('6705590258655856856','杨云飞','13224444055',NULL,'sl-ltx-tdc2-wgy'),('6705590258655857203','杨永刚','13630977899',NULL,'sl-ltx-qgc3-wgy'),('6705590258655857254','张立国','13147643772',NULL,'sl-ltx-bnc2-wgy'),('6705590258655857281','杨建国','15843499409',NULL,'sl-ltx-hs2-wgy'),('6705590258655857454','丁建华','15981553628',NULL,'sl-ltx-dbc4-wgy'),('6705590258655857821','郗大壮','13843461221',NULL,'sl-lnjd-nksq16-wgy'),('6705590258655857920','郑巨','13180988521',NULL,'sl-ltx-lxsq1-wgy'),('6705590258655858015','华俊有','18243447798',NULL,'sl-dmz-qxc7-wgy'),('6705590258655858042','张淑杰','13069026800',NULL,'sl-dmz-wjc7-wgy'),('6705590258655858069','杜春艳','13251843223',NULL,'sl-dmz-qksc4-wgy'),('6705590258655858096','张波','13630971376',NULL,'sl-dmz-qksc5-wgy'),('6705590258655858126','盼盼','15134456623',NULL,'sl-dmz-ds9-wgy'),('6705590258655858153','贺继强','13596696368',NULL,'sl-dmz-ds11-wgy'),('6705590258655858180','柳淑英','15043498869',NULL,'sl-dmz-tlc5-wgy'),('6705590258655858207','杨明','13596691022',NULL,'sl-dmz-tlc7-wgy'),('6705590258655860309','ZXCS','14100000053',NULL,'ZXCS53'),('6705590258655860336','ZXCS','14100000055',NULL,'ZXCS55'),('6705590258655860363','ZXCS','14100000060',NULL,'ZXCS60'),('6705590258655860397','ZXCS','14100000061',NULL,'ZXCS61'),('6705590258655860424','ZXCS','14100000063',NULL,'ZXCS63'),('6705590258655860451','ZXCS','14100000066',NULL,'ZXCS66'),('6705590258655860478','ZXCS','14100000068',NULL,'ZXCS68'),('6705590258655860505','ZXCS','14100000069',NULL,'ZXCS69'),('6705590258655860532','ZXCS','14100000070',NULL,'ZXCS70'),('6705590258655860559','ZXCS','14100000072',NULL,'ZXCS72'),('6705590258655860586','ZXCS','14100000075',NULL,'ZXCS75'),('6705590258655860613','ZXCS','14100000077',NULL,'ZXCS77'),('6705590258655860640','ZXCS','14100000080',NULL,'ZXCS80'),('6705590258655860667','ZXCS','14100000083',NULL,'ZXCS83'),('6705590258655860694','ZXCS','14100000088',NULL,'ZXCS88'),('6705590258655860721','ZXCS','14100000092',NULL,'ZXCS92'),('6705590258655860748','ZXCS','14100000093',NULL,'ZXCS93'),('6705590258655860775','ZXCS','14100000095',NULL,'ZXCS95'),('6705590258655860802','ZXCS','14100000096',NULL,'ZXCS96'),('6705590258655860829','ZXCS','14100000098',NULL,'ZXCS98'),('6705590258655862177','ZXCS','14100000153',NULL,'ZXCS153'),('6705590258655862231','ZXCS','14100000154',NULL,'ZXCS154'),('6705590258655862258','ZXCS','14100000155',NULL,'ZXCS155'),('6705590258655862285','ZXCS','14100000002',NULL,'ZXCS2'),('6705590258655862312','ZXCS','14100000004',NULL,'ZXCS4'),('6705590258655862339','ZXCS','14100000005',NULL,'ZXCS5'),('6705590258655862393','ZXCS','14100000006',NULL,'ZXCS6'),('6705590258655862420','ZXCS','14100000007',NULL,'ZXCS7'),('6705590258655862447','ZXCS','14100000106',NULL,'ZXCS16'),('6705590258655862571','ZXCS','14100000156',NULL,'ZXCS156'),('6705590258655862598','ZXCS','14100000014',NULL,'ZXCS14'),('6705590258655862625','ZXCS','14100000158',NULL,'ZXCS158'),('6705590258655862652','ZXCS','14100000016',NULL,'ZXCS15'),('6705590258655862679','ZXCS','14100000161',NULL,'ZXCS161'),('6705590258655862706','ZXCS','14100000162',NULL,'ZXCS162'),('6705590258655862752','ZXCS','14100000164',NULL,'ZXCS164'),('6705590293015592993','ZXCS','14100000165',NULL,'ZXCS165'),('6705590293015593999','ZXCS','14100000022',NULL,'ZXCS21'),('6705590293015594026','ZXCS','14100000172',NULL,'ZXCS172'),('6705590293015594053','ZXCS','14100000023',NULL,'ZXCS22'),('6705590293015594080','ZXCS','14100000025',NULL,'ZXCS24'),('6705590293015594110','ZXCS','14100000174',NULL,'ZXCS174'),('6705590293015594137','ZXCS','14100000028',NULL,'ZXCS27'),('6705590293015594164','ZXCS','14100000175',NULL,'ZXCS175'),('6705590293015594191','ZXCS','14100000029',NULL,'ZXCS28'),('6705590293015594218','ZXCS','14100000030',NULL,'ZXCS29'),('6705590293015594245','ZXCS','14100000177',NULL,'ZXCS177'),('6705590293015594375','ZXCS','14100000033',NULL,'ZXCS32'),('6705590293015594402','ZXCS','14100000179',NULL,'ZXCS179'),('6705590293015594429','ZXCS','14100000037',NULL,'ZXCS36'),('6705590293015594456','ZXCS','14100000038',NULL,'ZXCS37'),('6705590293015594483','ZXCS','14100000039',NULL,'ZXCS38'),('6705590293015594510','ZXCS','14100000042',NULL,'ZXCS41'),('6705590293015594537','ZXCS','14100000043',NULL,'ZXCS42'),('6705590293015594564','ZXCS','14100000181',NULL,'ZXCS181'),('6705590293015594591','ZXCS','14100000046',NULL,'ZXCS45'),('6705590293015594618','ZXCS','14100000047',NULL,'ZXCS46'),('6705590293015594645','ZXCS','14100000048',NULL,'ZXCS47'),('6705590293015594672','ZXCS','14100000049',NULL,'ZXCS48'),('6705590293015594801','ZXCS','14100000188',NULL,'ZXCS188'),('6705590293015594931','ZXCS','14100000189',NULL,'ZXCS189'),('6705590293015595059','ZXCS','14100000192',NULL,'ZXCS192'),('6705590293015595239','ZXCS','14100000196',NULL,'ZXCS196'),('6705590293015595293','ZXCS','14100000197',NULL,'ZXCS197'),('6705590293015595320','ZXCS','14100000198',NULL,'ZXCS198'),('6705590293015595406','ZXCS','14100000130',NULL,'ZXCS130'),('6705590293015595626','ZXCS','14100000146',NULL,'ZXCS146'),('6705590293015595653','ZXCS','14100000147',NULL,'ZXCS147'),('6705590293015595712','ZXCS','14100000150',NULL,'ZXCS150'),('6705590293015596344','ZXCS','14100000205',NULL,'ZXCS205'),('6705590293015596371','ZXCS','14100000207',NULL,'ZXCS207'),('6705590293015596398','ZXCS','14100000209',NULL,'ZXCS209'),('6705590293015596425','ZXCS','14100000210',NULL,'ZXCS210'),('6705590293015596452','ZXCS','14100000211',NULL,'ZXCS211'),('6705590293015596479','ZXCS','14100000212',NULL,'ZXCS212'),('6705590293015596548','ZXCS','14100000214',NULL,'ZXCS214'),('6705590293015596617','ZXCS','14100000215',NULL,'ZXCS215'),('6705590293015596686','ZXCS','14100000216',NULL,'ZXCS216'),('6705590293015596755','ZXCS','14100000217',NULL,'ZXCS217'),('6705590293015596866','ZXCS','14100000218',NULL,'ZXCS218'),('6705590293015597061','ZXCS','14100000221',NULL,'ZXCS221'),('6705590293015597088','ZXCS','14100000222',NULL,'ZXCS222'),('6705590293015597325','ZXCS','14100000224',NULL,'ZXCS224'),('6705590293015597352','ZXCS','14100000225',NULL,'ZXCS225'),('6705590293015597379','ZXCS','14100000226',NULL,'ZXCS226'),('6705590293015597406','ZXCS','14100000231',NULL,'ZXCS231'),('6705590293015597433','ZXCS','14100000232',NULL,'ZXCS232'),('6705590293015597460','ZXCS','14100000233',NULL,'ZXCS233'),('6705590293015597487','ZXCS','14100000235',NULL,'ZXCS235'),('6705590293015597514','ZXCS','14100000236',NULL,'ZXCS236'),('6705590293015597541','ZXCS','14100000237',NULL,'ZXCS237'),('6705590293015597568','ZXCS','14100000239',NULL,'ZXCS239'),('6705590293015597595','ZXCS','14100000244',NULL,'ZXCS244'),('6705590293015597622','ZXCS','14100000249',NULL,'ZXCS249'),('6705590293015597649','ZXCS','14100000250',NULL,'ZXCS250'),('6705590293015597730','ZXCS','14100000252',NULL,'ZXCS252'),('6705590293015597762','ZXCS','14100000255',NULL,'ZXCS255'),('6705590293015597789','ZXCS','14400000256',NULL,'ZXCS256'),('6705590293015597816','ZXCS','14100000259',NULL,'ZXCS259'),('6705590293015597843','ZXCS','14100000260',NULL,'ZXCS260'),('6705590293015597870','ZXCS','14100000262',NULL,'ZXCS262'),('6705593728989430659','ZXCS','14100000600',NULL,'ZXCS600'),('6705593728989430834','王忠华','18844482424',NULL,'ls-slx-gjtcwh9-wgy'),('6705593728989430837','李延春','15643454492',NULL,'ls-slx-shcpcwh12-wgy'),('6705593728989430840','张光福','15843480866',NULL,'ls-slx-shcpcwh13-wgy'),('6705593728989430843','王福全','13278092355',NULL,'ls-slx-shcpcwh14-wgy'),('6705593728989430846','刘永成','15944456654',NULL,'ls-slx-chfpcwh13-wgy'),('6705593728989430880','郭凤春','15844496555',NULL,'ls-slx-sijzcwh10-wgy'),('6705593728989430946','孙海','13894456226',NULL,'ls-slx-djpcwh12-wgy'),('6705593728989430974','李帅','13844483082',NULL,'ls-slx-xczcwh8-wgy'),('6705593728989431021','赵  波','18641666565',NULL,'ls-slx-nlhcwh9-wgy'),('6705593728989431068','苗春峰','15886075023',NULL,'ls-slx-nlhcwh10-wgy'),('6705593728989431094','王宽林','13843470121',NULL,'ls-slx-nlhcwh11-wgy'),('6705593728989431381','李国军','15044413678',NULL,'ls-cjz-cjzxzsq3-wgy'),('6705593728989431602','郭红光','15643454256',NULL,'ls-cjz-cjzxzsq4-wgy'),('6705593728989431640','郭丹','15944498658',NULL,'ls-cjz-cjzxzsq6-wgy'),('6705593728989431669','席艳辉','18844420355',NULL,'ls-cjz-cjzxzsq8-wgy'),('6705593728989431698','闫红霞','15943444917',NULL,'ls-cjz-cjzxzsq9-wgy'),('6705593728989432151','杨宝','13178097111',NULL,'1'),('6705593728989432188','王淑妨','15981686698',NULL,'2'),('6705593728989432220','任桂荣','15843489263',NULL,'ls-wfz-csrgr'),('6705593728989432262','代军','13069039779',NULL,'4'),('6705593728989432333','苏丙五','15004410777',NULL,'ls-wfz-cssbw'),('6705593728989432398','张绍生','13224345563',NULL,'ls-wfz-cszss'),('6705593728989432572','常守明','13180632111',NULL,'ls-ljgz-ljgzcwh10-wgy'),('6705593728989432960','蔡福霞','15144698100',NULL,'ls-gjdz-chhsq3-wgy'),('6705593728989432989','刘晓明','15526587192',NULL,'ls-wfz-dwflxm'),('6705593728989433016','郝文龙','15144632322',NULL,'ls-ljgz-wtccwh3-wgy'),('6705593728989433062','刘洋','13234348884',NULL,'ls-wfz-dwfly'),('6705593728989433111','刘福臣','13596672224',NULL,'ls-ljgz-wtccwh2-wgy'),('6705593728989433138','王叔芳','13894488313',NULL,'ls-gjdz-hensq2-wgy'),('6705593728989433165','陈宏博','18644858300',NULL,'ls-wfz-dwfchb'),('6705593728989433192','刘新刚','13843437511',NULL,'ls-gjdz-hensq4-wgy'),('6705593728989433219','ZXCS','14400000400',NULL,'ZXCS400'),('6705593728989433284','ZXCS','14400000401',NULL,'ZXCS401'),('6705593728989433311','ZXCS','14400000402',NULL,'ZXCS402'),('6705593728989433338','ZXCS','14400000403',NULL,'ZXCS403'),('6705593728989433365','ZXCS','14400000404',NULL,'ZXCS404'),('6705593728989433392','张坚','15004457666',NULL,'ls-ljgz-dwjcwh4-wgy'),('6705593728989433419','张瑞华','13596620082',NULL,'ls-gjdz-zhnsq5-wgy'),('6705593728989433446','ZXCS','14400000406',NULL,'ZXCS406'),('6705593728989433553','ZXCS','14400000407',NULL,'ZXCS407'),('6705593728989433580','郭长名','15843485558',NULL,'ls-lzc-lzc2-wgy'),('6705593728989433610','ZXCS','14400000409',NULL,'ZXCS409'),('6705593728989433637','孙威','13154349767',NULL,'ls-lzc-lzc3-wgy'),('6705593728989433665','ZXCS','14400000410',NULL,'ZXCS410'),('6705593728989433692','ZXCS','14400000411',NULL,'ZXCS411'),('6705593728989433748','李艳辉','13596622665',NULL,'ls-gjdz-jcsq2-wgy'),('6705593728989433794','柳丽娜','13844484163',NULL,'ls-gjdz-jcsq3-wgy'),('6705593728989433864','刘志芳','15143408717',NULL,'wfztjwz08'),('6705593728989433929','许增龙','15144695407',NULL,'ls-ljgz-hanjcwh7-wgy'),('6705593728989434079','徐树云','18744433598',NULL,'wfzsjwz07'),('6705593728989434106','张国斌','13464345191',NULL,'ls-wfz-gjzg2'),('6705593728989434217','李子春','13843433088',NULL,'wfzsjwz09'),('6705593728989434473','孟昭满','13844480136',NULL,'ls-wfz-gjgz3'),('6705593728989434504','常丽','15943441539',NULL,'ls-ljgz-chansq5-wgy'),('6705593728989434573','刘贵','15500171028',NULL,'ls-gjdz-zjcwh2-wgy'),('6705593728989434600','毕双喜','15004499023',NULL,'ls-gjdz-zjcwh5-wgy'),('6705593728989434627','荆维军','15844488108',NULL,'ls-gjdz-zjcwh6-wgy'),('6705593728989434925','郑伟','15944490839',NULL,'ls-wfz-gjgz5'),('6705593728989434952','刘福来','13943313388',NULL,'ls-wfz-gjgz7'),('6705593728989435147','董波','13894488201',NULL,'ls-wfz-gjgz8'),('6705593728989435277','李博','15665955361',NULL,'wfzntp07'),('6705593728989435323','王岩','15843477400',NULL,'wfzntp10'),('6705593728989435350','王海艳','15044495509',NULL,'220322103004004'),('6705593728989435377','冯占江','15500155170',NULL,'ls-ljgz-chansq6-wgy'),('6705593728989435443','史德彬','15944405612',NULL,'ls-ljgz-dklcwh7-wgy'),('6705593728989435692','于杰民','15590479959',NULL,'wfzyjpz07'),('6705593728989435765','尹玉英','15981598758',NULL,'wfzyjpz09'),('6705593728989435853','梁库','15981573988',NULL,'ls-ljgz-lscwh6-wgy'),('6705593728989435880','张长河','13224345876',NULL,'wfzyjp10'),('6705593728989436077','吴中明','15144439888',NULL,'220322103207007'),('6705593728989436104','姜晓莉','15734462567',NULL,'220322103207008'),('6705593728989436169','张洪涛','13596641882',NULL,'ZXCS414'),('6705593728989436196','任红','13694003117',NULL,'ZXCS416'),('6705593728989436223','王立业','13514345777',NULL,'ZXCS417'),('6705593728989436390','宋军山','15568522000',NULL,'wfzsjd07'),('6705593728989436417','顾有双','13843477746',NULL,'wfzsjd08'),('6705593728989436521','杨宝成','16643436322',NULL,'wfzlvjgz08'),('6705593728989436548','金祥峰','13321431626',NULL,'wfzlvjgz10'),('6705593728989436645','邢占文','18543458001',NULL,'wfzljgz08'),('6705593728989436691','王雪晶','13844473289',NULL,'220322103003001'),('6705593728989436720','王立华','15590468999',NULL,'220322103003003'),('6705593728989436825','史海霞','13596645697',NULL,'220322103005002'),('6705593728989436873','周丽丽','18743419444',NULL,'220322103005004'),('6705593728989436921','王大江','13404642022',NULL,'220322103007001'),('6705593728989436986','周明','15144636596',NULL,'220322103007004'),('6705593728989437013','李立新','13944487781',NULL,'220322103007005'),('6705593728989437040','李伟','13944488722',NULL,'220322103007006'),('6705593728989437086','谢俊鹏','13394342658',NULL,'220322103007008'),('6705593728989437132','张振民','13943312596',NULL,'0000010'),('6705593728989437198','王硕','15665995333',NULL,'220322103007010'),('6705593728989437244','董文','15844499672',NULL,'ls-ljgz-ljgzcwh11-wgy'),('6705593728989437271','张振民','13943312597',NULL,'220322103007011'),('6705593728989437298','周建军','15943453899',NULL,'220322103007013'),('6705593728989437325','沈力','15044406996',NULL,'220322103007015'),('6705593728989437409','窦山','13624441165',NULL,'220322103200001'),('6705593728989437478','张明久','15044485955',NULL,'220322103200004'),('6705593728989437763','史成国','15590479036',NULL,'ls-jsx-ngzcwh2-wgy'),('6705593728989437790','宋永奎','13943317764',NULL,'ls-lhz-xycwh9-wgy'),('6705593728989437817','王长春','15004495077',NULL,'ls-lhz-wjjzcwh11-wgy'),('6705593728989437844','孙国君','15665969967',NULL,'220322103006001'),('6705593728989437873','肖万秋','18844424788',NULL,'220322103006003'),('6705593728989437902','岳春海','18629876659',NULL,'220322103201002'),('6705593728989437929','李建华','13596674116',NULL,'220322103201003'),('6705593763349168132','杨忠波','15844491444',NULL,'220322103006005'),('6705593763349168161','苗江','15144438027',NULL,'220322103201004'),('6705593763349168188','黄志权','15844496277',NULL,'220322103006006'),('6705593763349168217','王立松','13089223331',NULL,'220322103201005'),('6705593763349168244','朱平','13278099456',NULL,'220322103201006'),('6705593763349168271','王福海','15144633623',NULL,'220322103206001'),('6705593763349168304','侯立国','15943448766',NULL,'220322103006008'),('6705593763349168333','徐忠良','13694392325',NULL,'220322103006009'),('6705593763349168362','郑宝中','18844489077',NULL,'220322103201009'),('6705593763349168418','王金祥','15044486377',NULL,'220322103201010'),('6705593763349168445','窦峰','18243438444',NULL,'220322103206004'),('6705593763349168503','刘凤仁','15004461177',NULL,'220322103206006'),('6705593763349168532','霍红军','13596673210',NULL,'220322103206007'),('6705593763349168602','周军','13694341654',NULL,'ls-lhz-wjzcwh8-wgy'),('6705593763349168661','张金宏','18104444018',NULL,'220322103208001'),('6705593763349168688','贾淑平','15843461780',NULL,'220322103208002'),('6705593763349168715','张春龙','15500433500',NULL,'ls-lhz-tdgcwh10-wgy'),('6705593763349168742','李凤春','15943447601',NULL,'ls-lhz-laohcwh9-wgy'),('6705593763349168769','岳占华','15004466253',NULL,'220322103208005'),('6705593763349168816','杨连奎','15943443712',NULL,'220322103208008'),('6705593763349168893','张立宝','18844422661',NULL,'220322103204001'),('6705593763349168932','金宝华','13630991588',NULL,'220322103204002'),('6705593763349168963','刘春利','15567254320',NULL,'220322103204004'),('6705593763349169088','高春林','15004471700',NULL,'220322103204007'),('6705593763349169119','周纯山','13674406566',NULL,'220322103204008'),('6705593763349169340','韩艳霞','13040302119',NULL,'220322103204011'),('6705593763349169467','董春生','13664347660',NULL,'ls-lhz-lhcwh8-wgy'),('6705593763349169494','金大伟','13596645510',NULL,'220322103204012'),('6705593763349169616','尚东明','15044484228',NULL,'220322103204014'),('6705593763349170100','连君','13644449403',NULL,'220322103009001'),('6705593763349170203','李天喜','15643458499',NULL,'220322103010002'),('6705593763349170230','崔炳吉','15590229299',NULL,'220322103010003'),('6705593763349170261','钟少平','15584739199',NULL,'220322103010005'),('6705593763349170288','赵立彬','13943310070',NULL,'220322103009002'),('6705593763349170315','陈佩洪','15204439939',NULL,'220322103010008'),('6705593763349170342','王立海','15943442316',NULL,'220322103010009'),('6705593763349170369','李英武','13694393234',NULL,'220322103009003'),('6705593763349170396','姜彦军','15584723333',NULL,'220322103010011'),('6705593763349170423','赵国财','13894456246',NULL,'220322103010012'),('6705593763349170526','暴丽峰','15665958277',NULL,'220322103009004'),('6705593763349170553','杨青云','15585440900',NULL,'220322103010014'),('6705593763349170580','刘宝新','15044481955',NULL,'220322103009005'),('6705593763349170664','刘立武','15568520888',NULL,'220322103010015'),('6705593763349170691','李海山','13278436988',NULL,'220322103009007'),('6705593763349170718','刘庆祥','13844473709',NULL,'ls-gjdz-hsscwh12-wgy'),('6705593763349170745','张凤新','13843479977',NULL,'220322103009009'),('6705593763349170980','刘立香','13596679404',NULL,'220322103002003'),('6705593763349171031','段贵东','15004452788',NULL,'ls-lsz-hjb-2'),('6705593763349171058','石登林','15004472644',NULL,'ls-lsz-hjb-3'),('6705593763349171085','柳岩','13314341111',NULL,'220322103001002'),('6705593763349171112','牟春蕾','17184994999',NULL,'220322103001003'),('6705593763349171139','廖德臣','15844481158',NULL,'ls-lsz-hjb-5'),('6705593763349171181','张洪瑞','13843433072',NULL,'ls-lsz-hjb-7'),('6705593763349171208','张学峰','13894483234',NULL,'ls-lsz-xjp-1'),('6705593763349171236','高跃甲','13069031631',NULL,'ls-lsz-xjp-5'),('6705593763349171263','徐俊明','15981588297',NULL,'22032220420109'),('6705593763349171289','王志新','15943435988',NULL,'22032220420108'),('6705593763349171315','郭淑艳','18743431096',NULL,'22032220420110'),('6705593763349171341','郑桂芬','15643448809',NULL,'22032220420111'),('6705593763349171381','孙立华','15834420456',NULL,'ls-lsz-xjp-8'),('6705593763349171411','张有','13843493695',NULL,'ls-lsz-mdf-2'),('6705593763349171438','李井田','15500425575',NULL,'ls-lsz-mdf-4'),('6705593763349171465','孟祥权','15044488222',NULL,'ls-lsz-mdf-5'),('6705593763349171497','周闯','15566586677',NULL,'220322103202004'),('6705593763349171549','郭彦军','13630916984',NULL,'ls-lsz-nxs-1'),('6705593763349171576','张春和','13943314671',NULL,'220322203200013'),('6705593763349171629','赵晓龙','15044489890',NULL,'ls-lsz-nxs-2'),('6705593763349171734','张也','15143460566',NULL,'ls-ystz-zjfycwh10-zxgzry'),('6705593763349171761','孟庆海','13944487793',NULL,'ls-lsz-nxs-5'),('6705593763349171792','王晓东','15004485878',NULL,'ls-lsz-nxs-7'),('6705593763349171820','赵文贵','13039034900',NULL,'ls-lsz-nxs-8'),('6705593763349171868','施军','15004459396',NULL,'ls-lsz-scz-2'),('6705593763349171895','周海英','18543459861',NULL,'220322103202005'),('6705593763349171922','韩波','15643458116',NULL,'ls-lsz-scz-3'),('6705593763349171949','黄丽波','13844470119',NULL,'ls-lsz-scz-4'),('6705593763349171976','李传占','15526582767',NULL,'ls-lsz-scz-5'),('6705593763349172003','刘凤明','15044488018',NULL,'ls-lsz-scz-7'),('6705593763349172031','刘文磊','15717000007',NULL,'220322203202010'),('6705593763349172058','孙广海','15886079577',NULL,'ls-lsz-hj-1'),('6705593763349172086','王金龙','13214442666',NULL,'ls-lsz-hj-2'),('6705593763349172113','唐国清','13694344529',NULL,'ls-lsz-hj-4'),('6705593763349172168','王甲刚','13694394255',NULL,'ls-lsz-hj-5'),('6705593763349172195','孙少灵','18343437255',NULL,'ls-lsz-hj-6'),('6705593763349172223','郝凤金','15981595504',NULL,'ls-lsz-hj-7'),('6705593763349172251','常景山','13159786512',NULL,'ls-lsz-hfs-3'),('6705593763349172298','卢伟','15500423428',NULL,'ls-lsz-hfs-4'),('6705593763349172344','杨东亮','18743496996',NULL,'ls-lsz-hfs-5'),('6705593763349172372','姜文河','15004498887',NULL,'ls-lsz-hfs-6'),('6705593763349172403','李福廷','15500423428',NULL,'ls-lsz-hfs-8'),('6705593763349172430','赵喜','18443489888',NULL,'ls-lsz-zx-1'),('6705593763349172457','卜俊友','15004450980',NULL,'ls-lsz-zx-2'),('6705593763349172484','王洪山','13630915738',NULL,'220322103206005'),('6705593763349172515','蒋顺','19170174657',NULL,'ls-shx-chedwpcwh09-wgy'),('6705593763349172543','秦秀艳','13500845229',NULL,'ls-lsz-zx-3'),('6705593763349172590','刘志平','15043434311',NULL,'ls-lsz-zx-4'),('6705593763349172617','苏云凤','13278095577',NULL,'ls-lsz-zx-5'),('6705593763349172644','赵立生','18243492885',NULL,'220322103206009'),('6705593763349172671','闫纯阁','15568520358',NULL,'220322103206010'),('6705593763349172698','曹双','18543459730',NULL,'220322103202007'),('6705593763349172725','张春和','13943314672',NULL,'220322203200014'),('6705593763349172752','张春和','13943314673',NULL,'220322203200015'),('6705593763349172779','张春和','13943314674',NULL,'220322203200016'),('6705593763349172806','张春和','13943314675',NULL,'220322203200017'),('6705593763349172833','张春和','13943314677',NULL,'220322203200011'),('6705593763349172862','辛庆辉','15843470025',NULL,'ls-lsz-zx-8'),('6705593763349172889','王文明','13234344639',NULL,'ls-lsz-hjc-2'),('6705593763349172916','杜永久','13689748870',NULL,'ls-lsz-hjc-4'),('6705593763349172943','王文波','13596607788',NULL,'ls-lsz-hjc-5'),('6705593763349172970','张奎','18743436489',NULL,'ls-lsz-hjc-6'),('6705593763349172997','于永宾','18904345252',NULL,'ls-lsz-hjc-7'),('6705593763349173024','刘晓宽','15004471666',NULL,'ls-lsz-hjc-8'),('6705593763349173051','刘山','13596625490',NULL,'ls-lsz-yj-6'),('6705593763349173078','孙玉民','18744494882',NULL,'ls-lsz-zap-2'),('6705593763349173105','韩立国','15500172698',NULL,'ls-lsz-zap-5'),('6705593763349173132','杨景山','13244081186',NULL,'ls-lsz-zap-7'),('6705593763349173254','项淑芹','13630996158',NULL,'ls-lsz-bxj-3'),('6705593763349173395','孔宪元','15500173669',NULL,'ls-lsz-bxj-4'),('6705593763349173536','倪长江','13154344022',NULL,'ls-lsz-bxj-5'),('6705593763349173563','冯云宝','13278406675',NULL,'ls-lsz-bxj-7'),('6705593763349173590','刘金龙','15584727234',NULL,'ls-lsz-blh-6'),('6705593763349173617','付井权','13278099220',NULL,'ls-lsz-blh-7'),('6705593763349173644','于海','13089225012',NULL,'ls-lsz-blh-10'),('6705593763349173671','张海全','13844413694',NULL,'ls-lsz-blh-11'),('6705593763349173698','姚雅红','15886083526',NULL,'ls-lsz-dyt-2'),('6705593763349173725','李国军','13843491070',NULL,'ls-lsz-dyt-6'),('6705593763349173752','王辉东','13694390708',NULL,'ls-lsz-dyt-7'),('6705593763349173779','高国和','13694399794',NULL,'ls-lsz-dyt-8'),('6705593763349173806','张勇','13843499996',NULL,'ls-lsz-dyt-9'),('6705593763349173833','李喜臣','18743496350',NULL,'ls-lsz-dyt-10'),('6705593763349173860','高中福','15886094960',NULL,'ls-lsz-gj-5'),('6705593763349173887','高飞','13843434310',NULL,'ls-lsz-gj-6'),('6705593763349174534','张少华','15500171812',NULL,'ls-lsz-qyg-5'),('6705593763349174561','孟凡强','13846493026',NULL,'ls-lsz-qyg-6'),('6705593763349174588','韩志国','13500849317',NULL,'ls-lsz-dpa-2'),('6705593763349174615','王君','13504355828',NULL,'ls-lsz-dpa-5'),('6705593763349174642','韩峰','13674402050',NULL,'ls-lsz-dpa-7'),('6705593763349174669','兰玉琢','13674406408',NULL,'ls-lsz-dpa-9'),('6705593763349174696','郭富财','15665965277',NULL,'ls-lsz-qfs-2'),('6705593763349174723','朱秀峰','18684341090',NULL,'ls-lsz-qfs-4'),('6705593763349174750','万众','15943437499',NULL,'ls-lsz-qfs-5'),('6705593763349174844','黄铁钢','15044488877',NULL,'220322203201012'),('6705593763349174871','刘福全','13894403299',NULL,'220322203205009'),('6705593763349174898','王和','13944483057',NULL,'220322203204009'),('6705593763349174925','辛峰','15844490330',NULL,'220322203210008'),('6705593763349174952','贺井立','19843455888',NULL,'220322203207009'),('6705593763349174979','王宇','13624346667',NULL,'220322203208011'),('6705593763349175006','刘海波','13694391817',NULL,'220322203208010'),('6705593763349175033','刘国红','13630912421',NULL,'220322203208009'),('6705593763349175060','梁春平','15943447012',NULL,'220322203211008'),('6705593763349175087','张艳杰','13504749583',NULL,'ls-ystz-zhjyfcwh14-wgy'),('6705593763349175114','孙立刚','13278094184',NULL,'ls-ystz-djwpcwh13-wgy'),('6705593763349175141','周云','13039034160',NULL,'ls-ystz-tjcwh10-wgy'),('6705593763349175168','曲国清','13943311806',NULL,'ls-ystz-tjcwh11-wgy'),('6705593763349175195','王丽芹','13843495160',NULL,'ls-ystz-xxcwh11-wgy'),('6705593763349175222','张春梅','15886088122',NULL,'ls-ystz-xjcwh8-wgy'),('6705593763349175249','张伟豪','13630912731',NULL,'ls-ystz-xfpcwh10-wgy'),('6705593763349175276','闫军福','15834439300',NULL,'ls-ystz-yanjcwh4-wgy'),('6705593763349175303','李树森','13596645662',NULL,'ls-ystz-yanjcwh8-wgy'),('6705593763349175330','张辉','13596674130',NULL,'ls-ystz-yanjcwh9-wgy'),('6722130177712783531','张蕾','15500121910',NULL,'tx-bgjd-btsq15-wgy'),('6722130177712784867','王海峰','13596616400',NULL,'sl-ltx-hsc2-wgy'),('6722130177712784936','康莹','18704347405',NULL,'tx-dzjd-dzsq11-wgy'),('6722130177712785201','程晓光','18743459495',NULL,'sl-ltx-ttc2-wgy'),('6722130177712785228','刘晓慧','15043483598',NULL,'sl-ltx-ttc3-wgy'),('6722130177712785255','吴忠生','13596699520',NULL,'sl-ltx-xlc3-wgy'),('6722130177712785333','马金纯','15590210100',NULL,'sl-ltx-wjc2-wgy'),('6722130177712785360','孟凡龙','13244346665',NULL,'sl-ltx-wjc3-wgy'),('6722130177712785387','王男男','18629827315',NULL,'sl-ltx-tdc3-wgy'),('6722130177712785414','于美玲','13278428431',NULL,'sl-ltx-whc2-wgy'),('6722130177712785441','王占忠','18543415712',NULL,'sl-ltx-whc3-wgy'),('6722130177712785646','杨民生','13278421226',NULL,'sl-ltx-qgc2-wgy'),('6722130177712785681','高洪大','18643463710',NULL,'sl-ltx-fbc2-wgy'),('6722130177712785708','赵德福','15500132126',NULL,'sl-ltx-fbc3-wgy'),('6722130177712785819','礼双鹏','18543415917',NULL,'sl-ltx-dbc2-wgy'),('6722130177712785846','张小雷','18843457100',NULL,'sl-ltx-dbc3-wgy'),('6722130177712786041','崔嘉明','18643469393',NULL,'sl-lnjd-nksq14-wgy'),('6722130177712786091','宋清清','15605930871',NULL,'sl-lnjd-nksq15-wgy'),('6722130177712786341','孙宝林','15043475515',NULL,'sl-ltx-lxsq2-wgy'),('6722130177712786368','王立民','13844455758',NULL,'sl-lnjd-cxc5-wgy'),('6722130177712786409','李艳艳','13843432822',NULL,'sl-dmz-qxc6-wgy'),('6722130177712786436','刘帅','15584256669',NULL,'sl-dmz-wjc5-wgy'),('6722130177712786463','乔金艳','15844453510',NULL,'sl-dmz-wjc6-wgy'),('6722130177712786490','刘宏峰','13694028015',NULL,'sl-dmz-gac5-wgy'),('6722130177712786517','石义','15567235693',NULL,'sl-dmz-wj5-wgy'),('6722130177712786547','梅松林','15943473181',NULL,'sl-dmz-ds8-wgy'),('6722130177712786574','于超','13596699959',NULL,'sl-dmz-ds10-wgy'),('6722130177712786601','叶忠诚','15044452120',NULL,'sl-dmz-ds12-wgy'),('6722130177712786646','王洪达','13251810216',NULL,'sl-hqjd-ysc2-wgy'),('6722130177712788817','ZXCS','14100000051',NULL,'ZXCS51'),('6722130177712788844','ZXCS','14100000052',NULL,'ZXCS52'),('6722130177712788871','ZXCS','14100000054',NULL,'ZXCS54'),('6722130177712788898','ZXCS','14100000056',NULL,'ZXCS56'),('6722130177712788925','ZXCS','14100000057',NULL,'ZXCS57'),('6722130177712788968','ZXCS','14100000058',NULL,'ZXCS58'),('6722130177712788995','ZXCS','14100000059',NULL,'ZXCS59'),('6722130177712789022','ZXCS','14100000062',NULL,'ZXCS62'),('6722130177712789049','ZXCS','14100000064',NULL,'ZXCS64'),('6722130177712789076','ZXCS','14100000065',NULL,'ZXCS65'),('6722130177712789103','ZXCS','14100000067',NULL,'ZXCS67'),('6722130177712789130','ZXCS','14100000071',NULL,'ZXCS71'),('6722130177712789157','ZXCS','14100000073',NULL,'ZXCS73'),('6722130177712789184','ZXCS','14100000074',NULL,'ZXCS74'),('6722130177712789211','ZXCS','14100000076',NULL,'ZXCS76'),('6722130177712789238','ZXCS','14100000078',NULL,'ZXCS78'),('6722130177712789265','ZXCS','14100000079',NULL,'ZXCS79'),('6722130177712789292','ZXCS','14100000081',NULL,'ZXCS81'),('6722130177712789319','ZXCS','14100000082',NULL,'ZXCS82'),('6722130177712789346','ZXCS','14100000084',NULL,'ZXCS84'),('6722130177712789373','ZXCS','14100000085',NULL,'ZXCS85'),('6722130177712789400','ZXCS','14100000086',NULL,'ZXCS86'),('6722130177712789427','ZXCS','14100000087',NULL,'ZXCS87'),('6722130177712789454','ZXCS','14100000089',NULL,'ZXCS89'),('6722130177712789481','ZXCS','14100000090',NULL,'ZXCS90'),('6722130177712789508','ZXCS','14100000091',NULL,'ZXCS91'),('6722130177712789535','ZXCS','14100000094',NULL,'ZXCS94'),('6722130177712789562','ZXCS','14100000097',NULL,'ZXCS97'),('6722130177712789589','ZXCS','14100000099',NULL,'ZXCS99'),('6722130177712789643','ZXCS','14100000151',NULL,'ZXCS151'),('6722130177712789670','ZXCS','14100000050',NULL,'ZXCS50'),('6722130177712789724','ZXCS','14100000152',NULL,'ZXCS152'),('6722130177712789778','ZXCS','14100000003',NULL,'ZXCS3'),('6722130177712789984','ZXCS','14100000008',NULL,'ZXCS8'),('6722130177712790015','ZXCS','14100000107',NULL,'ZXCS17'),('6722130177712790042','ZXCS','14100000009',NULL,'ZXCS9'),('6722130177712790104','ZXCS','14100000157',NULL,'ZXCS157'),('6722130177712790131','ZXCS','14100000159',NULL,'ZXCS159'),('6722130177712790158','ZXCS','14100000160',NULL,'ZXCS160'),('6722130177712790185','ZXCS','14100000163',NULL,'ZXCS163'),('6722130177712790240','ZXCS','14100000166',NULL,'ZXCS166'),('6722130177712790285','ZXCS','14100000167',NULL,'ZXCS167'),('6722130177712790327','ZXCS','14100000168',NULL,'ZXCS168'),('6722130177712790354','ZXCS','14100000169',NULL,'ZXCS169'),('6722130177712790381','ZXCS','14100000019',NULL,'ZXCS18'),('6722130177712790408','ZXCS','14100000170',NULL,'ZXCS170'),('6722130177712790435','ZXCS','14100000020',NULL,'ZXCS19'),('6722130177712790462','ZXCS','14100000171',NULL,'ZXCS171'),('6722130177712790953','ZXCS','14100000021',NULL,'ZXCS20'),('6722130177712790980','ZXCS','14100000024',NULL,'ZXCS23'),('6722130177712791007','ZXCS','14100000173',NULL,'ZXCS173'),('6722130177712791034','ZXCS','14100000026',NULL,'ZXCS25'),('6722130177712791061','ZXCS','14100000027',NULL,'ZXCS26'),('6722130177712791186','ZXCS','14100000176',NULL,'ZXCS176'),('6722130177712791213','ZXCS','14100000031',NULL,'ZXCS30'),('6722130177712791436','ZXCS','14100000032',NULL,'ZXCS31'),('6722130177712791490','ZXCS','14100000178',NULL,'ZXCS178'),('6722130177712791517','ZXCS','14100000034',NULL,'ZXCS33'),('6722130212072521752','ZXCS','14100000036',NULL,'ZXCS35'),('6722130212072521779','ZXCS','14100000180',NULL,'ZXCS180'),('6722130212072521806','ZXCS','14100000040',NULL,'ZXCS39'),('6722130212072521836','ZXCS','14100000041',NULL,'ZXCS40'),('6722130212072521863','ZXCS','14100000044',NULL,'ZXCS43'),('6722130212072521890','ZXCS','14100000045',NULL,'ZXCS44'),('6722130212072521917','ZXCS','14100000182',NULL,'ZXCS182'),('6722130212072521944','ZXCS','14100000183',NULL,'ZXCS183'),('6722130212072521971','ZXCS','14100000000',NULL,'ZXCS49'),('6722130212072522291','ZXCS','14100000186',NULL,'ZXCS186'),('6722130212072522345','ZXCS','14100000187',NULL,'ZXCS187'),('6722130212072522545','ZXCS','14100000190',NULL,'ZXCS190'),('6722130212072522572','ZXCS','14100000191',NULL,'ZXCS191'),('6722130212072522653','ZXCS','14100000193',NULL,'ZXCS193'),('6722130212072522707','ZXCS','14100000194',NULL,'ZXCS194'),('6722130212072522734','ZXCS','14100000195',NULL,'ZXCS195'),('6722130212072522788','ZXCS','14100000199',NULL,'ZXCS199'),('6722130212072522815','ZXCS','14100000200',NULL,'ZXCS200'),('6722130212072522854','ZXCS','14100000131',NULL,'ZXCS131'),('6722130212072523140','孙福权','15500129898',NULL,'yt-ydz-chjcwh5-wgy'),('6722130212072524645','ZXCS','14100000201',NULL,'ZXCS201'),('6722130212072524672','ZXCS','14100000202',NULL,'ZXCS202'),('6722130212072524699','ZXCS','14100000203',NULL,'ZXCS203'),('6722130212072524726','ZXCS','14100000204',NULL,'ZXCS204'),('6722130212072524753','ZXCS','14100000206',NULL,'ZXCS206'),('6722130212072524780','ZXCS','14100000208',NULL,'ZXCS208'),('6722130212072524849','ZXCS','14100000213',NULL,'ZXCS213'),('6722130212072525086','ZXCS','14100000219',NULL,'ZXCS219'),('6722130212072525113','ZXCS','14100000220',NULL,'ZXCS220'),('6722130212072525224','ZXCS','14100000223',NULL,'ZXCS223'),('6722130212072525293','ZXCS','14100000227',NULL,'ZXCS227'),('6722130212072525320','ZXCS','14100000228',NULL,'ZXCS228'),('6722130212072525347','ZXCS','14100000229',NULL,'ZXCS229'),('6722130212072525374','ZXCS','14100000230',NULL,'ZXCS230'),('6722130212072525401','ZXCS','14100000234',NULL,'ZXCS234'),('6722130212072525428','ZXCS','14100000238',NULL,'ZXCS238'),('6722130212072525455','ZXCS','14100000240',NULL,'ZXCS240'),('6722130212072525482','ZXCS','14100000241',NULL,'ZXCS241'),('6722130212072525509','ZXCS','14100000242',NULL,'ZXCS242'),('6722130212072525536','ZXCS','14100000243',NULL,'ZXCS243'),('6722130212072525563','ZXCS','14100000245',NULL,'ZXCS245'),('6722130212072525590','ZXCS','14100000246',NULL,'ZXCS246'),('6722130212072525617','ZXCS','14100000247',NULL,'ZXCS247'),('6722130212072525644','ZXCS','14100000248',NULL,'ZXCS248'),('6722130212072525671','ZXCS','14100000251',NULL,'ZXCS251'),('6722130212072525698','ZXCS','14100000253',NULL,'ZXCS253'),('6722130212072525725','ZXCS','14100000254',NULL,'ZXCS254'),('6722130212072525752','ZXCS','14100000257',NULL,'ZXCS257'),('6722130212072525779','ZXCS','14100000261',NULL,'ZXCS261'),('6722130212072525806','沈静','18743454912',NULL,'sl-dmz-tlc6-wgy'),('6722130212072526046','ZXCS','14100000263',NULL,'ZXCS263'),('6722130212072526080','ZXCS','14100000264',NULL,'ZXCS264'),('6722130212072526107','ZXCS','14100000265',NULL,'ZXCS265'),('6722134197802180514','崔向阳','15774484466',NULL,'ls-cjz-cjzxzsq5-wgy'),('6722134197802180571','徐丽英','15567257818',NULL,'ls-cjz-cjzxzsq7-wgy'),('6722134266521649550','杨晓明','13943310842',NULL,'3'),('6722134266521649628','崔钊','15559043333',NULL,'5'),('6722134266521649655','赵红会','15500163888',NULL,'ls-gjdz-zhbsq4-wgy'),('6722134266521649711','贾春有','13179039315',NULL,'ls-wfz-csjcy'),('6722134266521649775','李红波','15844495928',NULL,'ls-gjdz-zhbsq2-wgy'),('6722134266521649812','张玉军','13944488405',NULL,'ls-gjdz-zhbsq3-wgy'),('6722134266521649839','崔凤文','15500169216',NULL,'ls-gjdz-zhbsq5-wgy'),('6722134266521649871','李秀芬','13596623451',NULL,'ls-gjdz-zhbsq6-wgy'),('6722134266521649987','鹿旭野','13614448811',NULL,'ls-ljgz-ljgzcwh9-wgy'),('6722134266521650294','张哲','18543434980',NULL,'ls-gjdz-chhsq2-wgy'),('6722134266521650341','郑永付','13404644705',NULL,'ls-wfz-dwfzyf'),('6722134266521650368','顾艳河','15004468868',NULL,'ls-wfz-dwfgyh'),('6722134266521650395','肖庆','15665962187',NULL,'ls-ljgz-wtccwh1-wgy'),('6722134266521650422','王权','16624345558',NULL,'ls-wfz-dwfwq'),('6722134266521650525','刘春玉','15981683037',NULL,'ls-gjdz-hensq3-wgy'),('6722134266521650552','刘雪','15104342988',NULL,'ls-wfz-dwflx'),('6722134266521650617','王文霞','13630916163',NULL,'ls-gjdz-hensq5-wgy'),('6722134266521650644','孙培有','13630996577',NULL,'wfzxf03'),('6722134266521650918','宋凤辉','18643492622',NULL,'ls-gjdz-zhnsq2-wgy'),('6722134266521650945','代洪臣','13630910971',NULL,'wfzxf02'),('6722134266521650972','姬长山','13689728998',NULL,'ls-gjdz-zhnsq3-wgy'),('6722134266521651004','郭凤鸣','15843465315',NULL,'ls-gjdz-zhnsq4-wgy'),('6722134266521651031','石平','13504749260',NULL,'ls-ljgz-dwjcwh5-wgy'),('6722134266521651058','王雁鹏','15590470732',NULL,'ls-gjdz-zhnsq6-wgy'),('6722134266521651085','ZXCS','14400000405',NULL,'ZXCS405'),('6722134266521651232','王玉霞','18843499800',NULL,'ls-gjdz-shgsq2-wgy'),('6722134266521651259','ZXCS','14400000408',NULL,'ZXCS408'),('6722134266521651286','郑秀丽','13596622166',NULL,'ls-gjdz-shgsq3-wgy'),('6722134266521651313','董文成','15004482232',NULL,'ls-ljgz-bljzcwh10-wgy'),('6722134266521651438','张绍平','15843481012',NULL,'wfzzjt07'),('6722134266521651475','郝春玲','15004493288',NULL,'ls-ljgz-bljzcwh9-wgy'),('6722134266521651521','胡小丽','15804347577',NULL,'ls-gjdz-jcsq4-wgy'),('6722134266521651567','李才','15981687785',NULL,'wfztjwz07'),('6722134266521651594','张玉贵','13179181817',NULL,'ls-ljgz-wjtzcwh6-wgy'),('6722134266521651663','宿百昌','15004466009',NULL,'220322103002001'),('6722134266521651689','陈静波','13596675900',NULL,'220322103001000'),('6722134266521651715','李建军','13843473339',NULL,'ls-wfz-gjgzc1'),('6722134266521651742','刘作舟','18743437298',NULL,'wfzsjwz08'),('6722134266521651788','高凤喜','15590222488',NULL,'wfzsjwz10'),('6722134266521651815','韩跃双','13844419299',NULL,'wfzqs07'),('6722134266521651956','马晓辉','15943450227',NULL,'ls-gjdz-zjcwh3-wgy'),('6722134266521652002','侯青山','17197044000',NULL,'ls-wfz-gjgz4'),('6722134266521652029','贾树江','18743439481',NULL,'ls-gjdz-zjcwh7-wgy'),('6722134266521652056','张立文','15981594595',NULL,'wfzqlj07'),('6722134266521652083','杨洪玉','15004480315',NULL,'ls-gjdz-zjcwh4-wgy'),('6722134266521652110','王青','13894481986',NULL,'ls-wfz-gjgz6'),('6722134266521652159','王洪','13844489894',NULL,'ls-gjdz-hczcwh10-wgy'),('6722134266521652262','王祥才','13278094437',NULL,'wfzntp08'),('6722134266521652583','张丽娜','15843463442',NULL,'220322103004002'),('6722134266521652610','孟祥才','15004498319',NULL,'wfzntp09'),('6722134266521652885','崔艳维','15943436278',NULL,'220322103004001'),('6722134266521652993','任文','15004468795',NULL,'wfzbjpz07'),('6722134266521653203','衣德金','17519315255',NULL,'ls-ljgz-dklcwh6-wgy'),('6722134266521653230','刘宝库','15144494055',NULL,'ls-ljgz-tanycwh7-wgy'),('6722134266521653380','徐守臣','15004495484',NULL,'ls-ljgz-sanjwpchw5-wgy'),('6722134266521653445','车占国','15944455239',NULL,'wfzyjpz08'),('6722134266521653472','李强','15843470629',NULL,'ls-ljgz-lscwh5-wgy'),('6722134266521653583','潘洪臣','15044499585',NULL,'wfzyjpz11'),('6722134266521653737','孙凤东','13278091080',NULL,'ls-wfz-jzpc5'),('6722134266521653764','张廷玉','15568507830',NULL,'ls-wfz-jzpc4'),('6722134266521653829','赵井铁','13278120420',NULL,'220322103207001'),('6722134266521653856','于春华','15500162282',NULL,'220322103207002'),('6722134266521653883','谢振军','13630919875',NULL,'220322103207003'),('6722134266521653929','杨玉芝','15590181277',NULL,'220322103207004'),('6722134266521653956','曹立峰','13614448664',NULL,'220322103207005'),('6722134266521654022','孙金','15004459902',NULL,'220322103207006'),('6722134266521654089','杨晓敏','15106693099',NULL,'220322103207009'),('6722134266521654116','刘海','18243492587',NULL,'ZXCS415'),('6722134266521654162','孙丽','15043435110',NULL,'ZXCS418'),('6722134266521654189','董贺','13039038883',NULL,'ls-lsz-xpa-2'),('6722134266521654260','梁向芙','15590471766',NULL,'wfzsjd09'),('6722134266521654287','宋国学','13194348831',NULL,'wfzlvjgz07'),('6722134266521654333','刘春菊','13596674269',NULL,'wfzlvjgz09'),('6722134266521654415','吴显春','15500428927',NULL,'wfzljgz07'),('6722134266521654442','杨云芹','13654447290',NULL,'wwfzljgz09'),('6722134266521654469','刘彬','18844422504',NULL,'wfzljgz10'),('6722134266521654537','赵宇彤','15004452627',NULL,'220322103003002'),('6722134266521654572','陈志和','13844475573',NULL,'220322103003004'),('6722134266521654601','吕艳茹','15774422722',NULL,'220322103005003'),('6722134266521654744','李维忠','15844489486',NULL,'220322103007002'),('6722134266521654771','曲立军','13224446123',NULL,'220322103007003'),('6722134266521654817','陈玉彬','13125835369',NULL,'220322103007007'),('6722134266521654863','姚相邻','15004459799',NULL,'220322103007009'),('6722134266521654928','巴信和','13944482545',NULL,'220322103007012'),('6722134266521654974','席军','13179039118',NULL,'220322103007014'),('6722134266521655074','姚志华','18243497375',NULL,'220322103200002'),('6722134266521655124','窦全','13630990994',NULL,'220322103200003'),('6722134266521655155','赵亮','13694340227',NULL,'220322103200005'),('6722134266521655205','王长立','15774487123',NULL,'220322103200006'),('6722134266521655236','李海洋','15043429944',NULL,'220322103200007'),('6722134266521655321','刘增春','15981688393',NULL,'220322103008002'),('6722134266521655446','马振秀','15590470327',NULL,'ls-lhz-xkccwh10-wgy'),('6722134266521655504','刘国任','15844403888',NULL,'ls-lhz-cfcwh7-wgy'),('6722134266521655531','翟志华','15843463977',NULL,'220322103006002'),('6722134266521655560','冯忠文','15004489399',NULL,'220322103201001'),('6722134266521655587','郝双印','15981584018',NULL,'ls-lhz-dmdcwh13-wgy'),('6722134266521655614','魏长征','13596673455',NULL,'220322103006007'),('6722134266521655643','马林清','13244056784',NULL,'220322103201007'),('6722134266521655670','纪红军','13894454619',NULL,'220322103201008'),('6722134266521655697','王志永','18243426888',NULL,'220322103006010'),('6722134266521655726','关凯','18843435558',NULL,'220322103006011'),('6722134266521655804','王际成','13943319322',NULL,'ls-lhz-ljwzcwh10-wgy'),('6722134266521655847','王江','17543425399',NULL,'220322103206008'),('6722134266521655905','李百青','15665945015',NULL,'220322103206011'),('6722134266521655975','袁春','15004497592',NULL,'ls-lhz-tdgcwh11-wgy'),('6722134266521656002','姜永','15143463188',NULL,'ls-lhz-tdgcwh9-wgy'),('6722134266521656029','刘玉洲','13944405177',NULL,'220322103208003'),('6722134266521656056','曲立军','15144633262',NULL,'220322103208004'),('6722134266521656087','焦凤权','15944491799',NULL,'220322103208006'),('6722134266521656114','张国利','13944484301',NULL,'220322103208007'),('6722134266521656156','刘金龙','18744435899',NULL,'220322103006000'),('6722134266521656221','邢有范','15500426328',NULL,'ls-lhz-sfcwh7-wgy'),('6722134266521656256','马振友','15843485022',NULL,'ls-lhz-xxzcwh10-wgy'),('6722134266521656323','王卫印','13634349688',NULL,'220322103204003'),('6722134266521656464','井志兴','13630993855',NULL,'ls-lhz-cjwzcwh8-wgy'),('6722134266521656491','王玉波','13596647419',NULL,'220322103204005'),('6722134266521656518','纪帅','15714441116',NULL,'220322103204006'),('6722134266521656548','马云山','15943456634',NULL,'ls-lhz-sscwh11-wgy'),('6722134266521656579','马万波','13321430366',NULL,'220322103204009'),('6722134266521656606','王小东','15943442743',NULL,'ls-lhz-kslcwh12-wgy'),('6722134266521656709','崔东南','18904344721',NULL,'220322103204010'),('6722134266521656815','郝鹏','13596679119',NULL,'220322103204013'),('6722134266521656851','张秀梅','15904308642',NULL,'ls-lhz-axsq2-wgy'),('6722134266521657060','陈长青','15330656111',NULL,'220322103010001'),('6722134266521657182','吕业国','13694398390',NULL,'220322103010004'),('6722134266521657209','王四英','15044496596',NULL,'220322103010006'),('6722134266521657331','曹志','15981590077',NULL,'220322103010007'),('6722134300881387534','李金','13404640233',NULL,'220322103010010'),('6722134300881387561','吕业军','13943317769',NULL,'220322103010013'),('6722134300881387588','黄忠良','13630919192',NULL,'220322103009006'),('6722134300881387615','陈静','13844486899',NULL,'220322103009008'),('6722134300881387727','孙少发','13258715552',NULL,'ls-lsz-hjb-4'),('6722134300881387754','于淑玲','13630914664',NULL,'220322103001004'),('6722134300881387790','王青春','15004494599',NULL,'ls-lsz-hjb-6'),('6722134300881387818','张文立','15943433363',NULL,'ls-lsz-xjp-2'),('6722134300881387887','赵亮','13944489551',NULL,'ls-lsz-xjp-3'),('6722134300881387914','孙立国','13596674926',NULL,'ls-lsz-xjp-4'),('6722134300881387941','陈丹','15590223348',NULL,'ls-lsz-xjp-6'),('6722134300881387968','于长江','13596673852',NULL,'ls-lsz-xjp-7'),('6722134300881387999','杨秀芬','19170174657',NULL,'22032220420112'),('6722134300881388031','周志刚','15844498734',NULL,'ls-lsz-mdf-1'),('6722134300881388058','王冶','15665965485',NULL,'ls-lsz-mdf-3'),('6722134300881388085','宋双','18543459273',NULL,'220322103202002'),('6722134300881388111','卢广清','18543458602',NULL,'220322103202003'),('6722134300881388189','王海文','15844494400',NULL,'ls-lsz-mdf-6'),('6722134300881388268','李淑媛','15004486686',NULL,'ls-lsz-nxs-3'),('6722134300881388295','李迎山','15943442081',NULL,'ls-lsz-nxs-6'),('6722134300881388323','杨玉梅','13630913292',NULL,'ls-lsz-scz-1'),('6722134300881388350','郑国良','18543459383',NULL,'220322103202006'),('6722134300881388381','邵春雷','13500166660',NULL,'220322203202011'),('6722134300881388409','袁丽娟','13614349678',NULL,'ls-lsz-scz-6'),('6722134300881388437','高玉宝','18629852927',NULL,'ls-lsz-scz-8'),('6722134300881388465','王志红','15004487680',NULL,'ls-lsz-hj-3'),('6722134300881388532','孔宪华','15585447330',NULL,'ls-lsz-hfs-1'),('6722134300881388559','尹洪伟','13069222612',NULL,'ls-lsz-hfs-2'),('6722134300881388587','赵德军','15944491160',NULL,'220322103206003'),('6722134300881388614','赵志永','13159786512',NULL,'ls-lsz-hfs-7'),('6722134300881388696','王金权','13804479590',NULL,'ls-lsz-zx-6'),('6722134300881388723','王福光','18243426688',NULL,'ls-lsz-zx-7'),('6722134300881388750','田宝民','18629825119',NULL,'220322103206012'),('6722134300881388777','张春和','13943314676',NULL,'220322203200010'),('6722134300881388804','秦长伟','15104440581',NULL,'220322203200012'),('6722134300881388831','赵长民','13630912242',NULL,'220322203200009'),('6722134300881388900','吴井宽','15144630983',NULL,'ls-lsz-zx-9'),('6722134300881388927','崔友权','13654447676',NULL,'ls-lsz-hjc-1'),('6722134300881388954','石立武','15844494233',NULL,'ls-lsz-hjc-3'),('6722134300881388981','袁敬志','15943436163',NULL,'ls-lsz-hjc-9'),('6722134300881389008','赵凤','13278435670',NULL,'ls-lsz-yj-1'),('6722134300881389035','王友','13944488234',NULL,'ls-lsz-yj-2'),('6722134300881389062','范永刚','13843499656',NULL,'ls-lsz-yj-3'),('6722134300881389089','孙宝','15944455400',NULL,'ls-lsz-yj-4'),('6722134300881389116','宫利勇','15886087797',NULL,'ls-lsz-yj-5'),('6722134300881389143','刘海洋','13944411142',NULL,'ls-lsz-yj-7'),('6722134300881389170','徐伟','13630704000',NULL,'ls-lsz-zap-1'),('6722134300881389197','荣立光','15886097017',NULL,'ls-lsz-zap-3'),('6722134300881389224','林振玉','13278430494',NULL,'ls-lsz-zap-4'),('6722134300881389251','崔玉和','13278038222',NULL,'ls-lsz-zap-6'),('6722134300881389278','林树山','18243494506',NULL,'ls-lsz-bxj-1'),('6722134300881389362','沈文富','15004466185',NULL,'ls-lsz-bxj-2'),('6722134300881389446','张海军','13620777096',NULL,'ls-lsz-bxj-6'),('6722134300881389473','李财林','15886088667',NULL,'ls-lsz-blh-1'),('6722134300881389500','王井付','15643457719',NULL,'ls-lsz-blh-2'),('6722134300881389527','徐亮','15844492226',NULL,'ls-lsz-blh-3'),('6722134300881389554','惠权','13844476361',NULL,'ls-lsz-blh-4'),('6722134300881389581','张晓峰','13630996598',NULL,'ls-lsz-blh-5'),('6722134300881389608','杨国军','15665993677',NULL,'ls-lsz-blh-8'),('6722134300881389635','于春清','15044441279',NULL,'ls-lsz-blh-9'),('6722134300881389662','邵立志','15004452872',NULL,'ls-lsz-dyt-1'),('6722134300881389689','王帅','18343482288',NULL,'ls-lsz-dyt-3'),('6722134300881389716','于宏','15843451135',NULL,'ls-lsz-dyt-4'),('6722134300881389743','郭维军','15886088875',NULL,'ls-lsz-dyt-5'),('6722134300881389770','谢文学','13596640065',NULL,'ls-lsz-gj-1'),('6722134300881389797','姜涛','13620773824',NULL,'ls-lsz-gj-2'),('6722134300881389824','黄殿威','15943440010',NULL,'ls-lsz-gj-3'),('6722134300881389851','王继阳','15590224777',NULL,'ls-lsz-gj-4'),('6722134300881389878','孙海波','13596645310',NULL,'ls-lsz-gj-7'),('6722134300881389905','武艳鹏','18744437775',NULL,'ls-lsz-qyg-1'),('6722134300881389932','顾春玲','13214449435',NULL,'ls-lsz-qyg-3'),('6722134300881389959','赵发','15590475395',NULL,'ls-lsz-qyg-7'),('6722134300881389986','孙宝录','13500845556',NULL,'ls-lsz-dpa-1'),('6722134300881390013','贺凤柱','13630993299',NULL,'ls-lsz-dpa-3'),('6722134300881390040','王德江','13214441584',NULL,'ls-lsz-dpa-4'),('6722134300881390067','李亮','13894452361',NULL,'ls-lsz-dpa-6'),('6722134300881390094','宋玉刚','15943458899',NULL,'ls-lsz-dpa-8'),('6722134300881390121','贾立双','13251844608',NULL,'ls-lsz-dpa-10'),('6722134300881390148','刘志东','15943446859',NULL,'ls-lsz-qfs-1'),('6722134300881390175','苏继臣','13224449813',NULL,'ls-lsz-qfs-3'),('6722134300881390202','李合','13278036451',NULL,'ls-lsz-qfs-6'),('6722134300881390229','吕春明','13844483968',NULL,'220322203204010'),('6722134300881390256','陈洪启','13694345888',NULL,'220322203207010'),('6722134300881390283','李波','13643444446',NULL,'ls-ystz-zjjcwh13-zxgzry'),('6722134300881390310','张海涛','15044417456',NULL,'ls-ystz-zhjyfcwh13-wgy'),('6722134300881390337','杨大军','15585442866',NULL,'ls-ystz-zhjyfcwh15-wgy'),('6722134300881390364','崔敬贤','13404645070',NULL,'ls-ystz-zhjyfcwh16-wgy'),('6722134300881390391','丛贵民','18343481386',NULL,'ls-ystz-djwpcwh11-wgy'),('6722134300881390418','丛秀文','15981687650',NULL,'ls-ystz-djwpcwh12-wgy'),('6722134300881390445','孙艳玲','15590238190',NULL,'ls-ystz-djwpcwh15-wgy'),('6722134300881390472','刘丹','13278033017',NULL,'ls-ystz-xxcwh10-wgy'),('6722134300881390499','孙亚杰','18628789686',NULL,'ls-ystz-slcwh10-wgy'),('6722134300881390526','张杰','13040308582',NULL,'ls-ystz-slcwh11-wgy'),('6722134300881390553','张子阳','15944456782',NULL,'ls-ystz-xfcwh6-wgy'),('6722134300881390580','张凤喜','13844488310',NULL,'ls-ystz-xjcwh7-wgy'),('6722134300881390617','郑鹏','13894453833',NULL,'ls-ystz-yanjcwh10-wgy'),('6722134300881390644','郑佳帅','15590221833',NULL,'ls-ystz-yanjcwh11-wgy'),('6722134300881390672','王也冰','13630745995',NULL,'ls-ystz-xfpcwh9-wgy'),('6722134300881390699','刘亚丽','13125837479',NULL,'ls-ystz-yinhsq6-wgy'),('6722134300881390726','王德玉','13943311786',NULL,'ls-ystz-xhecwh7-wgy'),('6722134300881390753','孟凡金','15943438606',NULL,'ls-ystz-yanjcwh2-wgy'),('6722134300881390780','姚占福','15943447321',NULL,'ls-ystz-yanjcwh3-wgy'),('6722134300881390807','刘海','13596672301',NULL,'ls-ystz-yanjcwh5-wgy'),('6722134300881390834','李权','13630991331',NULL,'ls-ystz-yanjcwh6-wgy'),('6722134300881390861','郑文海','18343431355',NULL,'ls-ystz-yanjcwh7-wgy'),('7124028546981349553','慕添','13689729888',NULL,'ls-fqjd-xfsq-wgy03'),('7124028546981349580','于海军','13944443944',NULL,'ls-fqjd-xfsq-wgy08'),('7124028546981349607','赵春阳','15143400781',NULL,'ls-fqjd-xfsq-wgy10'),('7124028546981350055','王鹏','15643434546',NULL,'td-htkjg-zxsq7-wgy01'),('7124028546981350087','宋丽','15981518839',NULL,'td-htkjg-zxsq10-wgy'),('7124028546981350116','霍晶颖','15834427981',NULL,'td-htkjg-zxsq11-wgy'),('7124028546981350143','张颖','13694449933',NULL,'td-htkjg-zxsq12-wgy'),('7124033048107089762','徐新新','15590229905',NULL,'ls-fqjd-xfsq-wgy01'),('7124033048107089789','代宝莹','18543485558',NULL,'ls-fqjd-xfsq-wgy02'),('7124033048107089816','管凤宇','15104345544',NULL,'ls-fqjd-xfsq-wgy04'),('7124033116826558850','蔡金昌','15144149999',NULL,'ls-fqjd-xfsq-wgy05'),('7124033116826559365','王红梅','18343481559',NULL,'ls-fqjd-xfsq-wgy06'),('7124033116826559392','李鹏','13674405657',NULL,'ls-fqjd-xfsq-wgy07'),('7124033116826559419','遇东雪','15590413777',NULL,'ls-fqjd-xfsq-wgy09'),('7124033116826559446','王娇','15144433077',NULL,'ls-fqjd-xfsq-wgy11'),('7124033116826559473','杜鹃','15004481911',NULL,'ls-fqjd-xfsq-wgy12'),('7124033116826560325','于文强','13689716200',NULL,'td-htkjg-zxsq6-wgy01'),('7124033116826560352','李艳平','13843437081',NULL,'td-htkjg-zxsq8-wgy'),('7124033116826560381','荣春梅','15714442324',NULL,'td-htkjg-zxsq9-wgy'),('7124033116826560410','郭大海','15981504577',NULL,'td-htkjg-zxsq13-wgy'),('7124033116826560439','康云飞','18844440219',NULL,'td-htkjg-zxsq14-wgy'),('7310092611917923618','王蕾','18804341558',NULL,'td-pdjd-ltsq1-wgy'),('7310092611917923707','张潆月','13278508990',NULL,'td-pdjd-ltsq3-wgy'),('7310092611917923739','陈立秋','13844418160',NULL,'td-pdjd-ltsq5-wgy'),('7310092611917923766','李建礼','13943470063',NULL,'td-pdjd-ltsq6-wgy'),('7310092611917923795','高兵','13404349501',NULL,'td-pdjd-ltsq7-wgy'),('7310092611917923826','冯威威','15144662226',NULL,'td-pdjd-ltsq8-wgy'),('7310093573990606021','安文丹','15604345702',NULL,'td-pdjd-ltsq2-wgy'),('7310093573990606054','王荣','15843407344',NULL,'td-pdjd-ltsq4-wgy'),('7310093573990606081','刘显峰','13844419624',NULL,'td-pdjd-ltsq9-wgy'),('7310093573990606108','毛颖','13843442426',NULL,'td-pdjd-cdsq8-wgy'),('7310093573990606140','田桐源','15590272171',NULL,'td-pdjd-fysq5-wgy'),('7322879829069784074','孙晓慧','18104341713',NULL,'tx-pxx-sdlc3-wgy'),('7322879829069784101','张金巧','13843404917',NULL,'tx-pxx-sdlc4-wgy'),('7322879829069784128','陈红杰','13804346171',NULL,'tx-pxx-sdlc5-wgy'),('7322879829069784155','辛红运','18643471077',NULL,'tx-pxx-sdlc6-wgy'),('7322879829069784246','杨凤林','13689729611',NULL,'tx-pxx-hzdc6-wgy'),('7322879829069784273','付克成','13844403127',NULL,'tx-pxx-tzhc3-wgy'),('7322879829069784362','王立恒','13844408439',NULL,'tx-pxx-tzhc5-wgy'),('7322879829069784446','郭玉范','15844445281',NULL,'tx-pxx-xfc2-wgy'),('7322879829069784475','曹金林','13804346850',NULL,'tx-pxx-xfc3-wgy'),('7322879829069784505','王德新','13624340988',NULL,'tx-pxx-xfc5-wgy'),('7322879863429522367','柴海东','15004341143',NULL,'tx-pxx-dbdc3-wgy'),('7322879863429522396','王亚宾','15774423968',NULL,'tx-pxx-tszc2-wgy'),('7322879863429522425','郭福祥','15043424027',NULL,'tx-pxx-qgc3-wgy'),('7322879863429522519','刘中明','13654340603',NULL,'tx-pxx-qgc6-wgy'),('7322879863429522552','郭金海','13689718598',NULL,'tx-pxx-qgc7-wgy'),('7322879863429522581','施云成','13634441956',NULL,'tx-pxx-qgc8-wgy'),('7322879863429522610','朱福顺','15944402675',NULL,'tx-pxx-qgc9-wgy'),('7322879863429522766','王凤明','15204346860',NULL,'tx-pxx-qyc3-wgy'),('7322879863429522795','冀成','13596604289',NULL,'tx-pxx-qyc5-wgy'),('7322879863429523786','兰利君','13504739289',NULL,'tx-pxx-tpgc3-wgy'),('7322879863429523815','周阳','13843401397',NULL,'tx-pxx-tpgc10-wgy'),('7322879863429523844','牛洪喜','13504343501',NULL,'tx-pxx-tpgc11-wgy'),('7322879863429523873','郝佳','18643459789',NULL,'tx-pxx-rjc2-wgy'),('7322879863429523902','张志文','15143417893',NULL,'tx-pxx-jfc3-wgy'),('7322879863429523931','栾成信','15843406535',NULL,'tx-pxx-jfc4-wgy'),('7322879863429523960','许东波','13630945698',NULL,'tx-pxx-jfc5-wgy'),('7322879863429523989','孟繁海','18204342755',NULL,'tx-pxx-jfc7-wgy'),('7322879863429524018','刘丽','18684270003',NULL,'tx-pxx-jfc8-wgy'),('7322879863429524047','高飞','13843407334',NULL,'tx-pxx-jfc9-wgy'),('7322879863429524076','张新微','18643447646',NULL,'tx-pxx-jfc10-wgy'),('7322879863429524105','胡云生','13504735775',NULL,'tx-pxx-shc2-wgy'),('7322879863429524134','郑连兴','15044442608',NULL,'tx-pxx-shc4-wgy'),('7322879863429524163','王金龙','13694009415',NULL,'tx-pxx-shc5-wgy'),('7322879863429524192','岳宝伟','13894488475',NULL,'tx-pxx-jjfc2-wgy'),('7322879863429524221','张慧秋','15844408664',NULL,'tx-pxx-xbdc2-wgy'),('7322879863429524250','王春雨','15144404039',NULL,'tx-pxx-gysc5-wgy'),('7322879863429524279','辛鸿','15981681198',NULL,'tx-pxx-gysc6-wgy'),('7322879863429524308','陈大军','15844444142',NULL,'tx-pxx-gysc7-wgy'),('7322879863429524337','杨福臣','13274342269',NULL,'tx-pxx-gysc8-wgy'),('7322879863429524366','董海英','18643438553',NULL,'tx-pxx-gysc10-wgy'),('7322880378825599630','白俊杰','15943495883',NULL,'220323001001037'),('7322880378825599667','赵欣岩','13278447774',NULL,'220323001001009'),('7322919583287094005','邱金良','15143400903',NULL,'tx-pxx-hzc2-wgy'),('7322919583287094034','吴帅','13694009017',NULL,'tx-pxx-hzc3-wgy'),('7322919583287094063','李宏亮','15144618889',NULL,'tx-pxx-zfc2-wgy'),('7322919583287094092','贲长江','13224343411',NULL,'tx-pxx-hzdc2-wgy'),('7322919583287094125','李敏','13944488787',NULL,'tx-pxx-hzdc3-wgy'),('7322919583287094152','赵羽飞','18343430778',NULL,'tx-pxx-hzdc4-wgy'),('7322919583287094179','赵宇健','15844494458',NULL,'tx-pxx-hzdc5-wgy'),('7322919583287094206','刘刚','13596608778',NULL,'tx-pxx-tzhc2-wgy'),('7322919583287094295','王凤平','15144444707',NULL,'tx-pxx-tzhc4-wgy'),('7322919583287094391','周桂芳','13843445077',NULL,'tx-pxx-tzhc6-wgy'),('7322919583287094734','王德林','13500968057',NULL,'tx-pxx-xfc4-wgy'),('7322919583287094826','牛军','18804341968',NULL,'tx-pxx-xfc6-wgy'),('7322919583287094855','王亚海','15834447899',NULL,'tx-pxx-xfc7-wgy'),('7322919583287094884','才貂','13944444693',NULL,'tx-pxx-xfc8-wgy'),('7322919583287094913','徐建华','15590697770',NULL,'tx-pxx-dbdc2-wgy'),('7322919583287094942','梁庆','16624348256',NULL,'tx-pxx-dbdc4-wgy'),('7322919583287094971','牛爽','15144444646',NULL,'tx-pxx-tszc3-wgy'),('7322919583287095000','李艳玲','15043427667',NULL,'tx-pxx-tszc4-wgy'),('7322919583287095029','王福','15844404418',NULL,'tx-pxx-qgc2-wgy'),('7322919583287095058','姜国艳','19543451728',NULL,'tx-pxx-qgc4-wgy'),('7322919583287095087','朱海山','13944409770',NULL,'tx-pxx-qgc5-wgy'),('7322919583287095116','厚雨霞','13844472966',NULL,'tx-pxx-hqc2-wgy'),('7322919583287095145','马红侠','13596661342',NULL,'tx-pxx-qyc2-wgy'),('7322919583287095174','胡玉平','15981517166',NULL,'tx-pxx-qyc4-wgy'),('7322919583287095203','冯殿才','13944445549',NULL,'tx-pxx-qyc6-wgy'),('7322919583287095358','谢宝山','15143432196',NULL,'tx-pxx-qyc7-wgy'),('7322919583287095916','贾永贵','13689715677',NULL,'tx-pxx-tpgc2-wgy'),('7322919583287095945','杨春海','13904344737',NULL,'tx-pxx-tpgc4-wgy'),('7322919583287095974','季长军','13504732729',NULL,'tx-pxx-tpgc5-wgy'),('7322919583287096003','李军','13804341279',NULL,'tx-pxx-tpgc6-wgy'),('7322919583287096032','于鹤','13843412335',NULL,'tx-pxx-tpgc7-wgy'),('7322919583287096061','谢庆春','15843424728',NULL,'tx-pxx-tpgc8-wgy'),('7322919583287096090','吕森林','13504730161',NULL,'tx-pxx-tpgc9-wgy'),('7322919583287096119','陈金宝','13624341538',NULL,'tx-pxx-xtzhc2-wgy'),('7322919583287096149','胡小春','15843415892',NULL,'tx-pxx-xtzhc3-wgy'),('7322919583287096178','李长友','13844406343',NULL,'tx-pxx-jfc2-wgy'),('7322919583287096207','许凤霞','18744409490',NULL,'tx-pxx-jfc6-wgy'),('7322919583287096236','王平','15843427797',NULL,'tx-pxx-shc3-wgy'),('7322919583287096265','李明','13630705753',NULL,'tx-pxx-gysc2-wgy'),('7322919583287096294','鲍影录','13596623288',NULL,'tx-pxx-gysc3-wgy'),('7322919583287096323','徐树海','15943453395',NULL,'tx-pxx-gysc4-wgy'),('7322919583287096352','张国民','15143461850',NULL,'tx-pxx-gysc9-wgy'),('7322919583287098494','梁辰','15843476665',NULL,'220322003003008'),('7322920167402649917','马明月','16643409787',NULL,'220323001001040'),('7322920167402649948','黄丽娟','13894415610',NULL,'220323001001039'),('7322920167402649975','付婷婷','13843480249',NULL,'220323001001005'),('bda0ea6d-a6c2-4216-8e2e-c5f00d3cc822','aaa','aaa',NULL,NULL),('e858bb28-87d6-49a5-b63f-bc1c3ba25086','sss','sss',NULL,NULL);
/*!40000 ALTER TABLE `wx_gridman` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wx_rela_addr_gridman`
--

DROP TABLE IF EXISTS `wx_rela_addr_gridman`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wx_rela_addr_gridman` (
  `rela_id` varchar(64) NOT NULL COMMENT '关联ID',
  `address_id` varchar(64) DEFAULT NULL COMMENT '网格ID',
  `gridman_id` varchar(64) DEFAULT NULL COMMENT '网格员ID',
  PRIMARY KEY (`rela_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wx_rela_addr_gridman`
--

LOCK TABLES `wx_rela_addr_gridman` WRITE;
/*!40000 ALTER TABLE `wx_rela_addr_gridman` DISABLE KEYS */;
INSERT INTO `wx_rela_addr_gridman` VALUES ('4500585110088484701','4477020754838858473','4500585110088484698'),('4613298589673291075','4476990758787164494','4613298589673287906'),('4613298589673291076','4476990758787164527','4613298589673287906'),('4613298589673291077','4476990758787164560','4613298589673287906'),('4613298589673291078','4476990758787164593','4613298589673287906'),('4613298589673291079','4476990758787164626','4613298589673287906'),('4613298589673291080','4476990758787164494','4613298589673287936'),('4613298589673291081','4476990758787164527','4613298589673287962'),('4613298589673291082','4476990758787164560','4613298589673287988'),('4613298589673291083','4476990758787164593','4613298589673288014'),('4613298589673291084','4476990758787164626','4613298589673288040'),('4613298589673291086','4476991033665077063','4613298589673288066'),('4613298589673291087','4477020239442786058','4613298589673288066'),('4613298589673291088','4476991033665077096','4613298589673288066'),('4613298589673291089','4476991033665077172','4613298589673288066'),('4613298589673291090','4477020239442786091','4613298589673288066'),('4613298589673291091','4476991033665077063','4613298589673288096'),('4613298589673291092','4477020239442786058','4613298589673288122'),('4613298589673291093','4476991033665077096','4613298589673288148'),('4613298589673291094','4476991033665077172','4613298589673288174'),('4613298589673291095','4477020239442786091','4613298589673288200'),('4613298589673291097','4477019895845399640','4613298589673288226'),('4613298589673291098','4500608990106639832','4613298589673288226'),('4613298589673291099','4476990758787167113','4613298589673288226'),('4613298589673291100','4476990758787167146','4613298589673288226'),('4613298589673291101','4477019895845399673','4613298589673288226'),('4613298589673291102','4477019895845399706','4613298589673288226'),('4613298589673291103','4476990758787167179','4613298589673288226'),('4613298589673291104','4477019895845399640','4613298589673288258'),('4613298589673291105','4500608990106639832','4613298589673288284'),('4613298589673291106','4476990758787167113','4613298589673288310'),('4613298589673291107','4476990758787167113','4613298589673288336'),('4613298589673291108','4476990758787167146','4613298589673288362'),('4613298589673291109','4476990758787167146','4613298589673288388'),('4613298589673291110','4477019895845399673','4613298589673288414'),('4613298589673291111','4477019895845399706','4613298589673288440'),('4613298589673291112','4476990758787167179','4613298589673288466'),('4613298589673291114','4477020239442786124','4613298589673288492'),('4613298589673291115','4476991068024807475','4613298589673288492'),('4613298589673291116','4476991068024807508','4613298589673288492'),('4613298589673291117','4476991068024807541','4613298589673288492'),('4613298589673291118','4476991068024807617','4613298589673288492'),('4613298589673291119','4476991068024807708','4613298589673288492'),('4613298589673291120','4477020239442786158','4613298589673288492'),('4613298589673291121','4476991068024807784','4613298589673288492'),('4613298589673291122','4476991068024807817','4613298589673288492'),('4613298589673291123','4477020239442786124','4613298589673288526'),('4613298589673291124','4476991068024807475','4613298589673288552'),('4613298589673291125','4476991068024807475','4613298589673288578'),('4613298589673291126','4476991068024807508','4613298589673288604'),('4613298589673291127','4476991068024807541','4613298589673288630'),('4613298589673291128','4476991068024807617','4613298589673288656'),('4613298589673291129','4476991068024807708','4613298589673288682'),('4613298589673291130','4477020239442786158','4613298589673288708'),('4613298589673291131','4476991068024807817','4613298589673288734'),('4613298589673291132','4476991068024807784','4613298589673288760'),('4613298589673291134','4477020239442786191','4613298589673288786'),('4613298589673291135','4476991068024807850','4613298589673288786'),('4613298589673291136','4477020239442786224','4613298589673288786'),('4613298589673291137','4477020239442786258','4613298589673288786'),('4613298589673291138','4477020239442786291','4613298589673288786'),('4613298589673291139','4477020239442786324','4613298589673288786'),('4613298589673291140','4477020239442786191','4613298589673288817'),('4613298589673291141','4476991068024807850','4613298589673288843'),('4613298589673291142','4477020239442786224','4613298589673288869'),('4613298589673291143','4477020239442786258','4613298589673288895'),('4613298589673291144','4477020239442786291','4613298589673288921'),('4613298589673291145','4477020239442786324','4613298589673288947'),('4613298589673291147','4477020239442786694','4613298589673288973'),('4613298589673291148','4477020239442787445','4613298589673288973'),('4613298589673291149','4477020239442787478','4613298589673288973'),('4613298589673291150','4476991068024808013','4613298589673288973'),('4613298589673291151','4476991068024808046','4613298589673288973'),('4613298589673291152','4476991068024808079','4613298589673288973'),('4613298589673291153','4477020239442787511','4613298589673288973'),('4613298589673291154','4477020239442787544','4613298589673288973'),('4613298589673291155','4477020239442786694','4613298589673289006'),('4613298589673291156','4477020239442786694','4613298589673289032'),('4613298589673291157','4477020239442787445','4613298589673289058'),('4613298589673291158','4477020239442787478','4613298589673289084'),('4613298589673291159','4476991068024808013','4613298589673289110'),('4613298589673291160','4476991068024808046','4613298589673289136'),('4613298589673291161','4476991068024808079','4613298589673289162'),('4613298589673291162','4477020239442787511','4613298589673289188'),('4613298589673291163','4477020239442787544','4613298589673289214'),('4613298589673291165','4476991068024808203','4613298589673289240'),('4613298589673291166','4476991068024808236','4613298589673289240'),('4613298589673291167','4477020239442787620','4613298589673289240'),('4613298589673291168','4476991068024808269','4613298589673289240'),('4613298589673291169','4477020239442787739','4613298589673289240'),('4613298589673291170','4477020239442787772','4613298589673289240'),('4613298589673291171','4476991068024808303','4613298589673289240'),('4613298589673291172','4476991068024808203','4613298589673289272'),('4613298589673291173','4477020239442787620','4613298589673289298'),('4613298589673291174','4476991068024808236','4613298589673289324'),('4613298589673291175','4476991068024808269','4613298589673289350'),('4613298589673291176','4477020239442787739','4613298589673289376'),('4613298589673291177','4477020239442787739','4613298589673289402'),('4613298589673291178','4477020239442787772','4613298589673289428'),('4613298589673291179','4476991068024808303','4613298589673289454'),('4613298589673291181','4476991068024808336','4613298589673289480'),('4613298589673291182','4477020239442787863','4613298589673289480'),('4613298589673291183','4476991068024808412','4613298589673289480'),('4613298589673291184','4477020239442787896','4613298589673289480'),('4613298589673291185','4477020239442787929','4613298589673289480'),('4613298589673291186','4476991068024808445','4613298589673289480'),('4613298589673291187','4476991068024808478','4613298589673289480'),('4613298589673291188','4476991068024808511','4613298589673289480'),('4613298589673291189','4476991068024808587','4613298589673289480'),('4613298589673291190','4476991068024808336','4613298589673289514'),('4613298589673291191','4477020239442787863','4613298589673289540'),('4613298589673291192','4477020239442787863','4613298589673289566'),('4613298589673291193','4477020239442787863','4613298589673289592'),('4613298589673291194','4476991068024808412','4613298589673289618'),('4613298589673291195','4477020239442787896','4613298589673289644'),('4613298589673291196','4477020239442787929','4613298589673289670'),('4613298589673291197','4476991068024808445','4613298589673289696'),('4613298589673291198','4476991068024808478','4613298589673289722'),('4613298589673291199','4476991068024808511','4613298589673289748'),('4613298589673291200','4476991068024808587','4613298589673289774'),('4613298589673291202','4476991068024808664','4613298589673289800'),('4613298589673291203','4476991068024808697','4613298589673289800'),('4613298589673291204','4477020239442787962','4613298589673289800'),('4613298589673291205','4476991068024808734','4613298589673289800'),('4613298589673291206','4476991068024808664','4613298589673289829'),('4613298589673291207','4476991068024808664','4613298589673289855'),('4613298589673291208','4476991068024808697','4613298589673289881'),('4613298589673291209','4476991068024808697','4613298589673289907'),('4613298589673291210','4476991068024808697','4613298589673289933'),('4613298589673291211','4476991068024808697','4613298589673289959'),('4613298589673291212','4477020239442787962','4613298589673289985'),('4613298589673291213','4477020239442787962','4613298589673290011'),('4613298589673291214','4477020239442787962','4613298589673290037'),('4613298589673291215','4476991068024808734','4613298589673290063'),('4613298589673291216','4476991068024808734','4613298589673290090'),('4613298589673291218','4476991068024808767','4613298589673290116'),('4613298589673291219','4477020239442787995','4613298589673290116'),('4613298589673291220','4476991068024808804','4613298589673290116'),('4613298589673291221','4477020239442788028','4613298589673290116'),('4613298589673291222','4477020239442788061','4613298589673290116'),('4613298589673291223','4476991068024808880','4613298589673290116'),('4613298589673291224','4476991068024808767','4613298589673290147'),('4613298589673291225','4477020239442787995','4613298589673290173'),('4613298589673291226','4476991068024808804','4613298589673290199'),('4613298589673291227','4477020239442788028','4613298589673290225'),('4613298589673291228','4477020239442788061','4613298589673290251'),('4613298589673291229','4476991068024808880','4613298589673290277'),('4613298589673291231','4477020239442788094','4613298589673290303'),('4613298589673291232','4476991068024808914','4613298589673290303'),('4613298589673291233','4476991068024808990','4613298589673290303'),('4613298589673291234','4476991068024809066','4613298589673290303'),('4613298589673291235','4477020239442788128','4613298589673290303'),('4613298589673291236','4477020239442788204','4613298589673290303'),('4613298589673291237','4476991068024809142','4613298589673290303'),('4613298589673291238','4476991068024809266','4613298589673290303'),('4613298589673291239','4477020239442788094','4613298589673290336'),('4613298589673291240','4476991068024808914','4613298589673290362'),('4613298589673291241','4476991068024808990','4613298589673290388'),('4613298589673291242','4476991068024809066','4613298589673290414'),('4613298589673291243','4477020239442788128','4613298589673290440'),('4613298589673291244','4477020239442788204','4613298589673290466'),('4613298589673291245','4476991068024809142','4613298589673290492'),('4613298589673291246','4476991068024809266','4613298589673290518'),('4613298589673291248','4455233622696443652','4613298589673290544'),('4613298589673291249','4476990758787164692','4613298589673290544'),('4613298589673291250','4476990758787164725','4613298589673290544'),('4613298589673291251','4476990758787164758','4613298589673290544'),('4613298589673291252','4476990758787164791','4613298589673290544'),('4613298589673291253','4476990758787164692','4613298589673290574'),('4613298589673291254','4455233622696443652','4613298589673290600'),('4613298589673291255','4476990758787164758','4613298589673290626'),('4613298589673291256','4476990758787164725','4613298589673290652'),('4613298589673291257','4476990758787164791','4613298589673290678'),('4613298589673291259','4477020239442788339','4613298589673290704'),('4613298589673291260','4477020273802518548','4613298589673290704'),('4613298589673291261','4476991068024809299','4613298589673290704'),('4613298589673291262','4476991068024809332','4613298589673290704'),('4613298589673291263','4477020273802518581','4613298589673290704'),('4613298589673291264','4477020239442788339','4613298589673290734'),('4613298589673291265','4477020239442788339','4613298589673290760'),('4613298589673291266','4476991068024809332','4613298589673290786'),('4613298589673291267','4477020273802518581','4613298589673290812'),('4613298589673291268','4476991068024809299','4613298589673290838'),('4613298589673291269','4477020273802518548','4613298589673290864'),('4613298589673291271','4477019895845399497','4613298589673290890'),('4613298589673291272','4476990758787164659','4613298589673290890'),('4613298589673291273','4477019895845399530','4613298589673290890'),('4613298589673291274','4477019895845399497','4613298589673290918'),('4613298589673291275','4477019895845399497','4613298589673290944'),('4613298589673291276','4476990758787164659','4613298589673290970'),('4613298589673291277','4476990758787164659','4613298589673290996'),('4613298589673291278','4477019895845399530','4613298589673291022'),('4613298589673291279','4580709305543654331','4613298589673291048'),('4613298830191456699','4500576795031797937','4613298830191455658'),('4613298830191456700','4500569407688037005','4613298830191455658'),('4613298830191456701','4500576382714944719','4613298830191455658'),('4613298830191456702','4500538002887150584','4613298830191455658'),('4613298830191456703','4500569648206202697','4613298830191455658'),('4613298830191456704','4500569648206202760','4613298830191455658'),('4613298830191456705','4500569648206202939','4613298830191455658'),('4613298830191456706','4500576795031797937','4613298830191455690'),('4613298830191456707','4500576382714944719','4613298830191455716'),('4613298830191456708','4500538002887150584','4613298830191455716'),('4613298830191456709','4500569648206202697','4613298830191455743'),('4613298830191456710','4500569648206202760','4613298830191455743'),('4613298830191456711','4500569648206202939','4613298830191455770'),('4613298830191456712','4500570747717832522','4613298830191455796'),('4613298830191456713','4500578031982383818','4613298830191455796'),('4613298830191456714','4500578031982383959','4613298830191455796'),('4613298830191456715','4500578031982384096','4613298830191455796'),('4613298830191456716','4500570747717832522','4613298830191455825'),('4613298830191456717','4500578031982383818','4613298830191455851'),('4613298830191456718','4500578031982384096','4613298830191455877'),('4613298830191456719','4500578031982384096','4613298830191455903'),('4613298830191456720','4500576382714944797','4613298830191455929'),('4613298830191456721','4500569407688038207','4613298830191455929'),('4613298830191456722','4500538002887150809','4613298830191455929'),('4613298830191456723','4500576382714944797','4613298830191455957'),('4613298830191456724','4500576382714944797','4613298830191455983'),('4613298830191456725','4500569407688038207','4613298830191456009'),('4613298830191456726','4500538002887150809','4613298830191456035'),('4613298830191456727','4500568926651700620','4613298830191456061'),('4613298830191456728','4500537384411861624','4613298830191456061'),('4613298830191456729','4500537384411863504','4613298830191456061'),('4613298830191456730','4500568926651700620','4613298830191456089'),('4613298830191456731','4500537384411861624','4613298830191456115'),('4613298830191456732','4500537384411863504','4613298830191456141'),('4613298830191456733','4500537384411863504','4613298830191456167'),('4613298830191456734','4500569373328297108','4613298830191456193'),('4613298830191456735','4500537934167676552','4613298830191456193'),('4613298830191456736','4500576382714938787','4613298830191456193'),('4613298830191456737','4500569373328297108','4613298830191456221'),('4613298830191456738','4500537934167676552','4613298830191456247'),('4613298830191456739','4500576382714938787','4613298830191456273'),('4613298830191456740','4500537350052121578','4613298830191456299'),('4613298830191456741','4500575798599391820','4613298830191456299'),('4613298830191456742','4500575798599392043','4613298830191456299'),('4613298830191456743','4500537521850811286','4613298830191456299'),('4613298830191456744','4500537350052121578','4613298830191456328'),('4613298830191456745','4500575798599392043','4613298830191456354'),('4613298830191456746','4500537521850811286','4613298830191456380'),('4613298830191456747','4497735450827124682','4613298830191456406'),('4613298830191456748','4497735450827125456','4613298830191456406'),('4613298830191456749','4497714422667196786','4613298830191456406'),('4613298830191456750','4497714422667197155','4613298830191456406'),('4613298830191456751','4497735450827126250','4613298830191456406'),('4613298830191456752','4497735450827124682','4613298830191456436'),('4613298830191456753','4497735450827125456','4613298830191456462'),('4613298830191456754','4497714422667196786','4613298830191456488'),('4613298830191456755','4497714422667197155','4613298830191456514'),('4613298830191456756','4497735450827126250','4613298830191456540'),('4613298830191456757','4500553327330464724','4613298830191456566'),('4613298830191456758','4500592325633548116','4613298830191456566'),('4613298830191456759','4500594421577586631','4613298830191456566'),('4613298830191456760','4500586793715652513','4613298830191456566'),('4613298830191456761','4500553327330464724','4613298830191456595'),('4613298830191456762','4500592325633548116','4613298830191456621'),('4613298830191456763','4500594421577586631','4613298830191456647'),('4613298830191456764','4500586793715652513','4613298830191456673'),('4613298864551197449','4500591397920609769','4613298864551194640'),('4613298864551197450','4500591397920609938','4613298864551194666'),('4613298864551197454','4500591569719301511','4613298864551194770'),('4613298864551197455','4500552056020142842','4613298864551194796'),('4613298864551197457','4500591569719303800','4613298864551194848'),('4613298864551197458','4500584079296322815','4613298864551194874'),('4613298864551197459','4500553464769419343','4613298864551194900'),('4613298864551197460','4500591947676423515','4613298864551194926'),('4613298864551197461','4500584148015796917','4613298864551194952'),('4613298864551197462','4500584148015797086','4613298864551194978'),('4613298864551197463','4500544290719271416','4613298864551195004'),('4613298864551197464','4500544290719271773','4613298864551195030'),('4613298864551197465','4500577104269427502','4613298864551195056'),('4613298864551197466','4500595074412616104','4613298864551195082'),('4613298864551197467','4500595074412616431','4613298864551195108'),('4613298864551197468','4500556591505610146','4613298864551195134'),('4613298864551197469','4500553774007061093','4613298864551195160'),('4613298864551197470','4500592909749093258','4613298864551195186'),('4613298864551197471','4500554495561565603','4613298864551195212'),('4613298864551197472','4500554495561565782','4613298864551195238'),('4613298864551197473','4500593390785429772','4613298864551195264'),('4613298864551197474','4500554495561566637','4613298864551195290'),('4613298864551197475','4500608131113189508','4613298864551195316'),('4613298864551197476','4500608131113189508','4613298864551195342'),('4613298864551197477','4500608131113189508','4613298864551195368'),('4613298864551197478','4500608131113190333','4613298864551195394'),('4613298864551197479','4500608131113190333','4613298864551195420'),('4613298864551197480','4500608131113190333','4613298864551195446'),('4613298864551197481','4500595314930767659','4613298864551195472'),('4613298864551197482','4500595314930767659','4613298864551195498'),('4613298864551197483','4500595314930767659','4613298864551195524'),('4613298864551197484','4527499574188569906','4613298864551195550'),('4613298864551197485','4527499574188569906','4613298864551195576'),('4613298864551197486','4527499574188569906','4613298864551195602'),('4613298864551197487','4500595727247625145','4613298864551195628'),('4613298864551197488','4500595727247625145','4613298864551195654'),('4613298864551197489','4500595727247625145','4613298864551195680'),('4613298864551197490','4527500227023599046','4613298864551195706'),('4613298864551197491','4500608852667701458','4613298864551195732'),('4613298864551197492','4527500227023599547','4613298864551195758'),('4613298864551197493','4500608887027433518','4613298864551195784'),('4613298864551197494','4500608887027433518','4613298864551195810'),('4613298864551197495','4527500227023600561','4613298864551195836'),('4613298864551197496','4527500227023600561','4613298864551195862'),('4613298864551197497','4527500227023600561','4613298864551195888'),('4613298864551197498','4500596208283960983','4613298864551195914'),('4613298864551197499','4500596208283960983','4613298864551195940'),('4613298864551197500','4500596208283962380','4613298864551195966'),('4613298864551197501','4500596929838468887','4613298864551195992'),('4613298864551197502','4500596929838468887','4613298864551196018'),('4613298864551197503','4500596929838468887','4613298864551196044'),('4613298864551197504','4527500501901501707','4613298864551196070'),('4613298864551197505','4527500501901501707','4613298864551196096'),('4613298864551197506','4527500501901501707','4613298864551196122'),('4613298864551197507','4527500501901502073','4613298864551196148'),('4613298864551197508','4527500501901502073','4613298864551196174'),('4613298864551197509','4527500501901502073','4613298864551196200'),('4613298864551197510','4527500501901502239','4613298864551196226'),('4613298864551197511','4527500501901502239','4613298864551196252'),('4613298864551197512','4527500501901502239','4613298864551196278'),('4613298864551197513','4500613113275258660','4613298864551196304'),('4613298864551197514','4500613113275258660','4613298864551196330'),('4613298864551197515','4500600675049948402','4613298864551196356'),('4613298864551197516','4527504625070107016','4613298864551196382'),('4613298864551197517','4527504625070107016','4613298864551196408'),('4613298864551197518','4500613113275259788','4613298864551196434'),('4613298864551197519','4500613113275259788','4613298864551196460'),('4613298864551197520','4500600915568119228','4613298864551196486'),('4613298864551197521','4500600915568119228','4613298864551196512'),('4613298864551197522','4500600915568119228','4613298864551196538'),('4613298864551197523','4500600915568121343','4613298864551196564'),('4613298864551197524','4500600915568121343','4613298864551196590'),('4613298864551197525','4500600915568121343','4613298864551196616'),('4613298864551197526','4527505312264878766','4613298864551196642'),('4613298864551197527','4527505312264878766','4613298864551196668'),('4613298864551197528','4527505312264878766','4613298864551196694'),('4613298864551197529','4527505312264879061','4613298864551196720'),('4613298864551197530','4527505312264879061','4613298864551196746'),('4613298864551197531','4527505312264879061','4613298864551196772'),('4613298864551197532','4527505312264879257','4613298864551196798'),('4613298864551197533','4527505312264879257','4613298864551196824'),('4613298864551197534','4527505312264879257','4613298864551196850'),('4613298864551197535','4500613388153166689','4613298864551196876'),('4613298864551197536','4500613388153166689','4613298864551196902'),('4613298864551197537','4500613388153166689','4613298864551196928'),('4613298864551197538','4500613388153166960','4613298864551196954'),('4613298864551197539','4500613388153166960','4613298864551196980'),('4613298864551197540','4500613388153166960','4613298864551197006'),('4613298864551197541','4527505346624611691','4613298864551197032'),('4613298864551197542','4527505346624611691','4613298864551197058'),('4613298864551197543','4500592531791977982','4613298864551197084'),('4613298864551197544','4500592531791977982','4613298864551197110'),('4613298864551197545','4500584697771611881','4613298864551197136'),('4613298864551197546','4500584697771611881','4613298864551197162'),('4613298864551197547','4500583014144447700','4613298864551197188'),('4613298864551197548','4500541507580467058','4613298864551197214'),('4613298864551197549','4500541576299938974','4613298864551197240'),('4613298864551197550','4500583185943138312','4613298864551197266'),('4613298864551197551','4527497512604263615','4613298864551197292'),('4613298864551197552','4527497512604263878','4613298864551197318'),('4613298864551197553','4527497512604264168','4613298864551197344'),('4613298864551197554','4500536284900234393','4613298864551197370'),('4613298864551197555','4500590332768699928','4613298864551197396'),('4613298864551197556','4500598957063049529','4613298864551197422'),('4613301888208172708','4500599300660435846','4613301888208170206'),('4613301888208172709','4527497684402956161','4613301888208170206'),('4613301888208172710','4500621359612468377','4613301888208170206'),('4613301888208172711','4527512356011243201','4613301888208170206'),('4613301888208172712','4500607718796313324','4613301888208170206'),('4613301888208172713','4500607718796313804','4613301888208170206'),('4613301888208172714','4500621359612469072','4613301888208170206'),('4613301888208172715','4500607718796314392','4613301888208170206'),('4613301888208172716','4527512424730717451','4613301888208170206'),('4613301888208172717','4500621393972200403','4613301888208170206'),('4613301888208172718','4500621393972200611','4613301888208170206'),('4613301888208172719','4500607718796314994','4613301888208170206'),('4613301888208172720','4500607718796315115','4613301888208170206'),('4613301888208172721','4500607718796315387','4613301888208170206'),('4613301888208172722','4500607718796315684','4613301888208170206'),('4613301888208172723','4500621393972201405','4613301888208170206'),('4613301888208172724','4500607718796315877','4613301888208170206'),('4613301888208172725','4500599300660435846','4613301888208170248'),('4613301888208172726','4527497684402956161','4613301888208170274'),('4613301888208172727','4500621359612468377','4613301888208170300'),('4613301888208172728','4527512356011243201','4613301888208170326'),('4613301888208172729','4500607718796313324','4613301888208170352'),('4613301888208172730','4500607718796313804','4613301888208170378'),('4613301888208172731','4500621359612469072','4613301888208170404'),('4613301888208172732','4500607718796314392','4613301888208170430'),('4613301888208172735','4500621393972200611','4613301888208170483'),('4613301888208172736','4500607718796314994','4613301888208170509'),('4613301888208172737','4500607718796315115','4613301888208170535'),('4613301888208172738','4500607718796315387','4613301888208170561'),('4613301888208172739','4500607718796315684','4613301888208170587'),('4613301888208172740','4500621393972201405','4613301888208170613'),('4613301888208172741','4500607718796315877','4613301888208170639'),('4613301888208172742','4562964253023218318','4613301888208170665'),('4613301888208172743','4500615690255636142','4613301888208170691'),('4613301888208172754','4500616205651710388','4613301888208170752'),('4613301888208172756','4500616205651710639','4613301888208170804'),('4613301888208172757','4500602805353726569','4613301888208170830'),('4613301888208172758','4527507373849179253','4613301888208170856'),('4613301888208172759','4500616205651711024','4613301888208170882'),('4613301888208172760','4500616205651711441','4613301888208170908'),('4613301888208172761','4500602805353727518','4613301888208170934'),('4613301888208172762','4527507373849179909','4613301888208170960'),('4613301888208172763','4500613216354473034','4613301888208170986'),('4613301888208172764','4527512596529409348','4613301888208170986'),('4613301888208172765','4527504728149326909','4613301888208170986'),('4613301888208172766','4500600846848639653','4613301888208170986'),('4613301888208172767','4500613250714213365','4613301888208170986'),('4613301888208172768','4527504762509059407','4613301888208170986'),('4613301888208172769','4527504796868800426','4613301888208170986'),('4613301888208172770','4527504796868800954','4613301888208170986'),('4613301888208172771','4545346572052737721','4613301888208170986'),('4613301888208172772','4500613216354473034','4613301888208171020'),('4613301888208172773','4527512596529409348','4613301888208171046'),('4613301888208172774','4527504728149326909','4613301888208171072'),('4613301888208172775','4500600846848639653','4613301888208171098'),('4613301888208172776','4500613250714213365','4613301888208171124'),('4613301888208172777','4527504762509059407','4613301888208171150'),('4613301888208172778','4527504796868800426','4613301888208171176'),('4613301888208172781','4527504075314298273','4613301888208171254'),('4613301888208172782','4500612219922060220','4613301888208171254'),('4613301888208172783','4500615346658246732','4613301888208171254'),('4613301888208172784','4527506652294674595','4613301888208171254'),('4613301888208172785','4500602049439484956','4613301888208171254'),('4613301888208172786','4500602152518699590','4613301888208171254'),('4613301888208172787','4500602152518699783','4613301888208171254'),('4613301888208172788','4527506652294675943','4613301888208171254'),('4613301888208172789','4527504075314298273','4613301888208171287'),('4613301888208172790','4500612219922060220','4613301888208171313'),('4613301888208172791','4500615346658246732','4613301888208171339'),('4613301888208172792','4527506652294674595','4613301888208171365'),('4613301888208172793','4500602049439484956','4613301888208171391'),('4613301888208172794','4500602152518699590','4613301888208171417'),('4613301888208172795','4500602152518699783','4613301888208171443'),('4613301888208172796','4527506652294675943','4613301888208171469'),('4613301888208172797','4500613113275255663','4613301888208171495'),('4613301888208172798','4527505346624617715','4613301888208171495'),('4613301888208172799','4500613456872639641','4613301888208171495'),('4613301888208172800','4527505415344090326','4613301888208171495'),('4613301888208172801','4500613766110286592','4613301888208171495'),('4613301888208172802','4527505587142785897','4613301888208171495'),('4613301888208172803','4500613766110289264','4613301888208171495'),('4613301888208172806','4500613456872639641','4613301888208171554'),('4613301888208172807','4527505415344090326','4613301888208171580'),('4613301888208172809','4527505587142785897','4613301888208171606'),('4613301888208172810','4500613766110289264','4613301888208171633'),('4613301888208172811','4500613800470026605','4613301888208171659'),('4613301888208172812','4500601499683673469','4613301888208171659'),('4613301888208172813','4527505758941477980','4613301888208171659'),('4613301888208172814','4527505999459642040','4613301888208171659'),('4613301888208172815','4500601740201838055','4613301888208171659'),('4613301888208172816','4500601740201840427','4613301888208171659'),('4613301888208172817','4500614899981654735','4613301888208171659'),('4613301888208172818','4500602461756344874','4613301888208171659'),('4613301888208172820','4500601499683673469','4613301888208171718'),('4613301888208172824','4500601740201840427','4613301888208171823'),('4613301888208172825','4500614899981654735','4613301888208171849'),('4613301888208172826','4500602461756344874','4613301888208171875'),('4613301888208172827','4500601499683674989','4613301888208171901'),('4613301888208172828','4500614281506361516','4613301888208171901'),('4613301888208172829','4527505965099907020','4613301888208171901'),('4613301888208172830','4500614315866096889','4613301888208171901'),('4613301888208172831','4500601499683674989','4613301888208171930'),('4613301888208172832','4500614281506361516','4613301888208171956'),('4613301888208172833','4527505965099907020','4613301888208171982'),('4613301888208172834','4500614315866096889','4613301888208172008'),('4613301888208172835','4500602633555036086','4613301888208172034'),('4613301888208172836','4500602633555036658','4613301888208172034'),('4613301888208172837','4527507167690750851','4613301888208172034'),('4613301888208172838','4527507442568654439','4613301888208172034'),('4613301888208172839','4500603011512156929','4613301888208172034'),('4613301888208172840','4527507442568654479','4613301888208172034'),('4613301888208172841','4500603011512157279','4613301888208172034'),('4613301888208172842','4548277457735574452','4613301888208172034'),('4613301888208172843','4500602633555036086','4613301888208172067'),('4613301888208172844','4527507167690750851','4613301888208172093'),('4613301888208172845','4527507442568654439','4613301888208172122'),('4613301888208172846','4500603011512156929','4613301888208172203'),('4613301888208172847','4527507442568654479','4613301888208172229'),('4613301888208172848','4500603011512157279','4613301888208172255'),('4613301888208172849','4548277457735574452','4613301888208172281'),('4613301888208172850','4527503766076650656','4613301888208172307'),('4613301888208172851','4500611841964937350','4613301888208172307'),('4613301888208172852','4527503800436383745','4613301888208172307'),('4613301888208172853','4500600159653876081','4613301888208172307'),('4613301888208172854','4527503834796129658','4613301888208172307'),('4613301888208172855','4500600056574664353','4613301888208172307'),('4613301888208172856','4527503834796125988','4613301888208172307'),('4613301888208172857','4527503834796126069','4613301888208172307'),('4613301888208172858','4500612048123367733','4613301888208172307'),('4613301888208172859','4527503766076650656','4613301888208172341'),('4613301888208172860','4500611841964937350','4613301888208172367'),('4613301888208172861','4527503800436383745','4613301888208172393'),('4613301888208172862','4500600159653876081','4613301888208172419'),('4613301888208172863','4527503834796129658','4613301888208172445'),('4613301888208172864','4500600056574664353','4613301888208172471'),('4613301888208172865','4527503834796125988','4613301888208172497'),('4613301888208172866','4527503834796126069','4613301888208172523'),('4613301888208172867','4500612048123367733','4613301888208172549'),('4613301888208172868','4500599987855181121','4613301888208172575'),('4613301888208172869','4527503800436387242','4613301888208172575'),('4613301888208172870','4500600056574664158','4613301888208172575'),('4613301888208172871','4527504006594820971','4613301888208172575'),('4613301888208172872','4500599987855181121','4613301888208172604'),('4613301888208172873','4527503800436387242','4613301888208172630'),('4613301888208172874','4500600056574664158','4613301888208172656'),('4613301888208172875','4527504006594820971','4613301888208172682'),('4616947250290756125','4459060301118316041','4616947250290754589'),('4616947250290756126','4500611498367556973','4616947250290754615'),('4616947250290756127','4500611498367556973','4616947250290754641'),('4616947250290756128','4477023263099763196','4616947250290754667'),('4616947250290756129','4477023331819235544','4616947250290754693'),('4616947250290756130','4477023331819235724','4616947250290754719'),('4616947250290756131','4477023331819235891','4616947250290754745'),('4616947250290756132','4477023331819235967','4616947250290754771'),('4616947250290756133','4476994332199952641','4616947250290754797'),('4616947250290756134','4476994332199952803','4616947250290754823'),('4616947250290756135','4476994332199957334','4616947250290754849'),('4616947250290756136','4476994332199959031','4616947250290754875'),('4616947250290756137','4477023366178979117','4616947250290754901'),('4616947250290756138','4476994332199959151','4616947250290754927'),('4616947250290756139','4476994332199959185','4616947250290754953'),('4616947250290756140','4476994332199959218','4616947250290754979'),('4616947250290756141','4476994332199959294','4616947250290755005'),('4616947250290756142','4476994332199960091','4616947250290755031'),('4616947250290756143','4476994332199960091','4616947250290755057'),('4616947250290756144','4476994366559693860','4616947250290755083'),('4616947250290756145','4477023812855570566','4616947250290755109'),('4616947250290756146','4477023812855573871','4616947250290755135'),('4616947250290756147','4476994366559697686','4616947250290755161'),('4616947250290756148','4476994400919429849','4616947250290755187'),('4616947250290756149','4477023812855574165','4616947250290755213'),('4616947250290756150','4476994400919431434','4616947250290755239'),('4616947250290756151','4476994607077862317','4616947250290755265'),('4616947250290756152','4476994607077862317','4616947250290755291'),('4616947250290756153','4476994607077862317','4616947250290755317'),('4616947250290756154','4477024019014006651','4616947250290755343'),('4616947250290756155','4476994607077863121','4616947250290755369'),('4616947250290756156','4476994607077863154','4616947250290755395'),('4616947250290756157','4476994607077863313','4616947250290755421'),('4616947250290756158','4476994607077863346','4616947250290755447'),('4616947250290756159','4477024019014006855','4616947250290755473'),('4616947250290756160','4477024019014006974','4616947250290755499'),('4616947250290756161','4476994607077863450','4616947250290755525'),('4616947250290756162','4476994607077863526','4616947250290755552'),('4616947250290756163','4477024019014007104','4616947250290755578'),('4616947250290756164','4477026561634645754','4616947250290755604'),('4616947250290756165','4477026561634646019','4616947250290755630'),('4616947250290756166','4477026561634646098','4616947250290755656'),('4616947250290756167','4477026630354117269','4616947250290755682'),('4616947250290756168','4477026630354117375','4616947250290755708'),('4616947250290756169','4476997458936147963','4616947250290755734'),('4616947250290756170','4476997458936148053','4616947250290755760'),('4616947250290756171','4476997458936148178','4616947250290755786'),('4616947250290756172','4476997458936148255','4616947250290755812'),('4616947250290756173','4476997527655622103','4616947250290755838'),('4616947250290756174','4476998043051699882','4616947250290755864'),('4616947250290756175','4477026630354118441','4616947250290755890'),('4616947250290756176','4477026630354118591','4616947250290755916'),('4616947250290756177','4477026630354118702','4616947250290755942'),('4616947250290756178','4476998043051700093','4616947250290755968'),('4616947250290756179','4477026630354118867','4616947250290755968'),('4616947250290756180','4476998043051700280','4616947250290755995'),('4616947250290756181','4477026630354119002','4616947250290756021'),('4616947250290756182','4477026630354119095','4616947250290756047'),('4616947250290756183','4476998043051701630','4616947250290756073'),('4616947250290756184','4477026630354119230','4616947250290756099'),('4616949243155585897','4455233622696443718','4616949243155584700'),('4616949243155585898','4500572981100842878','4616949243155584726'),('4616949243155585899','4500572981100842878','4616949243155584752'),('4616949243155585900','4500566761988183088','4616949243155584778'),('4616949243155585901','4500566761988183088','4616949243155584804'),('4616949243155585902','4500534154596450778','4616949243155584830'),('4616949243155585903','4500534154596450778','4616949243155584856'),('4616949243155585904','4500566796347917177','4616949243155584882'),('4616949243155585905','4500566796347917177','4616949243155584908'),('4616949243155585906','4500566796347917177','4616949243155584934'),('4616949243155585907','4500566796347917177','4616949243155584960'),('4616949243155585908','4500534154596452789','4616949243155584986'),('4616949243155585909','4500572981100844674','4616949243155585012'),('4616949243155585910','4500566796347917443','4616949243155585038'),('4616949243155585911','4500534154596452936','4616949243155585064'),('4616949243155585912','4500534154596452936','4616949243155585090'),('4616949243155585913','4500572981100844855','4616949243155585116'),('4616949243155585914','4500566796347918068','4616949243155585142'),('4616949243155585915','4500566796347918068','4616949243155585168'),('4616949243155585916','4500573015460577398','4616949243155585194'),('4616949243155585917','4500534154596453611','4616949243155585220'),('4616949243155585918','4500534154596453689','4616949243155585246'),('4616949243155585919','4500534154596456929','4616949243155585272'),('4616949243155585920','4500573084180059075','4616949243155585298'),('4616949243155585921','4500534154596458274','4616949243155585324'),('4616949243155585922','4500534188956190724','4616949243155585350'),('4616949243155585923','4500566865067395315','4616949243155585376'),('4616949243155585924','4500566865067396316','4616949243155585402'),('4616949243155585925','4500573118539793300','4616949243155585428'),('4616949243155585926','4500573118539793335','4616949243155585454'),('4616949243155585927','4500573118539793369','4616949243155585480'),('4616949243155585928','4500566865067396573','4616949243155585506'),('4616949243155585929','4500534188956191823','4616949243155585532'),('4616949243155585930','4500534188956191916','4616949243155585558'),('4616949243155585931','4500566865067396695','4616949243155585584'),('4616949243155585932','4500573118539793631','4616949243155585610'),('4616949243155585933','4500573118539793708','4616949243155585636'),('4616949243155585934','4500573118539793708','4616949243155585662'),('4616949243155585935','4500573118539793743','4616949243155585688'),('4616949243155585936','4500534188956192147','4616949243155585714'),('4616949243155585937','4500573118539793950','4616949243155585740'),('4616949243155585938','4500573118539793984','4616949243155585766'),('4616949243155585939','4500573118539793984','4616949243155585792'),('4616949243155585940','4500573118539793984','4616949243155585818'),('4616949243155585941','4500534188956192446','4616949243155585844'),('4616949243155585942','4500566865067397072','4616949243155585870'),('4616949243155585943','4500573118539794151','4616949243155585870'),('4616950239587992121','4500558172053575617','4616950205228260254'),('4616950239587992122','4500596208283983062','4616950205228260280'),('4616950239587992123','4500588717861001901','4616950205228260306'),('4616950239587992124','4500558172053575884','4616950205228260332'),('4616950239587992125','4500558172053576092','4616950205228260358'),('4616950239587992126','4500558172053576185','4616950205228260384'),('4616950239587992127','4500558172053576320','4616950205228260410'),('4616950239587992128','4500588717861002090','4616950205228260436'),('4616950239587992129','4500558172053576455','4616950205228260462'),('4616950239587992130','4500596208283983618','4616950205228260488'),('4616950239587992131','4500576313995461009','4616950205228260514'),('4616950239587992132','4500537899807940210','4616950205228260540'),('4616950239587992133','4500576313995463103','4616950205228260566'),('4616950239587992134','4500576313995464313','4616950205228260592'),('4616950239587992135','4500569373328297502','4616950205228260618'),('4616950239587992136','4500537934167672016','4616950205228260644'),('4616950239587992137','4500569373328297747','4616950205228260670'),('4616950239587992138','4500569373328297849','4616950205228260696'),('4616950239587992139','4500576313995467555','4616950205228260722'),('4616950239587992140','4500576313995462129','4616950205228260748'),('4616950239587992141','4500569373328298279','4616950205228260774'),('4616950239587992142','4500578375579752750','4616950205228260800'),('4616950239587992143','4500578375579752750','4616950205228260826'),('4616950239587992144','4500587755788339777','4616950205228260852'),('4616950239587992145','4500578375579752998','4616950205228260878'),('4616950239587992146','4500578375579753188','4616950205228260904'),('4616950239587992147','4500578375579753347','4616950205228260930'),('4616950239587992148','4500578375579753347','4616950205228260956'),('4616950239587992149','4500546489742525498','4616950205228260982'),('4616950239587992150','4500578375579753703','4616950205228261008'),('4616950239587992151','4500574355490374737','4616950205228261034'),('4616950239587992152','4500534635632787822','4616950205228261060'),('4616950239587992153','4500567689701115806','4616950205228261086'),('4616950239587992154','4500567689701120657','4616950205228261112'),('4616950239587992155','4500567724060857621','4616950205228261138'),('4616950239587992156','4500534635632793481','4616950205228261164'),('4616950239587992157','4500588717861001070','4616950205228261190'),('4616950239587992158','4500596208283982235','4616950205228261216'),('4616950239587992159','4500588717861001148','4616950205228261242'),('4616950239587992160','4500588717861001268','4616950205228261268'),('4616950239587992161','4500558172053574972','4616950205228261294'),('4616950239587992162','4500588717861001388','4616950205228261320'),('4616950239587992163','4500596208283982448','4616950205228261346'),('4616950239587992164','4500588717861001538','4616950205228261372'),('4616950239587992165','4500558172053575269','4616950239587991574'),('4616950239587992166','4500558172053575303','4616950239587991600'),('4616950239587992167','4500558172053575395','4616950239587991626'),('4616950239587992168','4500588717861001620','4616950239587991652'),('4616950239587992169','4500596208283982903','4616950239587991678'),('4616950239587992170','4500588717861002482','4616950239587991704'),('4616950239587992171','4500588717861002521','4616950239587991730'),('4616950239587992172','4500588717861002656','4616950239587991756'),('4616950239587992173','4500588717861002691','4616950239587991782'),('4616950239587992174','4500596311363190818','4616950239587991808'),('4616950239587992175','4500558172053576996','4616950239587991834'),('4616950239587992176','4500558172053576996','4616950239587991860'),('4616950239587992177','4500596311363191127','4616950239587991886'),('4616950239587992178','4500588717861003000','4616950239587991912'),('4616950239587992179','4500596311363191595','4616950239587991938'),('4616950239587992180','4500588717861003124','4616950239587991964'),('4616950239587992181','4500596311363191773','4616950239587991990'),('4616950239587992182','4500596311363191865','4616950239587992016'),('4616950239587992183','4500558172053577268','4616950239587992016'),('4616950239587992184','4500596311363192061','4616950239587992043'),('4616950239587992185','4500588752220733652','4616950239587992069'),('4616950239587992186','4500588752220733652','4616950239587992095'),('4628182025743718812','4455233622696443586','4628182025743715668'),('4628182025743718813','4459060438557264229','4628182025743715694'),('4628182025743718814','4459060438557267512','4628182025743715720'),('4628182025743718815','4459060438557267545','4628182025743715746'),('4628182025743718816','4476998386649087549','4628182025743715772'),('4628182025743718817','4471092772257218977','4628182025743715798'),('4628182025743718818','4471092772257218944','4628182025743715824'),('4628182025743718819','4455233794495132497','4628182025743715850'),('4628182025743718820','4459060472917005041','4628182025743715876'),('4628182025743718821','4455233794495132530','4628182025743715902'),('4628182025743718822','4471092772257219010','4628182025743715928'),('4628182025743718823','4455233794495132563','4628182025743715954'),('4628182025743718824','4459060472917005074','4628182025743715980'),('4628182025743718825','4471092772257219110','4628182025743716006'),('4628182025743718826','4455233794495132596','4628182025743716032'),('4628182025743718827','4455233794495132629','4628182025743716058'),('4628182025743718828','4455233794495132662','4628182025743716058'),('4628182025743718829','4471092772257219235','4628182025743716085'),('4628182025743718830','4471092772257219268','4628182025743716111'),('4628182025743718831','4471092772257219301','4628182025743716137'),('4628182025743718832','4455233794495132765','4628182025743716163'),('4628182025743718834','4459060472917005312','4628182025743716190'),('4628182025743718835','4455233794495132798','4628182025743716216'),('4628182025743718836','4471092772257219337','4628182025743716242'),('4628182025743718838','4471092772257219428','4628182025743716269'),('4628182025743718839','4455233794495132864','4628182025743716295'),('4628182025743718840','4455233794495132897','4628182025743716321'),('4628182025743718841','4471092772257219514','4628182025743716347'),('4628182025743718842','4455233794495132941','4628182025743716373'),('4628182025743718843','4455233794495132974','4628182025743716399'),('4628182025743718844','4459060472917005454','4628182025743716425'),('4628182025743718845','4459060472917005487','4628182025743716451'),('4628182025743718846','4471092772257219726','4628182025743716477'),('4628182025743718847','4455233794495133300','4628182025743716503'),('4628182025743718848','4459060472917005866','4628182025743716529'),('4628182025743718849','4455233794495133338','4628182025743716555'),('4628182025743718850','4455233794495133371','4628182025743716581'),('4628182025743718851','4459060472917005932','4628182025743716607'),('4628182025743718852','4455233794495133624','4628182025743716633'),('4628182025743718853','4459060472917006247','4628182025743716659'),('4628182025743718854','4471092772257220052','4628182025743716685'),('4628182025743718855','4471092772257220085','4628182025743716711'),('4628182025743718856','4455233794495133657','4628182025743716737'),('4628182025743718857','4471092772257220118','4628182025743716763'),('4628182025743718858','4455233794495133690','4628182025743716789'),('4628182025743718859','4459060472917006285','4628182025743716815'),('4628182025743718860','4459060472917006318','4628182025743716841'),('4628182025743718861','4459060472917006351','4628182025743716867'),('4628182025743718862','4455233794495133723','4628182025743716893'),('4628182025743718863','4455233794495133756','4628182025743716919'),('4628182025743718864','4471092772257220162','4628182025743716945'),('4628182025743718865','4471092772257220200','4628182025743716971'),('4628182025743718866','4459060472917006384','4628182025743717040'),('4628182025743718867','4459060472917006417','4628182025743717066'),('4628182025743718868','4455233794495133789','4628182025743717092'),('4628182025743718869','4471092772257220233','4628182025743717118'),('4628182025743718870','4459060472917006450','4628182025743717144'),('4628182025743718871','4471092772257220266','4628182025743717170'),('4628182025743718872','4459060472917006488','4628182025743717197'),('4628182025743718873','4455233794495133822','4628182025743717223'),('4628182025743718874','4459060472917005636','4628182025743717249'),('4628182025743718875','4455233794495133144','4628182025743717275'),('4628182025743718876','4471092772257219597','4628182025743717301'),('4628182025743718877','4459060472917005724','4628182025743717327'),('4628182025743718878','4459060472917005762','4628182025743717353'),('4628182025743718879','4459060472917005795','4628182025743717379'),('4628182025743718880','4459060472917005828','4628182025743717405'),('4628182025743718881','4455233794495133179','4628182025743717431'),('4628182025743718882','4471092772257219660','4628182025743717457'),('4628182025743718883','4455233794495133855','4628182025743717483'),('4628182025743718884','4471092772257220299','4628182025743717509'),('4628182025743718885','4455233794495133888','4628182025743717535'),('4628182025743718886','4455233794495133921','4628182025743717561'),('4628182025743718887','4459060472917006521','4628182025743717587'),('4628182025743718888','4459060472917006554','4628182025743717613'),('4628182025743718889','4471092772257220332','4628182025743717639'),('4628182025743718890','4455233794495133954','4628182025743717665'),('4628182025743718891','4455233794495133987','4628182025743717691'),('4628182025743718892','4471092772257220365','4628182025743717717'),('4628182025743718893','4459060472917006587','4628182025743717743'),('4628182025743718894','4471092772257220398','4628182025743717769'),('4628182025743718895','4471092772257220431','4628182025743717795'),('4628182025743718896','4455233794495134020','4628182025743717821'),('4628182025743718897','4455233794495134053','4628182025743717847'),('4628182025743718898','4459060472917006620','4628182025743717873'),('4628182025743718899','4471092772257220464','4628182025743717899'),('4628182025743718900','4455233794495134185','4628182025743717925'),('4628182025743718901','4471092772257220497','4628182025743717951'),('4628182025743718902','4459060472917006653','4628182025743717977'),('4628182025743718903','4459060472917006686','4628182025743718003'),('4628182025743718904','4455233794495134218','4628182025743718029'),('4628182025743718905','4455233794495134251','4628182025743718055'),('4628182025743718906','4455233794495134284','4628182025743718081'),('4628182025743718907','4455233794495134317','4628182025743718107'),('4628182025743718908','4459060472917006818','4628182025743718133'),('4628182025743718909','4459060472917006851','4628182025743718159'),('4628182025743718910','4455233794495134355','4628182025743718185'),('4628182025743718911','4459060472917006884','4628182025743718211'),('4628182025743718912','4459060472917006917','4628182025743718237'),('4628182025743718913','4455233794495134388','4628182025743718263'),('4628182025743718914','4455233794495134421','4628182025743718289'),('4628182025743718915','4459060472917006950','4628182025743718315'),('4628182025743718916','4459060472917006983','4628182025743718341'),('4628182025743718917','4455233794495134454','4628182025743718367'),('4628182025743718918','4459060472917007016','4628182025743718393'),('4628182025743718919','4455233794495134487','4628182025743718393'),('4628182025743718920','4459060472917007049','4628182025743718420'),('4628182025743718921','4455233794495134520','4628182025743718446'),('4628182025743718922','4459060472917007082','4628182025743718472'),('4628182025743718923','4459060472917007115','4628182025743718472'),('4628182025743718924','4459060472917007148','4628182025743718499'),('4628182025743718925','4455233794495134553','4628182025743718499'),('4628182025743718926','4455233794495134586','4628182025743718526'),('4628182025743718927','4455233794495134619','4628182025743718552'),('4628182025743718928','4455233794495134657','4628182025743718578'),('4628182025743718929','4455233794495134690','4628182025743718604'),('4628182025743718930','4455233794495134723','4628182025743718630'),('4628182025743718931','4455233794495134756','4628182025743718656'),('4628182025743718932','4455233794495134789','4628182025743718682'),('4628182025743718933','4455233794495134822','4628182025743718708'),('4628182025743718934','4455233794495134855','4628182025743718734'),('4628182025743718935','4455233794495134888','4628182025743718760'),('4628182025743718936','4459060472917007285','4628182025743718786'),('4628182369341101732','4592857878238572240','4628182369341099778'),('4628182369341101733','4592864818905727375','4628182369341099804'),('4628182369341101734','4592863100918876833','4628182369341099830'),('4628182369341101735','4527512733968360371','4628182369341099856'),('4628182369341101736','4527512733968363364','4628182369341099882'),('4628182369341101737','4527512733968365918','4628182369341099908'),('4628182369341101738','4527513111925483555','4628182369341099934'),('4628182369341101739','4500607993674224642','4628182369341099960'),('4628182369341101740','4527513111925484892','4628182369341099986'),('4628182369341101741','4500608062393698360','4628182369341100012'),('4628182369341101742','4527513111925488586','4628182369341100038'),('4628182369341101743','4500622218605922052','4628182369341100038'),('4628182369341101744','4500621875008542659','4628182369341100065'),('4628182369341101745','4500608096753441623','4628182369341100091'),('4628182369341101746','4527513215004698343','4628182369341100117'),('4628182369341101747','4545348530557831819','4628182369341100143'),('4628182369341101748','4545352172690111124','4628182369341100169'),('4628182369341101749','4545342311445180779','4628182369341100195'),('4628182369341101750','4545348633637051693','4628182369341100221'),('4628182369341101751','4545348702356524996','4628182369341100247'),('4628182369341101752','4527515723265600422','4628182369341100273'),('4628182369341101753','4527515723265602885','4628182369341100299'),('4628182369341101754','4500625139183683746','4628182369341100299'),('4628182369341101755','4500612288641523490','4628182369341100326'),('4628182369341101756','4500612357360992493','4628182369341100352'),('4628182369341101757','4500612357360999731','4628182369341100378'),('4628182369341101758','4527515757625338930','4628182369341100404'),('4628182369341101759','4500612357361000373','4628182369341100430'),('4628182369341101760','4500612391720731121','4628182369341100456'),('4628182369341101761','4527515757625339934','4628182369341100482'),('4628182369341101762','4527515757625340514','4628182369341100508'),('4628182369341101763','4500612391720732527','4628182369341100534'),('4628182369341101764','4500625276622635473','4628182369341100560'),('4628182369341101765','4500612391720733366','4628182369341100586'),('4628182369341101766','4527515757625342614','4628182369341100612'),('4628182369341101767','4500609093185847356','4628182369341100638'),('4628182369341101768','4500622802721479709','4628182369341100664'),('4628182369341101769','4500622802721480235','4628182369341100690'),('4628182369341101770','4500622940160429617','4628182369341100690'),('4628182369341101771','4500609196265063848','4628182369341100717'),('4628182369341101772','4500621703209847855','4628182369341100743'),('4628182369341101773','4527512596529413505','4628182369341100769'),('4628182369341101774','4500621703209851897','4628182369341100795'),('4628182369341101775','4500621771929325786','4628182369341100821'),('4628182369341101776','4500621771929326244','4628182369341100847'),('4628182369341101777','4527512424730719591','4628182369341100873'),('4628182369341101778','4527512459090458908','4628182369341100899'),('4628182369341101779','4500607787515789716','4628182369341100925'),('4628182369341101780','4527512596529406195','4628182369341100951'),('4628182369341101781','4500607821875535493','4628182369341100951'),('4628182369341101782','4500621600130636670','4628182369341100978'),('4628182369341101783','4527512596529408914','4628182369341101004'),('4628182369341101784','4500623111959121944','4628182369341101030'),('4628182369341101785','4527513730400774012','4628182369341101056'),('4628182369341101786','4500623146318856846','4628182369341101082'),('4628182369341101787','4500623146318859477','4628182369341101108'),('4628182369341101788','4500623146318859863','4628182369341101134'),('4628182369341101789','4500623146318864042','4628182369341101160'),('4628182369341101790','4500611257849367393','4628182369341101186'),('4628182369341101791','4500624795586302010','4628182369341101212'),('4628182369341101792','4500611257849369161','4628182369341101238'),('4628182369341101793','4527515276589005576','4628182369341101264'),('4628182369341101794','4500624898665513547','4628182369341101290'),('4628182369341101795','4500623180678600657','4628182369341101316'),('4628182369341101796','4527513764760516880','4628182369341101342'),('4628182369341101797','4500609368063761296','4628182369341101368'),('4628182369341101798','4500623352477288069','4628182369341101394'),('4628182369341101799','4500609436783234818','4628182369341101420'),('4628182369341101800','4500623386837032664','4628182369341101446'),('4628182369341101801','4500623421196763501','4628182369341101472'),('4628182369341101802','4500623421196763837','4628182369341101498'),('4628182369341101803','4527513902199470515','4628182369341101524'),('4628182369341101804','4500623489916241546','4628182369341101550'),('4628182369341101805','4500609539862453702','4628182369341101576'),('4628182369341101806','4527515448387696333','4628182369341101602'),('4628182369341101807','4527515448387697048','4628182369341101628'),('4628182369341101808','4527515448387697828','4628182369341101654'),('4628182369341101809','4500612013763609354','4628182369341101680'),('4628182369341101810','4527515517107168324','4628182369341101706'),('4628182919096913832','4562981295453446754','4628182919096911152'),('4628182919096913833','4562978615393850051','4628182919096911178'),('4628182919096913834','4562981810849527946','4628182919096911204'),('4628182919096913835','4562984525268842549','4628182919096911230'),('4628182919096913836','4562981982648215951','4628182919096911256'),('4628182919096913837','4562978855912021043','4628182919096911282'),('4628182919096913838','4562978855912021216','4628182919096911308'),('4628182919096913839','4562978855912021404','4628182919096911334'),('4628182919096913840','4562984765787005422','4628182919096911360'),('4628182919096913841','4562981982648216282','4628182919096911386'),('4628182919096913842','4562981982648216405','4628182919096911412'),('4628182919096913843','4562978855912021601','4628182919096911438'),('4628182919096913844','4562981982648216575','4628182919096911464'),('4628182919096913845','4562981982648216683','4628182919096911490'),('4628182919096913846','4562984765787005856','4628182919096911516'),('4628182919096913847','4562981982648218778','4628182919096911542'),('4628182919096913848','4562981982648218916','4628182919096911568'),('4628182919096913849','4562978890271752321','4628182919096911594'),('4628182919096913850','4562984765787006994','4628182919096911620'),('4628182919096913851','4562984765787010105','4628182919096911646'),('4628182919096913852','4562981982648219007','4628182919096911672'),('4628182919096913853','4562981982648219247','4628182919096911698'),('4628182919096913854','4562978924631490949','4628182919096911724'),('4628182919096913855','4562981982648219385','4628182919096911750'),('4628182919096913856','4562981982648219612','4628182919096911776'),('4628182919096913857','4562984765787010677','4628182919096911802'),('4628182919096913858','4562981982648219764','4628182919096911828'),('4628182919096913859','4562981982648219879','4628182919096911854'),('4628182919096913860','4562984765787010794','4628182919096911880'),('4628182919096913861','4562978924631491410','4628182919096911906'),('4628182919096913862','4562981982648220069','4628182919096911932'),('4628182919096913863','4562978924631491686','4628182919096911958'),('4628182919096913864','4562978924631491723','4628182919096911984'),('4628182919096913865','4562981982648220467','4628182919096912010'),('4628182919096913866','4562984971945438395','4628182919096912036'),('4628182919096913867','4562981982648220547','4628182919096912062'),('4628182919096913868','4562995623464331515','4628182919096912088'),('4628182919096913869','4562990400784118222','4628182919096912114'),('4628182919096913870','4562995623464332751','4628182919096912140'),('4628182919096913871','4562987480206349881','4628182919096912166'),('4628182919096913872','4562990400784120737','4628182919096912192'),('4628182919096913873','4562995657824075522','4628182919096912218'),('4628182919096913874','4455233622696443751','4628182919096912244'),('4628182919096913875','4562990503863329397','4628182919096912270'),('4628182919096913876','4562990503863333707','4628182919096912296'),('4628182919096913877','4562995692183813815','4628182919096912322'),('4628182919096913878','4562995692183814047','4628182919096912348'),('4628182919096913879','4562990503863335360','4628182919096912374'),('4628182919096913880','4562987583285567025','4628182919096912400'),('4628182919096913881','4562987652005036790','4628182919096912426'),('4628182919096913882','4562987652005038913','4628182919096912452'),('4628182919096913883','4562990538223071005','4628182919096912452'),('4628182919096913884','4562990538223071529','4628182919096912479'),('4628182919096913885','4562990538223072361','4628182919096912505'),('4628182919096913886','4562996001421452736','4628182919096912531'),('4628182919096913887','4562990538223073564','4628182919096912557'),('4628182919096913888','4562996001421453784','4628182919096912583'),('4628182919096913889','4562987686364782549','4628182919096912609'),('4628182919096913890','4562990572582805702','4628182919096912635'),('4628182919096913891','4562990572582806097','4628182919096912661'),('4628182919096913892','4562990572582806630','4628182919096912687'),('4628182919096913893','4562987720724518070','4628182919096912713'),('4628182919096913894','4562987720724518491','4628182919096912739'),('4628182919096913895','4562996482457794828','4628182919096912765'),('4628182919096913896','4562978855912020534','4628182919096912791'),('4628182919096913897','4562978855912020614','4628182919096912817'),('4628182919096913898','4562978855912020650','4628182919096912843'),('4628182919096913899','4562981982648215468','4628182919096912869'),('4628182919096913900','4562984731427274716','4628182919096912895'),('4628182919096913901','4562981982648215915','4628182919096912921'),('4628182919096913902','4562978855912021079','4628182919096912921'),('4628182919096913903','4562984765787010557','4628182919096912948'),('4628182919096913904','4562984765787010598','4628182919096912974'),('4628182919096913905','4562981982648219648','4628182919096913000'),('4628182919096913906','4562981982648219800','4628182919096913026'),('4628182919096913907','4562984765787010758','4628182919096913052'),('4628182919096913908','4562981982648220028','4628182919096913078'),('4628182919096913909','4562981982648220891','4628182919096913104'),('4628182919096913910','4562984971945438690','4628182919096913130'),('4628182919096913911','4562981982648221018','4628182919096913156'),('4628182919096913912','4562978958991230339','4628182919096913182'),('4628182919096913913','4562984971945438769','4628182919096913208'),('4628182919096913914','4562981982648221142','4628182919096913234'),('4628182919096913915','4562984971945438854','4628182919096913260'),('4628182919096913916','4562978958991230566','4628182919096913286'),('4628182919096913917','4562984971945441768','4628182919096913312'),('4628182919096913918','4562982051367694566','4628182919096913338'),('4628182919096913919','4562982051367694704','4628182919096913364'),('4628182919096913920','4562978958991232796','4628182919096913390'),('4628182919096913921','4562984971945442115','4628182919096913416'),('4628182919096913922','4562982051367694786','4628182919096913442'),('4628182919096913923','4562979233869138072','4628182919096913468'),('4628182919096913924','4562979233869138108','4628182919096913494'),('4628182919096913925','4562979233869138144','4628182919096913520'),('4628182919096913926','4562979233869138180','4628182919096913546'),('4628182919096913927','4562979233869138278','4628182919096913572'),('4628182919096913928','4562979233869138325','4628182919096913598'),('4628182919096913929','4562985006305177122','4628182919096913624'),('4628182919096913930','4562982051367697254','4628182919096913650'),('4628182919096913931','4562979233869139516','4628182919096913676'),('4628182919096913932','4562985006305177006','4628182919096913702'),('4628182919096913933','4562985006305177085','4628182919096913728'),('4628182919096913934','4562985006305177122','4628182919096913754'),('4628182919096913935','4562985006305177216','4628182919096913780'),('4628182919096913936','4628182747298225367','4628182919096913806'),('4628183262694294839','4459060438557262918','4628183228334562947'),('4628183262694294840','4459060438557262951','4628183228334562973'),('4628183262694294841','4459060438557262984','4628183228334562999'),('4628183262694294842','4455233725775653416','4628183228334563025'),('4628183262694294843','4455233725775653449','4628183228334563051'),('4628183262694294844','4459060438557263026','4628183228334563077'),('4628183262694294845','4455233725775653482','4628183228334563103'),('4628183262694294846','4455233725775653515','4628183228334563129'),('4628183262694294847','4455233725775653548','4628183228334563155'),('4628183262694294848','4455233725775653581','4628183228334563181'),('4628183262694294849','4455233725775658665','4628183228334563207'),('4628183262694294850','4455233725775658737','4628183228334563233'),('4628183262694294851','4455233725775658848','4628183228334563259'),('4628183262694294852','4459060438557263921','4628183228334563285'),('4628183262694294853','4459060438557264071','4628183228334563311'),('4628183262694294854','4477019827125920137','4628183262694293513'),('4628183262694294855','4477019827125920170','4628183262694293539'),('4628183262694294856','4476990724427424229','4628183262694293565'),('4628183262694294857','4476990724427424262','4628183262694293591'),('4628183262694294858','4476990724427424338','4628183262694293617'),('4628183262694294859','4476990724427424371','4628183262694293643'),('4628183262694294860','4477019827125921037','4628183262694293669'),('4628183262694294861','4476990724427424441','4628183262694293695'),('4628183262694294862','4477019827125920249','4628183262694293721'),('4628183262694294863','4477019827125920282','4628183262694293747'),('4628183262694294864','4476990724427424517','4628183262694293773'),('4628183262694294865','4476990724427424817','4628183262694293799'),('4628183262694294866','4476990724427425122','4628183262694293825'),('4628183262694294867','4476990724427425160','4628183262694293851'),('4628183262694294868','4477019827125921070','4628183262694293877'),('4628183262694294869','4476990724427425349','4628183262694293903'),('4628183262694294870','4477019827125921161','4628183262694293929'),('4628183262694294871','4476990724427425425','4628183262694293955'),('4628183262694294872','4477019827125921225','4628183262694293981'),('4628183262694294873','4477019827125921258','4628183262694294007'),('4628183262694294874','4477019827125921291','4628183262694294033'),('4628183262694294875','4477019827125921324','4628183262694294059'),('4628183262694294876','4477019827125921357','4628183262694294085'),('4628183262694294877','4477019827125921390','4628183262694294111'),('4628183262694294878','4476990724427425462','4628183262694294137'),('4628183262694294879','4477019827125921454','4628183262694294163'),('4628183262694294880','4476990724427425586','4628183262694294189'),('4628183262694294881','4476990724427425619','4628183262694294215'),('4628183262694294882','4477019827125921530','4628183262694294241'),('4628183262694294883','4477019827125921563','4628183262694294267'),('4628183262694294884','4477019827125921639','4628183262694294293'),('4628183262694294885','4476990724427425716','4628183262694294319'),('4628183262694294886','4476990724427425749','4628183262694294345'),('4628183262694294887','4476990724427426655','4628183262694294371'),('4628183262694294888','4477019827125921674','4628183262694294397'),('4628183262694294889','4477019827125921711','4628183262694294423'),('4628183262694294890','4477019827125921897','4628183262694294449'),('4628183262694294891','4476990724427426008','4628183262694294475'),('4628183262694294892','4477019827125921930','4628183262694294501'),('4628183262694294893','4477019827125921963','4628183262694294527'),('4628183262694294894','4476990724427426386','4628183262694294553'),('4628183262694294895','4476990724427426450','4628183262694294579'),('4628183262694294896','4477019827125922266','4628183262694294605'),('4628183262694294897','4476990724427426483','4628183262694294631'),('4628183262694294898','4477019827125922299','4628183262694294657'),('4628183262694294899','4477019827125922412','4628183262694294683'),('4628183262694294900','4476990724427426521','4628183262694294709'),('4628183262694294901','4477019827125922445','4628183262694294735'),('4628183262694294902','4477019827125922478','4628183262694294761'),('4628183262694294903','4477019827125922554','4628183262694294787'),('4628183262694294904','4459060438557262842','4628183262694294813'),('4628183743730631107','4500555835591362051','4628183675011160766'),('4628183743730631110','4500586828075385447','4628183675011160818'),('4628183743730631111','4500555904310842924','4628183675011160845'),('4628183743730631113','4500594490297059830','4628183675011160897'),('4628183743730631115','4500555904310845079','4628183675011160924'),('4628183743730631117','4500578272500533964','4628183675011160951'),('4628183743730631118','4500578272500534256','4628183675011160977'),('4628183743730631119','4500546317943835570','4628183675011161003'),('4628183743730631120','4500546317943835748','4628183675011161029'),('4628183743730631121','4500587652709124559','4628183675011161055'),('4628183743730631125','4548278591606946048','4628183675011161159'),('4628183743730631126','4500587755788339743','4628183675011161185'),('4628183743730631127','4500591157402443477','4628183675011161211'),('4628183743730631128','4500591157402443598','4628183675011161237'),('4628183743730631139','4500546146145147187','4628183675011161523'),('4628183743730631142','4500578203781058642','4628183675011161601'),('4628183743730631143','4500546558462008510','4628183675011161627'),('4628183743730631144','4500546661541220461','4628183675011161653'),('4628183743730631145','4500578409939490334','4628183675011161679'),('4628183743730631146','4500587893227298800','4628183675011161705'),('4628183743730631147','4500612254281783179','4628183675011161731'),('4628183743730631148','4527515723265599426','4628183675011161757'),('4628183743730631149','4527515723265599761','4628183675011161783'),('4628183743730631150','4500625104823946387','4628183675011161809'),('4628183743730631151','4527515895064293852','4628183675011161835'),('4628183743730631152','4500625448421334072','4628183675011161861'),('4628183743730631153','4500625448421334115','4628183675011161887'),('4628183743730631154','4500612804037595736','4628183675011161913'),('4628183743730631155','4527515895064294039','4628183675011161939'),('4628183743730631156','4500625448421334280','4628183675011161965'),('4628183743730631157','4500612804037595992','4628183675011161991'),('4628183743730631158','4500625482781071857','4628183675011162017'),('4628183743730631159','4500625482781071894','4628183675011162043'),('4628183743730631160','4500612838397335267','4628183675011162069'),('4628183743730631161','4500612838397335391','4628183675011162095'),('4628183743730631162','4500625482781072148','4628183709370892297'),('4628183743730631163','4500612838397335515','4628183709370892323'),('4628183743730631164','4500612838397334914','4628183743730630662'),('4628183743730631165','4527515963783774014','4628183743730630688'),('4628183743730631166','4527516032503242768','4628183743730630714'),('4628183743730631167','4500578341220015634','4628183743730630740'),('4628183743730631168','4500546455382788292','4628183743730630766'),('4628183743730631169','4500546455382788526','4628183743730630792'),('4628183743730631170','4500578375579746723','4628183743730630818'),('4628183743730631171','4500546455382789085','4628183743730630844'),('4628183743730631172','4500578375579747387','4628183743730630870'),('4628183743730631173','4500578375579747755','4628183743730630896'),('4628183743730631174','4500578238140793226','4628183743730630922'),('4628183743730631175','4500578238140793226','4628183743730630948'),('4628183743730631176','4500587515270174820','4628183743730630974'),('4628183743730631177','4500546283584102171','4628183743730631000'),('4628183743730631178','4500587515270175099','4628183743730631026'),('4628183743730631179','4500578238140798516','4628183743730631052'),('4628183743730631180','4562976794327720519','4628183743730631078'),('4634274866349924473','4477025015446416856','4634274866349924423'),('4635293357714725372','4476996393784258609','4635293357714723872'),('4635293357714725373','4476996393784259001','4635293357714723898'),('4635293357714725374','4476996393784259099','4635293357714723924'),('4635293357714725375','4545343032999684146','4635293357714723950'),('4635293357714725376','4545352722445921926','4635293357714723976'),('4635293357714725377','4477025496482758238','4635293357714724002'),('4635293357714725378','4477025496482758411','4635293357714724028'),('4635293357714725379','4476996428143993922','4635293357714724054'),('4635293357714725380','4476996428143994204','4635293357714724080'),('4635293357714725381','4476996428143994493','4635293357714724106'),('4635293357714725382','4476996428143996550','4635293357714724132'),('4635293357714725383','4477025530842493695','4635293357714724158'),('4635293357714725384','4477025530842496461','4635293357714724184'),('4635293357714725385','4476996428143997291','4635293357714724210'),('4635293357714725386','4477025599561965655','4635293357714724236'),('4635293357714725387','4477025599561965880','4635293357714724262'),('4635293357714725388','4476996428143997738','4635293357714724288'),('4635293357714725389','4477025599561967378','4635293357714724314'),('4635293357714725390','4477025599561967631','4635293357714724340'),('4635293357714725391','4545342758121781499','4635293357714724366'),('4635293357714725392','4477025599561968672','4635293357714724392'),('4635293357714725393','4476996428144000219','4635293357714724418'),('4635293357714725394','4476996428144000388','4635293357714724444'),('4635293357714725395','4477025599561971686','4635293357714724470'),('4635293357714725396','4476996496863475706','4635293357714724496'),('4635293357714725397','4476996496863476087','4635293357714724522'),('4635293357714725398','4477025668281445954','4635293357714724548'),('4635293357714725399','4476996496863476237','4635293357714724574'),('4635293357714725400','4476996496863476386','4635293357714724600'),('4635293357714725401','4476996496863476598','4635293357714724626'),('4635293357714725402','4477025668281448096','4635293357714724652'),('4635293357714725403','4477025668281448392','4635293357714724721'),('4635293357714725404','4477025668281449747','4635293357714724747'),('4635293357714725405','4477025702641182761','4635293357714724773'),('4635293357714725406','4548277663894008506','4635293357714724773'),('4635293357714725407','4477025702641182953','4635293357714724800'),('4635293357714725408','4477025702641183132','4635293357714724826'),('4635293357714725409','4477025702641183324','4635293357714724852'),('4635293357714725410','4527512596529411305','4635293357714724878'),('4635293357714725411','4477025702641184622','4635293357714724904'),('4635293357714725412','4477025702641183776','4635293357714724930'),('4635293357714725413','4476996599942690831','4635293357714724956'),('4635293357714725414','4477025702641184344','4635293357714724982'),('4635293357714725415','4477025702641188832','4635293357714725008'),('4635293357714725416','4477025737000919041','4635293357714725034'),('4635293357714725417','4477025771360657603','4635293357714725060'),('4635293357714725418','4477025771360657727','4635293357714725086'),('4635293357714725419','4476996634302423266','4635293357714725112'),('4635293357714725420','4545352756805662948','4635293357714725138'),('4635293357714725421','4477025771360658470','4635293357714725164'),('4635293357714725422','4476996634302424158','4635293357714725190'),('4635293357714725423','4476996634302424613','4635293357714725216'),('4635293357714725424','4476996634302424855','4635293357714725242'),('4635293357714725425','4545342551963350345','4635293357714725268'),('4635293357714725426','4477025771360660105','4635293357714725294'),('4635293357714725427','4476996634302425484','4635293357714725320'),('4635293357714725428','4477025771360660224','4635293357714725346'),('4635294732104256853','4476990930585861727','4635294697744521610'),('4635294732104256854','4477020170723305732','4635294697744521610'),('4635294732104256855','4477020170723305769','4635294697744521610'),('4635294732104256856','4500585900362451870','4635294697744521610'),('4635294732104256857','4500593528224384830','4635294697744521610'),('4635294732104256858','4500598716544863409','4635294697744521610'),('4635294732104256859','4476990930585861727','4635294697744521641'),('4635294732104256860','4476990930585861727','4635294697744521667'),('4635294732104256861','4476990930585861727','4635294697744521693'),('4635294732104256862','4477020170723305732','4635294697744521719'),('4635294732104256863','4477020170723305732','4635294697744521745'),('4635294732104256864','4477020170723305769','4635294697744521745'),('4635294732104256865','4500585900362451870','4635294697744521772'),('4635294732104256866','4500585900362451870','4635294697744521798'),('4635294732104256867','4500593528224384830','4635294697744521824'),('4635294732104256868','4500598716544863409','4635294697744521850'),('4635294732104256869','4500598716544863409','4635294697744521876'),('4635294732104256870','4500598716544863409','4635294697744521902'),('4635294732104256871','4500592188194570959','4635294697744521928'),('4635294732104256872','4500606722363918042','4635294697744521928'),('4635294732104256873','4500592188194571527','4635294697744521928'),('4635294732104256874','4527499024432756411','4635294697744521928'),('4635294732104256875','4500592188194572220','4635294697744521928'),('4635294732104256876','4500592188194570959','4635294697744521958'),('4635294732104256877','4500592188194570959','4635294697744521984'),('4635294732104256878','4500606722363918042','4635294697744522010'),('4635294732104256879','4500592188194571527','4635294697744522010'),('4635294732104256880','4500592188194571527','4635294697744522037'),('4635294732104256881','4527499024432756411','4635294697744522063'),('4635294732104256882','4500592188194572220','4635294697744522063'),('4635294732104256883','4527499024432756411','4635294697744522090'),('4635294732104256884','4500592188194572220','4635294697744522116'),('4635294732104256885','4500585969081931379','4635294697744522142'),('4635294732104256886','4500585969081931379','4635294697744522168'),('4635294732104256887','4500585969081931688','4635294697744522194'),('4635294732104256888','4500585969081931688','4635294697744522220'),('4635294732104256889','4500593562584128851','4635294697744522246'),('4635294732104256890','4500593562584128851','4635294697744522272'),('4635294732104256891','4500554942238170508','4635294697744522298'),('4635294732104256892','4500554942238170508','4635294697744522324'),('4635294732104256893','4500585969081933251','4635294697744522350'),('4635294732104256894','4500585969081933251','4635294697744522376'),('4635294732104256895','4500554976597902017','4635294697744522402'),('4635294732104256896','4500554976597902017','4635294697744522428'),('4635294732104256897','4500554976597902578','4635294697744522454'),('4635294732104256898','4500554976597902578','4635294697744522480'),('4635294732104256899','4500593596943863227','4635294697744522506'),('4635294732104256900','4500593596943863227','4635294697744522532'),('4635294732104256901','4500586037801403340','4635294697744522558'),('4635294732104256902','4500586037801404040','4635294697744522558'),('4635294732104256903','4500586037801403340','4635294697744522585'),('4635294732104256904','4500593596943863833','4635294697744522611'),('4635294732104256905','4500593596943863833','4635294697744522637'),('4635294732104256906','4500586037801404040','4635294697744522663'),('4635294732104256907','4500593596943865484','4635294697744522689'),('4635294732104256908','4500593596943865484','4635294697744522715'),('4635294732104256909','4500586037801404586','4635294697744522741'),('4635294732104256910','4500586037801404586','4635294697744522767'),('4635294732104256911','4500586037801408904','4635294697744522793'),('4635294732104256912','4500586037801408904','4635294697744522819'),('4635294732104256913','4500555045317381297','4635294697744522845'),('4635294732104256914','4500593631303602315','4635294697744522845'),('4635294732104256915','4500555045317381297','4635294697744522872'),('4635294732104256916','4500593631303599860','4635294697744522898'),('4635294732104256917','4500593631303599860','4635294697744522924'),('4635294732104256918','4500593631303602315','4635294697744522950'),('4635294732104256919','4500593631303602857','4635294697744522976'),('4635294732104256920','4500593631303602857','4635294697744523002'),('4635294732104256921','4500555045317382895','4635294697744523028'),('4635294732104256922','4500555045317382895','4635294697744523054'),('4635294732104256923','4500593974900982153','4635294697744523080'),('4635294732104256924','4500586484478007100','4635294697744523080'),('4635294732104256925','4500586484478007353','4635294697744523080'),('4635294732104256926','4500555457634241708','4635294697744523080'),('4635294732104256927','4500586484478007903','4635294697744523080'),('4635294732104256928','4500593974900982153','4635294697744523110'),('4635294732104256929','4500593974900982153','4635294697744523136'),('4635294732104256930','4500586484478007100','4635294697744523162'),('4635294732104256931','4500586484478007100','4635294697744523188'),('4635294732104256932','4500586484478007353','4635294697744523214'),('4635294732104256933','4500586484478007353','4635294697744523240'),('4635294732104256934','4500555457634241708','4635294732104253442'),('4635294732104256935','4500555457634241708','4635294732104253468'),('4635294732104256936','4500586484478007903','4635294732104253494'),('4635294732104256937','4500586484478007903','4635294732104253520'),('4635294732104256938','4527499058792492342','4635294732104253546'),('4635294732104256939','4500606722363924048','4635294732104253546'),('4635294732104256940','4527499058792492342','4635294732104253573'),('4635294732104256941','4500606722363924048','4635294732104253599'),('4635294732104256942','4500592188194578383','4635294732104253625'),('4635294732104256943','4527499058792493694','4635294732104253625'),('4635294732104256944','4500592188194578383','4635294732104253652'),('4635294732104256945','4527499058792493694','4635294732104253678'),('4635294732104256946','4500607065961307394','4635294732104253704'),('4635294732104256947','4500607065961307394','4635294732104253730'),('4635294732104256948','4527499058792494430','4635294732104253756'),('4635294732104256949','4500594902613903690','4635294732104253756'),('4635294732104256950','4527499058792494430','4635294732104253783'),('4635294732104256951','4500594902613903690','4635294732104253809'),('4635294732104256952','4500594902613906220','4635294732104253835'),('4635294732104256953','4500607478278162591','4635294732104253835'),('4635294732104256954','4500594902613906220','4635294732104253862'),('4635294732104256955','4500607478278162591','4635294732104253888'),('4635294732104256956','4500586072161143804','4635294732104253914'),('4635294732104256957','4500586072161144098','4635294732104253914'),('4635294732104256958','4500586072161143804','4635294732104253941'),('4635294732104256959','4500586072161144098','4635294732104253941'),('4635294732104256960','4500555079677116740','4635294732104253968'),('4635294732104256961','4500555079677116740','4635294732104253994'),('4635294732104256962','4500593700023077541','4635294732104254020'),('4635294732104256963','4500593700023077541','4635294732104254046'),('4635294732104256964','4500586072161148126','4635294732104254072'),('4635294732104256965','4500586072161148126','4635294732104254098'),('4635294732104256966','4500555079677117360','4635294732104254124'),('4635294732104256967','4500555079677117360','4635294732104254150'),('4635294732104256968','4500586072161148732','4635294732104254176'),('4635294732104256969','4500586072161148732','4635294732104254202'),('4635294732104256970','4500586106520879192','4635294732104254228'),('4635294732104256971','4500586106520879192','4635294732104254254'),('4635294732104256972','4500594902613909381','4635294732104254280'),('4635294732104256973','4527499161871706389','4635294732104254280'),('4635294732104256974','4500594971333378282','4635294732104254280'),('4635294732104256975','4500594971333378633','4635294732104254280'),('4635294732104256976','4500594971333379041','4635294732104254280'),('4635294732104256977','4500594902613909381','4635294732104254310'),('4635294732104256978','4500594902613909381','4635294732104254336'),('4635294732104256979','4527499161871706389','4635294732104254362'),('4635294732104256980','4527499161871706389','4635294732104254388'),('4635294732104256981','4500594971333378282','4635294732104254414'),('4635294732104256982','4500594971333378282','4635294732104254440'),('4635294732104256983','4500594971333378633','4635294732104254466'),('4635294732104256984','4500594971333379041','4635294732104254492'),('4635294732104256985','4500594971333379041','4635294732104254518'),('4635294732104256986','4500554907878427141','4635294732104254544'),('4635294732104256987','4500593528224389229','4635294732104254544'),('4635294732104256988','4500585934722189884','4635294732104254544'),('4635294732104256989','4500554907878430139','4635294732104254544'),('4635294732104256990','4500554907878430756','4635294732104254544'),('4635294732104256991','4500593528224391051','4635294732104254544'),('4635294732104256992','4500554907878427141','4635294732104254575'),('4635294732104256993','4500554907878427141','4635294732104254601'),('4635294732104256994','4500593528224389229','4635294732104254627'),('4635294732104256995','4500593528224389229','4635294732104254653'),('4635294732104256996','4500585934722189884','4635294732104254679'),('4635294732104256997','4500585934722189884','4635294732104254705'),('4635294732104256998','4500554907878430139','4635294732104254731'),('4635294732104256999','4500554907878430139','4635294732104254757'),('4635294732104257000','4500554907878430756','4635294732104254783'),('4635294732104257001','4500554907878430756','4635294732104254809'),('4635294732104257002','4500593528224391051','4635294732104254835'),('4635294732104257003','4500593528224391051','4635294732104254861'),('4635294732104257004','4500607684436594849','4635294732104254887'),('4635294732104257005','4500595005693116605','4635294732104254887'),('4635294732104257006','4500607684436597768','4635294732104254887'),('4635294732104257007','4500595005693117199','4635294732104254887'),('4635294732104257008','4500607684436594849','4635294732104254916'),('4635294732104257009','4500607684436594849','4635294732104254942'),('4635294732104257010','4500595005693116605','4635294732104254968'),('4635294732104257011','4500595005693116605','4635294732104254994'),('4635294732104257012','4500607684436597768','4635294732104255020'),('4635294732104257013','4500607684436597768','4635294732104255046'),('4635294732104257014','4500595005693117199','4635294732104255072'),('4635294732104257015','4500595005693117199','4635294732104255098'),('4635294732104257016','4527499196231447453','4635294732104255124'),('4635294732104257017','4527499196231447453','4635294732104255150'),('4635294732104257018','4500595005693118381','4635294732104255176'),('4635294732104257019','4500595005693118381','4635294732104255202'),('4635294732104257020','4500595005693118620','4635294732104255228'),('4635294732104257021','4500595005693118620','4635294732104255254'),('4635294732104257022','4500595005693118887','4635294732104255280'),('4635294732104257023','4500595005693118887','4635294732104255306'),('4635294732104257024','4500595005693119271','4635294732104255332'),('4635294732104257025','4500595005693119271','4635294732104255358'),('4635294732104257026','4500607718796336900','4635294732104255384'),('4635294732104257027','4500607718796336900','4635294732104255410'),('4635294732104257028','4500595005693120551','4635294732104255436'),('4635294732104257029','4500595005693120551','4635294732104255462'),('4635294732104257030','4500595040052855762','4635294732104255462'),('4635294732104257031','4500595040052856190','4635294732104255462'),('4635294732104257032','4500595040052855762','4635294732104255490'),('4635294732104257033','4500595040052856190','4635294732104255516'),('4635294732104257034','4500595040052860960','4635294732104255542'),('4635294732104257035','4500595040052861329','4635294732104255542'),('4635294732104257036','4500595040052860960','4635294732104255569'),('4635294732104257037','4500595040052861329','4635294732104255595'),('4635294732104257038','4527499299310659569','4635294732104255621'),('4635294732104257039','4527499299310660039','4635294732104255621'),('4635294732104257040','4527499299310659569','4635294732104255648'),('4635294732104257041','4527499299310660039','4635294732104255674'),('4635294732104257042','4500607821875551001','4635294732104255700'),('4635294732104257043','4500607821875551593','4635294732104255700'),('4635294732104257044','4500607821875551001','4635294732104255727'),('4635294732104257045','4500607821875551593','4635294732104255753'),('4635294732104257046','4527499333670397172','4635294732104255753'),('4635294732104257047','4500607856235282945','4635294732104255753'),('4635294732104257048','4527499333670397172','4635294732104255781'),('4635294732104257049','4500607856235282945','4635294732104255807'),('4635294732104257050','4527499333670400031','4635294732104255833'),('4635294732104257051','4500595074412599381','4635294732104255859'),('4635294732104257052','4500595074412599381','4635294732104255885'),('4635294732104257053','4500595143132070480','4635294732104255911'),('4635294732104257054','4500595143132070480','4635294732104255937'),('4635294732104257055','4500595143132071916','4635294732104255963'),('4635294732104257056','4500595143132071916','4635294732104255989'),('4635294732104257057','4500607890595022029','4635294732104256015'),('4635294732104257058','4500607890595022029','4635294732104256041'),('4635294732104257059','4527499368030140074','4635294732104256067'),('4635294732104257060','4500608028033979615','4635294732104256067'),('4635294732104257061','4527499368030140074','4635294732104256094'),('4635294732104257062','4527499368030140582','4635294732104256120'),('4635294732104257063','4500608028033974696','4635294732104256120'),('4635294732104257064','4527499368030140582','4635294732104256147'),('4635294732104257065','4500608028033974696','4635294732104256173'),('4635294732104257066','4527499402389876083','4635294732104256199'),('4635294732104257067','4527499402389876083','4635294732104256225'),('4635294732104257068','4500608028033980544','4635294732104256251'),('4635294732104257069','4500595177491813997','4635294732104256251'),('4635294732104257070','4500608028033980544','4635294732104256278'),('4635294732104257071','4500595177491813997','4635294732104256304'),('4635294732104257072','4527499505469087792','4635294732104256330'),('4635294732104257073','4500608062393714384','4635294732104256330'),('4635294732104257074','4527499505469087792','4635294732104256357'),('4635294732104257075','4500608062393714384','4635294732104256383'),('4635294732104257076','4500608062393714890','4635294732104256409'),('4635294732104257077','4500608062393715246','4635294732104256409'),('4635294732104257078','4500608062393714890','4635294732104256436'),('4635294732104257079','4500608062393715246','4635294732104256462'),('4635294732104257080','4500608062393719473','4635294732104256488'),('4635294732104257081','4500608062393719473','4635294732104256514'),('4635294732104257082','4527499539828827631','4635294732104256540'),('4635294732104257083','4527499574188568205','4635294732104256540'),('4635294732104257084','4527499539828827631','4635294732104256567'),('4635294732104257085','4500608096753454778','4635294732104256593'),('4635294732104257086','4500595314930763812','4635294732104256619'),('4635294732104257087','4500595314930763812','4635294732104256645'),('4635294732104257088','4500595314930764297','4635294732104256671'),('4635294732104257089','4500608096753459183','4635294732104256697'),('4635294732104257090','4527499539828831247','4635294732104256723'),('4635294732104257091','4527499539828831247','4635294732104256749'),('4635294732104257092','4527499539828831532','4635294732104256775'),('4635294732104257093','4527499539828831532','4635294732104256801'),('4635294732104257094','4527499574188568205','4635294732104256827'),('4635295591097714188','4476990758787162429','4635295591097712857'),('4635295591097714189','4476990758787164361','4635295591097712883'),('4635295591097714190','4476990758787164392','4635295591097712909'),('4635295591097714191','4476990758787164423','4635295591097712935'),('4635295591097714192','4580724080231157444','4635295591097712961'),('4635295591097714193','4580725317181720378','4635295591097712987'),('4635295591097714194','4589890365074556251','4635295591097713013'),('4635295591097714195','4580724080231159894','4635295591097713039'),('4635295591097714196','4580732773244967766','4635295591097713065'),('4635295591097714197','4580743252965150994','4635295591097713065'),('4635295591097714198','4580732807604700306','4635295591097713092'),('4635295591097714199','4580732807604700574','4635295591097713092'),('4635295591097714200','4580767579659913969','4635295591097713119'),('4635295591097714207','4580746998176652710','4635295591097713201'),('4635295591097714208','4580759986157736276','4635295591097713201'),('4635295591097714209','4580747032536388197','4635295591097713228'),('4635295591097714210','4580761291827790810','4635295591097713228'),('4635295591097714211','4580747032536390200','4635295591097713255'),('4635295591097714212','4580747273054552927','4635295591097713255'),('4635295591097714213','4580728959314003592','4635295591097713282'),('4635295591097714222','4580730814739869502','4635295591097713366'),('4635295591097714223','4580744386836532004','4635295591097713366'),('4635295591097714227','4580767476580699398','4635295591097713446'),('4635295591097714228','4580737755407020907','4635295591097713446'),('4635295591097714229','4580737824126497192','4635295591097713446'),('4635295591097714230','4580749540797288681','4635295591097713446'),('4635295591097714231','4580767476580700226','4635295591097713446'),('4635295591097714232','4580767545300179932','4635295591097713476'),('4635295591097714240','4580714734382310472','4635295591097713509'),('4635295591097714246','4580740744704247407','4635295591097713565'),('4635295591097714261','4580717895478236345','4635295591097713630'),('4635295591097714262','4580717895478237128','4635295591097713630'),('4635295591097714263','4580722396603966122','4635295591097713630'),('4635295591097714264','4580740229308171203','4635295591097713630'),('4635295591097714265','4580728237759502311','4635295591097713630'),('4635295591097714266','4580728237759502672','4635295591097713630'),('4635295591097714267','4580728237759503526','4635295591097713630'),('4635295591097714268','4580722396603973386','4635295591097713630'),('4635295591097714269','4580751086985497061','4635295591097713663'),('4635295591097714270','4580728375198448570','4635295591097713663'),('4635295591097714271','4580748097688256846','4635295591097713663'),('4635295591097714272','4580728375198449346','4635295591097713663'),('4635295591097714273','4580728443917919273','4635295591097713663'),('4635295591097714274','4580737240010949298','4635295591097713663'),('4635295591097714275','4580748097688257878','4635295591097713663'),('4635295591097714276','4580728443917926301','4635295591097713663'),('4635295591097714277','4580737240010952989','4635295591097713663'),('4635295591097714278','4580739473393949231','4635295591097713663'),('4635295591097714279','4592897632455934994','4635295591097713663'),('4635295591097714280','4580752117777653200','4635295591097713699'),('4635295591097714290','4580744558635221727','4635295591097713699'),('4635295591097714291','4580715593375774476','4635295591097713735'),('4635295591097714296','4580742943727525250','4635295591097713765'),('4635295591097714304','4580746036103972093','4635295591097713823'),('4635295591097714311','4580754591678815877','4635295591097713880'),('4635295591097714321','4580715455936817619','4635295591097713940'),('4635295591097714323','4580719063709344251','4635295591097713940'),('4635295591097714331','4580723564835074887','4635295591097714000'),('4635295591097714332','4580723770993501024','4635295591097714000'),('4635295591097714333','4580742119093786943','4635295591097714000'),('4635295591097714334','4580723805353243438','4635295591097714000'),('4635295591097714335','4580731192697002825','4635295591097714000'),('4635295591097714336','4580732189129413157','4635295591097714030'),('4635295591097714337','4580723839712984746','4635295591097714030'),('4635295591097714338','4580723977151933480','4635295591097714030'),('4635295591097714339','4580732257848887800','4635295591097714030'),('4635295591097714340','4592833379745122820','4635295591097714059'),('4635295591097714341','4592833379745123172','4635295591097714059'),('4635295591097714342','4592863238357832825','4635295591097714059'),('4635295591097714343','4592829359655730294','4635295591097714059'),('4635295591097714344','4592863238357833189','4635295591097714059'),('4635295591097714345','4592833448464602776','4635295591097714089'),('4635295591097714346','4592833448464603128','4635295591097714089'),('4635295591097714347','4592863238357834394','4635295591097714089'),('4635295591097714348','4592833448464604065','4635295591097714089'),('4635295591097714349','4580732841964442217','4635295591097714118'),('4635295591097714350','4580725866937542446','4635295591097714118'),('4635295591097714351','4580732841964443141','4635295591097714118'),('4635295591097714352','4580725866937546690','4635295591097714118'),('4635295591097714353','4580732841964443844','4635295591097714118'),('4635295591097714354','4580743527843056059','4635295591097714118'),('4635295591097714355','4580732841964445085','4635295591097714118'),('4635295591097714356','4580732876324176922','4635295591097714118'),('4635295591097714357','4580725901297284849','4635295591097714118'),('4635295591097714358','4580732876324180168','4635295591097714118'),('4635295591097714359','4580732876324182498','4635295591097714118'),('4635295591097714360','4580741397539274752','4635295591097714154'),('4635295591097714361','4580741603697705924','4635295591097714154'),('4635295591097714362','4580723324316905696','4635295591097714154'),('4635295591097714363','4580728924954266281','4635295591097714154'),('4635295591097714364','4580741638057451405','4635295591097714154'),('4635295591097714365','4580728924954271310','4635295591097714154'),('4635295591097714366','4580723358676644135','4635295591097714154'),('4635295591097714367','4580741672417183816','4635295591097714154'),('4635295591097714368','4580728959314002807','4635295591097714154'),('4635295694176930930','4476995603510277249','4635295625457454962'),('4635295694176930931','4477025015446413642','4635295625457454988'),('4635295694176930932','4477025015446413851','4635295625457455014'),('4635295694176930933','4477025015446415393','4635295625457455040'),('4635295694176930934','4477025015446415610','4635295625457455066'),('4635295694176930935','4500568686133534227','4635295625457455092'),('4635295694176930936','4500568686133534357','4635295625457455118'),('4635295694176930937','4500536216180759307','4635295625457455144'),('4635295694176930938','4500575558081222210','4635295625457455170'),('4635295694176930939','4500536216180759561','4635295625457455196'),('4635295694176930940','4500575592440955593','4635295625457455222'),('4635295694176930941','4500568720493265668','4635295625457455248'),('4635295694176930942','4500536216180760098','4635295625457455274'),('4635295694176930943','4500536216180760378','4635295625457455300'),('4635295694176930944','4500537521850812426','4635295625457455326'),('4635295694176930945','4500575936038339276','4635295625457455352'),('4635295694176930946','4500568961011437591','4635295625457455378'),('4635295694176930947','4500537521850813036','4635295625457455404'),('4635295694176930948','4500568961011441438','4635295625457455430'),('4635295694176930949','4500537521850813330','4635295625457455456'),('4635295694176930950','4500537521850813536','4635295625457455482'),('4635295694176930951','4500569029730913084','4635295625457455508'),('4635295694176930952','4500538483923490829','4635295625457455534'),('4635295694176930953','4500538483923490829','4635295625457455560'),('4635295694176930954','4500538483923491424','4635295625457455586'),('4635295694176930955','4500538483923491424','4635295625457455612'),('4635295694176930956','4500569991803586406','4635295625457455638'),('4635295694176930957','4500569991803586406','4635295625457455665'),('4635295694176930958','4500538518283225976','4635295625457455698'),('4635295694176930959','4500538518283225976','4635295625457455724'),('4635295694176930960','4500569991803586797','4635295625457455750'),('4635295694176930961','4500569991803586797','4635295625457455776'),('4635295694176930962','4500569991803586979','4635295625457455802'),('4635295694176930963','4500569991803586979','4635295625457455828'),('4635295694176930964','4500569991803587104','4635295625457455854'),('4635295694176930965','4500569991803587104','4635295625457455880'),('4635295694176930966','4500552743214907736','4635295625457455906'),('4635295694176930967','4500552743214907736','4635295625457455932'),('4635295694176930968','4500584148015792233','4635295625457455958'),('4635295694176930969','4500584148015792233','4635295625457455984'),('4635295694176930970','4500584148015792371','4635295625457456010'),('4635295694176930971','4500584148015792371','4635295625457456036'),('4635295694176930972','4500591982036163308','4635295625457456062'),('4635295694176930973','4500591982036163308','4635295625457456088'),('4635295694176930974','4500552743214908348','4635295625457456114'),('4635295694176930975','4500552743214908348','4635295625457456140'),('4635295694176930976','4500552743214908393','4635295625457456166'),('4635295694176930977','4500552743214908393','4635295625457456192'),('4635295694176930978','4500584148015793259','4635295625457456218'),('4635295694176930979','4500584148015793259','4635295625457456244'),('4635295694176930980','4500584148015793477','4635295625457456270'),('4635295694176930981','4500584148015793477','4635295625457456296'),('4635295694176930982','4500591982036163958','4635295625457456322'),('4635295694176930983','4500591982036163958','4635295625457456348'),('4635295694176930984','4500592463072495163','4635295625457456374'),('4635295694176930985','4500584663411870101','4635295625457456400'),('4635295694176930986','4500584663411870135','4635295625457456426'),('4635295694176930987','4500553396049939076','4635295625457456452'),('4635295694176930988','4500592463072499891','4635295625457456478'),('4635295694176930989','4500592463072500068','4635295625457456504'),('4635295694176930990','4527502838363715904','4635295625457456530'),('4635295694176930991','4527502838363715904','4635295625457456556'),('4635295694176930992','4500599025782507038','4635295625457456582'),('4635295694176930993','4500599025782507038','4635295625457456608'),('4635295694176930994','4500599025782507695','4635295625457456634'),('4635295694176930995','4500599025782507695','4635295625457456660'),('4635295694176930996','4500599025782507996','4635295625457456686'),('4635295694176930997','4500599025782507996','4635295625457456712'),('4635295694176930998','4500611223489647114','4635295625457456738'),('4635295694176930999','4500611223489647114','4635295625457456764'),('4635295694176931000','4500611223489647396','4635295625457456790'),('4635295694176931001','4500611223489647396','4635295625457456816'),('4635295694176931002','4500590229689487951','4635295625457456842'),('4635295694176931003','4500590229689487951','4635295625457456868'),('4635295694176931004','4500590229689487951','4635295625457456894'),('4635295694176931005','4500590229689487951','4635295625457456920'),('4635295694176931006','4500590229689487951','4635295625457456946'),('4635295694176931007','4500590229689487951','4635295625457456972'),('4635295694176931008','4500590229689487951','4635295625457456998'),('4635295694176931009','4500590229689487951','4635295625457457024'),('4635295694176931010','4500590229689487951','4635295625457457050'),('4635295694176931011','4500590229689487951','4635295625457457076'),('4635295694176931012','4500590229689487951','4635295625457457102'),('4635295694176931013','4500590229689487951','4635295625457457128'),('4635295694176931014','4500592634871188717','4635295625457457154'),('4635295694176931015','4500592634871188717','4635295625457457180'),('4635295694176931016','4500592634871188952','4635295625457457206'),('4635295694176931017','4500592634871188952','4635295625457457232'),('4635295694176931018','4500584766491086582','4635295625457457258'),('4635295694176931019','4500584766491086582','4635295625457457284'),('4635295694176931020','4500592669230926196','4635295625457457310'),('4635295694176931021','4500592669230926196','4635295625457457336'),('4635295694176931022','4500584766491087044','4635295625457457362'),('4635295694176931023','4500584766491087044','4635295625457457388'),('4635295694176931024','4500592669230928108','4635295625457457414'),('4635295694176931025','4500592669230928108','4635295625457457440'),('4635295694176931026','4500584766491087819','4635295625457457466'),('4635295694176931027','4500584766491087819','4635295625457457492'),('4635295694176931028','4500553464769418108','4635295625457457518'),('4635295694176931029','4500553464769418108','4635295625457457544'),('4635295694176931030','4477025633921710587','4635295625457457570'),('4635295694176931031','4477025633921710587','4635295625457457596'),('4635295694176931032','4476996496863474211','4635295625457457622'),('4635295694176931033','4476996496863474211','4635295625457457648'),('4635295694176931034','4476996496863474597','4635295625457457674'),('4635295694176931035','4476996496863474597','4635295625457457700'),('4635295694176931036','4477025633921711318','4635295625457457726'),('4635295694176931037','4477025633921711318','4635295625457457752'),('4635295694176931038','4477025633921711486','4635295625457457778'),('4635295694176931039','4477025633921711486','4635295625457457804'),('4635295694176931040','4500534635632794008','4635295625457457830'),('4635295694176931041','4500534635632794008','4635295625457457856'),('4635295694176931042','4500567724060858184','4635295625457457882'),('4635295694176931043','4500567724060858184','4635295625457457908'),('4635295694176931044','4500534635632794614','4635295625457457934'),('4635295694176931045','4500534635632794614','4635295625457457960'),('4635295694176931046','4500574492929327922','4635295625457457986'),('4635295694176931047','4500574492929327922','4635295625457458012'),('4635295694176931048','4500574492929328045','4635295625457458038'),('4635295694176931049','4500574492929328045','4635295625457458064'),('4635295694176931050','4500574492929329021','4635295625457458090'),('4635295694176931051','4500574492929329021','4635295625457458116'),('4635295694176931052','4497734213876545528','4635295625457458142'),('4635295694176931053','4497713391875045110','4635295625457458168'),('4635295694176931054','4497713391875045142','4635295625457458194'),('4635295694176931055','4497713391875045174','4635295625457458220'),('4635295694176931056','4497713391875045264','4635295625457458246'),('4635295694176931057','4476991823939051700','4635295625457458272'),('4635295694176931058','4476991823939051700','4635295625457458298'),('4635295694176931059','4476992304975392024','4635295625457458324'),('4635295694176931060','4476992304975392024','4635295625457458350'),('4635295694176931061','4476992339335131626','4635295625457458376'),('4635295694176931062','4476992339335131626','4635295625457458402'),('4635295694176931063','4476992339335131657','4635295625457458428'),('4635295694176931064','4476992339335131657','4635295625457458454'),('4635295694176931065','4477021201515454827','4635295625457458480'),('4635295694176931066','4477021201515454827','4635295625457458506'),('4635295694176931067','4476992339335131688','4635295625457458532'),('4635295694176931068','4476992339335131688','4635295625457458558'),('4635295694176931069','4476992339335131719','4635295625457458584'),('4635295694176931070','4476992339335131719','4635295625457458610'),('4635295694176931071','4476992339335131755','4635295625457458636'),('4635295694176931072','4476992339335131755','4635295625457458662'),('4635295694176931073','4500584182375554754','4635295625457458688'),('4635295694176931074','4500584182375554973','4635295625457458714'),('4635295694176931075','4500584216735285396','4635295625457458740'),('4635295694176931076','4500574321130625789','4635295625457458766'),('4635295694176931077','4500542022976539404','4635295625457458792'),('4635295694176931078','4500574355490360781','4635295625457458818'),('4635295694176931079','4500574355490360900','4635295625457458844'),('4635295694176931080','4500566658908962966','4635295625457458870'),('4635295694176931081','4500566658908962966','4635295625457458896'),('4635295694176931082','4500534017157500269','4635295625457458922'),('4635295694176931083','4500534017157500269','4635295625457458948'),('4635295694176931084','4500572878021624607','4635295625457458974'),('4635295694176931085','4500572878021624607','4635295625457459000'),('4635295694176931086','4500534017157500969','4635295625457459026'),('4635295694176931087','4500534017157500969','4635295625457459052'),('4635295694176931088','4500566658908964927','4635295625457459078'),('4635295694176931089','4500566658908964927','4635295625457459104'),('4635295694176931090','4500534017157501132','4635295625457459130'),('4635295694176931091','4500534017157501132','4635295625457459156'),('4635295694176931092','4500534017157501453','4635295625457459182'),('4635295694176931093','4500534017157501453','4635295659817189384'),('4635295694176931094','4500534017157501966','4635295694176927757'),('4635295694176931095','4500534017157501966','4635295694176927783'),('4635295694176931096','4500566658908965909','4635295694176927809'),('4635295694176931097','4500566658908965909','4635295694176927835'),('4635295694176931098','4477023331819240664','4635295694176927861'),('4635295694176931099','4477023331819240664','4635295694176927888'),('4635295694176931100','4500534085876980902','4635295694176927914'),('4635295694176931101','4500534085876980902','4635295694176927940'),('4635295694176931102','4500566727628442525','4635295694176927966'),('4635295694176931103','4500566727628442525','4635295694176927992'),('4635295694176931104','4500534120236716148','4635295694176928018'),('4635295694176931105','4500534120236716148','4635295694176928044'),('4635295694176931106','4500572946741105764','4635295694176928070'),('4635295694176931107','4500572946741105764','4635295694176928096'),('4635295694176931108','4500534120236716224','4635295694176928122'),('4635295694176931109','4500534120236716224','4635295694176928148'),('4635295694176931110','4500534120236716461','4635295694176928174'),('4635295694176931111','4500534120236716461','4635295694176928200'),('4635295694176931112','4500534120236716609','4635295694176928226'),('4635295694176931113','4500534120236716609','4635295694176928252'),('4635295694176931114','4500534120236716723','4635295694176928278'),('4635295694176931115','4500534120236716723','4635295694176928304'),('4635295694176931116','4500534120236716942','4635295694176928330'),('4635295694176931117','4500534120236716942','4635295694176928356'),('4635295694176931118','4500572946741108020','4635295694176928382'),('4635295694176931119','4500572946741108020','4635295694176928408'),('4635295694176931120','4545343101719160428','4635295694176928434'),('4635295694176931121','4545343101719160428','4635295694176928460'),('4635295694176931122','4545349114673383912','4635295694176928486'),('4635295694176931123','4545349114673383912','4635295694176928512'),('4635295694176931124','4545349114673384283','4635295694176928538'),('4635295694176931125','4545349114673384283','4635295694176928564'),('4635295694176931126','4545349114673384524','4635295694176928590'),('4635295694176931127','4545349114673384524','4635295694176928616'),('4635295694176931128','4545352756805663703','4635295694176928642'),('4635295694176931129','4545352756805663703','4635295694176928668'),('4635295694176931130','4545343101719161716','4635295694176928694'),('4635295694176931131','4545343101719161716','4635295694176928720'),('4635295694176931132','4545349114673385249','4635295694176928746'),('4635295694176931133','4545349114673385249','4635295694176928772'),('4635295694176931134','4497733664120729557','4635295694176928798'),('4635295694176931135','4497733664120729557','4635295694176928824'),('4635295694176931136','4497733664120729823','4635295694176928850'),('4635295694176931137','4497733664120729823','4635295694176928876'),('4635295694176931138','4497713185716613326','4635295694176928902'),('4635295694176931139','4497713185716613326','4635295694176928928'),('4635295694176931140','4497733664120730122','4635295694176928954'),('4635295694176931141','4497733664120730122','4635295694176928980'),('4635295694176931142','4497733664120730256','4635295694176929006'),('4635295694176931143','4497733664120730256','4635295694176929032'),('4635295694176931144','4497713185716613466','4635295694176929058'),('4635295694176931145','4497713185716613466','4635295694176929084'),('4635295694176931146','4497733732840203953','4635295694176929110'),('4635295694176931147','4497733732840203953','4635295694176929136'),('4635295694176931148','4500598613465669327','4635295694176929162'),('4635295694176931149','4500598613465669327','4635295694176929188'),('4635295694176931150','4500598613465669491','4635295694176929214'),('4635295694176931151','4500598613465669491','4635295694176929240'),('4635295694176931152','4500590160970014259','4635295694176929266'),('4635295694176931153','4500590160970014259','4635295694176929292'),('4635295694176931154','4527497306445833381','4635295694176929318'),('4635295694176931155','4527497306445833381','4635295694176929344'),('4635295694176931156','4500598647825400624','4635295694176929370'),('4635295694176931157','4500598647825400624','4635295694176929396'),('4635295694176931158','4500598716544862210','4635295694176929422'),('4635295694176931159','4500598716544862210','4635295694176929448'),('4635295694176931160','4500610948611741367','4635295694176929474'),('4635295694176931161','4500610948611741367','4635295694176929500'),('4635295694176931162','4500610948611741632','4635295694176929526'),('4635295694176931163','4500610948611741632','4635295694176929552'),('4635295694176931164','4527502460406589416','4635295694176929578'),('4635295694176931165','4527502460406589416','4635295694176929604'),('4635295694176931166','4500610948611742289','4635295694176929630'),('4635295694176931167','4500610948611742289','4635295694176929656'),('4635295694176931168','4500610948611742693','4635295694176929682'),('4635295694176931169','4500610948611742693','4635295694176929708'),('4635295694176931170','4500610948611742955','4635295694176929734'),('4635295694176931171','4500610948611742955','4635295694176929760'),('4635295694176931172','4527502563485803242','4635295694176929786'),('4635295694176931173','4527502563485803242','4635295694176929812'),('4635295694176931174','4500610948611743148','4635295694176929838'),('4635295694176931175','4500598716544864308','4635295694176929864'),('4635295694176931176','4500552090379881713','4635295694176929890'),('4635295694176931177','4500552090379881713','4635295694176929916'),('4635295694176931178','4500583976217103353','4635295694176929942'),('4635295694176931179','4500583976217103353','4635295694176929968'),('4635295694176931180','4500552090379882105','4635295694176929994'),('4635295694176931181','4500552090379882105','4635295694176930020'),('4635295694176931182','4500583976217104994','4635295694176930046'),('4635295694176931183','4500583976217104994','4635295694176930072'),('4635295694176931184','4500552090379882698','4635295694176930098'),('4635295694176931185','4500552090379882698','4635295694176930124'),('4635295694176931186','4500591672798515272','4635295694176930150'),('4635295694176931187','4500591672798515272','4635295694176930176'),('4635295694176931188','4500583976217105567','4635295694176930202'),('4635295694176931189','4500583976217105567','4635295694176930228'),('4635295694176931190','4500583976217105736','4635295694176930254'),('4635295694176931191','4500583976217105736','4635295694176930280'),('4635295694176931192','4500591672798516093','4635295694176930306'),('4635295694176931193','4500591672798516093','4635295694176930332'),('4635295694176931194','4476994710157076584','4635295694176930358'),('4635295694176931195','4476994710157076827','4635295694176930384'),('4635295694176931196','4476994744516816414','4635295694176930410'),('4635295694176931197','4476994744516816745','4635295694176930436'),('4635295694176931198','4476994744516817300','4635295694176930462'),('4635295694176931199','4476994744516817787','4635295694176930488'),('4635295694176931200','4477024190812697580','4635295694176930514'),('4635295694176931201','4477024190812697978','4635295694176930540'),('4635295694176931202','4500593390785431458','4635295694176930566'),('4635295694176931203','4500593390785431851','4635295694176930592'),('4635295694176931204','4500554495561571510','4635295694176930618'),('4635295694176931205','4500585728563758904','4635295694176930644'),('4635295694176931206','4500554495561571860','4635295694176930670'),('4635295694176931207','4500593390785433080','4635295694176930696'),('4635295694176931208','4500593390785433768','4635295694176930722'),('4635295694176931209','4500555148396596796','4635295694176930748'),('4635295694176931210','4500555148396597067','4635295694176930774'),('4635295694176931211','4500555148396597889','4635295694176930800'),('4635295694176931212','4500586209600100032','4635295694176930826'),('4635295694176931213','4500593768742553987','4635295694176930852'),('4635295694176931214','4500593768742554249','4635295694176930878'),('4635295694176931215','4500593768742554820','4635295694176930904'),('4635295728536668790','4500569270249081423','4635295728536668210'),('4635295728536668791','4500569407688034272','4635295728536668210'),('4635295728536668792','4500576313995463276','4635295728536668237'),('4635295728536668793','4500537934167674037','4635295728536668263'),('4635295728536668794','4500576382714939039','4635295728536668263'),('4635295728536668795','4500537934167675118','4635295728536668290'),('4635295728536668796','4500538002887150420','4635295728536668290'),('4635295728536668797','4500538002887148446','4635295728536668317'),('4635295728536668798','4500538002887148721','4635295728536668343'),('4635295728536668799','4500569407688038772','4635295728536668343'),('4635295728536668800','4500576382714944970','4635295728536668370'),('4635295728536668801','4500538002887150894','4635295728536668396'),('4635295728536668802','4500574561648804579','4635295728536668422'),('4635295728536668803','4500575729879909662','4635295728536668448'),('4635295728536668804','4500569029730914385','4635295728536668448'),('4635295728536668805','4500568892291963522','4635295728536668475'),('4635295728536668806','4500569029730914249','4635295728536668475'),('4635295728536668807','4500537315692387068','4635295728536668502'),('4635295728536668808','4500575936038342854','4635295728536668502'),('4635295728536668809','4500575936038341866','4635295728536668529'),('4635295728536668810','4500575936038342523','4635295728536668529'),('4635295728536668811','4500537762368981194','4635295728536668556'),('4635295728536668812','4500537762368981276','4635295728536668582'),('4635295728536668813','4500569201529604552','4635295728536668608'),('4635295728536668814','4635288994027950661','4635295728536668634'),('4635295728536668815','4500534773071743612','4635295728536668660'),('4635295728536668816','4500568926651698684','4635295728536668686'),('4635295728536668817','4500575764239648232','4635295728536668712'),('4635295728536668818','4500575764239651850','4635295728536668738'),('4635295728536668819','4500537315692387400','4635295728536668764'),('4635295728536673555','4476992648572777778','4635295728536672778'),('4635295728536673556','4476992682932512121','4635295728536672778'),('4635295728536673557','4580697898110503944','4635295728536672805'),('4635295728536673558','4580697898110506751','4635295728536672805'),('4635295728536673559','4580697966829982120','4635295728536672805'),('4635295728536673560','4580702742833629987','4635295728536672805'),('4635295728536673561','4580702742833633335','4635295728536672805'),('4635295728536673562','4580702742833634367','4635295728536672805'),('4635295728536673563','4580702777193366246','4635295728536672805'),('4635295728536673564','4580699616097432381','4635295728536672805'),('4635295728536673565','4580702811553111801','4635295728536672838'),('4635295728536673566','4580698276067628837','4635295728536672838'),('4635295728536673567','4580699650457172776','4635295728536672838'),('4635295728536673568','4580702983351800927','4635295728536672838'),('4635295728536673569','4580699684816905086','4635295728536672838'),('4635295728536673570','4580702983351803744','4635295728536672838'),('4635295728536673571','4580698344787102919','4635295728536672838'),('4635295728536673572','4580703189510233467','4635295728536672870'),('4635295728536673573','4580703223869964293','4635295728536672870'),('4635295728536673574','4580703223869965680','4635295728536672870'),('4635295728536673575','4580699787896125344','4635295728536672870'),('4635295728536673576','4580703223869967389','4635295728536672870'),('4635295728536673577','4580703223869969623','4635295728536672870'),('4635295728536673578','4580699925335079863','4635295728536672870'),('4635295728536673579','4580703258229707433','4635295728536672870'),('4635295728536673580','4580703601827091287','4635295728536672903'),('4635295728536673581','4580703601827093834','4635295728536672903'),('4635295728536673582','4580700097133766586','4635295728536672903'),('4635295728536673583','4580700097133766855','4635295728536672903'),('4635295728536673584','4580703636186826946','4635295728536672903'),('4635295728536673585','4580698550945529868','4635295728536672903'),('4635295728536673586','4580703704906303644','4635295728536672903'),('4635295728536673587','4580700509450626856','4635295728536672903'),('4635295728536673588','4580703704906307837','4635295728536672936'),('4635295728536673589','4580698619665008156','4635295728536672936'),('4635295728536673590','4580703773625781307','4635295728536672936'),('4635295728536673591','4580700715609061035','4635295728536672936'),('4635295728536673592','4580700715609063122','4635295728536672936'),('4635295728536673593','4580703773625784108','4635295728536672936'),('4635295728536673594','4477021648192057647','4635295728536672967'),('4635295728536673595','4477021648192057821','4635295728536672967'),('4635295728536673596','4477021648192059651','4635295728536672967'),('4635295728536673597','4476992717292250970','4635295728536672967'),('4635295728536673598','4476992717292251140','4635295728536672967'),('4635295728536673599','4476992717292251224','4635295728536672967'),('4635295728536673600','4477021648192061401','4635295728536672967'),('4635295728536673601','4476992717292251456','4635295728536672967'),('4635295728536673602','4477021682551791807','4635295728536672967'),('4635295728536673603','4476992717292251540','4635295728536672967'),('4635295728536673604','4580703876704994046','4635295728536673002'),('4635295728536673605','4580698722744225442','4635295728536673002'),('4635295728536673606','4580698722744228300','4635295728536673002'),('4635295728536673607','4580698722744228747','4635295728536673002'),('4635295728536673608','4580703876704998848','4635295728536673002'),('4635295728536673609','4580703876705000929','4635295728536673002'),('4635295728536673610','4580698894542919367','4635295728536673002'),('4635295728536673611','4580703945424471003','4635295728536673002'),('4635295728536673612','4580702055638855750','4635295728536673002'),('4635295728536673613','4580703945424473744','4635295728536673002'),('4635295728536673614','4580699444298733989','4635295728536673037'),('4635295728536673615','4580702055638857369','4635295728536673037'),('4635295728536673616','4580704014143950058','4635295728536673037'),('4635295728536673617','4580702055638858000','4635295728536673037'),('4635295728536673618','4580699478658465902','4635295728536673037'),('4635295728536673619','4580702158718070656','4635295728536673037'),('4635295728536673620','4580699478658468999','4635295728536673037'),('4635295728536673621','4580704014143952194','4635295728536673037'),('4635295728536673622','4589903456134873542','4635295728536673037'),('4635295728536673623','4477021201515455539','4635295728536673071'),('4635295728536673624','4580708171672274603','4635295728536673071'),('4635295728536673625','4580708206032017072','4635295728536673071'),('4635295728536673626','4580708206032017816','4635295728536673071'),('4635295728536673627','4580708377830703467','4635295728536673071'),('4635295728536673628','4580710198896853689','4635295728536673071'),('4635295728536673629','4580708377830707671','4635295728536673102'),('4635295728536673630','4580710198896855612','4635295728536673102'),('4635295728536673631','4580708377830709328','4635295728536673102'),('4635295728536673632','4580708240391764710','4635295728536673102'),('4635295728536673633','4580708240391765359','4635295728536673102'),('4635295728536673634','4580708240391765996','4635295728536673102'),('4635295728536673635','4580708412190444506','4635295728536673102'),('4635295728536673636','4580710267616332875','4635295728536673102'),('4635295728536673637','4580708412190446033','4635295728536673135'),('4635295728536673638','4580708412190446554','4635295728536673135'),('4635295728536673639','4580708377830712780','4635295728536673135'),('4635295728536673640','4580710370695545887','4635295728536673135'),('4635295728536673641','4580708412190452931','4635295728536673135'),('4635295728536673642','4580710370695547114','4635295728536673135'),('4635295728536673643','4580710370695552936','4635295728536673166'),('4635295728536673644','4580708446550184561','4635295728536673166'),('4635295728536673645','4580708549629408603','4635295728536673166'),('4635295728536673646','4580708480909921147','4635295728536673166'),('4635295728536673647','4580708583989144345','4635295728536673166'),('4635295728536673648','4580710405055291210','4635295728536673166'),('4635295728536673649','4580708583989148076','4635295728536673166'),('4635295728536673650','4580710439415029170','4635295728536673166'),('4635295728536673651','4580709202464427208','4635295728536673166'),('4635295728536673652','4580708652708625641','4635295728536673166'),('4635295728536673653','4580710473774761816','4635295728536673166'),('4635295728536673654','4580710473774766833','4635295728536673202'),('4635295728536673655','4580709305543642071','4635295728536673202'),('4635295728536673656','4580708824507310757','4635295728536673202'),('4635295728536673657','4580708824507311380','4635295728536673202'),('4635295728536673658','4580710576853977139','4635295728536673202'),('4635295728536673659','4580708893226787022','4635295728536673202'),('4635295728536673660','4580710611213719383','4635295728536673233'),('4635295728536673661','4580709477342337681','4635295728536673233'),('4635295728536673662','4580709511702069371','4635295728536673233'),('4635295728536673663','4580708961946265451','4635295728536673233'),('4635295728536673664','4580710714292929438','4635295728536673233'),('4635295728536673665','4580708961946268337','4635295728536673233'),('4635295728536673666','4580708996306008199','4635295728536673233'),('4635295728536673667','4580710748652669848','4635295728536673265'),('4635295728536673668','4580710748652670435','4635295728536673265'),('4635295728536673669','4580750605949174729','4635295728536673265'),('4635295728536673670','4580709065025479786','4635295728536673265'),('4635295728536673671','4591347664657977683','4635295728536673265'),('4635295728536673672','4591350035479938378','4635295728536673265'),('4635295728536673673','4580709065025480497','4635295728536673296'),('4635295728536673674','4592854648423170953','4635295728536673296'),('4635295728536673675','4580709580421552311','4635295728536673296'),('4635295728536673676','4580710783012405813','4635295728536673296'),('4635295728536673677','4580710783012408102','4635295728536673296'),('4635295728536673678','4592854545343958254','4635295728536673296'),('4635295728536673679','4580709820939716539','4635295728536673327'),('4635295728536673680','4580709820939716979','4635295728536673327'),('4635295728536673681','4580710817372147606','4635295728536673327'),('4635295728536673682','4580711264048750252','4635295728536673327'),('4635295728536673683','4580709820939718564','4635295728536673327'),('4635295728536673684','4580709168104694624','4635295728536673357'),('4635295728536673685','4580711298408487715','4635295728536673357'),('4635295728536673686','4580709855299455722','4635295728536673357'),('4635295728536673687','4580709855299458206','4635295728536673357'),('4635295728536673688','4580711985603249071','4635295728536673357'),('4635295728536673689','4580709168104698457','4635295728536673357'),('4635295728536673690','4580709889659194879','4635295728536673357'),('4635295728536673691','4580709889659197449','4635295728536673357'),('4635295728536673692','4580709889659197795','4635295728536673357'),('4635295728536673693','4580709271183911495','4635295728536673357'),('4635295728536673694','4580709924018933941','4635295728536673392'),('4635295728536673695','4580709924018934735','4635295728536673392'),('4635295728536673696','4580709305543650613','4635295728536673392'),('4635295728536673697','4580709992738412399','4635295728536673392'),('4635295728536673698','4580712088682463429','4635295728536673392'),('4635295728536673699','4580710027098144885','4635295728536673392'),('4635295728536673700','4580709305543654475','4635295728536673392'),('4635295728536673701','4580709408622863739','4635295728536673424'),('4635295728536673702','4580709408622864240','4635295728536673424'),('4635295728536673703','4580709408622869303','4635295728536673424'),('4635295728536673704','4580710061457889554','4635295728536673424'),('4635295728536673705','4580712157401947426','4635295728536673424'),('4635295728536673706','4580709442982605225','4635295728536673424'),('4635295728536673707','4580709442982605933','4635295728536673424'),('4635295728536673708','4477021648192056949','4635295728536673456'),('4635295728536673709','4476992682932518555','4635295728536673456'),('4635295728536673710','4476992682932518780','4635295728536673456'),('4635295728536673711','4476992682932518865','4635295728536673456'),('4635295728536673712','4476992717292249103','4635295728536673456'),('4635295728536673713','4476992717292249177','4635295728536673456'),('4635295728536673714','4477021648192057452','4635295728536673456'),('4635295728536673715','4477021648192057510','4635295728536673456'),('4635295728536673716','4580709442982608125','4635295728536673456'),('4635295728536673717','4580712260481158646','4635295728536673456'),('4635295728536673718','4580710645573441333','4635295728536673491'),('4635295728536673719','4580712397920109725','4635295728536673491'),('4635295728536673720','4580712397920112114','4635295728536673491'),('4635295728536673721','4580712397920112321','4635295728536673491'),('4635295728536673722','4580712432279853989','4635295728536673491'),('4635295728536673723','4580709511702078165','4635295728536673491'),('4635295728536673724','4580710679933176558','4635295728536673491'),('4635295728536673725','4580712466639588237','4635295728536673491'),('4635295728536673726','4580709580421558800','4635295728536673524'),('4635295728536673727','4580710679933177022','4635295728536673524'),('4635295728536673728','4580709580421559220','4635295728536673524'),('4635295728536673729','4580709580421559377','4635295728536673524'),('4635295728536673730','4580712466639589072','4635295728536673524'),('4635295728536673731','4580712500999326034','4635295728536673524'),('4635295797256149420','4476998730246471601','4635295797256145566'),('4635295797256149421','4477024053373742397','4635295797256145566'),('4635295797256149422','4497733973358376384','4635295797256145566'),('4635295797256149423','4497713323155565265','4635295797256145566'),('4635295797256149424','4497713323155565427','4635295797256145566'),('4635295797256149425','4477024053373742486','4635295797256145566'),('4635295797256149426','4476994641437600457','4635295797256145566'),('4635295797256149427','4592862138846140252','4635295797256145566'),('4635295797256149428','4592905191598380013','4635295797256145566'),('4635295797256149429','4592853480192057744','4635295797256145566'),('4635295797256149430','4476991823939051632','4635295797256145601'),('4635295797256149431','4476991823939051762','4635295797256145627'),('4635295797256149432','4477020789198594140','4635295797256145653'),('4635295797256149433','4477020789198600068','4635295797256145679'),('4635295797256149434','4476991823939053016','4635295797256145705'),('4635295797256149435','4476991823939053047','4635295797256145731'),('4635295797256149436','4477020789198600256','4635295797256145757'),('4635295797256149437','4476991823939053130','4635295797256145783'),('4635295797256149438','4476991823939054894','4635295797256145809'),('4635295797256149439','4477020789198601597','4635295797256145835'),('4635295797256149440','4477020789198601732','4635295797256145861'),('4635295797256149441','4476991858298795647','4635295797256145887'),('4635295797256149442','4476991927018267025','4635295797256145913'),('4635295797256149443','4476991927018267099','4635295797256145939'),('4635295797256149444','4476991927018269155','4635295797256145965'),('4635295797256149445','4477020823558339852','4635295797256145991'),('4635295797256149446','4476991927018271617','4635295797256146021'),('4635295797256149447','4476991927018271691','4635295797256146086'),('4635295797256149448','4477020857918071924','4635295797256146112'),('4635295797256149449','4476991927018271811','4635295797256146138'),('4635295797256149450','4477020857918071999','4635295797256146164'),('4635295797256149451','4477020857918072088','4635295797256146190'),('4635295797256149452','4476991927018271932','4635295797256146216'),('4635295797256149453','4477020857918072119','4635295797256146242'),('4635295797256149454','4477020857918072284','4635295797256146268'),('4635295797256149455','4476991927018272094','4635295797256146294'),('4635295797256149456','4477020857918072444','4635295797256146320'),('4635295797256149457','4476991927018272184','4635295797256146346'),('4635295797256149458','4477020857918072475','4635295797256146372'),('4635295797256149459','4476991927018274512','4635295797256146398'),('4635295797256149460','4476991927018274574','4635295797256146424'),('4635295797256149461','4477020857918077127','4635295797256146450'),('4635295797256149462','4477020926637547956','4635295797256146476'),('4635295797256149463','4477020926637548030','4635295797256146502'),('4635295797256149464','4477020926637548061','4635295797256146528'),('4635295797256149465','4477020926637553596','4635295797256146554'),('4635295797256149466','4477020960997291426','4635295797256146580'),('4635295797256149467','4477021029716766847','4635295797256146606'),('4635295797256149468','4476992270615650943','4635295797256146632'),('4635295797256149469','4476992270615650974','4635295797256146658'),('4635295797256149470','4477021029716766955','4635295797256146684'),('4635295797256149471','4477021029716768489','4635295797256146710'),('4635295797256149472','4477021029716768520','4635295797256146736'),('4635295797256149473','4477021029716769467','4635295797256146762'),('4635295797256149474','4477021029716769498','4635295797256146788'),('4635295797256149475','4477021029716769572','4635295797256146814'),('4635295797256149476','4476992270615656552','4635295797256146840'),('4635295797256149477','4476992270615657840','4635295797256146866'),('4635295797256149478','4477021029716769678','4635295797256146892'),('4635295797256149479','4476992304975389320','4635295797256146918'),('4635295797256149480','4476992304975389351','4635295797256146944'),('4635295797256149481','4477021098436243808','4635295797256146970'),('4635295797256149482','4477021098436243839','4635295797256146996'),('4635295797256149483','4477021098436243870','4635295797256147022'),('4635295797256149484','4476992304975389487','4635295797256147048'),('4635295797256149485','4477021098436244017','4635295797256147074'),('4635295797256149486','4477021098436244091','4635295797256147100'),('4635295797256149487','4476993851163616352','4635295797256147126'),('4635295797256149488','4476993851163616414','4635295797256147152'),('4635295797256149489','4476993851163617363','4635295797256147178'),('4635295797256149490','4477022988221856009','4635295797256147204'),('4635295797256149491','4477022988221856040','4635295797256147230'),('4635295797256149492','4476993851163617512','4635295797256147256'),('4635295797256149493','4477022988221857311','4635295797256147282'),('4635295797256149494','4476993851163617676','4635295797256147308'),('4635295797256149495','4476993851163617738','4635295797256147334'),('4635295797256149496','4476993851163617855','4635295797256147360'),('4635295797256149497','4476993851163618055','4635295797256147386'),('4635295797256149498','4592864234790177210','4635295797256147386'),('4635295797256149499','4592907356261898540','4635295797256147386'),('4635295797256149500','4592907528060591985','4635295797256147386'),('4635295797256149501','4477023022581589600','4635295797256147415'),('4635295797256149502','4476993851163618350','4635295797256147441'),('4635295797256149503','4476993851163618455','4635295797256147467'),('4635295797256149504','4476993851163618841','4635295797256147493'),('4635295797256149505','4476993851163619555','4635295797256147519'),('4635295797256149506','4476993851163619588','4635295797256147545'),('4635295797256149507','4476993851163620048','4635295797256147571'),('4635295797256149508','4476993851163620829','4635295797256147597'),('4635295797256149509','4476993851163621876','4635295797256147623'),('4635295797256149510','4477023022581591760','4635295797256147649'),('4635295797256149511','4477023022581591849','4635295797256147675'),('4635295797256149512','4476993851163622098','4635295797256147701'),('4635295797256149513','4477023022581592649','4635295797256147727'),('4635295797256149514','4477023022581593079','4635295797256147753'),('4635295797256149515','4477023022581595787','4635295797256147779'),('4635295797256149516','4477023022581595861','4635295797256147805'),('4635295797256149517','4476993988602570665','4635295797256147831'),('4635295797256149518','4476993988602570727','4635295797256147857'),('4635295797256149519','4477023022581596125','4635295797256147883'),('4635295797256149520','4477023056941326471','4635295797256147909'),('4635295797256149521','4477023056941326534','4635295797256147935'),('4635295797256149522','4476993851163617738','4635295797256147961'),('4635295797256149523','4477023056941326682','4635295797256147987'),('4635295797256149524','4477023056941326848','4635295797256148013'),('4635295797256149525','4477023056941326880','4635295797256148039'),('4635295797256149526','4477023056941327012','4635295797256148065'),('4635295797256149527','4477023228740023513','4635295797256148091'),('4635295797256149528','4476994229120743850','4635295797256148117'),('4635295797256149529','4476994229120744885','4635295797256148143'),('4635295797256149530','4477023228740024548','4635295797256148169'),('4635295797256149531','4477023228740024684','4635295797256148195'),('4635295797256149532','4476994229120745334','4635295797256148221'),('4635295797256149533','4476994229120745439','4635295797256148247'),('4635295797256149534','4477023263099757659','4635295797256148273'),('4635295797256149535','4476994263480476605','4635295797256148299'),('4635295797256149536','4476994263480476722','4635295797256148325'),('4635295797256149537','4477023263099763272','4635295797256148351'),('4635295797256149538','4476994263480477714','4635295797256148377'),('4635295797256149539','4477023331819234425','4635295797256148403'),('4635295797256149540','4476994263480479076','4635295797256148429'),('4635295797256149541','4477023331819235325','4635295797256148455'),('4635295797256149542','4477023331819235409','4635295797256148481'),('4635295797256149543','4476994263480480285','4635295797256148507'),('4635295797256149544','4477023331819235621','4635295797256148533'),('4635295797256149545','4477023331819235781','4635295797256148559'),('4635295797256149546','4477023331819235860','4635295797256148585'),('4635295797256149547','4476994263480480433','4635295797256148611'),('4635295797256149548','4476994263480480464','4635295797256148637'),('4635295797256149549','4477023331819236087','4635295797256148663'),('4635295797256149550','4476994263480481446','4635295797256148689'),('4635295797256149551','4476994263480481508','4635295797256148715'),('4635295797256149552','4477023331819237108','4635295797256148741'),('4635295797256149553','4476994263480481582','4635295797256148767'),('4635295797256149554','4476993988602573468','4635295797256148793'),('4635295797256149555','4476993988602573621','4635295797256148819'),('4635295797256149556','4476993988602573695','4635295797256148845'),('4635295797256149557','4476994022962309020','4635295797256148845'),('4635295797256149558','4476993988602573880','4635295797256148872'),('4635295797256149559','4477023056941327944','4635295797256148898'),('4635295797256149560','4477023056941328123','4635295797256148924'),('4635295797256149561','4476994022962311789','4635295797256148950'),('4635295797256149562','4476994229120737971','4635295797256148976'),('4635295797256149563','4477023228740019554','4635295797256149002'),('4635295797256149564','4476994229120741643','4635295797256149002'),('4635295797256149565','4476994229120738147','4635295797256149029'),('4635295797256149566','4476994229120738868','4635295797256149055'),('4635295797256149567','4477023228740021876','4635295797256149081'),('4635295797256149568','4476994229120741703','4635295797256149107'),('4635295797256149569','4477023228740022231','4635295797256149133'),('4635295797256149570','4476994229120741825','4635295797256149133'),('4635295797256149571','4477023331819237987','4635295797256149160'),('4635295797256149572','4476994263480482337','4635295797256149186'),('4635295797256149573','4476994263480482464','4635295797256149212'),('4635295797256149574','4476994263480482500','4635295797256149238'),('4635295797256149575','4476994263480482753','4635295797256149264'),('4635295797256149576','4476994263480483450','4635295797256149290'),('4635295797256149577','4477023331819238088','4635295797256149316'),('4635295797256149578','4476994263480483524','4635295797256149342'),('4635295797256149579','4476994263480483555','4635295797256149368'),('4635295797256149580','4477023331819238263','4635295797256149394'),('4635296278292483471','4500566899427132680','4635296278292483415'),('4635296278292483472','4500566899427132714','4635296278292483415'),('4635296278292485533','4477026149317783712','4635296278292483892'),('4635296278292485534','4477026149317785922','4635296278292483918'),('4635296278292485535','4477026183677518900','4635296278292483944'),('4635296278292485536','4476997184058241594','4635296278292483970'),('4635296278292485537','4477026183677523436','4635296278292483996'),('4635296278292485538','4477026355476214675','4635296278292484022'),('4635296278292485539','4477026389835951341','4635296278292484048'),('4635296278292485540','4477026458555426696','4635296278292484074'),('4635296278292485541','4500572809302150299','4635296278292484100'),('4635296278292485542','4500572809302150483','4635296278292484126'),('4635296278292485544','4500533982797761784','4635296278292484178'),('4635296278292485546','4500572809302150299','4635296278292484230'),('4635296278292485548','4500572809302150483','4635296278292484282'),('4635296278292485550','4500572809302150483','4635296278292484334'),('4635296278292485553','4500533982797761784','4635296278292484412'),('4635296278292485554','4500533982797761784','4635296278292484438'),('4635296278292485556','4500567380463470748','4635296278292484490'),('4635296278292485557','4500534463834102913','4635296278292484516'),('4635296278292485558','4500574218051426242','4635296278292484516'),('4635296278292485559','4500534601273050186','4635296278292484516'),('4635296278292485560','4500574355490374901','4635296278292484516'),('4635296278292485561','4500534635632787988','4635296278292484516'),('4635296278292485562','4500574389850115438','4635296278292484516'),('4635296278292485563','4477022919502379907','4635296278292484547'),('4635296278292485571','4477022919502379907','4635296278292484605'),('4635296278292485572','4476995294272629138','4635296278292484605'),('4635296278292485573','4476995294272629420','4635296278292484605'),('4635296278292485574','4477024671849034887','4635296278292484605'),('4635296278292485575','4476995294272628495','4635296278292484634'),('4635296278292485579','4476995294272628495','4635296278292484706'),('4635296278292485580','4477024671849035115','4635296278292484706'),('4635296278292485581','4476995294272630476','4635296278292484706'),('4635296278292485582','4477024671849035539','4635296278292484706'),('4635296278292485583','4476995294272628495','4635296278292484735'),('4635296278292485584','4477024671849035115','4635296278292484735'),('4635296278292485585','4476995294272630476','4635296278292484735'),('4635296278292485586','4477024671849035539','4635296278292484735'),('4635296278292485587','4477024671849033961','4635296278292484764'),('4635296278292485591','4477024671849033961','4635296278292484793'),('4635296278292485592','4476995294272631230','4635296278292484793'),('4635296278292485593','4476995294272631324','4635296278292484793'),('4635296278292485594','4477024671849036020','4635296278292484793'),('4635296278292485595','4477024671849033961','4635296278292484822'),('4635296278292485596','4476995294272631230','4635296278292484822'),('4635296278292485597','4476995294272631324','4635296278292484822'),('4635296278292485598','4477024671849036020','4635296278292484822'),('4635296278292485599','4476995294272628888','4635296278292484851'),('4635296278292485600','4476996050186874881','4635296278292484851'),('4635296278292485601','4476996050186877577','4635296278292484851'),('4635296278292485602','4476996050186877884','4635296278292484851'),('4635296278292485603','4476996187625828435','4635296278292484851'),('4635296278292485604','4477025255964585082','4635296278292484851'),('4635296278292485605','4477025255964585402','4635296278292484851'),('4635296278292485606','4477025255964585515','4635296278292484851'),('4635296278292485607','4477025255964585750','4635296278292484851'),('4635296278292485608','4477025668281445775','4635296278292484851'),('4635296278292485629','4497734763632360900','4635296278292484956'),('4635296278292485630','4497734901071314832','4635296278292484956'),('4635296278292485631','4500575798599392077','4635296278292484956'),('4635296278292485632','4500576313995465262','4635296278292484956'),('4635296278292485633','4500534051517235531','4635296278292484985'),('4635296278292485634','4500576382714940261','4635296278292484985'),('4635296278292485635','4500576382714943713','4635296278292484985'),('4635296278292485636','4500569407688037567','4635296278292484985'),('4635296278292485637','4500534051517236109','4635296278292485014'),('4635296278292485638','4500576451434414155','4635296278292485014'),('4635296278292485639','4500538002887151295','4635296278292485014'),('4635296278292485640','4500569407688038945','4635296278292485014'),('4635296278292485642','4500569442047771290','4635296278292485043'),('4635296278292485643','4500538002887151591','4635296278292485043'),('4635296278292485644','4500538002887151683','4635296278292485043'),('4635296278292485645','4500575798599392077','4635296278292485072'),('4635296278292485646','4500538002887151769','4635296278292485072'),('4635296278292485647','4500538002887151846','4635296278292485072'),('4635296278292485648','4500576451434420017','4635296278292485072'),('4635296278292485652','4476994366559693784','4635296278292485129'),('4635296278292485653','4477023812855572145','4635296278292485155'),('4635296278292485654','4477023812855576903','4635296278292485181'),('4635296278292485655','4476995259912893159','4635296278292485207'),('4635296278292485656','4477024603129558741','4635296278292485233'),('4635296278292485657','4477024053373745821','4635296278292485259'),('4635296278292485658','4477023812855575426','4635296278292485285'),('4635296278292485659','4500575592440956683','4635296278292485311'),('4635296278292485660','4500610570654604153','4635296278292485311'),('4635296278292485661','4500575283203314828','4635296278292485338'),('4635296278292485662','4527514348876068520','4635296278292485338'),('4635296278292485663','4500575283203314963','4635296278292485365'),('4635296278292485664','4500535803863892745','4635296278292485365'),('4635296278292485665','4500575283203315084','4635296278292485392'),('4635296278292485666','4580743046806739446','4635296278292485392'),('4635296278292485667','4500535803863892590','4635296278292485419'),('4635296278292485668','4500535803863892668','4635296278292485445'),('4635296278292485670','4500610570654604153','4635296278292485497'),('4635296278292485671','4580754969635936738','4635296278292485497'),('4635296312652223348','4476990930585860183','4635296312652222473'),('4635296312652223349','4476995603510278240','4635296312652222499'),('4635296312652223350','4476995672229755570','4635296312652222525'),('4635296312652223351','4477025015446413550','4635296312652222551'),('4635296312652223352','4476995706589488121','4635296312652222577'),('4635296312652223353','4476995706589488432','4635296312652222577'),('4635296312652223354','4477025015446415510','4635296312652222577'),('4635296312652223355','4476995706589490895','4635296312652222605'),('4635296312652223356','4476995706589491172','4635296312652222631'),('4635296312652223357','4616945807181745146','4635296312652222657'),('4635296312652223360','4476991789579316652','4635296312652222710'),('4635296312652223361','4476991789579316715','4635296312652222710'),('4635296312652223362','4477020754838856364','4635296312652222737'),('4635296312652223363','4500569785645158503','4635296312652222737'),('4635296312652223364','4500569716925678645','4635296312652222737'),('4635296312652223365','4500569716925682442','4635296312652222737'),('4635296312652223366','4476991789579318240','4635296312652222766'),('4635296312652223367','4476991789579318378','4635296312652222766'),('4635296312652223368','4476991789579319225','4635296312652222793'),('4635296312652223369','4476991789579319289','4635296312652222793'),('4635296312652223375','4477019861485659414','4635296312652222850'),('4635296312652223376','4477019861485661702','4635296312652222850'),('4635296312652223377','4476990724427428661','4635296312652222877'),('4635296312652223378','4476990724427428514','4635296312652222903'),('4635296312652223379','4477019861485661124','4635296312652222929'),('4635296312652223380','4476990964945596265','4635296312652222929'),('4635296312652223381','4477019861485661215','4635296312652222956'),('4635296312652223383','4477019827125925082','4635296312652222983'),('4635296312652223384','4455233760135394525','4635296312652223009'),('4635296312652223385','4477019861485661489','4635296312652223035'),('4635296312652223386','4476991823939052869','4635296312652223061'),('4635296312652223387','4477020342521998246','4635296312652223061'),('4635296312652223388','4476991789579318272','4635296312652223061'),('4635296312652223389','4477020342521998440','4635296312652223089'),('4635296312652223390','4476991068024812834','4635296312652223089'),('4635296312652223391','4500572122107365179','4635296312652223089'),('4635296312652223392','4477020376881739237','4635296312652223117'),('4635296312652223393','4477020411241473148','4635296312652223117'),('4635296312652223394','4476992304975390203','4635296312652223117'),('4635296312652223395','4477020754838860201','4635296312652223145'),('4635296312652223396','4477020686119379130','4635296312652223145'),('4635296312652223397','4477020754838856057','4635296312652223172'),('4635296312652223398','4476991789579319257','4635296312652223172'),('4635296312652223399','4476991789579319455','4635296312652223172'),('4635296312652223400','4476990930585860426','4635296312652223200'),('4635296312652223401','4476990930585860237','4635296312652223200'),('4635296312652223402','4477024156452962256','4635296312652223227'),('4635296312652223403','4476994744516816580','4635296312652223227'),('4635296312652223404','4476994744516819495','4635296312652223227'),('4635296312652223405','4476994778876554567','4635296312652223227'),('4635296312652223406','4477024225172434791','4635296312652223227'),('4635296312652223407','4497733767199942687','4635296312652223227'),('4635296312652223408','4497713185716614338','4635296312652223227'),('4635296312652223409','4476995259912895199','4635296312652223227'),('4635296312652223410','4476995294272627012','4635296312652223227'),('4635296312652223411','4500569648206208461','4635296312652223227'),('4635296312652223412','4500577001190232154','4635296312652223227'),('4635296312652223416','4477026802152809004','4635296312652223291'),('4635296312652223417','4477026802152813107','4635296312652223291'),('4635296312652223418','4497733973358375360','4635296312652223291'),('4635296381371695149','4500566796347924063','4635296312652224110'),('4635296381371695150','4500534188956190962','4635296312652224110'),('4635296381371695151','4500534085876978050','4635296312652224110'),('4635296381371695152','4500534154596457013','4635296312652224110'),('4635296381371695153','4500566865067399159','4635296312652224135'),('4635296381371695154','4500534257675672092','4635296312652224135'),('4635296381371695155','4500566865067397366','4635296312652224135'),('4635296381371695156','4500534257675672169','4635296312652224160'),('4635296381371695157','4500534257675672203','4635296312652224160'),('4635296381371695158','4500566865067399236','4635296312652224160'),('4635296381371695159','4500534188956193165','4635296312652224160'),('4635296381371695160','4500573118539794895','4635296312652224160'),('4635296381371695161','4500566727628447282','4635296312652224185'),('4635296381371695162','4500572946741107710','4635296312652224185'),('4635296381371695163','4545352207049850234','4635296312652224185'),('4635296381371695164','4500615209219281388','4635296312652224210'),('4635296381371695165','4500566727628447493','4635296312652224210'),('4635296381371695166','4545348633637046456','4635296312652224210'),('4635296381371695167','4500566761988181481','4635296312652224210'),('4635296381371695168','4500573015460578579','4635296312652224210'),('4635296381371695169','4500573015460578134','4635296312652224210'),('4635296381371695170','4500566796347918195','4635296312652224210'),('4635296381371695171','4500566761988181359','4635296312652224210'),('4635296381371695172','4500534120236717170','4635296312652224210'),('4635296381371695173','4500534017157501587','4635296312652224235'),('4635296381371695174','4500534017157502766','4635296312652224235'),('4635296381371695175','4500572878021630651','4635296312652224235'),('4635296381371695176','4500566658908966597','4635296312652224260'),('4635296381371695177','4500534017157503154','4635296312652224260'),('4635296381371695178','4592839736296786433','4635296312652224285'),('4635296381371695179','4500566693268702779','4635296312652224285'),('4635296381371695180','4500566693268702872','4635296312652224285'),('4635296381371695181','4500534085876974672','4635296312652224285'),('4635296381371695182','4500534085876974752','4635296312652224285'),('4635296381371695183','4500534085876974873','4635296312652224285'),('4635296381371695184','4500534120236716642','4635296312652224310'),('4635296381371695185','4500534120236717134','4635296312652224310'),('4635296381371695186','4500566761988182875','4635296312652224310'),('4635296381371695187','4500573015460579214','4635296312652224310'),('4635296381371695188','4500572912381362973','4635296312652224339'),('4635296381371695189','4500572912381363051','4635296312652224339'),('4635296381371695190','4500534051517235444','4635296312652224339'),('4635296381371695191','4500566658908968208','4635296312652224339'),('4635296381371695192','4500566658908968300','4635296312652224339'),('4635296381371695193','4500534051517242239','4635296312652224339'),('4635296381371695194','4500566658908968698','4635296312652224364'),('4635296381371695195','4500572912381364145','4635296312652224364'),('4635296381371695196','4500566658908969264','4635296312652224364'),('4635296381371695197','4500534051517241268','4635296312652224364'),('4635296381371695198','4500566727628441040','4635296312652224389'),('4635296381371695199','4500534085876978084','4635296312652224389'),('4635296381371695200','4500534085876978162','4635296312652224389'),('4635296381371695201','4500572946741105441','4635296312652224389'),('4635296381371695202','4500572946741105534','4635296312652224389'),('4635296381371695203','4500572946741105672','4635296312652224389'),('4635296381371695204','4500573118539798057','4635296312652224414'),('4635296381371695205','4500566899427134095','4635296312652224414'),('4635296381371695206','4500534292035405529','4635296312652224414'),('4635296381371695207','4500534292035404963','4635296312652224439'),('4635296381371695208','4500534292035405083','4635296312652224439'),('4635296381371695209','4500576279635706665','4635296312652224464'),('4635296381371695210','4500576279635706831','4635296312652224464'),('4635296381371695211','4500585453685873010','4635296312652224464'),('4635296381371695212','4500543294286863770','4635296312652224464'),('4635296381371695213','4500534154596455507','4635296312652224489'),('4635296381371695214','4500566796347918480','4635296312652224489'),('4635296381371695215','4500573015460578057','4635296312652224489'),('4635296381371695216','4500566796347918565','4635296312652224489'),('4635296381371695217','4500566796347918685','4635296312652224489'),('4635296381371695218','4500573015460578223','4635296312652224489'),('4635296381371695219','4500573015460578366','4635296312652224489'),('4635296381371695220','4500566796347918935','4635296312652224489'),('4635296381371695221','4500566796347919156','4635296312652224489'),('4635296381371695222','4500572912381363311','4635296312652224514'),('4635296381371695223','4500572912381363432','4635296312652224514'),('4635296381371695224','4500566761988182677','4635296312652224514'),('4635296381371695225','4500534120236719913','4635296312652224514'),('4635296381371695226','4500534017157503316','4635296312652224514'),('4635296381371695227','4500566761988183011','4635296312652224539'),('4635296381371695228','4500566761988183158','4635296312652224539'),('4635296381371695229','4500572981100843218','4635296312652224539'),('4635296381371695230','4500566761988183710','4635296312652224539'),('4635296381371695231','4500572981100843396','4635296312652224539'),('4635296381371695232','4476996015827135043','4635296312652224564'),('4635296381371695233','4476996015827138004','4635296312652224590'),('4635296381371695234','4476996221985568398','4635296312652224616'),('4635296381371695235','4477025255964588582','4635296312652224642'),('4635296381371695236','4476996221985569971','4635296312652224668'),('4635296381371695237','4592764488469691489','4635296312652224694'),('4635296381371695238','4476995672229748804','4635296312652224720'),('4635296381371695239','4500574183691683442','4635296312652224720'),('4635296381371695240','4477025015446415192','4635296312652224747'),('4635296381371695241','4500534429474362065','4635296312652224747'),('4635296381371695242','4476995706589488524','4635296312652224774'),('4635296381371695243','4500574183691683853','4635296312652224774'),('4635296381371695244','4500568342536146855','4635296312652224774'),('4635296381371695245','4477025015446420597','4635296312652224802'),('4635296381371695246','4500574183691683890','4635296312652224802'),('4635296381371695247','4477025015446421093','4635296312652224829'),('4635296381371695248','4476995981467400649','4635296312652224829'),('4635296381371695249','4477025221604851417','4635296312652224829'),('4635296381371695250','4500574183691684111','4635296312652224829'),('4635296381371695251','4476995706589493629','4635296312652224858'),('4635296381371695252','4500568067658239692','4635296312652224858'),('4635296381371695253','4500534154596455964','4635296312652224885'),('4635296381371695254','4500574939605926493','4635296312652224885'),('4635296381371695255','4500534154596456095','4635296312652224912'),('4635296381371695256','4500534154596456133','4635296312652224912'),('4635296381371695257','4500573015460578656','4635296312652224912'),('4635296381371695258','4500573015460578733','4635296312652224912'),('4635296381371695259','4476995706589493775','4635296312652224912'),('4635296381371695260','4476995706589493927','4635296312652224942'),('4635296381371695261','4476995706589494031','4635296312652224942'),('4635296381371695262','4477025049806152985','4635296312652224942'),('4635296381371695263','4476995706589494164','4635296312652224942'),('4635296381371695264','4477025049806154148','4635296312652224942'),('4635296381371695265','4476995740949227752','4635296312652224942'),('4635296381371695266','4476995740949227784','4635296312652224942'),('4635296381371695267','4476995947107662135','4635296312652224942'),('4635296381371695268','4500535219748347836','4635296312652224942'),('4635296381371695270','4477025805720396736','4635296312652224976'),('4635296381371695272','4477025805720396777','4635296312652225003'),('4635296381371695274','4476996668662166665','4635296312652225030'),('4635296381371695276','4476996668662166917','4635296312652225057'),('4635296381371695278','4477026183677521383','4635296312652225084'),('4635296381371695284','4476997355856929232','4635296312652225216'),('4635296381371695285','4476997184058238630','4635296312652225242'),('4635296381371695286','4476997424576407598','4635296312652225268'),('4635296381371695287','4477026149317787533','4635296312652225294'),('4635296381371695288','4476997184058238513','4635296312652225320'),('4635296381371695289','4500569098450390577','4635296312652225346'),('4635296381371695290','4500537521850816259','4635296312652225346'),('4635296381371695291','4500575970398081482','4635296312652225346'),('4635296381371695292','4500575970398081561','4635296312652225346'),('4635296381371695293','4500537521850817160','4635296312652225346'),('4635296381371695294','4476997355856930484','4635296312652225376'),('4635296381371695295','4477026561634645509','4635296312652225376'),('4635296381371695296','4500568720493267603','4635296312652225376'),('4635296381371695297','4500568857932220460','4635296312652225376'),('4635296381371695298','4500536284900235681','4635296312652225376'),('4635296381371695299','4500536319259968529','4635296312652225376'),('4635296381371695300','4500568857932220873','4635296312652225376'),('4635296381371695301','4500568857932221146','4635296312652225376'),('4635296381371695303','4476997424576411735','4635296312652225410'),('4635296381371695304','4477026183677518146','4635296312652225436'),('4635296381371695305','4477026149317787340','4635296312652225462'),('4635296381371695306','4497734763632361333','4635296312652225488'),('4635296381371695307','4476990758787164494','4635296312652225513'),('4635296381371695308','4476990758787164527','4635296312652225513'),('4635296381371695309','4476990758787164560','4635296312652225513'),('4635296381371695310','4476990758787164593','4635296312652225513'),('4635296381371695311','4476990758787164626','4635296312652225513'),('4635296381371695312','4476994332199957694','4635296312652225543'),('4635296381371695313','4476994332199959594','4635296312652225569'),('4635296381371695314','4477023056941333983','4635296312652225569'),('4635296381371695316','4477023091301071911','4635296312652225596'),('4635296381371695317','4477023366178978673','4635296312652225623'),('4635296381371695318','4592764179232044941','4635296312652225649'),('4635296381371695319','4476994057322048177','4635296312652225675'),('4635296381371695320','4476994160401267149','4635296312652225701'),('4635296381371695321','4476994229120739815','4635296312652225727'),('4635296381371695322','4477023331819236118','4635296312652225753'),('4635296381371695323','4476991033665076561','4635296312652225779'),('4635296381371695324','4477020170723303701','4635296312652225805'),('4635296381371695325','4477020170723305420','4635296312652225831'),('4635296381371695326','4477020170723305550','4635296312652225857'),('4635296381371695327','4476991033665073726','4635296312652225883'),('4635296381371695328','4477020239442783848','4635296312652225909'),('4635296381371695329','4476991033665074194','4635296312652225935'),('4635296381371695330','4477020239442784744','4635296312652225961'),('4635296381371695331','4476994710157079817','4635296312652225987'),('4635296381371695332','4476994710157082387','4635296312652226013'),('4635296381371695333','4477024225172436263','4635296312652226039'),('4635296381371695334','4476991445981929821','4635296312652226065'),('4635296381371695338','4476991789579319663','4635296312652226091'),('4635296381371695340','4477020754838858473','4635296312652226121'),('4635296381371695341','4477020754838858836','4635296312652226147'),('4635296381371695343','4477020789198600104','4635296312652226199'),('4635296381371695344','4477020995357024762','4635296312652226199'),('4635296381371695345','4477020926637553627','4635296312652226226'),('4635296381371695349','4477021098436243713','4635296312652226305'),('4635296381371695350','4476992304975389696','4635296312652226305'),('4635296381371695362','4477026802152810514','4635296312652226442'),('4635297652682015883','4500568376895883122','4635297618322284476'),('4635297652682015884','4500575111404625852','4635297618322284502'),('4635297652682015885','4500535288467820211','4635297618322284528'),('4635297652682015886','4548284810719608721','4635297618322284528'),('4635297652682015887','4500574183691684681','4635297652682014731'),('4635297652682015888','4500567346103735980','4635297652682014757'),('4635297652682015889','4500574252411158619','4635297652682014783'),('4635297652682015890','4500567380463473557','4635297652682014809'),('4635297652682015891','4500574321130639876','4635297652682014835'),('4635297652682015892','4500534601273050149','4635297652682014835'),('4635297652682015893','4500574355490374703','4635297652682014862'),('4635297652682015894','4500574355490376621','4635297652682014888'),('4635297652682015895','4477026149317782899','4635297652682014914'),('4635297652682015896','4477026149317783135','4635297652682014940'),('4635297652682015897','4500575042685143313','4635297652682014966'),('4635297652682015898','4500575042685144599','4635297652682014992'),('4635297652682015899','4500535425906775975','4635297652682015018'),('4635297652682015900','4500567174305042658','4635297652682015044'),('4635297652682015901','4548290411356961929','4635297652682015070'),('4635297652682015902','4500574080612472026','4635297652682015096'),('4635297652682015903','4500567139945308064','4635297652682015122'),('4635297652682015904','4500567139945308141','4635297652682015148'),('4635297652682015905','4500573324698228759','4635297652682015174'),('4635297652682015906','4500573324698228793','4635297652682015200'),('4635297652682015907','4580698791463708131','4635297652682015226'),('4635297652682015908','4500534326395146074','4635297652682015252'),('4635297652682015909','4500574011892979949','4635297652682015252'),('4635297652682015910','4500573977533256812','4635297652682015279'),('4635297652682015911','4500534360754881628','4635297652682015305'),('4635297652682015912','4500573977533256337','4635297652682015331'),('4635297652682015913','4500567208664778218','4635297652682015357'),('4635297652682015914','4500567208664778310','4635297652682015357'),('4635297652682015915','4500567827140067877','4635297652682015384'),('4635297652682015916','4500567998938759766','4635297652682015410'),('4635297652682015917','4500534360754883032','4635297652682015436'),('4635297652682015918','4500567277384256318','4635297652682015462'),('4635297652682015919','4500534360754883186','4635297652682015462'),('4635297652682015920','4500534704352268473','4635297652682015489'),('4635297652682015921','4500534704352268306','4635297652682015515'),('4635297652682015922','4500574767807240031','4635297652682015541'),('4635297652682015923','4500574218051405995','4635297652682015567'),('4635297652682015924','4500535425906776230','4635297652682015593'),('4635297652682015925','4500568342536146987','4635297652682015619'),('4635297652682015926','4500535425906776686','4635297652682015619'),('4635297652682015927','4500574596008547552','4635297652682015646'),('4635297652682015928','4500534773071743247','4635297652682015672'),('4635297652682015929','4500573118539796937','4635297652682015698'),('4635297652682015930','4500573118539796971','4635297652682015724'),('4635297652682015931','4500567346103735388','4635297652682015750'),('4635297652682015932','4500567346103735581','4635297652682015776'),('4635297652682015933','4500567346103735716','4635297652682015776'),('4635297652682015934','4500574183691683534','4635297652682015803'),('4635297652682015935','4500574080612472201','4635297652682015829'),('4635297652682015936','4500567277384259369','4635297652682015829'),('4635297652682015937','4500567277384259403','4635297652682015856'),('4635297652682015938','4500567277384259581','4635297652682015856'),('4635297652682016957','4476991068024812015','4635297652682016514'),('4635297652682016958','4477020342521997484','4635297652682016514'),('4635297652682016959','4477020342521997828','4635297652682016514'),('4635297652682016960','4477020342521997859','4635297652682016514'),('4635297652682016961','4476991068024812659','4635297652682016514'),('4635297652682016962','4476991068024812690','4635297652682016514'),('4635297652682016963','4477020342521997966','4635297652682016514'),('4635297652682016964','4477020342521998040','4635297652682016514'),('4635297652682016965','4476991136744286700','4635297652682016514'),('4635297652682016966','4476991136744289181','4635297652682016514'),('4635297652682016967','4477020411241479030','4635297652682016514'),('4635297652682016968','4476991136744289286','4635297652682016514'),('4635297652682016969','4476991480341668044','4635297652682016514'),('4635297652682016970','4477020651759641047','4635297652682016552'),('4635297652682016971','4477020651759643213','4635297652682016552'),('4635297652682016972','4476991480341672383','4635297652682016552'),('4635297652682016973','4477020651759644582','4635297652682016552'),('4635297652682016974','4477020651759647325','4635297652682016552'),('4635297652682016975','4476991755219576750','4635297652682016552'),('4635297652682016976','4477020651759647564','4635297652682016552'),('4635297652682016977','4477020651759647670','4635297652682016552'),('4635297652682016978','4476993816803878006','4635297652682016552'),('4635297652682016979','4476993816803878093','4635297652682016586'),('4635297652682016980','4476993816803878149','4635297652682016586'),('4635297652682016981','4476993816803878642','4635297652682016586'),('4635297652682016982','4476993816803879750','4635297652682016586'),('4635297652682016983','4476993816803879824','4635297652682016586'),('4635297652682016984','4476993816803879887','4635297652682016586'),('4635297652682016985','4500578753536888722','4635297652682016586'),('4635297652682016986','4500539995751980876','4635297652682016586'),('4635297652682016987','4476993816803880083','4635297652682016619'),('4635297652682016988','4477022919502375602','4635297652682016619'),('4635297652682016989','4477022919502378643','4635297652682016619'),('4635297652682016990','4477022919502378803','4635297652682016619'),('4635297652682016991','4477022919502378921','4635297652682016619'),('4635297652682016992','4477022919502378952','4635297652682016619'),('4635297652682016993','4476993816803880191','4635297652682016650'),('4635297652682016994','4476993816803880265','4635297652682016650'),('4635297652682016995','4477022919502379213','4635297652682016650'),('4635297652682016996','4477022919502379333','4635297652682016650'),('4635297652682016997','4477022919502379401','4635297652682016650'),('4635297652682016998','4476993816803880747','4635297652682016650'),('4635297652682016999','4477022919502379580','4635297652682016650'),('4635297652682017000','4476993816803880872','4635297652682016650'),('4635297652682017001','4477022919502379992','4635297652682016650'),('4635297652682017002','4476993816803881050','4635297652682016650'),('4635297652682017003','4477022919502380368','4635297652682016650'),('4635297652682017004','4477022919502380399','4635297652682016686'),('4635297652682017005','4476993816803881186','4635297652682016686'),('4635297652682017006','4476993816803881218','4635297652682016686'),('4635297652682017007','4477022919502380663','4635297652682016686'),('4635297652682017008','4477022919502380725','4635297652682016686'),('4635297652682017009','4477022919502380799','4635297652682016686'),('4635297652682017010','4476993816803882948','4635297652682016686'),('4635297652682017011','4476993816803883037','4635297652682016686'),('4635297652682017012','4476993816803883115','4635297652682016719'),('4635297652682017013','4477022988221849979','4635297652682016719'),('4635297652682017014','4477022988221851375','4635297652682016719'),('4635297652682017015','4477022988221853865','4635297652682016719'),('4635297652682017016','4477022988221855276','4635297652682016719'),('4635297652682017017','4477022988221855818','4635297652682016719'),('4635297652682017018','4477023228740022262','4635297652682016750'),('4635297652682017019','4477023228740023439','4635297652682016750'),('4635297652682017020','4477023228740023736','4635297652682016750'),('4635297652682017021','4477023228740024653','4635297652682016750'),('4635297652682017022','4476994229120745408','4635297652682016750'),('4635297652682017023','4477023263099757690','4635297652682016750'),('4635297652682017024','4477023022581589631','4635297652682016781'),('4635297652682017025','4476993851163618381','4635297652682016781'),('4635297652682017026','4476993851163618872','4635297652682016781'),('4635297652682017027','4476993851163621845','4635297652682016781'),('4635297652682017028','4476993851163621983','4635297652682016781'),('4635297652682017029','4477023022581592772','4635297652682016781'),('4635297652682017030','4476993988602569017','4635297652682016781'),('4635297652682017031','4476993988602570517','4635297652682016781'),('4635297652682017032','4476993988602570758','4635297652682016814'),('4635297652682017033','4477023056941326503','4635297652682016814'),('4635297652682017034','4476993988602572607','4635297652682016814'),('4635297652682017035','4476993988602572753','4635297652682016814'),('4635297652682017036','4476993988602572917','4635297652682016814'),('4635297652682017037','4477023056941327211','4635297652682016814'),('4635297652682017038','4477023056941327307','4635297652682016814'),('4635297652682017039','4477023056941327605','4635297652682016814'),('4635297652682017040','4476993988602573817','4635297652682016814'),('4635297652682017041','4477019827125921194','4635297652682016848'),('4635297652682017042','4477019827125921423','4635297652682016848'),('4635297652682017043','4476990724427425652','4635297652682016848'),('4635297652682017044','4476990724427425782','4635297652682016848'),('4635297652682017045','4476990724427425846','4635297652682016848'),('4635297652682017046','4476990724427425935','4635297652682016848'),('4635297652682017047','4476991068024811821','4635297652682016848'),('4635297652682017048','4476990724427426319','4635297652682016848'),('4635297652682017049','4476990724427426419','4635297652682016848'),('4635297652682017050','4477019827125922332','4635297652682016848'),('4635297652682017051','4476991068024811852','4635297652682016848'),('4635297652682017052','4477023160020544606','4635297652682016884'),('4635297652682017053','4477023194380280571','4635297652682016884'),('4635297652682017054','4476994194761000373','4635297652682016884'),('4635297652682017055','4477023194380285675','4635297652682016884'),('4635297652682017056','4477023194380287036','4635297652682016884'),('4635297652682017057','4476994194761006226','4635297652682016884'),('4635297652682017058','4477023194380287264','4635297652682016884'),('4635297652682017059','4476994194761006588','4635297652682016884'),('4635297652682017060','4477023194380287529','4635297652682016884'),('4635297652682017061','4476994194761006836','4635297652682016884'),('4635297652682017062','4477023194380287860','4635297652682016884'),('4635297652682017063','4476994229120737940','4635297652682016884'),('4635297652682017064','4477023228740021708','4635297652682016884'),('4635297652682017065','4477023228740021907','4635297652682016884'),('4635297652682017066','4477023056941328197','4635297652682016923'),('4635297652682017067','4476994091681785873','4635297652682016923'),('4635297652682017068','4477023091301065834','4635297652682016923'),('4635297652682017069','4477023091301066075','4635297652682016923'),('4635297652682017070','4476994160401260899','4635297652682016923'),('4635297652682017071','4476994160401262574','4635297652682016923'),('4635297652682017072','4476994160401262842','4635297652682016923'),('4635297652682017073','4476994160401263197','4635297652682016923'),('4635297652682017074','4476994160401263377','4635297652682016923'),('4635298546035219468','4500582979784704491','4635298546035219282'),('4635298546035220295','4500574011892978874','4635298546035219573'),('4635298546035220296','4500583289022353929','4635298546035219573'),('4635298546035220297','4500541782458372967','4635298546035219573'),('4635298546035220298','4500583907497640046','4635298546035219573'),('4635298546035220299','4500583976217121180','4635298546035219573'),('4635298546035220300','4500573565216375827','4635298546035219603'),('4635298546035220301','4500571950308671667','4635298546035219603'),('4635298546035220302','4500541335781769534','4635298546035219630'),('4635298546035220303','4500583185943134973','4635298546035219656'),('4635298546035220304','4500584182375554301','4635298546035219656'),('4635298546035220305','4500541507580463185','4635298546035219683'),('4635298546035220306','4500583185943135137','4635298546035219709'),('4635298546035220307','4500573840094283558','4635298546035219735'),('4635298546035220308','4500541507580466980','4635298546035219761'),('4635298546035220309','4500541507580467092','4635298546035219787'),('4635298546035220310','4500541576299939008','4635298546035219813'),('4635298546035220311','4500541576299941381','4635298546035219839'),('4635298546035220312','4500541576299941417','4635298546035219865'),('4635298546035220313','4500573840094286560','4635298546035219891'),('4635298546035220314','4500541610659678867','4635298546035219917'),('4635298546035220315','4500579131494007378','4635298546035219943'),('4635298546035220316','4500540511148055908','4635298546035219969'),('4635298546035220317','4500572122107368312','4635298546035219995'),('4635298546035220318','4500540682946740740','4635298546035220021'),('4635298546035220319','4500540545507787942','4635298546035220047'),('4635298546035220320','4500540545507788220','4635298546035220073'),('4635298546035220321','4500540545507788619','4635298546035220099'),('4635298546035220322','4500579165853748471','4635298546035220125'),('4635298546035220323','4500579165853749460','4635298546035220125'),('4635298546035220324','4500572122107370223','4635298546035220152'),('4635298546035220325','4500540545507789830','4635298546035220152'),('4635298546035220326','4500540545507789968','4635298546035220184'),('4635298546035220327','4500540545507790239','4635298546035220184'),('4635298546035220328','4500579165853753104','4635298546035220211'),('4635298546035220329','4500540545507794741','4635298546035220211'),('4635298546035220330','4500540545507788885','4635298546035220243'),('4635298546035220331','4500571675430770941','4635298546035220269'),('4635298649114429910','4592788815164460627','4635298614754696855'),('4635298649114429911','4592788815164460664','4635298614754696855'),('4635298649114429912','4592818948655077422','4635298614754696855'),('4635298649114429913','4592788815164460714','4635298614754696855'),('4635298649114429914','4592788815164460806','4635298614754696855'),('4635298649114429915','4592788815164460841','4635298614754696855'),('4635298649114429916','4592818948655077631','4635298614754696855'),('4635298649114429917','4592818948655077794','4635298614754696855'),('4635298649114429918','4611967046732205196','4635298614754696855'),('4635298649114429919','4611969967309970576','4635298614754696889'),('4635298649114429920','4611583970009057251','4635298614754696889'),('4635298649114429921','4611970001669703396','4635298614754696889'),('4635298649114429922','4611970001669704662','4635298614754696889'),('4635298649114429923','4611970001669709583','4635298614754696889'),('4635298649114429924','4611584038728533451','4635298614754696889'),('4635298649114429925','4613279588737967157','4635298614754696889'),('4635298649114429926','4616918147592362091','4635298614754696889'),('4635298649114429927','4616936083375789484','4635298614754696889'),('4635298649114429928','4616936117735530304','4635298614754696889'),('4635298649114429929','4616936289534220311','4635298614754696889'),('4635298649114429930','4616936289534220813','4635298614754696889'),('4635298649114429931','4477019895845396979','4635298614754696926'),('4635298649114429932','4477019895845397162','4635298614754696952'),('4635298649114429933','4476990758787163696','4635298614754696978'),('4635298649114429934','4476990758787163806','4635298614754697004'),('4635298649114429935','4476990758787163953','4635298614754697030'),('4635298649114429936','4476990758787163984','4635298614754697056'),('4635298649114429937','4476990758787164058','4635298614754697082'),('4635298649114429938','4477019895845397425','4635298614754697108'),('4635298649114429939','4477019895845397499','4635298614754697134'),('4635298649114429940','4476990758787164135','4635298614754697160'),('4635298649114429941','4476990724427425091','4635298614754697186'),('4635298649114429942','4476990724427425977','4635298614754697212'),('4635298649114429943','4476990724427426779','4635298649114427414'),('4635298649114429944','4476990724427426853','4635298649114427440'),('4635298649114429945','4477019827125922783','4635298649114427466'),('4635298649114429946','4476990724427428272','4635298649114427492'),('4635298649114429947','4476990724427430054','4635298649114427518'),('4635298649114429948','4476990724427430318','4635298649114427544'),('4635298649114429949','4477019861485662744','4635298649114427570'),('4635298649114429950','4477019861485662891','4635298649114427596'),('4635298649114429951','4476990724427430760','4635298649114427622'),('4635298649114429952','4477019861485663139','4635298649114427648'),('4635298649114429953','4477019861485663286','4635298649114427674'),('4635298649114429954','4477019861485663317','4635298649114427700'),('4635298649114429955','4476990724427431260','4635298649114427726'),('4635298649114429956','4476990758787169534','4635298649114427752'),('4635298649114429957','4476990758787169565','4635298649114427778'),('4635298649114429958','4476990758787169596','4635298649114427804'),('4635298649114429959','4476990758787169627','4635298649114427830'),('4635298649114429960','4476990758787169658','4635298649114427856'),('4635298649114429961','4476990758787169689','4635298649114427882'),('4635298649114429962','4477019895845399774','4635298649114427908'),('4635298649114429963','4477019895845399805','4635298649114427934'),('4635298649114429964','4477019895845399836','4635298649114427960'),('4635298649114429965','4477019895845399867','4635298649114427986'),('4635298649114429966','4476990758787169720','4635298649114428012'),('4635298649114429967','4477019895845399898','4635298649114428038'),('4635298649114429968','4476990758787169751','4635298649114428064'),('4635298649114429969','4476990758787169782','4635298649114428090'),('4635298649114429970','4476990758787169813','4635298649114428116'),('4635298649114429971','4477019895845399929','4635298649114428142'),('4635298649114429972','4477019964564874435','4635298649114428168'),('4635298649114429973','4476990793146903837','4635298649114428194'),('4635298649114429974','4476990793146903926','4635298649114428220'),('4635298649114429975','4476990793146903957','4635298649114428246'),('4635298649114429976','4477019964564874698','4635298649114428272'),('4635298649114429977','4476990793146904079','4635298649114428298'),('4635298649114429978','4476990793146904168','4635298649114428324'),('4635298649114429979','4477026011878827922','4635298649114428350'),('4635298649114429980','4477019964564877506','4635298649114428376'),('4635298649114429981','4476990793146908001','4635298649114428402'),('4635298649114429982','4477019998924612126','4635298649114428428'),('4635298649114429983','4477019998924612215','4635298649114428454'),('4635298649114429984','4476990827506643409','4635298649114428480'),('4635298649114429985','4476990827506643440','4635298649114428506'),('4635298649114429986','4477019998924612424','4635298649114428532'),('4635298649114429987','4497713254436090830','4635298649114428558'),('4635298649114429988','4477020033284353807','4635298649114428584'),('4635298649114429989','4476990827506646372','4635298649114428610'),('4635298649114429990','4477020067644092770','4635298649114428636'),('4635298649114429991','4476990861866385335','4635298649114428662'),('4635298649114429992','4476990896226115644','4635298649114428688'),('4635298649114429993','4477020067644095830','4635298649114428714'),('4635298649114429994','4477020067644095872','4635298649114428740'),('4635298649114429995','4476990896226123283','4635298649114428766'),('4635298649114429996','4476990896226123314','4635298649114428792'),('4635298649114429997','4476990896226123345','4635298649114428818'),('4635298649114429998','4477020136363569622','4635298649114428844'),('4635298649114429999','4476990930585856741','4635298649114428870'),('4635298649114430000','4477020136363569754','4635298649114428896'),('4635298649114430001','4477020136363569876','4635298649114428922'),('4635298649114430002','4476990930585859455','4635298649114428948'),('4635298649114430003','4476990930585859486','4635298649114428974'),('4635298649114430004','4477020136363569965','4635298649114429000'),('4635298649114430005','4477020136363569996','4635298649114429026'),('4635298649114430006','4477020136363570027','4635298649114429052'),('4635298649114430007','4477020136363570058','4635298649114429078'),('4635298649114430008','4476990930585859517','4635298649114429104'),('4635298649114430009','4476990930585859548','4635298649114429130'),('4635298649114430010','4477020136363570089','4635298649114429156'),('4635298649114430011','4476990930585859579','4635298649114429182'),('4635298649114430012','4476990930585859610','4635298649114429208'),('4635298649114430013','4477020136363570120','4635298649114429234'),('4635298649114430014','4476990930585859641','4635298649114429260'),('4635298649114430015','4476990930585859705','4635298649114429286'),('4635298649114430016','4476993782444142006','4635298649114429312'),('4635298649114430017','4476990930585859736','4635298649114429338'),('4635298649114430018','4477020136363572872','4635298649114429364'),('4635298649114430019','4476990930585859800','4635298649114429390'),('4635298649114430020','4477020136363572903','4635298649114429416'),('4635298649114430021','4476990930585859836','4635298649114429442'),('4635298649114430022','4476990930585859900','4635298649114429468'),('4635298649114430023','4477020136363573057','4635298649114429494'),('4635298649114430024','4477020136363573121','4635298649114429520'),('4635298649114430025','4476990930585859963','4635298649114429546'),('4635298649114430026','4477020136363573152','4635298649114429572'),('4635298649114430027','4477020136363573152','4635298649114429598'),('4635298649114430028','4477020136363573216','4635298649114429624'),('4635298649114430029','4477020136363573247','4635298649114429650'),('4635298649114430030','4476990930585860054','4635298649114429676'),('4635298649114430031','4477020170723303529','4635298649114429702'),('4635298649114430032','4476990930585860090','4635298649114429728'),('4635298649114430033','4476990930585860121','4635298649114429754'),('4635298649114430034','4476990930585860152','4635298649114429780'),('4635298649114430035','4477020170723303659','4635298649114429806'),('4635298649114430036','4477023263099757721','4635298649114429832'),('4635298649114430037','4477023263099760099','4635298649114429858'),('4635298649114430038','4476994263480476848','4635298649114429884'),('4635298786553384082','4545352000891419709','4635298786553381820'),('4635298786553384083','4545342208365966859','4635298786553381846'),('4635298786553384084','4477021716911532237','4635298786553381872'),('4635298786553384085','4476992786011729801','4635298786553381898'),('4635298786553384086','4476992786011729869','4635298786553381924'),('4635298786553384087','4476992786011729943','4635298786553381950'),('4635298786553384088','4477021716911534247','4635298786553381976'),('4635298786553384089','4477021716911536515','4635298786553382002'),('4635298786553384090','4477021888710222872','4635298786553382028'),('4635298786553384091','4477021957429703857','4635298786553382054'),('4635298786553384092','4476992854731204065','4635298786553382080'),('4635298786553384093','4477021991789441968','4635298786553382106'),('4635298786553384094','4476992889090940956','4635298786553382132'),('4635298786553384095','4477021991789444204','4635298786553382158'),('4635298786553384096','4476992889090945063','4635298786553382184'),('4635298786553384097','4477022060508915126','4635298786553382210'),('4635298786553384098','4477022060508917489','4635298786553382236'),('4635298786553384099','4477022060508917596','4635298786553382262'),('4635298786553384100','4476993370127281114','4635298786553382288'),('4635298786553384101','4477022060508920906','4635298786553382314'),('4635298786553384102','4477022060508920937','4635298786553382340'),('4635298786553384103','4477022094868652650','4635298786553382366'),('4635298786553384104','4476993370127285725','4635298786553382392'),('4635298786553384105','4476993816803877955','4635298786553382418'),('4635298786553384106','4477022094868655641','4635298786553382444'),('4635298786553384107','4476993404487017525','4635298786553382470'),('4635298786553384108','4477022129228392089','4635298786553382496'),('4635298786553384109','4477022129228392225','4635298786553382522'),('4635298786553384110','4477022129228392225','4635298786553382548'),('4635298786553384111','4476993404487021456','4635298786553382574'),('4635298786553384112','4476993404487021573','4635298786553382600'),('4635298786553384113','4476993404487022513','4635298786553382626'),('4635298786553384114','4476993404487023582','4635298786553382652'),('4635298786553384115','4476993404487024523','4635298786553382678'),('4635298786553384116','4476993404487024583','4635298786553382704'),('4635298786553384117','4476993438846759007','4635298786553382730'),('4635298786553384118','4477022163588130517','4635298786553382756'),('4635298786553384119','4477022335386821731','4635298786553382782'),('4635298786553384120','4476993645005187964','4635298786553382808'),('4635298786553384121','4477022335386822558','4635298786553382834'),('4635298786553384122','4477022369746562720','4635298786553382860'),('4635298786553384123','4477022369746561494','4635298786553382886'),('4635298786553384124','4477022369746563781','4635298786553382912'),('4635298786553384125','4477022369746563664','4635298786553382938'),('4635298786553384126','4476993748084402636','4635298786553382964'),('4635298786553384127','4476993748084402441','4635298786553382990'),('4635298786553384128','4476993748084402530','4635298786553383016'),('4635298786553384129','4476993748084402410','4635298786553383042'),('4635298786553384130','4476993748084404246','4635298786553383068'),('4635298786553384131','4477022369746564245','4635298786553383094'),('4635298786553384132','4476993748084407398','4635298786553383120'),('4635298786553384133','4477022816423158054','4635298786553383146'),('4635298786553384134','4476993782444139502','4635298786553383172'),('4635298786553384135','4477022816423158592','4635298786553383198'),('4635298786553384136','4477022816423158687','4635298786553383224'),('4635298786553384137','4477022816423158765','4635298786553383250'),('4635298786553384138','4476993782444140060','4635298786553383276'),('4635298786553384139','4476993782444140341','4635298786553383302'),('4635298786553384140','4477022816423159113','4635298786553383328'),('4635298786553384141','4476993782444140375','4635298786553383354'),('4635298786553384142','4477022816423159195','4635298786553383380'),('4635298786553384143','4476993782444140480','4635298786553383406'),('4635298786553384144','4477022816423159257','4635298786553383432'),('4635298786553384145','4477022816423159288','4635298786553383458'),('4635298786553384146','4477022816423159350','4635298786553383484'),('4635298786553384147','4476993782444140853','4635298786553383510'),('4635298786553384148','4477022816423161666','4635298786553383536'),('4635298786553384149','4476993782444140822','4635298786553383562'),('4635298786553384150','4476993782444140760','4635298786553383588'),('4635298786553384151','4477022816423162029','4635298786553383614'),('4635298786553384152','4476993782444140892','4635298786553383640'),('4635298786553384153','4476993782444140892','4635298786553383666'),('4635298786553384154','4477022816423162118','4635298786553383692'),('4635298786553384155','4476993782444140965','4635298786553383718'),('4635298786553384156','4477022816423162156','4635298786553383744'),('4635298786553384157','4477022816423163690','4635298786553383770'),('4635298786553384158','4476993782444141081','4635298786553383796'),('4635298786553384159','4476993782444141112','4635298786553383822'),('4635298786553384160','4477022816423163784','4635298786553383848'),('4635298786553384161','4477022816423163820','4635298786553383874'),('4635298786553384162','4476993782444141931','4635298786553383900'),('4635298786553384163','4476993782444141975','4635298786553383926'),('4635298786553384164','4477022816423165097','4635298786553383952'),('4635298786553384165','4477022816423165128','4635298786553383978'),('4635298786553384166','4477022816423165159','4635298786553384004'),('4635298786553384167','4476993782444142658','4635298786553384030'),('4635298786553384168','4477022850782896334','4635298786553384056'),('4635298855272861010','4562980780057360421','4635298855272860490'),('4635298855272861011','4562992324929455426','4635298855272860516'),('4635298855272861012','4562983803714351981','4635298855272860542'),('4635298855272861013','4562976691248512270','4635298855272860568'),('4635298855272861014','4562977825119863446','4635298855272860594'),('4635298855272861015','4562991019259407864','4635298855272860620'),('4635298855272861016','4562998784560261193','4635298855272860646'),('4635298855272861017','4562981535971621420','4635298855272860672'),('4635298855272861018','4580724389468788827','4635298855272860698'),('4635298855272861019','4548291579588044331','4635298855272860724'),('4635298855272861020','4563024760522473166','4635298855272860750'),('4635298855272861021','4580715868253679316','4635298855272860776'),('4635298855272861022','4562973530152574312','4635298855272860802'),('4635298855272861023','4580709236824171959','4635298855272860828'),('4635298855272861024','4562984525268841598','4635298855272860854'),('4635298855272861025','4562986311975235245','4635298855272860880'),('4635298855272861026','4562983975513025610','4635298855272860906'),('4635298855272861027','4562991053619133305','4635298855272860932'),('4635298855272861028','4562985968377864616','4635298855272860958'),('4635298855272861029','4580712157401930172','4635298855272860984'),('4635298992711813799','4497713254436091525','4635298992711811123'),('4635298992711813802','4497713254436092857','4635298992711811150'),('4635298992711813806','4500568892291957506','4635298992711811204'),('4635298992711813817','4500575729879911910','4635298992711811416'),('4635298992711813820','4500569029730914214','4635298992711811469'),('4635298992711813821','4500569029730917318','4635298992711811495'),('4635298992711813822','4500537693649508076','4635298992711811495'),('4635298992711813824','4500537521850817488','4635298992711811523'),('4635298992711813825','4500569064090656646','4635298992711811549'),('4635298992711813826','4500576004757821650','4635298992711811575'),('4635298992711813827','4500569132810126519','4635298992711811601'),('4635298992711813828','4497713975990591792','4635298992711811627'),('4635298992711813829','4497714147789284420','4635298992711811653'),('4635298992711813830','4497714147789284544','4635298992711811679'),('4635298992711813831','4497714147789285766','4635298992711811705'),('4635298992711813832','4497714147789285978','4635298992711811731'),('4635298992711813833','4497714147789286153','4635298992711811757'),('4635298992711813834','4497714147789287653','4635298992711811783'),('4635298992711813835','4497714147789287788','4635298992711811809'),('4635298992711813836','4500576657592846375','4635298992711811835'),('4635298992711813837','4500576657592846496','4635298992711811861'),('4635298992711813838','4500576657592851072','4635298992711811887'),('4635298992711813839','4500568239456931554','4635298992711811913'),('4635298992711813840','4500574802166980507','4635298992711811939'),('4635298992711813841','4500568239456931749','4635298992711811965'),('4635298992711813842','4500568239456931888','4635298992711811991'),('4635298992711813843','4500535219748347308','4635298992711812017'),('4635298992711813844','4500574870886449512','4635298992711812043'),('4635298992711813845','4500574870886449633','4635298992711812069'),('4635298992711813846','4500568273816670825','4635298992711812095'),('4635298992711813847','4500574870886450120','4635298992711812121'),('4635298992711813848','4500535288467818258','4635298992711812147'),('4635298992711813849','4500568273816670977','4635298992711812173'),('4635298992711813850','4500568411255621351','4635298992711812199'),('4635298992711813851','4500535597705469463','4635298992711812225'),('4635298992711813852','4500575214483833889','4635298992711812251'),('4635298992711813853','4500568411255621800','4635298992711812277'),('4635298992711813854','4500535632065200147','4635298992711812303'),('4635298992711813855','4500575248843577512','4635298992711812329'),('4635298992711813856','4500568411255622267','4635298992711812355'),('4635298992711813857','4500575248843577750','4635298992711812381'),('4635298992711813858','4500568411255622709','4635298992711812407'),('4635298992711813859','4500568411255622941','4635298992711812433'),('4635298992711813860','4500540339349363868','4635298992711812459'),('4635298992711813861','4527499333670397483','4635298992711812485'),('4635298992711813862','4500535460266512191','4635298992711812511'),('4635298992711813863','4500575145764359546','4635298992711812511'),('4635298992711813864','4500535460266512380','4635298992711812511'),('4635298992711813865','4500575145764359698','4635298992711812511'),('4635298992711813866','4500568376895887856','4635298992711812511'),('4635298992711813867','4500535597705467948','4635298992711812511'),('4635298992711813868','4500535597705467983','4635298992711812511'),('4635298992711813869','4500535597705469219','4635298992711812511'),('4635298992711813870','4500535597705469297','4635298992711812511'),('4635298992711813871','4500568411255621442','4635298992711812511'),('4635298992711813872','4497735416467383819','4635298992711812511'),('4635298992711813873','4500534841791223923','4635298992711812547'),('4635298992711813874','4500535013589913994','4635298992711812547'),('4635298992711813875','4497735072870005658','4635298992711812547'),('4635298992711813876','4497735072870005692','4635298992711812547'),('4635298992711813877','4497735072870006032','4635298992711812547'),('4635298992711813878','4497735072870006299','4635298992711812547'),('4635298992711813879','4497734935431045350','4635298992711812547'),('4635298992711813880','4497714216508765591','4635298992711812547'),('4635298992711813881','4497735072870005315','4635298992711812547'),('4635298992711813882','4497714250868503593','4635298992711812547'),('4635298992711813883','4497714353947719877','4635298992711812547'),('4635298992711813884','4497735382107650966','4635298992711812547'),('4635298992711813885','4500568205097193802','4635298992711812584'),('4635298992711813886','4500535116669129839','4635298992711812584'),('4635298992711813887','4500535116669130691','4635298992711812584'),('4635298992711813888','4500568205097192723','4635298992711812584'),('4635298992711813889','4497714353947719922','4635298992711812584'),('4635298992711813890','4497714388307453790','4635298992711812584'),('4635298992711813891','4500574870886450444','4635298992711812615'),('4635298992711813892','4500568273816672611','4635298992711812615'),('4635298992711813893','4500568273816674061','4635298992711812615'),('4635298992711813896','4500535425906771831','4635298992711812645'),('4635298992711813897','4500568342536146431','4635298992711812645'),('4635298992711813902','4500535666424940840','4635298992711812676'),('4635298992711813903','4500535666424940918','4635298992711812676'),('4635298992711813904','4500575248843578050','4635298992711812676'),('4635298992711813905','4500535666424941688','4635298992711812676'),('4635298992711813906','4500575248843578651','4635298992711812676'),('4635298992711813907','4500534773071748508','4635298992711812676'),('4635298992711813908','4500567998938759270','4635298992711812676'),('4635298992711813909','4500575248843577477','4635298992711812676'),('4635298992711813910','4500568411255622018','4635298992711812676'),('4635298992711813911','4500568411255623634','4635298992711812676'),('4635298992711813912','4548294912482671504','4635298992711812676'),('4635298992711813913','4500535666424941858','4635298992711812712'),('4635298992711813914','4500535666424941893','4635298992711812712'),('4635298992711813916','4500568411255623941','4635298992711812740'),('4635298992711813917','4500568411255623976','4635298992711812740'),('4635298992711813918','4500535906943112283','4635298992711812740'),('4635298992711813919','4500575317563052894','4635298992711812740'),('4635298992711813920','4500535906943112248','4635298992711812740'),('4635298992711813921','4500568411255624107','4635298992711812770'),('4635298992711813922','4500575317563052858','4635298992711812770'),('4635298992711813923','4500535700784678233','4635298992711812770'),('4635298992711813924','4500575283203311919','4635298992711812770'),('4635298992711813925','4500575317563053275','4635298992711812770'),('4635298992711813926','4500568411255624334','4635298992711812770'),('4635298992711813934','4500536216180759524','4635298992711812983'),('4635298992711813936','4500575283203309682','4635298992711813035'),('4635298992711813937','4500575283203309717','4635298992711813061'),('4635298992711813938','4500575283203309795','4635298992711813087'),('4635298992711813939','4500536216180758237','4635298992711813113'),('4635298992711813940','4500534773071746781','4635298992711813139'),('4635298992711813941','4500574733447496638','4635298992711813165'),('4635298992711813942','4500568067658238486','4635298992711813191'),('4635298992711813943','4500568067658238572','4635298992711813217'),('4635298992711813944','4500574733447497707','4635298992711813243'),('4635298992711813945','4500534773071747255','4635298992711813243'),('4635298992711813946','4500534773071747080','4635298992711813270'),('4635298992711813947','4500574733447498082','4635298992711813296'),('4635298992711813949','4500574870886450623','4635298992711813323'),('4635298992711813950','4500575489361745796','4635298992711813323'),('4635298992711813951','4500574870886450967','4635298992711813350'),('4635298992711813954','4497713323155568919','4635298992711813403'),('4635298992711813955','4500574733447498334','4635298992711813429'),('4635298992711813956','4500568617414055749','4635298992711813455'),('4635298992711813957','4500568617414055784','4635298992711813481'),('4635298992711813958','4500536078741804600','4635298992711813507'),('4635298992711813959','4500568617414055863','4635298992711813533'),('4635298992711813960','4500568617414055898','4635298992711813559'),('4635298992711813961','4500568617414056034','4635298992711813619'),('4635298992711813962','4500536078741804826','4635298992711813669'),('4635298992711813963','4500536078741804862','4635298992711813695'),('4635298992711813964','4500536078741804941','4635298992711813721'),('4635298992711813965','4500575489361745625','4635298992711813747'),('4635298992711813966','4500575489361745761','4635298992711813773'),('4635298992711816127','4548251516133081835','4635298992711815694'),('4635298992711816128','4548290514436154917','4635298992711815720'),('4635298992711816135','4548291545228309945','4635298992711815752'),('4635298992711816145','4548294294007392141','4635298992711815787'),('4635298992711816155','4548291579588044331','4635298992711815822'),('4635298992711816165','4548291579588048316','4635298992711815857'),('4635298992711816175','4548291613947783103','4635298992711815892'),('4635298992711816183','4548295496598239637','4635298992711815925'),('4635298992711816194','4548296355591699522','4635298992711815961'),('4635298992711816195','4548294534525544503','4635298992711815961'),('4635298992711816196','4548257185489916677','4635298992711815961'),('4635298992711816197','4548257219849650656','4635298992711815961'),('4635298992711816198','4548257219849653342','4635298992711815961'),('4635298992711816199','4548257219849653649','4635298992711815961'),('4635298992711816200','4548296389951438174','4635298992711815961'),('4635298992711816201','4548257219849655142','4635298992711815961'),('4635298992711816202','4548257254209394568','4635298992711815994'),('4635298992711816211','4548257426008082797','4635298992711816028'),('4635298992711816216','4548297867420180609','4635298992711816058'),('4635298992711816217','4548297867420180826','4635298992711816058'),('4635298992711816218','4548294775043715067','4635298992711816058'),('4635298992711816219','4548257460367821788','4635298992711816058'),('4635298992711816220','4548257460367822037','4635298992711816058'),('4635298992711816221','4548257460367822334','4635298992711816058'),('4635298992711816222','4548297867420188266','4635298992711816058'),('4635298992711816223','4548257460367823713','4635298992711816058'),('4635298992711816224','4548294775043717282','4635298992711816058'),('4635298992711816225','4548294809403450160','4635298992711816092'),('4635298992711816226','4548257632166513441','4635298992711816092'),('4635298992711816227','4548298039218879291','4635298992711816092'),('4635298992711816228','4548298039218879552','4635298992711816092'),('4635298992711816229','4548298039218879552','4635298992711816092'),('4635298992711816230','4548298039218879718','4635298992711816092'),('4635298992711816231','4548298073578612712','4635298992711816092'),('4635298992711816232','4548257666526254613','4635298992711816092'),('4635298992711816233','4548294912482664946','4635298992711816092'),('4635298992711816234','4548294912482665127','4635298992711816092'),('4635298992711816235','4548298073578615162','4635298992711816092'),('4635300848137683401','4562978684113334494','4635300779418212801'),('4635300848137683402','4562976004053731689','4635300779418212827'),('4635300848137683403','4562981329813185300','4635300779418212853'),('4635300848137683404','4562983941153290127','4635300779418212879'),('4635300848137683405','4562978684113334494','4635300779418212905'),('4635300848137683406','4562976004053731689','4635300779418212905'),('4635300848137683407','4562981329813185300','4635300779418212905'),('4635300848137683408','4562983941153290127','4635300779418212905'),('4635300848137683409','4562993252642391794','4635300779418212934'),('4635300848137683410','4563005690867678228','4635300779418212960'),('4635300848137683411','4562995382946179110','4635300779418212986'),('4635300848137683412','4562993252642391794','4635300779418213012'),('4635300848137683413','4563005690867678228','4635300779418213012'),('4635300848137683414','4562995382946179110','4635300779418213012'),('4635300848137683415','4562978821552286017','4635300779418213040'),('4635300848137683416','4562977034845884723','4635300779418213066'),('4635300848137683417','4562981535971622447','4635300779418213092'),('4635300848137683418','4562977996918557683','4635300779418213118'),('4635300848137683419','4562981570331355547','4635300779418213144'),('4635300848137683420','4562978821552286017','4635300779418213170'),('4635300848137683421','4562977034845884723','4635300779418213170'),('4635300848137683422','4562981535971622447','4635300779418213170'),('4635300848137683423','4562977996918557683','4635300779418213170'),('4635300848137683424','4562981570331355547','4635300779418213170'),('4635300848137683425','4562989988467260252','4635300779418213200'),('4635300848137683426','4562989988467260740','4635300779418213226'),('4635300848137683427','4562987308407653488','4635300779418213252'),('4635300848137683428','4562989988467261329','4635300779418213278'),('4635300848137683429','4562995108068260772','4635300779418213304'),('4635300848137683430','4562987308407655560','4635300779418213330'),('4635300848137683431','4562987308407655960','4635300779418213356'),('4635300848137683432','4562990297704903867','4635300779418213382'),('4635300848137683433','4562995348586426770','4635300779418213408'),('4635300848137683434','4562995623464330656','4635300779418213434'),('4635300848137683435','4562989988467260252','4635300779418213460'),('4635300848137683436','4562989988467260740','4635300779418213460'),('4635300848137683437','4562987308407653488','4635300779418213460'),('4635300848137683438','4562989988467261329','4635300779418213460'),('4635300848137683439','4562995108068260772','4635300779418213460'),('4635300848137683440','4562987308407655560','4635300779418213460'),('4635300848137683441','4562987308407655960','4635300779418213460'),('4635300848137683442','4562990297704903867','4635300779418213460'),('4635300848137683443','4562995348586426770','4635300779418213460'),('4635300848137683444','4562995623464330656','4635300779418213460'),('4635300848137683445','4562987033529739389','4635300779418213495'),('4635300848137683446','4562987033529739880','4635300779418213521'),('4635300848137683447','4562984937585717880','4635300779418213547'),('4635300848137683448','4562984937585718329','4635300779418213573'),('4635300848137683449','4562980436459985811','4635300779418213599'),('4635300848137683450','4562987033529741629','4635300779418213625'),('4635300848137683451','4562987033529739389','4635300779418213651'),('4635300848137683452','4562987033529739880','4635300779418213651'),('4635300848137683453','4562984937585717880','4635300779418213651'),('4635300848137683454','4562984937585718329','4635300779418213651'),('4635300848137683455','4476998043051700093','4635300779418213651'),('4635300848137683456','4562987033529741629','4635300779418213651'),('4635300848137683457','4562983528836447890','4635300779418213682'),('4635300848137683458','4562986140176545992','4635300779418213708'),('4635300848137683459','4562979646186003444','4635300779418213734'),('4635300848137683460','4562983563196178738','4635300779418213760'),('4635300848137683461','4562983563196179789','4635300779418213786'),('4635300848137683462','4562979646186003998','4635300779418213812'),('4635300848137683463','4562979646186004281','4635300779418213838'),('4635300848137683464','4562983528836447890','4635300779418213864'),('4635300848137683465','4562986140176545992','4635300779418213864'),('4635300848137683466','4562979646186003444','4635300779418213864'),('4635300848137683467','4562983563196178738','4635300779418213864'),('4635300848137683468','4562983563196178738','4635300779418213864'),('4635300848137683469','4562983563196179789','4635300779418213864'),('4635300848137683470','4562979646186003998','4635300779418213864'),('4635300848137683471','4562979646186004281','4635300779418213864'),('4635300848137683485','4562990675662007315','4635300779418214034'),('4635300848137683486','4562987892523219297','4635300779418214034'),('4635300848137683487','4562987892523219464','4635300779418214034'),('4635300848137683488','4562983150879314379','4635300779418214034'),('4635300848137683489','4562983150879310299','4635300779418214063'),('4635300848137683490','4562990675662006660','4635300779418214063'),('4635300848137683491','4562983150879313771','4635300779418214063'),('4635300848137683492','4562983150879310299','4635300779418214091'),('4635300848137683493','4562990675662006660','4635300779418214117'),('4635300848137683494','4562983150879313771','4635300779418214143'),('4635300848137683495','4562990675662007315','4635300779418214169'),('4635300848137683496','4562987892523219297','4635300779418214195'),('4635300848137683497','4562987892523219464','4635300779418214221'),('4635300848137683498','4562983150879314379','4635300779418214247'),('4635300848137683499','4562992187490508704','4635300779418214273'),('4635300848137683500','4562992256209977659','4635300779418214273'),('4635300848137683501','4562992256209978041','4635300779418214273'),('4635300848137683502','4563004625715784657','4635300779418214273'),('4635300848137683503','4562992256209978630','4635300779418214273'),('4635300848137683504','4562992187490508704','4635300779418214303'),('4635300848137683505','4562992256209977659','4635300779418214329'),('4635300848137683506','4562992256209978041','4635300779418214355'),('4635300848137683507','4563004625715784657','4635300779418214381'),('4635300848137683508','4562992256209978630','4635300813777944583'),('4635300848137683509','4562983975513046440','4635300848137682951'),('4635300848137683510','4562995039348797848','4635300848137682977'),('4635300848137683511','4563012013059533917','4635300848137683003'),('4635300848137683512','4563012013059534056','4635300848137683029'),('4635300848137683513','4563012013059536669','4635300848137683055'),('4635300848137683514','4563012013059536878','4635300848137683081'),('4635300848137683515','4563012013059537874','4635300848137683107'),('4635300848137683516','4562983941153285246','4635300848137683133'),('4635300848137683517','4562977756400388344','4635300848137683159'),('4635300848137683518','4562981364172926991','4635300848137683185'),('4635300848137683519','4562983975513023889','4635300848137683211'),('4635300848137683520','4562983975513025458','4635300848137683237'),('4635300848137683521','4562977825119863480','4635300848137683263'),('4635300848137683522','4562983975513026400','4635300848137683289'),('4635300848137683523','4562983975513027079','4635300848137683315'),('4635300848137683524','4562983975513027769','4635300848137683341'),('4635300848137683525','4562983941153285246','4635300848137683367'),('4635300848137683526','4562977756400388344','4635300848137683367'),('4635300848137683527','4562981364172926991','4635300848137683367'),('4635300848137683528','4562983975513023889','4635300848137683367'),('4635300848137683529','4562983975513025458','4635300848137683367'),('4635300848137683530','4562977825119863480','4635300848137683367'),('4635300848137683531','4562983975513026400','4635300848137683367'),('4635300848137683532','4562983975513027079','4635300848137683367'),('4635300848137683533','4562983975513027769','4635300848137683367'),('4635300951216899347','4477028107822871074','4635300916857167782'),('4635300951216899348','4477028107822871074','4635300916857167808'),('4635300951216899349','4477028107822872403','4635300916857167834'),('4635300951216899350','4477028107822872403','4635300916857167860'),('4635300951216899351','4500551162666949663','4635300951216898062'),('4635300951216899352','4500593562584128424','4635300951216898062'),('4635300951216899353','4500554942238170474','4635300951216898062'),('4635300951216899354','4500554942238170593','4635300951216898062'),('4635300951216899355','4500551162666949663','4635300951216898091'),('4635300951216899356','4500593562584128424','4635300951216898117'),('4635300951216899357','4500554942238170474','4635300951216898143'),('4635300951216899358','4500554942238170593','4635300951216898169'),('4635300951216899359','4477027867304701966','4635300951216898195'),('4635300951216899360','4477027867304701966','4635300951216898221'),('4635300951216899361','4500575764239651929','4635300951216898247'),('4635300951216899362','4500537315692387760','4635300951216898247'),('4635300951216899363','4500575764239651929','4635300951216898274'),('4635300951216899364','4500537315692387760','4635300951216898300'),('4635300951216899365','4500581845913324345','4635300951216898326'),('4635300951216899366','4500549925716368002','4635300951216898326'),('4635300951216899367','4500581845913324345','4635300951216898353'),('4635300951216899368','4500549925716368002','4635300951216898379'),('4635300951216899369','4477024190812693145','4635300951216898405'),('4635300951216899370','4477024190812693145','4635300951216898431'),('4635300951216899371','4500589645573951347','4635300951216898457'),('4635300951216899372','4500589645573951347','4635300951216898483'),('4635300951216899373','4497734007718110469','4635300951216898509'),('4635300951216899374','4497734007718110469','4635300951216898535'),('4635300951216899375','4500573530856654695','4635300951216898561'),('4635300951216899376','4500573530856654695','4635300951216898587'),('4635300951216899377','4477027867304705846','4635300951216898613'),('4635300951216899378','4477027867304705846','4635300951216898639'),('4635300951216899379','4476999829758097527','4635300951216898665'),('4635300951216899380','4476999829758097527','4635300951216898691'),('4635300951216899381','4477000963629459075','4635300951216898717'),('4635300951216899382','4477000963629459253','4635300951216898717'),('4635300951216899383','4477000963629459075','4635300951216898744'),('4635300951216899384','4477000963629459253','4635300951216898770'),('4635300951216899385','4497734901071312135','4635300951216898796'),('4635300951216899386','4497734901071311880','4635300951216898796'),('4635300951216899387','4497734901071312003','4635300951216898796'),('4635300951216899388','4497734901071311880','4635300951216898824'),('4635300951216899389','4497734901071312003','4635300951216898850'),('4635300951216899390','4497734901071312135','4635300951216898876'),('4635300951216899391','4497714353947717766','4635300951216898902'),('4635300951216899392','4497714353947717766','4635300951216898928'),('4635300951216899393','4500590023531076326','4635300951216898954'),('4635300951216899394','4500590023531076326','4635300951216898980'),('4635300951216899395','4500577722744719072','4635300951216899006'),('4635300951216899396','4500577722744719072','4635300951216899032'),('4635300951216899397','4500589645573954612','4635300951216899058'),('4635300951216899398','4500589645573954912','4635300951216899058'),('4635300951216899399','4500589645573954612','4635300951216899085'),('4635300951216899400','4500589645573954912','4635300951216899111'),('4635300951216899401','4497713288795825827','4635300951216899137'),('4635300951216899402','4497733904638902000','4635300951216899137'),('4635300951216899403','4497733904638902121','4635300951216899137'),('4635300951216899404','4497713288795825827','4635300951216899165'),('4635300951216899405','4497733904638902000','4635300951216899191'),('4635300951216899406','4497733904638902121','4635300951216899217'),('4635300951216899407','4477028451420252724','4635300951216899243'),('4635300951216899408','4477028451420252724','4635300951216899269'),('4635300951216899409','4500571709790503371','4635300951216899295'),('4635300951216899410','4500571709790503371','4635300951216899321'),('4635301123015595938','4527497272086100706','4635301123015593673'),('4635301123015595939','4500590195329748052','4635301123015593673'),('4635301123015595940','4527497375165309343','4635301123015593673'),('4635301123015595941','4500598853983834573','4635301123015593673'),('4635301123015595942','4527497272086100706','4635301123015593702'),('4635301123015595943','4500590195329748052','4635301123015593728'),('4635301123015595944','4527497375165309343','4635301123015593754'),('4635301123015595945','4500598853983834573','4635301123015593780'),('4635301123015595946','4500559305924936581','4635301123015593806'),('4635301123015595947','4500559305924936701','4635301123015593806'),('4635301123015595948','4500589886092100629','4635301123015593806'),('4635301123015595949','4500598269868284397','4635301123015593806'),('4635301123015595950','4500559305924936782','4635301123015593806'),('4635301123015595951','4500559305924936581','4635301123015593836'),('4635301123015595952','4500559305924936701','4635301123015593862'),('4635301123015595953','4500589886092100629','4635301123015593888'),('4635301123015595954','4500598269868284397','4635301123015593914'),('4635301123015595955','4500559305924936782','4635301123015593940'),('4635301123015595956','4500608852667699591','4635301123015593966'),('4635301123015595957','4500608852667700902','4635301123015593966'),('4635301123015595958','4527500227023600287','4635301123015593966'),('4635301123015595959','4500608852667699591','4635301123015593994'),('4635301123015595960','4500608852667700902','4635301123015594020'),('4635301123015595961','4527500227023600287','4635301123015594046'),('4635301123015595962','4500589130177862355','4635301123015594072'),('4635301123015595963','4500589130177863276','4635301123015594072'),('4635301123015595964','4500558446931484511','4635301123015594072'),('4635301123015595965','4500558481291215196','4635301123015594072'),('4635301123015595966','4500596723680054050','4635301123015594072'),('4635301123015595967','4500596723680058795','4635301123015594072'),('4635301123015595968','4500589233257074579','4635301123015594072'),('4635301123015595969','4500589130177862355','4635301123015594104'),('4635301123015595970','4500589130177863276','4635301123015594130'),('4635301123015595971','4500558446931484511','4635301123015594156'),('4635301123015595972','4500558481291215196','4635301123015594182'),('4635301123015595973','4500596723680054050','4635301123015594208'),('4635301123015595974','4500596723680058795','4635301123015594234'),('4635301123015595975','4500589233257074579','4635301123015594260'),('4635301123015595976','4500590332768699130','4635301123015594286'),('4635301123015595977','4527497443884789985','4635301123015594286'),('4635301123015595978','4500598957063048667','4635301123015594286'),('4635301123015595979','4500590332768699461','4635301123015594286'),('4635301123015595980','4500590332768699130','4635301123015594315'),('4635301123015595981','4527497443884789985','4635301123015594341'),('4635301123015595982','4500598957063048667','4635301123015594367'),('4635301123015595983','4500590332768699461','4635301123015594393'),('4635301123015595984','4500608509070315762','4635301123015594419'),('4635301123015595985','4500595727247624565','4635301123015594419'),('4635301123015595986','4500608543430055493','4635301123015594419'),('4635301123015595987','4500608509070315762','4635301123015594447'),('4635301123015595988','4500595727247624565','4635301123015594473'),('4635301123015595989','4500608543430055493','4635301123015594499'),('4635301123015595990','4527505587142784788','4635301123015594525'),('4635301123015595991','4500613766110287788','4635301123015594525'),('4635301123015595992','4500613766110288062','4635301123015594525'),('4635301123015595993','4500601190446027072','4635301123015594525'),('4635301123015595994','4500613766110289179','4635301123015594525'),('4635301123015595995','4527505655862258203','4635301123015594525'),('4635301123015595996','4500608852667699591','4635301123015594556'),('4635301123015595997','4500608852667700902','4635301123015594582'),('4635301123015595998','4527500227023600287','4635301123015594608'),('4635301123015595999','4500601190446027072','4635301123015594634'),('4635301123015596000','4500613766110289179','4635301123015594660'),('4635301123015596001','4527505655862258203','4635301123015594686'),('4635301123015596002','4500584869570300401','4635301123015594712'),('4635301123015596003','4500594352858108156','4635301123015594712'),('4635301123015596004','4500558515650960591','4635301123015594712'),('4635301123015596005','4500589301976552988','4635301123015594712'),('4635301123015596006','4500589508134978740','4635301123015594712'),('4635301123015596007','4500589508134979058','4635301123015594712'),('4635301123015596008','4500596929838482901','4635301123015594712'),('4635301123015596009','4500589508134979581','4635301123015594712'),('4635301123015596010','4500584869570300401','4635301123015594745'),('4635301123015596011','4500594352858108156','4635301123015594771'),('4635301123015596012','4500558515650960591','4635301123015594797'),('4635301123015596013','4500589301976552988','4635301123015594823'),('4635301123015596014','4500589508134978740','4635301123015594849'),('4635301123015596015','4500589508134979058','4635301123015594875'),('4635301123015596016','4500596929838482901','4635301123015594901'),('4635301123015596017','4500589508134979581','4635301123015594927'),('4635301123015596018','4500608612149527133','4635301123015594953'),('4635301123015596019','4527499883426213413','4635301123015594953'),('4635301123015596020','4500595761607362150','4635301123015594953'),('4635301123015596021','4500608612149527133','4635301123015594981'),('4635301123015596022','4527499883426213413','4635301123015595007'),('4635301123015596023','4500595761607362150','4635301123015595033'),('4635301123015596024','4527497306445834934','4635301123015595059'),('4635301123015596025','4500598647825403176','4635301123015595059'),('4635301123015596026','4527497306445834934','4635301123015595086'),('4635301123015596027','4500598647825403176','4635301123015595112'),('4635301123015596028','4500596345722932826','4635301123015595138'),('4635301123015596029','4500588786580477009','4635301123015595138'),('4635301123015596030','4500588786580477184','4635301123015595138'),('4635301123015596031','4545350214185012619','4635301123015595138'),('4635301123015596032','4500596345722932826','4635301123015595167'),('4635301123015596033','4500588786580477009','4635301123015595193'),('4635301123015596034','4500588786580477184','4635301123015595219'),('4635301123015596035','4527502666565021876','4635301123015595245'),('4635301123015596036','4500611154770168214','4635301123015595245'),('4635301123015596037','4500598922703292590','4635301123015595245'),('4635301123015596038','4527502666565024052','4635301123015595245'),('4635301123015596039','4500611154770170073','4635301123015595245'),('4635301123015596040','4500598922703295572','4635301123015595245'),('4635301123015596041','4500598991422768109','4635301123015595245'),('4635301123015596042','4527502666565021876','4635301123015595277'),('4635301123015596043','4500611154770168214','4635301123015595303'),('4635301123015596044','4500598922703292590','4635301123015595329'),('4635301123015596045','4527502666565024052','4635301123015595355'),('4635301123015596046','4500611154770170073','4635301123015595381'),('4635301123015596047','4500598922703295572','4635301123015595407'),('4635301123015596048','4500598991422768109','4635301123015595433'),('4635301123015596049','4500598647825400667','4635301123015595459'),('4635301123015596050','4527497306445835114','4635301123015595459'),('4635301123015596051','4500598372947484184','4635301123015595459'),('4635301123015596052','4527502357327378731','4635301123015595459'),('4635301123015596053','4500598407307218564','4635301123015595459'),('4635301123015596056','4500598372947484184','4635301123015595541'),('4635301123015596057','4527502357327378731','4635301123015595567'),('4635301123015596059','4500588924019431269','4635301123015595619'),('4635301123015596060','4500596345722936569','4635301123015595619'),('4635301123015596061','4500558309492524103','4635301123015595619'),('4635301123015596062','4500588924019431536','4635301123015595619'),('4635301123015596063','4500558309492524412','4635301123015595619'),('4635301123015596064','4500588924019431764','4635301123015595619'),('4635301123015596065','4500588924019431269','4635301123015595650'),('4635301123015596066','4500596345722936569','4635301123015595676'),('4635301123015596067','4500558309492524103','4635301123015595702'),('4635301123015596068','4500588924019431536','4635301123015595728'),('4635301123015596069','4500558309492524412','4635301123015595754'),('4635301123015596070','4500588924019431764','4635301123015595780'),('4635301123015596071','4500558687449645114','4635301123015595806'),('4635301123015596072','4500589473775246087','4635301123015595806'),('4635301123015596073','4500589473775246176','4635301123015595806'),('4635301123015596074','4500558687449645114','4635301123015595834'),('4635301123015596075','4500589473775246087','4635301123015595860'),('4635301123015596076','4500589473775246176','4635301123015595886'),('4635301123015596077','4548239936901257570','4635301123015595912'),('4635301191735067620','4545357257931383290','4635301123015596892'),('4635301191735067621','4545357257931383417','4635301123015596892'),('4635301191735067622','4545351657294026188','4635301123015596892'),('4635301191735067623','4545347774643578512','4635301123015596892'),('4635301191735067624','4545357257931386097','4635301123015596892'),('4635301191735067625','4545357257931383290','4635301123015596922'),('4635301191735067626','4545357257931383417','4635301123015596948'),('4635301191735067627','4545351657294026188','4635301123015596974'),('4635301191735067628','4545347774643578512','4635301123015597000'),('4635301191735067629','4545357257931386097','4635301123015597026'),('4635301191735067630','4548237153762443518','4635301123015597052'),('4635301191735067631','4548284948158558044','4635301123015597052'),('4635301191735067632','4548237153762444205','4635301123015597052'),('4635301191735067633','4548277698253746035','4635301123015597052'),('4635301191735067634','4548284948158558834','4635301123015597052'),('4635301191735067635','4548237153762443518','4635301123015597082'),('4635301191735067636','4548284948158558044','4635301123015597108'),('4635301191735067637','4548237153762444205','4635301123015597134'),('4635301191735067638','4548277698253746035','4635301123015597160'),('4635301191735067639','4548284948158558834','4635301123015597186'),('4635301191735067640','4455233794495134317','4635301123015597212'),('4635301191735067641','4545351657294023380','4635301123015597212'),('4635301191735067642','4545351657294023561','4635301123015597212'),('4635301191735067643','4545347740283846155','4635301123015597212'),('4635301191735067644','4545351657294023842','4635301123015597212'),('4635301191735067645','4545351657294024051','4635301123015597212'),('4635301191735067646','4545351657294024217','4635301123015597212'),('4635301191735067647','4500590745085565777','4635301123015597244'),('4635301191735067648','4545351657294023380','4635301123015597270'),('4635301191735067649','4545351657294023561','4635301123015597296'),('4635301191735067650','4545347740283846155','4635301123015597322'),('4635301191735067651','4545351657294023842','4635301123015597348'),('4635301191735067652','4545351657294024051','4635301123015597374'),('4635301191735067653','4545351657294024217','4635301123015597400'),('4635301191735067654','4548278866484852376','4635301123015597426'),('4635301191735067655','4548278866484852764','4635301123015597426'),('4635301191735067656','4548286219468879253','4635301123015597426'),('4635301191735067657','4548286219468881643','4635301123015597426'),('4635301191735067658','4548278866484853866','4635301123015597426'),('4635301191735067659','4548238665590933748','4635301123015597426'),('4635301191735067660','4548238665590934166','4635301123015597426'),('4635301191735067661','4548278866484852376','4635301123015597458'),('4635301191735067662','4548238665590934166','4635301123015597484'),('4635301191735067663','4548278866484853866','4635301123015597510'),('4635301191735067664','4548238665590933748','4635301123015597536'),('4635301191735067665','4548286219468879253','4635301123015597562'),('4635301191735067666','4548278866484852764','4635301123015597588'),('4635301191735067667','4548286219468881643','4635301123015597614'),('4635301191735067668','4548277698253746394','4635301123015597640'),('4635301191735067669','4548284948158560948','4635301123015597640'),('4635301191735067670','4548284948158561192','4635301123015597640'),('4635301191735067671','4548237153762448917','4635301123015597640'),('4635301191735067673','4548277698253746394','4635301123015597669'),('4635301191735067675','4548284948158560948','4635301123015597695'),('4635301191735067677','4548284948158561192','4635301123015597721'),('4635301191735067679','4548237153762448917','4635301123015597747'),('4635301191735067680','4545357223571645834','4635301123015597773'),('4635301191735067681','4545357223571646307','4635301123015597773'),('4635301191735067682','4545351622934289930','4635301123015597773'),('4635301191735067683','4545347740283840825','4635301123015597773'),('4635301191735067684','4545351622934290428','4635301123015597773'),('4635301191735067685','4545347740283841114','4635301123015597773'),('4635301191735067686','4545357223571645834','4635301123015597804'),('4635301191735067687','4545357223571646307','4635301123015597830'),('4635301191735067688','4545351622934289930','4635301123015597856'),('4635301191735067689','4545347740283840825','4635301123015597882'),('4635301191735067690','4545351622934290428','4635301123015597908'),('4635301191735067691','4545347740283841114','4635301123015597934'),('4635301191735067692','4548286150749397843','4635301123015597960'),('4635301191735067693','4548238390713031252','4635301123015597960'),('4635301191735067694','4548278866484850347','4635301123015597960'),('4635301191735067695','4548238631231193843','4635301123015597960'),('4635301191735067696','4548238631231194098','4635301123015597960'),('4635301191735067697','4548286150749398902','4635301123015597960'),('4635301191735067698','4548286150749399280','4635301123015597960'),('4635301191735067699','4548286150749397843','4635301123015597992'),('4635301191735067700','4548238390713031252','4635301123015598018'),('4635301191735067701','4548238390713031252','4635301123015598044'),('4635301191735067702','4548278866484850347','4635301123015598070'),('4635301191735067703','4548238631231193843','4635301191735066633'),('4635301191735067704','4548238631231194098','4635301191735066659'),('4635301191735067705','4548286150749398902','4635301191735066685'),('4635301191735067706','4548286150749399280','4635301191735066711'),('4635301191735067707','4545357223571652004','4635301191735066737'),('4635301191735067708','4545347774643577050','4635301191735066737'),('4635301191735067709','4545351657294024534','4635301191735066737'),('4635301191735067710','4545351657294024605','4635301191735066737'),('4635301191735067711','4545357223571652004','4635301191735066766'),('4635301191735067712','4545347774643577050','4635301191735066766'),('4635301191735067713','4545351657294024534','4635301191735066793'),('4635301191735067714','4545351657294024605','4635301191735066819'),('4635301191735067715','4548284948158561673','4635301191735066845'),('4635301191735067716','4548237153762449773','4635301191735066845'),('4635301191735067717','4548237153762449951','4635301191735066845'),('4635301191735067718','4548237153762450354','4635301191735066845'),('4635301191735067719','4548284948158561673','4635301191735066845'),('4635301191735067721','4548237153762449773','4635301191735066874'),('4635301191735067723','4548237153762449951','4635301191735066900'),('4635301191735067725','4548237153762450354','4635301191735066926'),('4635301191735067726','4545351657294025377','4635301191735066952'),('4635301191735067727','4545347774643577764','4635301191735066952'),('4635301191735067728','4545347774643577888','4635301191735066952'),('4635301191735067729','4545351657294025701','4635301191735066952'),('4635301191735067730','4545357257931383125','4635301191735066952'),('4635301191735067731','4545351657294025377','4635301191735066982'),('4635301191735067732','4545347774643577764','4635301191735067008'),('4635301191735067733','4545347774643577888','4635301191735067034'),('4635301191735067734','4545351657294025701','4635301191735067060'),('4635301191735067735','4545357257931383125','4635301191735067086'),('4635301191735067736','4545357257931386184','4635301191735067112'),('4635301191735067737','4545357257931386323','4635301191735067112'),('4635301191735067738','4545357257931386505','4635301191735067112'),('4635301191735067739','4545357257931386607','4635301191735067112'),('4635301191735067740','4545351657294027705','4635301191735067112'),('4635301191735067741','4545351657294027789','4635301191735067112'),('4635301191735067742','4545351657294027836','4635301191735067112'),('4635301191735067743','4545347774643580108','4635301191735067112'),('4635301191735067744','4545357257931387159','4635301191735067112'),('4635301191735067745','4545347774643580362','4635301191735067112'),('4635301191735067746','4545351657294028420','4635301191735067112'),('4635301191735067747','4545357257931386184','4635301191735067148'),('4635301191735067748','4545357257931386184','4635301191735067174'),('4635301191735067749','4545357257931386323','4635301191735067200'),('4635301191735067750','4545357257931386505','4635301191735067226'),('4635301191735067751','4545357257931386607','4635301191735067252'),('4635301191735067752','4545351657294027705','4635301191735067278'),('4635301191735067753','4545351657294027789','4635301191735067304'),('4635301191735067754','4545351657294027836','4635301191735067330'),('4635301191735067755','4545347774643580108','4635301191735067356'),('4635301191735067756','4545357257931387159','4635301191735067382'),('4635301191735067757','4545347774643580362','4635301191735067408'),('4635301191735067758','4545351657294028420','4635301191735067434'),('4635301191735067759','4548286253828616394','4635301191735067460'),('4635301191735067760','4548286253828616685','4635301191735067460'),('4635301191735067761','4548278935204326320','4635301191735067460'),('4635301191735067762','4548238699950676716','4635301191735067460'),('4635301191735067763','4548279794197783613','4635301191735067460'),('4635301191735067764','4548286253828616394','4635301191735067490'),('4635301191735067765','4548286253828616685','4635301191735067516'),('4635301191735067766','4548278935204326320','4635301191735067542'),('4635301191735067767','4548238699950676716','4635301191735067568'),('4635301191735067768','4548279794197783613','4635301191735067594'),('4635301260454547585','4500586450118269607','4635301260454546259'),('4635301260454547586','4500586450118269607','4635301260454546285'),('4635301260454547587','4500555457634241348','4635301260454546311'),('4635301260454547588','4500555457634241348','4635301260454546337'),('4635301260454547589','4500592153834839704','4635301260454546363'),('4635301260454547590','4500606619284708215','4635301260454546389'),('4635301260454547591','4527499024432754771','4635301260454546415'),('4635301260454547592','4548257185489914667','4635301260454546441'),('4635301260454547593','4548257185489915735','4635301260454546467'),('4635301260454547594','4548257185489916214','4635301260454546493'),('4635301260454547595','4548294534525549202','4635301260454546519'),('4635301260454547596','4548257219849653731','4635301260454546545'),('4635301260454547597','4548294568885282563','4635301260454546571'),('4635301260454547598','4548296424311171264','4635301260454546597'),('4635301260454547599','4548257254209392367','4635301260454546623'),('4635301260454547600','4500621222173507861','4635301260454546649'),('4635301260454547601','4500621222173507861','4635301260454546675'),('4635301260454547602','4500621222173507861','4635301260454546701'),('4635301260454547603','4500553396049944495','4635301260454546727'),('4635301260454547604','4527515242229266626','4635301260454546753'),('4635301260454547605','4527515242229266626','4635301260454546779'),('4635301260454547606','4527515242229266626','4635301260454546805'),('4635301260454547607','4527515517107167492','4635301260454546831'),('4635301260454547608','4500595177491809784','4635301260454546857'),('4635301260454547609','4500595177491813598','4635301260454546883'),('4635301260454547610','4500595177491814555','4635301260454546909'),('4635301260454547611','4500608062393714146','4635301260454546935'),('4635301260454547612','4500595589808685839','4635301260454546961'),('4635301260454547613','4500557003822469792','4635301260454546987'),('4635301260454547614','4500595589808686041','4635301260454547013'),('4635301260454547615','4500588030666231784','4635301260454547039'),('4635301260454547616','4500588030666232259','4635301260454547065'),('4635301260454547617','4500557038182204726','4635301260454547091'),('4635301260454547618','4500557038182204803','4635301260454547117'),('4635301260454547619','4500557038182204803','4635301260454547143'),('4635301260454547620','4527504796868800461','4635301260454547169'),('4635301260454547621','4500613285073946521','4635301260454547195'),('4635301260454547622','4527504796868802187','4635301260454547221'),('4635301260454547623','4500613319433687924','4635301260454547247'),('4635301260454547624','4500600881208381350','4635301260454547273'),('4635301260454547625','4500611738885722205','4635301260454547299'),('4635301260454547626','4500611738885723652','4635301260454547325'),('4635301260454547627','4500611738885724083','4635301260454547351'),('4635301260454547628','4500599884775972045','4635301260454547377'),('4635301260454547629','4500609024466395073','4635301260454547403'),('4635301260454547630','4527500398822286094','4635301260454547429'),('4635301260454547631','4500596483161871144','4635301260454547455'),('4635301260454547632','4527502872723452772','4635301260454547481'),('4635301260454547633','4500599128861723837','4635301260454547507'),('4635301260454547634','4500611326568861216','4635301260454547533'),('4635301260454547635','4527502907083186773','4635301260454547559'),('4635301294814288075','4500577482226554356','4635301294814287664'),('4635301294814288076','4548279003923808081','4635301294814287664'),('4635301294814288077','4548294397086611763','4635301294814287664'),('4635301294814288078','4500606447486009766','4635301294814287664'),('4635301294814288079','4500600640690214752','4635301294814287693'),('4635301294814288080','4527504625070104774','4635301294814287693'),('4635301294814288081','4500615415377723713','4635301294814287693'),('4635301294814288082','4527506686654412669','4635301294814287693'),('4635301294814288083','4500550887789038932','4635301294814287722'),('4635301294814288084','4500592531791978233','4635301294814287722'),('4635301294814288085','4500551781142239745','4635301294814287722'),('4635301294814288086','4500550681630608767','4635301294814287722'),('4635301294814288087','4500556144829010693','4635301294814287722'),('4635301294814288088','4500582155150967034','4635301294814287752'),('4635301294814288089','4500550338033226879','4635301294814287752'),('4635301294814288090','4500582155150967943','4635301294814287752'),('4635301294814288091','4500550406752704412','4635301294814287752'),('4635301294814288092','4500550406752705422','4635301294814287752'),('4635301294814288093','4500544118920578005','4635301294814287782'),('4635301294814288094','4500589886092116550','4635301294814287782'),('4635301294814288095','4500550063155315695','4635301294814287782'),('4635301294814288096','4500581948992538847','4635301294814287782'),('4635301294814288097','4500581948992538929','4635301294814287782'),('4635301294814288098','4527504659429848438','4635301294814287812'),('4635301294814288099','4500588477342848789','4635301294814287838'),('4635301294814288100','4500547211297034480','4635301294814287838'),('4635301294814288101','4548284501481961712','4635301294814287865'),('4635301294814288102','4500581948992543310','4635301294814287891'),('4635301294814288103','4527512699608627334','4635301294814287917'),('4635301294814288104','4500576760672048173','4635301294814287943'),('4635301294814288105','4500599403739650032','4635301294814287969'),('4635301294814288106','4548278213649817756','4635301294814287995'),('4635301294814288107','4527512562169671780','4635301294814288021'),('4635301294814288108','4500607787515790243','4635301294814288021'),('4635301294814288109','4500586931154623684','4635301294814288048'),('4635301294814288110','4500545733828287867','4635301294814288048'),('4643058280628810265','4476991033665074927','4643058280628808159'),('4643058280628810266','4455233622696438658','4643058280628808185'),('4643058280628810267','4476991033665071953','4643058280628808211'),('4643058280628810268','4476991033665072037','4643058280628808237'),('4643058280628810269','4477020239442783200','4643058280628808263'),('4643058280628810270','4477020239442783274','4643058280628808289'),('4643058280628810271','4476991033665072111','4643058280628808315'),('4643058280628810272','4476991033665072142','4643058280628808341'),('4643058280628810273','4476991033665072216','4643058280628808367'),('4643058280628810274','4477020239442783391','4643058280628808393'),('4643058280628810275','4476991033665072290','4643058280628808419'),('4643058280628810276','4476991033665072321','4643058280628808445'),('4643058280628810277','4476991033665072411','4643058280628808471'),('4643058280628810278','4459060301118314740','4643058280628808497'),('4643058280628810279','4459060301118314771','4643058280628808523'),('4643058280628810280','4455233622696438782','4643058280628808549'),('4643058280628810281','4459060301118314802','4643058280628808575'),('4643058280628810282','4455233622696438813','4643058280628808601'),('4643058280628810283','4455233622696438844','4643058280628808627'),('4643058280628810284','4455233622696438875','4643058280628808653'),('4643058280628810285','4455233622696438906','4643058280628808679'),('4643058280628810286','4455233622696438937','4643058280628808705'),('4643058280628810287','4459060301118314833','4643058280628808731'),('4643058280628810288','4477020239442783564','4643058280628808757'),('4643058280628810289','4459060301118314864','4643058280628808783'),('4643058280628810290','4459060301118314895','4643058280628808809'),('4643058280628810291','4459060301118314926','4643058280628808835'),('4643058280628810292','4459060301118314957','4643058280628808861'),('4643058280628810293','4459060301118314988','4643058280628808887'),('4643058280628810294','4455233622696438968','4643058280628808913'),('4643058280628810295','4477020239442783644','4643058280628808939'),('4643058280628810296','4476991033665073636','4643058280628808965'),('4643058280628810297','4459060301118315019','4643058280628808991'),('4643058280628810298','4455233622696438999','4643058280628809017'),('4643058280628810299','4459060301118315205','4643058280628809043'),('4643058280628810300','4459060301118315081','4643058280628809069'),('4643058280628810301','4459060301118315112','4643058280628809095'),('4643058280628810302','4459060301118315143','4643058280628809121'),('4643058280628810303','4455233622696439030','4643058280628809147'),('4643058280628810304','4459060301118315174','4643058280628809173'),('4643058280628810305','4476991033665073961','4643058280628809199'),('4643058280628810306','4477020239442783817','4643058280628809225'),('4643058280628810307','4459060301118315236','4643058280628809251'),('4643058280628810308','4455233622696439061','4643058280628809277'),('4643058280628810309','4455233622696439092','4643058280628809303'),('4643058280628810310','4459060301118315267','4643058280628809329'),('4643058280628810311','4459060301118315298','4643058280628809355'),('4643058280628810312','4455233622696439123','4643058280628809381'),('4643058280628810313','4455233622696439154','4643058280628809407'),('4643058280628810314','4477020239442784062','4643058280628809433'),('4643058280628810315','4459060301118315329','4643058280628809459'),('4643058280628810316','4455233622696439185','4643058280628809485'),('4643058280628810317','4477020239442784133','4643058280628809511'),('4643058280628810318','4477020239442784164','4643058280628809537'),('4643058280628810319','4477020239442784238','4643058280628809563'),('4643058280628810320','4476991033665074226','4643058280628809589'),('4643058280628810321','4459060301118315360','4643058280628809615'),('4643058280628810322','4455233622696439216','4643058280628809641'),('4643058280628810323','4459060301118315391','4643058280628809667'),('4643058280628810324','4459060301118315422','4643058280628809693'),('4643058280628810325','4455233622696439247','4643058280628809719'),('4643058280628810326','4477020239442784520','4643058280628809745'),('4643058280628810327','4476991033665074310','4643058280628809771'),('4643058280628810328','4455233622696439278','4643058280628809797'),('4643058280628810329','4455233622696439309','4643058280628809823'),('4643058280628810330','4459060301118315453','4643058280628809849'),('4643058280628810331','4455233622696439340','4643058280628809875'),('4643058280628810332','4455233622696439371','4643058280628809901'),('4643058280628810333','4459060301118315484','4643058280628809927'),('4643058280628810334','4455233622696439402','4643058280628809953'),('4643058280628810335','4459060301118315515','4643058280628809979'),('4643058280628810336','4459060301118315546','4643058280628810005'),('4643058280628810337','4459060301118315577','4643058280628810031'),('4643058280628810338','4455233622696439433','4643058280628810057'),('4643058280628810339','4455233622696439464','4643058280628810083'),('4643058280628810340','4459060301118315608','4643058280628810109'),('4643058280628810341','4455233622696439495','4643058280628810135'),('4643058280628810342','4455233622696439526','4643058280628810161'),('4643058280628810343','4476991033665074633','4643058280628810187'),('4643058280628810344','4477020239442784909','4643058280628810213'),('4643058280628810345','4477020239442784983','4643058280628810239'),('4643058349348282830','4476995603510277249','4643058349348282380'),('4643058349348282831','4548239868181776805','4643058349348282406'),('4643058349348282832','4548239868181776970','4643058349348282406'),('4643058349348282833','4548287353340241116','4643058349348282406'),('4643058349348282834','4548241139492098218','4643058349348282406'),('4643058349348282835','4548282027580784312','4643058349348282406'),('4643058349348282836','4548241139492098652','4643058349348282406'),('4643058349348282837','4548288212333706807','4643058349348282406'),('4643058349348282838','4548241139492099396','4643058349348282438'),('4643058349348282839','4548282061940516997','4643058349348282438'),('4643058349348282840','4548282061940517357','4643058349348282438'),('4643058349348282841','4548282061940517584','4643058349348282438'),('4643058349348282842','4548241139492100498','4643058349348282438'),('4643058349348282843','4548241139492101075','4643058349348282438'),('4643058349348282844','4548241139492101326','4643058349348282438'),('4643058349348282845','4548288281053177616','4643058349348282438'),('4643058349348282846','4548288281053178030','4643058349348282438'),('4643058349348282847','4548288555931088021','4643058349348282438'),('4643058349348282848','4548282989653453754','4643058349348282438'),('4643058349348282849','4548282989653454033','4643058349348282438'),('4643058349348282850','4548288555931088863','4643058349348282438'),('4643058349348282851','4548288555931089177','4643058349348282438'),('4643058349348282852','4548241792327127710','4643058349348282438'),('4643058349348282853','4548282989653455499','4643058349348282438'),('4643058349348282854','4548241792327128174','4643058349348282438'),('4643058349348282855','4548241792327128368','4643058349348282438'),('4643058349348282856','4548282989653456043','4643058349348282438'),('4643058349348282857','4548282989653456189','4643058349348282438'),('4643058349348282858','4548241792327128854','4643058349348282438'),('4643058349348282859','4548241139492102126','4643058349348282484'),('4643058349348282860','4548288281053178678','4643058349348282484'),('4643058349348282861','4548282061940522113','4643058349348282484'),('4643058349348282862','4548241173851835696','4643058349348282484'),('4643058349348282863','4548288315412915087','4643058349348282484'),('4643058349348282864','4548241173851837484','4643058349348282484'),('4643058349348282865','4548282096300254911','4643058349348282484'),('4643058349348282866','4548288315412915594','4643058349348282484'),('4643058349348282867','4548282096300257207','4643058349348282517'),('4643058349348282868','4548288315412917634','4643058349348282517'),('4643058349348282869','4548241208211570724','4643058349348282517'),('4643058349348282870','4548241208211571022','4643058349348282517'),('4643058349348282871','4548282096300259874','4643058349348282517'),('4643058349348282872','4548282714775549187','4643058349348282517'),('4643058349348282873','4548282714775549404','4643058349348282517'),('4643058349348282874','4548288315412919583','4643058349348282517'),('4643058349348282875','4548288349772653926','4643058349348282550'),('4643058349348282876','4548282749135283348','4643058349348282550'),('4643058349348282877','4548288349772655472','4643058349348282550'),('4643058349348282878','4548288349772659826','4643058349348282550'),('4643058349348282879','4548241208211574650','4643058349348282550'),('4643058349348282880','4548282749135289041','4643058349348282550'),('4643058349348282881','4548288349772660454','4643058349348282550'),('4643058349348282882','4548241242571309568','4643058349348282550'),('4643058349348282883','4548282783495026496','4643058349348282550'),('4643058349348282884','4548282783495026667','4643058349348282550'),('4643058349348282885','4548288384132391965','4643058349348282550'),('4643058349348282886','4548282783495027522','4643058349348282550'),('4643058349348282887','4548241345650527341','4643058349348282587'),('4643058349348282888','4548288384132396322','4643058349348282587'),('4643058349348282889','4548241345650528760','4643058349348282587'),('4643058349348282890','4548282783495028336','4643058349348282587'),('4643058349348282891','4548241345650529609','4643058349348282587'),('4643058349348282892','4548282817854759002','4643058349348282587'),('4643058349348282893','4548241345650529862','4643058349348282587'),('4643058349348282894','4548282817854759733','4643058349348282587'),('4643058349348282895','4548282817854759876','4643058349348282587'),('4643058349348282896','4548282817854760294','4643058349348282621'),('4643058349348282897','4548241345650530783','4643058349348282621'),('4643058349348282898','4548241345650531001','4643058349348282621'),('4643058349348282899','4548282817854765914','4643058349348282621'),('4643058349348282900','4548241345650531350','4643058349348282621'),('4643058349348282901','4548282817854766328','4643058349348282621'),('4643058349348282902','4548282817854766838','4643058349348282621'),('4643058349348282903','4548288452851871923','4643058349348282621'),('4643058349348282904','4548241380010263878','4643058349348282621'),('4643058349348282905','4548241689247915971','4643058349348282655'),('4643058349348282906','4548241723607646365','4643058349348282655'),('4643058349348282907','4548241723607646521','4643058349348282655'),('4643058349348282908','4548241723607649667','4643058349348282655'),('4643058349348282909','4548288487211611112','4643058349348282655'),('4643058349348282910','4548241723607650041','4643058349348282655'),('4643058349348282911','4562964253023214117','4643058349348282655'),('4643058349348282912','4548241414370005312','4643058349348282687'),('4643058349348282913','4548282886574239048','4643058349348282687'),('4643058349348282914','4548288487211612437','4643058349348282687'),('4643058349348282915','4548288487211613048','4643058349348282687'),('4643058349348282916','4548282955293713472','4643058349348282687'),('4643058349348282917','4548241723607651026','4643058349348282687'),('4643058349348282918','4548288487211613954','4643058349348282718'),('4643058349348282919','4548288521571344491','4643058349348282718'),('4643058349348282920','4548288521571347468','4643058349348282718'),('4643058349348282921','4548241723607652700','4643058349348282718'),('4643058349348282922','4548288521571348090','4643058349348282718'),('4643058349348282923','4548288521571348286','4643058349348282718'),('4643058349348282924','4548282955293716613','4643058349348282718'),('4643058349348282925','4548241723607653638','4643058349348282718'),('4643058349348282926','4548288521571348980','4643058349348282718'),('4643058349348282927','4548282955293717119','4643058349348282718'),('4643058349348282928','4548241757967384579','4643058349348282718'),('4643058349348282929','4548288624650560068','4643058349348282718'),('4643058349348282930','4548241792327129373','4643058349348282718'),('4643058349348282931','4548288624650560471','4643058349348282718'),('4643058349348282932','4548288624650560623','4643058349348282718'),('4643058349348282933','4548288624650560809','4643058349348282718'),('4643058349348282934','4548241792327129950','4643058349348282718'),('4643058349348282935','4548282955293718432','4643058349348282760'),('4643058349348282936','4548282955293718616','4643058349348282760'),('4643058349348282937','4548241757967385256','4643058349348282760'),('4643058349348282938','4548241757967385376','4643058349348282760'),('4643058349348282939','4548282955293719123','4643058349348282760'),('4643058349348282940','4548282955293719246','4643058349348282760'),('4643058349348282941','4548282955293719328','4643058349348282760'),('4643058349348282942','4548282955293719471','4643058349348282760'),('4643058349348282943','4548282955293719654','4643058349348282760'),('4643058349348282944','4548288521571351823','4643058349348282760'),('4643058349348282945','4548282955293720092','4643058349348282760'),('4643058349348282946','4548241757967389398','4643058349348282796'),('4643058349348282947','4548288555931083720','4643058349348282796'),('4643058349348282948','4548241757967390096','4643058349348282796'),('4643058349348282949','4548282989653451461','4643058349348282796'),('4643058349348282950','4548288555931084350','4643058349348282796'),('4643058349348282951','4548282989653451730','4643058349348282796'),('4643058349348282952','4548241792327124520','4643058349348282796'),('4643058349348282953','4548288555931084930','4643058349348282796'),('4643058349348282954','4548282989653452874','4643058349348282796'),('4643058418067759871','4500624348909701200','4643058383708026199'),('4643058418067759872','4500624348909701200','4643058383708026225'),('4643058418067759873','4500610845532507428','4643058383708026251'),('4643058418067759874','4500610845532507428','4643058383708026277'),('4643058418067759875','4500610845532507752','4643058383708026303'),('4643058418067759876','4527514589394234595','4643058383708026329'),('4643058418067759877','4500624348909702299','4643058383708026355'),('4643058418067759878','4500624348909702299','4643058383708026381'),('4643058418067759879','4500610845532508685','4643058383708026407'),('4643058418067759880','4527514589394235341','4643058383708026433'),('4643058418067759881','4500624280190223464','4643058383708026459'),('4643058418067759882','4500624280190223464','4643058383708026485'),('4643058418067759883','4500624280190223464','4643058383708026511'),('4643058418067759884','4500624280190223464','4643058383708026537'),('4643058418067759885','4527514486315017545','4643058383708026563'),('4643058418067759886','4500624280190223839','4643058383708026589'),('4643058418067759887','4500624280190224019','4643058383708026615'),('4643058418067759888','4500624280190224783','4643058383708026641'),('4643058418067759889','4500624280190225256','4643058383708026667'),('4643058418067759890','4527514486315018797','4643058383708026693'),('4643058418067759891','4527514486315018797','4643058383708026719'),('4643058418067759892','4527514486315018797','4643058383708026745'),('4643058418067759893','4527513627321557167','4643058383708026771'),('4643058418067759894','4500622974520168353','4643058383708026797'),('4643058418067759895','4500622974520168527','4643058383708026823'),('4643058418067759896','4500622974520171689','4643058383708026849'),('4643058418067759897','4527513627321563323','4643058383708026875'),('4643058418067759898','4527513661681297731','4643058383708026901'),('4643058418067759899','4500609264984542851','4643058383708026927'),('4643058418067759900','4527513661681298701','4643058383708026953'),('4643058418067759901','4527499539828827871','4643058383708026979'),('4643058418067759902','4527499539828828663','4643058383708027005'),('4643058418067759903','4527499539828830509','4643058383708027031'),('4643058418067759904','4500595314930766417','4643058383708027057'),('4643058418067759905','4500595314930766553','4643058383708027083'),('4643058418067759906','4500595314930766937','4643058383708027109'),('4643058418067759907','4500608131113190497','4643058383708027135'),('4643058418067759908','4527499574188567789','4643058383708027161'),('4643058418067759909','4500583804418414676','4643058383708027187'),('4643058418067759910','4500591466640088765','4643058383708027213'),('4643058418067759911','4500551849861710590','4643058383708027239'),('4643058418067759912','4527513558602083860','4643058383708027265'),('4643058418067759913','4527513558602083860','4643058383708027291'),('4643058418067759914','4500622837081212648','4643058383708027317'),('4643058418067759916','4527513558602084666','4643058383708027344'),('4643058418067759917','4500609127545589608','4643058383708027370'),('4643058418067759918','4500622837081213420','4643058383708027396'),('4643058418067759919','4527513558602085344','4643058383708027396'),('4643058418067759920','4477026492915169076','4643058383708027423'),('4643058418067759921','4476997424576408773','4643058383708027449'),('4643058418067759922','4476997424576408871','4643058383708027475'),('4643058418067759923','4476997424576409288','4643058383708027501'),('4643058418067759924','4476997424576409389','4643058383708027527'),('4643058418067759925','4476997424576409569','4643058383708027553'),('4643058418067759926','4500608199832668320','4643058383708027579'),('4643058418067759927','4527499677267780308','4643058383708027605'),('4643058418067759928','4527499677267786231','4643058383708027631'),('4643058418067759929','4500608199832671400','4643058383708027657'),('4643058418067759930','4500595521089193342','4643058383708027683'),('4643058418067759931','4527499711627517996','4643058383708027683'),('4643058418067759932','4500595521089197364','4643058383708027710'),('4643058418067759933','4527499677267787597','4643058383708027736'),('4643058418067759934','4527499711627519152','4643058383708027736'),('4643058418067759935','4500615758975111682','4643058383708027763'),('4643058418067759936','4500615758975111874','4643058383708027789'),('4643058418067759937','4527507098971272388','4643058383708027815'),('4643058418067759938','4500615758975112120','4643058383708027841'),('4643058418067759939','4500602564835557600','4643058383708027867'),('4643058418067759940','4500615758975112266','4643058383708027893'),('4643058418067759941','4500602564835557829','4643058383708027919'),('4643058418067759942','4527507098971273026','4643058383708027945'),('4643058418067759943','4476997390216668492','4643058383708027971'),('4643058418067759944','4476997390216668797','4643058383708027997'),('4643058418067759945','4476997390216669024','4643058383708028023'),('4643058418067759946','4477026458555427791','4643058383708028049'),('4643058418067759947','4477026458555428169','4643058383708028075'),('4643058418067759948','4476997390216669486','4643058383708028101'),('4643058418067759949','4476997390216669754','4643058383708028127'),('4643058418067759950','4477026458555430977','4643058383708028153'),('4643058418067759951','4477026527274909397','4643058383708028179'),('4643058418067759952','4477026527274909397','4643058383708028205'),('4643058418067759953','4476997458936144389','4643058383708028231'),('4643058418067759954','4476997458936145019','4643058383708028257'),('4643058418067759955','4476997458936147576','4643058383708028283'),('4643058418067759956','4476997527655622467','4643058383708028309'),('4643058418067759957','4477026733433336091','4643058383708028335'),('4643058418067759958','4476998352289343762','4643058383708028361'),('4643058418067759959','4476998352289344657','4643058383708028387'),('4643058418067759960','4476998489728295577','4643058383708028413'),('4643058418067759961','4476998489728295654','4643058383708028439'),('4643058418067759962','4476998489728295774','4643058383708028465'),('4643058418067759963','4477026836512548915','4643058383708028491'),('4643058418067759964','4477026836512548950','4643058383708028517'),('4643058418067759965','4527499711627524581','4643058383708028543'),('4643058418067759966','4527499711627524581','4643058383708028569'),('4643058418067759967','4500595555448935868','4643058383708028595'),('4643058418067759968','4527499745987258852','4643058383708028621'),('4643058418067759969','4527499745987259132','4643058383708028647'),('4643058418067759970','4500608268552145878','4643058383708028673'),('4643058418067759971','4500595555448937622','4643058383708028699'),('4643058418067759972','4527499745987260185','4643058383708028725'),('4643058418067759973','4500595555448938489','4643058383708028751'),('4643058418067759974','4500595830326839373','4643058383708028777'),('4643058418067759975','4527500020865169177','4643058383708028803'),('4643058418067759976','4527500055224909762','4643058383708028829'),('4643058418067759977','4500595933406053630','4643058383708028855'),('4643058418067759978','4500609127545590708','4643058383708028881'),('4643058418067759979','4500609161905327213','4643058383708028907'),('4643058418067759980','4500622940160426036','4643058418067759109'),('4643058418067759981','4500609161905327494','4643058418067759161'),('4643058418067759982','4500622940160426432','4643058418067759187'),('4643058418067759983','4500609161905327948','4643058418067759213'),('4643058418067759984','4527513558602087509','4643058418067759239'),('4643058418067759985','4500622940160427163','4643058418067759265'),('4643058418067759986','4527513592961824376','4643058418067759291'),('4643058418067759987','4500609161905329067','4643058418067759317'),('4643058418067759988','4500622802721477188','4643058418067759343'),('4643058418067759989','4500609093185847509','4643058418067759369'),('4643058418067759990','4500609093185847736','4643058418067759395'),('4643058418067759991','4500609093185847863','4643058418067759421'),('4643058418067759992','4500609093185848007','4643058418067759447'),('4643058418067759993','4500622802721479217','4643058418067759516'),('4643058418067759994','4527513558602081907','4643058418067759542'),('4643058418067759995','4500622802721479631','4643058418067759568'),('4643058418067759996','4527513558602082301','4643058418067759594'),('4643058418067759997','4500609093185850435','4643058418067759663'),('4643058418067759998','4500622802721480200','4643058418067759689'),('4643058418067759999','4500624280190226611','4643058418067759715'),('4643058418067760000','4500624280190226866','4643058418067759741'),('4643058418067760001','4500624280190226866','4643058418067759767'),('4643058418067760002','4527514486315020248','4643058418067759793'),('4643058418067760003','4500610776813029236','4643058418067759819'),('4643058418067760004','4500624280190227068','4643058418067759845'),('4643059345780698459','4613301304092616138','4643059345780697829'),('4643059345780698460','4628183468852730746','4643059345780697829'),('4643059345780698461','4613301304092616179','4643059345780697829'),('4643059345780698462','4613301475891311617','4643059345780697829'),('4643059345780698466','4616949414954273083','4643059345780697858'),('4643059345780698467','4616949414954273297','4643059345780697887'),('4643059345780698468','4616949414954273331','4643059345780697887'),('4643059345780698469','4613301578970522565','4643059345780697887'),('4643059345780698470','4613301578970522608','4643059345780697887'),('4643059345780698471','4628183503212466893','4643059345780697916'),('4643059345780698472','4613301578970522691','4643059345780697916'),('4643059345780698473','4628183503212469872','4643059345780697916'),('4643059345780698474','4616949414954275261','4643059345780697916'),('4643059345780698475','4628183571931939071','4643059345780697945'),('4643059345780698476','4628183571931939516','4643059345780697945'),('4643059345780698477','4613301578970524929','4643059345780697945'),('4643059345780698478','4613301578970525009','4643059345780697945'),('4643059345780698479','4476993816803883278','4643059345780697974'),('4643059345780698480','4476993816803883352','4643059345780697974'),('4643059345780698481','4477022988221851301','4643059345780697974'),('4643059345780698482','4477022988221851406','4643059345780697974'),('4643059345780698483','4477022988221853899','4643059345780697974'),('4643059345780698484','4476993816803883645','4643059345780697974'),('4643059345780698485','4477022988221855213','4643059345780697974'),('4643059345780698486','4476994160401262605','4643059345780698006'),('4643059345780698487','4476994160401262636','4643059345780698006'),('4643059345780698488','4476994160401262698','4643059345780698006'),('4643059345780698489','4476994160401262808','4643059345780698006'),('4643059345780698490','4476994160401262916','4643059345780698006'),('4643059345780698491','4476994813236294080','4643059345780698006'),('4643059345780698492','4476995053754461692','4643059345780698006'),('4643059345780698493','4476994160401263033','4643059345780698006'),('4643059345780698494','4477023091301071836','4643059345780698006'),('4643059345780698495','4476994160401263230','4643059345780698006'),('4643059345780698496','4477023091301071943','4643059345780698006'),('4643059345780698497','4477023091301072145','4643059345780698006'),('4643059345780698498','4477023056941330535','4643059345780698043'),('4643059345780698499','4477023056941330571','4643059345780698043'),('4643059345780698500','4476994057322048427','4643059345780698043'),('4643059345780698501','4477023056941330703','4643059345780698043'),('4643059345780698502','4477023056941330734','4643059345780698043'),('4643059345780698503','4476994057322048625','4643059345780698043'),('4643059345780698504','4477023056941330796','4643059345780698043'),('4643059345780698505','4476994057322048861','4643059345780698043'),('4643059345780698506','4477023056941330961','4643059345780698043'),('4643059345780698507','4477023056941332403','4643059345780698043'),('4643059345780698508','4477023056941332492','4643059345780698043'),('4643059345780698509','4477023056941332609','4643059345780698043'),('4643059345780698510','4477023056941332743','4643059345780698043'),('4643059345780698511','4476994091681785842','4643059345780698043'),('4643059345780698512','4477023056941328317','4643059345780698082'),('4643059345780698519','4476994160401263440','4643059345780698114'),('4643059345780698520','4476994160401267185','4643059345780698114'),('4643059345780698521','4476994160401267260','4643059345780698114'),('4643059345780698522','4477023160020546208','4643059345780698114'),('4643059345780698523','4476994160401267596','4643059345780698114'),('4643059345780698524','4476994160401267671','4643059345780698114'),('4643059345780698525','4476994160401267702','4643059345780698114'),('4643059345780698526','4476994160401267795','4643059345780698114'),('4643059345780698527','4476994160401267989','4643059345780698114'),('4643059345780698528','4476993851163616321','4643059345780698148'),('4643059345780698529','4476993851163616383','4643059345780698148'),('4643059345780698530','4477022988221855978','4643059345780698148'),('4643059345780698531','4476993851163617438','4643059345780698148'),('4643059345780698532','4477022988221856570','4643059345780698148'),('4643059345780698533','4476993851163617543','4643059345780698148'),('4643059345780698534','4477023022581596067','4643059345780698148'),('4643059345780698535','4476993988602570979','4643059345780698148'),('4643059345780698536','4477023056941326713','4643059345780698148'),('4643059345780698537','4476993988602572533','4643059345780698148'),('4643059345780698538','4476994091681787116','4643059345780698183'),('4643059345780698539','4476994091681787205','4643059345780698183'),('4643059345780698540','4477023091301065865','4643059345780698183'),('4643059345780698541','4476994091681788532','4643059345780698183'),('4643059345780698542','4477023091301066043','4643059345780698183'),('4643059345780698543','4476994160401260720','4643059345780698183'),('4643059345780698544','4477023091301067641','4643059345780698183'),('4643059345780698545','4477023091301071197','4643059345780698183'),('4643059345780698546','4477023091301071317','4643059345780698183'),('4643059345780698547','4476994194761000404','4643059345780698217'),('4643059345780698548','4477023194380285601','4643059345780698217'),('4643059345780698549','4476994194761000536','4643059345780698217'),('4643059345780698550','4476994194761001877','4643059345780698217'),('4643059345780698551','4477023194380287005','4643059345780698217'),('4643059345780698552','4476994194761002056','4643059345780698217'),('4643059345780698553','4476994194761006063','4643059345780698217'),('4643059345780698554','4477023194380287110','4643059345780698217'),('4643059345780698555','4477023056941327043','4643059345780698250'),('4643059345780698556','4477023056941327118','4643059345780698250'),('4643059345780698557','4476993988602573032','4643059345780698250'),('4643059345780698558','4476993988602573266','4643059345780698250'),('4643059345780698559','4477023056941327242','4643059345780698250'),('4643059345780698560','4477023056941327276','4643059345780698250'),('4643059345780698561','4476993988602573437','4643059345780698250'),('4643059345780698562','4476993988602573557','4643059345780698250'),('4643059345780698563','4477023056941327636','4643059345780698250'),('4643059345780698564','4476993988602573848','4643059345780698250'),('4643059345780698566','4476992373694871079','4643059345780698311'),('4643059345780698567','4476992373694871110','4643059345780698311'),('4643059345780698568','4477021270234935693','4643059345780698311'),('4643059345780698569','4476992373694871243','4643059345780698311'),('4643059345780698570','4476992511133821804','4643059345780698311'),('4643059345780698571','4477021476393362058','4643059345780698311'),('4643059345780698572','4477021476393366613','4643059345780698311'),('4643059345780698573','4477021545112838855','4643059345780698311'),('4643059345780698574','4477021545112841161','4643059345780698311'),('4643059345780698575','4476992682932516717','4643059345780698311'),('4643059345780698576','4476992682932518193','4643059345780698311'),('4643059345780698577','4477021648192054704','4643059345780698311'),('4643059345780698578','4476992682932518411','4643059345780698311'),('4643059345780698579','4477021648192057321','4643059345780698311'),('4643059345780698580','4476992682932518896','4643059345780698311'),('4643059345780698581','4477022919502379475','4643059345780698351'),('4643059345780698582','4476993816803880778','4643059345780698351'),('4643059345780698583','4476993816803880809','4643059345780698351'),('4643059345780698584','4476993816803880840','4643059345780698351'),('4643059345780698585','4477022919502379611','4643059345780698351'),('4643059345780698586','4477022919502379685','4643059345780698351'),('4643059345780698587','4477022919502379747','4643059345780698351'),('4643059345780698588','4476993816803880903','4643059345780698351'),('4643059345780698589','4476993816803880956','4643059345780698351'),('4643059345780698590','4476993816803880987','4643059345780698351'),('4643059345780698591','4477022919502380066','4643059345780698351'),('4643059345780698592','4477022919502380140','4643059345780698351'),('4643059345780698593','4477022919502380214','4643059345780698351'),('4643059345780698594','4477022919502380245','4643059345780698351'),('4643059345780698595','4476993816803881081','4643059345780698351'),('4643059345780698596','4477022919502379014','4643059345780698391'),('4643059345780698597','4477022919502379077','4643059345780698391'),('4643059345780698598','4476993816803880354','4643059345780698391'),('4643059345780698599','4477022919502379108','4643059345780698391'),('4643059345780698600','4476993816803880443','4643059345780698391'),('4643059345780698601','4476993816803880532','4643059345780698391'),('4643059345780698602','4477022919502379244','4643059345780698391'),('4643059345780698603','4476993816803880563','4643059345780698391'),('4643059345780698604','4476993816803880594','4643059345780698391'),('4643059345780698605','4477021648192057790','4643059345780698425'),('4643059345780698606','4477022094868655854','4643059345780698425'),('4643059345780698607','4477022163588129723','4643059345780698425'),('4643059345780698608','4476993438846762472','4643059345780698425'),('4643059345780698609','4477022163588131719','4643059345780698425'),('4643059345780698610','4477022163588133037','4643059345780698425'),('4643059345780698611','4477022163588133068','4643059345780698425'),('4643059345780698612','4476993473206495631','4643059345780698425'),('4643059345780698613','4477022163588133233','4643059345780698425'),('4643059792457296960','4500574149331944609','4643059792457295608'),('4643059792457296961','4500574149331944644','4643059792457295634'),('4643059792457296962','4500534429474358731','4643059792457295660'),('4643059792457296963','4500567311743995351','4643059792457295686'),('4643059792457296964','4500534429474359995','4643059792457295712'),('4643059792457296965','4500567208664778933','4643059792457295738'),('4643059792457296966','4500567208664778967','4643059792457295764'),('4643059792457296967','4500572946741104307','4643059792457295790'),('4643059792457296968','4500572946741104384','4643059792457295816'),('4643059792457296969','4500572946741104647','4643059792457295842'),('4643059792457296974','4500566899427132325','4643059792457295972'),('4643059792457296975','4500568067658241593','4643059792457295998'),('4643059792457296976','4500574733447501256','4643059792457296024'),('4643059792457296977','4500574733447502565','4643059792457296050'),('4643059792457296978','4500577585305771267','4643059792457296076'),('4643059792457296979','4497713804191899948','4643059792457296102'),('4643059792457296980','4500586828075403916','4643059792457296128'),('4643059792457296981','4497734763632360454','4643059792457296154'),('4643059792457296982','4497734901071308510','4643059792457296180'),('4643059792457296983','4497713975990591980','4643059792457296206'),('4643059792457296987','4500577860183689313','4643059792457296310'),('4643059792457296990','4500539171118255811','4643059792457296388'),('4643059792457296991','4500539480355901915','4643059792457296414'),('4643059792457296992','4500570919516527348','4643059792457296440'),('4643059792457296994','4500534704352270914','4643059792457296492'),('4643059792457296995','4476999039484116899','4643059792457296518'),('4643059792457296996','4477027386268364956','4643059792457296544'),('4643059792457296997','4477027386268367279','4643059792457296570'),('4643059792457296998','4476999073843848260','4643059792457296596'),('4643059792457296999','4476999039484112915','4643059792457296622'),('4643059792457297000','4500574905246195195','4643059792457296648'),('4643059792457297001','4497713357515309008','4643059792457296674'),('4643059792457297002','4476999073843847939','4643059792457296700'),('4643059792457297003','4500568342536144657','4643059792457296726'),('4643059792457297004','4500574905246195477','4643059792457296752'),('4643059792457297005','4500568342536144950','4643059792457296778'),('4643059792457297006','4500576313995467589','4643059792457296804'),('4643059792457297007','4500569373328298318','4643059792457296830'),('4643059792457297008','4500537934167673229','4643059792457296856'),('4643059792457297009','4500537934167673332','4643059792457296882'),('4643059792457297010','4500537934167673427','4643059792457296908'),('4643059792457297011','4500538002887149983','4643059792457296934'),('4643059998615729058','4500574046252716453','4643059998615728784'),('4643059998615729061','4500573565216379121','4643059998615728862'),('4643059998615729063','4500582945424966748','4643059998615728889'),('4643059998615729064','4500573771374811970','4643059998615728889'),('4643059998615729065','4500573805734545144','4643059998615728889'),('4643059998615729066','4500541473220727377','4643059998615728917'),('4643059998615729067','4500541507580467127','4643059998615728917'),('4643059998615729068','4500541438860990021','4643059998615728917'),('4643059998615729069','4500583185943135172','4643059998615728917'),('4643059998615729070','4500573840094289823','4643059998615728946'),('4643059998615729071','4500541610659680087','4643059998615728946'),('4643059998615729072','4500541610659682970','4643059998615728946'),('4643059998615729073','4500583185943140187','4643059998615728946'),('4643059998615729074','4500583289022356915','4643059998615728975'),('4643059998615729076','4500583976217122580','4643059998615729002'),('4643059998615729077','4500541885537588459','4643059998615729002'),('4643059998615729078','4500584182375547591','4643059998615729002'),('4643059998615729079','4500580780761448826','4643059998615729030'),('4643059998615729080','4500541267062299652','4643059998615729030'),('4643059998615729081','4500541301422035798','4643059998615729030'),('4643060032975469963','4500534498193835625','4643060032975467930'),('4643060032975469964','4500574252411160817','4643060032975467956'),('4643060032975469965','4500574321130640764','4643060032975467982'),('4643060032975469966','4500574355490374192','4643060032975468008'),('4643060032975469967','4500567689701115109','4643060032975468034'),('4643060032975469968','4500574355490375107','4643060032975468060'),('4643060032975469969','4500534635632790163','4643060032975468086'),('4643060032975469971','4500534635632794689','4643060032975468113'),('4643060032975469972','4500567792780332463','4643060032975468139'),('4643060032975469973','4500534704352268920','4643060032975468165'),('4643060032975469974','4500574527289072635','4643060032975468191'),('4643060032975469975','4500574527289072635','4643060032975468217'),('4643060032975469976','4500566761988182420','4643060032975468243'),('4643060032975469977','4500566796347917563','4643060032975468269'),('4643060032975469978','4500566796347922708','4643060032975468295'),('4643060032975469979','4500534154596450875','4643060032975468321'),('4643060032975469980','4500534154596451350','4643060032975468347'),('4643060032975469981','4500534154596451637','4643060032975468373'),('4643060032975469982','4500534154596453314','4643060032975468399'),('4643060032975469983','4500573015460577578','4643060032975468425'),('4643060032975469984','4500566796347918315','4643060032975468451'),('4643060032975469985','4500534154596456755','4643060032975468477'),('4643060032975469986','4500573015460583490','4643060032975468503'),('4643060032975469987','4500574183691686871','4643060032975468529'),('4643060032975469988','4500567380463471037','4643060032975468555'),('4643060032975469989','4500574252411163392','4643060032975468581'),('4643060032975469990','4500567620981641121','4643060032975468607'),('4643060032975469991','4500534532553578617','4643060032975468634'),('4643060032975469992','4500574355490374314','4643060032975468660'),('4643060032975469993','4500574355490376871','4643060032975468686'),('4643060032975469994','4500534429474362157','4643060032975468712'),('4643060032975469995','4500535116669128680','4643060032975468738'),('4643060032975469996','4500568205097194878','4643060032975468764'),('4643060032975469997','4500574870886449754','4643060032975468790'),('4643060032975469998','4500568273816670941','4643060032975468816'),('4643060032975469999','4562955078973056403','4643060032975468842'),('4643060032975470000','4562961263725983671','4643060032975468842'),('4643060032975470001','4500567346103737062','4643060032975468869'),('4643060032975470002','4500574183691687272','4643060032975468895'),('4643060032975470003','4500567792780332427','4643060032975468921'),('4643060032975470004','4500534669992530407','4643060032975468947'),('4643060032975470005','4500534669992530913','4643060032975468973'),('4643060032975470006','4500534669992532897','4643060032975468999'),('4643060032975470007','4500534669992533270','4643060032975469025'),('4643060032975470008','4500574492929334131','4643060032975469051'),('4643060032975470009','4500540339349363789','4643060032975469051'),('4643060032975470010','4500534704352268437','4643060032975469078'),('4643060032975470011','4500567827140071974','4643060032975469104'),('4643060032975470012','4500567895859549482','4643060032975469130'),('4643060032975470013','4500534704352271049','4643060032975469156'),('4643060032975470014','4500534773071741675','4643060032975469182'),('4643060032975470015','4500534360754882794','4643060032975469208'),('4643060032975470016','4500574355490374533','4643060032975469234'),('4643060032975470017','4500534773071741992','4643060032975469260'),('4643060032975470018','4500568033298498556','4643060032975469286'),('4643060032975470019','4500574733447497959','4643060032975469312'),('4643060032975470020','4500566624549227037','4643060032975469338'),('4643060032975470021','4500572843661890171','4643060032975469364'),('4643060032975470022','4500566658908964959','4643060032975469390'),('4643060032975470023','4500572878021625631','4643060032975469416'),('4643060032975470025','4500534017157502948','4643060032975469443'),('4643060032975470026','4500572912381363215','4643060032975469469'),('4643060032975470027','4500572912381367389','4643060032975469495'),('4643060032975470028','4500534085876977559','4643060032975469521'),('4643060032975470030','4500572946741105636','4643060032975469573'),('4643060032975470031','4500534360754883366','4643060032975469599'),('4643060032975470032','4500567277384259659','4643060032975469625'),('4643060032975470033','4500534704352267061','4643060032975469651'),('4643060032975470034','4500534704352268550','4643060032975469677'),('4643060032975470035','4500534773071743113','4643060032975469703'),('4643060032975470036','4500574699087760395','4643060032975469729'),('4643060032975470037','4500534773071746905','4643060032975469755'),('4643060032975470038','4500568067658239339','4643060032975469781'),('4643060032975470039','4500574733447500145','4643060032975469807'),('4643060032975470040','4500568067658242507','4643060032975469833'),('4643060032975470041','4500574767807241678','4643060032975469859'),('4643060032975470042','4500574802166975238','4643060032975469885'),('4643060032975470043','4500535219748344552','4643060032975469911'),('4643060032975470044','4500574802166980322','4643060032975469937'),('4643060170414423874','4497713426234778672','4643060170414423717'),('4643060170414423875','4497734832351830149','4643060170414423717'),('4643060170414423876','4497713426234778740','4643060170414423717'),('4643060170414423878','4497713907271117118','4643060170414423717'),('4643060170414423879','4497734901071308476','4643060170414423717'),('4643060170414423880','4497713975990591826','4643060170414423717'),('4643060170414423881','4497713975990592013','4643060170414423717'),('4643060170414423882','4497713941630861207','4643060170414423750'),('4643060170414423883','4497713941630861310','4643060170414423750'),('4643060170414423884','4497713975990591611','4643060170414423750'),('4643060170414423885','4497734901071308543','4643060170414423750'),('4643060170414423886','4497713975990591946','4643060170414423750'),('4643060170414423887','4497734901071308588','4643060170414423750'),('4643060170414423888','4497713975990592094','4643060170414423750'),('4643060170414423889','4497713975990592171','4643060170414423750'),('4643060170414423890','4497713975990592518','4643060170414423750'),('4643060170414423891','4497714147789291240','4643060170414423750'),('4643060170414423892','4497714353947717331','4643060170414423785'),('4643060170414423893','4497714353947717538','4643060170414423785'),('4643060170414423894','4497714319587979501','4643060170414423812'),('4643060170414423895','4497735107229738608','4643060170414423812'),('4643060170414423896','4497735107229738642','4643060170414423812'),('4643060170414423897','4497735107229738731','4643060170414423812'),('4643060170414423898','4497714319587980263','4643060170414423812'),('4643060170414423899','4497714319587982753','4643060170414423812'),('4643060170414423900','4497735004150527961','4643060170414423843'),('4643060170414423901','4497714147789287619','4643060170414423843'),('4643060170414423902','4497735038510260474','4643060170414423843'),('4643060170414423903','4497735038510260681','4643060170414423843'),('4643060170414423904','4497735038510260715','4643060170414423843'),('4643060170414423905','4497714216508765684','4643060170414423843'),('4643061132487106118','4562964837138753380','4643061132487105594'),('4643061132487106119','4592833448464665029','4643061132487105620'),('4643061132487106120','4592806510429721988','4643061132487105620'),('4643061132487106121','4592806647868674917','4643061132487105620'),('4643061132487106122','4592833551543882490','4643061132487105620'),('4643061132487106123','4592833620263354480','4643061132487105620'),('4643061132487106124','4592807094545269705','4643061132487105620'),('4643061132487106125','4592807094545272494','4643061132487105620'),('4643061132487106126','4592803761650646604','4643061132487105620'),('4643061132487106127','4592804002168811211','4643061132487105620'),('4643061132487106128','4592834754134727999','4643061132487105620'),('4643061132487106129','4592778541602683764','4643061132487105655'),('4643061132487106130','4592829978131027424','4643061132487105655'),('4643061132487106131','4592859355707395842','4643061132487105655'),('4643061132487106132','4592859355707396993','4643061132487105655'),('4643061132487106133','4592830321728411203','4643061132487105655'),('4643061132487106134','4592859493146345607','4643061132487105655'),('4643061132487106135','4592859493146350424','4643061132487105655'),('4643061132487106136','4592804517564884519','4643061132487105687'),('4643061132487106137','4592804551924624537','4643061132487105687'),('4643061132487106138','4592804586284361475','4643061132487105687'),('4643061132487106139','4592835303890542511','4643061132487105687'),('4643061132487106140','4592804792442796808','4643061132487105687'),('4643061132487106141','4592808159697160685','4643061132487105687'),('4643061132487106142','4592804723723329289','4643061132487105718'),('4643061132487106143','4592801322109215621','4643061132487105718'),('4643061132487106144','4592802043663726952','4643061132487105718'),('4643061132487106145','4592802043663727940','4643061132487105718'),('4643061132487106146','4592806098112861091','4643061132487105718'),('4643061132487106147','4592802249822154811','4643061132487105718'),('4643061132487106148','4592806269911550974','4643061132487105718'),('4643061132487106149','4592833414104926604','4643061132487105718'),('4643061132487106150','4592833414104930225','4643061132487105718'),('4643061132487106151','4592808194056898771','4643061132487105752'),('4643061132487106152','4592808194056901248','4643061132487105752'),('4643061132487106153','4592804964241488739','4643061132487105752'),('4643061132487106154','4592808194056904242','4643061132487105752'),('4643061132487106155','4592822041031463202','4643061132487105752'),('4643061132487106156','4592824480572877748','4643061132487105752'),('4643061132487106157','4592824755450786054','4643061132487105752'),('4643061132487106158','4592824824170261661','4643061132487105752'),('4643061132487106159','4592859355707396030','4643061132487105752'),('4643061132487106160','4592824961609213911','4643061132487105752'),('4643061132487106161','4592830424807625671','4643061132487105787'),('4643061132487106162','4592859561865829942','4643061132487105787'),('4643061132487106163','4592825717523457692','4643061132487105787'),('4643061132487106164','4592859664945044411','4643061132487105787'),('4643061132487106165','4592859699304782094','4643061132487105787'),('4643061132487106166','4592859733664515749','4643061132487105787'),('4643061132487106167','4592827572949328467','4643061132487105787'),('4643061132487106168','4592827572949331621','4643061132487105787'),('4643061132487106169','4592797679976957439','4643061132487105820'),('4643061132487106170','4592826817035160414','4643061132487105820'),('4643061132487106171','4592800394396288217','4643061132487105820'),('4643061132487106172','4592797027141924268','4643061132487105820'),('4643061132487106173','4592799535402827106','4643061132487105820'),('4643061132487106174','4592830115570048217','4643061132487105820'),('4643061132487106175','4592812901341120817','4643061132487105851'),('4643061132487106176','4592851521687044447','4643061132487105851'),('4643061132487106177','4592819842008208623','4643061132487105851'),('4643061132487106178','4592815959357766246','4643061132487105851'),('4643061132487106179','4592852105802603559','4643061132487105851'),('4643061132487106180','4592820460483501710','4643061132487105851'),('4643061132487106181','4592821147678268380','4643061132487105851'),('4643061132487106182','4592817952222587463','4643061132487105851'),('4643061132487106183','4592821697434076858','4643061132487105851'),('4643061132487106184','4592853686350567480','4643061132487105851'),('4643061132487106185','4592779160077972381','4643061132487105886'),('4643061132487106186','4592844615379635898','4643061132487105886'),('4643061132487106187','4592846676963937084','4643061132487105886'),('4643061132487106188','4592846711323677205','4643061132487105886'),('4643061132487106189','4592814791126655211','4643061132487105886'),('4643061132487106190','4592846917482107679','4643061132487105886'),('4643061132487106191','4592811801829423415','4643061132487105917'),('4643061132487106192','4592811870548898076','4643061132487105917'),('4643061132487106193','4592811973628115990','4643061132487105917'),('4643061132487106194','4592812007987852346','4643061132487105917'),('4643061132487106195','4592844134343301663','4643061132487105917'),('4643061132487106196','4592812145426802621','4643061132487105917'),('4643061132487106197','4592807197624481698','4643061132487105948'),('4643061132487106198','4592807369423168124','4643061132487105948'),('4643061132487106199','4592812214146290596','4643061132487105948'),('4643061132487106200','4592840423491555205','4643061132487105948'),('4643061132487106201','4592814138291636090','4643061132487105948'),('4643061132487106202','4592814207011117012','4643061132487105948'),('4643061132487106203','4592843515868004989','4643061132487105948'),('4643061132487106204','4592843550227743403','4643061132487105948'),('4643061132487106205','4592804517564890355','4643061132487105981'),('4643061132487106206','4592835269530799024','4643061132487105981'),('4643061132487106207','4592835510048965737','4643061132487105981'),('4643061132487106208','4592835578768443300','4643061132487105981'),('4643061132487106209','4592804895522009483','4643061132487105981'),('4643061132487106210','4592804964241487825','4643061132487105981'),('4643061132487106211','4592835991085304463','4643061132487105981'),('4643061132487106212','4592805067320699345','4643061132487105981'),('4643061132487106213','4592810393080159721','4643061132487105981'),('4643061132487106214','4592806132472601216','4643061132487106015'),('4643061132487106215','4592833276665978418','4643061132487106015'),('4643061132487106216','4592803108815610029','4643061132487106015'),('4643061132487106217','4592803418053257810','4643061132487106015'),('4643061132487106218','4592833482824405065','4643061132487106015'),('4643061132487106219','4592806682228413414','4643061132487106015'),('4643061132487106220','4592833551543880757','4643061132487106015'),('4643061132487106221','4592833585903624011','4643061132487106015'),('4643061132487106222','4592807025825795050','4643061132487106015'),('4643061132487106223','4592796236867940946','4643061132487106049'),('4643061132487106224','4592828741180509604','4643061132487106049'),('4643061132487106225','4592799775920995095','4643061132487106049'),('4643061132487106226','4592800016439162738','4643061132487106049'),('4643061132487106227','4592804380125942084','4643061132487106049'),('4643061132487106228','4592804758083060021','4643061132487106049'),('4643061132487106229','4592804758083065085','4643061132487106049'),('4643061132487106230','4592806029393383150','4643061132487106049'),('4643061132487106231','4592802146742936527','4643061132487106049'),('4643061132487106232','4592773937397737159','4643061132487106083'),('4643061132487106233','4592816199876007911','4643061132487106083'),('4643061132487106234','4592816406034439632','4643061132487106083'),('4643061132487106235','4592816440394176765','4643061132487106083'),('4643061132487106236','4592819979447223882','4643061132487106083'),('4643061132487106237','4592790670590322619','4643061132487106083'),('4643061132487106238','4592826439078042267','4643061132487106083'),('4643061132487106239','4592794209643376218','4643061132487106083'),('4643061132487106240','4592800325676816963','4643061132487106083'),('4643061132487106241','4592800669274196300','4643061132487106083'),('4643061510444223414','4477025255964583590','4643061510444222515'),('4643061510444223415','4477025255964583308','4643061510444222515'),('4643061510444223416','4500538002887150775','4643061510444222542'),('4643061510444223417','4476996187625829655','4643061510444222542'),('4643061510444223418','4500569407688038173','4643061510444222569'),('4643061510444223419','4476996050186877916','4643061510444222569'),('4643061510444223422','4477025221604851315','4643061510444222648'),('4643061510444223425','4500569029730917284','4643061510444222726'),('4643061510444223426','4500535116669129711','4643061510444222726'),('4643061510444223427','4500537556210553580','4643061510444222726'),('4643061510444223428','4500537728009242510','4643061510444222726'),('4643061510444223429','4500535219748344382','4643061510444222755'),('4643061510444223430','4500535219748344594','4643061510444222781'),('4643061510444223431','4500535425906776608','4643061510444222781'),('4643061510444223432','4500535425906776763','4643061510444222781'),('4643061510444223433','4500574802166979978','4643061510444222809'),('4643061510444223434','4500574802166980288','4643061510444222835'),('4643061510444223435','4500535425906776264','4643061510444222861'),('4643061510444223436','4500575077044885220','4643061510444222861'),('4643061510444223437','4500568342536149608','4643061510444222888'),('4643061510444223438','4500535460266510782','4643061510444222914'),('4643061510444223439','4500575145764356450','4643061510444222940'),('4643061510444223440','4500537796728724757','4643061510444222966'),('4643061510444223441','4500537796728725200','4643061510444222992'),('4643061510444223442','4500569201529608268','4643061510444223018'),('4643061510444223443','4500576279635722895','4643061510444223044'),('4643061510444223444','4500537899807937763','4643061510444223070'),('4643061510444223445','4500569270249081506','4643061510444223096'),('4643061510444223446','4500537899807940293','4643061510444223122'),('4643061510444223447','4500576313995463353','4643061510444223148'),('4643061510444223448','4500569373328298021','4643061510444223174'),('4643061510444223451','4500534257675672783','4643061510444223227'),('4643061510444223452','4500574183691687137','4643061510444223227'),('4643061510444223453','4548295634037194141','4643061510444223227'),('4643061510444223454','4500534360754885046','4643061510444223255'),('4643061510444223455','4500534360754885297','4643061510444223281'),('4643061510444223456','4500574149331943705','4643061510444223281'),('4643061510444223457','4500567277384260013','4643061510444223308'),('4643061510444223458','4500574149331943705','4643061510444223334'),('4643061510444223459','4500574183691684351','4643061510444223360'),('4643061510444223460','4500574183691686815','4643061510444223360'),('4643061510444223461','4500534429474363762','4643061510444223387'),('4643061510444223462','4500569648206201821','4643061510444223387'),('4643061510444225049','4500539961392238934','4643061510444224482'),('4643061510444225050','4500539961392239011','4643061510444224482'),('4643061510444225051','4500571572351554420','4643061510444224482'),('4643061510444225052','4500571572351554457','4643061510444224482'),('4643061510444225053','4500539961392239134','4643061510444224482'),('4643061510444225054','4500540957824652922','4643061510444224482'),('4643061510444225055','4500572603143706216','4643061510444224482'),('4643061510444225056','4500579887408257439','4643061510444224482'),('4643061510444225057','4500540992184391064','4643061510444224482'),('4643061510444225058','4500540992184391256','4643061510444224482'),('4643061510444225059','4592845817970404101','4643061510444224482'),('4643061510444225074','4500568205097195087','4643061510444224681'),('4643061510444225083','4477026046238570929','4643061510444224741'),('4643061510444225084','4477026114958042579','4643061510444224767'),('4643061510444225085','4476997184058239939','4643061510444224793'),('4643061510444225087','4477026355476214370','4643061510444224819'),('4643061510444228038','4477026836512554472','4643061510444226946'),('4643061510444228039','4477026870872288849','4643061510444226972'),('4643061510444228040','4477026870872287105','4643061510444226998'),('4643061510444228041','4477026836512548623','4643061510444227024'),('4643061510444228042','4476997458936148087','4643061510444227024'),('4643061510444228043','4477026218037256921','4643061510444227051'),('4643061510444228044','4476998489728296326','4643061510444227051'),('4643061510444228045','4476997355856930781','4643061510444227078'),('4643061510444228047','4477026561634645126','4643061510444227105'),('4643061510444228048','4477026458555426471','4643061510444227105'),('4643061510444228049','4476997424576411340','4643061510444227105'),('4643061510444228050','4476994641437601158','4643061510444227133'),('4643061510444228051','4476994744516816670','4643061510444227133'),('4643061510444228052','4477024053373743837','4643061510444227160'),('4643061510444228053','4476994744516814489','4643061510444227160'),('4643061510444228054','4476994641437601924','4643061510444227187'),('4643061510444228055','4476994744516814457','4643061510444227187'),('4643061510444228056','4476994710157077429','4643061510444227214'),('4643061510444228057','4477024087733482086','4643061510444227240'),('4643061510444228058','4476994744516813085','4643061510444227240'),('4643061510444228059','4477024190812692564','4643061510444227267'),('4643061510444228060','4477024190812693753','4643061510444227267'),('4643061510444228061','4477024190812693506','4643061510444227294'),('4643061510444228062','4477024190812693624','4643061510444227294'),('4643061510444228063','4476994744516816862','4643061510444227321'),('4643061510444228064','4500568686133532412','4643061510444227347'),('4643061510444228065','4476994813236294048','4643061510444227373'),('4643061510444228066','4500536216180758681','4643061510444227399'),('4643061510444228102','4497713220076353676','4643061510444227560'),('4643061510444228106','4497713220076353901','4643061510444227614'),('4643061510444228109','4497713220076354055','4643061510444227641'),('4643061510444228110','4497713769832164567','4643061510444227641'),('4643061510444228114','4500533948438022940','4643061510444227697'),('4643061510444228115','4500566727628442157','4643061510444227723'),('4643061510444228116','4500566865067396965','4643061510444227749'),('4643061510444228117','4500573118539794061','4643061510444227775'),('4643061510444228118','4500534188956192326','4643061510444227801'),('4643061510444228119','4500573118539794372','4643061510444227827'),('4643061510444228120','4476996599942689737','4643061510444227853'),('4643061510444228121','4500567998938762394','4643061510444227853'),('4643061510444228122','4500534876150962224','4643061510444227853'),('4643061510444228123','4477025771360658258','4643061510444227881'),('4643061510444228124','4500534773071742856','4643061510444227881'),('4643061510444228125','4476996634302423966','4643061510444227908'),('4643061510444228126','4477025771360665153','4643061510444227934'),('4643061510444228127','4477025805720396353','4643061510444227960'),('4643061510444228128','4477025805720396386','4643061510444227986'),('4643061510444228129','4476996668662165936','4643061510444228012'),('4643061510444228351','4580729131112695933','4643061510444228326'),('4643061510444228352','4580742119093784038','4643061510444228326'),('4643061510444228353','4580742119093784576','4643061510444228326'),('4643061510444228354','4580731089617787364','4643061510444228326'),('4643061510444228355','4580723770993501385','4643061510444228326'),('4643061510444228356','4580723770993504700','4643061510444228326'),('4643061510444228357','4580723770993507684','4643061510444228326'),('4643061510444228358','4580723805353245226','4643061510444228326'),('4643061510444228359','4580723805353246333','4643061510444228326'),('4643061510444228360','4580742840648289323','4643061510444228326'),('4643061510444228361','4591354089929060240','4643061510444228326'),('4643061510444228362','4591502455279345729','4643061510444228326'),('4643061544803961207','4500578478658983270','4643061510444228587'),('4643061544803961208','4500578478658983270','4643061544803958789'),('4643061544803961209','4500578478658983586','4643061544803958815'),('4643061544803961210','4545348977234428247','4643061544803958841'),('4643061544803961211','4500571263113907896','4643061544803958867'),('4643061544803961212','4500571263113907896','4643061544803958893'),('4643061544803961213','4500539583435114790','4643061544803958919'),('4643061544803961214','4500539549075380558','4643061544803958945'),('4643061544803961215','4500539549075380558','4643061544803958971'),('4643061544803961216','4500539549075380592','4643061544803958997'),('4643061544803961217','4500625929457669593','4643061544803959023'),('4643061544803961218','4527518059727810389','4643061544803959049'),('4643061544803961219','4527518059727810620','4643061544803959075'),('4643061544803961220','4500625929457670023','4643061544803959101'),('4643061544803961221','4527518059727810980','4643061544803959127'),('4643061544803961222','4500613491232362846','4643061544803959153'),('4643061544803961223','4500571263113907714','4643061544803959179'),('4643061544803961224','4500571263113907714','4643061544803959205'),('4643061544803961225','4500578478658985317','4643061544803959231'),('4643061544803961226','4562956522082089007','4643061544803959257'),('4643061544803961227','4562954116900395001','4643061544803959283'),('4643061544803961228','4500571263113905813','4643061544803959309'),('4643061544803961229','4500571263113905813','4643061544803959335'),('4643061544803961230','4500578478658985240','4643061544803959361'),('4643061544803961231','4548243407234827863','4643061544803959387'),('4643061544803961232','4548289140046640609','4643061544803959413'),('4643061544803961233','4548289140046640644','4643061544803959439'),('4643061544803961234','4500578478658985510','4643061544803959465'),('4643061544803961235','4500578478658985510','4643061544803959491'),('4643061544803961236','4500571263113908023','4643061544803959517'),('4643061544803961237','4545353615799120348','4643061544803959543'),('4643061544803961238','4545347156168288687','4643061544803959569'),('4643061544803961239','4545347156168288889','4643061544803959595'),('4643061544803961240','4545353615799120789','4643061544803959621'),('4643061544803961241','4500539549075381824','4643061544803959647'),('4643061544803961242','4500539549075381824','4643061544803959673'),('4643061544803961243','4500571263113908166','4643061544803959699'),('4643061544803961244','4545352035251152241','4643061544803959725'),('4643061544803961245','4545348461838358060','4643061544803959751'),('4643061544803961246','4545352035251152531','4643061544803959777'),('4643061544803961247','4545348461838358197','4643061544803959803'),('4643061544803961248','4545348461838358245','4643061544803959829'),('4643061544803961249','4545342242725703155','4643061544803959855'),('4643061544803961250','4497713288795825442','4643061544803959881'),('4643061544803961251','4497713288795825442','4643061544803959907'),('4643061544803961252','4497733973358378313','4643061544803959933'),('4643061544803961253','4500625482781072185','4643061544803959959'),('4643061544803961254','4527516032503243232','4643061544803959985'),('4643061544803961255','4527516032503243267','4643061544803960011'),('4643061544803961256','4527516032503243303','4643061544803960037'),('4643061544803961257','4500625482781072499','4643061544803960063'),('4643061544803961258','4500578478658984046','4643061544803960089'),('4643061544803961259','4500578478658984046','4643061544803960115'),('4643061544803961260','4500539549075380523','4643061544803960141'),('4643061544803961261','4545348461838358739','4643061544803960167'),('4643061544803961262','4545348461838358876','4643061544803960193'),('4643061544803961263','4545352035251154808','4643061544803960219'),('4643061544803961264','4545348461838358992','4643061544803960245'),('4643061544803961265','4545342242725704133','4643061544803960271'),('4643061544803961266','4545352035251155131','4643061544803960297'),('4643061544803961267','4545342242725704278','4643061544803960323'),('4643061544803961268','4545352035251155284','4643061544803960349'),('4643061544803961269','4545348461838359474','4643061544803960375'),('4643061544803961270','4500539583435114972','4643061544803960401'),('4643061544803961271','4500539583435114972','4643061544803960427'),('4643061544803961272','4500571263113908085','4643061544803960453'),('4643061544803961273','4548285566633849675','4643061544803960479'),('4643061544803961274','4548237944036433784','4643061544803960505'),('4643061544803961275','4548285566633850086','4643061544803960531'),('4643061544803961276','4548237944036433849','4643061544803960557'),('4643061544803961277','4500578478658983270','4643061544803960583'),('4643061544803961278','4500578478658983270','4643061544803960609'),('4643061544803961279','4500578478658983586','4643061544803960635'),('4643061544803961280','4545348977234428247','4643061544803960661'),('4643061544803961281','4562962053999956226','4643061544803960687'),('4643061544803961282','4500539549075380756','4643061544803960713'),('4643061544803961283','4500539549075380756','4643061544803960739'),('4643061544803961284','4500571263113905735','4643061544803960765'),('4643061544803961285','4548294397086611567','4643061544803960791'),('4643061544803961286','4548252993601836345','4643061544803960817'),('4643061544803961287','4548252993601836438','4643061544803960843'),('4643061544803961288','4562998406603158704','4643061544803960869'),('4643061544803961289','4563011944340055483','4643061544803960895'),('4643061544803961290','4500539549075380382','4643061544803960921'),('4643061544803961291','4500539549075380382','4643061544803960947'),('4643061544803961292','4500539549075380444','4643061544803960973'),('4643061544803961293','4548251550492821276','4643061544803960999'),('4643061544803961294','4548290308277728937','4643061544803961025'),('4643061544803961295','4548294019129484074','4643061544803961051'),('4643061544803961296','4548294019129484120','4643061544803961077'),('4643061544803961297','4548294019129484860','4643061544803961103'),('4643061544803961298','4548290308277729169','4643061544803961129'),('4643061544803961299','4548294019129484964','4643061544803961155'),('4643061544803961300','4548251550492823355','4643061544803961181'),('4643061854041607514','4580704117223167593','4643061544803965633'),('4643061854041607515','4580704117223167593','4643061544803965659'),('4643061854041607516','4580704117223167776','4643061544803965685'),('4643061854041607517','4580704117223167776','4643061544803965711'),('4643061854041607518','4580700646889575576','4643061544803965737'),('4643061854041607519','4580700646889575576','4643061544803965763'),('4643061854041607520','4580704117223167813','4643061544803965789'),('4643061854041607521','4580704117223167813','4643061544803965815'),('4643061854041607522','4580704117223167933','4643061544803965841'),('4643061854041607523','4580704117223167933','4643061544803965867'),('4643061854041607524','4580702330516761414','4643061544803965893'),('4643061854041607525','4580702330516761414','4643061544803965919'),('4643061854041607526','4580700681249312401','4643061544803965945'),('4643061854041607527','4580700681249312401','4643061544803965971'),('4643061854041607528','4580702330516766174','4643061544803965997'),('4643061854041607529','4580702330516766174','4643061544803966023'),('4643061854041607530','4580700681249312634','4643061544803966049'),('4643061854041607531','4580700681249312634','4643061544803966075'),('4643061854041607532','4580704117223168174','4643061544803966101'),('4643061854041607533','4580704117223168174','4643061544803966127'),('4643061854041607534','4580702330516766605','4643061544803966153'),('4643061854041607535','4580702330516766605','4643061544803966190'),('4643061854041607536','4580702536675188910','4643061544803966216'),('4643061854041607537','4580702536675188910','4643061544803966242'),('4643061854041607538','4580704117223168355','4643061544803966268'),('4643061854041607539','4580704117223168355','4643061544803966294'),('4643061854041607540','4562976519449802321','4643061544803966320'),('4643061854041607541','4562976519449802321','4643061544803966346'),('4643061854041607542','4580714700022579450','4643061544803966372'),('4643061854041607543','4580714700022579450','4643061544803966398'),('4643061854041607544','4562978374875689826','4643061544803966424'),('4643061854041607545','4562978374875689826','4643061544803966450'),('4643061854041607546','4580714700022580543','4643061544803966476'),('4643061854041607547','4580714700022580543','4643061544803966502'),('4643061854041607548','4562978374875686320','4643061544803966528'),('4643061854041607549','4562978374875686320','4643061544803966554'),('4643061854041607550','4562980711337881919','4643061544803966580'),('4643061854041607551','4562980711337881919','4643061544803966606'),('4643061854041607552','4562975282499225570','4643061544803966632'),('4643061854041607553','4562975282499225570','4643061544803966658'),('4643061854041607554','4562975179420011964','4643061544803966684'),('4643061854041607555','4562975179420011964','4643061544803966710'),('4643061854041607556','4562976553809541438','4643061544803966736'),('4643061854041607557','4562976553809541438','4643061544803966762'),('4643061854041607558','4580711229689001598','4643061544803966788'),('4643061854041607559','4580711229689001598','4643061544803966814'),('4643061854041607560','4580711229689002021','4643061544803966840'),('4643061854041607561','4580711229689002021','4643061544803966866'),('4643061854041607562','4562978374875686320','4643061544803966892'),('4643061854041607563','4562978374875686320','4643061544803966918'),('4643061854041607564','4562978684113335949','4643061544803966944'),('4643061854041607565','4562981020575530969','4643061544803966970'),('4643061854041607566','4562975797895301623','4643061854041604097'),('4643061854041607567','4562975797895306246','4643061854041604123'),('4643061854041607568','4562978684113337155','4643061854041604149'),('4643061854041607569','4562976004053732129','4643061854041604175'),('4643061854041607570','4580701299724617392','4643061854041604201'),('4643061854041607571','4580698172988423517','4643061854041604227'),('4643061854041607572','4580698447866323063','4643061854041604253'),('4643061854041607573','4580702330516772297','4643061854041604279'),('4643061854041607574','4580704117223167259','4643061854041604305'),('4643061854041607575','4580704117223167259','4643061854041604331'),('4643061854041607576','4580700646889571046','4643061854041604357'),('4643061854041607577','4580700646889571046','4643061854041604383'),('4643061854041607578','4580700646889571168','4643061854041604409'),('4643061854041607579','4580700646889571168','4643061854041604435'),('4643061854041607580','4580702330516759245','4643061854041604461'),('4643061854041607581','4580702330516759245','4643061854041604487'),('4643061854041607582','4580704117223164895','4643061854041604513'),('4643061854041607583','4580704117223164895','4643061854041604539'),('4643061854041607584','4580702330516759555','4643061854041604565'),('4643061854041607585','4580702330516759555','4643061854041604591'),('4643061854041607586','4580704117223165176','4643061854041604617'),('4643061854041607587','4580704117223165176','4643061854041604643'),('4643061854041607588','4580700646889570925','4643061854041604669'),('4643061854041607589','4580700646889570925','4643061854041604695'),('4643061854041607590','4580704117223167411','4643061854041604721'),('4643061854041607591','4580704117223167411','4643061854041604747'),('4643061854041607592','4580700681249313206','4643061854041604773'),('4643061854041607593','4580700681249313206','4643061854041604799'),('4643061854041607594','4580700681249313345','4643061854041604825'),('4643061854041607595','4580700681249313345','4643061854041604862'),('4643061854041607596','4580702536675189012','4643061854041604888'),('4643061854041607597','4580702536675189012','4643061854041604914'),('4643061854041607598','4580700681249313467','4643061854041604940'),('4643061854041607599','4580700681249313467','4643061854041604966'),('4643061854041607600','4580702536675189320','4643061854041604992'),('4643061854041607601','4580702536675189320','4643061854041605018'),('4643061854041607602','4580704117223169381','4643061854041605044'),('4643061854041607603','4580704117223169381','4643061854041605070'),('4643061854041607604','4580700681249313807','4643061854041605096'),('4643061854041607605','4580700681249313807','4643061854041605122'),('4643061854041607606','4580702536675189876','4643061854041605148'),('4643061854041607607','4580702536675189876','4643061854041605174'),('4643061854041607608','4580702536675189912','4643061854041605200'),('4643061854041607609','4580702536675189912','4643061854041605226'),('4643061854041607610','4580700681249314392','4643061854041605252'),('4643061854041607611','4580700681249314470','4643061854041605278'),('4643061854041607612','4580700681249314470','4643061854041605304'),('4643061854041607613','4580702536675193704','4643061854041605330'),('4643061854041607614','4580702536675193704','4643061854041605356'),('4643061854041607615','4580702536675193704','4643061854041605382'),('4643061854041607616','4580702536675193740','4643061854041605408'),('4643061854041607617','4580702536675193740','4643061854041605434'),('4643061854041607618','4580704151582900608','4643061854041605460'),('4643061854041607619','4580704151582900608','4643061854041605486'),('4643061854041607620','4580713703590151180','4643061854041605512'),('4643061854041607621','4580713703590151180','4643061854041605538'),('4643061854041607622','4580714665662841330','4643061854041605564'),('4643061854041607623','4580714665662841330','4643061854041605590'),('4643061854041607624','4580711160969525811','4643061854041605616'),('4643061854041607625','4580711160969525811','4643061854041605642'),('4643061854041607626','4580714665662841543','4643061854041605668'),('4643061854041607627','4580714665662841543','4643061854041605694'),('4643061854041607628','4580714665662841778','4643061854041605720'),('4643061854041607629','4580714665662841778','4643061854041605746'),('4643061854041607630','4580713703590151643','4643061854041605772'),('4643061854041607631','4580713703590151643','4643061854041605798'),('4643061854041607632','4580714665662842087','4643061854041605824'),('4643061854041607633','4580714665662842087','4643061854041605850'),('4643061854041607634','4580711160969526479','4643061854041605876'),('4643061854041607635','4580711160969526479','4643061854041605902'),('4643061854041607636','4580714665662842345','4643061854041605928'),('4643061854041607637','4580714665662842345','4643061854041605954'),('4643061854041607638','4580714665662842430','4643061854041605980'),('4643061854041607639','4580714665662842430','4643061854041606006'),('4643061854041607640','4580711195329265026','4643061854041606032'),('4643061854041607641','4580711195329265026','4643061854041606058'),('4643061854041607642','4580711298408476727','4643061854041606084'),('4643061854041607643','4580711298408476727','4643061854041606110'),('4643061854041607644','4580713944108319862','4643061854041606136'),('4643061854041607645','4580713944108319862','4643061854041606162'),('4643061854041607646','4580711298408476727','4643061854041606188'),('4643061854041607647','4580711298408476727','4643061854041606214'),('4643061854041607648','4580711298408476727','4643061854041606240'),('4643061854041607649','4580711298408476727','4643061854041606266'),('4643061854041607650','4580711298408476727','4643061854041606292'),('4643061854041607651','4580711298408476727','4643061854041606318'),('4643061854041607652','4580711298408476727','4643061854041606344'),('4643061854041607653','4580711298408476727','4643061854041606370'),('4643061854041607654','4580711298408476727','4643061854041606396'),('4643061854041607655','4580711298408476727','4643061854041606422'),('4643061854041607656','4580711298408476727','4643061854041606448'),('4643061854041607657','4580711298408476727','4643061854041606474'),('4643061854041607658','4580711298408476727','4643061854041606500'),('4643061854041607659','4580711298408476727','4643061854041606526'),('4643061854041607660','4455233760135394835','4643061854041606552'),('4643061854041607661','4455233760135394835','4643061854041606578'),('4643061854041607662','4562975351218706221','4643061854041606604'),('4643061854041607663','4562975351218706221','4643061854041606630'),('4643061854041607664','4562980780057356314','4643061854041606656'),('4643061854041607665','4562980780057356314','4643061854041606682'),('4643061854041607666','4562980780057359192','4643061854041606708'),('4643061854041607667','4562980780057359192','4643061854041606734'),('4643061854041607668','4562980780057359636','4643061854041606760'),('4643061854041607669','4562980780057359636','4643061854041606786'),('4643061854041607670','4562980780057360102','4643061854041606812'),('4643061854041607671','4562980780057360102','4643061854041606838'),('4643061854041607672','4562980780057359959','4643061854041606864'),('4643061854041607673','4562980780057359959','4643061854041606890'),('4643061854041607674','4562980780057360341','4643061854041606916'),('4643061854041607675','4562980780057360341','4643061854041606942'),('4643061854041607676','4580713978468059829','4643061854041606968'),('4643061854041607677','4580711298408480641','4643061854041606994'),('4643061854041607678','4580711298408480641','4643061854041607020'),('4643061854041607679','4580711298408480641','4643061854041607046'),('4643061854041607680','4580711298408480641','4643061854041607072'),('4643061854041607681','4580711298408480641','4643061854041607098'),('4643061854041607682','4580715181058924050','4643061854041607124'),('4643061854041607683','4580715181058924050','4643061854041607150'),('4643061854041607684','4580715181058924050','4643061854041607176'),('4643061854041607685','4580715181058924050','4643061854041607202'),('4643061854041607686','4580711332768212523','4643061854041607228'),('4643061854041607687','4580711332768212523','4643061854041607254'),('4643061854041607688','4580711332768212523','4643061854041607280'),('4643061854041607689','4580711332768212523','4643061854041607306'),('4643061854041607690','4580711332768213019','4643061854041607332'),('4643061854041607691','4580711332768213019','4643061854041607358'),('4643061854041607692','4580711332768213019','4643061854041607384'),('4643061854041607693','4580711332768213019','4643061854041607410'),('4643061854041607694','4580715215418655417','4643061854041607436'),('4643061854041607695','4580715215418655417','4643061854041607462'),('4643061854041607696','4580715215418655417','4643061854041607488'),('4643062575596116900','4589882634133420627','4643062575596114846'),('4643062575596116901','4592766412615040249','4643062575596114872'),('4643062575596116902','4592804895522080161','4643062575596114898'),('4643062575596116903','4592839976814953824','4643062575596114924'),('4643062575596116904','4592811595671002763','4643062575596114950'),('4643062575596116905','4592808881251660627','4643062575596114976'),('4643062575596116906','4592811630030734354','4643062575596115002'),('4643062575596116907','4592808915611398965','4643062575596115028'),('4643062575596116908','4592811733109948491','4643062575596115054'),('4643062575596116909','4580741122661369564','4643062575596115080'),('4643062575596116910','4580723221237689080','4643062575596115106'),('4643062575596116911','4580723186877952215','4643062575596115132'),('4643062575596116912','4580728821875049942','4643062575596115158'),('4643062575596116913','4580728821875052324','4643062575596115184'),('4643062575596116914','4580741122661374935','4643062575596115210'),('4643062575596116915','4580728821875054002','4643062575596115236'),('4643062575596116916','4580751430582898213','4643062575596115262'),('4643062575596116917','4580743184245683059','4643062575596115288'),('4643062575596116918','4580776891149013815','4643062575596115314'),('4643062575596116919','4580743184245683367','4643062575596115340'),('4643062575596116920','4580776925508751571','4643062575596115366'),('4643062575596116921','4580776925508751692','4643062575596115392'),('4643062575596116922','4580776925508751871','4643062575596115418'),('4643062575596116923','4580776925508752149','4643062575596115444'),('4643062575596116924','4591360858797527613','4643062575596115470'),('4643062575596116925','4591360927516999790','4643062575596115496'),('4643062575596116926','4591502489639085792','4643062575596115522'),('4643062575596116927','4591360927517000380','4643062575596115548'),('4643062575596116928','4591360996236477166','4643062575596115574'),('4643062575596116929','4591502489639088128','4643062575596115600'),('4643062575596116930','4591502489639088361','4643062575596115626'),('4643062575596116931','4591360996236477933','4643062575596115652'),('4643062575596116932','4580712123042196574','4643062575596115678'),('4643062575596116933','4580715662095259281','4643062575596115704'),('4643062575596116934','4580713359992782633','4643062575596115730'),('4643062575596116935','4580716899045835623','4643062575596115756'),('4643062575596116936','4580716899045836386','4643062575596115782'),('4643062575596116937','4580713394352520430','4643062575596115808'),('4643062575596116938','4580713394352520741','4643062575596115834'),('4643062575596116939','4580719853983324278','4643062575596115860'),('4643062575596116940','4580716899045838209','4643062575596115886'),('4643062575596116941','4580719853983325375','4643062575596115912'),('4643062575596116942','4580722156085797263','4643062575596115938'),('4643062575596116943','4580727928521858545','4643062575596115964'),('4643062575596116944','4580722156085797624','4643062575596115990'),('4643062575596116945','4580727928521859043','4643062575596116016'),('4643062575596116946','4580727962881589458','4643062575596116042'),('4643062575596116947','4580727962881589499','4643062575596116068'),('4643062575596116948','4580739851351052919','4643062575596116094'),('4643062575596116949','4580727962881590444','4643062575596116120'),('4643062575596116950','4580739851351053806','4643062575596116146'),('4643062575596116951','4580722156085799012','4643062575596116172'),('4643062575596116952','4580725214102508896','4643062575596116198'),('4643062575596116953','4580718720111960070','4643062575596116224'),('4643062575596116954','4580718720111961382','4643062575596116250'),('4643062575596116955','4580724114590900165','4643062575596116276'),('4643062575596116956','4580725420260934699','4643062575596116302'),('4643062575596116957','4580725420260935327','4643062575596116328'),('4643062575596116958','4580725420260935520','4643062575596116354'),('4643062575596116959','4580718720111963669','4643062575596116380'),('4643062575596116960','4580718720111965341','4643062575596116406'),('4643062575596116961','4580718720111966235','4643062575596116432'),('4643062575596116962','4580725695138844703','4643062575596116458'),('4643062575596116963','4591500153176881037','4643062575596116484'),('4643062575596116964','4591353230935603260','4643062575596116510'),('4643062575596116965','4591358625414535465','4643062575596116536'),('4643062575596116966','4591358625414535784','4643062575596116562'),('4643062575596116967','4591358625414536287','4643062575596116588'),('4643062575596116968','4591500187536616547','4643062575596116614'),('4643062575596116969','4591358625414537098','4643062575596116640'),('4643062575596116970','4591358659774267575','4643062575596116666'),('4643062575596116971','4589882427974990287','4643062575596116692'),('4643062575596116972','4589886619863079365','4643062575596116718'),('4643062575596116973','4589882634133416669','4643062575596116744'),('4643062575596116974','4589882634133417847','4643062575596116770'),('4643062575596116975','4589886619863080795','4643062575596116796'),('4643062575596116976','4589887444496801919','4643062575596116822'),('4643062575596116977','4589882634133418719','4643062575596116848'),('4643062575596116978','4589882634133419461','4643062575596116874'),('4643062884833753362','4471092772257218649','4643062884833751974'),('4643062884833753363','4459060472917004753','4643062884833751974'),('4643062884833753364','4459060472917004786','4643062884833751974'),('4643062884833753365','4471092772257218649','4643062884833752002'),('4643062884833753366','4459060472917004753','4643062884833752002'),('4643062884833753367','4459060472917004786','4643062884833752002'),('4643062884833753368','4471092772257218649','4643062884833752030'),('4643062884833753369','4459060472917004753','4643062884833752030'),('4643062884833753370','4459060472917004786','4643062884833752030'),('4643062884833753371','4471092772257218649','4643062884833752058'),('4643062884833753372','4459060472917004753','4643062884833752058'),('4643062884833753373','4459060472917004786','4643062884833752058'),('4643062884833753374','4477021167155722759','4643062884833752086'),('4643062884833753375','4476992339335129104','4643062884833752086'),('4643062884833753376','4476992339335129137','4643062884833752086'),('4643062884833753377','4477021167155723099','4643062884833752086'),('4643062884833753378','4477021167155722333','4643062884833752086'),('4643062884833753379','4477021167155722846','4643062884833752086'),('4643062884833753380','4477021167155722879','4643062884833752086'),('4643062884833753381','4476992339335129473','4643062884833752086'),('4643062884833753382','4548255879819857570','4643062884833752086'),('4643062884833753383','4476992304975395573','4643062884833752086'),('4643062884833753384','4477021167155722759','4643062884833752121'),('4643062884833753385','4476992339335129104','4643062884833752121'),('4643062884833753386','4476992339335129137','4643062884833752121'),('4643062884833753387','4477021167155723099','4643062884833752121'),('4643062884833753388','4477021167155722333','4643062884833752121'),('4643062884833753389','4477021167155722846','4643062884833752121'),('4643062884833753390','4477021167155722879','4643062884833752121'),('4643062884833753391','4476992339335129473','4643062884833752121'),('4643062884833753392','4548255879819857570','4643062884833752121'),('4643062884833753393','4476992304975395573','4643062884833752121'),('4643062884833753394','4477021167155722759','4643062884833752156'),('4643062884833753395','4476992339335129104','4643062884833752156'),('4643062884833753396','4476992339335129137','4643062884833752156'),('4643062884833753397','4477021167155723099','4643062884833752156'),('4643062884833753398','4477021167155722333','4643062884833752156'),('4643062884833753399','4477021167155722846','4643062884833752156'),('4643062884833753400','4477021167155722879','4643062884833752156'),('4643062884833753401','4476992339335129473','4643062884833752156'),('4643062884833753402','4548255879819857570','4643062884833752156'),('4643062884833753403','4476992304975395573','4643062884833752156'),('4643062884833753404','4477021167155722759','4643062884833752191'),('4643062884833753405','4476992339335129104','4643062884833752191'),('4643062884833753406','4476992339335129137','4643062884833752191'),('4643062884833753407','4477021167155723099','4643062884833752191'),('4643062884833753408','4477021167155722333','4643062884833752191'),('4643062884833753409','4477021167155722846','4643062884833752191'),('4643062884833753410','4477021167155722879','4643062884833752191'),('4643062884833753411','4476992339335129473','4643062884833752191'),('4643062884833753412','4548255879819857570','4643062884833752191'),('4643062884833753413','4476992304975395573','4643062884833752191'),('4643062884833753414','4477021167155722759','4643062884833752226'),('4643062884833753415','4476992339335129104','4643062884833752226'),('4643062884833753416','4476992339335129137','4643062884833752226'),('4643062884833753417','4477021167155723099','4643062884833752226'),('4643062884833753418','4477021167155722333','4643062884833752226'),('4643062884833753419','4477021167155722846','4643062884833752226'),('4643062884833753420','4477021167155722879','4643062884833752226'),('4643062884833753421','4476992339335129473','4643062884833752226'),('4643062884833753422','4548255879819857570','4643062884833752226'),('4643062884833753423','4476992304975395573','4643062884833752226'),('4643062884833753424','4477021167155722759','4643062884833752261'),('4643062884833753425','4476992339335129104','4643062884833752261'),('4643062884833753426','4476992339335129137','4643062884833752261'),('4643062884833753427','4477021167155723099','4643062884833752261'),('4643062884833753428','4477021167155722333','4643062884833752261'),('4643062884833753429','4477021167155722846','4643062884833752261'),('4643062884833753430','4477021167155722879','4643062884833752261'),('4643062884833753431','4476992339335129473','4643062884833752261'),('4643062884833753432','4548255879819857570','4643062884833752261'),('4643062884833753433','4476992304975395573','4643062884833752261'),('4643062884833753434','4477021167155722759','4643062884833752296'),('4643062884833753435','4476992339335129104','4643062884833752296'),('4643062884833753436','4476992339335129137','4643062884833752296'),('4643062884833753437','4477021167155723099','4643062884833752296'),('4643062884833753438','4477021167155722333','4643062884833752296'),('4643062884833753439','4477021167155722846','4643062884833752296'),('4643062884833753440','4477021167155722879','4643062884833752296'),('4643062884833753441','4476992339335129473','4643062884833752296'),('4643062884833753442','4548255879819857570','4643062884833752296'),('4643062884833753443','4476992304975395573','4643062884833752296'),('4643062884833753444','4477021167155722759','4643062884833752331'),('4643062884833753445','4476992339335129104','4643062884833752331'),('4643062884833753446','4476992339335129137','4643062884833752331'),('4643062884833753447','4477021167155723099','4643062884833752331'),('4643062884833753448','4477021167155722333','4643062884833752331'),('4643062884833753449','4477021167155722846','4643062884833752331'),('4643062884833753450','4477021167155722879','4643062884833752331'),('4643062884833753451','4476992339335129473','4643062884833752331'),('4643062884833753452','4548255879819857570','4643062884833752331'),('4643062884833753453','4476992304975395573','4643062884833752331'),('4643062884833753454','4477021167155722759','4643062884833752366'),('4643062884833753455','4476992339335129104','4643062884833752366'),('4643062884833753456','4476992339335129137','4643062884833752366'),('4643062884833753457','4477021167155723099','4643062884833752366'),('4643062884833753458','4477021167155722333','4643062884833752366'),('4643062884833753459','4477021167155722846','4643062884833752366'),('4643062884833753460','4477021167155722879','4643062884833752366'),('4643062884833753461','4476992339335129473','4643062884833752366'),('4643062884833753462','4548255879819857570','4643062884833752366'),('4643062884833753463','4476992304975395573','4643062884833752366'),('4643062884833753464','4477021167155722759','4643062884833752401'),('4643062884833753465','4476992339335129104','4643062884833752401'),('4643062884833753466','4476992339335129137','4643062884833752401'),('4643062884833753467','4477021167155723099','4643062884833752401'),('4643062884833753468','4477021167155722333','4643062884833752401'),('4643062884833753469','4477021167155722846','4643062884833752401'),('4643062884833753470','4477021167155722879','4643062884833752401'),('4643062884833753471','4476992339335129473','4643062884833752401'),('4643062884833753472','4548255879819857570','4643062884833752401'),('4643062884833753473','4476992304975395573','4643062884833752401'),('4643062884833753474','4459060472917004852','4643062884833752436'),('4643062884833753475','4471092772257218682','4643062884833752436'),('4643062884833753476','4471092772257218715','4643062884833752436'),('4643062884833753477','4459060472917004852','4643062884833752464'),('4643062884833753478','4471092772257218682','4643062884833752464'),('4643062884833753479','4471092772257218715','4643062884833752464'),('4643062884833753480','4459060472917004852','4643062884833752492'),('4643062884833753481','4471092772257218682','4643062884833752492'),('4643062884833753482','4471092772257218715','4643062884833752492'),('4643062884833753483','4459060472917004852','4643062884833752520'),('4643062884833753484','4471092772257218682','4643062884833752520'),('4643062884833753485','4471092772257218715','4643062884833752520'),('4643062884833753486','4459060472917004852','4643062884833752548'),('4643062884833753487','4471092772257218682','4643062884833752548'),('4643062884833753488','4471092772257218715','4643062884833752548'),('4643062884833753489','4477023194380287560','4643062884833752576'),('4643062884833753490','4477023194380287560','4643062884833752602'),('4643062884833753491','4477023194380287560','4643062884833752628'),('4643062884833753492','4477023194380287560','4643062884833752654'),('4643062884833753493','4477023194380287560','4643062884833752680'),('4643062884833753494','4476994229120741792','4643062884833752706'),('4643062884833753495','4476994229120741792','4643062884833752732'),('4643062884833753496','4476994229120741792','4643062884833752758'),('4643062884833753497','4477023228740024620','4643062884833752784'),('4643062884833753498','4477023228740024620','4643062884833752810'),('4643062884833753499','4477023228740024620','4643062884833752836'),('4643062884833753500','4471092772257218616','4643062884833752862'),('4643062884833753501','4455233794495132267','4643062884833752862'),('4643062884833753502','4459060472917004918','4643062884833752862'),('4643062884833753503','4459060472917004687','4643062884833752862'),('4643062884833753504','4471092772257218616','4643062884833752891'),('4643062884833753505','4455233794495132267','4643062884833752891'),('4643062884833753506','4459060472917004918','4643062884833752891'),('4643062884833753507','4459060472917004687','4643062884833752891'),('4643062884833753508','4471092772257218616','4643062884833752920'),('4643062884833753509','4455233794495132267','4643062884833752920'),('4643062884833753510','4459060472917004918','4643062884833752920'),('4643062884833753511','4459060472917004687','4643062884833752920'),('4643062884833753512','4471092772257218616','4643062884833752949'),('4643062884833753513','4455233794495132267','4643062884833752949'),('4643062884833753514','4459060472917004918','4643062884833752949'),('4643062884833753515','4459060472917004687','4643062884833752949'),('4643062884833753516','4471092772257218748','4643062884833752978'),('4643062884833753517','4471092772257218781','4643062884833752978'),('4643062884833753518','4471092772257218748','4643062884833753005'),('4643062884833753519','4471092772257218781','4643062884833753005'),('4643062884833753520','4471092772257218748','4643062884833753032'),('4643062884833753521','4471092772257218781','4643062884833753032'),('4643062884833753522','4455233794495132399','4643062884833753059'),('4643062884833753523','4455233794495132399','4643062884833753085'),('4643062884833753524','4455233794495132399','4643062884833753169'),('4643062884833753525','4459060472917004885','4643062884833753196'),('4643062884833753526','4455233794495132366','4643062884833753196'),('4643062884833753527','4471092772257218814','4643062884833753196'),('4643062884833753528','4459060472917004885','4643062884833753224'),('4643062884833753529','4455233794495132366','4643062884833753224'),('4643062884833753530','4471092772257218814','4643062884833753224'),('4643062884833753531','4459060472917004885','4643062884833753252'),('4643062884833753532','4455233794495132366','4643062884833753252'),('4643062884833753533','4471092772257218814','4643062884833753252'),('4643062884833753534','4459060472917004885','4643062884833753280'),('4643062884833753535','4455233794495132366','4643062884833753280'),('4643062884833753536','4471092772257218814','4643062884833753280'),('4643062884833753537','4459060472917004819','4643062884833753308'),('4643062884833753538','4455233794495132333','4643062884833753308'),('4643062884833753539','4459060472917004819','4643062884833753335'),('4643062884833753540','4455233794495132333','4643062884833753335'),('4643062919193498748','4476996668662165572','4643062919193498481'),('4643062919193498749','4476996668662167222','4643062919193498481'),('4643062919193498750','4476996668662167506','4643062919193498481'),('4643062919193498751','4477025805720397777','4643062919193498481'),('4643062919193498752','4477025805720398025','4643062919193498481'),('4643062919193498753','4477025805720398222','4643062919193498481'),('4643062919193498754','4476996668662168167','4643062919193498481'),('4643062919193498755','4476996668662168458','4643062919193498481'),('4643062919193498756','4500568033298501444','4643062919193498514'),('4643062919193498762','4500577035549974348','4643062919193498545'),('4643062919193498768','4476992304975392055','4643062919193498576'),('4643062919193498776','4580729783947709313','4643062919193498609'),('4643062919193498777','4580725385901213261','4643062919193498609'),('4643062919193498778','4580720300659931594','4643062919193498609'),('4643062919193498779','4580725420260957522','4643062919193498609'),('4643062919193498780','4580720335019669504','4643062919193498609'),('4643062919193498781','4580729818307449331','4643062919193498609'),('4643062919193498785','4500570919516521849','4643062919193498643'),('4643062919193498786','4500539342916950353','4643062919193498643'),('4643062919193498787','4500578169421339664','4643062919193498643'),('4643062919193498788','4500570988235997414','4643062919193498643'),('4643062919193498789','4500570988236000435','4643062919193498643'),('4643062919193498790','4500570988236005163','4643062919193498643'),('4643062919193498791','4500578272500555186','4643062919193498643'),('4643062919193498792','4500571022595741875','4643062919193498643'),('4643062919193498793','4500571022595741981','4643062919193498643'),('4643062919193498794','4500539480355900583','4643062919193498643'),('4643062919193498795','4500539480355901751','4643062919193498643'),('4643062919193498796','4500539480355902295','4643062919193498643'),('4643062919193498797','4500593012828315504','4643062919193498680'),('4643062919193498808','4500542229134973428','4643062919193498716'),('4643062919193498809','4500542366573921820','4643062919193498716'),('4643062919193498810','4500584525972932612','4643062919193498716'),('4643062919193498811','4500584525972935856','4643062919193498716'),('4643062919193498812','4500542366573922994','4643062919193498716'),('4643062919193498813','4500542366573923422','4643062919193498716'),('4643062919193498814','4500542366573923610','4643062919193498716'),('4643062953553230884','4459060232398831789','4643062953553230257'),('4643062953553230885','4500575592440961664','4643062953553230283'),('4643062953553230886','4500580265365363042','4643062953553230309'),('4643062953553230887','4500588786580494913','4643062953553230335'),('4643062953553230888','4500548551326829749','4643062953553230361'),('4643062953553230889','4500588786580494947','4643062953553230387'),('4643062953553230890','4500548551326829826','4643062953553230413'),('4643062953553230891','4500584079296321159','4643062953553230439'),('4643062953553230892','4500553670927846109','4643062953553230465'),('4643062953553230893','4500592875389358294','4643062953553230491'),('4643062953553230894','4500553670927847913','4643062953553230517'),('4643062953553230895','4500553670927851199','4643062953553230543'),('4643062953553230896','4500585041368990082','4643062953553230569'),('4643062953553230897','4500592909749096026','4643062953553230595'),('4643062953553230898','4527505312264877141','4643062953553230621'),('4643062953553230899','4500601980720006855','4643062953553230647'),('4643062953553230900','4500613697390812935','4643062953553230673'),('4643062953553230901','4500601053007077338','4643062953553230699'),('4643062953553230902','4500577241708401151','4643062953553230725'),('4643062953553230903','4500570713358094052','4643062953553230751'),('4643062953553230904','4548287696937629487','4643062953553230751'),('4643062953553230905','4548281477824967590','4643062953553230751'),('4643062953553230906','4548240177419423289','4643062953553230751'),('4643062953553230907','4500575661160435528','4643062953553230780'),('4643062953553230908','4500575661160435528','4643062953553230806'),('4643062953553230909','4500573565216375008','4643062953553230832'),('4643062953553230910','4500573565216375046','4643062953553230858'),('4643062953553231861','4455233760135394470','4643062953553231230'),('4643062953553231862','4459060438557268463','4643062953553231230'),('4643062953553231863','4455233760135394557','4643062953553231230'),('4643062953553231864','4477019895845397086','4643062953553231258'),('4643062953553231867','4476997390216669816','4643062953553231336'),('4643062953553231868','4476997458936144480','4643062953553231336'),('4643062953553231869','4476997458936144564','4643062953553231336'),('4643062953553231870','4476997458936144727','4643062953553231336'),('4643062953553231871','4476997458936144940','4643062953553231336'),('4643062987912962048','4476997458936147610','4643062953553231336'),('4643062987912962049','4476997458936147770','4643062953553231336'),('4643062987912962050','4562963943785572906','4643062953553231336'),('4643062987912962051','4562971296769579455','4643062953553231336'),('4643062987912962052','4562974595304469160','4643062953553231336'),('4643062987912962053','4459060438557268150','4643062953553231371'),('4643062987912962072','4477022163588134537','4643062953553231563'),('4643062987912962089','4476998386649085934','4643062953553231807'),('4643062987912962090','4548286391267568966','4643062953553231807'),('4643062987912962091','4548279072643284872','4643062953553231834'),('4643062987912962092','4548279244441973619','4643062953553231834'),('4643062987912966599','4476990724427424926','4643062987912962649'),('4643062987912966600','4477019861485661637','4643062987912962649'),('4643062987912966601','4477019861485661637','4643062987912962676'),('4643062987912966602','4477019861485661637','4643062987912962702'),('4643062987912966603','4476990724427424926','4643062987912962728'),('4643062987912966604','4476990724427424926','4643062987912962754'),('4643062987912966605','4476990724427424926','4643062987912962780'),('4643062987912966606','4476995294272632522','4643062987912962806'),('4643062987912966607','4477024671849036985','4643062987912962806'),('4643062987912966608','4476995294272632522','4643062987912962833'),('4643062987912966609','4477024671849036985','4643062987912962859'),('4643062987912966610','4473857013208978110','4643062987912962885'),('4643062987912966611','4473857013208978110','4643062987912962911'),('4643062987912966612','4473857013208978110','4643062987912962937'),('4643062987912966613','4476994435279172269','4643062987912962963'),('4643062987912966614','4476994538358389834','4643062987912962963'),('4643062987912966615','4477023847215315412','4643062987912962963'),('4643062987912966616','4476994538358389958','4643062987912962963'),('4643062987912966617','4476994435279172269','4643062987912962992'),('4643062987912966618','4476994538358389834','4643062987912963018'),('4643062987912966619','4477023847215315412','4643062987912963044'),('4643062987912966620','4476994538358389958','4643062987912963070'),('4643062987912966621','4477022301027087840','4643062987912963096'),('4643062987912966622','4477022301027087840','4643062987912963122'),('4643062987912966623','4477020754838860233','4643062987912963148'),('4643062987912966624','4477020789198594052','4643062987912963148'),('4643062987912966625','4477020789198594085','4643062987912963148'),('4643062987912966626','4476991823939051878','4643062987912963148'),('4643062987912966627','4477020754838860233','4643062987912963177'),('4643062987912966628','4477020754838860233','4643062987912963203'),('4643062987912966629','4477020789198594052','4643062987912963229'),('4643062987912966630','4477020789198594085','4643062987912963255'),('4643062987912966631','4476991823939051878','4643062987912963281'),('4643062987912966632','4455233760135391055','4643062987912963307'),('4643062987912966633','4455233760135391088','4643062987912963307'),('4643062987912966634','4455233760135391121','4643062987912963307'),('4643062987912966635','4455233760135391055','4643062987912963335'),('4643062987912966636','4455233760135391088','4643062987912963361'),('4643062987912966637','4455233760135391088','4643062987912963387'),('4643062987912966638','4455233760135391121','4643062987912963413'),('4643062987912966639','4477019861485663640','4643062987912963439'),('4643062987912966640','4477019861485663673','4643062987912963439'),('4643062987912966641','4477019861485663706','4643062987912963439'),('4643062987912966642','4477019861485663640','4643062987912963467'),('4643062987912966643','4477019861485663706','4643062987912963493'),('4643062987912966644','4477019861485663673','4643062987912963519'),('4643062987912966645','4474224043934277455','4643062987912963545'),('4643062987912966646','4473857047568713728','4643062987912963545'),('4643062987912966647','4474224043934277455','4643062987912963572'),('4643062987912966648','4473857047568713728','4643062987912963598'),('4643062987912966649','4476994160401267913','4643062987912963624'),('4643062987912966650','4477023228740024515','4643062987912963624'),('4643062987912966651','4477023228740024758','4643062987912963624'),('4643062987912966652','4476994160401267913','4643062987912963659'),('4643062987912966653','4477023228740024515','4643062987912963685'),('4643062987912966654','4477023228740024758','4643062987912963711'),('4643062987912966655','4477022301027082902','4643062987912963737'),('4643062987912966656','4477022301027082902','4643062987912963763'),('4643062987912966657','4476990724427425813','4643062987912963789'),('4643062987912966658','4477019827125921744','4643062987912963789'),('4643062987912966659','4477019827125921777','4643062987912963789'),('4643062987912966660','4476990724427425813','4643062987912963817'),('4643062987912966661','4477019827125921744','4643062987912963843'),('4643062987912966662','4477019827125921777','4643062987912963869'),('4643062987912966663','4476993988602574003','4643062987912963895'),('4643062987912966664','4476993988602573912','4643062987912963895'),('4643062987912966665','4476993988602573726','4643062987912963895'),('4643062987912966666','4476993988602573588','4643062987912963895'),('4643062987912966667','4476993988602574003','4643062987912963924'),('4643062987912966668','4476993988602573912','4643062987912963950'),('4643062987912966669','4476993988602573726','4643062987912963976'),('4643062987912966670','4476993988602573588','4643062987912964002'),('4643062987912966671','4477021648192054590','4643062987912964028'),('4643062987912966672','4476992682932516834','4643062987912964028'),('4643062987912966673','4476992682932518160','4643062987912964028'),('4643062987912966674','4476992682932518351','4643062987912964028'),('4643062987912966675','4477021648192055413','4643062987912964028'),('4643062987912966676','4477021648192054590','4643062987912964058'),('4643062987912966677','4476992682932516834','4643062987912964084'),('4643062987912966678','4476992682932518160','4643062987912964110'),('4643062987912966679','4476992682932518351','4643062987912964136'),('4643062987912966680','4477021648192055413','4643062987912964162'),('4643062987912966681','4476991411622193140','4643062987912964188'),('4643062987912966682','4477020445601213406','4643062987912964188'),('4643062987912966683','4477020445601213406','4643062987912964215'),('4643062987912966684','4476991411622193140','4643062987912964241'),('4643062987912966685','4455233794495132300','4643062987912964267'),('4643062987912966686','4459060472917004720','4643062987912964267'),('4643062987912966687','4459060301118315661','4643062987912964267'),('4643062987912966688','4459060404197531062','4643062987912964267'),('4643062987912966689','4459060472917004720','4643062987912964296'),('4643062987912966690','4459060301118315661','4643062987912964322'),('4643062987912966691','4455233794495132300','4643062987912964348'),('4643062987912966692','4459060404197531062','4643062987912964374'),('4643062987912966693','4476995706589492915','4643062987912964400'),('4643062987912966694','4476995706589493191','4643062987912964400'),('4643062987912966695','4476995706589493407','4643062987912964400'),('4643062987912966696','4476995706589493850','4643062987912964400'),('4643062987912966697','4477025049806153080','4643062987912964400'),('4643062987912966698','4476995706589492915','4643062987912964430'),('4643062987912966699','4476995706589493191','4643062987912964456'),('4643062987912966700','4476995706589493407','4643062987912964482'),('4643062987912966701','4476995706589493407','4643062987912964508'),('4643062987912966702','4476995706589493850','4643062987912964534'),('4643062987912966703','4477025049806153080','4643062987912964560'),('4643062987912966704','4455233760135391536','4643062987912964586'),('4643062987912966705','4455233760135391569','4643062987912964586'),('4643062987912966706','4476990724427424685','4643062987912964586'),('4643062987912966707','4477019827125920587','4643062987912964586'),('4643062987912966708','4477019827125920620','4643062987912964586'),('4643062987912966709','4455233760135391536','4643062987912964616'),('4643062987912966710','4455233760135391569','4643062987912964642'),('4643062987912966711','4476990724427424685','4643062987912964668'),('4643062987912966712','4477019827125920587','4643062987912964694'),('4643062987912966713','4477019827125920620','4643062987912964720'),('4643062987912966714','4459060541636477036','4643062987912964746'),('4643062987912966715','4459060541636477069','4643062987912964746'),('4643062987912966716','4455233828854866710','4643062987912964746'),('4643062987912966717','4455233828854866743','4643062987912964746'),('4643062987912966718','4459060541636477102','4643062987912964746'),('4643062987912966719','4459060541636477069','4643062987912964776'),('4643062987912966720','4459060541636477069','4643062987912964802'),('4643062987912966721','4455233828854866710','4643062987912964828'),('4643062987912966722','4459060541636477036','4643062987912964854'),('4643062987912966723','4455233828854866743','4643062987912964880'),('4643062987912966724','4459060541636477102','4643062987912964906'),('4643062987912966725','4455233794495132464','4643062987912964932'),('4643062987912966726','4455233794495133007','4643062987912964932'),('4643062987912966727','4455233794495132464','4643062987912964959'),('4643062987912966728','4455233794495133007','4643062987912964985'),('4643062987912966729','4476990724427429540','4643062987912965011'),('4643062987912966730','4477019861485662171','4643062987912965011'),('4643062987912966731','4476990724427429616','4643062987912965011'),('4643062987912966732','4476990724427429781','4643062987912965011'),('4643062987912966733','4476990724427429540','4643062987912965040'),('4643062987912966734','4477019861485662171','4643062987912965066'),('4643062987912966735','4476990724427429616','4643062987912965092'),('4643062987912966736','4476990724427429781','4643062987912965118'),('4643062987912966737','4477023366178974780','4643062987912965144'),('4643062987912966738','4477023366178974984','4643062987912965144'),('4643062987912966739','4476994332199957543','4643062987912965144'),('4643062987912966740','4476994332199957639','4643062987912965144'),('4643062987912966741','4477023366178975216','4643062987912965144'),('4643062987912966742','4476994332199957736','4643062987912965144'),('4643062987912966743','4477023366178974780','4643062987912965175'),('4643062987912966744','4477023366178974984','4643062987912965201'),('4643062987912966745','4476994332199957543','4643062987912965227'),('4643062987912966746','4476994332199957639','4643062987912965253'),('4643062987912966747','4477023366178975216','4643062987912965279'),('4643062987912966748','4476994332199957736','4643062987912965305'),('4643062987912966749','4477022919502379368','4643062987912965331'),('4643062987912966750','4476993816803880683','4643062987912965331'),('4643062987912966751','4477022919502379368','4643062987912965358'),('4643062987912966752','4477022919502379368','4643062987912965384'),('4643062987912966753','4477022919502379368','4643062987912965410'),('4643062987912966754','4476993816803880683','4643062987912965436'),('4643062987912966755','4476993816803880683','4643062987912965462'),('4643062987912966756','4477023331819238352','4643062987912965488'),('4643062987912966757','4477023331819238400','4643062987912965488'),('4643062987912966758','4476994332199952603','4643062987912965488'),('4643062987912966759','4477023331819238352','4643062987912965516'),('4643062987912966760','4477023331819238400','4643062987912965542'),('4643062987912966761','4476994332199952603','4643062987912965568'),('4643062987912966762','4477022816423158447','4643062987912965594'),('4643062987912966763','4477022816423158485','4643062987912965594'),('4643062987912966764','4476993782444139786','4643062987912965594'),('4643062987912966765','4476993782444139629','4643062987912965594'),('4643062987912966766','4477022816423158623','4643062987912965594'),('4643062987912966767','4476993782444139667','4643062987912965594'),('4643062987912966768','4477022816423158447','4643062987912965625'),('4643062987912966769','4477022816423158447','4643062987912965651'),('4643062987912966770','4477022816423158485','4643062987912965677'),('4643062987912966771','4476993782444139786','4643062987912965703'),('4643062987912966772','4476993782444139629','4643062987912965729'),('4643062987912966773','4477022816423158623','4643062987912965755'),('4643062987912966774','4476993782444139667','4643062987912965781'),('4643062987912966775','4476990758787162552','4643062987912965807'),('4643062987912966776','4477019895845397379','4643062987912965807'),('4643062987912966777','4476990758787162552','4643062987912965834'),('4643062987912966778','4476990758787162552','4643062987912965860'),('4643062987912966779','4477019895845397379','4643062987912965886'),('4643062987912966780','4477019895845397379','4643062987912965912'),('4643062987912966781','4476991068024812464','4643062987912965938'),('4643062987912966782','4477020342521997890','4643062987912965938'),('4643062987912966783','4477020376881741730','4643062987912965938'),('4643062987912966784','4477020342521998278','4643062987912965938'),('4643062987912966785','4476991068024812464','4643062987912965967'),('4643062987912966786','4477020342521997890','4643062987912965993'),('4643062987912966787','4477020376881741730','4643062987912966019'),('4643062987912966788','4477020342521998278','4643062987912966045'),('4643062987912966789','4477020239442785693','4643062987912966071'),('4643062987912966790','4477020239442785726','4643062987912966071'),('4643062987912966791','4476991033665076722','4643062987912966071'),('4643062987912966792','4476991033665076799','4643062987912966071'),('4643062987912966793','4477020239442785759','4643062987912966071'),('4643062987912966794','4477020239442785693','4643062987912966101'),('4643062987912966795','4477020239442785693','4643062987912966127'),('4643062987912966796','4477020239442785726','4643062987912966153'),('4643062987912966797','4476991033665076722','4643062987912966179'),('4643062987912966798','4476991033665076799','4643062987912966205'),('4643062987912966799','4476991033665076799','4643062987912966231'),('4643062987912966800','4476991033665076799','4643062987912966257'),('4643062987912966801','4477020239442785759','4643062987912966283'),('4643062987912966802','4477020239442785759','4643062987912966309'),('4643062987912966803','4476992304975392129','4643062987912966335'),('4643062987912966804','4477021132795981638','4643062987912966335'),('4643062987912966805','4476992304975392257','4643062987912966335'),('4643062987912966806','4476992304975392333','4643062987912966335'),('4643062987912966807','4477021132795982732','4643062987912966335'),('4643062987912966808','4476992304975392129','4643062987912966365'),('4643062987912966809','4477021132795981638','4643062987912966391'),('4643062987912966810','4476992304975392257','4643062987912966417'),('4643062987912966811','4476992304975392333','4643062987912966443'),('4643062987912966812','4477021132795982732','4643062987912966469'),('4643062987912966813','4476990758787162175','4643062987912966495'),('4643062987912966814','4476990758787162175','4643062987912966521'),('4643062987912966815','4476990758787162175','4643062987912966547'),('4643062987912966816','4476990758787162175','4643062987912966573'),('4643062987912968701','4500556488426390020','4643062987912966939'),('4643062987912968702','4500556488426389778','4643062987912966939'),('4643062987912968703','4500587377831199614','4643062987912966939'),('4643062987912968704','4500595040052873991','4643062987912966939'),('4643062987912968705','4500556488426393339','4643062987912966939'),('4643062987912968706','4500587343471466876','4643062987912966939'),('4643062987912968707','4500556488426390020','4643062987912966970'),('4643062987912968708','4500556488426389778','4643062987912966996'),('4643062987912968709','4500587377831199614','4643062987912967022'),('4643062987912968710','4500595040052873991','4643062987912967048'),('4643062987912968711','4500556488426393339','4643062987912967074'),('4643062987912968712','4500587343471466876','4643062987912967100'),('4643062987912968713','4527498852634058788','4643062987912967126'),('4643062987912968714','4500591913316670033','4643062987912967126'),('4643062987912968715','4500606447486012513','4643062987912967126'),('4643062987912968716','4527498852634059402','4643062987912967126'),('4643062987912968717','4500606447486014094','4643062987912967126'),('4643062987912968718','4500588236824659113','4643062987912967126'),('4643062987912968719','4527498852634059234','4643062987912967126'),('4643062987912968720','4527498852634058788','4643062987912967158'),('4643062987912968721','4500591913316670033','4643062987912967184'),('4643062987912968722','4500606447486012513','4643062987912967210'),('4643062987912968723','4527498852634059402','4643062987912967236'),('4643062987912968724','4500606447486014094','4643062987912967262'),('4643062987912968725','4500588236824659113','4643062987912967288'),('4643062987912968726','4527498852634059234','4643062987912967314'),('4643062987912968727','4500595486729473040','4643062987912967340'),('4643062987912968728','4500587961946755195','4643062987912967340'),('4643062987912968729','4500587961946755530','4643062987912967340'),('4643062987912968730','4500595486729473040','4643062987912967368'),('4643062987912968731','4500587961946755195','4643062987912967394'),('4643062987912968732','4500587961946755530','4643062987912967420'),('4643062987912968733','4500594387217847393','4643062987912967446'),('4643062987912968734','4500594387217847789','4643062987912967446'),('4643062987912968735','4500594387217847912','4643062987912967446'),('4643062987912968736','4500555835591367400','4643062987912967446'),('4643062987912968737','4500555835591366417','4643062987912967446'),('4643062987912968738','4500586759355909814','4643062987912967446'),('4643062987912968739','4500586724996175957','4643062987912967446'),('4643062987912968740','4500555835591365527','4643062987912967446'),('4643062987912968741','4500594387217847393','4643062987912967479'),('4643062987912968742','4500594387217847789','4643062987912967505'),('4643062987912968743','4500594387217847912','4643062987912967531'),('4643062987912968744','4500555835591367400','4643062987912967557'),('4643062987912968745','4500555835591366417','4643062987912967583'),('4643062987912968746','4500586759355909814','4643062987912967609'),('4643062987912968747','4500586724996175957','4643062987912967635'),('4643062987912968748','4500555835591365527','4643062987912967661'),('4643062987912968749','4500557691017232947','4643062987912967687'),('4643062987912968750','4527498955713279425','4643062987912967687'),('4643062987912968751','4500606584924966901','4643062987912967687'),('4643062987912968752','4527498955713281091','4643062987912967687'),('4643062987912968753','4527498955713281373','4643062987912967687'),('4643062987912968754','4500591982036146789','4643062987912967687'),('4643062987912968755','4500591982036147016','4643062987912967687'),('4643062987912968756','4527498955713282013','4643062987912967687'),('4643062987912968757','4500557691017232947','4643062987912967720'),('4643062987912968758','4527498955713279425','4643062987912967746'),('4643062987912968759','4500606584924966901','4643062987912967772'),('4643062987912968760','4527498955713281091','4643062987912967798'),('4643062987912968761','4527498955713281373','4643062987912967824'),('4643062987912968762','4500591982036146789','4643062987912967850'),('4643062987912968763','4500591982036147016','4643062987912967876'),('4643062987912968764','4527498955713282013','4643062987912967902'),('4643062987912968765','4500608028033980466','4643062987912967928'),('4643062987912968766','4500608028033980686','4643062987912967928'),('4643062987912968767','4500608028033980850','4643062987912967928'),('4643062987912968768','4500608062393713766','4643062987912967928'),('4643062987912968769','4527499505469087934','4643062987912967928'),('4643062987912968770','4527499402389873787','4643062987912967928'),('4643062987912968771','4527499402389873345','4643062987912967928'),('4643062987912968772','4500608028033977660','4643062987912967928'),('4643062987912968773','4500595177491809119','4643062987912967928'),('4643062987912968774','4500608028033980466','4643062987912967962'),('4643062987912968775','4500608028033980686','4643062987912967988'),('4643062987912968776','4500608028033980850','4643062987912968014'),('4643062987912968777','4500608062393713766','4643062987912968040'),('4643062987912968778','4527499505469087934','4643062987912968066'),('4643062987912968779','4527499402389873787','4643062987912968092'),('4643062987912968780','4527499402389873345','4643062987912968118'),('4643062987912968781','4500608028033977660','4643062987912968144'),('4643062987912968782','4500595177491809119','4643062987912968170'),('4643062987912968783','4500596036485284973','4643062987912968196'),('4643062987912968784','4500557897175668314','4643062987912968196'),('4643062987912968785','4500557897175668350','4643062987912968196'),('4643062987912968786','4500596036485285918','4643062987912968196'),('4643062987912968787','4500596036485284973','4643062987912968225'),('4643062987912968788','4500557897175668314','4643062987912968251'),('4643062987912968789','4500557897175668350','4643062987912968277'),('4643062987912968790','4500596036485285918','4643062987912968303'),('4643062987912968791','4500588374263612537','4643062987912968329'),('4643062987912968792','4500596002125551060','4643062987912968329'),('4643062987912968793','4500588374263612847','4643062987912968329'),('4643062987912968794','4500557897175663239','4643062987912968329'),('4643062987912968795','4500557897175663360','4643062987912968329'),('4643062987912968796','4500588374263612537','4643062987912968359'),('4643062987912968797','4500596002125551060','4643062987912968385'),('4643062987912968798','4500588374263612847','4643062987912968411'),('4643062987912968799','4500557897175663239','4643062987912968437'),('4643062987912968800','4500557897175663360','4643062987912968463'),('4643062987912968801','4500553602208372269','4643062987912968489'),('4643062987912968802','4527501567053397289','4643062987912968489'),('4643062987912968803','4500598063709833053','4643062987912968489'),('4643062987912968804','4500553602208372269','4643062987912968517'),('4643062987912968805','4527501567053397289','4643062987912968543'),('4643062987912968806','4500598063709833053','4643062987912968569'),('4643062987912968807','4500555045317385461','4643062987912968595'),('4643062987912968808','4500593700023077619','4643062987912968595'),('4643062987912968809','4500586140880618714','4643062987912968595'),('4643062987912968810','4500555045317385461','4643062987912968623'),('4643062987912968811','4500593700023077619','4643062987912968649'),('4643062987912968812','4500586140880618714','4643062987912968675'),('4643063022272708260','4477020239442784100','4643063022272706665'),('4643063022272708261','4477020239442784312','4643063022272706665'),('4643063022272708262','4477020239442784449','4643063022272706665'),('4643063022272708263','4477020239442784487','4643063022272706665'),('4643063022272708264','4477020239442784100','4643063022272706694'),('4643063022272708265','4477020239442784312','4643063022272706720'),('4643063022272708266','4477020239442784449','4643063022272706746'),('4643063022272708267','4477020239442784487','4643063022272706772'),('4643063022272708268','4500574527289071628','4643063022272706798'),('4643063022272708269','4500534704352269014','4643063022272706798'),('4643063022272708270','4500534704352269161','4643063022272706798'),('4643063022272708271','4500574527289071628','4643063022272706826'),('4643063022272708272','4500534704352269014','4643063022272706852'),('4643063022272708273','4500534704352269161','4643063022272706878'),('4643063022272708274','4500568857932226107','4643063022272706904'),('4643063022272708275','4500536319259973375','4643063022272706904'),('4643063022272708276','4500536319259974406','4643063022272706904'),('4643063022272708277','4500537281332644247','4643063022272706904'),('4643063022272708278','4500575729879910822','4643063022272706904'),('4643063022272708279','4500568857932226107','4643063022272706934'),('4643063022272708280','4500575729879910822','4643063022272706934'),('4643063022272708281','4500536319259973375','4643063022272706961'),('4643063022272708282','4500536319259974406','4643063022272706987'),('4643063022272708283','4500537281332644247','4643063022272707013'),('4643063022272708284','4500576313995462207','4643063022272707039'),('4643063022272708285','4500576313995467217','4643063022272707039'),('4643063022272708286','4500569373328298202','4643063022272707039'),('4643063022272708287','4500576313995462207','4643063022272707067'),('4643063022272708288','4500576313995467217','4643063022272707093'),('4643063022272708289','4500569373328298202','4643063022272707119'),('4643063022272708290','4476994572718122343','4643063022272707145'),('4643063022272708291','4476994400919431762','4643063022272707145'),('4643063022272708292','4476994572718122343','4643063022272707172'),('4643063022272708293','4476994400919431762','4643063022272707198'),('4643063022272708294','4476994710157077711','4643063022272707224'),('4643063022272708295','4476994710157078360','4643063022272707224'),('4643063022272708296','4476994710157078758','4643063022272707224'),('4643063022272708297','4477024087733483320','4643063022272707224'),('4643063022272708298','4476994710157077711','4643063022272707253'),('4643063022272708299','4476994710157078360','4643063022272707279'),('4643063022272708300','4476994710157078758','4643063022272707305'),('4643063022272708301','4477024087733483320','4643063022272707331'),('4643063022272708302','4476998386649085245','4643063022272707357'),('4643063022272708303','4477026802152814056','4643063022272707357'),('4643063022272708304','4476998386649085245','4643063022272707384'),('4643063022272708305','4477026802152814056','4643063022272707410'),('4643063022272708306','4476997012259553014','4643063022272707436'),('4643063022272708307','4477026149317786751','4643063022272707436'),('4643063022272708308','4476997184058238596','4643063022272707436'),('4643063022272708309','4476997012259553014','4643063022272707464'),('4643063022272708310','4477026149317786751','4643063022272707490'),('4643063022272708311','4476997184058238596','4643063022272707516'),('4643063022272708312','4500577482226570493','4643063022272707542'),('4643063022272708313','4500570369760707191','4643063022272707568'),('4643063022272708314','4500577516586303740','4643063022272707594'),('4643063022272708315','4500539171118260046','4643063022272707620'),('4643063022272708316','4500539205477996242','4643063022272707620'),('4643063022272708317','4500577928903168759','4643063022272707620'),('4643063022272708318','4500539239837729511','4643063022272707620'),('4643063022272708319','4500577997622643960','4643063022272707620'),('4643063022272708320','4500539171118260046','4643063022272707650'),('4643063022272708321','4500539205477996242','4643063022272707676'),('4643063022272708322','4500539239837729511','4643063022272707702'),('4643063022272708323','4500577928903168759','4643063022272707728'),('4643063022272708324','4500577997622643960','4643063022272707754'),('4643063022272708325','4500540682946741744','4643063022272707780'),('4643063022272708326','4500540682946742102','4643063022272707780'),('4643063022272708327','4500540682946742562','4643063022272707780'),('4643063022272708328','4500540682946743896','4643063022272707780'),('4643063022272708329','4500540682946741744','4643063022272707809'),('4643063022272708330','4500540682946742102','4643063022272707835'),('4643063022272708331','4500540682946742562','4643063022272707861'),('4643063022272708332','4500540682946743896','4643063022272707887'),('4643063022272708333','4500540889105173931','4643063022272707913'),('4643063022272708334','4500540923464910622','4643063022272707913'),('4643063022272708335','4500572534424224735','4643063022272707913'),('4643063022272708336','4500540889105176024','4643063022272707913'),('4643063022272708337','4500579509451132595','4643063022272707913'),('4643063022272708338','4500540923464910808','4643063022272707913'),('4643063022272708339','4500540889105173931','4643063022272707944'),('4643063022272708340','4500540923464910622','4643063022272707970'),('4643063022272708341','4500572534424224735','4643063022272707997'),('4643063022272708342','4500579509451132595','4643063022272708023'),('4643063022272708343','4500540889105176024','4643063022272708049'),('4643063022272708344','4500540923464910808','4643063022272708075'),('4643063022272708345','4500573805734550408','4643063022272708102'),('4643063022272708346','4500573840094283596','4643063022272708102'),('4643063022272708347','4500573840094286375','4643063022272708102'),('4643063022272708348','4500573805734550408','4643063022272708130'),('4643063022272708349','4500573840094283596','4643063022272708156'),('4643063022272708350','4500573840094286375','4643063022272708182'),('4643063022272708351','4500590160970012669','4643063022272708208'),('4643063022272708352','4500590160970012669','4643063022272708234'),('4643063056632440035','4477026527274904683','4643063056632439005'),('4643063056632440043','4545346572052734662','4643063056632439213'),('4643063056632440050','4477026527274904683','4643063056632439239'),('4643063056632440052','4476997424576409078','4643063056632439272'),('4643063056632440056','4477026630354118668','4643063056632439376'),('4643063056632440057','4476998043051700170','4643063056632439402'),('4643063056632440059','4476999280002281896','4643063056632439454'),('4643063056632440060','4477027592426795152','4643063056632439454'),('4643063056632440061','4476999280002281962','4643063056632439454'),('4643063056632440062','4477027592426795152','4643063056632439482'),('4643063056632440063','4477027592426795152','4643063056632439508'),('4643063056632440064','4476999280002281896','4643063056632439534'),('4643063056632440065','4477027592426795152','4643063056632439560'),('4643063056632440066','4476992304975394151','4643063056632439586'),('4643063056632440067','4477021132795983172','4643063056632439586'),('4643063056632440068','4477021132795983205','4643063056632439586'),('4643063056632440069','4476992304975394198','4643063056632439586'),('4643063056632440070','4477021132795983248','4643063056632439586'),('4643063056632440071','4476992304975394296','4643063056632439586'),('4643063056632440072','4477024053373743078','4643063056632439586'),('4643063056632440073','4476992304975394151','4643063056632439618'),('4643063056632440074','4477021132795983172','4643063056632439644'),('4643063056632440077','4477021132795983248','4643063056632439722'),('4643063056632440078','4476992304975394296','4643063056632439748'),('4643063056632440079','4476991033665073758','4643063056632439774'),('4643063056632440081','4477027764225482961','4643063056632439826'),('4643063056632440083','4477027764225482996','4643063056632439878'),('4643063056632440084','4476999486160709658','4643063056632439904'),('4643063056632440085','4477027764225483073','4643063056632439930'),('4643063056632440086','4477027764225483107','4643063056632439956'),('4643063056632440087','4477027764225483141','4643063056632439982'),('4643063056632444540','4527514108357901256','4643063056632441913'),('4643063056632444541','4527514108357901256','4643063056632441939'),('4643063056632444542','4500598166789067550','4643063056632441965'),('4643063056632444543','4500598166789067550','4643063056632441991'),('4643063056632444544','4500611704525985296','4643063056632442017'),('4643063056632444545','4500599884775970557','4643063056632442017'),('4643063056632444546','4500611738885723341','4643063056632442017'),('4643063056632444547','4500611704525985296','4643063056632442045'),('4643063056632444548','4500599884775970557','4643063056632442045'),('4643063056632444549','4500611738885723341','4643063056632442045'),('4643063056632444550','4500611704525985296','4643063056632442073'),('4643063056632444551','4500599884775970557','4643063056632442073'),('4643063056632444552','4500611738885723341','4643063056632442073'),('4643063056632444553','4500611704525985296','4643063056632442101'),('4643063056632444554','4500599884775970557','4643063056632442101'),('4643063056632444555','4500611738885723341','4643063056632442101'),('4643063056632444556','4527519640275773916','4643063056632442129'),('4643063056632444557','4527519640275773916','4643063056632442155'),('4643063056632444558','4500606550565225129','4643063056632442181'),('4643063056632444559','4500606550565225129','4643063056632442207'),('4643063056632444560','4527509023116622953','4643063056632442233'),('4643063056632444561','4527509023116622953','4643063056632442259'),('4643063056632444562','4527500845498888535','4643063056632442285'),('4643063056632444563','4527500845498888535','4643063056632442311'),('4643063056632444564','4500616102572495064','4643063056632442337'),('4643063056632444565','4500616102572495064','4643063056632442363'),('4643063056632444566','4500585694204026785','4643063056632442389'),('4643063056632444567','4500585694204026785','4643063056632442415'),('4643063056632444568','4500607890595010018','4643063056632442441'),('4643063056632444569','4500607890595010018','4643063056632442467'),('4643063056632444570','4500622596563047227','4643063056632442493'),('4643063056632444571','4500622596563047227','4643063056632442519'),('4643063056632444572','4500595074412595604','4643063056632442545'),('4643063056632444573','4527499333670400695','4643063056632442545'),('4643063056632444574','4500607890595021907','4643063056632442545'),('4643063056632444575','4500595143132073231','4643063056632442545'),('4643063056632444576','4527499471109353293','4643063056632442545'),('4643063056632444577','4500595074412595604','4643063056632442575'),('4643063056632444578','4527499333670400695','4643063056632442575'),('4643063056632444579','4500607890595021907','4643063056632442575'),('4643063056632444580','4500595143132073231','4643063056632442575'),('4643063056632444581','4527499471109353293','4643063056632442575'),('4643063056632444582','4500595074412595604','4643063056632442605'),('4643063056632444583','4527499333670400695','4643063056632442605'),('4643063056632444584','4500607890595021907','4643063056632442605'),('4643063056632444585','4500595143132073231','4643063056632442605'),('4643063056632444586','4527499471109353293','4643063056632442605'),('4643063056632444587','4500595074412595604','4643063056632442635'),('4643063056632444588','4527499333670400695','4643063056632442635'),('4643063056632444589','4500607890595021907','4643063056632442635'),('4643063056632444590','4500595143132073231','4643063056632442635'),('4643063056632444591','4527499471109353293','4643063056632442635'),('4643063056632444592','4500595074412595604','4643063056632442665'),('4643063056632444593','4527499333670400695','4643063056632442665'),('4643063056632444594','4500607890595021907','4643063056632442665'),('4643063056632444595','4500595143132073231','4643063056632442665'),('4643063056632444596','4527499471109353293','4643063056632442665'),('4643063056632444597','4500595074412595604','4643063056632442695'),('4643063056632444598','4527499333670400695','4643063056632442695'),('4643063056632444599','4500607890595021907','4643063056632442695'),('4643063056632444600','4500595143132073231','4643063056632442695'),('4643063056632444601','4527499471109353293','4643063056632442695'),('4643063056632444602','4500598441666954580','4643063056632442725'),('4643063056632444603','4500598441666954580','4643063056632442751'),('4643063056632444604','4500598579105928605','4643063056632442777'),('4643063056632444605','4500598579105928605','4643063056632442803'),('4643063056632444606','4500587446550683588','4643063056632442829'),('4643063056632444607','4500595074412612718','4643063056632442829'),('4643063056632444608','4500556591505606469','4643063056632442829'),('4643063056632444609','4500587446550683588','4643063056632442857'),('4643063056632444610','4500595074412612718','4643063056632442857'),('4643063056632444611','4500556591505606469','4643063056632442857'),('4643063056632444612','4500587446550683588','4643063056632442885'),('4643063056632444613','4500595074412612718','4643063056632442885'),('4643063056632444614','4500556591505606469','4643063056632442885'),('4643063056632444615','4500587446550683588','4643063056632442913'),('4643063056632444616','4500595074412612718','4643063056632442913'),('4643063056632444617','4500556591505606469','4643063056632442913'),('4643063056632444618','4500608852667698586','4643063056632442941'),('4643063056632444619','4500609196265082778','4643063056632442941'),('4643063056632444620','4527500433182031534','4643063056632442941'),('4643063056632444621','4500608852667698586','4643063056632442969'),('4643063056632444627','4500608852667698586','4643063056632443025'),('4643063056632444628','4500609196265082778','4643063056632443025'),('4643063056632444629','4527500433182031534','4643063056632443025'),('4643063056632444630','4500590126610272669','4643063056632443053'),('4643063056632444631','4500590126610272934','4643063056632443053'),('4643063056632444632','4500598579105929145','4643063056632443053'),('4643063056632444633','4527497237726363106','4643063056632443053'),('4643063056632444634','4500590126610272669','4643063056632443082'),('4643063056632444635','4500590126610272934','4643063056632443082'),('4643063056632444636','4500598579105929145','4643063056632443082'),('4643063056632444637','4527497237726363106','4643063056632443082'),('4643063056632444638','4500590126610272669','4643063056632443111'),('4643063056632444639','4500590126610272934','4643063056632443111'),('4643063056632444640','4500598579105929145','4643063056632443111'),('4643063056632444641','4527497237726363106','4643063056632443111'),('4643063056632444642','4500590126610272669','4643063056632443140'),('4643063056632444643','4500590126610272934','4643063056632443140'),('4643063056632444644','4500598579105929145','4643063056632443140'),('4643063056632444645','4527497237726363106','4643063056632443140'),('4643063056632444646','4500590126610272669','4643063056632443169'),('4643063056632444647','4500590126610272934','4643063056632443169'),('4643063056632444648','4500598579105929145','4643063056632443169'),('4643063056632444649','4527497237726363106','4643063056632443169'),('4643063056632444650','4527499471109356857','4643063056632443198'),('4643063056632444651','4527499505469088012','4643063056632443198'),('4643063056632444652','4527499471109356857','4643063056632443225'),('4643063056632444653','4527499505469088012','4643063056632443225'),('4643063056632444654','4527499471109356857','4643063056632443252'),('4643063056632444655','4527499505469088012','4643063056632443252'),('4643063056632444656','4527508164123159964','4643063056632443279'),('4643063056632444657','4500616961565957324','4643063056632443279'),('4643063056632444658','4527508164123159964','4643063056632443306'),('4643063056632444659','4500616961565957324','4643063056632443306'),('4643063056632444660','4527508164123159964','4643063056632443333'),('4643063056632444661','4500616961565957324','4643063056632443333'),('4643063056632444662','4500590057890799223','4643063056632443360'),('4643063056632444663','4500590126610272219','4643063056632443360'),('4643063056632444664','4500590057890799223','4643063056632443387'),('4643063056632444665','4500590126610272219','4643063056632443387'),('4643063056632444666','4500590057890799223','4643063056632443414'),('4643063056632444667','4500590126610272219','4643063056632443414'),('4643063056632444668','4500610501935144902','4643063056632443441'),('4643063056632444669','4500610501935144902','4643063056632443467'),('4643063056632444670','4500602152518703445','4643063056632443493'),('4643063056632444671','4500602152518703445','4643063056632443519'),('4643063056632444672','4500606516205491187','4643063056632443545'),('4643063056632444673','4500591947676403597','4643063056632443545'),('4643063056632444674','4527498852634062949','4643063056632443545'),('4643063056632444675','4500591947676403764','4643063056632443545'),('4643063056632444676','4500606516205491187','4643063056632443574'),('4643063056632444677','4500591947676403597','4643063056632443574'),('4643063056632444678','4527498852634062949','4643063056632443574'),('4643063056632444679','4500591947676403764','4643063056632443574'),('4643063056632444680','4500606516205491187','4643063056632443603'),('4643063056632444681','4500591947676403597','4643063056632443603'),('4643063056632444682','4527498852634062949','4643063056632443603'),('4643063056632444683','4500591947676403764','4643063056632443603'),('4643063056632444684','4500606516205491187','4643063056632443632'),('4643063056632444685','4500591947676403597','4643063056632443632'),('4643063056632444686','4527498852634062949','4643063056632443632'),('4643063056632444687','4500591947676403764','4643063056632443632'),('4643063056632444688','4500606516205491187','4643063056632443661'),('4643063056632444689','4500591947676403597','4643063056632443661'),('4643063056632444690','4527498852634062949','4643063056632443661'),('4643063056632444691','4500591947676403764','4643063056632443661'),('4643063056632444692','4500607718796315599','4643063056632443690'),('4643063056632444693','4500621393972201368','4643063056632443690'),('4643063056632444694','4500621393972202081','4643063056632443690'),('4643063056632444695','4500607718796316140','4643063056632443690'),('4643063056632444696','4500607718796315599','4643063056632443719'),('4643063056632444697','4500621393972201368','4643063056632443719'),('4643063056632444698','4500621393972202081','4643063056632443719'),('4643063056632444699','4500607718796316140','4643063056632443719'),('4643063056632444700','4500607718796315599','4643063056632443748'),('4643063056632444701','4500621393972201368','4643063056632443748'),('4643063056632444702','4500621393972202081','4643063056632443748'),('4643063056632444703','4500607718796316140','4643063056632443748'),('4643063056632444704','4500607718796315599','4643063056632443777'),('4643063056632444705','4500621393972201368','4643063056632443777'),('4643063056632444706','4500621393972202081','4643063056632443777'),('4643063056632444707','4500607718796316140','4643063056632443777'),('4643063056632444708','4500607718796315599','4643063056632443806'),('4643063056632444709','4500621393972201368','4643063056632443806'),('4643063056632444710','4500621393972202081','4643063056632443806'),('4643063056632444711','4500607718796316140','4643063056632443806'),('4643063056632444712','4527501086017054536','4643063056632443835'),('4643063056632444713','4500612151202583301','4643063056632443835'),('4643063056632444714','4527504006594821872','4643063056632443835'),('4643063056632444715','4527504006594821994','4643063056632443835'),('4643063056632444716','4527504006594822035','4643063056632443835'),('4643063056632444717','4527501086017054536','4643063056632443865'),('4643063056632444718','4500612151202583301','4643063056632443865'),('4643063056632444719','4527504006594821872','4643063056632443865'),('4643063056632444720','4527504006594821994','4643063056632443865'),('4643063056632444721','4527504006594822035','4643063056632443865'),('4643063056632444722','4527501086017054536','4643063056632443895'),('4643063056632444723','4500612151202583301','4643063056632443895'),('4643063056632444724','4527504006594821872','4643063056632443895'),('4643063056632444725','4527504006594821994','4643063056632443895'),('4643063056632444726','4527504006594822035','4643063056632443895'),('4643063056632444727','4527501086017054536','4643063056632443925'),('4643063056632444728','4500612151202583301','4643063056632443925'),('4643063056632444729','4527504006594821872','4643063056632443925'),('4643063056632444730','4527504006594821994','4643063056632443925'),('4643063056632444731','4527504006594822035','4643063056632443925'),('4643063056632444732','4527501086017054536','4643063056632443955'),('4643063056632444733','4500612151202583301','4643063056632443955'),('4643063056632444734','4527504006594821872','4643063056632443955'),('4643063056632444735','4527504006594821994','4643063056632443955'),('4643063056632444736','4527504006594822035','4643063056632443955'),('4643063056632444737','4500591226121898105','4643063056632443985'),('4643063056632444738','4500591226121898516','4643063056632443985'),('4643063056632444739','4500591226121898105','4643063056632444012'),('4643063056632444740','4500591226121898516','4643063056632444012'),('4643063056632444741','4500591226121898105','4643063056632444039'),('4643063056632444742','4500591226121898516','4643063056632444039'),('4643063056632444744','4500588511702568134','4643063056632444066'),('4643063056632444745','4500558103334096049','4643063056632444066'),('4643063056632444746','4500588546062309868','4643063056632444066'),('4643063056632444748','4500588511702568134','4643063056632444095'),('4643063056632444749','4500558103334096049','4643063056632444095'),('4643063056632444751','4500588511702568134','4643063056632444123'),('4643063056632444752','4500558103334096049','4643063056632444123'),('4643063056632444754','4500588511702568134','4643063056632444151'),('4643063056632444755','4500558103334096049','4643063056632444151'),('4643063056632444756','4500599335020175110','4643063056632444179'),('4643063056632444757','4500599335020175110','4643063056632444205'),('4643063056632444758','4500600159653879347','4643063056632444231'),('4643063056632444759','4500612151202580395','4643063056632444231'),('4643063056632444760','4527503972235082761','4643063056632444231'),('4643063056632444761','4500600159653879347','4643063056632444259'),('4643063056632444762','4500612151202580395','4643063056632444259'),('4643063056632444763','4527503972235082761','4643063056632444259'),('4643063056632444764','4500600159653879347','4643063056632444287'),('4643063056632444765','4500612151202580395','4643063056632444287'),('4643063056632444766','4527503972235082761','4643063056632444287'),('4643063056632444767','4500600159653879347','4643063056632444315'),('4643063056632444768','4500612151202580395','4643063056632444315'),('4643063056632444769','4527503972235082761','4643063056632444315'),('4643063056632444770','4527509229275049480','4643063056632444343'),('4643063056632444771','4500604798218553882','4643063056632444343'),('4643063056632444772','4500618267236014000','4643063056632444343'),('4643063056632444773','4500604798218553785','4643063056632444343'),('4643063056632444774','4500618267236014000','4643063056632444372'),('4643063056632444775','4527509229275049480','4643063056632444372'),('4643063056632444776','4500604798218553785','4643063056632444372'),('4643063056632444777','4500604798218553882','4643063056632444372'),('4643063056632444778','4500618267236014000','4643063056632444401'),('4643063056632444779','4527509229275049480','4643063056632444401'),('4643063056632444780','4500604798218553785','4643063056632444401'),('4643063056632444781','4500604798218553882','4643063056632444401'),('4643063056632444782','4500618267236014000','4643063056632444430'),('4643063056632444783','4527509229275049480','4643063056632444430'),('4643063056632444784','4500604798218553785','4643063056632444430'),('4643063056632444785','4500604798218553882','4643063056632444430'),('4643063056632444786','4500618267236014000','4643063056632444459'),('4643063056632444787','4527509229275049480','4643063056632444459'),('4643063056632444788','4500604798218553785','4643063056632444459'),('4643063056632444789','4500604798218553882','4643063056632444459'),('4643063056632444790','4500554289403134709','4643063056632444488'),('4643063056632444791','4500554289403134709','4643063056632444514'),('4643063125351917806','4589888509648678583','4643063056632446655'),('4643063125351917807','4589883974163215387','4643063056632446681'),('4643063125351917808','4589888715807125987','4643063056632446707'),('4643063125351917809','4589893285652316160','4643063056632446733'),('4643063125351917810','4589890674312213318','4643063056632446759'),('4643063125351917811','4589888303490245915','4643063056632446785'),('4643063125351917812','4589893732328920118','4643063056632446811'),('4643063125351917813','4589893732328922177','4643063056632446837'),('4643063125351917814','4592801837505365598','4643063056632446863'),('4643063125351917815','4589887272698105353','4643063056632446889'),('4643063125351917816','4589888097331835453','4643063056632446915'),('4643063125351917817','4589883699285305585','4643063056632446941'),('4643063125351917818','4589888200411042906','4643063056632446967'),('4643063125351917819','4589885485991704186','4643063090992177169'),('4643063125351917820','4589888990685034268','4643063125351915544'),('4643063125351917821','4589890261995341143','4643063125351915570'),('4643063125351917822','4589885520351439675','4643063125351915596'),('4643063125351917823','4589885520351442921','4643063125351915622'),('4643063125351917824','4589885520351443763','4643063125351915648'),('4643063125351917825','4589883768004781920','4643063125351915674'),('4643063125351917826','4589883768004787468','4643063125351915700'),('4643063125351917827','4589888715807126246','4643063125351915726'),('4643063125351917828','4589887959892875928','4643063125351915752'),('4643063125351917829','4589888784526598414','4643063125351915778'),('4643063125351917830','4589888818886337187','4643063125351915804'),('4643063125351917831','4589888166051306164','4643063125351915830'),('4643063125351917832','4589884558278767231','4643063125351915856'),('4643063125351917833','4592764832067082708','4643063125351915882'),('4643063125351917834','4592764832067083047','4643063125351915908'),('4643063125351917835','4592801596987200230','4643063125351915934'),('4643063125351917836','4592763079720414503','4643063125351915960'),('4643063125351917837','4592801596987201048','4643063125351915986'),('4643063125351917838','4592764866426814579','4643063125351916012'),('4643063125351917839','4611575173916039390','4643063125351916038'),('4643063125351917840','4592813519816335413','4643063125351916064'),('4643063125351917841','4592816474753846045','4643063125351916090'),('4643063125351917842','4592813519816338103','4643063125351916116'),('4643063125351917843','4592816543473326535','4643063125351916142'),('4643063125351917844','4592845199495189003','4643063125351916168'),('4643063125351917845','4592816543473327414','4643063125351916194'),('4643063125351917846','4592845268214661145','4643063125351916220'),('4643063125351917847','4592816577833058638','4643063125351916246'),('4643063125351917848','4592816577833059193','4643063125351916272'),('4643063125351917849','4592813554176078337','4643063125351916298'),('4643063125351917850','4592813554176078753','4643063125351916324'),('4643063125351917851','4592816577833061443','4643063125351916350'),('4643063125351917852','4580728375198448493','4643063125351916376'),('4643063125351917853','4580728787515308632','4643063125351916402'),('4643063125351917854','4580739507753681806','4643063125351916428'),('4643063125351917855','4580751327503668063','4643063125351916454'),('4643063125351917856','4580751361863406041','4643063125351916480'),('4643063125351917857','4580728959313997972','4643063125351916506'),('4643063125351917858','4580754316800905986','4643063125351916532'),('4643063125351917859','4580754591678811587','4643063125351916558'),('4643063125351917860','4580729818307456158','4643063125351916584'),('4643063125351917861','4580754591678813992','4643063125351916610'),('4643063125351917862','4580742497050923195','4643063125351916636'),('4643063125351917863','4562976485090079693','4643063125351916662'),('4643063125351917864','4562976210212159435','4643063125351916688'),('4643063125351917865','4562976588169294876','4643063125351916714'),('4643063125351917866','4562976347651104855','4643063125351916740'),('4643063125351917867','4562976691248508638','4643063125351916766'),('4643063125351917868','4562977344083534476','4643063125351916792'),('4643063125351917869','4562977378443274279','4643063125351916818'),('4643063125351917870','4562977378443275032','4643063125351916844'),('4643063125351917871','4562979405667822177','4643063125351916870'),('4643063125351917872','4562974045548647757','4643063125351916896'),('4643063125351917873','4589890330714824294','4643063125351916922'),('4643063125351917874','4589888131691571853','4643063125351916948'),('4643063125351917875','4589890365074562865','4643063125351916974'),('4643063125351917876','4589889506081104837','4643063125351917000'),('4643063125351917877','4589887135259147302','4643063125351917026'),('4643063125351917878','4589889643520059254','4643063125351917052'),('4643063125351917879','4589887203978618035','4643063125351917078'),('4643063125351917880','4589887203978618540','4643063125351917104'),('4643063125351917881','4589887203978619010','4643063125351917130'),('4643063125351917882','4562976794327721208','4643063125351917156'),('4643063125351917883','4562974423505769045','4643063125351917182'),('4643063125351917884','4562980058502856672','4643063125351917208'),('4643063125351917885','4562980092862587381','4643063125351917234'),('4643063125351917886','4562977687680924138','4643063125351917260'),('4643063125351917887','4562974457865508866','4643063125351917286'),('4643063125351917888','4562980092862591586','4643063125351917312'),('4643063125351917889','4562980092862591041','4643063125351917338'),('4643063125351917890','4562977722040657493','4643063125351917364'),('4643063125351917891','4589888200411038866','4643063125351917390'),('4643063125351917892','4589890261995344012','4643063125351917416'),('4643063125351917893','4589886791661757842','4643063125351917442'),('4643063125351917894','4589886791661758926','4643063125351917468'),('4643063125351917895','4589889437361630540','4643063125351917494'),('4643063125351917896','4589886860381239983','4643063125351917520'),('4643063125351917897','4580722740201349443','4643063125351917546'),('4643063125351917898','4580722843280570363','4643063125351917572'),('4643063125351917899','4580740847783466432','4643063125351917598'),('4643063125351917900','4580728718795837843','4643063125351917624'),('4643063125351917901','4580728718795838729','4643063125351917650'),('4643063125351917902','4591347149261917943','4643063125351917676'),('4643063125351917903','4591347321060609783','4643063125351917702'),('4643063125351917904','4591347389780085629','4643063125351917728'),('4643063125351917905','4592775758463884619','4643063125351917754'),('4643063125351917906','4592775861543100060','4643063125351917780'),('4643063297150614744','4562994627031935281','4643063297150612066'),('4643063297150614745','4562992118771029634','4643063297150612092'),('4643063297150614746','4562994661391674511','4643063297150612118'),('4643063297150614747','4562994661391674791','4643063297150612144'),('4643063297150614748','4562994661391675303','4643063297150612170'),('4643063297150614749','4562994661391675696','4643063297150612196'),('4643063297150614750','4562994661391676409','4643063297150612222'),('4643063297150614751','4562992187490505628','4643063297150612248'),('4643063297150614752','4562992187490505839','4643063297150612274'),('4643063297150614753','4563004522636569453','4643063297150612300'),('4643063297150614754','4580716143131591587','4643063297150612326'),('4643063297150614755','4580713222553822881','4643063297150612352'),('4643063297150614756','4580719510385937751','4643063297150612378'),('4643063297150614757','4580713222553824536','4643063297150612404'),('4643063297150614758','4580719750904104594','4643063297150612430'),('4643063297150614759','4580713222553825674','4643063297150612456'),('4643063297150614760','4580713222553825989','4643063297150612482'),('4643063297150614761','4580713222553826607','4643063297150612508'),('4643063297150614762','4580719750904106654','4643063297150612534'),('4643063297150614763','4562996207579902972','4643063297150612560'),('4643063297150614764','4562993939837162589','4643063297150612586'),('4643063297150614765','4562996413738328185','4643063297150612612'),('4643063297150614766','4562996413738329219','4643063297150612638'),('4643063297150614767','4580710886091614194','4643063297150612664'),('4643063297150614768','4580713566151199865','4643063297150612690'),('4643063297150614769','4580713566151200004','4643063297150612716'),('4643063297150614770','4580700887407740094','4643063297150612742'),('4643063297150614771','4580702742833624753','4643063297150612768'),('4643063297150614772','4580700887407740677','4643063297150612794'),('4643063297150614773','4580700887407740968','4643063297150612820'),('4643063297150614774','4580702742833625482','4643063297150612846'),('4643063297150614775','4580704323381598834','4643063297150612872'),('4643063297150614776','4580702742833626230','4643063297150612898'),('4643063297150614777','4580700887407744611','4643063297150612924'),('4643063297150614778','4580702777193358014','4643063297150612950'),('4643063297150614779','4562994042916373401','4643063297150612976'),('4643063297150614780','4562996413738328978','4643063297150613002'),('4643063297150614781','4562994042916374324','4643063297150613028'),('4643063297150614782','4562994042916374855','4643063297150613054'),('4643063297150614783','4562996413738334287','4643063297150613080'),('4643063297150614784','4562996413738334712','4643063297150613106'),('4643063297150614785','4563006171904011293','4643063297150613132'),('4643063297150614786','4562996413738335560','4643063297150613158'),('4643063297150614787','4562996551177282270','4643063297150613184'),('4643063297150614788','4563006206263749453','4643063297150613210'),('4643063297150614789','4562996551177283050','4643063297150613236'),('4643063297150614790','4563024760522472250','4643063297150613262'),('4643063297150614791','4563024760522472431','4643063297150613288'),('4643063297150614792','4563010776108966244','4643063297150613314'),('4643063297150614793','4563010776108966441','4643063297150613340'),('4643063297150614794','4563008920683089115','4643063297150613366'),('4643063297150614795','4563010776108966683','4643063297150613392'),('4643063297150614796','4563008920683089324','4643063297150613418'),('4643063297150614797','4563010776108972160','4643063297150613444'),('4643063297150614798','4563007511933810190','4643063297150613470'),('4643063297150614799','4563009195560986646','4643063297150613496'),('4643063297150614800','4562994489592978352','4643063297150613522'),('4643063297150614801','4562997238372055561','4643063297150613548'),('4643063297150614802','4563009539158375493','4643063297150613574'),('4643063297150614803','4580749953114148458','4643063297150613600'),('4643063297150614804','4580741225740594370','4643063297150613626'),('4643063297150614805','4580741225740594491','4643063297150613652'),('4643063297150614806','4562976244571896980','4643063297150613678'),('4643063297150614807','4562993218282655913','4643063297150613704'),('4643063297150614808','4563005690867676562','4643063297150613730'),('4643063297150614809','4562993733678729498','4643063297150613756'),('4643063297150614810','4562993733678730488','4643063297150613782'),('4643063297150614811','4562993733678731957','4643063297150613808'),('4643063297150614812','4563005828306626037','4643063297150613834'),('4643063297150614813','4563005828306626357','4643063297150613860'),('4643063297150614814','4562994145995591616','4643063297150613886'),('4643063297150614815','4563006309342965374','4643063297150613912'),('4643063297150614816','4563006309342966702','4643063297150613938'),('4643063297150614817','4562994214715067311','4643063297150613964'),('4643063297150614818','4563006309342968566','4643063297150613990'),('4643063297150614819','4562994249074806212','4643063297150614016'),('4643063297150614820','4562996757335712640','4643063297150614042'),('4643063297150614821','4563006309342969784','4643063297150614068'),('4643063297150614822','4580708274751504588','4643063297150614094'),('4643063297150614823','4580708274751505991','4643063297150614120'),('4643063297150614824','4580708274751506922','4643063297150614146'),('4643063297150614825','4580705457252951130','4643063297150614172'),('4643063297150614826','4580705457252951950','4643063297150614198'),('4643063297150614827','4580703430028384528','4643063297150614224'),('4643063297150614828','4580708343470986343','4643063297150614250'),('4643063297150614829','4580708343470988056','4643063297150614276'),('4643063297150614830','4580717895478236135','4643063297150614302'),('4643063297150614831','4580712123042195854','4643063297150614328'),('4643063297150614832','4580712226121410562','4643063297150614354'),('4643063297150614833','4580716280570527834','4643063297150614380'),('4643063297150614834','4580712226121411383','4643063297150614406'),('4643063297150614835','4580712226121411600','4643063297150614432'),('4643063297150614836','4580716280570528966','4643063297150614458'),('4643063297150614837','4580712226121412156','4643063297150614484'),('4643063297150614838','4580716280570529500','4643063297150614510'),('4643063297150614839','4580742565770388034','4643063297150614536'),('4643063297150614840','4580750605949177574','4643063297150614562'),('4643063297150614841','4580750605949177812','4643063297150614588'),('4643063297150614842','4580750605949177934','4643063297150614614'),('4643063297150614843','4580768266854679756','4643063297150614640'),('4643063297150614844','4580742668849604680','4643063297150614666'),('4643063297150614845','4580742668849605298','4643063297150614692'),('4643063297150614846','4580742668849605536','4643063297150614718'),('4643063365870090572','4476991068024812015','4643063365870087504'),('4643063365870090573','4477020342521997484','4643063365870087530'),('4643063365870090574','4477020342521997828','4643063365870087556'),('4643063365870090575','4477020342521997859','4643063365870087582'),('4643063365870090576','4476991068024812659','4643063365870087608'),('4643063365870090577','4476991068024812690','4643063365870087634'),('4643063365870090578','4477020342521997966','4643063365870087660'),('4643063365870090579','4477020342521998040','4643063365870087686'),('4643063365870090580','4476991136744286700','4643063365870087712'),('4643063365870090581','4476991136744289181','4643063365870087738'),('4643063365870090582','4477020411241479030','4643063365870087764'),('4643063365870090583','4476991136744289286','4643063365870087790'),('4643063365870090584','4476991480341668044','4643063365870087816'),('4643063365870090585','4477020651759641047','4643063365870087842'),('4643063365870090586','4477020651759643213','4643063365870087868'),('4643063365870090587','4476991480341672383','4643063365870087894'),('4643063365870090588','4477020651759644582','4643063365870087920'),('4643063365870090589','4477020651759647325','4643063365870087946'),('4643063365870090590','4476991755219576750','4643063365870087972'),('4643063365870090591','4477020651759647564','4643063365870087998'),('4643063365870090592','4477020651759647670','4643063365870088024'),('4643063365870090593','4476993816803878006','4643063365870088050'),('4643063365870090594','4476993816803878093','4643063365870088076'),('4643063365870090595','4476993816803878149','4643063365870088102'),('4643063365870090596','4476993816803878642','4643063365870088128'),('4643063365870090597','4476993816803879750','4643063365870088154'),('4643063365870090598','4476993816803879824','4643063365870088180'),('4643063365870090599','4476993816803879887','4643063365870088206'),('4643063365870090600','4500578753536888722','4643063365870088232'),('4643063365870090601','4500539995751980876','4643063365870088258'),('4643063365870090602','4476993816803880083','4643063365870088284'),('4643063365870090603','4477022919502375602','4643063365870088310'),('4643063365870090604','4477022919502378643','4643063365870088336'),('4643063365870090605','4477022919502378803','4643063365870088362'),('4643063365870090606','4477022919502378921','4643063365870088388'),('4643063365870090607','4477022919502378952','4643063365870088414'),('4643063365870090608','4476993816803880191','4643063365870088440'),('4643063365870090609','4476993816803880265','4643063365870088466'),('4643063365870090610','4477022919502379213','4643063365870088492'),('4643063365870090611','4477022919502379333','4643063365870088518'),('4643063365870090612','4477022919502379401','4643063365870088544'),('4643063365870090613','4476993816803880747','4643063365870088570'),('4643063365870090614','4477022919502379580','4643063365870088596'),('4643063365870090615','4476993816803880872','4643063365870088622'),('4643063365870090616','4477022919502379992','4643063365870088648'),('4643063365870090617','4476993816803881050','4643063365870088674'),('4643063365870090618','4477022919502380368','4643063365870088700'),('4643063365870090619','4477022919502380399','4643063365870088726'),('4643063365870090620','4476993816803881186','4643063365870088752'),('4643063365870090621','4476993816803881218','4643063365870088778'),('4643063365870090622','4477022919502380663','4643063365870088804'),('4643063365870090623','4477022919502380725','4643063365870088830'),('4643063365870090624','4477022919502380799','4643063365870088856'),('4643063365870090625','4476993816803882948','4643063365870088882'),('4643063365870090626','4476993816803883037','4643063365870088908'),('4643063365870090627','4476993816803883115','4643063365870088934'),('4643063365870090628','4477022988221849979','4643063365870088960'),('4643063365870090629','4477022988221851375','4643063365870088986'),('4643063365870090630','4477022988221853865','4643063365870089012'),('4643063365870090631','4477022988221855276','4643063365870089038'),('4643063365870090632','4477022988221855818','4643063365870089064'),('4643063365870090633','4477023228740022262','4643063365870089090'),('4643063365870090634','4477023228740023439','4643063365870089116'),('4643063365870090635','4477023228740023736','4643063365870089142'),('4643063365870090636','4477023228740024653','4643063365870089168'),('4643063365870090637','4476994229120745408','4643063365870089194'),('4643063365870090638','4477023263099757690','4643063365870089220'),('4643063365870090639','4477023022581589631','4643063365870089246'),('4643063365870090640','4476993851163618381','4643063365870089272'),('4643063365870090641','4476993851163618872','4643063365870089298'),('4643063365870090642','4476993851163621845','4643063365870089324'),('4643063365870090643','4476993851163621983','4643063365870089350'),('4643063365870090644','4477023022581592772','4643063365870089376'),('4643063365870090645','4476993988602569017','4643063365870089402'),('4643063365870090646','4476993988602570517','4643063365870089428'),('4643063365870090647','4476993988602570758','4643063365870089454'),('4643063365870090648','4477023056941326503','4643063365870089480'),('4643063365870090649','4476993988602572607','4643063365870089506'),('4643063365870090650','4476993988602572753','4643063365870089532'),('4643063365870090651','4476993988602572917','4643063365870089558'),('4643063365870090652','4477023056941327211','4643063365870089584'),('4643063365870090653','4477023056941327307','4643063365870089610'),('4643063365870090654','4477023056941327605','4643063365870089636'),('4643063365870090655','4476993988602573817','4643063365870089662'),('4643063365870090656','4477019827125921194','4643063365870089688'),('4643063365870090657','4477019827125921423','4643063365870089714'),('4643063365870090658','4476990724427425652','4643063365870089740'),('4643063365870090659','4476990724427425782','4643063365870089766'),('4643063365870090660','4476990724427425846','4643063365870089792'),('4643063365870090661','4476990724427425935','4643063365870089818'),('4643063365870090662','4476991068024811821','4643063365870089844'),('4643063365870090663','4476990724427426319','4643063365870089870'),('4643063365870090664','4476990724427426419','4643063365870089896'),('4643063365870090665','4477019827125922332','4643063365870089922'),('4643063365870090666','4476991068024811852','4643063365870089948'),('4643063365870090667','4477023160020544606','4643063365870089974'),('4643063365870090668','4477023194380280571','4643063365870090000'),('4643063365870090669','4476994194761000373','4643063365870090026'),('4643063365870090670','4477023194380285675','4643063365870090052'),('4643063365870090671','4477023194380287036','4643063365870090078'),('4643063365870090672','4476994194761006226','4643063365870090104'),('4643063365870090673','4477023194380287264','4643063365870090130'),('4643063365870090674','4476994194761006588','4643063365870090156'),('4643063365870090675','4477023194380287529','4643063365870090182'),('4643063365870090676','4476994194761006836','4643063365870090208'),('4643063365870090677','4477023194380287860','4643063365870090234'),('4643063365870090678','4476994229120737940','4643063365870090260'),('4643063365870090679','4477023228740021708','4643063365870090286'),('4643063365870090680','4477023228740021907','4643063365870090312'),('4643063365870090681','4477023056941328197','4643063365870090338'),('4643063365870090682','4476994091681785873','4643063365870090364'),('4643063365870090683','4477023091301065834','4643063365870090390'),('4643063365870090684','4477023091301066075','4643063365870090416'),('4643063365870090685','4476994160401260899','4643063365870090442'),('4643063365870090686','4476994160401262574','4643063365870090468'),('4643063365870090687','4476994160401262842','4643063365870090494'),('4643063365870090688','4476994160401263197','4643063365870090520'),('4643063365870090689','4476994160401263377','4643063365870090546'),('4643063400229824792','4459060301118314463','4643063400229824372'),('4643063400229824793','4459060472917006097','4643063400229824398'),('4643063400229824794','4455233794495133470','4643063400229824398'),('4643063400229824795','4459060472917006064','4643063400229824398'),('4643063400229824796','4455233794495133437','4643063400229824398'),('4643063400229824797','4459060472917005899','4643063400229824427'),('4643063400229824798','4471092772257219759','4643063400229824427'),('4643063400229824799','4455233794495133404','4643063400229824427'),('4643063400229824800','4455233794495132695','4643063400229824455'),('4643063400229824801','4455233794495132728','4643063400229824455'),('4643063400229824802','4471092772257219176','4643063400229824455'),('4643063400229824803','4459060472917005261','4643063400229824455'),('4643063400229824804','4459060472917006130','4643063400229824484'),('4643063400229824805','4455233794495133503','4643063400229824484'),('4643063400229824806','4459060472917006163','4643063400229824484'),('4643063400229824807','4455233794495133536','4643063400229824484'),('4643063400229824808','4459060472917005965','4643063400229824513'),('4643063400229824809','4459060472917006031','4643063400229824513'),('4643063400229824810','4471092772257219792','4643063400229824513'),('4643063400229824811','4471092772257219825','4643063400229824513'),('4643063400229824812','4459060472917005378','4643063400229824542'),('4643063400229824813','4459060472917005411','4643063400229824542'),('4643063400229824814','4455233794495133040','4643063400229824569'),('4643063400229824815','4459060472917005691','4643063400229824569'),('4643063400229824816','4455233794495133073','4643063400229824569'),('4643063400229824817','4455233794495133111','4643063400229824569'),('4643063400229824818','4455233794495134086','4643063400229824598'),('4643063400229824819','4455233794495134119','4643063400229824598'),('4643063400229824820','4455233794495134152','4643063400229824598'),('4643063400229824821','4459060472917007181','4643063400229824626'),('4643063400229824822','4459060472917007214','4643063400229824626'),('4643063400229824823','4459060472917007247','4643063400229824626'),('4643063400229824824','4459060472917006719','4643063400229824654'),('4643063400229824825','4459060472917006752','4643063400229824654'),('4643063400229824826','4459060472917006785','4643063400229824654'),('4643063400229824827','4500583907497630231','4643063400229824682'),('4643063400229824828','4476997218417983290','4643063400229824682'),('4643063400229824829','4459060472917007409','4643063400229824709'),('4643063400229824830','4455233794495135043','4643063400229824709'),('4643063400229824831','4455233794495134926','4643063400229824736'),('4643063400229824832','4459060472917007318','4643063400229824736'),('4643063400229824833','4455233794495135077','4643063400229824763'),('4643063400229824834','4459060472917007485','4643063400229824763'),('4643063400229824835','4455233794495135110','4643063400229824763'),('4643063400229824836','4455233794495135143','4643063400229824763'),('4643063606388261489','4500573805734548818','4643063572028530590'),('4643063606388261490','4500580780761452519','4643063572028530616'),('4643063606388261491','4500579200213487591','4643063572028530642'),('4643063606388261492','4500579200213484247','4643063572028530668'),('4643063606388261493','4500578787896624218','4643063606388260870'),('4643063606388261494','4500575832959112727','4643063606388260896'),('4643063606388261495','4500540682946742683','4643063606388260922'),('4643063606388261496','4500546558462008475','4643063606388260922'),('4643063606388261497','4500572328265794798','4643063606388260949'),('4643063606388261498','4500579543810871743','4643063606388260949'),('4643063606388261499','4500579372012178305','4643063606388260976'),('4643063606388261500','4500579475091397616','4643063606388260976'),('4643063606388261501','4500572396985273133','4643063606388260976'),('4643063606388261502','4500540717306479106','4643063606388261004'),('4643063606388261503','4500572534424227654','4643063606388261004'),('4643063606388261504','4500579372012179993','4643063606388261031'),('4643063606388261505','4500572396985276727','4643063606388261031'),('4643063606388261506','4500540923464910446','4643063606388261031'),('4643063606388261507','4500540717306486364','4643063606388261059'),('4643063606388261508','4500540957824649650','4643063606388261059'),('4643063606388261509','4500579372012180139','4643063606388261086'),('4643063606388261510','4500572568783969172','4643063606388261086'),('4643063606388261511','4500579440731654936','4643063606388261113'),('4643063606388261512','4500540957824654102','4643063606388261113'),('4643063606388261513','4500540751666217410','4643063606388261140'),('4643063606388261514','4500540923464912778','4643063606388261140'),('4643063606388261515','4500579475091394207','4643063606388261167'),('4643063606388261516','4500540889105172997','4643063606388261167'),('4643063606388261517','4500579475091394329','4643063606388261194'),('4643063606388261518','4500540923464910730','4643063606388261194'),('4643063606388261522','4500552708855172461','4643063606388261249'),('4643063606388261523','4500540751666221267','4643063606388261249'),('4643063606388261524','4500546661541220764','4643063606388261249'),('4643063606388261530','4500571675430770730','4643063606388261307'),('4643063606388261532','4500540030111715083','4643063606388261359'),('4643063606388261533','4500578753536891057','4643063606388261385'),('4643063606388261534','4500578753536891196','4643063606388261411'),('4643063606388261535','4500571675430772114','4643063606388261437'),('4643063606388261536','4500571675430772183','4643063606388261463'),('4643063709467468161','4476993748084402561','4643063675107736944'),('4643063709467468162','4477022369746564203','4643063675107736970'),('4643063709467468163','4477022369746564323','4643063675107736996'),('4643063709467468164','4477022369746564381','4643063675107737022'),('4643063709467468165','4477022816423158561','4643063675107737048'),('4643063709467468166','4477022816423158656','4643063675107737074'),('4643063709467468167','4476993782444139943','4643063675107737100'),('4643063709467468168','4477022816423158796','4643063675107737126'),('4643063709467468169','4476993782444140091','4643063675107737152'),('4643063709467468170','4476993782444140449','4643063675107737178'),('4643063709467468171','4477022816423159226','4643063675107737204'),('4643063709467468172','4476993782444140597','4643063675107737230'),('4643063709467468173','4477022816423159319','4643063675107737256'),('4643063709467468174','4477022816423159424','4643063675107737282'),('4643063709467468175','4476993782444140729','4643063675107737308'),('4643063709467468176','4477022816423161592','4643063675107737334'),('4643063709467468177','4476993782444140791','4643063675107737360'),('4643063709467468178','4477024053373744201','4643063675107737386'),('4643063709467468179','4476994641437602246','4643063675107737412'),('4643063709467468180','4476994641437602277','4643063675107737438'),('4643063709467468181','4477024053373744450','4643063675107737464'),('4643063709467468182','4476994641437602510','4643063675107737490'),('4643063709467468183','4477024053373744555','4643063675107737516'),('4643063709467468184','4476994641437602771','4643063675107737542'),('4643063709467468185','4477024053373744673','4643063675107737568'),('4643063709467468186','4477024259532169681','4643063675107737595'),('4643063709467468187','4477024259532169857','4643063709467467797'),('4643063709467468188','4477024259532170172','4643063709467467823'),('4643063709467468189','4477024259532170203','4643063709467467849'),('4643063709467468190','4477024259532170459','4643063709467467875'),('4643063709467468191','4477024259532170578','4643063709467467901'),('4643063709467468192','4477024259532170654','4643063709467467927'),('4643063709467468193','4477024259532170800','4643063709467467953'),('4643063709467468194','4477024259532170831','4643063709467467979'),('4643063709467468195','4476994813236291892','4643063709467468005'),('4643063709467468196','4476994813236292112','4643063709467468031'),('4643063709467468197','4477024259532171283','4643063709467468057'),('4643063709467468198','4476994813236292431','4643063709467468083'),('4643063709467468199','4476994813236292728','4643063709467468109'),('4643063709467468200','4476994813236292767','4643063709467468135'),('4643063778186955858','4497734213876546569','4643063778186955412'),('4643063778186955860','4497734213876546274','4643063778186955412'),('4643063778186955861','4497713426234778774','4643063778186955412'),('4643063778186955862','4497734213876546060','4643063778186955441'),('4643063778186955863','4497713426234777700','4643063778186955441'),('4643063778186955864','4497713426234777777','4643063778186955441'),('4643063778186955865','4497713391875046647','4643063778186955441'),('4643063778186955866','4497734213876546095','4643063778186955441'),('4643063778186955867','4497734213876546172','4643063778186955441'),('4643063778186955868','4497713391875046681','4643063778186955441'),('4643063778186955869','4497713426234778706','4643063778186955441'),('4643063778186955870','4497713426234778928','4643063778186955441'),('4643063778186955871','4497713769832166223','4643063778186955475'),('4643063778186955872','4497734729272621396','4643063778186955475'),('4643063778186955873','4497734729272621531','4643063778186955475'),('4643063778186955874','4497734729272621633','4643063778186955475'),('4643063778186955875','4497713769832166549','4643063778186955475'),('4643063778186955876','4497714182149027733','4643063778186955505'),('4643063778186955877','4497714182149027832','4643063778186955505'),('4643063778186955878','4497714182149027989','4643063778186955505'),('4643063778186955879','4497714216508762811','4643063778186955505'),('4643063778186955880','4497735038510264798','4643063778186955505'),('4643063778186955881','4497714216508765469','4643063778186955505'),('4643063778186955882','4497714353947716188','4643063778186955505'),('4643063778186955883','4497714216508767047','4643063778186955505'),('4643063778186955884','4497735072870003754','4643063778186955505'),('4643063778186955885','4497734488754446927','4643063778186955539'),('4643063778186955886','4497713563673732601','4643063778186955539'),('4643063778186955887','4497713529314000309','4643063778186955539'),('4643063778186955888','4497734488754449650','4643063778186955539'),('4643063778186955889','4497713563673732259','4643063778186955539'),('4643063778186955890','4497734488754451089','4643063778186955539'),('4643063778186955891','4497734488754451123','4643063778186955539'),('4643063778186955892','4497713563673732380','4643063778186955539'),('4643063778186955893','4497734729272619370','4643063778186955539'),('4643063778186955894','4497734763632356547','4643063778186955539'),('4643063778186955895','4497713391875043910','4643063778186955574'),('4643063778186955896','4497713391875043944','4643063778186955574'),('4643063778186955897','4497734213876544150','4643063778186955574'),('4643063778186955898','4497713391875044122','4643063778186955574'),('4643063778186955899','4497734213876544184','4643063778186955574'),('4643063778186955900','4497713391875044156','4643063778186955574'),('4643063778186955901','4497734213876544304','4643063778186955574'),('4643063778186955902','4497734213876544338','4643063778186955574'),('4643063778186955903','4497734213876544385','4643063778186955574'),('4643063778186955904','4497713391875044296','4643063778186955574'),('4643063778186955905','4497734179516807600','4643063778186955609'),('4643063778186955906','4497734729272619975','4643063778186955609'),('4643063778186955907','4497734213876545170','4643063778186955609'),('4643063778186955908','4497734213876545204','4643063778186955609'),('4643063778186955909','4497713391875044957','4643063778186955609'),('4643063778186955910','4592848223152098546','4643063778186955609'),('4643063778186955911','4592848223152098948','4643063778186955609'),('4643063778186955912','4497734523114190178','4643063778186955641'),('4643063778186955913','4497734557473927415','4643063778186955641'),('4643063778186955914','4497734729272619491','4643063778186955641'),('4643063778186955915','4497713769832167080','4643063778186955669'),('4643063778186955916','4497713769832167157','4643063778186955669'),('4643063778186955917','4497734729272622343','4643063778186955669'),('4643063778186955918','4497713769832167247','4643063778186955669'),('4643063778186955919','4497734729272622420','4643063778186955669'),('4643063778186955920','4592852552479126455','4643063778186955669'),('4643063778186955921','4592861623450064798','4643063778186955669'),('4643063778186955922','4497734179516807959','4643063778186955701'),('4643063778186955923','4497734179516807993','4643063778186955701'),('4643063778186955924','4497734179516808128','4643063778186955701'),('4643063778186955925','4497713426234777666','4643063778186955701'),('4643063778186955926','4497713391875041477','4643063778186955701'),('4643063778186955927','4592849047785808321','4643063778186955701'),('4643063778186955928','4497714182149025884','4643063778186955732'),('4643063778186955929','4497714182149026237','4643063778186955732'),('4643063778186955930','4497714182149026362','4643063778186955732'),('4643063778186955931','4497735038510262491','4643063778186955732'),('4643063778186955932','4497735038510262719','4643063778186955732'),('4643063778186955933','4497735038510262858','4643063778186955732'),('4643063778186955934','4497735038510262978','4643063778186955732'),('4643063778186955935','4497735038510263254','4643063778186955732'),('4643063778186955936','4497714216508762937','4643063778186955732'),('4643063778186955937','4497714353947716862','4643063778186955732'),('4643063778186955938','4497735244668696514','4643063778186955732'),('4643063778186955939','4497735244668696635','4643063778186955732'),('4643063778186955940','4497735382107651086','4643063778186955732'),('4643063778186955941','4497735279028436956','4643063778186955732'),('4643063778186955942','4592888252247366692','4643063778186955732'),('4643063778186955943','4497714353947716530','4643063778186955772'),('4643063778186955944','4497735210308960000','4643063778186955772'),('4643063778186955945','4497714353947716611','4643063778186955772'),('4643063778186955946','4497714353947716940','4643063778186955772'),('4643063778186955947','4497714353947717285','4643063778186955772'),('4643063778186955948','4497735038510264922','4643063778186955802'),('4643063778186955949','4497714216508765795','4643063778186955802'),('4643063778186955950','4497714216508767092','4643063778186955802'),('4643063778186955951','4497714147789284467','4643063778186955830'),('4643063778186955952','4497714147789284664','4643063778186955830'),('4643063778186955953','4497735004150526183','4643063778186955830'),('4643063915625898104','4562962775554450543','4643063881266165357'),('4643063915625898105','4562967379759411176','4643063881266165383'),('4643063915625898106','4562967379759411603','4643063881266165409'),('4643063915625898107','4562964012505037917','4643063881266165435'),('4643063915625898108','4562967379759412671','4643063881266165461'),('4643063915625898109','4562967379759413172','4643063881266165487'),('4643063915625898110','4562965043297197105','4643063881266165513'),('4643063915625898111','4562962260158375670','4643063881266165539'),('4643063915625898112','4562964459181639993','4643063881266165565'),('4643063915625898113','4562962260158378694','4643063881266165591'),('4643063915625898114','4562962260158379724','4643063881266165617'),('4643063915625898115','4562967207960720582','4643063881266165643'),('4643063915625898116','4562967207960720766','4643063881266165669'),('4643063915625898117','4562962294518114830','4643063881266165695'),('4643063915625898118','4562965352534840734','4643063881266165721'),('4643063915625898119','4562969269545017377','4643063881266165747'),('4643063915625898120','4562965352534841287','4643063881266165773'),('4643063915625898121','4562969269545019055','4643063881266165799'),('4643063915625898122','4562969269545019434','4643063881266165825'),('4643063915625898123','4562965352534842080','4643063881266165851'),('4643063915625898124','4562964734059544346','4643063881266165877'),('4643063915625898125','4562969338264494807','4643063881266165903'),('4643063915625898126','4562969338264495046','4643063881266165929'),('4643063915625898127','4562964837138752387','4643063881266165955'),('4643063915625898128','4562964837138752776','4643063881266166024'),('4643063915625898129','4562964837138753286','4643063881266166050'),('4643063915625898130','4562968994667113259','4643063881266166076'),('4643063915625898131','4562965215095885595','4643063881266166102'),('4643063915625898132','4562968994667115319','4643063881266166102'),('4643063915625898133','4562965215095886104','4643063881266166129'),('4643063915625898134','4562964321742683941','4643063881266166155'),('4643063915625898135','4562968994667114527','4643063881266166181'),('4643063915625898136','4562965283815358583','4643063881266166207'),('4643063915625898137','4562965283815358913','4643063881266166233'),('4643063915625898138','4562964356102419827','4643063881266166259'),('4643063915625898139','4562965283815361184','4643063881266166285'),('4643063915625898140','4562964630980322108','4643063881266166311'),('4643063915625898141','4562965283815361792','4643063881266166337'),('4643063915625898142','4562964630980322754','4643063881266166363'),('4643063915625898143','4562965283815362212','4643063881266166389'),('4643063915625898144','4562969029026849590','4643063881266166415'),('4643063915625898145','4562967242320456953','4643063881266166441'),('4643063915625898146','4562964665340070646','4643063881266166441'),('4643063915625898147','4562964596620591145','4643063881266166468'),('4643063915625898148','4562962328877856997','4643063881266166494'),('4643063915625898149','4562964596620596712','4643063881266166494'),('4643063915625898150','4562962328877857448','4643063881266166521'),('4643063915625898151','4562967242320460307','4643063881266166547'),('4643063915625898152','4562967242320460852','4643063881266166547'),('4643063915625898153','4562967242320461340','4643063881266166574'),('4643063915625898154','4562967311039933406','4643063881266166574'),('4643063915625898155','4562964596620595738','4643063881266166601'),('4643063915625898156','4562962741194712446','4643063881266166601'),('4643063915625898157','4562969269545022263','4643063881266166628'),('4643063915625898158','4562969269545022852','4643063881266166654'),('4643063915625898159','4562965455614050401','4643063881266166680'),('4643063915625898160','4562969269545024118','4643063881266166706'),('4643063915625898161','4562964734059536931','4643063881266166732'),('4643063915625898162','4562965455614051489','4643063881266166758'),('4643063915625898163','4562964734059537825','4643063881266166784'),('4643063915625898164','4562964734059538175','4643063881266166810'),('4643063915625898165','4562965283815363099','4643063881266166836'),('4643063915625898166','4562969029026851614','4643063881266166862'),('4643063915625898167','4562965283815363896','4643063881266166888'),('4643063915625898168','4562964630980326426','4643063881266166914'),('4643063915625898169','4562964630980326691','4643063881266166940'),('4643063915625898170','4562965318175102074','4643063881266166966'),('4643063915625898171','4562969303904756706','4643063881266166992'),('4643063915625898172','4562965489973793884','4643063881266167018'),('4643063915625898173','4562964734059540439','4643063881266167044'),('4643063915625898174','4562964734059540752','4643063881266167070'),('4643063915625898175','4562964734059541138','4643063881266167096'),('4643063915625898176','4562965489973795879','4643063881266167122'),('4643063915625898177','4562965489973796282','4643063881266167148'),('4643063915625898178','4562965524333531023','4643063881266167174'),('4643063915625898179','4562964734059542901','4643063881266167200'),('4643063915625898180','4562969303904763767','4643063881266167226'),('4643063915625898181','4562964734059543407','4643063881266167252'),('4643063915625898182','4562964630980327753','4643063881266167278'),('4643063915625898183','4562965318175102757','4643063881266167304'),('4643063915625898184','4562969029026855065','4643063881266167330'),('4643063915625898185','4562969029026855297','4643063881266167356'),('4643063915625898186','4562964665340064380','4643063881266167382'),('4643063915625898187','4562969063386588052','4643063881266167408'),('4643063915625898188','4562969063386588404','4643063881266167434'),('4643063915625898189','4562965352534836595','4643063881266167460'),('4643063915625898190','4562964287382945507','4643063881266167486'),('4643063915625898191','4562964321742676191','4643063881266167512'),('4643063915625898192','4562965112016672351','4643063881266167538'),('4643063915625898193','4562968960307375173','4643063881266167564'),('4643063915625898194','4562964321742678842','4643063881266167590'),('4643063915625898195','4562968994667111930','4643063881266167616'),('4643063915625898196','4562964321742682204','4643063881266167642'),('4643063915625898197','4562965215095883594','4643063881266167668'),('4643063915625898198','4562965215095884784','4643063881266167694'),('4643063915625898199','4562969063386589553','4643063881266167720'),('4643063915625898200','4562965352534837784','4643063881266167746'),('4643063915625898201','4562964665340066667','4643063881266167772'),('4643063915625898202','4562965352534838524','4643063881266167798'),('4643063915625898203','4562964665340067321','4643063915625898000'),('4643063915625898204','4562964665340067662','4643063915625898026'),('4643063915625898205','4562965352534840136','4643063915625898052'),('4643063915625898206','4562965352534840474','4643063915625898078'),('4643063915625909428','4455233416538012326','4643063915625907849'),('4643063915625909429','4500538415204013194','4643063915625907876'),('4643063915625909430','4500569888724377504','4643063915625907876'),('4643063915625909431','4500539171118259847','4643063915625907903'),('4643063915625909433','4500539239837729689','4643063915625907930'),('4643063915625909434','4500578409939509165','4643063915625907930'),('4643063915625909435','4500571194394430151','4643063915625907957'),('4643063915625909437','4500571194394431571','4643063915625907984'),('4643063915625909438','4500578478658983013','4643063915625907984'),('4643063915625909446','4500576142196774090','4643063915625908168'),('4643063915625909448','4500568754853004389','4643063915625908220'),('4643063915625909449','4500572946741104802','4643063915625908246'),('4643063915625909450','4500578684817411103','4643063915625908272'),('4643063915625909451','4500539995751975827','4643063915625908298'),('4643063915625909456','4500571606711291413','4643063915625908378'),('4643063915625909457','4500578684817413200','4643063915625908378'),('4643063915625909458','4500578684817412846','4643063915625908405'),('4643063915625909459','4500539995751976824','4643063915625908431'),('4643063915625909460','4500539995751977083','4643063915625908457'),('4643063915625909461','4500535288467824442','4643063915625908483'),('4643063915625909462','4500568342536144134','4643063915625908509'),('4643063915625909465','4500568789212749443','4643063915625908537'),('4643063915625909466','4500536284900232645','4643063915625908563'),('4643063915625909470','4500536284900234315','4643063915625908667'),('4643063915625909472','4500575626800698534','4643063915625908719'),('4643063915625909473','4500536284900235502','4643063915625908745'),('4643063915625909474','4500568857932220693','4643063915625908771'),('4643063915625909475','4500575661160435340','4643063915625908797'),('4643063915625909477','4476997115338767049','4643063915625908849'),('4643063915625909478','4497713357515307258','4643063915625908875'),('4643063915625909479','4497734076437588016','4643063915625908901'),('4643063915625909481','4497713357515307541','4643063915625908953'),('4643063915625909484','4497713391875040217','4643063915625909006'),('4643063915625909486','4497734076437590956','4643063915625909033'),('4643063915625909488','4497734179516803660','4643063915625909060'),('4643063915625909489','4497734179516803860','4643063915625909086'),('4643063915625909490','4497734179516803895','4643063915625909112'),('4643063915625909491','4497734179516803998','4643063915625909138'),('4643063915625909492','4497713391875040334','4643063915625909164'),('4643063915625909493','4497713391875040488','4643063915625909190'),('4643063915625909494','4497713391875040527','4643063915625909216'),('4643063915625909495','4497734179516803739','4643063915625909242'),('4643063915625909496','4497713391875040624','4643063915625909268'),('4643063915625909497','4497734179516803929','4643063915625909294'),('4643063915625909498','4500573118539794670','4643063915625909320'),('4643063915625909501','4500534669992527512','4643063915625909373'),('4643063915625909502','4500574492929328924','4643063915625909373'),('4643063949985645084','4500536216180757151','4643063915625912220'),('4643063949985645085','4500536319259974371','4643063915625912246'),('4643063949985645086','4500575729879909915','4643063915625912272'),('4643063949985645087','4500537281332644425','4643063915625912298'),('4643063949985645088','4500568892291957189','4643063915625912324'),('4643063949985645089','4500537281332644861','4643063915625912350'),('4643063949985645090','4500575729879911171','4643063915625912376'),('4643063949985645091','4500537281332646904','4643063915625912402'),('4643063949985645092','4500575729879911294','4643063915625912428'),('4643063949985645093','4500568892291957865','4643063915625912454'),('4643063949985645094','4500575592440960998','4643063915625912480'),('4643063949985645095','4500536250540494728','4643063915625912506'),('4643063949985645096','4500568754853004354','4643063915625912532'),('4643063949985645097','4500568754853006371','4643063915625912558'),('4643063949985645098','4500575592440962255','4643063915625912584'),('4643063949985645099','4500568754853009214','4643063915625912610'),('4643063949985645100','4500568754853009467','4643063915625912636'),('4643063949985645101','4500536250540496963','4643063915625912662'),('4643063949985645102','4500575592440962825','4643063915625912688'),('4643063949985645103','4500575592440962989','4643063915625912714'),('4643063949985645104','4500536284900230904','4643063915625912740'),('4643063949985645105','4500568754853009942','4643063915625912766'),('4643063949985645117','4500537899807936192','4643063915625912928'),('4643063949985645118','4500576348355204624','4643063915625912954'),('4643063949985645119','4500576348355204660','4643063915625912980'),('4643063949985645120','4500569407688038088','4643063915625913006'),('4643063949985645121','4500539583435120591','4643063915625913032'),('4643063949985645122','4500539652154590949','4643063915625913032'),('4643063949985645123','4500539652154591031','4643063915625913032'),('4643063949985645126','4500575455002007986','4643063915625913087'),('4643063949985645127','4500536216180757282','4643063915625913113'),('4643063949985645128','4500568686133532700','4643063915625913139'),('4643063949985645129','4500536216180758431','4643063915625913165'),('4643063949985645130','4500575558081221477','4643063915625913191'),('4643063949985645131','4500568686133533601','4643063915625913217'),('4643063949985645132','4500536216180758599','4643063915625913243'),('4643063949985645133','4500536284900231050','4643063915625913269'),('4643063949985645134','4500535288467823495','4643063915625913295'),('4643063949985645135','4500536216180754312','4643063915625913321'),('4643063949985645136','4500575592440955782','4643063915625913347'),('4643063949985645137','4500536319259972945','4643063915625913373'),('4643063949985645138','4500537350052121542','4643063915625913399'),('4643063949985645139','4500568926651700580','4643063915625913425'),('4643063949985645140','4548247977080030656','4643063915625913451'),('4643063949985645141','4548286253828597379','4643063915625913477'),('4643063949985645142','4548290239558267000','4643063915625913503'),('4643063949985645143','4548247977080032226','4643063915625913529'),('4643063949985645144','4548286253828600438','4643063915625913555'),('4643063949985645145','4548286425627295694','4643063915625913581'),('4643063949985645146','4548290445716699033','4643063915625913607'),('4643063949985645147','4500568720493266066','4643063915625913633'),('4643063949985645148','4500568720493267661','4643063915625913659'),('4643063949985645149','4500575626800695240','4643063915625913685'),('4643063949985645150','4500568857932219787','4643063915625913711'),('4643063949985645151','4500568857932220559','4643063915625913737'),('4643063949985645152','4500575661160435682','4643063915625913763'),('4643063949985645153','4500568857932225764','4643063915625913789'),('4643063949985645154','4500536319259973511','4643063915625913815'),('4643063949985645155','4500537281332644539','4643063915625913841'),('4643063949985645156','4500568892291957428','4643063915625913867'),('4643063949985645157','4500568892291957947','4643063915625913893'),('4643063949985645158','4500537796728725234','4643063915625913919'),('4643063949985645159','4500575798599386335','4643063915625913945'),('4643063949985645160','4500576176556511822','4643063915625913971'),('4643063949985645161','4500535425906772541','4643063915625913997'),('4643063949985645162','4500535425906773407','4643063915625914023'),('4643063949985645163','4500535425906773407','4643063915625914049'),('4643063949985645164','4500535425906774791','4643063915625914075'),('4643063949985645165','4500535425906774791','4643063915625914101'),('4643063949985645167','4500535425906775071','4643063915625914153'),('4643063949985645168','4500535425906775566','4643063915625914179'),('4643063949985645171','4500569373328299757','4643063915625914257'),('4643063949985645172','4500576829391542334','4643063915625914283'),('4643063949985645173','4500538243405323085','4643063915625914309'),('4643063949985645174','4500576829391542500','4643063915625914335'),('4643063949985645175','4500569751285417383','4643063915625914335'),('4643063949985645176','4500576829391542627','4643063915625914362'),('4643063949985645177','4500576863751276007','4643063949985644564'),('4643063949985645178','4500538277765058275','4643063949985644590'),('4643063949985645179','4500538277765058454','4643063949985644616'),('4643063949985645180','4500538277765058495','4643063949985644642'),('4643063949985645181','4500538277765058531','4643063949985644668'),('4643063949985645182','4500538277765058572','4643063949985644694'),('4643063949985645183','4500576863751282148','4643063949985644720'),('4643063949985645184','4500576863751279173','4643063949985644746'),('4643063949985645185','4500576142196769884','4643063949985644772'),('4643063949985645186','4500569201529605147','4643063949985644798'),('4643063949985645187','4500569201529605226','4643063949985644824'),('4643063949985645188','4500576142196773983','4643063949985644850'),('4643063949985645189','4500576142196774055','4643063949985644876'),('4643063949985645190','4500569201529607408','4643063949985644902'),('4643063949985645191','4500569201529607490','4643063949985644928'),('4643063949985645192','4500537796728724961','4643063949985644954'),('4643063949985645193','4500537796728725122','4643063949985644980'),('4643063949985645194','4500576142196775346','4643063949985645006'),('4643063949985645195','4500571263113908278','4643063949985645032'),('4643063949985645196','4500539583435119801','4643063949985645058'),('4643064465381724840','4476991068024810318','4643064465381724386'),('4643064465381724841','4477020342521995933','4643064465381724412'),('4643064465381724842','4476991068024810351','4643064465381724412'),('4643064465381724843','4476991068024810394','4643064465381724439'),('4643064465381724844','4477020342521995966','4643064465381724439'),('4643064465381724845','4477020342521995999','4643064465381724439'),('4643064465381724846','4477020342521996032','4643064465381724439'),('4643064465381724847','4477020342521996098','4643064465381724468'),('4643064465381724848','4476991068024810427','4643064465381724468'),('4643064465381724849','4477020342521996065','4643064465381724468'),('4643064465381724850','4455233760135394769','4643064465381724496'),('4643064465381724851','4459060472917000201','4643064465381724496'),('4643064465381724852','4455233760135394630','4643064465381724496'),('4643064465381724853','4455233760135394663','4643064465381724496'),('4643064465381724854','4459060472917000296','4643064465381724525'),('4643064465381724855','4455233760135394802','4643064465381724525'),('4643064465381724856','4459060472917000263','4643064465381724525'),('4643064465381724857','4476991068024810858','4643064465381724553'),('4643064465381724858','4476991068024810825','4643064465381724553'),('4643064465381724859','4476991068024810891','4643064465381724580'),('4643064465381724860','4477020342521996546','4643064465381724606'),('4643064465381724862','4459060404197531241','4643064465381724633'),('4643064465381724863','4455233657056179876','4643064465381724633'),('4643064465381724864','4459060404197531203','4643064465381724633'),('4643064465381724865','4455233657056181583','4643064465381724633'),('4643064465381724866','4455233657056181648','4643064465381724662'),('4643064465381724867','4459060404197531307','4643064465381724688'),('4643064465381724869','4455233657056181714','4643064465381724715'),('4643064465381724870','4455233657056181681','4643064465381724715'),('4643064465381724871','4455233657056181747','4643064465381724742'),('4643064465381724874','4476991068024810745','4643064465381724769'),('4643064465381724875','4477020342521996405','4643064465381724769'),('4643064465381724876','4455233760135389451','4643064465381724797'),('4643064499741460603','4477020754838855951','4643064465381726024'),('4643064499741460604','4477020754838855983','4643064465381726050'),('4643064499741460605','4476991789579316483','4643064465381726076'),('4643064499741460606','4477020686119386038','4643064465381726102'),('4643064499741460607','4476991789579314817','4643064465381726102'),('4643064499741460608','4476991789579314853','4643064465381726102'),('4643064499741460609','4455233760135394866','4643064465381726130'),('4643064499741460610','4459060472917001826','4643064465381726130'),('4643064499741460611','4459060472917001875','4643064465381726130'),('4643064499741460612','4476994538358390150','4643064465381726130'),('4643064499741460613','4476991445981930689','4643064465381726130'),('4643064499741460614','4476991445981932517','4643064465381726130'),('4643064499741460615','4477020651759641016','4643064465381726161'),('4643064499741460616','4476991480341670503','4643064465381726161'),('4643064499741460617','4476991480341672340','4643064465381726161'),('4643064499741460618','4476994572718122377','4643064465381726161'),('4643064499741460619','4476991755219581360','4643064465381726190'),('4643064499741460620','4477020686119381002','4643064465381726190'),('4643064499741460621','4477020686119382584','4643064465381726190'),('4643064499741460622','4476991755219577410','4643064465381726218'),('4643064499741460623','4476991755219577441','4643064465381726218'),('4643064499741460624','4477020686119378976','4643064465381726218'),('4643064499741460625','4500618335955490297','4643064465381726218'),('4643064499741460626','4500618335955490490','4643064465381726218'),('4643064499741460627','4477020583040168655','4643064465381726248'),('4643064499741460628','4477020583040169639','4643064465381726248'),('4643064499741460629','4476991445981934456','4643064465381726248'),('4643064499741460630','4477020583040170970','4643064465381726248'),('4643064499741460631','4477020583040171045','4643064465381726248'),('4643064499741460632','4477020617399902690','4643064465381726248'),('4643064499741460633','4476991789579316684','4643064465381726279'),('4643064499741460634','4476991789579318055','4643064465381726279'),('4643064499741460635','4476991789579316748','4643064465381726306'),('4643064499741460636','4476991789579317699','4643064465381726332'),('4643064499741460637','4477020754838856290','4643064465381726358'),('4643064499741460638','4477020754838856439','4643064465381726384'),('4643064499741460639','4477020754838856545','4643064465381726410'),('4643064499741460640','4477020754838856577','4643064465381726436'),('4643064499741460641','4477020754838856655','4643064465381726462'),('4643064499741460642','4476991789579317880','4643064465381726488'),('4643064499741460643','4477020754838856718','4643064465381726514'),('4643064499741460645','4476991136744289255','4643064465381726566'),('4643064499741460646','4477020411241479147','4643064465381726592'),('4643064499741460647','4477020445601211637','4643064465381726618'),('4643064499741460648','4477020445601211711','4643064465381726644'),('4643064499741460649','4477020445601211808','4643064465381726670'),('4643064499741460650','4476991411622196504','4643064465381726696'),('4643064499741460651','4477020445601215267','4643064465381726722'),('4643064499741460652','4477020445601217542','4643064465381726748'),('4643064499741460653','4477020445601217637','4643064465381726774'),('4643064499741460654','4476991411622197865','4643064465381726800'),('4643064499741460655','4477020445601218475','4643064465381726826'),('4643064499741460656','4477020445601218506','4643064465381726852'),('4643064499741460657','4477020445601218537','4643064465381726878'),('4643064499741460658','4477022988221856601','4643064465381726904'),('4643064499741460659','4476993851163617707','4643064465381726930'),('4643064499741460660','4476993851163617886','4643064465381726956'),('4643064499741460661','4477023022581589526','4643064465381726982'),('4643064499741460662','4476993851163618086','4643064465381727008'),('4643064499741460663','4476993851163618261','4643064465381727034'),('4643064499741460664','4477023022581589763','4643064465381727060'),('4643064499741460665','4477023366178979361','4643064465381727086'),('4643064499741460666','4476993851163619524','4643064465381727112'),('4643064499741460667','4476993851163619974','4643064465381727138'),('4643064499741460668','4477023091301065745','4643064465381727164'),('4643064499741460669','4477023091301066012','4643064465381727190'),('4643064499741460670','4477023091301066107','4643064465381727216'),('4643064499741460671','4476994160401262667','4643064465381727242'),('4643064499741460672','4477023091301071696','4643064465381727268'),('4643064499741460673','4476994160401263165','4643064465381727294'),('4643064499741460674','4476994160401263319','4643064465381727320'),('4643064499741460675','4476994160401263409','4643064465381727346'),('4643064499741460676','4477023228740018256','4643064465381727372'),('4643064499741460677','4477023228740019585','4643064465381727398'),('4643064499741460678','4477023228740021845','4643064465381727424'),('4643064499741460679','4477023228740022293','4643064465381727450'),('4643064499741460680','4477023228740023350','4643064465381727476'),('4643064499741460681','4476994229120743819','4643064465381727502'),('4643064499741460682','4476994229120745017','4643064465381727528'),('4643064499741460683','4476994229120745212','4643064465381727554'),('4643064499741460684','4477023228740024951','4643064465381727580'),('4643064499741460685','4477022988221849874','4643064465381727606'),('4643064499741460686','4477022988221849948','4643064465381727632'),('4643064499741460687','4476993816803883426','4643064465381727658'),('4643064499741460688','4476993816803883457','4643064465381727684'),('4643064499741460689','4477022988221853930','4643064465381727710'),('4643064499741460690','4477022988221855244','4643064465381727736'),('4643064499741460691','4476993851163616290','4643064465381727762'),('4643064499741460692','4476994057322047893','4643064465381727788'),('4643064499741460693','4476994057322048069','4643064465381727814'),('4643064499741460694','4476994057322048103','4643064465381727840'),('4643064499741460695','4476994057322048310','4643064465381727866'),('4643064499741460696','4476994057322048458','4643064465381727892'),('4643064499741460697','4476994057322048594','4643064465381727918'),('4643064499741460698','4477023056941330765','4643064465381727944'),('4643064499741460699','4476994057322048744','4643064465381727970'),('4643064499741460700','4477023056941330871','4643064465381727996'),('4643064499741460701','4476994057322050183','4643064465381728022'),('4643064499741460702','4476994091681785752','4643064465381728048'),('4643064499741460703','4477020754838858687','4643064465381728074'),('4643064499741460704','4477020754838858756','4643064465381728074'),('4643064499741460705','4477020754838858799','4643064465381728074'),('4643064499741460706','4476991789579319566','4643064465381728074'),('4643064499741460707','4476991789579319601','4643064465381728074'),('4643064499741460708','4477020754838858975','4643064465381728074'),('4643064499741460709','4476991789579319632','4643064465381728074'),('4643064499741460710','4476991789579319695','4643064465381728074'),('4643064499741460711','4477020754838859119','4643064465381728074'),('4643064499741460712','4477020754838858687','4643064465381728108'),('4643064499741460713','4477020754838858756','4643064465381728134'),('4643064499741460714','4477020754838858799','4643064465381728160'),('4643064499741460715','4476991789579319566','4643064465381728186'),('4643064499741460716','4476991789579319601','4643064465381728212'),('4643064499741460717','4477020754838858975','4643064465381728238'),('4643064499741460718','4476991789579319632','4643064499741458440'),('4643064499741460719','4476991789579319695','4643064499741458466'),('4643064499741460720','4477020754838859119','4643064499741458492'),('4643064499741460721','4476993816803881155','4643064499741458518'),('4643064499741460722','4477022919502380517','4643064499741458544'),('4643064499741460723','4477022919502380630','4643064499741458570'),('4643064499741460724','4476993816803881249','4643064499741458596'),('4643064499741460725','4476993816803881291','4643064499741458622'),('4643064499741460726','4476993816803882815','4643064499741458648'),('4643064499741460727','4477022919502380873','4643064499741458674'),('4643064499741460728','4477022919502380947','4643064499741458700'),('4643064499741460729','4477022919502381009','4643064499741458726'),('4643064499741460730','4477022988221849681','4643064499741458752'),('4643064499741460731','4477022988221849713','4643064499741458778'),('4643064499741460732','4476991961378013092','4643064499741458804'),('4643064499741460733','4477020995357024981','4643064499741458830'),('4643064499741460734','4476991995737747346','4643064499741458856'),('4643064499741460735','4477020995357029858','4643064499741458882'),('4643064499741460736','4476992030097486500','4643064499741458908'),('4643064499741460737','4477021029716766923','4643064499741458934'),('4643064499741460738','4500609368063761867','4643064499741458960'),('4643064499741460739','4500621428331942931','4643064499741458986'),('4643064499741460740','4500607787515790692','4643064499741458986'),('4643064499741460742','4500607787515797450','4643064499741458986'),('4643064499741460743','4527512596529406106','4643064499741458986'),('4643064499741460744','4500607821875528707','4643064499741458986'),('4643064499741460745','4477020754838860065','4643064499741459016'),('4643064499741460746','4477020754838860096','4643064499741459042'),('4643064499741460747','4477020754838860127','4643064499741459068'),('4643064499741460748','4476991823939051731','4643064499741459094'),('4643064499741460749','4476991823939051847','4643064499741459120'),('4643064499741460750','4476991823939052901','4643064499741459146'),('4643064499741460751','4477020789198596862','4643064499741459172'),('4643064499741460752','4476991927018274543','4643064499741459198'),('4643064499741460753','4476991927018274649','4643064499741459224'),('4643064499741460754','4477020926637547925','4643064499741459250'),('4643064499741460755','4476991961378009286','4643064499741459276'),('4643064499741460756','4477020926637548092','4643064499741459302'),('4643064499741460757','4476991961378009470','4643064499741459328'),('4643064499741460758','4476993988602573320','4643064499741459354'),('4643064499741460759','4476994057322047670','4643064499741459354'),('4643064499741460760','4477023056941327381','4643064499741459381'),('4643064499741460761','4477023056941327530','4643064499741459407'),('4643064499741460762','4477023056941327667','4643064499741459433'),('4643064499741460763','4476993988602574036','4643064499741459459'),('4643064499741460764','4477023056941328228','4643064499741459485'),('4643064499741460765','4476994022962311820','4643064499741459511'),('4643064499741460766','4477023056941328429','4643064499741459537'),('4643064499741460767','4477023056941330004','4643064499741459563'),('4643064499741460768','4477022919502375003','4643064499741459589'),('4643064499741460769','4476993816803878568','4643064499741459615'),('4643064499741460770','4477022919502375143','4643064499741459641'),('4643064499741460771','4477022919502375316','4643064499741459667'),('4643064499741460772','4477022919502375348','4643064499741459693'),('4643064499741460773','4476993816803879855','4643064499741459719'),('4643064499741460774','4477022919502375513','4643064499741459745'),('4643064499741460775','4476993816803880005','4643064499741459771'),('4643064499741460776','4476993851163620903','4643064499741459797'),('4643064499741460777','4477023022581592683','4643064499741459823'),('4643064499741460778','4476993988602568749','4643064499741459849'),('4643064499741460779','4476993988602568986','4643064499741459875'),('4643064499741460780','4477023022581595756','4643064499741459901'),('4643064499741460781','4476993988602570591','4643064499741459927'),('4643064499741460782','4476993988602570696','4643064499741459953'),('4643064499741460783','4477023056941326440','4643064499741459979'),('4643064499741460784','4476993988602570948','4643064499741460005'),('4643064499741460785','4477023056941326608','4643064499741460031'),('4643064499741460786','4476993988602572681','4643064499741460057'),('4643064499741460787','4476993988602572784','4643064499741460083'),('4643064499741460788','4477022919502378983','4643064499741460109'),('4643064499741460789','4477022919502379046','4643064499741460135'),('4643064499741460790','4477022919502379182','4643064499741460161'),('4643064499741460791','4476993816803880716','4643064499741460187'),('4643064499741460792','4477022919502379549','4643064499741460213'),('4643064499741460793','4477022919502379716','4643064499741460239'),('4643064499741460794','4477022919502379961','4643064499741460265'),('4643064499741460795','4476993816803881018','4643064499741460291'),('4643064499741460796','4500611635806505494','4643064499741460317'),('4643064499741460797','4477020754838858073','4643064499741460343'),('4643064499741460798','4476991789579318209','4643064499741460369'),('4643064499741460799','4477020754838858104','4643064499741460395'),('4643064499741460800','4476991789579318347','4643064499741460421'),('4643064499741460801','4477020754838858229','4643064499741460447'),('4643064499741460802','4477020754838858260','4643064499741460473'),('4643064499741460803','4477020754838858377','4643064499741460499'),('4643064499741460804','4477020754838858408','4643064499741460525'),('4643064499741460805','4476991789579319349','4643064499741460551'),('4643064499741460806','4476991789579319380','4643064499741460577'),('4643064774619364496','4592810015123099406','4643064774619364468'),('4643064774619364497','4592810152562053002','4643064774619364468'),('4643064774619364498','4592772975325062656','4643064774619364468'),('4643064808979111061','4500591432280349511','4643064808979109837'),('4643064808979111062','4500555698152414227','4643064808979109863'),('4643064808979111063','4500595108772349229','4643064808979109889'),('4643064808979111064','4500576039117543090','4643064808979109915'),('4643064808979111065','4500593459504908244','4643064808979109941'),('4643064808979111066','4500554220683661306','4643064808979109967'),('4643064808979111067','4500554495561569423','4643064808979109993'),('4643064808979111068','4500596173924226323','4643064808979110019'),('4643064808979111069','4500585110088490318','4643064808979110019'),('4643064808979111070','4500553670927851165','4643064808979110019'),('4643064808979111071','4500595761607378748','4643064808979110047'),('4643064808979111072','4500557519218548698','4643064808979110073'),('4643064808979111073','4500585110088490731','4643064808979110099'),('4643064808979111074','4500583976217102146','4643064808979110125'),('4643064808979111075','4500553292970722730','4643064808979110151'),('4643064808979111076','4500542744531049601','4643064808979110177'),('4643064808979111077','4500542744531049709','4643064808979110203'),('4643064808979111078','4500594352858106234','4643064808979110229'),('4643064808979111079','4500587961946754136','4643064808979110255'),('4643064808979111080','4500556969462731011','4643064808979110281'),('4643064808979111081','4500588065025967986','4643064808979110307'),('4643064808979111082','4527497134647143406','4643064808979110333'),('4643064808979111083','4500595211851566333','4643064808979110359'),('4643064808979111084','4500587549629898286','4643064808979110385'),('4643064808979111085','4500587549629898467','4643064808979110411'),('4643064808979111086','4500587549629898633','4643064808979110437'),('4643064808979111087','4500576039117543703','4643064808979110463'),('4643064808979111088','4500554323762880308','4643064808979110489'),('4643064808979111089','4500554358122612284','4643064808979110515'),('4643064808979111090','4500585659844284291','4643064808979110541'),('4643064808979111091','4500551884221449230','4643064808979110567'),('4643064808979111092','4500591500999820927','4643064808979110593'),('4643064808979111093','4500551987300664459','4643064808979110619'),('4643064808979111094','4500552056020145749','4643064808979110645'),('4643064808979111095','4500584388533963083','4643064808979110671'),('4643064808979111096','4500584422893702861','4643064808979110697'),('4643064808979111097','4500556488426395544','4643064808979110723'),('4643064808979111098','4500556522786129706','4643064808979110749'),('4643064808979111099','4500595040052877740','4643064808979110775'),('4643064808979111100','4500556522786131115','4643064808979110801'),('4643064808979111101','4500584766491086936','4643064808979110827'),('4643064808979111102','4500584766491086751','4643064808979110853'),('4643064808979111103','4500584766491087279','4643064808979110879'),('4643064808979111104','4500592669230925999','4643064808979110905'),('4643064808979111105','4500553464769416684','4643064808979110931'),('4643064808979111106','4500625310982378037','4643064808979110957'),('4643064808979111107','4500623764794150937','4643064808979110983'),('4643064808979111108','4500576348355188078','4643064808979111009'),('4643064808979111109','4500585659844303695','4643064808979111035'),('4643064877698578893','4580709580421560644','4643064877698578868'),('4643064877698578894','4580746379701343385','4643064877698578868'),('4643064877698578895','4580712500999327282','4643064877698578868'),('4643064877698578896','4580711401487682672','4643064877698578868'),('4643064877698578897','4580709580421561941','4643064877698578868'),('4643064877698578898','4580711401487682979','4643064877698578868'),('4643064877698578899','4580712500999327745','4643064877698578868'),('4643064912058323416','4500539995751978092','4643064912058323052'),('4643064912058323417','4500586621916973915','4643064912058323078'),('4643064912058323418','4500577379147334480','4643064912058323104'),('4643064912058323419','4500586621916973281','4643064912058323130'),('4643064912058323420','4500577379147334886','4643064912058323156'),('4643064912058323421','4500586621916973649','4643064912058323182'),('4643064912058323422','4500544771755609707','4643064912058323208'),('4643064912058323423','4500577379147335825','4643064912058323234'),('4643064912058323424','4500586621916974762','4643064912058323260'),('4643064912058323425','4500544806115346577','4643064912058323286'),('4643064912058323426','4500577379147336944','4643064912058323312'),('4643064912058323427','4500586621916975509','4643064912058323338'),('4643064912058323428','4500577379147337429','4643064912058323364'),('4643064912058323429','4500585316246898472','4643064912058323390'),('4643065049497266468','4500538587002707085','4643065049497266049'),('4643065049497266469','4500577241708401659','4643065049497266075'),('4643065049497266470','4500538621362439573','4643065049497266101'),('4643065049497266471','4500569029730913694','4643065049497266127'),('4643065049497266472','4500576039117556332','4643065049497266153'),('4643065049497266473','4500576107837030860','4643065049497266179'),('4643065049497266474','4500569201529602540','4643065049497266205'),('4643065049497266475','4500576142196771449','4643065049497266231'),('4643065049497266476','4500576142196774018','4643065049497266257'),('4643065049497266477','4500576245275971137','4643065049497266283'),('4643065049497266478','4500576795031785219','4643065049497266309'),('4643065049497266479','4500586553197497839','4643065049497266335'),('4643065049497266480','4500544565597177718','4643065049497266361'),('4643065049497266481','4500577138629169105','4643065049497266387'),('4643065049497266482','4500544565597177993','4643065049497266413'),('4643065049497266483','4500577138629169324','4643065049497266439'),('4643065118216756659','4497713804191904528','4643065118216755519'),('4643065118216756660','4497734763632360801','4643065118216755545'),('4643065118216756661','4497713838551640868','4643065118216755571'),('4643065118216756662','4497734832351830072','4643065118216755597'),('4643065118216756663','4455233760135394597','4643065118216755623'),('4643065118216756665','4474224043934271236','4643065118216755650'),('4643065118216756669','4455233828854868343','4643065118216755704'),('4643065118216756670','4474224043934271269','4643065118216755730'),('4643065118216756676','4455233828854868465','4643065118216755786'),('4643065118216756677','4474224043934271369','4643065118216755786'),('4643065118216756678','4474224043934271402','4643065118216755786'),('4643065118216756679','4545347637204626439','4643065118216755786'),('4643065118216756680','4473857013208978044','4643065118216755815'),('4643065118216756681','4545353993756244549','4643065118216755815'),('4643065118216756682','4545351451135592694','4643065118216755815'),('4643065118216756683','4473857013208978077','4643065118216755843'),('4643065118216756684','4473857013208978259','4643065118216755869'),('4643065118216756685','4477019827125920315','4643065118216755869'),('4643065118216756686','4477019827125920349','4643065118216755869'),('4643065118216756687','4476990724427424550','4643065118216755869'),('4643065118216756688','4476990724427424718','4643065118216755869'),('4643065118216756689','4476990724427424751','4643065118216755869'),('4643065118216756690','4476990724427424784','4643065118216755869'),('4643065118216756691','4500620157021621240','4643065118216755869'),('4643065118216756692','4527510706743797417','4643065118216755869'),('4643065118216756693','4545347602844892292','4643065118216755869'),('4643065118216756694','4477019827125920425','4643065118216755904'),('4643065118216756695','4476990724427424992','4643065118216755904'),('4643065118216756696','4476990724427425025','4643065118216755904'),('4643065118216756697','4476990724427425058','4643065118216755904'),('4643065118216756698','4477019827125922667','4643065118216755904'),('4643065118216756699','4477024912367201907','4643065118216755904'),('4643065118216756700','4477024912367205734','4643065118216755904'),('4643065118216756701','4500587274751986746','4643065118216755904'),('4643065118216756702','4545347568485147121','4643065118216755904'),('4643065118216756703','4545357154852172793','4643065118216755904'),('4643065118216756704','4476990724427424583','4643065118216755939'),('4643065118216756705','4476990724427424616','4643065118216755939'),('4643065118216756706','4476990724427424850','4643065118216755966'),('4643065118216756707','4477019827125920723','4643065118216755966'),('4643065118216756708','4476990724427426928','4643065118216755966'),('4643065118216756709','4500606653644423781','4643065118216755966'),('4643065118216756710','4477020239442785566','4643065118216755995'),('4643065118216756711','4548288693370040130','4643065118216756021'),('4643065118216756712','4548241964125816543','4643065118216756047'),('4643065118216756716','4476992545493564615','4643065118216756076'),('4643065118216756717','4476992614213039296','4643065118216756102'),('4643065118216756718','4476992614213039378','4643065118216756128'),('4643065118216756719','4477021510753102999','4643065118216756154'),('4643065118216756732','4477024912367205658','4643065118216756217'),('4643065118216756733','4500609058826127612','4643065118216756243'),('4643065118216756734','4500609058826128124','4643065118216756269'),('4643065118216756735','4527500398822291303','4643065118216756295'),('4643065118216756736','4500609058826129582','4643065118216756321'),('4643065118216756738','4477020789198600223','4643065118216756373'),('4643065118216756739','4477020789198596936','4643065118216756399'),('4643065118216756741','4477020789198601806','4643065118216756451'),('4643065186936226217','4471092772257218880','4643065152576495365'),('4643065186936226218','4455233794495132432','4643065152576495391'),('4643065186936226219','4459060472917004951','4643065152576495417'),('4643065186936226220','4471092772257218912','4643065152576495443'),('4643065186936226221','4476992717292255502','4643065152576495469'),('4643065186936226222','4477021682551797266','4643065152576495495'),('4643065186936226223','4476992786011726380','4643065152576495521'),('4643065186936226224','4477021545112846189','4643065152576495547'),('4643065186936226225','4477021545112846189','4643065152576495573'),('4643065186936226226','4477021545112846314','4643065152576495599'),('4643065186936226227','4476993473206494023','4643065186936225801'),('4643065186936226228','4477022301027082812','4643065186936225827'),('4643065186936226229','4545353134762779260','4643065186936225853'),('4643065186936226230','4476997115338768273','4643065186936225879'),('4643065186936226231','4477026149317785620','4643065186936225905'),('4643065186936226232','4476993782444140933','4643065186936225931'),('4643065186936226233','4476993782444140996','4643065186936225957'),('4643065186936226234','4476993748084405792','4643065186936225983'),('4643065186936226235','4476993576285710970','4643065186936226009'),('4643065186936226236','4476993576285714777','4643065186936226035'),('4643065186936226237','4477025668281449715','4643065186936226061'),('4643065186936226238','4476996599942689503','4643065186936226087'),('4643065186936226239','4476996599942689503','4643065186936226113'),('4643065186936226240','4500536216180757426','4643065186936226139'),('4643065186936226241','4500575558081219430','4643065186936226165'),('4643065186936226242','4500568686133532538','4643065186936226191'),('4643070203458033009','4500568376895886779','4643070203458030433'),('4643070203458033010','4500568376895886811','4643070203458030433'),('4643070203458033011','4500568376895886779','4643070203458030460'),('4643070203458033012','4500568376895886811','4643070203458030486'),('4643070203458033013','4476998146130915441','4643070203458030512'),('4643070203458033014','4476998146130915441','4643070203458030538'),('4643070203458033015','4476998146130915516','4643070203458030564'),('4643070203458033016','4476998146130915516','4643070203458030590'),('4643070203458033017','4476998146130915592','4643070203458030616'),('4643070203458033018','4476998146130915592','4643070203458030642'),('4643070203458033019','4476998146130915624','4643070203458030668'),('4643070203458033020','4476998146130915624','4643070203458030694'),('4643070203458033021','4476997424576406779','4643070203458030720'),('4643070203458033022','4476997424576406779','4643070203458030746'),('4643070203458033023','4477026664713856105','4643070203458030772'),('4643070203458033024','4477026664713856105','4643070203458030798'),('4643070203458033025','4477026664713856181','4643070203458030824'),('4643070203458033026','4477026664713856181','4643070203458030850'),('4643070203458033027','4476998867685419115','4643070203458030876'),('4643070203458033028','4476998867685419149','4643070203458030902'),('4643070203458033029','4477027145750196547','4643070203458030928'),('4643070203458033030','4476998867685419225','4643070203458030954'),('4643070203458033031','4477027145750196680','4643070203458030980'),('4643070203458033032','4477027145750196755','4643070203458031006'),('4643070203458033033','4476998867685419374','4643070203458031032'),('4643070203458033034','4476998867685419482','4643070203458031058'),('4643070203458033035','4476998867685420012','4643070203458031084'),('4643070203458033036','4477027145750197216','4643070203458031110'),('4643070203458033037','4477027145750197377','4643070203458031136'),('4643070203458033038','4476998867685420133','4643070203458031162'),('4643070203458033039','4476998867685420165','4643070203458031188'),('4643070203458033040','4477027145750197499','4643070203458031214'),('4643070203458033041','4477027145750197576','4643070203458031240'),('4643070203458033042','4477027145750197709','4643070203458031266'),('4643070203458033043','4476998867685420669','4643070203458031292'),('4643070203458033044','4477027145750197741','4643070203458031318'),('4643070203458033045','4476998867685421027','4643070203458031344'),('4643070203458033046','4476998867685421118','4643070203458031370'),('4643070203458033047','4477027180109932321','4643070203458031396'),('4643070203458033048','4476998867685421527','4643070203458031422'),('4643070203458033049','4477027214469668871','4643070203458031448'),('4643070203458033050','4477027214469668906','4643070203458031474'),('4643070203458033051','4476998867685421667','4643070203458031500'),('4643070203458033052','4477027214469669067','4643070203458031526'),('4643070203458033053','4476998867685421832','4643070203458031552'),('4643070203458033054','4476998867685421909','4643070203458031578'),('4643070203458033055','4476998867685421947','4643070203458031604'),('4643070203458033056','4476998867685421979','4643070203458031630'),('4643070203458033057','4477027214469669440','4643070203458031656'),('4643070203458033058','4477027214469669440','4643070203458031682'),('4643070203458033059','4477027214469669472','4643070203458031708'),('4643070203458033060','4477027214469669472','4643070203458031734'),('4643070203458033061','4476998867685422174','4643070203458031760'),('4643070203458033062','4476998867685422174','4643070203458031786'),('4643070203458033063','4476998867685422206','4643070203458031812'),('4643070203458033064','4476998867685422206','4643070203458031838'),('4643070203458033065','4477027214469669750','4643070203458031864'),('4643070203458033066','4477027214469669750','4643070203458031890'),('4643070203458033067','4476998867685422420','4643070203458031916'),('4643070203458033068','4476998867685422420','4643070203458031942'),('4643070203458033069','4477027248829411216','4643070203458031968'),('4643070203458033070','4476998902045161484','4643070203458031994'),('4643070203458033071','4476998902045161516','4643070203458032020'),('4643070203458033072','4477027248829411248','4643070203458032046'),('4643070203458033073','4477027248829411280','4643070203458032072'),('4643070203458033074','4477027248829411280','4643070203458032098'),('4643070203458033075','4476998902045161580','4643070203458032124'),('4643070203458033076','4476998902045161580','4643070203458032150'),('4643070203458033077','4477027248829411312','4643070203458032176'),('4643070203458033078','4477027248829411312','4643070203458032202'),('4643070203458033079','4476998902045161644','4643070203458032228'),('4643070203458033080','4476998902045161644','4643070203458032254'),('4643070203458033081','4477027248829411376','4643070203458032280'),('4643070203458033082','4477027248829411376','4643070203458032306'),('4643070203458033083','4477027248829411408','4643070203458032332'),('4643070203458033084','4477027248829411408','4643070203458032358'),('4643070203458033085','4476998902045161708','4643070203458032384'),('4643070203458033086','4477027248829411440','4643070203458032410'),('4643070203458033087','4476998902045161740','4643070203458032436'),('4643070203458033088','4476998902045161836','4643070203458032462'),('4643070203458033089','4477027248829411536','4643070203458032488'),('4643070203458033090','4477027248829411568','4643070203458032514'),('4643070203458033091','4476998902045161868','4643070203458032514'),('4643070203458033092','4477027248829411600','4643070203458032541'),('4643070203458033093','4476998902045161996','4643070203458032567'),('4643070203458033094','4477027248829411696','4643070203458032593'),('4643070203458033095','4477027248829411728','4643070203458032619'),('4643070203458033096','4476998902045162028','4643070203458032645'),('4643070203458033097','4477027248829411760','4643070203458032671'),('4643070203458033098','4477027248829411888','4643070203458032697'),('4643070203458033099','4477027248829411888','4643070203458032723'),('4643070203458033100','4476998902045162156','4643070203458032749'),('4643070203458033101','4476998902045162156','4643070203458032775'),('4643070203458033102','4477027248829411920','4643070203458032801'),('4643070203458033103','4477027248829411920','4643070203458032827'),('4643070203458033104','4476998902045162188','4643070203458032853'),('4643070203458033105','4476998902045162188','4643070203458032879'),('4643070203458033106','4497733664120728938','4643070203458032905'),('4643070203458033107','4497733664120728938','4643070203458032931'),('4643070203458033108','4477027248829411856','4643070203458032957'),('4643070203458033109','4476998902045162252','4643070203458032983'),('4643070409616457887','4500578444299242208','4643070409616457783'),('4643070409616457888','4500571194394430018','4643070409616457809'),('4643070409616457889','4500571263113907638','4643070409616457835'),('4643070409616457890','4500582979784710605','4643070409616457861'),('4643070478335936019','4562954426138040153','4643070478335934563'),('4643070478335936020','4562954597936730568','4643070478335934589'),('4643070478335936021','4562954597936734023','4643070478335934615'),('4643070478335936022','4562957140557381224','4643070478335934641'),('4643070478335936023','4562954701015947442','4643070478335934667'),('4643070478335936024','4562957174917116096','4643070478335934693'),('4643070478335936025','4562954701015948235','4643070478335934719'),('4643070478335936026','4562944633612594010','4643070478335934745'),('4643070478335936027','4562957209276852991','4643070478335934771'),('4643070478335936028','4562957312356069735','4643070478335934797'),('4643070478335936029','4562944667972337165','4643070478335934823'),('4643070478335936030','4562944702332068403','4643070478335934849'),('4643070478335936031','4562944702332068953','4643070478335934875'),('4643070478335936032','4562957346715807195','4643070478335934901'),('4643070478335936033','4562957346715809112','4643070478335934927'),('4643070478335936034','4562954769735422746','4643070478335934953'),('4643070478335936035','4562957381075542289','4643070478335934979'),('4643070478335936036','4562944702332073106','4643070478335935005'),('4643070478335936037','4562957381075545109','4643070478335935031'),('4643070478335936038','4562957381075545679','4643070478335935057'),('4643070478335936039','4562954804095157814','4643070478335935083'),('4643070478335936040','4562957381075546298','4643070478335935109'),('4643070478335936041','4562944736691808858','4643070478335935135'),('4643070478335936042','4562954804095160902','4643070478335935161'),('4643070478335936043','4562957415435280597','4643070478335935187'),('4643070478335936044','4562954804095163283','4643070478335935213'),('4643070478335936045','4562954804095163590','4643070478335935239'),('4643070478335936046','4562944736691811320','4643070478335935265'),('4643070478335936047','4562954872814633257','4643070478335935291'),('4643070478335936048','4562957415435287619','4643070478335935317'),('4643070478335936049','4562944805411291044','4643070478335935343'),('4643070478335936050','4562944839771021740','4643070478335935369'),('4643070478335936051','4562955044613332792','4643070478335935395'),('4643070478335936052','4562957655953449644','4643070478335935421'),('4643070478335936053','4562944839771024660','4643070478335935447'),('4643070478335936054','4562944839771025946','4643070478335935473'),('4643070478335936055','4562955663088617052','4643070478335935499'),('4643070478335936056','4562944839771026621','4643070478335935525'),('4643070478335936057','4562944839771026988','4643070478335935551'),('4643070478335936058','4562957793392407633','4643070478335935577'),('4643070478335936059','4562955697448354208','4643070478335935603'),('4643070478335936060','4562957827752145959','4643070478335935629'),('4643070478335936061','4562944874130762481','4643070478335935655'),('4643070478335936062','4562957965191096032','4643070478335935681'),('4643070478335936063','4562955697448361597','4643070478335935707'),('4643070478335936064','4562955731808092330','4643070478335935733'),('4643070478335936065','4562944908490501790','4643070478335935759'),('4643070478335936066','4562955766167832682','4643070478335935785'),('4643070478335936067','4562957999550839763','4643070478335935811'),('4643070478335936068','4562944908490503360','4643070478335935837'),('4643070478335936069','4562958068270309379','4643070478335935863'),('4643070478335936070','4562955869247045685','4643070478335935889'),('4643070478335936071','4562945080289192813','4643070478335935915'),('4643070478335936072','4562945080289192962','4643070478335935941'),('4643070478335936073','4562958102630049421','4643070478335935967'),('4643070478335936074','4562945080289194596','4643070478335935993'),('4760179427451029831','4500576313995467589','4760179427451029233'),('4760179427451029832','4500576313995467589','4760179427451029259'),('4760179427451029833','4500576313995467589','4760179427451029285'),('4760179427451029834','4500576313995467589','4760179427451029311'),('4760179427451029835','4500576313995467589','4760179427451029337'),('4760179427451029836','4500576313995467589','4760179427451029363'),('4760179427451029837','4500576313995467589','4760179427451029389'),('4760179427451029838','4500576313995467589','4760179427451029415'),('4760179427451029839','4500576313995467589','4760179427451029441'),('4760179427451029840','4500576313995467589','4760179427451029467'),('4760179427451029841','4500576313995467589','4760179427451029493'),('4760179427451029842','4500576313995467589','4760179427451029519'),('4760179427451029843','4500576313995467589','4760179427451029545'),('4760179427451029844','4500576313995467589','4760179427451029571'),('4760179427451029845','4500576313995467589','4760179427451029597'),('4760179427451029846','4500576313995467589','4760179427451029623'),('4760179427451029847','4500576313995467589','4760179427451029649'),('4760179427451029848','4500576313995467589','4760179427451029675'),('4760179427451029849','4500576313995467589','4760179427451029701'),('4760179427451029850','4500576313995467589','4760179427451029727'),('4760179427451029851','4500576313995467589','4760179427451029753'),('4760179427451029852','4500576313995467589','4760179427451029779'),('4760179427451029853','4500576313995467589','4760179427451029805'),('4760179427451029973','4500569579486729677','4760179427451029971'),('4760179427451030844','4497714353947717065','4760179427451030842'),('4760179427451031276','4500557519218548698','4760179427451031251'),('4760179427451032612','4476990724427429540','4760179427451032610'),('4760179427451032666','4476990724427429781','4760179427451032641'),('4760179633609461533','4562991843893120765','4760179633609461531'),('4760179633609461582','4562991843893123729','4760179633609461557'),('4760179633609461608','4562991843893124025','4760179633609461583'),('4760179633609461609','4562991843893120570','4635300779418214008'),('4760231413735243271','4500578409939503317','4643062919193498643'),('4760231413735243272','4500578409939503395','4643062919193498643'),('4760231413735243273','4500571091315218632','4643062919193498643'),('4760231448094974234','4500576657592848993','4760231448094974232'),('4760231448094974284','4500576657592849080','4760231448094974259'),('4760231448094974321','4500569579486727447','4760231448094974296'),('4760231448094974912','4548288624650560068','4760231448094974910'),('4760231448094974913','4548288624650560623','4760231448094974910'),('4760231448094974914','4548241792327129373','4760231448094974910'),('4760231448094974915','4548288624650560809','4760231448094974910'),('4760231448094974916','4548288624650560471','4760231448094974910'),('4760231448094974917','4548241792327129950','4760231448094974910'),('4760231448094975055','4497735038510261578','4760179427451030842'),('4760231448094975766','4476999280002281962','4687430584196277096'),('4760231448094976447','4476990724427429540','4760231448094976422'),('4760231448094976448','4477019861485662171','4760231448094976422'),('4760231448094976449','4476990724427429616','4760231448094976422'),('4760231448094976450','4476990724427429781','4760231448094976422'),('4760231448094976500','4477019861485662171','4760231448094976475'),('4760231448094976527','4476990724427429616','4760231448094976502'),('4760231585533934393','4562994455233246481','4760231585533934391'),('4760231585533934442','4562994455233246661','4760231585533934417'),('4760231585533934468','4562991843893123866','4760231585533934443'),('4760231585533934494','4562991843893123989','4760231585533934469'),('4760231585533934520','4562996894774670631','4760231585533934495'),('4760231585533934525','4562991843893120336','4635300779418213924'),('4760231585533934530','4562994455233245796','4635300779418213952'),('4760231585533934535','4562991843893120491','4635300779418213980'),('4800457184076405612','4500578100701860764','4643060032975468086'),('4800457184076405620','4497734557473927415','4800457184076405618'),('4800457184076405670','4497734179516803626','4800457184076405645'),('4800457252795876857','4477025255964584068','4643061510444222700'),('4800457252795876863','4477025255964583900','4643061510444222674'),('4800457287155615449','4500566658908968208','4800457287155615447'),('4800457287155615450','4500566658908968300','4800457287155615447'),('4800457287155615451','4500534051517242239','4800457287155615447'),('4800457287155615504','4500566796347918565','4800457287155615478'),('4800457287155615505','4500566796347918685','4800457287155615478'),('4800457287155615506','4500573015460578223','4800457287155615478'),('4800457287155615507','4687437146906316686','4800457287155615478'),('4800457287155615508','4675726111119872855','4800457287155615478'),('4800457287155615540','4500534154596455507','4800457287155615515'),('4800457287155615541','4500566796347918480','4800457287155615515'),('4800457287155615542','4500573015460578057','4800457287155615515'),('4800457287155615543','4500566796347919156','4800457287155615515'),('4800457287155615544','4695834701323207335','4800457287155615515'),('4800457287155615545','4675726111119872805','4800457287155615515'),('4800457287155615546','4687437146906316613','4800457287155615515'),('4800457287155615579','4500534085876974752','4800457287155615554'),('4800457287155615580','4500534085876974873','4800457287155615554'),('4800457287155615581','4500534085876974672','4800457287155615554'),('4800457321515358555','4500567208664778933','4800457321515358553'),('4800457321515358820','4476999073843848260','4800457321515358795'),('4829158045333937995','4476999486160709354','4687430584196277067'),('4829158526370267383','4477025221604851608','4643061510444222622'),('4829158526370267389','4477025221604849440','4643061510444222596'),('4829158526370271412','4497714147789287619','4829158217132628628'),('4829158526370271874','4477022301027082812','4643070650134626593'),('4829158526370272458','4500534292035404963','4635296312652224414'),('4829158526370272459','4500534292035405083','4635296312652224414'),('4829158560730005589','4500572946741105441','4829158560730005587'),('4829158560730005590','4500572946741105534','4829158560730005587'),('4829158560730005591','4500572946741105672','4829158560730005587'),('4829158560730005643','4500566761988182875','4829158560730005618'),('4829158560730005644','4500573015460579214','4829158560730005618'),('4829158560730005647','4500534669992530648','4643059792457296466'),('4957965935607126824','4477025737000919041','4957965935607126799'),('4957965969966858452','4527512596529411305','4957965969966858427'),('4957965969966858453','4476996599942690831','4957965969966858427'),('4957965969966858454','4580698482226064008','4957965969966858427'),('4957965969966858455','4477025702641184622','4957965969966858427'),('4957965969966858456','4477025702641184344','4957965969966858427'),('4957965969966858457','4477025702641183776','4957965969966858427'),('4957965969966858458','4580702089998602884','4957965969966858427'),('4957965969966858510','4477025702641188832','4957965969966858485'),('4957965969966858511','4477025771360657727','4957965969966858485'),('4957965969966858512','4477025737000919041','4957965969966858485'),('4957965969966858513','4580697279635211286','4957965969966858485'),('4957965969966858514','4477025771360657603','4957965969966858485'),('4957965969966858515','4580702124358342299','4957965969966858485'),('4957965969966858541','4476996634302423266','4957965969966858516'),('4957965969966858542','4476996634302424613','4957965969966858516'),('4957965969966858543','4580698516585805030','4957965969966858516'),('4957965969966858544','4477025771360658470','4957965969966858516'),('4957965969966858545','4476996634302424855','4957965969966858516'),('4957965969966858546','4580702261797291616','4957965969966858516'),('4957965969966858547','4545352756805662948','4957965969966858516'),('4957965969966858548','4476996634302424158','4957965969966858516'),('4957965969966858616','4476996496863475706','4957965969966858591'),('4957965969966858617','4476996496863476237','4957965969966858591'),('4957965969966858618','4580701231005140866','4957965969966858591'),('4957965969966858619','4580701265364877464','4957965969966858591'),('4957965969966858620','4476996496863476386','4957965969966858591'),('4957965969966858621','4476996496863476087','4957965969966858591'),('4957965969966858622','4477025668281445954','4957965969966858591'),('4957965969966858623','4476996496863476598','4957965969966858591'),('4957965969966858624','4580697932470254100','4957965969966858591'),('4957965969966858703','4477025771360660105','4957965969966858678'),('4957965969966858704','4545342551963350345','4957965969966858678'),('4957965969966858705','4477025771360660224','4957965969966858678'),('4957965969966858706','4580702055638856343','4957965969966858678'),('4957965969966858707','4476996634302425484','4957965969966858678'),('4957966107405818595','4500537590570294357','4635296278292485043'),('4957966107405818600','4500566693268701750','4635296278292485072'),('4957966176125294426','4580729783947712518','4643062919193498609'),('4957966176125294427','4580729783947710299','4643062919193498609'),('4957966176125294428','4580725317181737737','4643062919193498609'),('4957966176125294429','4580730608581434932','4643062919193498609'),('4957986551450153454','4477025668281448096','4957986551450153429'),('4957986551450153455','4477025702641182761','4957986551450153429'),('4957986551450153456','4477025702641183324','4957986551450153429'),('4957986551450153457','4580698172988422222','4957986551450153429'),('4957986551450153458','4477025668281448392','4957986551450153429'),('4957986551450153459','4477025702641182953','4957986551450153429'),('4957986551450153460','4548277663894008506','4957986551450153429'),('4957986551450153461','4580696901678089417','4957986551450153429'),('4957986551450153462','4580690132809637079','4957986551450153429'),('4957986551450153463','4477025702641183132','4957986551450153429'),('4957986551450153464','4477025668281449747','4957986551450153429'),('4957986551450153468','4477025496482758238','4957986551450153466'),('4957986551450153469','4476996428143994204','4957986551450153466'),('4957986551450153470','4477025496482758411','4957986551450153466'),('4957986551450153471','4476996428143994493','4957986551450153466'),('4957986551450153472','4476996428143993922','4957986551450153466'),('4957986551450153473','4580695080611958741','4957986551450153466'),('4957986551450153537','4476996428143996550','4957986551450153512'),('4957986551450153538','4476996428143997291','4957986551450153512'),('4957986551450153539','4476996428143997738','4957986551450153512'),('4957986551450153540','4545342758121781499','4957986551450153512'),('4957986551450153541','4580701540242786786','4957986551450153512'),('4957986551450153542','4477025599561967378','4957986551450153512'),('4957986551450153543','4477025599561965655','4957986551450153512'),('4957986551450153544','4477025530842493695','4957986551450153512'),('4957986551450153545','4477025530842496461','4957986551450153512'),('4957986551450153546','4477025599561965880','4957986551450153512'),('4957986551450153547','4477025599561967631','4957986551450153512'),('4957986551450154061','4477025599561968672','4957986551450154036'),('4957986551450154062','4477025599561971686','4957986551450154036'),('4957986551450154063','4476996428144000219','4957986551450154036'),('4957986551450154064','4580694874453524753','4957986551450154036'),('4957986551450154065','4476996428144000388','4957986551450154036'),('5080959505313540697','4500574870886450842','4635298992711813350'),('5080959608392756851','4500577482226570493','5080959608392756849'),('5080959608392757044','4500570369760707191','5080959608392756849'),('5080959608392757045','4500577516586303740','5080959608392756849'),('5080959608392758555','4500535425906776344','4635298992711812615'),('5080959608392758556','4500568342536149571','4635298992711812615'),('5080959608392758563','4500535322827555628','4635298992711812645'),('5080959608392758564','4500574905246195510','4635298992711812645'),('5080959608392758571','4500575111404625314','4635298992711812712'),('5080959848910924372','4500542847610259568','5080959848910924347'),('5080959848910924423','4545351691653760533','4643063056632439800'),('5080959848910924454','4500542847610260401','5080959848910924429'),('5080959848910924524','4477024053373743078','5080959848910924499'),('5080959951990140948','4500540030111714887','4643063606388261333'),('5391043121743972269','4500578616097938639','4643061510444223784'),('5391043121743972270','4500539720874068964','4643061510444223784'),('5391043121743972271','4500539720874068998','4643061510444223784'),('5391043121743972281','4500539720874068809','4643061510444223880'),('5391043121743972283','4500578616097938603','4643061510444223880'),('5391043121743972284','4500578616097938425','4643061510444223880'),('5391043121743972296','4500539755233807725','4643061510444223973'),('5391043121743972297','4500578616097938991','4643061510444223973'),('5391143623978707924','4500539720874069196','4643061510444223849'),('5391143623978707932','4500539755233807691','4643061510444223911'),('5437065208149120029','5437064830191998480','4643063056632439057'),('5437065208149120312','5437064830191998480','4643063056632439161'),('5437065311228330078','5437064830191998480','4643063056632439109'),('5437065311228330101','5437064830191998480','5080959848910924320'),('5437065895343893332','5437064830191998480','4643063056632439031'),('5437065964063371876','5437064830191998480','4643063056632439083'),('5437065964063371882','5437064830191998480','4643063056632438979'),('5525960860693786255','4476992304975394433','5525959486304241772'),('5830510257144465536','4455233657056181648','4643064465381724633'),('5830510257144465537','4455233657056181714','4643064465381724633'),('5830510257144465538','4455233657056181681','4643064465381724633'),('5830510257144465539','4459060404197531274','4643064465381724633'),('5830510257144465540','4459060404197531307','4643064465381724633'),('5830510257144465541','4476991068024810745','4643064465381724633'),('5830510257144465542','4455233657056181747','4643064465381724633'),('5830510257144465543','4477020342521996405','4643064465381724633'),('5830510257144465544','4500559305924938995','4643064465381724633'),('5830510257144465545','4500559305924939160','4643064465381724633'),('5830510257144465546','4500559305924939279','4643064465381724633'),('5830510257144465547','4500589886092103058','4643064465381724633'),('5830510257144465548','4500589886092103093','4643064465381724633'),('5830510257144465549','4500606997241809821','4643064465381724633'),('5830510257144465644','4459060472917000201','4643064465381724606'),('5830510257144465645','4455233760135394769','4643064465381724606'),('5830510257144465646','4455233760135394630','4643064465381724606'),('5830510257144465647','4455233760135394802','4643064465381724606'),('5830510257144465648','4476991068024810825','4643064465381724606'),('5830510257144465649','4455233760135394663','4643064465381724606'),('5830510257144465650','4459060472917000263','4643064465381724606'),('5830510257144465651','4476991068024810858','4643064465381724606'),('5830510257144465652','4476991068024810891','4643064465381724606'),('5830510257144465653','4500584903930053031','4643064465381724606'),('5830510257144465654','4500575901678585141','4643064465381724606'),('5830510257144465655','4477020342521996498','4643064465381724606'),('5830510257144465656','4477020342521996465','4643064465381724606'),('5830510257144465657','4459060472917000296','4643064465381724606'),('5830510257144465658','4500542538372612252','4643064465381724606'),('5830510394583423619','4476993473206494023','5830510394583423594'),('5830523004607416557','4476991068024810219','4643064465381724386'),('5830523004607416558','4476991068024810351','4643064465381724386'),('5830523004607416559','4477020342521995999','4643064465381724386'),('5830523004607416560','4476991068024810427','4643064465381724386'),('5830523004607416561','4476991068024810252','4643064465381724386'),('5830523004607416562','4477020342521995847','4643064465381724386'),('5830523004607416563','4477020342521995933','4643064465381724386'),('5830523004607416564','4477020342521996032','4643064465381724386'),('5830523004607416565','4476991068024810285','4643064465381724386'),('5830523004607416566','4477020342521995880','4643064465381724386'),('5830523004607416567','4477020342521995966','4643064465381724386'),('5830523004607416568','4476991068024810394','4643064465381724386'),('5830523004607416569','4477024190812699093','4643064465381724386'),('5830523004607416570','4500589886092103199','4643064465381724386'),('5830523004607416571','4500598407307232175','4643064465381724386'),('5830523004607416572','4500606928522333904','4643064465381724386'),('5830523004607416573','4500598407307232323','4643064465381724386'),('5830523004607416574','4500606928522336641','4643064465381724386'),('5830523004607416575','4500598407307232590','4643064465381724386'),('5830523004607416576','4500620500619005432','4643064465381724386'),('5830523004607416577','4500589886092103524','4643064465381724386'),('5830523004607416578','4500598407307232210','4643064465381724386'),('5830523004607416579','4500559305924939460','4643064465381724386'),('5830523004607416580','4500598407307231857','4643064465381724386'),('5830523004607416581','4477020342521996065','4643064465381724386'),('5830523004607416582','4477020342521996098','4643064465381724386'),('5830523004607416583','4500598407307231892','4643064465381724386'),('5830523004607416584','4500559305924939639','4643064465381724386'),('5830523004607416585','4500598407307232288','4643064465381724386'),('5830523004607416586','4527511119060661846','4643064465381724386'),('5830523004607416587','4500620500619005515','4643064465381724386'),('5871526885583661080','4477024259532169681','5871526885583661055'),('5871526885583661081','4477024259532170203','5871526885583661055'),('5871526885583661082','4477024259532170654','5871526885583661055'),('5871526885583661083','4476994813236291892','5871526885583661055'),('5871526885583661084','4476994813236292431','5871526885583661055'),('5871526885583661085','4476994813236292728','5871526885583661055'),('5871526885583661086','4476994813236292112','5871526885583661055'),('5871526885583661087','4477024259532170800','5871526885583661055'),('5871526885583661088','4477024259532170459','5871526885583661055'),('5871526885583661089','4477024259532169857','5871526885583661055'),('5871526885583661090','4477024259532170172','5871526885583661055'),('5871526885583661091','4477024259532170578','5871526885583661055'),('5871526885583661092','4477024259532170831','5871526885583661055'),('5871526885583661093','4477024259532171283','5871526885583661055'),('5871526885583661094','4476994813236292767','5871526885583661055'),('5871529256405613859','4477026733433334267','4635296312652226359'),('5871529256405613860','4477026733433334466','4635296312652226359'),('5871529256405613867','4476998352289344433','4635296312652226332'),('5871529256405613868','4477026733433338920','4635296312652226332'),('5871529256405613869','4476995569150538961','4635296312652226332'),('5871529256405614040','4476998352289345153','4635296312652226469'),('5871529256405614041','4476998386649080344','4635296312652226469'),('5871529256405614054','4477026802152809037','4635296381371695123'),('5871529256405614303','4477026802152810741','4635296312652226442'),('5871529290765345209','4476998386649083346','4635296312652226551'),('5871529290765345210','4477025015446416856','4635296312652226551'),('5871529290765345369','4476998386649083956','4635296312652226496'),('5871529290765345370','4476998386649085514','4635296312652226496'),('5871529290765345398','4477026802152815652','4635296312652226523'),('5871529290765345399','4477025015446420391','4635296312652226523'),('5871529290765345489','4477026802152816313','4635296312652226387'),('5871529290765345490','4477026836512548291','4635296312652226387'),('5871529290765345491','4500596036485286586','4635296312652226387'),('5871529290765346905','4500588305544141112','4635296312652225649'),('5871529290765347103','4500596036485284560','4635296312652226039'),('5871529359484821589','4476998352289343330','5871529359484821563'),('5871529359484821591','4500535425906775566','5871529359484821588'),('5871529359484821642','4477026733433339381','5871529359484821617'),('5871529359484821669','4477026802152811591','5871529359484821644'),('5871529359484821670','4476998386649083224','5871529359484821644'),('5871529359484821698','4476991411622193063','5871529359484821673'),('5871529359484821699','4477020445601211519','5871529359484821673'),('5871529359484821700','4476992304975389901','5871529359484821673'),('5871529359484821701','4500588374263618236','5871529359484821673'),('5871529428204301690','4500541507580466980','4635298546035219813'),('5871529428204301695','4500541576299941417','4635298546035219683'),('5871529428204301701','4500573840094283558','4635298546035219787'),('5871529428204301799','4497734763632361333','5871529428204301774'),('5871529428204302099','4500574905246195547','5871529428204302097'),('5871529428204302148','4500574905246195547','5871529428204302123'),('5871529428204302174','4500568342536145232','5871529428204302149'),('5871529428204302226','4500535425906772541','5871529428204302201'),('5871529428204303395','4500574870886451008','4635298992711813377'),('5871529428204303396','4500574870886450967','4635298992711813377'),('5871529428204303446','4500534773071747255','4635298992711813296'),('5871529462564044488','4477020995357024762','4635296312652226091'),('5871529462564044489','4477020926637553627','4635296312652226091'),('5871529462564044504','4477020754838858836','4635296312652226121'),('5871529462564044505','4477021029716769603','4635296312652226121'),('5871529462564044506','4476992270615653433','4635296312652226121'),('5871529462564044560','4477020926637553627','4635296312652226147'),('5871529462564044561','4476991927018274680','4635296312652226147'),('5871529462564044617','4477020995357024762','4635296312652226173'),('5871529462564044624','4476991823939051663','4635296312652226199'),('5871529462564044673','4477020754838858836','4635296312652226226'),('5871529462564044674','4476991789579319663','4635296312652226226'),('5871529462564044675','4476991927018274680','4635296312652226226'),('5871529462564044682','4477021029716769603','4635296312652226252'),('5871529462564044683','4476992270615653433','4635296312652226252'),('5871529462564044777','4477020754838858473','4635296312652226278'),('5871529462564044778','4477020754838858836','4635296312652226278'),('5871529462564044779','4476991927018274680','4635296312652226278'),('5871529565643252754','4455233416538005504','5871529565643252752'),('5871529565643252812','4500570713358091440','5871529565643252787'),('5871529565643252843','4500539549075375739','5871529565643252818'),('5871529565643252878','4500578478658984123','5871529565643252853'),('5871529565643252880','4497734763632361333','4643063915625908194'),('5871529565643252886','4500535013589912160','4643063915625908012'),('5871529565643252892','4500576142196774090','4643063915625908116'),('5871529565643252898','4500534773071743068','4643063915625908142'),('5871529565643252904','4500576039117559199','4643063915625908090'),('5871529565643252910','4500568754853004389','4643063915625908064'),('5871529565643252916','4500569201529608435','4643063915625908038'),('5871529565643252966','4497734832351830254','5871529565643252941'),('5871529565643253012','4500566658908966828','5871529565643252987'),('5871529565643253014','4497734179516803739','4643063915625908325'),('5871529565643253048','4500571606711291113','5871529565643253023'),('5871529565643253050','4500567689701119443','4643063915625908351'),('5871529565643253056','4500578684817412523','4643063915625908979'),('5871529565643253087','4500566727628441330','5871529565643253062'),('5871529565643253118','4500571606711292297','5871529565643253093'),('5871529565643253120','4476997149698501036','4643063915625908927'),('5871529565643253126','4497713357515307421','4643063915625908823'),('5871529565643253160','4643070512695680897','5871529565643253135'),('5871529565643253187','4497734179516805574','5871529565643253162'),('5871529565643253189','4497713391875040368','4800457184076405672'),('5871529565643253258','4500574492929333778','4643063915625909346'),('5871529565643253288','4500574218051424565','5871529565643253263'),('5871529565643253318','4500574424209855029','5871529565643253293'),('5871529565643253364','4500534669992527512','5871529565643253339'),('5871529565643253366','4500574492929328924','4643063915625909400'),('5871529565643253397','4500567792780332731','5871529565643253372'),('5871529565643257472','4500575661160435845','4643063915625908641'),('5871529565643257478','4500569270249086094','4643063915625908615'),('5871529565643257484','4500575661160435340','4643063915625908589'),('5871529565643257490','4500536284900235502','4643063915625908693'),('5871529565643257583','4497713391875040334','5871529565643257558'),('5871529600002993592','4500536216180758237','4635298992711812931'),('5871529600002993593','4500536250540491116','4635298992711812931'),('5871529600002993629','4500568686133533561','4635298992711812853'),('5871529600002993630','4500568720493266700','4635298992711812853'),('5871529703082208793','4477026802152812981','4635296312652226415'),('5871529737441950726','4500569029730913432','4635298992711811389'),('5871529874880901732','4500575729879911639','4635298992711811310'),('5871529874880901738','4500537281332648002','4635298992711811284'),('5871530321557497328','4500535425906772541','5871529359484821536'),('5871530321557497385','4500569064090654207','4643063915625914231'),('5871530321557497511','4500576142196774848','4643063915625912792'),('5871530321557497512','4500576142196775469','4643063915625912792'),('5871530321557498203','4500576004757818970','4643063915625914127'),('5871530321557500819','4500537899807933568','4643063915625913060'),('5871530321557500820','4500569201529608813','4643063915625913060'),('5871530321557500821','4500569201529609018','4643063915625913060'),('5871530321557500917','4500537899807933849','4643063915625912792'),('5871530321557500922','4500539583435120591','4643063915625912819'),('5871530321557500923','4500539652154590949','4643063915625912819'),('5871530321557500924','4500539652154591031','4643063915625912819'),('5871530321557500932','4500576348355204660','4643063915625912847'),('5871530321557500939','4500569235889348063','4643063915625912874'),('5871530321557500940','4500537899807934701','4643063915625912874'),('5871530321557500947','4500537796728718391','4643063915625912901'),('5871530321557500948','4500576142196774377','4643063915625912901'),('5871530321557500949','4500537796728725086','4643063915625912901'),('5871530321557501536','4500576004757819053','5871529428204302175'),('5871530321557501557','4500537762368985947','4643063915625914205'),('5871530321557501782','4476998386649082521','4635296347011956755'),('5871530424636712541','4548251859730471635','5871530424636712516'),('5871530424636712568','4548294122208704804','5871530424636712543'),('5871530424636712574','4548290514436154917','5871530424636712572'),('5871530424636712575','4548252031529160872','5871530424636712572'),('5871530424636712576','4548290548795896875','5871530424636712572'),('5871530424636712577','4548251859730471635','5871530424636712572'),('5871530424636712578','4548294122208705458','5871530424636712572'),('5871530424636712579','4548294122208704804','5871530424636712572'),('5871530424636712580','4548252065888895531','5871530424636712572'),('5871530424636712636','4548290514436154917','5871530424636712611'),('5871530424636712637','4548252031529160872','5871530424636712611'),('5871530424636712638','4548290548795896875','5871530424636712611'),('5871530424636712639','4548251859730471635','5871530424636712611'),('5871530424636712640','4548294122208705458','5871530424636712611'),('5871530424636712641','4548294122208704804','5871530424636712611'),('5871530424636712642','4548252065888895531','5871530424636712611'),('5871530424636712692','4548294122208704804','5871530424636712667'),('5871530424636712719','4548252031529160872','5871530424636712694'),('5871530424636712746','4548294122208705458','5871530424636712721'),('5871530424636712769','4455233760135391088','5871530424636712767'),('5871530424636717284','4548291545228309945','5871530424636717259'),('5871530424636717285','4548291579588043323','5871530424636717259'),('5871530424636717286','4548291579588043546','5871530424636717259'),('5871530424636717287','4548291579588043888','5871530424636717259'),('5871530424636717288','4548295324799544401','5871530424636717259'),('5871530424636717289','4548295324799544619','5871530424636717259'),('5871530424636717290','4548295324799546911','5871530424636717259'),('5871530424636717291','4548291545228311560','5871530424636717259'),('5871530424636717292','4548254814667969846','5871530424636717259'),('5871530424636717293','4548254814667970270','5871530424636717259'),('5871530424636717329','4548291545228309945','5871530424636717304'),('5871530424636717330','4548295324799544401','5871530424636717304'),('5871530424636717331','4548291545228311560','5871530424636717304'),('5871530424636717332','4548291579588043323','5871530424636717304'),('5871530424636717333','4548295324799544619','5871530424636717304'),('5871530424636717334','4548254814667969846','5871530424636717304'),('5871530424636717335','4548291579588043546','5871530424636717304'),('5871530424636717336','4548295324799546911','5871530424636717304'),('5871530424636717337','4548254814667970270','5871530424636717304'),('5871530424636717338','4548291579588043888','5871530424636717304'),('5871530493356194191','4455233622696443619','4635300779418213896'),('5871530493356194202','4562989988467260252','5871530493356194200'),('5871530596435408751','4548291579588044331','5871530596435408726'),('5871530596435408752','4548291579588044422','5871530596435408726'),('5871530596435408753','4548295359159280727','5871530596435408726'),('5871530596435408754','4548295359159280803','5871530596435408726'),('5871530596435408755','4548295359159280959','5871530596435408726'),('5871530596435408756','4548255055186135985','5871530596435408726'),('5871530596435408757','4548291579588046661','5871530596435408726'),('5871530596435408758','4548255055186138440','5871530596435408726'),('5871530596435408759','4548291579588047821','5871530596435408726'),('5871530596435408760','4548255055186139849','5871530596435408726'),('5871530596435408796','4548291579588044331','5871530596435408771'),('5871530596435408797','4548295359159280803','5871530596435408771'),('5871530596435408798','4548255055186139849','5871530596435408771'),('5871530596435408799','4548291579588046661','5871530596435408771'),('5871530596435408800','4548291579588044422','5871530596435408771'),('5871530596435408801','4548295359159280959','5871530596435408771'),('5871530596435408802','4548255055186138440','5871530596435408771'),('5871530596435408803','4548295359159280727','5871530596435408771'),('5871530596435408804','4548255055186135985','5871530596435408771'),('5871530596435408805','4548291579588047821','5871530596435408771'),('5871530596435408841','4548295359159280803','5871530596435408816'),('5871530596435408868','4548291579588046661','5871530596435408843'),('5871530596435408895','4548295359159280727','5871530596435408870'),('5871530596435408922','4548255055186139849','5871530596435408897'),('5871530596435408949','4548291579588044422','5871530596435408924'),('5871530596435408976','4548255055186138440','5871530596435408951'),('5871530596435409003','4548255055186135985','5871530596435408978'),('5871530596435409030','4548295359159280959','5871530596435409005'),('5871530596435409057','4548291579588047821','5871530596435409032'),('5871530596435409061','4548290548795896875','5871530596435409059'),('5871530596435409111','4548252065888895531','5871530596435409086'),('5871530630795143443','4500568273816672611','5871530630795143418'),('5871530630795143444','4500574905246195510','5871530630795143418'),('5871530630795143445','4500535425906776344','5871530630795143418'),('5871530630795143446','4500568342536146431','5871530630795143418'),('5871530630795143447','4500535322827555628','5871530630795143418'),('5871530630795143448','4500574870886450444','5871530630795143418'),('5871530630795143449','4500568273816674061','5871530630795143418'),('5871530630795143450','4500535425906771831','5871530630795143418'),('5871530630795143451','4500568342536149571','5871530630795143418'),('5871530802593838951','4455233622696443619','5871530802593838926'),('5871530802593838952','4562991843893120491','5871530802593838926'),('5871530802593838953','4562994455233246481','5871530802593838926'),('5871530802593838954','4562991843893123866','5871530802593838926'),('5871530802593838955','4562991843893120336','5871530802593838926'),('5871530802593838956','4562991843893120570','5871530802593838926'),('5871530802593838957','4562994455233246661','5871530802593838926'),('5871530802593838958','4562991843893123989','5871530802593838926'),('5871530802593838959','4562994455233245796','5871530802593838926'),('5871530802593838960','4562991843893120765','5871530802593838926'),('5871530802593838961','4562991843893123729','5871530802593838926'),('5871530802593838962','4562991843893124025','5871530802593838926'),('5871530802593838963','4562996894774670631','5871530802593838926'),('5871530802593839659','4562983975513046440','5871530802593839634'),('5871530802593839660','4563012013059534056','5871530802593839634'),('5871530802593839661','4563012013059537874','5871530802593839634'),('5871530802593839662','4562995039348797848','5871530802593839634'),('5871530802593839663','4563012013059536669','5871530802593839634'),('5871530802593839664','4563012013059533917','5871530802593839634'),('5871530802593839665','4563012013059536878','5871530802593839634'),('5871531180550961921','4500537281332648976','4635298992711811363'),('5871531180550961929','4500575729879911910','4635298992711811336'),('5871531180550961935','4500537281332644461','4635298992711811177'),('5871531421069127430','4548294294007392141','5871531421069127428'),('5871531421069127431','4548294362726869829','5871531421069127428'),('5871531421069127432','4548290720594585422','5871531421069127428'),('5871531421069127433','4548290720594587039','5871531421069127428'),('5871531421069127434','4548294362726872639','5871531421069127428'),('5871531421069127435','4548290720594588109','5871531421069127428'),('5871531421069127436','4548252993601835438','5871531421069127428'),('5871531421069127437','4548294362726873822','5871531421069127428'),('5871531421069127438','4548252993601834404','5871531421069127428'),('5871531421069127439','4548252993601835207','5871531421069127428'),('5871531421069127499','4548294294007392141','5871531421069127474'),('5871531421069127500','4548252993601834404','5871531421069127474'),('5871531421069127501','4548294362726873822','5871531421069127474'),('5871531421069127502','4548290720594587039','5871531421069127474'),('5871531421069127503','4548294362726869829','5871531421069127474'),('5871531421069127504','4548294362726872639','5871531421069127474'),('5871531421069127505','4548252993601835207','5871531421069127474'),('5871531421069127506','4548290720594585422','5871531421069127474'),('5871531421069127507','4548290720594588109','5871531421069127474'),('5871531421069127508','4548252993601835438','5871531421069127474'),('5871531421069127539','4548294362726869829','5871531421069127514'),('5871531421069127566','4548290720594585422','5871531421069127541'),('5871531421069127593','4548290720594587039','5871531421069127568'),('5871531421069127620','220322111202','5871531421069127595'),('5871531421069127621','4548294362726872639','5871531421069127595'),('5871531421069127649','220322111202','5871531421069127624'),('5871531421069127650','4548290720594588109','5871531421069127624'),('5871531421069127678','220322111202','5871531421069127653'),('5871531421069127679','4548252993601834404','5871531421069127653'),('5871531421069127707','220322111202','5871531421069127682'),('5871531421069127708','4548252993601835207','5871531421069127682'),('5871531421069127735','220322111202','5871531421069127710'),('5871531421069127736','4548252993601835438','5871531421069127710'),('5871531421069127783','220322111202','5871531421069127758'),('5871531421069127784','4548294362726873822','5871531421069127758'),('5871531421069127799','4548295393519023513','5871531421069127797'),('5871531421069127800','4548291579588048316','5871531421069127797'),('5871531421069127801','4548295393519025947','5871531421069127797'),('5871531421069127802','4548255192625090582','5871531421069127797'),('5871531421069127803','4548295359159286613','5871531421069127797'),('5871531421069127804','4548255192625090499','5871531421069127797'),('5871531421069127805','4548295393519025667','5871531421069127797'),('5871531421069127806','4548255192625090205','5871531421069127797'),('5871531421069127807','4548295393519023692','5871531421069127797'),('5871531421069127808','4548255192625090802','5871531421069127797'),('5871531421069127872','4548291579588048316','5871531421069127847'),('5871531421069127873','4548295393519023513','5871531421069127847'),('5871531421069127874','4548255192625090582','5871531421069127847'),('5871531421069127875','4548295393519025947','5871531421069127847'),('5871531421069127876','4548295393519025667','5871531421069127847'),('5871531421069127877','4548255192625090499','5871531421069127847'),('5871531421069127878','4548295359159286613','5871531421069127847'),('5871531421069127879','4548255192625090205','5871531421069127847'),('5871531421069127880','4548295393519023692','5871531421069127847'),('5871531421069127881','4548255192625090802','5871531421069127847'),('5871531421069127912','4548295359159286613','5871531421069127887'),('5871531421069127939','4548255192625090205','5871531421069127914'),('5871531421069127966','4548295393519023513','5871531421069127941'),('5871531421069127993','4548255192625090499','5871531421069127968'),('5871531421069128020','4548295393519023692','5871531421069127995'),('5871531421069128047','4548255192625090582','5871531421069128022'),('5871531421069128074','4548295393519025667','5871531421069128049'),('5871531421069128101','4548255192625090802','5871531421069128076'),('5871531421069128128','4548295393519025947','5871531421069128103'),('5871531421069128141','4548291613947783103','5871531421069128139'),('5871531421069128142','4548291613947786847','5871531421069128139'),('5871531421069128143','4548295496598238508','5871531421069128139'),('5871531421069128144','4548291613947788791','5871531421069128139'),('5871531421069128145','4548255261344569002','5871531421069128139'),('5871531421069128146','4548295496598236210','5871531421069128139'),('5871531421069128147','4548295496598238259','5871531421069128139'),('5871531421069128148','4548255226984825602','5871531421069128139'),('5871531421069128317','4548295496598236210','5871531421069128292'),('5871531421069129182','4548255226984825602','5871531421069129157'),('5871531421069129210','4548291613947786847','5871531421069129185'),('5871531421069129237','4548291613947788791','5871531421069129212'),('5871531421069129264','4548295496598238259','5871531421069129239'),('5871531421069129291','4548295496598238508','5871531421069129266'),('5871531421069129317','4548255261344569002','5871531421069129292'),('5871531421069129356','4548295496598239637','5871531421069129331'),('5871531421069129357','4548255295704302108','5871531421069129331'),('5871531421069129358','4548255467502999864','5871531421069129331'),('5871531421069129359','4548255467503000322','5871531421069129331'),('5871531421069129360','4548291751386738009','5871531421069129331'),('5871531421069129361','4548295530957974904','5871531421069129331'),('5871531421069129362','4548291957545171267','5871531421069129331'),('5871531421069129363','4548255467503000000','5871531421069129331'),('5871531421069129364','4548295496598241115','5871531421069129331'),('5871531421069129365','4548255467502999454','5871531421069129331'),('5871531421069129366','4548291957545169299','5871531421069129331'),('5871531421069129404','4548295496598239637','5871531421069129379'),('5871531421069129405','4548255295704302108','5871531421069129379'),('5871531421069129406','4548255467502999864','5871531421069129379'),('5871531421069129407','4548255467503000322','5871531421069129379'),('5871531421069129408','4548291751386738009','5871531421069129379'),('5871531421069129409','4548295530957974904','5871531421069129379'),('5871531421069129410','4548255467503000000','5871531421069129379'),('5871531421069129411','4548291957545171267','5871531421069129379'),('5871531421069129412','4548295496598241115','5871531421069129379'),('5871531421069129413','4548255467502999454','5871531421069129379'),('5871531421069129414','4548291957545169299','5871531421069129379'),('5871531421069129449','4548291751386738009','5871531421069129424'),('5871531421069129479','4548295496598241115','5871531421069129454'),('5871531421069129505','4548255295704302108','5871531421069129480'),('5871531421069129532','4548295530957974904','5871531421069129507'),('5871531421069129559','4548255467502999864','5871531421069129534'),('5871531421069129586','4548255467503000000','5871531421069129561'),('5871531421069129613','4548291957545169299','5871531421069129588'),('5871531421069129640','220322111206','5871531421069129615'),('5871531421069129641','4548255467503000322','5871531421069129615'),('5871531421069129669','4548291957545171267','5871531421069129644'),('5871531455428863536','4548296355591699522','5871531455428863534'),('5871531455428863537','4548257219849650656','5871531455428863534'),('5871531455428863538','4548296389951438174','5871531455428863534'),('5871531455428863539','4548294534525544503','5871531455428863534'),('5871531455428863540','4548257219849653342','5871531455428863534'),('5871531455428863541','4548257219849655142','5871531455428863534'),('5871531455428863542','4548257185489916677','5871531455428863534'),('5871531455428863543','4548257219849653649','5871531455428863534'),('5871531455428863601','4548296355591699522','5871531455428863576'),('5871531455428863602','4548257219849650656','5871531455428863576'),('5871531455428863603','4548296389951438174','5871531455428863576'),('5871531455428863604','4548294534525544503','5871531455428863576'),('5871531455428863605','4548257219849653342','5871531455428863576'),('5871531455428863606','4548257219849655142','5871531455428863576'),('5871531455428863607','4548257185489916677','5871531455428863576'),('5871531455428863608','4548257219849653649','5871531455428863576'),('5871531455428863649','4548257254209394568','5871531455428863624'),('5871531455428863650','4548296630469604704','5871531455428863624'),('5871531455428863651','4548296630469601921','5871531455428863624'),('5871531455428863652','4548257254209394888','5871531455428863624'),('5871531455428863653','4548296630469602128','5871531455428863624'),('5871531455428863654','4548294706324235013','5871531455428863624'),('5871531455428863655','4548294603245024383','5871531455428863624'),('5871531455428863656','4548296630469604504','5871531455428863624'),('5871531455428863657','4548296630469606360','5871531455428863624'),('5871531455428863697','4548257254209394568','5871531455428863672'),('5871531455428863698','4548296630469604704','5871531455428863672'),('5871531455428863699','4548296630469601921','5871531455428863672'),('5871531455428863700','4548296630469602128','5871531455428863672'),('5871531455428863701','4548294706324235013','5871531455428863672'),('5871531455428863702','4548257254209394888','5871531455428863672'),('5871531455428863703','4548294603245024383','5871531455428863672'),('5871531455428863704','4548296630469606360','5871531455428863672'),('5871531455428863705','4548296630469604504','5871531455428863672'),('5871531455428863737','4548257426008082797','5871531455428863712'),('5871531455428863738','4548297833060449103','5871531455428863712'),('5871531455428863739','4548297833060447500','5871531455428863712'),('5871531455428863740','4548297833060449355','5871531455428863712'),('5871531455428863741','4548257426008085073','5871531455428863712'),('5871531455428863773','4548257426008082797','5871531455428863748'),('5871531455428863774','4548297833060447500','5871531455428863748'),('5871531455428863775','4548257426008085073','5871531455428863748'),('5871531455428863776','4548297833060449103','5871531455428863748'),('5871531455428863777','4548297833060449355','5871531455428863748'),('5871531455428863817','4548297867420180609','5871531455428863792'),('5871531455428863818','4548257460367821788','5871531455428863792'),('5871531455428863819','4548297867420188266','5871531455428863792'),('5871531455428863820','4548297867420180826','5871531455428863792'),('5871531455428863821','4548257460367822037','5871531455428863792'),('5871531455428863822','4548257460367823713','5871531455428863792'),('5871531455428863823','4548294775043715067','5871531455428863792'),('5871531455428863824','4548257460367822334','5871531455428863792'),('5871531455428863825','4548294775043717282','5871531455428863792'),('5871531455428863865','4548297867420180609','5871531455428863840'),('5871531455428863866','4548257460367821788','5871531455428863840'),('5871531455428863867','4548297867420188266','5871531455428863840'),('5871531455428863868','4548297867420180826','5871531455428863840'),('5871531455428863869','4548257460367822037','5871531455428863840'),('5871531455428863870','4548257460367823713','5871531455428863840'),('5871531455428863871','4548294775043715067','5871531455428863840'),('5871531455428863872','4548257460367822334','5871531455428863840'),('5871531455428863873','4548294775043717282','5871531455428863840'),('5871531455428863906','4548251516133081835','5871531455428863881'),('5871531455428863951','220322111211','5871531455428863926'),('5871531455428863952','4548298039218879552','5871531455428863926'),('5871531455428863953','4548257666526254613','5871531455428863926'),('5871531455428863954','4548298073578615162','5871531455428863926'),('5871531455428863955','4548257632166513441','5871531455428863926'),('5871531455428863956','4548298039218879718','5871531455428863926'),('5871531455428863957','4548294912482664946','5871531455428863926'),('5871531455428863958','4548298073578612712','5871531455428863926'),('5871531455428863959','4548294912482665127','5871531455428863926'),('5871531455428863960','4548298039218879291','5871531455428863926'),('5871531455428863961','4548294809403450160','5871531455428863926'),('5871531455428863991','220322111211','5871531455428863966'),('5871531455428863992','4548294809403450160','5871531455428863966'),('5871531455428863993','4548298039218879552','5871531455428863966'),('5871531455428863994','4548257666526254613','5871531455428863966'),('5871531455428863995','4548298073578615162','5871531455428863966'),('5871531455428863996','4548257632166513441','5871531455428863966'),('5871531455428863997','4548298039218879718','5871531455428863966'),('5871531455428863998','4548294912482664946','5871531455428863966'),('5871531455428863999','4548298039218879291','5871531455428863966'),('5871531455428864000','4548298073578612712','5871531455428863966'),('5871531455428864001','4548294912482665127','5871531455428863966'),('5871531455428867454','4548295324799544401','5871531455428867429'),('5871531455428867481','4548291545228311560','5871531455428867456'),('5871531455428867508','4548291579588043323','5871531455428867483'),('5871531455428867545','4548295324799544619','5871531455428867520'),('5871531455428867582','4548254814667969846','5871531455428867557'),('5871531455428867619','4548291579588043546','5871531455428867594'),('5871531455428867646','4548295324799546911','5871531455428867621'),('5871531455428867673','4548254814667970270','5871531455428867648'),('5871531455428867700','4548291579588043888','5871531455428867675'),('5871531455428868864','4548294534525544503','5871531455428868839'),('5871531455428868936','4548257185489916677','5871531455428868911'),('5871531455428869008','4548257219849650656','5871531455428868983'),('5871531455428869080','4548257219849653342','5871531455428869055'),('5871531455428869152','4548257219849653649','5871531455428869127'),('5871531455428869180','4548296389951438174','5871531455428869155'),('5871531455428869207','4548257219849655142','5871531455428869182'),('5871531455428869432','4548257254209394888','5871531455428869407'),('5871531455428869459','4548294603245024383','5871531455428869434'),('5871531455428870026','4548296630469601921','5871531455428870001'),('5871531455428870053','4548296630469602128','5871531455428870028'),('5871531455428870080','4548296630469604504','5871531455428870055'),('5871531455428870083','4548296630469604704','5871531455428870081'),('5871531455428870134','4548294706324235013','5871531455428870109'),('5871531489788600349','4548296630469606360','5871531489788600324'),('5871531489788600353','4548297833060447500','5871531489788600351'),('5871531489788600402','4548257426008085073','5871531489788600377'),('5871531489788600430','4548297833060449103','5871531489788600405'),('5871531489788600457','4548297833060449355','5871531489788600432'),('5871531489788600461','4548297867420180826','5871531489788600459'),('5871531489788600487','4548294775043715067','5871531489788600485'),('5871531489788600537','4548257460367821788','5871531489788600512'),('5871531489788600564','4548257460367822037','5871531489788600539'),('5871531489788600603','4548257460367822334','5871531489788600578'),('5871531489788600630','4548297867420188266','5871531489788600605'),('5871531489788600657','4548257460367823713','5871531489788600632'),('5871531489788600688','4548294775043717282','5871531489788600663'),('5871531489788600715','220322111211','5871531489788600690'),('5871531489788600716','4548257632166513441','5871531489788600690'),('5871531489788600744','220322111211','5871531489788600719'),('5871531489788600745','4548298039218879291','5871531489788600719'),('5871531489788600773','220322111211','5871531489788600748'),('5871531489788600774','4548298039218879552','5871531489788600748'),('5871531489788600802','220322111211','5871531489788600777'),('5871531489788600803','4548298039218879718','5871531489788600777'),('5871531489788600831','220322111211','5871531489788600806'),('5871531489788600832','4548298073578612712','5871531489788600806'),('5871531489788600860','220322111211','5871531489788600835'),('5871531489788600861','4548257666526254613','5871531489788600835'),('5871531489788600889','220322111211','5871531489788600864'),('5871531489788600890','4548294912482664946','5871531489788600864'),('5871531489788600918','220322111211','5871531489788600893'),('5871531489788600919','4548294912482665127','5871531489788600893'),('5871531489788600958','220322111211','5871531489788600933'),('5871531489788600959','4548298073578615162','5871531489788600933'),('5871531970824945132','4476997527655622184','5871531970824945107'),('5871532005184679966','4477019861485661489','4635296312652223009'),('5871532005184680736','4500568273816672611','5871532005184680711'),('5871532005184681438','4500539205477992044','5871532005184681432'),('5871532108263896120','4500566899427132680','4643059792457295920'),('5871532108263896126','4500534292035403981','4643059792457295946'),('5871532108263896216','4500566899427132325','5871532108263896191'),('5871532108263896253','4500566899427132714','5871532108263896228'),('5871532520580752372','4500574870886450444','5871532520580752347'),('5871535612957206089','4500539308557211544','5871535612957206064'),('5871535612957206161','4500539342916950529','5871535612957206136'),('5871535612957206162','4500577860183689313','5871535612957206136'),('5871535612957206163','4500539171118255811','5871535612957206136'),('5871535612957206164','4500577928903171359','5871535612957206136'),('5871535612957206165','4500539205477992044','5871535612957206136'),('5871535612957206166','4500539480355901915','5871535612957206136'),('5871535612957206167','4500570919516527348','5871535612957206136'),('5871535612957206168','4500539308557211544','5871535612957206136'),('5871535612957206169','4497734660553138764','5871535612957206136'),('5871535612957206349','4500539308557211544','5871535612957206317'),('5871537365303865579','4459060438557264385','5871537365303865576'),('5871537365303865628','4459060472917000201','5871537365303865603'),('5871537365303865629','4455233760135394769','5871537365303865603'),('5871537365303865630','4455233760135394630','5871537365303865603'),('5871537365303865631','4455233760135394802','5871537365303865603'),('5871537365303865632','4455233760135394663','5871537365303865603'),('5871537365303865633','4459060472917000263','5871537365303865603'),('5871537365303865634','4476991068024810858','5871537365303865603'),('5871537365303865635','4476991068024810891','5871537365303865603'),('5871537365303865636','4476991068024810825','5871537365303865603'),('5871537365303865637','4477020342521996498','5871537365303865603'),('5871537365303865638','4459060472917000296','5871537365303865603'),('5871537365303865639','4477020342521996465','5871537365303865603'),('5871537365303865640','4477020342521996546','5871537365303865603'),('5871537365303865641','4500575901678585141','5871537365303865603'),('5871537365303867280','4477020342521996182','5871537365303867278'),('5871537365303867416','4459060472917000201','5871537365303867391'),('5871537365303867417','4455233760135394769','5871537365303867391'),('5871537365303867418','4455233760135394630','5871537365303867391'),('5871537365303867419','4455233760135394802','5871537365303867391'),('5871537365303867420','4455233760135394663','5871537365303867391'),('5871537365303867421','4459060472917000263','5871537365303867391'),('5871537365303867422','4459060472917000296','5871537365303867391'),('5871537365303867423','4477020342521996465','5871537365303867391'),('5871537365303867424','4477020342521996546','5871537365303867391'),('5871537365303867425','4477020342521996498','5871537365303867391'),('5871537365303867426','4476991068024810825','5871537365303867391'),('5871537365303867427','4476991068024810858','5871537365303867391'),('5871537365303867428','4476991068024810891','5871537365303867391'),('5871538499175229526','4500578444299242208','5871538499175229501'),('5871538499175229644','4500571194394430018','5871538499175229619'),('5871538499175229682','4500571263113907638','5871538499175229657'),('5871538499175229739','4500582979784710605','5871538499175229714'),('5871538499175231070','4476991068024810571','5871538499175231045'),('5871538499175231445','4459060472917000201','5871538499175231420'),('5871538499175231446','4455233760135394630','5871538499175231420'),('5871538499175231447','4455233760135394663','5871538499175231420'),('5871538499175231448','4455233760135394769','5871538499175231420'),('5871538499175231449','4455233760135394802','5871538499175231420'),('5871538499175231450','4459060472917000263','5871538499175231420'),('5871538499175231451','4459060472917000296','5871538499175231420'),('5871538499175231452','4477020342521996465','5871538499175231420'),('5871538499175231453','4477020342521996546','5871538499175231420'),('5871538499175231454','4476991068024810825','5871538499175231420'),('5871538499175231455','4477020342521996498','5871538499175231420'),('5871538499175231456','4476991068024810858','5871538499175231420'),('5871538499175231457','4476991068024810891','5871538499175231420'),('5871538808412876205','4459060472917000201','5871538808412876180'),('5871538808412876206','4455233760135394769','5871538808412876180'),('5871538808412876207','4455233760135394630','5871538808412876180'),('5871538808412876208','4455233760135394663','5871538808412876180'),('5871538808412876209','4459060472917000263','5871538808412876180'),('5871538808412876210','4455233760135394802','5871538808412876180'),('5871538808412876211','4476991068024810825','5871538808412876180'),('5871538808412876212','4459060472917000296','5871538808412876180'),('5871538808412876213','4477020342521996465','5871538808412876180'),('5871538808412876214','4476991068024810858','5871538808412876180'),('5871538808412876215','4476991068024810891','5871538808412876180'),('5871538808412876216','4477020342521996498','5871538808412876180'),('5871538808412876217','4477020342521996546','5871538808412876180'),('5871538808412876218','4500584903930053031','5871538808412876180'),('5871538808412876219','4500575901678585141','5871538808412876180'),('5871538808412876220','4500542538372612252','5871538808412876180'),('5871538808412879211','4459060472917000201','5871538808412879186'),('5871538808412879212','4455233760135394769','5871538808412879186'),('5871538808412879213','4459060472917000296','5871538808412879186'),('5871538808412879214','4477020342521996465','5871538808412879186'),('5871538808412879215','4477020342521996546','5871538808412879186'),('5871538808412879216','4500575901678585141','5871538808412879186'),('5871538808412879217','4477020342521996498','5871538808412879186'),('5871538808412879218','4500542538372612252','5871538808412879186'),('5871538808412879219','4500584903930053031','5871538808412879186'),('5871538808412879220','4476991068024810891','5871538808412879186'),('5871538808412879221','4476991068024810858','5871538808412879186'),('5871538808412879222','4476991068024810825','5871538808412879186'),('5871538808412879223','4455233760135394802','5871538808412879186'),('5871538808412879224','4459060472917000263','5871538808412879186'),('5871538808412879225','4455233760135394663','5871538808412879186'),('5871538808412879226','4455233760135394630','5871538808412879186'),('5871538842772611262','4459060472917000201','5871538842772611237'),('5871538842772611263','4455233760135394630','5871538842772611237'),('5871538842772611264','4455233760135394663','5871538842772611237'),('5871538842772611265','4455233760135394769','5871538842772611237'),('5871538842772611266','4455233760135394802','5871538842772611237'),('5871538842772611267','4459060472917000263','5871538842772611237'),('5871538842772611268','4459060472917000296','5871538842772611237'),('5871538842772611269','4476991068024810825','5871538842772611237'),('5871538842772611270','4476991068024810858','5871538842772611237'),('5871538842772611271','4477020342521996465','5871538842772611237'),('5871538842772611272','4477020342521996498','5871538842772611237'),('5871538842772611273','4476991068024810891','5871538842772611237'),('5871538842772611274','4477020342521996546','5871538842772611237'),('5871538842772611275','4500575901678585141','5871538842772611237'),('5871538842772611276','4500584903930053031','5871538842772611237'),('5871538842772611277','4500542538372612252','5871538842772611237'),('5871538842772616447','4459060472917000201','5871538842772616422'),('5871538842772616448','4455233760135394630','5871538842772616422'),('5871538842772616449','4455233760135394663','5871538842772616422'),('5871538842772616450','4455233760135394769','5871538842772616422'),('5871538842772616451','4455233760135394802','5871538842772616422'),('5871538842772616452','4459060472917000263','5871538842772616422'),('5871538842772616453','4459060472917000296','5871538842772616422'),('5871538842772616454','4476991068024810825','5871538842772616422'),('5871538842772616455','4476991068024810858','5871538842772616422'),('5871538842772616456','4476991068024810891','5871538842772616422'),('5871538842772616457','4477020342521996498','5871538842772616422'),('5871538842772616458','4477020342521996465','5871538842772616422'),('5871538842772616459','4477020342521996546','5871538842772616422'),('5871538842772616460','4500575901678585141','5871538842772616422'),('5871538842772616461','4500584903930053031','5871538842772616422'),('5871538842772616462','4500542538372612252','5871538842772616422'),('5871538877132350146','4459060472917000201','5871538877132350121'),('5871538877132350147','4455233760135394630','5871538877132350121'),('5871538877132350148','4455233760135394663','5871538877132350121'),('5871538877132350149','4459060472917000263','5871538877132350121'),('5871538877132350150','4455233760135394802','5871538877132350121'),('5871538877132350151','4455233760135394769','5871538877132350121'),('5871538877132350152','4459060472917000296','5871538877132350121'),('5871538877132350153','4476991068024810825','5871538877132350121'),('5871538877132350154','4476991068024810858','5871538877132350121'),('5871538877132350155','4476991068024810891','5871538877132350121'),('5871538877132350156','4477020342521996498','5871538877132350121'),('5871538877132350157','4477020342521996465','5871538877132350121'),('5871538877132350158','4477020342521996546','5871538877132350121'),('5871538877132350159','4500575901678585141','5871538877132350121'),('5871538877132350160','4500584903930053031','5871538877132350121'),('5871538877132350161','4500542538372612252','5871538877132350121'),('5871538945851831643','4459060472917000201','5871538945851831618'),('5871538945851831644','4455233760135394630','5871538945851831618'),('5871538945851831645','4455233760135394663','5871538945851831618'),('5871538945851831646','4459060472917000263','5871538945851831618'),('5871538945851831647','4455233760135394802','5871538945851831618'),('5871538945851831648','4455233760135394769','5871538945851831618'),('5871538945851831649','4459060472917000296','5871538945851831618'),('5871538945851831650','4476991068024810825','5871538945851831618'),('5871538945851831651','4476991068024810858','5871538945851831618'),('5871538945851831652','4476991068024810891','5871538945851831618'),('5871538945851831653','4477020342521996498','5871538945851831618'),('5871538945851831654','4477020342521996465','5871538945851831618'),('5871538945851831655','4477020342521996546','5871538945851831618'),('5871538945851831656','4500575901678585141','5871538945851831618'),('5871538945851831657','4500584903930053031','5871538945851831618'),('5871538945851831658','4500542538372612252','5871538945851831618'),('5871538945851831772','4459060438557269992','5871538945851831747'),('5871538980211569484','4476991068024810682','5871538980211569459'),('5871538980211570020','4477020342521996254','5871538980211569995'),('5871539014571303998','4497733835919421125','5871539014571303973'),('5871539014571304106','4497733835919421737','5871539014571304081'),('5871539014571304133','4476991068024810351','5871539014571304108'),('5871539014571304134','4476991068024810318','5871539014571304108'),('5871539014571304135','4476991068024810219','5871539014571304108'),('5871539014571304136','4476991068024810252','5871539014571304108'),('5871539014571304137','4477020342521995847','5871539014571304108'),('5871539014571304138','4476991068024810285','5871539014571304108'),('5871539014571304139','4477020342521995880','5871539014571304108'),('5871539014571304140','4477020342521995933','5871539014571304108'),('5871539014571304141','4477020342521996032','5871539014571304108'),('5871539014571304142','4477020342521995966','5871539014571304108'),('5871539014571304143','4476991068024810394','5871539014571304108'),('5871539014571304144','4477020342521996098','5871539014571304108'),('5871539014571304145','4477020342521996065','5871539014571304108'),('5871539014571304146','4476991068024810427','5871539014571304108'),('5871539014571304147','4477020342521995999','5871539014571304108'),('5871539014571304148','4477024190812699093','5871539014571304108'),('5871539220729741310','4476991068024810219','5871539220729741285'),('5871539220729741311','4476991068024810318','5871539220729741285'),('5871539255089471488','4476991068024810351','5871539220729741285'),('5871539255089471489','4477020342521995999','5871539220729741285'),('5871539255089471490','4476991068024810427','5871539220729741285'),('5871539255089471491','4476991068024810252','5871539220729741285'),('5871539255089471492','4476991068024810285','5871539220729741285'),('5871539255089471493','4477020342521995880','5871539220729741285'),('5871539255089471494','4477020342521995847','5871539220729741285'),('5871539255089471495','4477020342521995933','5871539220729741285'),('5871539255089471496','4477020342521995966','5871539220729741285'),('5871539255089471497','4477020342521996032','5871539220729741285'),('5871539255089471498','4476991068024810394','5871539220729741285'),('5871539255089471499','4477020342521996065','5871539220729741285'),('5871539255089471500','4477020342521996098','5871539220729741285'),('5871539255089471501','4477024190812699093','5871539220729741285'),('5871539358168693365','4500575558081221858','4643061510444227425'),('5871539358168693366','4500575592440962704','4643061510444227425'),('5871539358168693486','4476991068024810219','5871539358168693461'),('5871539358168693487','4476991068024810318','5871539358168693461'),('5871539358168693488','4476991068024810351','5871539358168693461'),('5871539358168693489','4477020342521995999','5871539358168693461'),('5871539358168693490','4476991068024810427','5871539358168693461'),('5871539358168693491','4476991068024810252','5871539358168693461'),('5871539358168693492','4477020342521995847','5871539358168693461'),('5871539358168693493','4477020342521995933','5871539358168693461'),('5871539358168693494','4477020342521996032','5871539358168693461'),('5871539358168693495','4476991068024810285','5871539358168693461'),('5871539358168693496','4477020342521995880','5871539358168693461'),('5871539358168693497','4477020342521995966','5871539358168693461'),('5871539358168693498','4476991068024810394','5871539358168693461'),('5871539358168693499','4477020342521996098','5871539358168693461'),('5871539358168693500','4477020342521996065','5871539358168693461'),('5871539358168693501','4477024190812699093','5871539358168693461'),('5871539358168693657','4476991068024810219','5871539358168693632'),('5871539358168693658','4476991068024810252','5871539358168693632'),('5871539358168693659','4476991068024810285','5871539358168693632'),('5871539358168693660','4476991068024810318','5871539358168693632'),('5871539358168693661','4477020342521995847','5871539358168693632'),('5871539358168693662','4477020342521995880','5871539358168693632'),('5871539358168693663','4476991068024810351','5871539358168693632'),('5871539358168693664','4477020342521995933','5871539358168693632'),('5871539358168693665','4477020342521995966','5871539358168693632'),('5871539358168693666','4477020342521995999','5871539358168693632'),('5871539358168693667','4477020342521996032','5871539358168693632'),('5871539358168693668','4476991068024810394','5871539358168693632'),('5871539358168693669','4476991068024810427','5871539358168693632'),('5871539358168693670','4477020342521996065','5871539358168693632'),('5871539358168693671','4477020342521996098','5871539358168693632'),('5871539358168693672','4477024190812699093','5871539358168693632'),('5871539358168693855','4476991068024810219','5871539358168693830'),('5871539358168693856','4476991068024810252','5871539358168693830'),('5871539358168693857','4476991068024810285','5871539358168693830'),('5871539358168693858','4476991068024810318','5871539358168693830'),('5871539358168693859','4477020342521995847','5871539358168693830'),('5871539358168693860','4477020342521995880','5871539358168693830'),('5871539358168693861','4476991068024810351','5871539358168693830'),('5871539358168693862','4477020342521995933','5871539358168693830'),('5871539358168693863','4477020342521995966','5871539358168693830'),('5871539358168693864','4477020342521995999','5871539358168693830'),('5871539358168693865','4477020342521996032','5871539358168693830'),('5871539358168693866','4476991068024810394','5871539358168693830'),('5871539358168693867','4476991068024810427','5871539358168693830'),('5871539358168693868','4477020342521996065','5871539358168693830'),('5871539358168693869','4477020342521996098','5871539358168693830'),('5871539358168693870','4477024190812699093','5871539358168693830'),('5871539358168694370','4476991068024810219','5871539358168694345'),('5871539358168694371','4476991068024810252','5871539358168694345'),('5871539358168694372','4476991068024810285','5871539358168694345'),('5871539358168694373','4476991068024810318','5871539358168694345'),('5871539358168694374','4477020342521995847','5871539358168694345'),('5871539358168694375','4477020342521995880','5871539358168694345'),('5871539358168694376','4476991068024810351','5871539358168694345'),('5871539358168694377','4477020342521995933','5871539358168694345'),('5871539358168694378','4477020342521995966','5871539358168694345'),('5871539358168694379','4477020342521995999','5871539358168694345'),('5871539358168694380','4477020342521996032','5871539358168694345'),('5871539358168694381','4476991068024810394','5871539358168694345'),('5871539358168694382','4476991068024810427','5871539358168694345'),('5871539358168694383','4477020342521996065','5871539358168694345'),('5871539358168694384','4477020342521996098','5871539358168694345'),('5871539358168694385','4477024190812699093','5871539358168694345'),('5871539358168694580','4476991068024810219','5871539358168694555'),('5871539358168694581','4476991068024810252','5871539358168694555'),('5871539358168694582','4476991068024810285','5871539358168694555'),('5871539358168694583','4476991068024810318','5871539358168694555'),('5871539358168694584','4477020342521995847','5871539358168694555'),('5871539358168694585','4477020342521995880','5871539358168694555'),('5871539358168694586','4476991068024810351','5871539358168694555'),('5871539358168694587','4477020342521995933','5871539358168694555'),('5871539358168694588','4477020342521995966','5871539358168694555'),('5871539358168694589','4477020342521995999','5871539358168694555'),('5871539358168694590','4477020342521996032','5871539358168694555'),('5871539358168694591','4476991068024810394','5871539358168694555'),('5871539358168694592','4476991068024810427','5871539358168694555'),('5871539358168694593','4477020342521996065','5871539358168694555'),('5871539358168694594','4477020342521996098','5871539358168694555'),('5871539358168694595','4477024190812699093','5871539358168694555'),('5871539461247905973','4476991068024810219','5871539461247905948'),('5871539461247905974','4476991068024810252','5871539461247905948'),('5871539461247905975','4476991068024810285','5871539461247905948'),('5871539461247905976','4476991068024810318','5871539461247905948'),('5871539461247905977','4477020342521995847','5871539461247905948'),('5871539461247905978','4477020342521995880','5871539461247905948'),('5871539461247905979','4476991068024810351','5871539461247905948'),('5871539461247905980','4477020342521995933','5871539461247905948'),('5871539461247905981','4477020342521995966','5871539461247905948'),('5871539461247905982','4477020342521995999','5871539461247905948'),('5871539461247905983','4477020342521996032','5871539461247905948'),('5871539461247905984','4476991068024810394','5871539461247905948'),('5871539461247905985','4476991068024810427','5871539461247905948'),('5871539461247905986','4477020342521996065','5871539461247905948'),('5871539461247905987','4477020342521996098','5871539461247905948'),('5871539461247905988','4477024190812699093','5871539461247905948'),('5871539461247906091','4476991068024810219','5871539461247906066'),('5871539461247906092','4476991068024810252','5871539461247906066'),('5871539461247906093','4476991068024810285','5871539461247906066'),('5871539461247906094','4476991068024810318','5871539461247906066'),('5871539461247906095','4477020342521995847','5871539461247906066'),('5871539461247906096','4477020342521995880','5871539461247906066'),('5871539461247906097','4476991068024810351','5871539461247906066'),('5871539461247906098','4477020342521995933','5871539461247906066'),('5871539461247906099','4477020342521995966','5871539461247906066'),('5871539461247906100','4477020342521995999','5871539461247906066'),('5871539461247906101','4477020342521996032','5871539461247906066'),('5871539461247906102','4476991068024810394','5871539461247906066'),('5871539461247906103','4476991068024810427','5871539461247906066'),('5871539461247906104','4477020342521996065','5871539461247906066'),('5871539461247906105','4477020342521996098','5871539461247906066'),('5871539461247906106','4477024190812699093','5871539461247906066'),('5871539461247906385','4476991068024810219','5871539461247906360'),('5871539461247906386','4476991068024810252','5871539461247906360'),('5871539461247906387','4476991068024810285','5871539461247906360'),('5871539461247906388','4476991068024810318','5871539461247906360'),('5871539461247906389','4477020342521995847','5871539461247906360'),('5871539461247906390','4477020342521995880','5871539461247906360'),('5871539461247906391','4476991068024810351','5871539461247906360'),('5871539461247906392','4477020342521995933','5871539461247906360'),('5871539461247906393','4477020342521995966','5871539461247906360'),('5871539461247906394','4477020342521995999','5871539461247906360'),('5871539461247906395','4477020342521996032','5871539461247906360'),('5871539461247906396','4476991068024810394','5871539461247906360'),('5871539461247906397','4476991068024810427','5871539461247906360'),('5871539461247906398','4477020342521996065','5871539461247906360'),('5871539461247906399','4477020342521996098','5871539461247906360'),('5871539461247906400','4477024190812699093','5871539461247906360'),('5871539461247906591','4476991068024810219','5871539461247906566'),('5871539461247906592','4476991068024810252','5871539461247906566'),('5871539461247906593','4476991068024810285','5871539461247906566'),('5871539461247906594','4477020342521995880','5871539461247906566'),('5871539461247906595','4477020342521995847','5871539461247906566'),('5871539461247906596','4476991068024810318','5871539461247906566'),('5871539461247906597','4476991068024810351','5871539461247906566'),('5871539461247906598','4477020342521995933','5871539461247906566'),('5871539461247906599','4477020342521995966','5871539461247906566'),('5871539461247906600','4476991068024810394','5871539461247906566'),('5871539461247906601','4477020342521996032','5871539461247906566'),('5871539461247906602','4477020342521995999','5871539461247906566'),('5871539461247906603','4476991068024810427','5871539461247906566'),('5871539461247906604','4477020342521996065','5871539461247906566'),('5871539461247906605','4477020342521996098','5871539461247906566'),('5871539461247906606','4477024190812699093','5871539461247906566'),('5871539461247906871','4455233657056181583','4643064465381724688'),('5871539598686855587','4476998352289343572','4643061510444227459'),('5871539598686855588','4500574252411163546','4643061510444227459'),('5871539598686855589','4500534498193840492','4643061510444227459'),('5871539598686855590','4500534498193840569','4643061510444227459'),('5871539598686855591','4500574252411164717','4643061510444227459'),('5871539598686855592','4500574252411164751','4643061510444227459'),('5871539598686855655','4500574939605926527','4643061510444227526'),('5871539598686855656','4500535425906773443','4643061510444227526'),('5871539598686855657','4500575558081222334','4643061510444227526'),('5871539598686855833','4500538174685840543','4643061510444227493'),('5871539598686855834','4500569579486727679','4643061510444227493'),('5871539598686855835','4500538174685840506','4643061510444227493'),('5871539598686856029','4500536216180759269','5871539598686856026'),('5871539598686856032','4500575558081222160','5871539598686856026'),('5871539598686856212','4500575558081222430','5871539598686856187'),('5871539598686856213','4500568720493265513','5871539598686856187'),('5871539598686856214','4500568720493265633','5871539598686856187'),('5871539598686856331','4500576657592851285','5871539598686856306'),('5871539598686856332','4500569579486727547','5871539598686856306'),('5871539598686856333','4500569579486727645','5871539598686856306'),('5871539598686856407','4500568720493265425','5871539598686856382'),('5871539598686856408','4500575592440955679','5871539598686856382'),('5871539701766070574','4459060404197531274','5871539701766070549'),('5871539701766071533','4455233657056181681','5871539701766071508'),('5871539804845287142','4459060404197531241','5871539804845287117'),('5871539804845287803','4476991068024810745','5871539804845287778'),('5871539804845288930','4500575283203314828','4635296278292485471'),('5871539804845288931','4500575283203314963','4635296278292485471'),('5871540148442676871','4477026183677519410','4635296312652224976'),('5871540148442676884','4477025633921708438','4635296312652225003'),('5871540148442676890','4477026321116476940','4635296312652225030'),('5871540148442676891','4477026321116477659','4635296312652225030'),('5871540148442676898','4476996428143998984','4635296312652225057'),('5871540148442676899','4477026321116477659','4635296312652225057'),('5871540148442676909','4476996496863471873','4635296312652225084'),('5871540148442676915','4476996496863471775','4635296312652225138'),('5871540148442676921','4477025633921708348','4635296312652225164'),('5871540148442676927','4477025633921709439','4635296312652225190'),('5871540148442676928','4476997355856930216','4635296312652225190'),('5871540148442677142','4500575592440956683','4635296278292485497'),('5871540148442677143','4500575283203314828','4635296278292485497'),('5871540148442677144','4500575283203314963','4635296278292485497'),('5871540148442677145','4500575283203315084','4635296278292485497'),('5871540148442677146','4500535803863892590','4635296278292485497'),('5871540148442677147','4500535803863892668','4635296278292485497'),('5871540148442677148','4500575283203315209','4635296278292485497'),('5871540148442677149','4580726382333627652','4635296278292485497'),('5871540148442677150','4527514348876068520','4635296278292485497'),('5871540148442677151','4580743046806739446','4635296278292485497'),('5871540148442677165','4500575283203314828','4635296278292485311'),('5871540148442677166','4500575283203314963','4635296278292485311'),('5871540148442677167','4500575283203315084','4635296278292485311'),('5871540148442677168','4500535803863892590','4635296278292485311'),('5871540148442677169','4500535803863892668','4635296278292485311'),('5871540148442677179','4500575592440956683','4635296278292485471'),('5871540148442677180','4500575283203315084','4635296278292485471'),('5871540148442677181','4500535803863892590','4635296278292485471'),('5871540148442677182','4500535803863892668','4635296278292485471'),('5871540148442677183','4500610570654604153','4635296278292485471'),('5871540148442677184','4527514348876068520','4635296278292485471'),('5871540148442677185','4580726382333627652','4635296278292485471'),('5871540148442677186','4580754969635936738','4635296278292485471'),('5871540148442677187','4580743046806739446','4635296278292485471'),('5871540148442677188','4500535803863892745','4635296278292485471'),('5871540148442677189','4500575283203315209','4635296278292485471'),('5871540148442677204','4500610570654604153','4635296278292485392'),('5871540148442677205','4500575592440956683','4635296278292485392'),('5871540148442677206','4500575283203314828','4635296278292485392'),('5871540148442677207','4500575283203314963','4635296278292485392'),('5871540148442677208','4500535803863892590','4635296278292485392'),('5871540148442677209','4500535803863892668','4635296278292485392'),('5871540148442677210','4500535803863892745','4635296278292485392'),('5871540148442677211','4500575283203315209','4635296278292485392'),('5871540148442677212','4580754969635936738','4635296278292485392'),('5871540148442677213','4580726382333627652','4635296278292485392'),('5871540148442677214','4527514348876068520','4635296278292485392'),('5871540148442677230','4500575592440956683','4635296278292485365'),('5871540148442677231','4500575283203315084','4635296278292485365'),('5871540148442677232','4527514348876068520','4635296278292485365'),('5871540148442677233','4580743046806739446','4635296278292485365'),('5871540148442677234','4500575283203314828','4635296278292485365'),('5871540148442677235','4500535803863892590','4635296278292485365'),('5871540148442677236','4500575283203315209','4635296278292485365'),('5871540148442677237','4580726382333627652','4635296278292485365'),('5871540148442677238','4500535803863892668','4635296278292485365'),('5871540148442677239','4500610570654604153','4635296278292485365'),('5871540148442677240','4580754969635936738','4635296278292485365'),('5871540182802407431','4500535803863892745','4635296278292485311'),('5871540182802407432','4527514348876068520','4635296278292485311'),('5871540182802407433','4580743046806739446','4635296278292485311'),('5871540182802407434','4500575283203315209','4635296278292485311'),('5871540182802407435','4580726382333627652','4635296278292485311'),('5871540182802407436','4580754969635936738','4635296278292485311'),('5871540182802407446','4500535803863892745','4635296278292485497'),('5871540182802409754','4497733835919421615','4643061510444227587'),('5871540182802409760','4497713220076354115','5871539014571304054'),('5871540182802409761','4497713769832164531','5871539014571304054'),('5871540182802409771','4497713220076353977','4643061510444227669'),('5871540182802409779','4497713220076353823','5871539014571303887'),('5871540182802409784','4497713220076354238','5871539014571304149'),('5871540251521888192','4459060472917000201','5871540251521888167'),('5871540251521888193','4455233760135394630','5871540251521888167'),('5871540251521888194','4455233760135394663','5871540251521888167'),('5871540251521888195','4455233760135394769','5871540251521888167'),('5871540251521888196','4455233760135394802','5871540251521888167'),('5871540251521888197','4459060472917000263','5871540251521888167'),('5871540251521888198','4459060472917000296','5871540251521888167'),('5871540251521888199','4477020342521996465','5871540251521888167'),('5871540251521888200','4477020342521996546','5871540251521888167'),('5871540251521888201','4477020342521996498','5871540251521888167'),('5871540251521888202','4476991068024810825','5871540251521888167'),('5871540251521888203','4476991068024810858','5871540251521888167'),('5871540251521888204','4476991068024810891','5871540251521888167'),('5871540320241361787','4477020342521996149','5871540320241361762'),('5871540320241362766','4455233657056181747','5871540320241362764'),('5871540320241362816','4455233657056181714','5871540320241362791'),('5871540320241362972','4455233657056179876','5871540320241362947'),('5871540388960841793','4477020342521996405','5871540388960841768'),('5871540388960843351','4459060404197531203','5871540388960843326'),('5871541763350378957','4500534773071742856','5871541763350378955'),('5871541763350378958','4500567998938762394','5871541763350378955'),('5871541763350378959','4500534876150962224','5871541763350378955'),('5871541866429588396','4477025599561967708','4635296312652225111'),('5871541866429588397','4476997355856930451','4635296312652225111'),('5871543240819127456','4500580780761451967','4643059998615729030'),('5871543240819127597','4500583907497646556','4643059998615728862'),('5871543721855462845','4500609196265082778','4643063056632442997'),('5871543721855463380','4500609196265082778','4643063056632442969'),('5871543721855463381','4527500433182031534','4643063056632442969'),('5871543721855463554','4500608852667698586','4643063056632442997'),('5871543721855463555','4527500433182031534','4643063056632442997'),('5871543928013893147','4476992304975394433','5871543928013893119'),('5871543962373633850','4500583976217122580','4635298546035219573'),('5871543962373633851','4500541885537588459','4635298546035219573'),('5871543962373633852','4500584182375547591','4635298546035219573'),('5871544202891798812','4500578444299242208','5871544202891798787'),('5871544202891799554','4500571194394430018','5871544202891799529'),('5871544202891799868','4500571263113907638','5871544202891799843'),('5871544202891800685','4500582979784710605','5871544202891800660'),('5871544305971014210','5437064830191998480','4643063056632439135'),('5871544443409965988','5871544443409965409','5871544443409965962'),('5871544443409966017','5871544443409965620','5871544443409965991'),('5871544615208660243','4455233760135394630','5871544615208660241'),('5871544615208660244','4455233760135394802','5871544615208660241'),('5871544615208660245','4476991068024810825','5871544615208660241'),('5871544615208660246','4455233760135394663','5871544615208660241'),('5871544615208660247','4459060472917000263','5871544615208660241'),('5871544615208660248','4477020342521996498','5871544615208660241'),('5871544615208660249','4477020342521996465','5871544615208660241'),('5871544615208660250','4459060472917000201','5871544615208660241'),('5871544615208660251','4455233760135394769','5871544615208660241'),('5871544615208660252','4459060472917000296','5871544615208660241'),('5871544615208660253','4476991068024810858','5871544615208660241'),('5871544615208660254','4476991068024810891','5871544615208660241'),('5871544615208660255','4500584903930053031','5871544615208660241'),('5871544615208660256','4500542538372612252','5871544615208660241'),('5871544615208660257','4500575901678585141','5871544615208660241'),('5871544615208660258','4477020342521996546','5871544615208660241'),('5871544615208660691','4500571675430769826','4643063606388261277'),('5871544752647613866','4500570919516527348','5871544752647613835'),('5871544890086566332','4459060472917000201','5871544890086566307'),('5871544890086566706','4455233760135394663','5871544890086566681'),('5871544890086566805','4455233760135394769','5871544890086566780'),('5871544890086567441','4455233760135394630','5871544890086567416'),('5871544890086567932','4455233760135394802','5871544890086567907'),('5871544890086568436','4459060472917000263','5871544890086568411'),('5871544890086568474','4459060472917000296','5871544890086568449'),('5871544890086568635','4476991068024810825','5871544890086568610'),('5871544890086568838','4476991068024810858','5871544890086568813'),('5871544890086569046','4477020342521996465','5871544890086569021'),('5871544890086569297','4477020342521996498','5871544890086569272'),('5871544890086569324','4476991068024810891','5871544890086569299'),('5871544890086569410','4477020342521996546','5871544890086569385'),('5871544890086569701','4459060404197531274','5871544890086569676'),('5871544890086569728','4459060404197531203','5871544890086569703'),('5871544890086569799','4455233657056179876','5871544890086569774'),('5871544890086569826','4459060404197531241','5871544890086569801'),('5871544890086569853','4455233657056181681','5871544890086569828'),('5871544890086569880','4476991068024810745','5871544890086569855'),('5871544890086569995','4477020342521996405','5871544890086569970'),('5871544890086570066','4455233657056181747','5871544890086570041'),('5871544924446303237','4476991068024810219','5871544924446303212'),('5871544924446303238','4476991068024810318','5871544924446303212'),('5871544924446303239','4476991068024810351','5871544924446303212'),('5871544924446303240','4477020342521995999','5871544924446303212'),('5871544924446303241','4476991068024810427','5871544924446303212'),('5871544924446303242','4476991068024810252','5871544924446303212'),('5871544924446303243','4477020342521995847','5871544924446303212'),('5871544924446303244','4477020342521995933','5871544924446303212'),('5871544924446303245','4477020342521996032','5871544924446303212'),('5871544924446303246','4476991068024810285','5871544924446303212'),('5871544924446303247','4477020342521995880','5871544924446303212'),('5871544924446303248','4477020342521995966','5871544924446303212'),('5871544924446303249','4476991068024810394','5871544924446303212'),('5871544924446303250','4477020342521996065','5871544924446303212'),('5871544924446303251','4477020342521996098','5871544924446303212'),('5871544924446303252','4477024190812699093','5871544924446303212'),('5871544924446303714','4476991068024810219','5871544924446303689'),('5871544924446303715','4476991068024810252','5871544924446303689'),('5871544924446303716','4476991068024810285','5871544924446303689'),('5871544924446303717','4477020342521995880','5871544924446303689'),('5871544924446303718','4477020342521995847','5871544924446303689'),('5871544924446303719','4476991068024810318','5871544924446303689'),('5871544924446303720','4476991068024810351','5871544924446303689'),('5871544924446303721','4477020342521995933','5871544924446303689'),('5871544924446303722','4477020342521995966','5871544924446303689'),('5871544924446303723','4476991068024810394','5871544924446303689'),('5871544924446303724','4477020342521996032','5871544924446303689'),('5871544924446303725','4477020342521995999','5871544924446303689'),('5871544924446303726','4476991068024810427','5871544924446303689'),('5871544924446303727','4477020342521996065','5871544924446303689'),('5871544924446303728','4477020342521996098','5871544924446303689'),('5871544924446303729','4477024190812699093','5871544924446303689'),('5871544924446303903','4476991068024810219','5871544924446303878'),('5871544924446303904','4476991068024810252','5871544924446303878'),('5871544924446303905','4476991068024810285','5871544924446303878'),('5871544924446303906','4476991068024810318','5871544924446303878'),('5871544924446303907','4477020342521995847','5871544924446303878'),('5871544924446303908','4477020342521995880','5871544924446303878'),('5871544924446303909','4477020342521995966','5871544924446303878'),('5871544924446303910','4477020342521995933','5871544924446303878'),('5871544924446303911','4476991068024810351','5871544924446303878'),('5871544924446303912','4477020342521995999','5871544924446303878'),('5871544924446303913','4477020342521996032','5871544924446303878'),('5871544924446303914','4476991068024810394','5871544924446303878'),('5871544924446303915','4476991068024810427','5871544924446303878'),('5871544924446303916','4477020342521996065','5871544924446303878'),('5871544924446303917','4477020342521996098','5871544924446303878'),('5871544924446303918','4477024190812699093','5871544924446303878'),('5871544924446304004','4476991068024810219','5871544924446303979'),('5871544924446304005','4476991068024810252','5871544924446303979'),('5871544924446304006','4476991068024810285','5871544924446303979'),('5871544924446304007','4477020342521995880','5871544924446303979'),('5871544924446304008','4477020342521995847','5871544924446303979'),('5871544924446304009','4476991068024810318','5871544924446303979'),('5871544924446304010','4476991068024810351','5871544924446303979'),('5871544924446304011','4477020342521995933','5871544924446303979'),('5871544924446304012','4477020342521995966','5871544924446303979'),('5871544924446304013','4476991068024810394','5871544924446303979'),('5871544924446304014','4477020342521996032','5871544924446303979'),('5871544924446304015','4477020342521995999','5871544924446303979'),('5871544924446304016','4476991068024810427','5871544924446303979'),('5871544924446304017','4477020342521996065','5871544924446303979'),('5871544924446304018','4477020342521996098','5871544924446303979'),('5871544924446304019','4477024190812699093','5871544924446303979'),('5871544924446304061','4476991068024810219','5871544924446304036'),('5871544924446304062','4476991068024810252','5871544924446304036'),('5871544924446304063','4476991068024810285','5871544924446304036'),('5871544924446304064','4477020342521995880','5871544924446304036'),('5871544924446304065','4477020342521995847','5871544924446304036'),('5871544924446304066','4476991068024810318','5871544924446304036'),('5871544924446304067','4476991068024810351','5871544924446304036'),('5871544924446304068','4477020342521995933','5871544924446304036'),('5871544924446304069','4477020342521995966','5871544924446304036'),('5871544924446304070','4476991068024810394','5871544924446304036'),('5871544924446304071','4477020342521996032','5871544924446304036'),('5871544924446304072','4477020342521995999','5871544924446304036'),('5871544924446304073','4476991068024810427','5871544924446304036'),('5871544924446304074','4477020342521996065','5871544924446304036'),('5871544924446304075','4477020342521996098','5871544924446304036'),('5871544924446304076','4477024190812699093','5871544924446304036'),('5871544924446304118','4476991068024810219','5871544924446304093'),('5871544924446304119','4476991068024810252','5871544924446304093'),('5871544924446304120','4476991068024810285','5871544924446304093'),('5871544924446304121','4477020342521995880','5871544924446304093'),('5871544924446304122','4477020342521995847','5871544924446304093'),('5871544924446304123','4476991068024810318','5871544924446304093'),('5871544924446304124','4476991068024810351','5871544924446304093'),('5871544924446304125','4477020342521995933','5871544924446304093'),('5871544924446304126','4477020342521995966','5871544924446304093'),('5871544924446304127','4476991068024810394','5871544924446304093'),('5871544924446304128','4477020342521996032','5871544924446304093'),('5871544924446304129','4477020342521995999','5871544924446304093'),('5871544924446304130','4476991068024810427','5871544924446304093'),('5871544924446304131','4477020342521996065','5871544924446304093'),('5871544924446304132','4477020342521996098','5871544924446304093'),('5871544924446304133','4477024190812699093','5871544924446304093'),('5871544924446304175','4476991068024810219','5871544924446304150'),('5871544924446304176','4476991068024810252','5871544924446304150'),('5871544924446304177','4476991068024810285','5871544924446304150'),('5871544924446304178','4477020342521995880','5871544924446304150'),('5871544924446304179','4477020342521995847','5871544924446304150'),('5871544924446304180','4476991068024810318','5871544924446304150'),('5871544924446304181','4476991068024810351','5871544924446304150'),('5871544924446304182','4477020342521995933','5871544924446304150'),('5871544924446304183','4477020342521995966','5871544924446304150'),('5871544924446304184','4476991068024810394','5871544924446304150'),('5871544924446304185','4477020342521996032','5871544924446304150'),('5871544924446304186','4477020342521995999','5871544924446304150'),('5871544924446304187','4476991068024810427','5871544924446304150'),('5871544924446304188','4477024190812699093','5871544924446304150'),('5871544924446304189','4477020342521996065','5871544924446304150'),('5871544924446304190','4477020342521996098','5871544924446304150'),('5871544924446304232','4476991068024810219','5871544924446304207'),('5871544924446304233','4476991068024810252','5871544924446304207'),('5871544924446304234','4476991068024810285','5871544924446304207'),('5871544924446304235','4477020342521995880','5871544924446304207'),('5871544924446304236','4477020342521995847','5871544924446304207'),('5871544924446304237','4476991068024810318','5871544924446304207'),('5871544924446304238','4476991068024810351','5871544924446304207'),('5871544924446304239','4477020342521995933','5871544924446304207'),('5871544924446304240','4477020342521995966','5871544924446304207'),('5871544924446304241','4476991068024810394','5871544924446304207'),('5871544924446304242','4477020342521996032','5871544924446304207'),('5871544924446304243','4477020342521995999','5871544924446304207'),('5871544924446304244','4476991068024810427','5871544924446304207'),('5871544924446304245','4477020342521996065','5871544924446304207'),('5871544924446304246','4477020342521996098','5871544924446304207'),('5871544924446304247','4477024190812699093','5871544924446304207'),('5871544924446304289','4476991068024810219','5871544924446304264'),('5871544924446304290','4476991068024810252','5871544924446304264'),('5871544924446304291','4476991068024810285','5871544924446304264'),('5871544924446304292','4477020342521995880','5871544924446304264'),('5871544924446304293','4477020342521995847','5871544924446304264'),('5871544924446304294','4476991068024810318','5871544924446304264'),('5871544924446304295','4476991068024810351','5871544924446304264'),('5871544924446304296','4477020342521995933','5871544924446304264'),('5871544924446304297','4477020342521995966','5871544924446304264'),('5871544924446304298','4476991068024810394','5871544924446304264'),('5871544924446304299','4477020342521996032','5871544924446304264'),('5871544924446304300','4477020342521995999','5871544924446304264'),('5871544924446304301','4476991068024810427','5871544924446304264'),('5871544924446304302','4477020342521996065','5871544924446304264'),('5871544924446304303','4477020342521996098','5871544924446304264'),('5871544924446304304','4477024190812699093','5871544924446304264'),('5871544924446304346','4476991068024810219','5871544924446304321'),('5871544924446304347','4476991068024810252','5871544924446304321'),('5871544924446304348','4476991068024810285','5871544924446304321'),('5871544924446304349','4477020342521995880','5871544924446304321'),('5871544924446304350','4477020342521995847','5871544924446304321'),('5871544924446304351','4476991068024810318','5871544924446304321'),('5871544924446304352','4476991068024810351','5871544924446304321'),('5871544924446304353','4477020342521995933','5871544924446304321'),('5871544924446304354','4477020342521995966','5871544924446304321'),('5871544924446304355','4476991068024810394','5871544924446304321'),('5871544924446304356','4477020342521996032','5871544924446304321'),('5871544924446304357','4477020342521995999','5871544924446304321'),('5871544924446304358','4476991068024810427','5871544924446304321'),('5871544924446304359','4477020342521996065','5871544924446304321'),('5871544924446304360','4477020342521996098','5871544924446304321'),('5871544924446304361','4477024190812699093','5871544924446304321'),('5871544924446304403','4476991068024810219','5871544924446304378'),('5871544924446304404','4476991068024810252','5871544924446304378'),('5871544924446304405','4476991068024810285','5871544924446304378'),('5871544924446304406','4477020342521995880','5871544924446304378'),('5871544924446304407','4477020342521995847','5871544924446304378'),('5871544924446304408','4476991068024810318','5871544924446304378'),('5871544924446304409','4476991068024810351','5871544924446304378'),('5871544924446304410','4477020342521995933','5871544924446304378'),('5871544924446304411','4477020342521995966','5871544924446304378'),('5871544924446304412','4476991068024810394','5871544924446304378'),('5871544924446304413','4477020342521996032','5871544924446304378'),('5871544924446304414','4477020342521995999','5871544924446304378'),('5871544924446304415','4476991068024810427','5871544924446304378'),('5871544924446304416','4477020342521996065','5871544924446304378'),('5871544924446304417','4477020342521996098','5871544924446304378'),('5871544924446304418','4477024190812699093','5871544924446304378'),('5871544924446306978','4459060438557264385','4643064465381724269'),('5871544924446307116','4477020342521996182','5871544924446307091'),('5871544924446307138','4459060438557269992','4643064465381724297'),('5871544924446307163','4477020342521996149','4643064465381724326'),('5871544924446307188','4476991068024810523','4643064465381724360'),('5871544924446307278','4476991068024810571','5871544924446307253'),('5871544924446307305','4476991068024810604','5871544924446307280'),('5871544924446307332','4477020342521996254','5871544924446307307'),('5871544924446307359','4477020342521996287','5871544924446307334'),('5871544924446307430','4477020342521996320','5871544924446307405'),('5871544924446307457','4476991068024810637','5871544924446307432'),('5871544924446307572','4476991068024810682','5871544924446307547'),('5871544924446307599','5080959711471971693','5871544924446307574'),('5871544993165785713','4500573977533237106','4643059998615728946'),('5871545130604733901','4476999486160709623','5080959848910924530'),('5871545130604733999','4545351691653760751','4643063056632439852'),('5871545646000814008','4476991445981929821','4500585110088484698'),('5871545646000814009','4476991789579319663','4500585110088484698'),('5871545646000814010','4477020789198600104','4500585110088484698'),('5871545646000814011','4476991927018274680','4500585110088484698'),('5871545646000814012','4476991411622193063','4500585110088484698'),('5871545646000814013','4477020445601211519','4500585110088484698'),('5871545646000814014','4476992304975389901','4500585110088484698'),('5871545646000814015','4476991823939051663','4500585110088484698'),('5871545646000814016','4500588374263618236','4500585110088484698'),('5871545646000814017','4477020754838858836','4500585110088484698'),('5871545646000814018','4477020995357024762','4500585110088484698'),('5871545646000814019','4477020926637553627','4500585110088484698'),('5871545646000814020','4477021029716769603','4500585110088484698'),('5871545646000814021','4476992270615653433','4500585110088484698'),('5871545646000814022','4476992304975389696','4500585110088484698'),('5871545646000814023','4477021098436243713','4500585110088484698'),('5871546504994273817','4476991789579319663','5871529359484821673'),('5871546504994273818','4476991823939051663','5871529359484821673'),('5871546504994273819','4477020789198600104','5871529359484821673'),('5871546504994273820','4477020995357024762','5871529359484821673'),('5871546711152700352','5871545989598194906','4635296278292484576'),('5871546711152700353','5871545989598194739','4635296278292484576'),('5871546711152700354','5871545989598195182','4635296278292484576'),('5871546711152700643','4477024671849034887','4635296278292484886'),('5871546711152700644','4477024671849035115','4635296278292484886'),('5871546711152700645','4476995294272630476','4635296278292484886'),('5871546779872179484','4829158526370271244','4643061510444227614'),('5871546779872179495','4800457252795881406','4643061510444227669'),('5871546882951391943','4477020205083043912','4635296312652222956'),('5871546986030608656','4800457252795881258','5871546986030608631'),('5871547226548774826','4500575592440956683','5871547226548774801'),('5871547226548774827','4500575283203314828','5871547226548774801'),('5871547226548774828','4500575283203314963','5871547226548774801'),('5871547226548775407','4500575592440956683','5871547226548775382'),('5871547226548775408','4500575283203314828','5871547226548775382'),('5871547226548775409','4500575283203314963','5871547226548775382'),('5871547226548775410','4500575283203315084','5871547226548775382'),('5871547226548775411','4500535803863892590','5871547226548775382'),('5871547226548775412','4500535803863892668','5871547226548775382'),('5871547226548775413','4500535803863892745','5871547226548775382'),('5871547226548775414','4500575283203315209','5871547226548775382'),('5871547226548775415','4500610570654604153','5871547226548775382'),('5871547226548775416','4580754969635936738','5871547226548775382'),('5871547226548775417','4580726382333627652','5871547226548775382'),('5871547226548775418','4527514348876068520','5871547226548775382'),('5871547226548775419','4580743046806739446','5871547226548775382'),('5871547535786425792','4477024671849035539','4635296278292484921'),('5871547535786425793','4476995294272631230','4635296278292484921'),('5871547535786425794','4476995294272631324','4635296278292484921'),('5871547535786425795','4477024671849036020','4635296278292484921'),('5871548429139620720','4500566899427132291','4635296278292483442'),('5871548429139620725','4500534292035404015','4643059792457295894'),('5871548463499359013','4476995294272629138','5871548463499358988'),('5871548463499359014','4476995294272629420','5871548463499358988'),('6128638024652765931','4500587755788339406','4628183675011161081'),('6128638059012502821','4500587755788339662','4628183675011161133'),('6128638059012502916','4548238287633812467','4628183675011161159'),('6128638059012503853','4500587755788339406','4628183675011161185'),('6128638059012503854','4548238287633812467','4628183675011161185'),('6128638059012503855','4548278591606946048','4628183675011161185'),('6128638059012503856','4500587755788339662','4628183675011161185'),('6128639055444912576','4500575592440956683','6128639055444912551'),('6128639055444912577','4500575283203315084','6128639055444912551'),('6128639055444912578','4500535803863892745','6128639055444912551'),('6128639055444912579','4527514348876068520','6128639055444912551'),('6128639055444912580','4580743046806739446','6128639055444912551'),('6128639055444912581','4500575283203314828','6128639055444912551'),('6128639055444912582','4500535803863892590','6128639055444912551'),('6128639055444912583','4500610570654604153','6128639055444912551'),('6128639055444912584','4580726382333627652','6128639055444912551'),('6128639055444912585','4500575283203314963','6128639055444912551'),('6128639055444912586','4500535803863892668','6128639055444912551'),('6128639055444912587','4500575283203315209','6128639055444912551'),('6128639055444912588','4580754969635936738','6128639055444912551'),('6128639055444913215','6128637955933289487','6128639055444913190'),('6128639055444913217','4500587652709124559','4628183675011161029'),('6128639055444913218','4500578272500533964','4628183675011161029'),('6128639055444913219','4500546317943835570','4628183675011161029'),('6128639055444913220','4500578272500534256','4628183675011161029'),('6128639055444916049','4500568617414055898','4635298992711813669'),('6128639055444916050','4500568617414056034','4635298992711813669'),('6128639055444916980','4500546111785405324','4628183675011161471'),('6128639055444917341','4500578203781058642','4628183675011161575'),('6128639055444917371','4500546111785405324','4628183675011161601'),('6128639055444917372','4500578203781058422','4628183675011161601'),('6128639055444917373','6128648951049610299','4628183675011161601'),('6128639055444917374','4500587480910431670','4628183675011161601'),('6128639055444917375','4500546146145147187','4628183675011161601'),('6128639055444917376','4500587480910433420','4628183675011161601'),('6128639536481249609','4500602633555036658','6128639536481249584'),('6128639536481250886','4500607718796314392','6128649432085950428'),('6128639536481251024','4527512424730717451','4613301888208170457'),('6128639536481251055','4500621393972200403','6128639536481251030'),('6128639536481251299','4500615690255636142','4613301888208170778'),('6128639536481251543','4527507373849178855','4613301888208170726'),('6128639536481251900','4500613766110286592','4613301888208171527'),('6128639536481252073','4500613113275255663','6128639536481252048'),('6128639536481252103','4527505346624617715','6128639536481252078'),('6128639536481252521','4500601740201838055','4613301888208171771'),('6128647817178244838','4548278591606946048','4628183675011161107'),('6128647817178245708','4500587755788339743','6128647817178245683'),('6128648951049610788','4500568617414055784','4635298992711813669'),('6128648951049612062','4500587480910431670','4628183675011161497'),('6128648951049612068','4500578203781058422','4628183675011161549'),('6128648951049612503','4500587480910433420','6128648951049612478'),('6128649432085949535','4527504796868800954','4613301888208171228'),('6128649432085949589','4545346572052737721','4613301888208171202'),('6128649432085951492','4500616205651710639','4613301888208170778'),('6128649432085951493','4500616205651711024','4613301888208170778'),('6128649432085951494','4527507373849179909','4613301888208170778'),('6128649432085951495','4562967414119153028','4613301888208170778'),('6128649432085951496','4500616205651711441','4613301888208170778'),('6128649432085951497','4500602805353726569','4613301888208170778'),('6128649432085951498','4500616205651710388','4613301888208170778'),('6128649432085951499','4500602805353727518','4613301888208170778'),('6128649432085951500','4527507373849179253','4613301888208170778'),('6128649432085951501','4527507373849178855','4613301888208170778'),('6128649432085951970','4527505999459642040','4613301888208171744'),('6128649432085952614','4527505758941477980','4613301888208171692'),('6128649432085952718','4500613800470026605','4613301888208171797'),('6167293726749262606','4500583289022353218','4643061510444224846'),('6167293726749262611','4477026355476214785','4643061510444224793'),('6167293726749262710','4476997355856930703','4643061510444224873'),('6167293726749262716','4477026389835951608','4643061510444224873'),('6167293829828479232','4545348977234428247','6167293829828479207'),('6167293829828479233','4500578478658983586','6167293829828479207'),('6167293829828479234','4500578478658983270','6167293829828479207'),('6167293864188215423','4500575283203309717','4635298992711812827'),('6167293864188215428','4500575283203309682','4635298992711812801'),('6167293864188215502','4500575283203309795','4635298992711813009'),('6167293864188215551','4500575592440957198','4635298992711812957'),('6167293864188215552','4500536216180758849','4635298992711812957'),('6167293898547960605','4500536216180758817','6167293898547960580'),('6167293898547960686','4500575592440956819','6167293898547960661'),('6167293898547960721','4500575592440956937','6167293898547960696'),('6167293898547961297','4459060472917004425','6167293898547961272'),('6167293898547961298','4476996668662168458','6167293898547961272'),('6167293898547961349','4459060472917004425','6167293898547961324'),('6167293898547961350','6167293898547959059','6167293898547961324'),('6167293898547961378','4459060472917004425','6167293898547961353'),('6167293898547961379','6167293898547959367','6167293898547961353'),('6167293898547961445','4459060472917004425','6167293898547961420'),('6167293898547961446','6167293898547959699','6167293898547961420'),('6167293967267436176','4476994022962311789','6167293967267436151'),('6167293967267437031','4477023228740022231','6167293967267437006'),('6167293967267437867','6167296578607560826','6167293967267437842'),('6167294001627168816','4477024053373742397','6167294001627168791'),('6167294001627169135','4476994641437600457','6167294001627169110'),('6167294001627169533','4497733973358376384','6167294001627169508'),('6167294001627169695','4497713323155565265','6167294001627169670'),('6167296372449130473','4500535425906776763','6167296372449130447'),('6167296372449130542','4500535425906776608','6167296372449130517'),('6167296372449130617','4500535219748344594','6167296372449130592'),('6167296406808862940','4476997355856929268','4643061510444224899'),('6167296475528346335','4500536216180759524','4635298992711812905'),('6167296475528346336','4500568754853006739','4635298992711812905'),('6167296475528346342','4500536250540494115','4635298992711812879'),('6167296475528346343','4500568686133534411','4635298992711812879'),('6167296509888078340','4477024671849030116','4635296312652223263'),('6167296509888078341','4477026183677518333','4635296312652223263'),('6167296509888078342','4476997184058240615','4635296312652223263'),('6167296509888078343','4497713357515307986','4635296312652223263'),('6167296509888078355','4497734076437589769','4635296312652223319'),('6167296509888078356','4497734076437590244','4635296312652223319'),('6167296509888078357','4500569648206202663','4635296312652223319'),('6167296578607556448','4527513558602084666','6167296578607556423'),('6167296578607556786','4527513558602085344','6167296578607556761'),('6167296578607557022','4500568033298501444','6167296578607556997'),('6167296578607557364','4500566761988181839','6167296578607557339'),('6167296578607557482','4500536250540491442','6167296578607557457'),('6167296578607557776','4459060472917004425','6167296578607557751'),('6167296578607557777','4476996668662165572','6167296578607557751'),('6167296578607557809','4459060472917004425','6167296578607557784'),('6167296578607557810','4476996668662167222','6167296578607557784'),('6167296578607557838','4459060472917004425','6167296578607557813'),('6167296578607557839','4476996668662167506','6167296578607557813'),('6167296578607557882','4459060472917004425','6167296578607557857'),('6167296578607557883','4477025805720397777','6167296578607557857'),('6167296578607557915','4459060472917004425','6167296578607557890'),('6167296578607557916','4477025805720398025','6167296578607557890'),('6167296578607557944','4459060472917004425','6167296578607557919'),('6167296578607557945','4477025805720398222','6167296578607557919'),('6167296578607557973','4459060472917004425','6167296578607557948'),('6167296578607557974','4476996668662168167','6167296578607557948'),('6167296647327033130','4476994229120741825','6167296647327033105'),('6167296647327033201','4477022919502380694','6167296647327033176'),('6167296647327033481','6167296578607559364','6167296647327033456'),('6167296647327033565','6167293967267431200','6167296647327033540'),('6167296647327033616','6167296578607561108','6167296647327033591'),('6167296647327034416','4477024053373742486','6167296647327034391'),('6167296647327034733','4476998730246471601','6167296647327034708'),('6167296647327035144','4497713323155565427','6167296647327035119'),('6233231335987798455','6167296578607558781','6233231335987798430'),('6233231335987798656','4500577585305771267','6233231335987798631'),('6233231335987804615','6167293967267434252','6233231335987804613'),('6233231335987804649','6167296578607562445','6233231335987804647'),('6233231335987804710','6167296578607562730','6233231335987804685'),('6233231335987804713','6233233431931831124','6233231335987804711'),('6233231335987804778','4459060472917005345','6233231335987804753'),('6233231335987804825','4459060472917004245','6233231335987804800'),('6233231335987804853','4459060472917004245','6233231335987804828'),('6233231335987804854','6233231335987802520','6233231335987804828'),('6233231335987804881','4459060472917004245','6233231335987804856'),('6233231335987804882','6233231335987802794','6233231335987804856'),('6233231335987804909','4459060472917004245','6233231335987804884'),('6233231335987804910','6233233431931831502','6233231335987804884'),('6233231335987804937','4459060472917004245','6233231335987804912'),('6233231335987804938','6233231335987803143','6233231335987804912'),('6233231335987804965','4459060472917004245','6233231335987804940'),('6233231335987804966','6233233431931831913','6233231335987804940'),('6233231335987804994','4459060472917004245','6233231335987804969'),('6233231335987804995','6233233431931832546','6233231335987804969'),('6233231335987804998','6233231335987804266','5871544202891799843'),('6233231370347536817','6233233431931834746','6233231370347536792'),('6233231370347536843','6233233431931835005','6233231370347536818'),('6233231370347536869','6233233431931835264','6233231370347536844'),('6233231370347536895','6233233431931835523','6233231370347536870'),('6233231370347536921','6233233431931835782','6233231370347536896'),('6233231370347538074','6167296578607559853','6233231370347538049'),('6233231507786495394','4477021201515455153','6233231507786495369'),('6233231507786495487','4477021201515455232','6233231507786495462'),('6233231507786495530','4477021338954410416','6233231507786495505'),('6233231507786496357','4500586724996172298','4628183675011160740'),('6233231507786496441','4580737755407020907','6233231507786496416'),('6233231507786496447','4500621428331938330','4628183675011160792'),('6233231507786496496','4500621428331938589','6233231507786496471'),('6233231507786496561','4580749540797288681','6233231507786496536'),('6233231507786496590','4580767476580700226','6233231507786496565'),('6233231507786496620','4476995981467401177','4628183675011160792'),('6233231507786496621','4500586724996172298','4628183675011160792'),('6233231507786496622','4500621428331938589','4628183675011160792'),('6233231507786496623','4500555835591362051','4628183675011160792'),('6233231507786496733','4580747032536390200','6233231507786496708'),('6233231507786496768','4580747273054552927','6233231507786496743'),('6233231507786496999','4592863238357832825','6233231507786496974'),('6233231507786497041','4592833448464602776','6233231507786497016'),('6233231507786497090','4592863238357833189','6233231507786497065'),('6233231507786497121','4592829359655730294','6233231507786497096'),('6233231507786497808','4580748097688257878','6233231507786497783'),('6233231507786497834','4580728375198448570','6233231507786497809'),('6233231507786497860','4580728443917919273','6233231507786497835'),('6233231507786498023','4580732807604700574','6233231507786497998'),('6233231542146228446','4500555904310845079','6233231542146228421'),('6233231542146228522','4580742119093786943','6233231542146228497'),('6233231542146228560','4580732189129413157','6233231542146228535'),('6233231542146228590','4500594490297059830','6233231542146228565'),('6233231542146228645','4580723839712984746','6233231542146228620'),('6233231542146228646','4580723977151933480','6233231542146228620'),('6233231542146228647','4580732257848887800','6233231542146228620'),('6233231542146228870','4580739061077074940','6233231542146228845'),('6233231542146228899','4580767579659917270','6233231542146228874'),('6233231542146228935','4580738511321265419','6233231542146228910'),('6233231542146228936','4580767579659914281','4635295591097713147'),('6233231542146229155','4580722843280579553','6233231542146229130'),('6233231542146229181','4580715696454990762','6233231542146229156'),('6233231542146229207','4580722912000054416','6233231542146229182'),('6233231542146229371','4500587480910433420','6128639055444917577'),('6233231542146229470','4580767545300180292','6233231542146229445'),('6233231542146229496','4580767545300180479','6233231542146229471'),('6233231542146229570','4580749781315455910','6233231542146229545'),('6233231542146229746','4500570919516521849','6233231542146229721'),('6233231542146229829','4500578169421339664','6233231542146229804'),('6233231542146229889','4500570988236000435','6233231542146229864'),('6233231542146229927','4500570988236005163','6233231542146229902'),('6233231542146229965','4500578272500555186','6233231542146229940'),('6233231542146230090','4580714734382311715','4635295591097713509'),('6233231542146230166','4500571091315218632','6233231542146230141'),('6233231542146230209','4500578409939503317','6233231542146230184'),('6233231542146230263','4500578409939503395','6233231542146230238'),('6233231542146230311','4580717895478237128','6233231542146230286'),('6233231542146230337','4580728237759502672','6233231542146230312'),('6233231542146230369','4580740229308171203','6233231542146230344'),('6233231542146230439','4580722396603966122','6233231542146230414'),('6233231542146230701','4580744421196270076','6233231542146230676'),('6233231542146230711','4580756000428086833','4635295591097713366'),('6233231542146230712','4580744421196268999','4635295591097713366'),('6233231542146230713','4580744421196270076','4635295591097713366'),('6233231542146230714','4580756069147560794','4635295591097713366'),('6233231542146230715','4580731364495682267','4635295591097713366'),('6233231542146230720','4580744386836532004','4635295591097713393'),('6233231542146231190','4500588649141538507','4628183675011161341'),('6233231542146231254','4500548310808660251','4628183675011161393'),('6233231542146231260','4580723770993507650','4635295591097713282'),('6233231542146231261','4580742119093785289','4635295591097713282'),('6233231542146231262','4580723805353238539','4635295591097713282'),('6233231542146231263','4580742153453524251','4635295591097713282'),('6233231542146231268','4580723461755855415','4635295591097713310'),('6233231542146231273','4580742050374308996','4635295591097713338'),('6233231542146231308','4580723530475338335','6233231542146231283'),('6233231542146231353','4580742084734047562','6233231542146231328'),('6233231542146231385','4500579887408241766','6233231542146231360'),('6233231542146231412','4580723530475339369','6233231542146231387'),('6233231542146231518','4500579887408241766','6233231542146231493'),('6233231542146231566','4500548310808660662','6233231542146231541'),('6233231542146231730','4580729818307458503','4635295591097713910'),('6233231542146231770','4580742497050923578','6233231542146231745'),('6233231542146232581','4580754626038548671','6233231542146232556'),('6233231576505969834','4580729852667192176','6233231576505969809'),('6233231576505971398','4580742531410663751','6233231576505971395'),('6233231645225444795','4580740779063986770','6233231645225444770'),('6233231645225444821','4580728546997146042','6233231645225444796'),('6233231645225444847','4580728478277669154','6233231645225444822'),('6233231645225444878','4580728478277671169','6233231645225444853'),('6233231645225444909','4580728546997145694','6233231645225444884'),('6233231645225444938','4580719063709350143','4635295591097713940'),('6233231645225444939','4580719098069084292','4635295591097713940'),('6233231645225444969','4580724492548017499','6233231645225444944'),('6233231645225444995','4580726141815444347','6233231645225444970'),('6233231645225445021','4580719063709348104','6233231645225444996'),('6233231645225446971','6167296578607562081','6233231645225446946'),('6233231645225447266','6167296578607561513','6233231645225447241'),('6233231645225447558','6167293967267432958','6233231645225447533'),('6233231645225447681','6167293967267432958','6233231645225447656'),('6233231645225447725','4500586724996170331','6233231645225447700'),('6233231645225447763','4500569957443852345','6233231645225447738'),('6233231645225448265','4580741638057451405','6233231645225448240'),('6233231645225448331','4580728924954271310','6233231645225448306'),('6233231645225449674','4580744455556009586','6233231645225449649'),('6233231645225449779','4580744421196274752','6233231645225449754'),('6233231645225449898','4580756103507301765','6233231645225449873'),('6233231645225450882','4580730024465889000','4635295591097713794'),('6233231645225450951','4580743046806735327','6233231645225450926'),('6233231645225451040','4580743046806737356','6233231645225451015'),('6233231645225451105','4580730093185362601','6233231645225451080'),('6233231679585182382','4580756447104681136','4635295591097713852'),('6233231679585182460','4580756447104687610','6233231679585182435'),('6233231679585184135','4497734179516803895','5871529565643253207'),('6233231679585189783','4580720300659931594','6233231679585189758'),('6233231713944920127','4580720335019669504','6233231713944920102'),('6233231713944920584','4580725317181737737','6233231713944920559'),('6233231713944920856','6233233638090262297','6233231713944920831'),('6233231713944924686','4497734660553138764','4643059792457296232'),('6233231713944924870','4500577860183689313','4643059792457296284'),('6233231713944926071','4500553945805750581','6233231713944926046'),('6233231713944926108','4500553945805750672','6233231713944926083'),('6233231713944926168','4500593047188046027','6233231713944926143'),('6233231748304662521','4497734763632360454','6233231335987798696'),('6233231748304665482','4613301475891311736','6233231748304665457'),('6233232366779956659','4500542229134973428','6233232366779956657'),('6233232366779956714','4500542366573921820','6233232366779956689'),('6233232366779956759','4500584525972932612','6233232366779956734'),('6233232366779956805','4500542366573922994','6233232366779956780'),('6233232366779956842','4500542366573923422','6233232366779956817'),('6233232813456548930','4476993816803882890','4643065049497265997'),('6233232813456548941','6167296578607559100','4643065049497266023'),('6233232813456549924','4477022919502379077','6233232813456549899'),('6233232813456549955','4477022919502379108','6233232813456549930'),('6233232813456549992','4476993816803880532','6233232813456549967'),('6233232813456550028','4477022919502379244','6233232813456550003'),('6233232813456550060','4476993816803880594','6233232813456550035'),('6233232813456552706','4592803108815610029','6233232813456552681'),('6233232813456553502','4592833482824405065','6233232813456553477'),('6233232813456553539','4592833585903624011','6233232813456553514'),('6233232813456554860','4592859733664515749','6233232813456554858'),('6233232813456554910','4592827572949328467','6233232813456554885'),('6233232813456554937','4592827572949331621','6233232813456554912'),('6233233157053931935','4477019895845397086','6233233157053931910'),('6233233157053931962','4477019895845397086','6233233157053931937'),('6233233157053931989','4477019895845397086','6233233157053931964'),('6233233157053934688','6233233431931832943','6233231335987804800'),('6233233157053936611','4477021510753103089','6233233157053936586'),('6233233157053936637','4477021510753103122','6233233157053936612'),('6233233157053936674','4476992614213039974','6233233157053936649'),('6233233157053936700','6233233157053933795','6233233157053936675'),('6233233157053936726','6233234806321372546','6233233157053936701'),('6233233157053937012','6233234875040842183','6233233157053936987'),('6233233431931830767','6167293898547961767','6233233431931830742'),('6233233431931833612','6167296647327031944','6233233431931833587'),('6233233431931833615','6167296647327032229','6233233431931833613'),('6233233431931833645','4455233794495132831','6233233431931833643'),('6233233431931833679','4459060472917004245','6233233431931833677'),('6233233431931833680','6233231335987803468','6233233431931833677'),('6233233431931833731','4459060472917004245','6233233431931833706'),('6233233431931833732','6233233431931832253','6233233431931833706'),('6233233431931833743','6233231335987803950','6233231335987804685'),('6233233431931833748','6233233431931833222','6233231335987804647'),('6233233431931836737','6167293967267432039','6233233431931836712'),('6233233431931836763','6167293967267437508','6233233431931836738'),('6233233431931836789','6233233431931836041','6233233431931836764'),('6233233431931836815','6233233431931836300','6233233431931836790'),('6233233431931836841','6233231335987805897','6233233431931836816'),('6233233431931836867','6233231335987806156','6233233431931836842'),('6233233431931837853','6167293898547960874','6233233431931837828'),('6233233466291569068','4476992339335131863','6233233466291569043'),('6233233466291569206','4476992373694869202','6233233466291569181'),('6233233466291569260','4476992442414347797','6233233466291569235'),('6233233466291569788','4476995981467401177','4628183675011160713'),('6233233466291569979','4476995981467401177','6233233466291569954'),('6233233466291570042','4580737824126497192','6233233466291570017'),('6233233466291570191','4580761291827790810','6233233466291570166'),('6233233466291570555','4592863238357834394','6233233466291570530'),('6233233466291570584','4592833448464604065','6233233466291570559'),('6233233466291570630','4592833448464603128','6233233466291570605'),('6233233466291570813','4477021201515455153','5525959486304241772'),('6233233466291570814','4476992373694869202','5525959486304241772'),('6233233466291570815','6167293898547960874','5525959486304241772'),('6233233466291570816','4477021338954410416','5525959486304241772'),('6233233466291570817','4477021201515455232','5525959486304241772'),('6233233466291570818','4476992304975392055','5525959486304241772'),('6233233466291570819','4476992339335131863','5525959486304241772'),('6233233466291570820','4476992442414347797','5525959486304241772'),('6233233466291570821','6167296578607559853','5525959486304241772'),('6233233466291571162','4580737240010949298','6233233466291571137'),('6233233466291571203','4580737240010952989','6233233466291571178'),('6233233466291571204','4592897632455934994','6233233466291571178'),('6233233466291571205','4580739473393949231','6233233466291571178'),('6233233466291571268','4580728443917926301','6233233466291571243'),('6233233466291571299','4580748097688256846','6233233466291571274'),('6233233466291571325','4580728375198449346','6233233466291571300'),('6233233466291571524','4580732807604700306','6233233466291571499'),('6233233466291571601','4500555904310843188','4628183675011160871'),('6233233466291571607','4500586828075386002','4628183675011160897'),('6233233466291571757','4500594490297059830','6233233466291571732'),('6233233466291571798','4500594490297061630','6233233466291571773'),('6233233466291571830','4580731192697002825','6233233466291571805'),('6233233466291571856','4580723805353243438','6233233466291571831'),('6233233466291571959','4500594490297059830','6233233466291571934'),('6233233466291572289','4580749815675197855','6233233466291572264'),('6233233466291572344','4580767579659916559','4635295591097713174'),('6233233466291572569','4580715627735512867','6233233466291572544'),('6233233466291572887','4580767545300180707','6233233466291572862'),('6233233466291572924','4580738270803097155','6233233466291572899'),('6233233466291572955','4580749781315455875','6233233466291572930'),('6233233466291572981','4580767545300180169','6233233466291572956'),('6233233466291573216','4500539342916950353','6233233466291573191'),('6233233466291573298','4500570988235997414','6233233466291573273'),('6233233466291573339','4500571022595741875','6233233466291573314'),('6233233466291573383','4500571022595741981','6233233466291573358'),('6233233466291573401','4580714734382310743','4635295591097713537'),('6233233466291573406','4500591157402443598','4628183675011161263'),('6233233466291573436','4500539480355900583','6233233466291573411'),('6233233466291573463','4580714734382311360','6233233466291573438'),('6233233466291573464','4500551643703284494','4628183675011161289'),('6233233466291573523','4580714734382311440','6233233466291573498'),('6233233466291573549','4500539480355901751','6233233466291573524'),('6233233466291573602','4500591191762173978','6233233466291573600'),('6233233466291573652','4580722568402650986','6233233466291573627'),('6233233466291573764','4500539480355902295','6233233466291573739'),('6233233466291574017','4580728237759502311','6233233466291573992'),('6233233466291574264','4580744421196268999','6233233466291574239'),('6233233466291574324','4580756000428086833','4635295591097713420'),('6233233466291574524','4500579887408241188','4628183675011161315'),('6233233466291574587','4500579887408241766','4628183675011161367'),('6233233466291574601','4500548310808660251','4628183675011161419'),('6233233466291574613','4500548310808660082','4628183675011161445'),('6233233466291574647','4580731089617786455','6233233466291574622'),('6233233466291574714','4580729062393223008','6233233466291574689'),('6233233466291574804','4580729131112701024','6233233466291574779'),('6233233500651312792','4580754694758023538','6233233500651312767'),('6233233500651314387','4580729818307461115','6233233500651314362'),('6233233500651314422','4580729818307459239','6233233500651314397'),('6233233535011045409','4580729818307460410','6233233535011045384'),('6233233569370788515','4500587893227298800','6233233569370788490'),('6233233569370788583','4580728546997146270','4635295591097713565'),('6233233569370788584','4580728581356880295','4635295591097713565'),('6233233569370788585','4580740847783463644','4635295591097713565'),('6233233569370788586','4580728546997149094','4635295591097713565'),('6233233569370788591','4580740744704251412','4635295591097713598'),('6233233569370788621','4580728546997144454','6233233569370788596'),('6233233569370788647','4580740813423726609','6233233569370788622'),('6233233569370788673','4580728478277670097','6233233569370788648'),('6233233569370788699','4580722808920828459','6233233569370788674'),('6233233569370788729','4580722602762405066','4635295591097713970'),('6233233569370788759','4580726141815445297','6233233569370788734'),('6233233569370788785','4580726141815445663','6233233569370788760'),('6233233569370790599','4500569957443851525','6233233569370790574'),('6233233569370790662','6167293967267435079','6233233569370790659'),('6233233569370790741','6167293967267434792','6233233569370790716'),('6233233569370790834','6167293967267434510','6233233569370790809'),('6233233569370790881','6167293967267433949','6233233569370790856'),('6233233569370790942','6167296578607561795','6233233569370790917'),('6233233569370791086','6167293967267433570','6233233569370791061'),('6233233569370791188','6167293967267433244','6233233569370791163'),('6233233569370791462','4500569957443852262','6233233569370791437'),('6233233569370791858','4580728959314002807','6233233569370791833'),('6233233603730522121','4580723324316905696','6233233569370791920'),('6233233603730522184','4580741603697705924','6233233603730522159'),('6233233603730522221','4580728924954266281','6233233603730522196'),('6233233603730522258','4580723358676644135','6233233603730522233'),('6233233603730522336','4580741672417183816','6233233603730522311'),('6233233603730523575','4580755347593053420','6233233603730523550'),('6233233603730523680','4580744455556008050','6233233603730523655'),('6233233603730523737','4580730849099606868','6233233603730523712'),('6233233603730523909','4580729474710072835','6233233603730523884'),('6233233603730524053','4580744455556006141','6233233603730524028'),('6233233603730524134','4580755381952792818','6233233603730524109'),('6233233603730524883','4580746001744234056','4635295591097713765'),('6233233603730525019','4580754969635937517','6233233603730524994'),('6233233603730525073','4580730093185361581','6233233603730525048'),('6233233603730526692','4580746036103978645','6233233603730526667'),('6233233603730526811','4580731639373591871','6233233603730526786'),('6233233603730526885','4580746036103978060','6233233603730526860'),('6233233603730526977','4580731639373593127','6233233603730526952'),('6233233603730528685','4497713391875040716','5871529565643253162'),('6233233638090264623','4580729783947709313','6233233638090264598'),('6233233638090264711','4580725385901213261','6233233638090264686'),('6233233638090264966','4580725420260957522','6233233638090264941'),('6233233638090265093','4580729818307449331','6233233638090265068'),('6233233638090265222','4580729783947710299','6233233638090265197'),('6233233638090265642','4580730608581434932','6233233638090265617'),('6233233638090265751','4580729783947712518','6233233638090265726'),('6233233638090265938','6233231679585187365','6233233638090265913'),('6233233672450000255','4500539480355901915','5871535612957206108'),('6233233672450000300','4500539171118255811','4643059792457296258'),('6233233672450000332','4500539342916950529','4643059792457296336'),('6233233672450000348','4500577928903171359','4643059792457296362'),('6233233672450001083','4500593012828315536','6233233672450001058'),('6233233672450001140','4500585178807945787','6233233672450001115'),('6233233672450001175','4500553945805750491','6233233672450001150'),('6233233672450001322','4500593012828315569','6233233672450001297'),('6233233672450001381','4500593012828315644','6233233672450001356'),('6233233672450001495','4500585178807945979','6233233672450001470'),('6233233672450001535','4500585178807946284','6233233672450001510'),('6233233706809746187','4477026527274907755','4643063056632439324'),('6233233741169490467','4477023091301071911','6233233741169490442'),('6233233741169490468','4500588305544141112','6233233741169490442'),('6233233741169490589','4477026527274907755','4643063056632439350'),('6233233912968173332','220322113001','6233233912968173329'),('6233233947327920619','4476992304975394151','4643063056632439670'),('6233234016047393074','4473857013208977875','6233234016047393049'),('6233234016047393414','4473857013208977791','6233234016047393389'),('6233234016047395078','4477022163588133995','4643062953553231618'),('6233234016047395388','4476994022962311909','6233234016047395363'),('6233234016047395457','4476994057322047305','6233234016047395432'),('6233234016047395491','4476994057322047394','6233234016047395466'),('6233234016047395517','4477023056941330036','6233234016047395492'),('6233234016047395738','4476993748084407322','4643062953553231780'),('6233234016047396633','4500566658908966863','6233234016047396608'),('6233234016047396783','4476994641437604747','6233234016047396758'),('6233234016047396874','4476990793146904315','4643062953553231399'),('6233234016047396880','4476992820371467226','4643062953553231427'),('6233234016047396886','4477020170723303560','4643062953553231453'),('6233234016047396912','4500534017157500845','4643062953553231479'),('6233234153486340852','4500584525972935856','6233234153486340827'),('6233234153486340888','4500542366573923610','6233234153486340863'),('6233234187846088599','4476990758787164423','6233234187846088574'),('6233234187846088600','4476990758787164361','6233234187846088574'),('6233234187846088601','4476990758787164392','6233234187846088574'),('6233234187846088602','4476990758787162429','6233234187846088574'),('6233234256565562536','5437064795832256398','6233233157053931964'),('6233234256565562537','4477019895845397346','6233233157053931964'),('6233234256565562538','5437064795832256255','6233233157053931964'),('6233234256565562539','5437065414307557948','6233233157053931964'),('6233234256565562540','4477019895845397297','6233233157053931964'),('6233234256565562541','5437065414307557805','6233233157053931964'),('6233234290925297756','5437065414307557805','4643062953553231310'),('6233234359644778865','5437064795832256398','6233234359644778840'),('6233234428364251626','6233231335987802234','5871544202891800660'),('6233234634522674731','4476993816803882784','4643065049497265971'),('6233234634522675282','4477022919502379014','6233234634522675257'),('6233234634522675404','4476993816803880354','6233234634522675379'),('6233234634522675444','4476993816803880443','6233234634522675419'),('6233234634522675526','4476993816803880563','6233234634522675501'),('6233234634522678250','4500568205097194878','6233234634522678225'),('6233234634522679609','4592833276665978418','6233234634522679584'),('6233234634522680178','4592803418053257810','6233234634522680153'),('6233234634522680340','4592806682228413414','6233234634522680315'),('6233234634522680373','4592833551543880757','6233234634522680348'),('6233234634522680404','4592807025825795050','6233234634522680379'),('6233234634522681039','4592859561865829942','6233234634522681014'),('6233234634522681043','4592825717523457692','6233234634522681041'),('6233234634522681093','4592859664945044411','6233234634522681068'),('6233234634522681120','4592859699304782094','6233234634522681095'),('6233234703242166099','4477024946726940961','6233234703242166074'),('6233234703242166101','4474224043934271402','4643065118216755676'),('6233234737601896498','6167296200650439537','6233234737601896473'),('6233234737601901807','4500573771374805786','4635298546035219387'),('6233234737601901808','4500582979784704491','4635298546035219387'),('6233234737601901809','4500583185943135382','4635298546035219387'),('6233234737601901810','4500583873137909653','4635298546035219387'),('6233234737601901811','4500541645019421274','4635298546035219387'),('6233234737601901835','4500583185943135382','4635298546035219414'),('6233234737601901836','4500574046252716453','4635298546035219414'),('6233234737601901862','4500541645019421274','4635298546035219414'),('6233234737601901863','4500541885537585334','4635298546035219414'),('6233234737601901864','4500541885537588338','4635298546035219414'),('6233234806321370502','4477019895845397086','6233234806321370477'),('6233234875040842686','4476991823939056569','4643065118216756347'),('6233234875040842692','4477020789198601806','4643065118216756425'),('6233234875040843631','4476992614213039523','4643065118216756180'),('6233234875040843922','4476992614213039556','6233234875040843897'),('6233234875040843960','4500586931154623684','6233234875040843935'),('6233234875040843986','4476992614213039719','6233234875040843961'),('6233234875040844012','4477021510753103190','6233234875040843987'),('6233234875040844050','4476992614213039941','6233234875040844025'),('6233234875040844114','6233234806321372158','6233234875040844089'),('6233234875040844149','6233233157053934255','6233234875040844124'),('6233234875040844175','6233234875040841728','6233234875040844150'),('6233235218638228736','6167293967267435565','4643065118216756633'),('6233235321717450514','4548239936901257570','6233235321717450489'),('6233235321717454706','4500537281332644719','6233235321717454703'),('6233235321717454748','4500569132810132334','4635298992711811442'),('6233235321717454984','4476997115338767049','6233235321717454959'),('6233235321717455011','4497713357515307258','6233235321717454986'),('6233235321717455038','4497734076437588016','6233235321717455013'),('6233235321717455065','4497713357515307421','6233235321717455040'),('6233235321717455102','4500574492929328924','6233235321717455077'),('6233235321717455127','4500534360754882794','6233235321717455125'),('6233235321717455176','4500534360754882794','6233235321717455151'),('6233235321717455202','4500574355490374533','6233235321717455177'),('6233235321717455228','4500568033298498556','6233235321717455203'),('6233235321717455254','4500534773071741992','6233235321717455229'),('6233235321717455280','4500534773071741992','6233235321717455255'),('6233235321717455306','4500574733447497959','6233235321717455281'),('6233235321717455307','4500534360754882794','6233235321717455281'),('6233235321717455308','4500568033298498556','6233235321717455281'),('6233235321717455309','4500574355490374533','6233235321717455281'),('6233235321717455310','4500534773071741992','6233235321717455281'),('6233235321717455336','4500574355490374533','6233235321717455311'),('6233235390436919537','4476997424576409078','4643063056632439298'),('6233235390436927744','4500572878021625631','6233235390436927742'),('6233235562235616770','4477021132795983172','4643063056632439696'),('6233235596595352376','4476993782444139862','4643062953553231508'),('6233235596595352381','4476993782444139359','4643062953553231535'),('6233235596595352400','4477020170723305646','4643062953553231591'),('6233235596595352728','4477023056941328354','6233235596595352703'),('6233235596595352799','4477023056941328561','6233235596595352774'),('6233235596595353183','5437064795832258470','4643062953553231753'),('6233235596595353241','5437064795832258102','4643062953553231645'),('6233235596595353246','4455233657056175865','4643062953553231672'),('6233235596595353251','4477022060508914902','4643062953553231699'),('6233235596595353268','4476990793146903988','4643062953553231726'),('6233235596595353978','4476990930585860302','6233235596595353953'),('6233235596595354094','4500537521850812699','6233235596595354069'),('6233235596595354231','4477020823558334384','6233235596595354229'),('6233235596595354417','4476998764606204445','4687435909955736694'),('6233235596595354432','4500572878021625556','4687435909955736723'),('6233235596595361959','4592828741180509604','6233235596595361957'),('6233235596595362028','4592799775920995095','6233235596595362003'),('6233235596595362032','4592800016439162738','6233235596595362030'),('6233235596595362082','4592804758083060021','6233235596595362057'),('6233235596595362109','4592804758083065085','6233235596595362084'),('6233235596595362140','4592828741180509604','6233235596595362115'),('6233235596595362187','4592844615379635898','6233235596595362162'),('6233235596595362227','4592808194056901248','6233235596595362225'),('6233235596595362277','4592808194056904242','6233235596595362252'),('6233235596595362304','4592822041031463202','6233235596595362279'),('6233235596595362308','4592824755450786054','6233235596595362306'),('6233235596595362561','4592833414104926604','6233235596595362536'),('6233235596595362982','4592859355707395842','6233235596595362957'),('6233235596595363009','4592859493146345607','6233235596595362984'),('6233235596595363042','4592851521687044447','6233235596595363017'),('6233235596595363069','4592819842008208623','6233235596595363044'),('6233235596595363096','4592815959357766246','6233235596595363071'),('6233235596595363123','4592821147678268380','6233235596595363098'),('6233235596595363174','4592840423491555205','6233235596595363149'),('6233235596595363209','4592814207011117012','6233235596595363184'),('6233235596595363254','4592843515868004989','6233235596595363229'),('6233235596595363285','4592843550227743403','6233235596595363260'),('6233235630955095875','4592835303890542511','6233235630955095873'),('6233235630955096184','6233235630955095900','6233235630955096159'),('6233235630955096188','4592811973628115990','6233235630955096186'),('6233235630955096238','4592812007987852346','6233235630955096213'),('6233235630955096945','4592835269530799024','6233235630955096920'),('6233235630955096972','4592835510048965737','6233235630955096947'),('6233235630955096999','4592804895522009483','6233235630955096974'),('6233235630955097026','4592804964241487825','6233235630955097001'),('6233235630955097102','4592835991085304463','6233235630955097077'),('6233235630955097129','4592810393080159721','6233235630955097104'),('6233235630955097277','4592826817035160414','6233235630955097252'),('6233235630955097304','4592800394396288217','6233235630955097279'),('6233235630955097407','4592830115570048217','6233235630955097382'),('6233235630955097817','4592830115570048217','6233235630955097792'),('6233235630955098345','4592807094545269705','6233235630955098320'),('6233235630955098418','4592803761650646604','6233235630955098393'),('6233235630955098486','4592804002168811211','6233235630955098461'),('6233235630955098725','4592816199876007911','6233235630955098700'),('6233235630955098752','4592816406034439632','6233235630955098727'),('6233235630955098779','4592816440394176765','6233235630955098754'),('6233235630955098851','4592819979447223882','6233235630955098826'),('6233235630955098878','4592790670590322619','6233235630955098853'),('6233235630955098905','4592826439078042267','6233235630955098880'),('6233235630955098998','4592794209643376218','6233235630955098973'),('6233235630955099025','4592800325676816963','6233235630955099000'),('6233235802753777969','4580724080231157444','6233235802753777944'),('6233235802753777970','4580724080231159894','6233235802753777944'),('6233235802753777971','4580724080231161196','6233235802753777944'),('6233235802753777972','4580725317181720378','6233235802753777944'),('6233235802753777973','4589890536873249518','6233235802753777944'),('6233235802753777974','4589890365074556251','6233235802753777944'),('6233235837113523574','5437064795832256255','4643062953553231284'),('6233235837113523727','4477019895845397297','6233235837113523702'),('6233235837113523754','4477019895845397346','6233235837113523729'),('6233235837113523782','5437065414307557948','6233235837113523757'),('6233235905832993736','6233231335987802234','5871544202891798787'),('6233236421229071677','220382201206','6233236421229071652'),('6233236421229071678','4500588477342848789','6233236421229071652'),('6233236421229071679','4500547211297034480','6233236421229071652'),('6233236421229073799','4455233828854868343','4643065118216755758'),('6233236455588807034','4477023228740021996','6233236455588807032'),('6233236455588807083','6167293520590835308','6233236455588807058'),('6233236455588807109','6167293520590835527','6233236455588807084'),('6233236455588812024','4500574046252716453','4635298546035219308'),('6233236455588812069','4500541679379156729','4635298546035219334'),('6233236455588812128','4500541885537585334','4635298546035219440'),('6233237314582267551','4562980436459985811','4635300779418213651'),('6233237314582272903','4500575729879911639','4635298992711811257'),('6233237314582272916','4500537281332647956','4635298992711811231'),('6233237314582272947','4500575729879911639','6233237314582272945'),('6233237314582273122','4500534773071743068','6233237314582273097'),('6233237314582273149','4497713357515307541','6233237314582273124'),('6233237314582273176','4497713391875040334','6233237314582273151'),('6233237314582273203','4500568857932220693','6233237314582273178'),('6233237348942006003','4500534773071741992','6233237348942006001'),('6233237348942006052','4500568033298498556','6233237348942006027'),('6233237348942006053','4500574733447497959','6233235321717455255'),('6233237348942010105','4500534773071743113','6233237348942010080'),('6233237348942010548','4500590332768699461','6233237348942010523'),('6233237623819913232','4592804380125942084','6233237623819913230'),('6233237623819913287','4592806029393383150','6233237623819913262'),('6233237623819913314','4592802146742936527','6233237623819913289'),('6233237623819913341','6233232813456548084','6233237623819913316'),('6233237623819913399','4592846676963937084','6233237623819913397'),('6233237623819913449','4592846711323677205','6233237623819913424'),('6233237623819913476','4592814791126655211','6233237623819913451'),('6233237623819913503','4592846917482107679','6233237623819913478'),('6233237623819913549','4592804964241488739','6233237623819913524'),('6233237623819913560','4592824480572877748','6233237623819913558'),('6233237623819913610','4592824824170261661','6233237623819913585'),('6233237623819913637','4592859355707396030','6233237623819913612'),('6233237623819913664','4592824961609213911','6233237623819913639'),('6233237623819913691','6233232779096817387','6233237623819913666'),('6233237623819913718','6233232779096817645','6233237623819913693'),('6233237623819913787','4592801322109215621','6233237623819913785'),('6233237623819913837','4592802043663726952','6233237623819913812'),('6233237623819913864','4592802043663727940','6233237623819913839'),('6233237623819913891','4592806098112861091','6233237623819913866'),('6233237623819913918','4592802249822154811','6233237623819913893'),('6233237623819913945','4592806269911550974','6233237623819913920'),('6233237623819913972','4592833414104930225','6233237623819913947'),('6233237623819914302','4592829978131027424','6233237623819914277'),('6233237623819914329','4592859355707396993','6233237623819914304'),('6233237623819914375','4592830321728411203','6233237623819914350'),('6233237623819914402','4592859493146350424','6233237623819914377'),('6233237623819914448','4592852105802603559','6233237623819914423'),('6233237623819914475','4592820460483501710','6233237623819914450'),('6233237623819914502','4592817952222587463','6233237623819914477'),('6233237623819914572','4592807369423168124','6233237623819914547'),('6233237623819914607','4592812214146290596','6233237623819914582'),('6233237623819914634','4592814138291636090','6233237623819914609'),('6233237623819917098','4592804551924624537','6233237623819917073'),('6233237623819917125','4592804586284361475','6233237623819917100'),('6233237623819917129','4592804792442796808','6233237623819917127'),('6233237623819917179','4592808159697160685','6233237623819917154'),('6233237623819917225','4592811870548898076','6233237623819917200'),('6233237623819917252','4592844134343301663','6233237623819917227'),('6233237623819917279','4592812145426802621','6233237623819917254'),('6233237623819917935','4592835578768443300','6233237623819917910'),('6233237623819917963','4592805067320699345','6233237623819917938'),('6233237623819918027','4592797027141924268','6233237623819918002'),('6233237623819918054','4592799535402827106','6233237623819918029'),('6233237623819919253','4592806510429721988','6233237623819919228'),('6233237623819919281','4592806647868674917','6233237623819919256'),('6233237623819919308','4592833551543882490','6233237623819919283'),('6233237623819919335','4592833620263354480','6233237623819919310'),('6233237658179649570','4592807094545272494','6233237658179649545'),('6233237658179649647','4592834754134727999','6233237658179649622'),('6233237658179649906','4592800669274196300','6233237658179649881'),('6233237658179650432','6233237658179650012','6233237658179650407'),('6233238379734165307','4500584079296321159','6233238379734165282'),('6452138878397776890','4476991033665073726','6452138878397776865'),('6452138878397776946','4477020170723305420','6452138878397776921'),('6452138878397778098','4477023091301071911','6452138878397778073'),('6482233370643842478','5437064795832257930','6482233370643842453'),('6482233405003580828','5437065414307558653','6482233405003580803'),('6482237528172215561','5437065414307558365','6482237528172215536'),('6482237528172215588','5437065414307558509','6482237528172215563'),('6482239589756496201','5437064795832257774','6482239589756496176'),('6482241307743423477','5437065414307559137','6482241307743423452'),('6482242372895311825','5437064795832258255','6482242372895311800'),('6482242372895311854','5437065414307558184','6482242372895311829'),('6485175114003995839','4500599403739650032','6485175114003995814'),('6485175114003995871','6485255687590497123','6485175114003995846'),('6485198925302700677','6485255687590496850','6485198925302700652'),('6495364047741144022','6482247217618407370','6495364047741143997'),('6515422644525423210','4500579372012180139','4643063606388261221'),('6515422644525423211','4500540751666217410','4643063606388261221'),('6578474207539925644','6482270066844433099','4635296278292483866'),('6578474207539925678','6482258384533396114','4635296278292483736'),('6578694522182348254','6482270066844434073','4635296278292483788'),('6604398286541301857','6482270341722340727','4635296278292483788'),('6604401310198282871','4500534154596450778','6604401310198282846'),('6604402203551473785','4500568376895886779','6604402203551473760'),('6604402203551473786','4500568376895886811','6604402203551473760'),('6618422969670466675','4500538174685840677','4760231448094974323'),('6618425340492411141','6167293967267436651','6618425340492411116'),('6618425340492411142','6167296647327032531','6618425340492411116'),('6618425340492411143','6167293967267435565','6618425340492411116'),('6618425340492411144','4476991823939056569','6618425340492411116'),('6618425340492411145','6167293967267436403','6618425340492411116'),('6618425340492411146','4459060438557268528','6618425340492411116'),('6618425340492411147','6167296647327031619','6618425340492411116'),('6618425340492411148','6167293967267435861','6618425340492411116'),('6618425340492411149','6167293967267436178','6618425340492411116'),('6618425340492411150','4477020789198596936','6618425340492411116'),('6618425340492411151','4477020789198601806','6618425340492411116'),('6618429394941544821','4477019827125922299','6618429394941544796'),('6618429394941544822','4477019827125922445','6618429394941544796'),('6618429394941544823','4477019827125922412','6618429394941544796'),('6618429394941544824','4477019827125922478','6618429394941544796'),('6618429394941544825','4476990724427426521','6618429394941544796'),('6618429394941544826','4477019827125922554','6618429394941544796'),('6618433483750424196','4562981982648220891','6618433483750424171'),('6618433483750424197','4562978958991230339','6618433483750424171'),('6618433483750424198','4562984971945438854','6618433483750424171'),('6618433483750424199','4562984971945438690','6618433483750424171'),('6618433483750424200','4562984971945438769','6618433483750424171'),('6618433483750424201','4562978958991230566','6618433483750424171'),('6618433483750424202','4562981982648221018','6618433483750424171'),('6618433483750424203','4562981982648221142','6618433483750424171'),('6618433483750424252','6233233157053936740','6618433483750424227'),('6618433483750424253','6233234875040844402','6618433483750424227'),('6660500145794130107','4500566658908962966','6660500145794130082'),('6660500145794130108','4500534017157500969','6660500145794130082'),('6660500145794130109','4500534017157501453','6660500145794130082'),('6660500145794130110','4500566658908964927','6660500145794130082'),('6660500145794130111','4500534017157500269','6660500145794130082'),('6660500145794130112','4500534017157501966','6660500145794130082'),('6660500145794130113','4500572878021624607','6660500145794130082'),('6660500145794130114','4500534017157501132','6660500145794130082'),('6660500145794130115','4500566658908965909','6660500145794130082'),('6660500145794130150','4477022919502380694','6660500145794130125'),('6660500145794130151','6167296578607559100','6660500145794130125'),('6660500145794130152','6167296578607560826','6660500145794130125'),('6660500145794130153','6167296578607559364','6660500145794130125'),('6660500145794130154','4476993816803882784','6660500145794130125'),('6660500145794130155','6167296578607561108','6660500145794130125'),('6660500145794130156','4476993816803882890','6660500145794130125'),('6660500145794130157','6167293967267431200','6660500145794130125'),('6660500145794130370','4477020136363569622','6660500145794130345'),('6660500145794130371','4477020136363569876','6660500145794130345'),('6660500145794130372','4477020136363569965','6660500145794130345'),('6660500145794130373','4476990930585856741','6660500145794130345'),('6660500145794130374','4476990930585859455','6660500145794130345'),('6660500145794130375','4476990930585859486','6660500145794130345'),('6660500145794130376','4477020136363569754','6660500145794130345'),('6705589571461091570','6233231335987803950','6705589571461091545'),('6705589571461091597','6233231335987804266','6705589571461091572'),('6705589571461091624','6233233431931832943','6705589571461091599'),('6705589571461091651','6233233431931833222','6705589571461091626'),('6705589605820825673','4500534154596451637','6705589605820825648'),('6705589605820825700','4500566761988182420','6705589605820825675'),('6705589605820825727','4500534154596453314','6705589605820825702'),('6705589983777955445','4476991823939051663','6705589983777955420'),('6705590258655856421','4476991789579319663','6705590258655856396'),('6705590258655856422','4476991823939051663','6705590258655856396'),('6705590258655856456','4500607787515790243','6705590258655856453'),('6705590258655856709','6482245224753610085','6705590258655856684'),('6705590258655856763','4500544118920578005','6705590258655856738'),('6705590258655856831','6482247217618403938','6705590258655856829'),('6705590258655856871','4548284501481961712','6705590258655856856'),('6705590258655857228','4500606447486009766','6705590258655857203'),('6705590258655857279','6482247217618403712','6705590258655857254'),('6705590258655857284','4500588477342848789','6705590258655857281'),('6705590258655857479','6482256941424379333','6705590258655857454'),('6705590258655857846','6167293967267435861','6705590258655857821'),('6705590258655857923','6482244709357532308','6705590258655857920'),('6705590258655858040','4477020239442784487','6705590258655858015'),('6705590258655858067','4500534704352269161','6705590258655858042'),('6705590258655858071','4476994572718122343','6705590258655858069'),('6705590258655858121','4476994400919431762','6705590258655858096'),('6705590258655858151','4500572534424224735','6705590258655858126'),('6705590258655858178','4500579509451132595','6705590258655858153'),('6705590258655858205','4500573840094283596','6705590258655858180'),('6705590258655858232','4500573805734550408','6705590258655858207'),('6705590258655859235','4500566727628441642','4643060032975469547'),('6705590293015599277','4497734763632360900','6705590258655862285'),('6705590293015599357','4476998043051702545','6705590293015595406'),('6705590293015599847','4500598647825400667','4635301123015595593'),('6705590293015599853','4527497306445835114','4635301123015595489'),('6705593728989431120','6705590293015599864','6705593728989430834'),('6705593728989431121','4580742497050923871','6705593728989430837'),('6705593728989431122','4580742531410661554','6705593728989430840'),('6705593728989431123','4613283196510498014','6705593728989430843'),('6705593728989431124','4592841213765467833','6705593728989430846'),('6705593728989431125','4592764247951517157','6705593728989430880'),('6705593728989431126','4589890261995344552','6705593728989430946'),('6705593728989431127','4592775208708070781','6705593728989430974'),('6705593728989431128','4589888200411040340','6705593728989431021'),('6705593728989431129','4611581221229993898','6705593728989431068'),('6705593728989431130','4611774426038876577','6705593728989431094'),('6705593728989431222','4476992648572777778','6722130212072522854'),('6705593728989431227','4476992648572777778','6722130212072522908'),('6705593728989431284','4580703189510233467','6705590293015595599'),('6705593728989431289','4477021648192057647','6705590293015595626'),('6705593728989431294','4477021648192057647','6705590293015595653'),('6705593728989431299','4477021648192057647','6722130212072523080'),('6705593728989431346','4477021201515455539','6722130177712789643'),('6705593728989431351','4477021201515455539','6722130177712789724'),('6705593728989431356','4477021201515455539','6705590258655862231'),('6705593728989431361','4580710370695552936','6722130177712790104'),('6705593728989431366','4580710370695552936','6722130177712790131'),('6705593728989431371','4580710748652669848','6705590258655862679'),('6705593728989431376','4580710748652669848','6705590258655862706'),('6705593728989431406','220322106001','6705593728989431381'),('6705593728989431407','4592818948655077422','6705593728989431381'),('6705593728989431410','4580710748652669848','6705590258655862752'),('6705593728989431415','4580709168104694624','6722130177712790240'),('6705593728989431420','4580709168104694624','6722130177712790285'),('6705593728989431444','4580709168104694624','6722130177712790408'),('6705593728989431454','4477021648192056949','6705590293015594164'),('6705593728989431459','4580709580421560644','6722130177712791186'),('6705593728989431489','4580697898110503944','6705593728989431464'),('6705593728989431510','4580709580421560644','6705590293015594402'),('6705593728989431515','4580709580421560644','6722130212072521779'),('6705593728989431558','4580697898110503944','6705590293015594564'),('6705593728989431563','4548239868181776805','6705590293015595239'),('6705593728989431568','4580697898110503944','6722130212072521917'),('6705593728989431577','4548239868181776805','6705590258655862447'),('6705593728989431582','4580697898110503944','6722130212072521944'),('6705593728989431587','4580697898110503944','6722130212072522129'),('6705593728989431592','4580697898110503944','6722130212072522188'),('6705593728989431597','4548239868181776805','6705590293015596452'),('6705593728989431627','220322106001','6705593728989431602'),('6705593728989431628','4592788815164460714','6705593728989431602'),('6705593728989431631','4548239868181776805','6705590293015595320'),('6705593728989431665','220322106001','6705593728989431640'),('6705593728989431666','4592788815164460841','6705593728989431640'),('6705593728989431694','220322106001','6705593728989431669'),('6705593728989431695','4592818948655077794','6705593728989431669'),('6705593728989431723','220322106001','6705593728989431698'),('6705593728989431724','4611967046732205196','6705593728989431698'),('6705593728989431732','4548241139492099396','6722130212072524780'),('6705593728989431737','4580703601827091287','6722130212072522345'),('6705593728989431742','4548241139492099396','6705590293015596425'),('6705593728989431747','4580703601827091287','6705590293015594801'),('6705593728989431752','4548241139492099396','6705590293015596479'),('6705593728989431757','4580703601827091287','6722130212072522545'),('6705593728989431762','4548241139492099396','6705590293015596686'),('6705593728989431767','4580703876704994046','6722130212072522572'),('6705593728989431772','4548241139492099396','6705590293015596866'),('6705593728989431777','4580703876704994046','6705590293015595059'),('6705593728989431782','4548241139492099396','6705590293015594053'),('6705593728989431787','4580703876704994046','6722130212072522653'),('6705593728989431792','4580703876704994046','6722130212072522707'),('6705593728989431797','4548241139492099396','6705590293015597061'),('6705593728989431807','4580708377830707671','6722130212072524645'),('6705593728989431812','4548241139492102126','6722130212072525347'),('6705593728989431817','4580708377830707671','6722130212072524726'),('6705593728989431822','4548241139492102126','6705590293015596755'),('6705593728989431827','4580708377830707671','6705590293015596344'),('6705593728989431832','4548241139492102126','6705590293015597433'),('6705593728989431837','4548241139492102126','6705590293015597514'),('6705593728989431842','4580710473774766833','6722130177712790953'),('6705593728989431847','4580710473774766833','6722130212072524753'),('6705593728989431852','4548241139492102126','6722130212072525455'),('6705593728989431857','4580709065025480497','6722130212072525086'),('6705593728989431862','4580709065025480497','6722130212072525113'),('6705593728989431867','4580709924018933941','6705590293015597325'),('6705593728989431872','4548282096300257207','6722130212072525617'),('6705593728989431919','4580710645573441333','6722130212072525374'),('6705593728989431924','4580710645573441333','6705590293015597406'),('6705593728989431929','4580703704906307837','6705590293015597541'),('6705593728989431976','4580703704906307837','6705590293015594080'),('6705593728989431981','4548288349772653926','6722130177712791061'),('6705593728989431986','4580703704906307837','6722130212072525482'),('6705593728989432075','4580703704906307837','6722130212072525590'),('6705593728989432080','4548288349772653926','6705590293015597870'),('6705593728989432085','4580715868253679316','6705590258655862478'),('6705593728989432090','4580699444298733989','6722130177712791034'),('6705593728989432095','4580709236824171959','6722130177712789697'),('6705593728989432100','4548288349772653926','6722130212072526080'),('6705593728989432108','4562983975513025610','6722130177712789751'),('6705593728989432113','4580699444298733989','6705590293015597730'),('6705593728989432118','4562980780057360421','6705590258655862204'),('6705593728989432126','4548241345650527341','6705590293015594375'),('6705593728989432131','4548241345650527341','6722130212072521752'),('6705593728989432136','4580708412190446033','6705590293015597843'),('6705593728989432141','4580708412190446033','6722130212072525779'),('6705593728989432146','4548241345650527341','6722130212072521836'),('6705593728989432176','4687431477549474141','6705593728989432151'),('6705593728989432178','4580710611213719383','6722130212072526107'),('6705593728989432183','4562977825119863446','6722130177712789805'),('6705593728989432213','4687437421784220203','6705593728989432188'),('6705593728989432215','4548241345650527341','6722130212072521971'),('6705593728989432245','4580697898110506751','6705593728989432220'),('6705593728989432247','4548282817854760294','6722130177712788817'),('6705593728989432252','4548282817854760294','6722130177712788871'),('6705593728989432257','4548282817854760294','6722130177712788925'),('6705593728989432287','4643059380140441360','6705593728989432262'),('6705593728989432289','4548282817854760294','6722130177712788995'),('6705593728989432294','4580709408622863739','6705590293015594645'),('6705593728989432299','4580709408622863739','6705590293015594672'),('6705593728989432304','4580709408622863739','6705590258655862339'),('6705593728989432309','4580709580421558800','6722130177712788844'),('6705593728989432314','4580709580421558800','6705590258655860336'),('6705593728989432319','4580709580421558800','6722130177712788898'),('6705593728989432358','4580702742833633335','6705593728989432333'),('6705593728989432363','4548241689247915971','6722130177712789103'),('6705593728989432368','4548241689247915971','6705590258655860478'),('6705593728989432423','4580702777193366246','6705593728989432398'),('6705593728989432425','4548241689247915971','6705590258655860586'),('6705593728989432430','4548241689247915971','6722130177712789211'),('6705593728989432435','4548241414370005312','6722130177712789265'),('6705593728989432465','4580699616097432381','6705593728989432440'),('6705593728989432467','4548241414370005312','6705590258655860640'),('6705593728989432472','4562981535971621420','6705590258655862517'),('6705593728989432477','4548288487211613954','6722130177712789346'),('6705593728989432482','4548288487211613954','6722130177712789427'),('6705593728989432487','4548288487211613954','6705590258655860694'),('6705593728989432492','4548288487211613954','6722130177712789454'),('6705593728989432497','4548288487211613954','6722130177712790042'),('6705593728989432502','4548288487211613954','6722130177712789481'),('6705593728989432507','4580724389468788827','6722130212072522074'),('6705593728989432552','4562991019259407864','6722130212072522101'),('6705593728989432557','4548282955293718432','6705590258655860748'),('6705593728989432562','4548282955293718432','6722130177712789535'),('6705593728989432567','4548282955293718432','6705590258655860775'),('6705593728989432597','220322107206','6705593728989432572'),('6705593728989432599','4548282955293718432','6722130212072522815'),('6705593728989432604','4580709236824171959','6722130212072522318'),('6705593728989432609','4548282955293718432','6722130177712788968'),('6705593728989432634','4562983975513025610','6705590293015594766'),('6705593728989432719','4562992324929455426','6722130212072522518'),('6705593728989432724','4548241757967389398','6705590258655860363'),('6705593728989432789','4548241757967389398','6705590258655860397'),('6705593728989432794','4562983803714351981','6722130177712790077'),('6705593728989432841','4548241757967389398','6722130177712789022'),('6705593728989432846','4562983803714351981','6722130212072522599'),('6705593728989432851','4548241757967389398','6705590258655860424'),('6705593728989432856','4562984525268841598','6722130212072522626'),('6705593728989432883','4548288555931088021','6722130177712789562'),('6705593728989432888','4562981535971621420','6705590293015595212'),('6705593728989432893','4548288555931088021','6722130177712789589'),('6705593728989432955','4562985968377864616','6705590258655862544'),('6705593728989432985','4476991789579314853','6705593728989432960'),('6705593728989433014','4580702811553111801','6705593728989432989'),('6705593728989433041','220322107212','6705593728989433016'),('6705593728989433087','4580702983351800927','6705593728989433062'),('6705593728989433136','220322107212','6705593728989433111'),('6705593728989433163','4476991755219577441','6705593728989433138'),('6705593728989433190','4580702983351803744','6705593728989433165'),('6705593728989433217','4500618335955490297','6705593728989433192'),('6705593728989433244','4548288555931088021','6705593728989433219'),('6705593728989433309','4548288555931088021','6705593728989433284'),('6705593728989433336','4548288555931088021','6705593728989433311'),('6705593728989433363','4548288555931088021','6705593728989433338'),('6705593728989433390','4548288555931088021','6705593728989433365'),('6705593728989433417','220322107203','6705593728989433392'),('6705593728989433444','4477020583040171045','6705593728989433419'),('6705593728989433471','4548288624650560068','6705593728989433446'),('6705593728989433578','4548288624650560068','6705593728989433553'),('6705593728989433605','4592810152562053002','6705593728989433580'),('6705593728989433635','4548288624650560068','6705593728989433610'),('6705593728989433662','4592772975325062656','6705593728989433637'),('6705593728989433690','4548288624650560068','6705593728989433665'),('6705593728989433695','4548288624650560068','6705593728989433692'),('6705593728989433744','220302000000','6705593728989433719'),('6705593728989433745','4548288624650560068','6705593728989433719'),('6705593728989433773','4476991480341670503','6705593728989433748'),('6705593728989433819','4476991480341672340','6705593728989433794'),('6705593728989433889','4580712466639588237','6705593728989433864'),('6705593728989433954','220322107204','6705593728989433929'),('6705593728989434104','4477021648192057452','6705593728989434079'),('6705593728989434131','4580703223869964293','6705593728989434106'),('6705593728989434242','4580709442982608125','6705593728989434217'),('6705593728989434498','4580703223869965680','6705593728989434473'),('6705593728989434529','220322107001','6705593728989434504'),('6705593728989434598','4500607787515790692','6705593728989434573'),('6705593728989434625','4500607787515797450','6705593728989434600'),('6705593728989434652','4527512596529406106','6705593728989434627'),('6705593728989434934','4580703223869967389','6705593728989434925'),('6705593728989434977','4580699925335079863','6705593728989434952'),('6705593728989435172','4580703258229707433','6705593728989435147'),('6705593728989435302','4580709889659194879','6705593728989435277'),('6705593728989435348','4580709271183911495','6705593728989435323'),('6705593728989435375','4628183503212466893','6705593728989435350'),('6705593728989435402','220322107214','6705593728989435377'),('6705593728989435458','220322107202','6705593728989435443'),('6705593728989435717','4580708583989148076','6705593728989435692'),('6705593728989435744','4562956590801543190','6705593728989435719'),('6705593728989435790','4580709202464427208','6705593728989435765'),('6705593728989435878','220322107207','6705593728989435853'),('6705593728989435905','4580708652708625641','6705593728989435880'),('6705593728989436102','4476994160401267702','6705593728989436077'),('6705593728989436129','4476994160401267795','6705593728989436104'),('6705593728989436194','220322108206','6705593728989436169'),('6705593728989436221','220322108206','6705593728989436196'),('6705593728989436248','220322108001','6705593728989436223'),('6705593728989436415','4580699478658468999','6705593728989436390'),('6705593728989436420','4580704014143952194','6705593728989436417'),('6705593728989436546','4580703945424471003','6705593728989436521'),('6705593728989436573','4580703945424473744','6705593728989436548'),('6705593728989436670','4476992717292251456','6705593728989436645'),('6705593728989436716','220322103003','6705593728989436691'),('6705593728989436717','4616949414954273297','6705593728989436691'),('6705593728989436745','220322103003','6705593728989436720'),('6705593728989436746','4613301578970522565','6705593728989436720'),('6705593728989436850','220322103005','6705593728989436825'),('6705593728989436851','4628183571931939516','6705593728989436825'),('6705593728989436898','220322103005','6705593728989436873'),('6705593728989436899','4613301578970525009','6705593728989436873'),('6705593728989436946','4477022919502379475','6705593728989436921'),('6705593728989437011','4476993816803880840','6705593728989436986'),('6705593728989437038','4477022919502379611','6705593728989437013'),('6705593728989437065','4477022919502379685','6705593728989437040'),('6705593728989437111','4476993816803880903','6705593728989437086'),('6705593728989437157','4476993816803880987','6705593728989437132'),('6705593728989437223','4476993816803880987','6705593728989437198'),('6705593728989437269','220322107206','6705593728989437244'),('6705593728989437296','4477022919502380066','6705593728989437271'),('6705593728989437323','4477022919502380214','6705593728989437298'),('6705593728989437350','4476993816803881081','6705593728989437325'),('6705593728989437434','4476993816803883278','6705593728989437409'),('6705593728989437503','4477022988221851406','6705593728989437478'),('6705593728989437788','4580702536675189876','6705593728989437763'),('6705593728989437815','4592830424807625671','6705593728989437790'),('6705593728989437842','4592796236867940946','6705593728989437817'),('6705593728989437869','4459060301118312678','6705593728989437844'),('6705593728989437870','4476994641437601226','6705593728989437844'),('6705593728989437898','4459060301118312678','6705593728989437873'),('6705593728989437899','4476994641437601331','6705593728989437873'),('6705593728989437927','4476993851163616383','6705593728989437902'),('6705593763349168130','4477022988221855978','6705593728989437929'),('6705593763349168157','4459060301118312678','6705593763349168132'),('6705593763349168158','4476994641437601363','6705593763349168132'),('6705593763349168186','4476993851163617438','6705593763349168161'),('6705593763349168213','4459060301118312678','6705593763349168188'),('6705593763349168214','4476994641437601394','6705593763349168188'),('6705593763349168242','4477022988221856570','6705593763349168217'),('6705593763349168269','4476993851163617543','6705593763349168244'),('6705593763349168296','220322103206','6705593763349168271'),('6705593763349168297','4476994160401262605','6705593763349168271'),('6705593763349168329','4459060301118312678','6705593763349168304'),('6705593763349168330','4476994641437601542','6705593763349168304'),('6705593763349168358','4459060301118312678','6705593763349168333'),('6705593763349168359','4477024053373743682','6705593763349168333'),('6705593763349168387','4477023056941326713','6705593763349168362'),('6705593763349168414','220322103206','6705593763349168389'),('6705593763349168415','4476994160401262698','6705593763349168389'),('6705593763349168443','4476993988602572533','6705593763349168418'),('6705593763349168470','220322103206','6705593763349168445'),('6705593763349168471','4476994160401262808','6705593763349168445'),('6705593763349168499','220322103206','6705593763349168474'),('6705593763349168500','4476994160401262916','6705593763349168474'),('6705593763349168528','220322103206','6705593763349168503'),('6705593763349168529','4476994813236294080','6705593763349168503'),('6705593763349168557','220322103206','6705593763349168532'),('6705593763349168558','4476995053754461692','6705593763349168532'),('6705593763349168598','220322103206','6705593763349168573'),('6705593763349168599','4476994160401263230','6705593763349168573'),('6705593763349168605','4592778541602683764','6705593763349168602'),('6705593763349168686','4476994194761000404','6705593763349168661'),('6705593763349168713','4477023194380285601','6705593763349168688'),('6705593763349168740','4592853686350567480','6705593763349168715'),('6705593763349168767','4592807197624481698','6705593763349168742'),('6705593763349168794','4477023194380287005','6705593763349168769'),('6705593763349168841','4477023194380287110','6705593763349168816'),('6705593763349168918','4477023056941330535','6705593763349168893'),('6705593763349168957','4477023056941330571','6705593763349168932'),('6705593763349168988','4477023056941330703','6705593763349168963'),('6705593763349169113','4477023056941330796','6705593763349169088'),('6705593763349169144','4476994057322048861','6705593763349169119'),('6705593763349169365','4477023056941332492','6705593763349169340'),('6705593763349169492','4592804517564884519','6705593763349169467'),('6705593763349169519','4477023056941332609','6705593763349169494'),('6705593763349169641','4476994091681785842','6705593763349169616'),('6705593763349170125','4477021648192057790','6705593763349170100'),('6705593763349170228','4476992373694871110','6705593763349170203'),('6705593763349170255','4477021270234935693','6705593763349170230'),('6705593763349170286','4476992511133821804','6705593763349170261'),('6705593763349170313','4477022094868655854','6705593763349170288'),('6705593763349170340','4477021545112838855','6705593763349170315'),('6705593763349170367','4477021545112841161','6705593763349170342'),('6705593763349170372','4477022163588129723','6705593763349170369'),('6705593763349170421','4476992682932518193','6705593763349170396'),('6705593763349170426','4477021648192054704','6705593763349170423'),('6705593763349170551','4476993438846762472','6705593763349170526'),('6705593763349170578','4477021648192057321','6705593763349170553'),('6705593763349170605','4477022163588131719','6705593763349170580'),('6705593763349170689','4476992682932518896','6705593763349170664'),('6705593763349170716','4477022163588133068','6705593763349170691'),('6705593763349170743','4476991789579318120','6705593763349170718'),('6705593763349170770','4477022163588133233','6705593763349170745'),('6705593763349170868','4613301475891311702','6722134266521651689'),('6705593763349170869','4616949414954273083','6722134266521651689'),('6705593763349170870','4613301475891311736','6722134266521651689'),('6705593763349170974','4476991789579318055','4643064465381726540'),('6705593763349171005','4613301475891311770','6705593763349170980'),('6705593763349171056','4562975385578441842','6705593763349171031'),('6705593763349171083','4562978477954904154','6705593763349171058'),('6705593763349171110','220322103001','6705593763349171085'),('6705593763349171137','220322103001','6705593763349171112'),('6705593763349171164','4562975419938179984','6705593763349171139'),('6705593763349171206','4562978546674379106','6705593763349171181'),('6705593763349171233','4562973530152574312','6705593763349171208'),('6705593763349171261','4562976210212157682','6705593763349171236'),('6705593763349171367','4562967311039933406','6705593763349171263'),('6705593763349171368','4562964596620595738','6705593763349171289'),('6705593763349171369','4562964596620596712','6705593763349171315'),('6705593763349171370','4562962741194712446','6705593763349171341'),('6705593763349171406','4562976210212159113','6705593763349171381'),('6705593763349171436','4563008920683089503','6705593763349171411'),('6705593763349171463','4563024794882203873','6705593763349171438'),('6705593763349171490','4563024794882204113','6705593763349171465'),('6705593763349171522','4476993988602573266','6705593763349171497'),('6705593763349171574','4562977825119863446','6705593763349171549'),('6705593763349171601','4563005931385841507','6705593763349171576'),('6705593763349171654','4562983975513025424','6705593763349171629'),('6705593763349171759','4580746001744234056','6705593763349171734'),('6705593763349171786','4562981535971618797','6705593763349171761'),('6705593763349171817','4562977825119870606','6705593763349171792'),('6705593763349171845','4562977825119870733','6705593763349171820'),('6705593763349171847','4477023056941327043','6705593763349171497'),('6705593763349171848','4476993988602573437','6705593763349171497'),('6705593763349171849','4476993988602573848','6705593763349171497'),('6705593763349171850','4476993988602573557','6705593763349171497'),('6705593763349171851','4477023056941327242','6705593763349171497'),('6705593763349171852','4477023056941327118','6705593763349171497'),('6705593763349171853','4476993988602573032','6705593763349171497'),('6705593763349171854','4477023056941327276','6705593763349171497'),('6705593763349171855','4477023056941327636','6705593763349171497'),('6705593763349171893','4562978924631491377','6705593763349171868'),('6705593763349171920','4477023056941327242','6705593763349171895'),('6705593763349171947','4562978924631491510','6705593763349171922'),('6705593763349171974','4562978924631491543','6705593763349171949'),('6705593763349172001','4562981982648220255','6705593763349171976'),('6705593763349172028','4562978924631491652','6705593763349172003'),('6705593763349172056','4580716040052381915','6705593763349172031'),('6705593763349172083','4580712157401930172','6705593763349172058'),('6705593763349172111','4580712191761664885','6705593763349172086'),('6705593763349172138','4580710198896851652','6705593763349172113'),('6705593763349172166','4562964596620596712','6705593763349172140'),('6705593763349172170','4580710198896852284','6705593763349172168'),('6705593763349172220','4580710198896852803','6705593763349172195'),('6705593763349172248','4580710233256583186','6705593763349172223'),('6705593763349172276','4562984662707793356','6705593763349172251'),('6705593763349172323','4562984697067531957','6705593763349172298'),('6705593763349172369','4562981261093714949','6705593763349172344'),('6705593763349172397','4562981810849528128','6705593763349172372'),('6705593763349172428','4562981810849529076','6705593763349172403'),('6705593763349172455','4562991053619133305','6705593763349172430'),('6705593763349172482','4562992256209976903','6705593763349172457'),('6705593763349172509','4476994160401262916','6705593763349172484'),('6705593763349172541','4562964596620596712','6705593763349172515'),('6705593763349172568','4562988545358244412','6705593763349172543'),('6705593763349172615','4562984078592252328','6705593763349172590'),('6705593763349172642','4562992290569708795','6705593763349172617'),('6705593763349172669','4477023091301071836','6705593763349172644'),('6705593763349172696','4476994160401263230','6705593763349172671'),('6705593763349172723','4476993988602573437','6705593763349172698'),('6705593763349172750','4562996207579902613','6705593763349172725'),('6705593763349172777','4562993939837164086','6705593763349172752'),('6705593763349172804','4562993939837164943','6705593763349172779'),('6705593763349172831','4562996379378596699','6705593763349172806'),('6705593763349172858','4562996207579899789','6705593763349172833'),('6705593763349172887','4562989954107518651','6705593763349172862'),('6705593763349172914','4562983975513025931','6705593763349172889'),('6705593763349172941','4562981535971619139','6705593763349172916'),('6705593763349172968','4562983975513027692','6705593763349172943'),('6705593763349172995','4562983975513028021','6705593763349172970'),('6705593763349173022','4562983975513028448','6705593763349172997'),('6705593763349173049','4562981535971621454','6705593763349173024'),('6705593763349173076','4562995382946177732','6705593763349173051'),('6705593763349173081','4562976759967985288','6705593763349173078'),('6705593763349173130','4562976382010850093','6705593763349173105'),('6705593763349173157','4562976759967988909','6705593763349173132'),('6705593763349173279','4580709992738411769','6705593763349173254'),('6705593763349173420','4580710027098145136','6705593763349173395'),('6705593763349173561','4580712054322732886','6705593763349173536'),('6705593763349173588','4580710027098145824','6705593763349173563'),('6705593763349173615','4580716074412112396','6705593763349173590'),('6705593763349173642','4580723908432450764','6705593763349173617'),('6705593763349173669','4580723942792189326','6705593763349173644'),('6705593763349173696','4580716177491323983','6705593763349173671'),('6705593763349173723','4563010501231061009','6705593763349173698'),('6705593763349173750','4563010501231062047','6705593763349173725'),('6705593763349173777','4563010501231062081','6705593763349173752'),('6705593763349173804','4563008508366231068','6705593763349173779'),('6705593763349173831','4563010501231062081','6705593763349173806'),('6705593763349173858','4563008508366231068','6705593763349173833'),('6705593763349173862','4562986174536298837','6705593763349173860'),('6705593763349173912','4562986174536299351','6705593763349173887'),('6705593763349174536','4562979817984688522','6705593763349174534'),('6705593763349174586','4562979852344428055','6705593763349174561'),('6705593763349174613','4562983975513030337','6705593763349174588'),('6705593763349174640','4562977928199084358','6705593763349174615'),('6705593763349174667','4562984044232501065','6705593763349174642'),('6705593763349174694','4562984044232501217','6705593763349174669'),('6705593763349174721','4562979783624950752','6705593763349174696'),('6705593763349174748','4562979783624952577','6705593763349174723'),('6705593763349174775','4562983769354613345','6705593763349174750'),('6705593763349174802','4562983803714351282','6705593763349174777'),('6705593763349174869','4562996551177283843','6705593763349174844'),('6705593763349174873','4563024829241943132','6705593763349174871'),('6705593763349174900','4580750915186824591','6705593763349174898'),('6705593763349174927','4562996757335715133','6705593763349174925'),('6705593763349174977','4580752117777649535','6705593763349174952'),('6705593763349174981','220322203208','6705593763349174979'),('6705593763349175031','4562997616329169712','6705593763349175006'),('6705593763349175058','4562997307091528423','6705593763349175033'),('6705593763349175062','4589882427974985014','6705593763349175060'),('6705593763349175089','4580728546997144454','6705593763349175087'),('6705593763349175139','4580723530475338335','6705593763349175114'),('6705593763349175166','4580739473393949231','6705593763349175141'),('6705593763349175193','4592897632455934994','6705593763349175168'),('6705593763349175220','4580732257848887800','6705593763349175195'),('6705593763349175247','4580728237759502672','6705593763349175222'),('6705593763349175274','4580719063709350143','6705593763349175249'),('6705593763349175278','4580732841964443141','6705593763349175276'),('6705593763349175328','4580732841964445085','6705593763349175303'),('6705593763349175355','4580732876324176922','6705593763349175330'),('6722130177712783556','4500574527289072635','6722130177712783531'),('6722130177712784889','4527512562169671780','6722130177712784867'),('6722130177712784961','4500536216180757151','6722130177712784936'),('6722130177712784962','4500575729879909915','6722130177712784936'),('6722130177712784963','4500537281332644861','6722130177712784936'),('6722130177712784964','4500575729879911294','6722130177712784936'),('6722130177712784965','5871529703082205635','6722130177712784936'),('6722130177712784966','4957966107405818340','6722130177712784936'),('6722130177712784967','4500537281332644425','6722130177712784936'),('6722130177712784968','4500575729879911171','6722130177712784936'),('6722130177712784969','4500537281332649833','6722130177712784936'),('6722130177712784970','4500568892291957865','6722130177712784936'),('6722130177712784971','4500568892291964466','6722130177712784936'),('6722130177712784972','4500568892291963786','6722130177712784936'),('6722130177712784973','4500537281332646904','6722130177712784936'),('6722130177712784974','4500568892291957189','6722130177712784936'),('6722130177712784975','4500536319259974371','6722130177712784936'),('6722130177712785226','4527504659429848438','6722130177712785201'),('6722130177712785253','6482245121674392890','6722130177712785228'),('6722130177712785280','4500550063155315695','6722130177712785255'),('6722130177712785335','4500600640690214752','6722130177712785333'),('6722130177712785385','4500615415377723713','6722130177712785360'),('6722130177712785412','6482245052954892952','6722130177712785387'),('6722130177712785439','4500550887789038932','6722130177712785414'),('6722130177712785466','4500550681630608767','6722130177712785441'),('6722130177712785671','4500577482226554356','6722130177712785646'),('6722130177712785683','4500582155150967034','6722130177712785681'),('6722130177712785733','4500582155150967943','6722130177712785708'),('6722130177712785844','4548278213649817756','6722130177712785819'),('6722130177712785871','6482267421144578356','6722130177712785846'),('6722130177712786043','4477020789198596936','6722130177712786041'),('6722130177712786116','6167296647327031619','6722130177712786091'),('6722130177712786343','6482249863318279540','6722130177712786341'),('6722130177712786393','220382003202','6722130177712786368'),('6722130177712786434','4477020239442784449','6722130177712786409'),('6722130177712786461','4500574527289071628','6722130177712786436'),('6722130177712786488','4500534704352269014','6722130177712786463'),('6722130177712786515','4500576313995462207','6722130177712786490'),('6722130177712786542','4476997184058238596','6722130177712786517'),('6722130177712786572','4500540889105173931','6722130177712786547'),('6722130177712786599','4500540889105176024','6722130177712786574'),('6722130177712786626','4500540923464910808','6722130177712786601'),('6722130177712786671','6233235287357706613','6722130177712786646'),('6722130177712787876','6586799022390770862','4643060032975469416'),('6722130177712787877','6589172764915927470','4643060032975469416'),('6722130177712787878','6589172764915928607','4643060032975469416'),('6722130177712787879','6589172764915928161','4643060032975469416'),('6722130177712787880','6589172764915927812','4643060032975469416'),('6722130177712787881','6589173074153571878','4643060032975469416'),('6722130177712787882','6589172764915929084','4643060032975469416'),('6722130177712787883','6589172764915930373','4643060032975469416'),('6722130177712787884','6589172764915929588','4643060032975469416'),('6722130177712787885','6589172764915929931','4643060032975469416'),('6722130212072523165','4500609196265068449','6722130212072523140'),('6722130212072525831','4500573805734550408','6722130212072525806'),('6722130212072525832','4500573840094283596','6722130212072525806'),('6722130212072525833','4500573840094286375','6722130212072525806'),('6722130280792002472','6233234875040844402','4957986620169630140'),('6722130280792002473','6233233157053936740','4957986620169630140'),('6722130280792003174','4497734763632360900','6722130177712789778'),('6722130280792003179','4497734763632360900','6705590258655862312'),('6722130280792004173','4500598407307218564','4635301123015595515'),('6722134197802180111','4476992648572777778','6722130212072522881'),('6722134197802180158','4476992648572777778','6705590293015595437'),('6722134197802180163','4476992648572777778','6705590293015595464'),('6722134197802180183','4580703189510233467','6722130212072522972'),('6722134197802180188','4580703189510233467','6722130212072522999'),('6722134197802180193','4580703189510233467','6722130212072523026'),('6722134197802180198','4580703189510233467','6722130212072523053'),('6722134197802180203','4477021648192057647','6705590293015595680'),('6722134197802180208','4477021648192057647','6705590293015595712'),('6722134197802180213','4477021201515455539','6705590258655862177'),('6722134197802180218','4477021201515455539','6705590258655862258'),('6722134197802180223','4580710370695552936','6705590258655862571'),('6722134197802180228','4580710370695552936','6705590258655862625'),('6722134197802180233','4580710370695552936','6722130177712790158'),('6722134197802180238','4580710748652669848','6722130177712790185'),('6722134197802180243','4580710748652669848','6705590293015592993'),('6722134197802180248','4580709168104694624','6722130177712790327'),('6722134197802180253','4580709168104694624','6722130177712790354'),('6722134197802180258','4477021648192056949','6722130177712790462'),('6722134197802180263','4477021648192056949','6705590293015594026'),('6722134197802180268','4477021648192056949','6722130177712791007'),('6722134197802180273','4477021648192056949','6705590293015594110'),('6722134197802180278','4548287353340240140','6705590293015594931'),('6722134197802180283','4580709580421560644','6705590293015594245'),('6722134197802180459','4548287353340240140','6705590258655862652'),('6722134197802180464','4580709580421560644','6722130177712791490'),('6722134197802180469','4548239868181776805','6722130177712790015'),('6722134197802180474','4548239868181776805','6722130177712790381'),('6722134197802180479','4580703601827091287','6722130212072522291'),('6722134197802180484','4548239868181776805','6705590293015596371'),('6722134197802180489','4548239868181776805','6705590293015593999'),('6722134197802180539','220322106001','6722134197802180514'),('6722134197802180540','4592788815164460806','6722134197802180514'),('6722134197802180596','220322106001','6722134197802180571'),('6722134197802180597','4592818948655077631','6722134197802180571'),('6722134197802180600','4580702811553111801','6705590293015595491'),('6722134197802180605','4580702811553111801','6705590293015595518'),('6722134232161910786','4580702811553111801','6722130212072522945'),('6722134232161910791','4580702811553111801','6705590293015595545'),('6722134232161910796','4580702811553111801','6705590293015595572'),('6722134232161910801','4548241139492099396','6705590293015596548'),('6722134232161910806','4580703601827091287','6722130177712790435'),('6722134232161910811','4580703876704994046','6722130212072522734'),('6722134232161910816','4580708377830707671','6722130212072524672'),('6722134232161910821','4548241139492102126','6705590293015597352'),('6722134232161910826','4580708377830707671','6722130212072524699'),('6722134232161910831','4580710473774766833','6705590258655862598'),('6722134232161910836','4548241139492102126','6722130212072525401'),('6722134232161910841','4580710473774766833','6705590293015595293'),('6722134232161910846','4580710473774766833','6722130212072522788'),('6722134232161910851','4548241139492102126','6705590293015597568'),('6722134232161910856','4580709065025480497','6705590293015596398'),('6722134266521649154','4580709065025480497','6722130212072524849'),('6722134266521649216','4580709065025480497','6705590293015596617'),('6722134266521649221','4548282096300257207','6705590293015597595'),('6722134266521649226','4580709924018933941','6705590293015597088'),('6722134266521649231','4548282096300257207','6705590293015597487'),('6722134266521649236','4580709924018933941','6722130212072525224'),('6722134266521649241','4548282096300257207','6722130212072525428'),('6722134266521649246','4580709924018933941','6705590293015597379'),('6722134266521649251','4548282096300257207','6722130212072525509'),('6722134266521649256','4580709924018933941','6722130212072525293'),('6722134266521649261','4548282096300257207','6722130212072525563'),('6722134266521649266','4548282096300257207','6722130212072525644'),('6722134266521649328','4580710645573441333','6722130212072525320'),('6722134266521649333','4548282096300257207','6705590293015597622'),('6722134266521649338','4580710645573441333','6722130177712790980'),('6722134266521649343','4580710645573441333','6705590293015597460'),('6722134266521649348','4548288349772653926','6722130212072525671'),('6722134266521649353','4548288349772653926','6705590293015597762'),('6722134266521649358','4580724389468788827','6705590258655862366'),('6722134266521649363','4548288349772653926','6722130212072525752'),('6722134266521649368','4562991019259407864','6705590258655859964'),('6722134266521649373','4580703704906307837','6722130212072525536'),('6722134266521649378','4562976691248512270','6722130177712789616'),('6722134266521649383','4580699444298733989','6705590293015597649'),('6722134266521649388','4548288349772653926','6705590293015594137'),('6722134266521649393','4548288349772653926','6705590293015594218'),('6722134266521649398','4580699444298733989','6722130212072525698'),('6722134266521649403','4580699444298733989','6722130212072525725'),('6722134266521649408','4562992324929455426','6722130177712791463'),('6722134266521649413','4580708412190446033','6705590293015597789'),('6722134266521649418','4580708412190446033','6705590293015597816'),('6722134266521649465','4548241345650527341','6705590293015594456'),('6722134266521649470','4580708412190446033','6722130212072526046'),('6722134266521649475','4548241345650527341','6705590293015594537'),('6722134266521649480','4580710611213719383','6705590293015594191'),('6722134266521649485','4548241345650527341','6722130212072521890'),('6722134266521649490','4580710611213719383','6722130177712791213'),('6722134266521649495','4548241345650527341','6705590293015594618'),('6722134266521649500','4580710611213719383','6722130177712791436'),('6722134266521649525','4580710611213719383','6722130177712791517'),('6722134266521649530','4580709820939716539','6722130177712791544'),('6722134266521649535','4580709820939716539','6705590293015594429'),('6722134266521649540','4580709820939716539','6705590293015594483'),('6722134266521649545','4580709820939716539','6722130212072521806'),('6722134266521649575','4635297755761233166','6722134266521649550'),('6722134266521649577','4580709820939716539','6705590293015594510'),('6722134266521649582','4580709408622863739','6722130212072521863'),('6722134266521649587','4580709408622863739','6705590293015594591'),('6722134266521649617','4580697966829982120','6722134266521649592'),('6722134266521649623','4548282817854760294','6705590258655862420'),('6722134266521649653','4643059380140441395','6722134266521649628'),('6722134266521649680','4476994538358390150','6722134266521649655'),('6722134266521649686','4580709580421558800','6722130177712789670'),('6722134266521649691','4548282817854760294','6705590258655860559'),('6722134266521649696','4548282817854760294','6722130177712789184'),('6722134266521649701','4580709580421558800','6705590258655860309'),('6722134266521649706','4548282817854760294','6705590258655860613'),('6722134266521649736','4580702742833629987','6722134266521649711'),('6722134266521649738','4548241689247915971','6705590258655860505'),('6722134266521649768','4580702742833634367','6722134266521649743'),('6722134266521649770','4548241689247915971','6705590258655860532'),('6722134266521649800','4459060472917001826','6722134266521649775'),('6722134266521649802','4548241689247915971','6722130177712789130'),('6722134266521649807','4548241689247915971','6722130177712789157'),('6722134266521649837','4459060472917001875','6722134266521649812'),('6722134266521649864','4476991445981930689','6722134266521649839'),('6722134266521649866','4548241414370005312','6722130177712789238'),('6722134266521649896','4476991445981932517','6722134266521649871'),('6722134266521649898','4548241414370005312','6722130177712789984'),('6722134266521649903','4548241414370005312','6722130177712789292'),('6722134266521649908','4562998784560261193','6722130212072522047'),('6722134266521649913','4548241414370005312','6722130177712789319'),('6722134266521649923','4548241414370005312','6705590258655860667'),('6722134266521649928','4548241414370005312','6705590258655860451'),('6722134266521649938','4548288487211613954','6722130177712789373'),('6722134266521649943','4548288487211613954','6722130177712789400'),('6722134266521650012','220322107206','6722134266521649987'),('6722134266521650014','4548282955293718432','6722130177712789508'),('6722134266521650019','4548282955293718432','6705590258655860721'),('6722134266521650024','4562976691248512270','6722130212072522161'),('6722134266521650069','4580715868253679316','6722130212072522215'),('6722134266521650174','4548282955293718432','6705590258655862393'),('6722134266521650179','4562980780057360421','6722130212072522442'),('6722134266521650184','4562998784560261193','6705590293015594958'),('6722134266521650229','4562981982648219686','6705590293015594985'),('6722134266521650234','4548241757967389398','6705593728989430659'),('6722134266521650239','4548241757967389398','6722130177712789049'),('6722134266521650244','4548241757967389398','6722130177712789076'),('6722134266521650249','4548241757967389398','6705590258655860802'),('6722134266521650254','4562991053619133305','6722130212072522680'),('6722134266521650259','4580712157401930172','6705590293015595158'),('6722134266521650264','4562977825119863446','6705590293015595185'),('6722134266521650269','4548288555931088021','6705590258655860829'),('6722134266521650274','4563024760522473166','6705590293015595266'),('6722134266521650279','4563024760522473166','6722130212072522761'),('6722134266521650284','4562973530152574312','6705590293015595347'),('6722134266521650289','4562986311975235245','6705590293015595374'),('6722134266521650319','4476991789579314817','6722134266521650294'),('6722134266521650366','4580698276067628837','6722134266521650341'),('6722134266521650393','4580699650457172776','6722134266521650368'),('6722134266521650420','220322107212','6722134266521650395'),('6722134266521650447','4580702983351800927','6722134266521650422'),('6722134266521650550','4477020686119378976','6722134266521650525'),('6722134266521650577','4580698344787102919','6722134266521650552'),('6722134266521650642','4500618335955490490','6722134266521650617'),('6722134266521650669','4580708377830709328','6722134266521650644'),('6722134266521650943','4477020583040169639','6722134266521650918'),('6722134266521650970','4580710198896855612','6722134266521650945'),('6722134266521650997','4476991445981934456','6722134266521650972'),('6722134266521651007','4477020583040170970','6722134266521651004'),('6722134266521651056','220322107203','6722134266521651031'),('6722134266521651083','4477020617399902690','6722134266521651058'),('6722134266521651110','4548288624650560068','6722134266521651085'),('6722134266521651257','4477020686119381002','6722134266521651232'),('6722134266521651284','4548288624650560068','6722134266521651259'),('6722134266521651311','4477020686119382584','6722134266521651286'),('6722134266521651338','4476998146130915624','6722134266521651313'),('6722134266521651463','4580746379701343385','6722134266521651438'),('6722134266521651500','220322107200','6722134266521651475'),('6722134266521651546','4476994572718122377','6722134266521651521'),('6722134266521651592','4580710679933176558','6722134266521651567'),('6722134266521651619','4477027248829411600','6722134266521651594'),('6722134266521651688','4613301475891311702','6722134266521651663'),('6722134266521651714','4613301475891311770','6722134266521651689'),('6722134266521651740','4580703189510233467','6722134266521651715'),('6722134266521651767','4477021648192057510','6722134266521651742'),('6722134266521651813','4580712260481158646','6722134266521651788'),('6722134266521651840','4580709442982605933','6722134266521651815'),('6722134266521651981','4527512562169672495','6722134266521651956'),('6722134266521652027','4580699787896125344','6722134266521652002'),('6722134266521652054','4500607821875528707','6722134266521652029'),('6722134266521652081','4580709305543654475','6722134266521652056'),('6722134266521652108','4500607787515797129','6722134266521652083'),('6722134266521652135','4580703223869969623','6722134266521652110'),('6722134266521652184','4476994057322047670','6722134266521652159'),('6722134266521652287','4580709889659197449','6722134266521652262'),('6722134266521652608','4628183503212469872','6722134266521652583'),('6722134266521652635','4580709889659197795','6722134266521652610'),('6722134266521652910','4616949414954275261','6722134266521652885'),('6722134266521653018','4580708996306008199','6722134266521652993'),('6722134266521653228','220322107202','6722134266521653203'),('6722134266521653255','220322107210','6722134266521653230'),('6722134266521653405','220322107209','6722134266521653380'),('6722134266521653470','4580710439415029170','6722134266521653445'),('6722134266521653497','220322107207','6722134266521653472'),('6722134266521653608','4580710473774761816','6722134266521653583'),('6722134266521653762','4580703636186826946','6722134266521653737'),('6722134266521653789','4580700097133766855','6722134266521653764'),('6722134266521653854','4476994160401263440','6722134266521653829'),('6722134266521653881','4476994160401267185','6722134266521653856'),('6722134266521653908','4476994160401267260','6722134266521653883'),('6722134266521653954','4477023160020546208','6722134266521653929'),('6722134266521653981','4476994160401267596','6722134266521653956'),('6722134266521654047','4476994160401267671','6722134266521654022'),('6722134266521654114','4476994160401267989','6722134266521654089'),('6722134266521654141','220322108206','6722134266521654116'),('6722134266521654187','220322108001','6722134266521654162'),('6722134266521654214','4562980780057360421','6722134266521654189'),('6722134266521654285','4589903456134873542','6722134266521654260'),('6722134266521654312','4580698894542919367','6722134266521654287'),('6722134266521654336','4580702055638855750','6722134266521654333'),('6722134266521654440','4477021648192061401','6722134266521654415'),('6722134266521654467','4477021682551791807','6722134266521654442'),('6722134266521654494','4476992717292251540','6722134266521654469'),('6722134266521654562','220322103003','6722134266521654537'),('6722134266521654563','4616949414954273331','6722134266521654537'),('6722134266521654597','220322103003','6722134266521654572'),('6722134266521654598','4613301578970522608','6722134266521654572'),('6722134266521654604','220322103005','6722134266521654601'),('6722134266521654627','4613301578970524929','6722134266521654601'),('6722134266521654769','4476993816803880778','6722134266521654744'),('6722134266521654796','4476993816803880809','6722134266521654771'),('6722134266521654842','4477022919502379747','6722134266521654817'),('6722134266521654888','4476993816803880956','6722134266521654863'),('6722134266521654953','4477022919502380140','6722134266521654928'),('6722134266521654999','4477022919502380245','6722134266521654974'),('6722134266521655099','4476993816803883352','6722134266521655074'),('6722134266521655149','4477022988221851301','6722134266521655124'),('6722134266521655180','4477022988221853899','6722134266521655155'),('6722134266521655230','4476993816803883645','6722134266521655205'),('6722134266521655261','4477022988221855213','6722134266521655236'),('6722134266521655346','4477022919502379077','6722134266521655321'),('6722134266521655471','4592806132472601216','6722134266521655446'),('6722134266521655498','4477024053373743608','4643059345780698285'),('6722134266521655529','4592779160077972381','6722134266521655504'),('6722134266521655556','4459060301118312678','6722134266521655531'),('6722134266521655557','4476994641437601257','6722134266521655531'),('6722134266521655585','4476993851163616321','6722134266521655560'),('6722134266521655612','4592808194056898771','6722134266521655587'),('6722134266521655639','4459060301118312678','6722134266521655614'),('6722134266521655640','4476994641437601468','6722134266521655614'),('6722134266521655668','4477023022581596067','6722134266521655643'),('6722134266521655695','4476993988602570979','6722134266521655670'),('6722134266521655722','4459060301118312678','6722134266521655697'),('6722134266521655723','4477024053373743756','6722134266521655697'),('6722134266521655751','4459060301118312678','6722134266521655726'),('6722134266521655752','4476994641437601677','6722134266521655726'),('6722134266521655780','220322103206','6722134266521655755'),('6722134266521655781','4476994160401262636','6722134266521655755'),('6722134266521655829','4592804723723329289','6722134266521655804'),('6722134266521655872','220322103206','6722134266521655847'),('6722134266521655873','4476994160401263033','6722134266521655847'),('6722134266521655901','220322103206','6722134266521655876'),('6722134266521655902','4477023091301071836','6722134266521655876'),('6722134266521655930','220322103206','6722134266521655905'),('6722134266521655931','4477023091301071943','6722134266521655905'),('6722134266521655959','220322103206','6722134266521655934'),('6722134266521655960','4477023091301072145','6722134266521655934'),('6722134266521656000','4592812901341120817','6722134266521655975'),('6722134266521656027','4592821697434076858','6722134266521656002'),('6722134266521656054','4476994194761000536','6722134266521656029'),('6722134266521656081','4476994194761001877','6722134266521656056'),('6722134266521656112','4476994194761002056','6722134266521656087'),('6722134266521656139','4476994194761006063','6722134266521656114'),('6722134266521656181','4459060301118312678','6722134266521656156'),('6722134266521656182','4476994641437601226','6722134266521656156'),('6722134266521656183','4477024053373743608','6722134266521656156'),('6722134266521656184','4476994641437601468','6722134266521656156'),('6722134266521656185','4477024053373743756','6722134266521656156'),('6722134266521656186','4476994641437601257','6722134266521656156'),('6722134266521656187','4476994641437601363','6722134266521656156'),('6722134266521656188','4476994641437601542','6722134266521656156'),('6722134266521656189','4476994641437601677','6722134266521656156'),('6722134266521656190','4476994641437601331','6722134266521656156'),('6722134266521656191','4476994641437601394','6722134266521656156'),('6722134266521656192','4477024053373743682','6722134266521656156'),('6722134266521656246','4592811801829423415','6722134266521656221'),('6722134266521656281','4592804517564890355','6722134266521656256'),('6722134266521656348','4476994057322048427','6722134266521656323'),('6722134266521656489','4592797679976957439','6722134266521656464'),('6722134266521656516','4477023056941330734','6722134266521656491'),('6722134266521656543','4476994057322048625','6722134266521656518'),('6722134266521656573','4592833448464665029','6722134266521656548'),('6722134266521656604','4477023056941330961','6722134266521656579'),('6722134266521656631','4592773937397737159','6722134266521656606'),('6722134266521656734','4477023056941332403','6722134266521656709'),('6722134266521656840','4477023056941332743','6722134266521656815'),('6722134266521656876','4562964837138753380','6722134266521656851'),('6722134266521657085','4476992373694871079','6722134266521657060'),('6722134266521657207','4476992373694871243','6722134266521657182'),('6722134266521657234','4477021476393362058','6722134266521657209'),('6722134300881387532','4477021476393366613','6722134266521657331'),('6722134300881387559','4476992682932516717','6722134300881387534'),('6722134300881387586','4476992682932518411','6722134300881387561'),('6722134300881387613','4477022163588133037','6722134300881387588'),('6722134300881387640','4476993473206495631','6722134300881387615'),('6722134300881387729','4562978477954904154','6722134300881387727'),('6722134300881387779','220322103001','6722134300881387754'),('6722134300881387815','4562975419938181928','6722134300881387790'),('6722134300881387843','4562973564512305220','6722134300881387818'),('6722134300881387912','4562973564512307116','6722134300881387887'),('6722134300881387939','4562976210212157516','6722134300881387914'),('6722134300881387966','4562976485090081125','6722134300881387941'),('6722134300881387993','4562976210212158873','6722134300881387968'),('6722134300881388025','4562964665340070646','6722134300881387999'),('6722134300881388056','4563024760522473166','6722134300881388031'),('6722134300881388083','4563024794882203773','6722134300881388058'),('6722134300881388110','4477023056941327118','6722134300881388085'),('6722134300881388136','4476993988602573032','6722134300881388111'),('6722134300881388214','4563010776108972687','6722134300881388189'),('6722134300881388293','4562983975513025705','6722134300881388268'),('6722134300881388320','4562983975513026956','6722134300881388295'),('6722134300881388348','4562981982648219686','6722134300881388323'),('6722134300881388375','4477023056941327276','6722134300881388350'),('6722134300881388406','4580712707157752463','6722134300881388381'),('6722134300881388434','4562978924631491619','6722134300881388409'),('6722134300881388462','4562984971945437970','6722134300881388437'),('6722134300881388490','4580712775877234008','6722134300881388465'),('6722134300881388557','4562984525268841598','6722134300881388532'),('6722134300881388584','4562981845209260075','6722134300881388559'),('6722134300881388612','4476994160401262698','6722134300881388587'),('6722134300881388639','4562978752832800598','6722134300881388614'),('6722134300881388699','4562992290569709037','6722134300881388696'),('6722134300881388748','4562984112951984983','6722134300881388723'),('6722134300881388775','4477023091301072145','6722134300881388750'),('6722134300881388802','4562996138860422369','6722134300881388777'),('6722134300881388829','4562993939837158740','6722134300881388804'),('6722134300881388856','4562993218282655913','6722134300881388831'),('6722134300881388903','4562984112951985315','6722134300881388900'),('6722134300881388952','4562983975513025610','6722134300881388927'),('6722134300881388979','4562981535971619043','6722134300881388954'),('6722134300881389006','4562977928199083471','6722134300881388981'),('6722134300881389033','4562992324929455426','6722134300881389008'),('6722134300881389060','4562992359289200163','6722134300881389035'),('6722134300881389087','4563005141111858508','6722134300881389062'),('6722134300881389114','4562992599807363261','6722134300881389089'),('6722134300881389141','4562995314226704752','6722134300881389116'),('6722134300881389168','4562993252642397652','6722134300881389143'),('6722134300881389195','4562976691248512270','6722134300881389170'),('6722134300881389222','4562973736310997440','6722134300881389197'),('6722134300881389249','4562976347651110048','6722134300881389224'),('6722134300881389276','4562995382946177732','6722134300881389251'),('6722134300881389303','4580709236824171959','6722134300881389278'),('6722134300881389387','4580709236824172968','6722134300881389362'),('6722134300881389471','4580710027098145451','6722134300881389446'),('6722134300881389498','4580715868253679316','6722134300881389473'),('6722134300881389525','4580723049439008853','6722134300881389500'),('6722134300881389552','4580723805353232931','6722134300881389527'),('6722134300881389579','4580723255597437959','6722134300881389554'),('6722134300881389606','4580716074412109474','6722134300881389581'),('6722134300881389633','4580723908432451436','6722134300881389608'),('6722134300881389660','4580723564835078911','6722134300881389635'),('6722134300881389687','4562991019259407864','6722134300881389662'),('6722134300881389714','4563008508366230083','6722134300881389689'),('6722134300881389741','4563008508366230277','6722134300881389716'),('6722134300881389768','4563023798449796337','6722134300881389743'),('6722134300881389795','4562985968377864616','6722134300881389770'),('6722134300881389822','4562985968377866152','6722134300881389797'),('6722134300881389849','4562980848776846559','6722134300881389824'),('6722134300881389876','4562987239688167813','6722134300881389851'),('6722134300881389903','4562980883136583267','6722134300881389878'),('6722134300881389907','4562983803714351981','6722134300881389905'),('6722134300881389957','4562986140176544777','6722134300881389932'),('6722134300881389984','4562979852344429272','6722134300881389959'),('6722134300881390011','4562981535971621420','6722134300881389986'),('6722134300881390038','4562981535971621843','6722134300881390013'),('6722134300881390065','4562981535971621921','6722134300881390040'),('6722134300881390092','4562977928199084393','6722134300881390067'),('6722134300881390119','4562981535971622483','6722134300881390094'),('6722134300881390146','4562981535971622721','6722134300881390121'),('6722134300881390173','4562986311975235245','6722134300881390148'),('6722134300881390200','4562986346334973160','6722134300881390175'),('6722134300881390227','4562986346334974823','6722134300881390202'),('6722134300881390231','4580750915186824350','6722134300881390229'),('6722134300881390258','4592805273479138273','6722134300881390256'),('6722134300881390308','4580756103507301765','6722134300881390283'),('6722134300881390335','4580728546997146042','6722134300881390310'),('6722134300881390362','4580728546997145694','6722134300881390337'),('6722134300881390389','4580722808920828459','6722134300881390364'),('6722134300881390416','4580729131112701024','6722134300881390391'),('6722134300881390443','4580742084734047562','6722134300881390418'),('6722134300881390470','4580723530475338335','6722134300881390445'),('6722134300881390497','4580723977151933480','6722134300881390472'),('6722134300881390524','4580744421196270076','6722134300881390499'),('6722134300881390551','4580744421196268999','6722134300881390526'),('6722134300881390578','4580714734382311715','6722134300881390553'),('6722134300881390605','4580728237759502311','6722134300881390580'),('6722134300881390642','4580725901297284849','6722134300881390617'),('6722134300881390669','4580732841964445085','6722134300881390644'),('6722134300881390670','4580732876324176922','6722134300881390644'),('6722134300881390671','4580743527843056059','6722134300881390644'),('6722134300881390697','4580719098069084292','6722134300881390672'),('6722134300881390724','4589890536873249518','6722134300881390699'),('6722134300881390751','4580735384585075358','6722134300881390726'),('6722134300881390778','4580732841964442217','6722134300881390753'),('6722134300881390805','4580725866937542446','6722134300881390780'),('6722134300881390832','4580725866937546690','6722134300881390807'),('6722134300881390859','4580732841964443844','6722134300881390834'),('6722134300881390886','4580743527843056059','6722134300881390861'),('7023228619481548295','4500571434912598184','4643061510444223818'),('7124028203383964794','4477026183677518900','4635296278292484308'),('7124028203383964896','4476997184058241594','4635296278292484360'),('7124028203383965770','4500572809302150299','4635296278292484204'),('7124028478261870748','6482254914199825124','4635296278292483866'),('7124028478261870765','6482258384533396383','4635296278292483814'),('7124028478261874908','7124028478261871260','7124028478261874883'),('7124028478261874935','7124033013747349398','7124028478261874910'),('7124028546981349578','7124028478261871260','7124028546981349553'),('7124028546981349605','7124028478261871745','7124028546981349580'),('7124028546981349632','7124033013747350853','7124028546981349607'),('7124028546981349655','4477026458555426696','4635296278292484048'),('7124028546981349998','4500535425906776608','6167293692389530635'),('7124028546981350041','4476991789579319225','4635296312652222820'),('7124028546981350046','4476991789579319289','4635296312652222820'),('7124028546981350057','7124032945027874098','7124028546981350055'),('7124028546981350058','4500534773071743612','7124028546981350055'),('7124028546981350112','7124032979387605736','7124028546981350087'),('7124028546981350113','4500575764239651850','7124028546981350087'),('7124028546981350141','7124032979387606250','7124028546981350116'),('7124028546981350168','7124028443902132406','7124028546981350143'),('7124028546981350169','7124028409542399301','7124028546981350143'),('7124028546981350174','4500537315692387068','7124028546981350172'),('7124028546981350175','4500575936038342854','7124028546981350172'),('7124032773229179541','4477026149317785922','4635296278292484360'),('7124032773229179607','4477026149317785922','4635296278292484308'),('7124032773229179613','4476997184058241594','4635296278292484386'),('7124032773229179614','4477026183677523436','4635296278292484386'),('7124032773229180259','4500533982797761482','4635296278292484464'),('7124033013747343612','4497734179516807959','7124033013747343610'),('7124033013747347411','7124032773229176508','4635296278292483710'),('7124033013747347419','6482254811120613242','4635296278292483762'),('7124033013747347420','6485177931502537178','4635296278292483762'),('7124033013747347426','6482258384533395870','4635296278292483684'),('7124033013747347431','6482258350173657217','4635296278292483840'),('7124033013747347432','6485177931502537178','4635296278292483840'),('7124033013747347438','6482270066844428455','4635296278292483658'),('7124033013747347439','6482254811120613487','4635296278292483658'),('7124033013747347440','6482258384533396383','4635296278292483658'),('7124033013747347447','6482270135563907818','4635296278292483684'),('7124033048107086259','7124033013747347458','7124033048107086234'),('7124033048107086286','7124033013747347943','7124033048107086261'),('7124033048107086313','7124033013747348428','7124033048107086288'),('7124033048107086340','7124033013747348913','7124033048107086315'),('7124033048107089787','7124033013747347458','7124033048107089762'),('7124033048107089814','7124033013747347943','7124033048107089789'),('7124033048107089841','7124033013747348428','7124033048107089816'),('7124033116826558875','7124033013747348913','7124033116826558850'),('7124033116826559390','7124033013747349398','7124033116826559365'),('7124033116826559417','7124033013747349883','7124033116826559392'),('7124033116826559444','7124033013747350368','7124033116826559419'),('7124033116826559471','7124033013747351338','7124033116826559446'),('7124033116826559498','7124028478261872230','7124033116826559473'),('7124033116826559539','4500567380463470748','4635296278292484256'),('7124033116826559544','4500572809302150299','4635296278292484152'),('7124033116826560206','4500575077044885220','4643061510444223200'),('7124033116826560271','4477020754838858441','4635296312652222683'),('7124033116826560272','4477020754838858505','4635296312652222683'),('7124033116826560278','4477020754838858580','4635296278292485101'),('7124033116826560279','4477020754838858612','4635296278292485101'),('7124033116826560327','7124032945027873605','7124033116826560325'),('7124033116826560354','4500568926651698684','7124033116826560352'),('7124033116826560355','7124028409542398813','7124033116826560352'),('7124033116826560406','7124032945027874586','7124033116826560381'),('7124033116826560407','4500575764239648232','7124033116826560381'),('7124033116826560435','7124028443902133382','7124033116826560410'),('7124033116826560436','7124032945027873605','7124033116826560410'),('7124033116826560464','7124032979387609178','7124033116826560439'),('7124033116826560465','7124032945027874098','7124033116826560439'),('7310092611917923620','7124033048107082110','7310092611917923618'),('7310092611917923732','7124033048107083080','7310092611917923707'),('7310092611917923764','7124033048107084050','7310092611917923739'),('7310092611917923791','7124028478261872826','7310092611917923766'),('7310092611917923792','7124033048107084574','7310092611917923766'),('7310092611917923820','7124028478261873324','7310092611917923795'),('7310092611917923851','7124033048107086349','7310092611917923826'),('7310092611917925032','4500540957824652882','4643061510444224407'),('7310092611917925033','4500579887408251824','4643061510444224407'),('7310092611917925034','4500540957824652845','4643061510444224407'),('7310092611917925035','4500579543810870109','4643061510444224407'),('7310092611917925036','4500572534424228501','4643061510444224407'),('7310092611917925037','4500572534424228579','4643061510444224407'),('7310092611917925038','4500579543810871778','4643061510444224407'),('7310092611917925039','4500572534424229832','4643061510444224407'),('7310092611917925040','4500572568783967070','4643061510444224407'),('7310092611917925041','4500579887408251644','4643061510444224407'),('7310092611917925919','7124033013747344407','4643061510444224712'),('7310092611917925924','7124028443902138969','4643061510444224600'),('7310092611917925925','7124028443902139492','4643061510444224600'),('7310092611917925931','7124033013747345383','4643061510444224573'),('7310093573990606023','7124033048107082595','7310093573990606021'),('7310093573990606056','7124033048107083565','7310093573990606054'),('7310093573990606083','7124028478261873848','7310093573990606081'),('7310093573990606133','4500578616097938673','7310093573990606108'),('7310093573990606134','4500539720874069075','7310093573990606108'),('7310093573990606135','4500578616097938707','7310093573990606108'),('7310093573990606165','4500571572351554606','7310093573990606140'),('7310093573990606166','4500539961392239721','7310093573990606140'),('7310093573990606167','4500539961392239755','7310093573990606140'),('7310093573990606168','4500539961392239789','7310093573990606140'),('7310093573990606169','4500539961392239825','7310093573990606140'),('7310093573990606170','4500539961392239859','7310093573990606140'),('7310093573990606171','4500539961392239894','7310093573990606140'),('7310093573990606172','4500539961392239986','7310093573990606140'),('7310093573990606181','4500540957824652922','4643061510444224439'),('7310093573990606182','4500572603143706216','4643061510444224439'),('7310093573990606183','4500540992184391064','4643061510444224439'),('7310093573990606184','4500540992184391256','4643061510444224439'),('7310093573990606192','4500539961392238934','4643061510444224375'),('7310093573990606193','4500539961392239011','4643061510444224375'),('7310093573990606194','4500571572351554420','4643061510444224375'),('7310093573990606195','4500571572351554457','4643061510444224375'),('7310093573990606196','4500539961392239134','4643061510444224375'),('7310093573990606208','4500539720874069196','4643061510444223942'),('7310093573990606218','4500539755233807725','4643061510444223911'),('7310093573990606226','4500578616097938741','4643061510444223849'),('7310093573990606231','4500539720874068843','4643061510444223818'),('7310093573990606239','4500568239456928055','4643061510444224681'),('7310093573990606240','4500535219748346577','4643061510444224681'),('7310093573990606241','7124028443902140024','4643061510444224681'),('7310093573990606242','7124033013747346391','4643061510444224681'),('7310093573990606243','7124033013747346879','4643061510444224681'),('7310093573990606253','7124033013747345871','4643061510444224654'),('7310093573990606258','7124033013747343919','4643061510444224627'),('7310093573990606263','4500534669992533107','4643061510444224546'),('7310093573990606264','4500534773071743535','4643061510444224546'),('7310093573990606265','7124033013747344895','4643061510444224546'),('7310093573990606272','7124028443902138476','4643061510444224518'),('7322879829069784064','4497713391875041477','7124033013747343875'),('7322879829069784076','4497734179516807993','7322879829069784074'),('7322879829069784126','4497734179516808128','7322879829069784101'),('7322879829069784153','4497713426234777666','7322879829069784128'),('7322879829069784180','4497713391875041477','7322879829069784155'),('7322879829069784248','4497714147789287619','7322879829069784246'),('7322879829069784275','220302200000','7322879829069784273'),('7322879829069784276','4497734729272621396','7322879829069784273'),('7322879829069784387','220302200202','7322879829069784362'),('7322879829069784388','4497734729272621633','7322879829069784362'),('7322879829069784448','220302200204','7322879829069784446'),('7322879829069784449','4497734488754446927','7322879829069784446'),('7322879829069784500','220302200204','7322879829069784475'),('7322879829069784501','4497713529314000309','7322879829069784475'),('7322879829069784530','220302200204','7322879829069784505'),('7322879829069784531','4497713563673732259','7322879829069784505'),('7322879863429522392','220302200214','7322879863429522367'),('7322879863429522393','4497735038510261857','7322879863429522367'),('7322879863429522421','220302200212','7322879863429522396'),('7322879863429522422','4497735038510264922','7322879863429522396'),('7322879863429522428','220302200203','7322879863429522425'),('7322879863429522454','4497714182149027989','7322879863429522425'),('7322879863429522544','220302200203','7322879863429522519'),('7322879863429522545','4497714216508765469','7322879863429522519'),('7322879863429522577','220302200203','7322879863429522552'),('7322879863429522578','4497714353947716188','7322879863429522552'),('7322879863429522606','220302200203','7322879863429522581'),('7322879863429522607','4497714216508767047','7322879863429522581'),('7322879863429522635','220302200203','7322879863429522610'),('7322879863429522636','4497735072870003754','7322879863429522610'),('7322879863429522791','220302200208','7322879863429522766'),('7322879863429522792','4497713769832167157','7322879863429522766'),('7322879863429522820','220302200208','7322879863429522795'),('7322879863429522821','4497713769832167247','7322879863429522795'),('7322879863429523788','220302200205','7322879863429523786'),('7322879863429523789','4497713391875043944','7322879863429523786'),('7322879863429523840','220302200205','7322879863429523815'),('7322879863429523841','4497734213876544385','7322879863429523815'),('7322879863429523869','220302200205','7322879863429523844'),('7322879863429523870','4497713391875044296','7322879863429523844'),('7322879863429523898','220302200213','7322879863429523873'),('7322879863429523899','4497714147789284467','7322879863429523873'),('7322879863429523927','220302200210','7322879863429523902'),('7322879863429523928','4497714182149026237','7322879863429523902'),('7322879863429523956','220302200210','7322879863429523931'),('7322879863429523957','4497714182149026362','7322879863429523931'),('7322879863429523985','220302200210','7322879863429523960'),('7322879863429523986','4497735038510262491','7322879863429523960'),('7322879863429524014','220302200210','7322879863429523989'),('7322879863429524015','4497735038510262858','7322879863429523989'),('7322879863429524043','220302200210','7322879863429524018'),('7322879863429524044','4497735038510262978','7322879863429524018'),('7322879863429524072','220302200210','7322879863429524047'),('7322879863429524073','4497735038510263254','7322879863429524047'),('7322879863429524101','220302200210','7322879863429524076'),('7322879863429524102','4497714216508762937','7322879863429524076'),('7322879863429524130','220302200206','7322879863429524105'),('7322879863429524131','4497734179516807600','7322879863429524105'),('7322879863429524159','220302200206','7322879863429524134'),('7322879863429524160','4497734213876545204','7322879863429524134'),('7322879863429524188','220302200206','7322879863429524163'),('7322879863429524189','4497713391875044957','7322879863429524163'),('7322879863429524194','220302200211','7322879863429524192'),('7322879863429524195','4497714353947716530','7322879863429524192'),('7322879863429524246','220302200215','7322879863429524221'),('7322879863429524247','4497713426234778672','7322879863429524221'),('7322879863429524275','220302200216','7322879863429524250'),('7322879863429524276','4497734901071308543','7322879863429524250'),('7322879863429524304','220302200216','7322879863429524279'),('7322879863429524305','4497713975990591946','7322879863429524279'),('7322879863429524333','220302200216','7322879863429524308'),('7322879863429524334','4497734901071308588','7322879863429524308'),('7322879863429524362','220302200216','7322879863429524337'),('7322879863429524363','4497713975990592094','7322879863429524337'),('7322879863429524391','220302200216','7322879863429524366'),('7322879863429524392','4497714147789291240','7322879863429524366'),('7322879897789267810','4500582979784704491','4635298546035219360'),('7322879897789267811','6475877678038947735','4635298546035219360'),('7322879897789267817','4500583014144446011','4643059998615728810'),('7322879897789267834','4500583185943139027','4643059998615728836'),('7322879932148999236','4500583873137909653','4635298546035219440'),('7322879932148999260','4500583185943135382','4635298546035219255'),('7322879932148999261','4500541645019421274','4635298546035219255'),('7322880378825598894','7322879725990575332','4643061510444224206'),('7322880378825598895','7322879725990575333','4643061510444224206'),('7322880378825598896','7322879725990575349','4643061510444224206'),('7322880378825598903','7322879725990575336','4643061510444224262'),('7322880378825598904','7322879725990575337','4643061510444224262'),('7322880378825598905','7322879725990575350','4643061510444224262'),('7322880378825598906','7322879725990575346','4643061510444224262'),('7322880378825598918','7322879725990575340','4643061510444224319'),('7322880378825598919','7322879725990575341','4643061510444224319'),('7322880378825598920','7322879725990575345','4643061510444224319'),('7322880378825598927','7322879725990575342','4643061510444224347'),('7322880378825598928','7322879725990575343','4643061510444224347'),('7322880378825598929','7322879725990575344','4643061510444224347'),('7322880378825598936','7322879691630831506','4643061510444224032'),('7322880378825598937','7322879691630831516','4643061510444224032'),('7322880378825598938','7322879691630831517','4643061510444224032'),('7322880378825598939','7322879691630831524','4643061510444224032'),('7322880378825598940','7322879691630831525','4643061510444224032'),('7322880378825598949','7322879691630831507','4643061510444224062'),('7322880378825598950','7322879691630831526','4643061510444224062'),('7322880378825598951','7322879691630831527','4643061510444224062'),('7322880378825598958','7322879691630831508','4643061510444224090'),('7322880378825598959','7322879691630831512','4643061510444224090'),('7322880378825598960','7322879691630831513','4643061510444224090'),('7322880378825598961','7322879691630831528','4643061510444224090'),('7322880378825598962','7322879691630831529','4643061510444224090'),('7322880378825598971','7322879691630831510','4643061510444224120'),('7322880378825598972','7322879691630831514','4643061510444224120'),('7322880378825598973','7322879691630831515','4643061510444224120'),('7322880378825598974','7322879691630831530','4643061510444224120'),('7322880378825598975','7322879691630831531','4643061510444224120'),('7322880378825598984','7322879691630831509','4643061510444224178'),('7322880378825598985','7322879691630831532','4643061510444224178'),('7322880378825598986','7322879691630831533','4643061510444224178'),('7322880378825599509','4500583735698938354','4613298864551194614'),('7322880378825599655','7322920167402648102','7322880378825599630'),('7322880378825599657','4500591397920610159','4613298864551194718'),('7322880378825599662','4500591466640087633','4613298864551194692'),('7322880378825599692','4500583941857366198','7322880378825599667'),('7322880378825599694','7322920167402649437','4613298864551194822'),('7322919583287094030','220302200000','7322919583287094005'),('7322919583287094031','4497734213876546060','7322919583287094005'),('7322919583287094059','220302200000','7322919583287094034'),('7322919583287094060','4497713391875046647','7322919583287094034'),('7322919583287094088','220302200000','7322919583287094063'),('7322919583287094089','4497734213876546274','7322919583287094063'),('7322919583287094094','4497735038510260474','7322919583287094092'),('7322919583287094150','4497735038510260681','7322919583287094125'),('7322919583287094177','4497735038510260715','7322919583287094152'),('7322919583287094204','4497714216508765684','7322919583287094179'),('7322919583287094231','220302200000','7322919583287094206'),('7322919583287094232','4497713769832166223','7322919583287094206'),('7322919583287094320','220302200202','7322919583287094295'),('7322919583287094321','4497734729272621531','7322919583287094295'),('7322919583287094416','220302200202','7322919583287094391'),('7322919583287094417','4497713769832166549','7322919583287094391'),('7322919583287094736','220302200204','7322919583287094734'),('7322919583287094737','4497734488754449650','7322919583287094734'),('7322919583287094851','220302200204','7322919583287094826'),('7322919583287094852','4497734488754451089','7322919583287094826'),('7322919583287094880','220302200204','7322919583287094855'),('7322919583287094881','4497734488754451123','7322919583287094855'),('7322919583287094909','220302200204','7322919583287094884'),('7322919583287094910','4497713563673732380','7322919583287094884'),('7322919583287094915','220302200214','7322919583287094913'),('7322919583287094916','4497714353947717065','7322919583287094913'),('7322919583287094967','220302200214','7322919583287094942'),('7322919583287094968','4497735038510261578','7322919583287094942'),('7322919583287094996','220302200212','7322919583287094971'),('7322919583287094997','4497714216508765795','7322919583287094971'),('7322919583287095025','220302200212','7322919583287095000'),('7322919583287095026','4497714216508767092','7322919583287095000'),('7322919583287095054','220302200203','7322919583287095029'),('7322919583287095055','4497714182149027832','7322919583287095029'),('7322919583287095083','220302200203','7322919583287095058'),('7322919583287095084','4497714216508762811','7322919583287095058'),('7322919583287095112','220302200203','7322919583287095087'),('7322919583287095113','4497735038510264798','7322919583287095087'),('7322919583287095141','220302200218','7322919583287095116'),('7322919583287095142','4497714319587979501','7322919583287095116'),('7322919583287095170','220302200208','7322919583287095145'),('7322919583287095171','4497713769832167080','7322919583287095145'),('7322919583287095199','220302200208','7322919583287095174'),('7322919583287095200','4497734729272622343','7322919583287095174'),('7322919583287095228','220302200208','7322919583287095203'),('7322919583287095229','4497734729272622420','7322919583287095203'),('7322919583287095383','220302200208','7322919583287095358'),('7322919583287095384','4592852552479126455','7322919583287095358'),('7322919583287095918','220302200205','7322919583287095916'),('7322919583287095919','4497713391875043910','7322919583287095916'),('7322919583287095970','220302200205','7322919583287095945'),('7322919583287095971','4497734213876544150','7322919583287095945'),('7322919583287095999','220302200205','7322919583287095974'),('7322919583287096000','4497713391875044122','7322919583287095974'),('7322919583287096028','220302200205','7322919583287096003'),('7322919583287096029','4497734213876544184','7322919583287096003'),('7322919583287096057','220302200205','7322919583287096032'),('7322919583287096058','4497713391875044156','7322919583287096032'),('7322919583287096086','220302200205','7322919583287096061'),('7322919583287096087','4497734213876544304','7322919583287096061'),('7322919583287096115','220302200205','7322919583287096090'),('7322919583287096116','4497734213876544338','7322919583287096090'),('7322919583287096144','220302200217','7322919583287096119'),('7322919583287096145','4497714353947717331','7322919583287096119'),('7322919583287096174','220302200217','7322919583287096149'),('7322919583287096175','4497714353947717538','7322919583287096149'),('7322919583287096203','220302200210','7322919583287096178'),('7322919583287096204','4497714182149025884','7322919583287096178'),('7322919583287096232','220302200210','7322919583287096207'),('7322919583287096233','4497735038510262719','7322919583287096207'),('7322919583287096238','220302200206','7322919583287096236'),('7322919583287096239','4497734213876545170','7322919583287096236'),('7322919583287096267','220302200216','7322919583287096265'),('7322919583287096268','4497713941630861207','7322919583287096265'),('7322919583287096319','220302200216','7322919583287096294'),('7322919583287096320','4497713941630861310','7322919583287096294'),('7322919583287096348','220302200216','7322919583287096323'),('7322919583287096349','4497713975990591611','7322919583287096323'),('7322919583287096377','220302200216','7322919583287096352'),('7322919583287096378','4497713975990592171','7322919583287096352'),('7322919583287098519','4500536250540491442','7322919583287098494'),('7322919652006568300','4500583048504185145','4635298546035219308'),('7322920167402648035','7322879725990575334','4643061510444224234'),('7322920167402648036','7322879725990575335','4643061510444224234'),('7322920167402648037','7322879725990575348','4643061510444224234'),('7322920167402648044','7322879725990575339','4643061510444224291'),('7322920167402648045','7322879725990575338','4643061510444224291'),('7322920167402648046','7322879725990575347','4643061510444224291'),('7322920167402648053','7322879691630831505','4643061510444224004'),('7322920167402648054','7322879691630831522','4643061510444224004'),('7322920167402648055','7322879691630831523','4643061510444224004'),('7322920167402648062','7322879691630831511','4643061510444224150'),('7322920167402648063','7322879691630831518','4643061510444224150'),('7322920167402648064','7322879691630831519','4643061510444224150'),('7322920167402649942','7322920167402648982','7322920167402649917'),('7322920167402649973','7322880378825599030','7322920167402649948'),('7322920167402650000','4500591466640087469','7322920167402649975'),('7322920167402650002','7322920167402648531','4613298864551194744');
/*!40000 ALTER TABLE `wx_rela_addr_gridman` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wx_user`
--

DROP TABLE IF EXISTS `wx_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wx_user` (
  `user_id` varchar(64) NOT NULL COMMENT '用户ID',
  `name` varchar(200) DEFAULT NULL COMMENT '用户姓名',
  `photo` varchar(500) DEFAULT NULL COMMENT '用户照片',
  `phone` varchar(200) DEFAULT NULL COMMENT '手机号码',
  `birthday` date DEFAULT NULL COMMENT '出生日期',
  `openid` varchar(200) DEFAULT NULL COMMENT '微信openid',
  `address_id` varchar(64) DEFAULT NULL COMMENT '所属网格ID',
  `gridman_id` varchar(64) DEFAULT NULL COMMENT '网格员ID',
  `estate_id` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci DEFAULT NULL COMMENT '小区ID',
  `addr_detail` varchar(500) DEFAULT NULL COMMENT '详细地址：楼栋号、单元号、门牌号',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wx_user`
--

LOCK TABLES `wx_user` WRITE;
/*!40000 ALTER TABLE `wx_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `wx_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'ry-admin'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-03-08  0:54:46

--
-- Trigger for delete report_info record
--
delimiter $$
CREATE trigger `tri_report_info_delete` AFTER delete ON `report_info` FOR EACH ROW
BEGIN
	delete from report_info_res where report_id = OLD.report_id;
END $$
delimiter ;